#
# spec file for package kernel-docs
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define srcversion 5.17-rc7
%define patchversion 5.17.0-rc7
%define variant %{nil}

%include %_sourcedir/kernel-spec-macros

%define build_html 1
%define build_pdf 0

%(chmod +x %_sourcedir/{guards,apply-patches,check-for-config-changes,group-source-files.pl,split-modules,modversions,kabi.pl,mkspec,compute-PATCHVERSION.sh,arch-symbols,log.sh,try-disable-staging-driver,compress-vmlinux.sh,mkspec-dtb,check-module-license,klp-symbols,splitflist,mergedep,moddep,modflist,kernel-subpackage-build})

Name:           kernel-docs
Summary:        Kernel Documentation
License:        GPL-2.0-only
Group:          Documentation/Man
Version:        5.17~rc7
%if 0%{?is_kotd}
Release:        1.1.g46de6f9
%else
Release:        1.1
%endif
# TW (4.13 or later) no longer needs xmlto
%if 0%{?sle_version}
BuildRequires:  xmlto
%endif
%if %build_pdf || %build_html
# ReST handling
BuildRequires:  ImageMagick
BuildRequires:  graphviz
BuildRequires:  graphviz-gd
BuildRequires:  graphviz-gnome
BuildRequires:  python3-Sphinx
BuildRequires:  texlive-amscls
BuildRequires:  texlive-anyfontsize
%if %build_pdf
BuildRequires:  python3-Sphinx-latex
BuildRequires:  texlive-adjustbox
BuildRequires:  texlive-dejavu
BuildRequires:  texlive-dejavu-fonts
BuildRequires:  texlive-glyphlist
BuildRequires:  texlive-makeindex
BuildRequires:  texlive-varwidth
BuildRequires:  texlive-xetex
BuildRequires:  texlive-zapfding
%endif
%endif
Url:            http://www.kernel.org/
Provides:       %name = %version-%source_rel
Provides:       %name-srchash-46de6f9a881f438d762e6f01da86b24c56a775aa
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        linux-%srcversion.tar.xz
Source3:        kernel-source.rpmlintrc
Source14:       series.conf
Source16:       guards
Source17:       apply-patches
Source21:       config.conf
Source23:       supported.conf
Source33:       check-for-config-changes
Source35:       group-source-files.pl
Source36:       README.PATCH-POLICY.SUSE
Source37:       README.SUSE
Source38:       README.KSYMS
Source39:       config-options.changes.txt
Source40:       source-timestamp
Source46:       split-modules
Source47:       modversions
Source48:       macros.kernel-source
Source49:       kernel-module-subpackage
Source50:       kabi.pl
Source51:       mkspec
Source52:       kernel-source%variant.changes
Source53:       kernel-source.spec.in
Source54:       kernel-binary.spec.in
Source55:       kernel-syms.spec.in
Source56:       kernel-docs.spec.in
Source57:       kernel-cert-subpackage
Source58:       constraints.in
Source60:       config.sh
Source61:       compute-PATCHVERSION.sh
Source62:       old-flavors
Source63:       arch-symbols
Source64:       package-descriptions
Source65:       kernel-spec-macros
Source67:       log.sh
Source68:       host-memcpy-hack.h
Source69:       try-disable-staging-driver
Source70:       kernel-obs-build.spec.in
Source71:       kernel-obs-qa.spec.in
Source72:       compress-vmlinux.sh
Source73:       dtb.spec.in.in
Source74:       mkspec-dtb
Source75:       release-projects
Source76:       check-module-license
Source77:       klp-symbols
Source78:       modules.fips
Source79:       splitflist
Source80:       mergedep
Source81:       moddep
Source82:       modflist
Source83:       kernel-subpackage-build
Source84:       kernel-subpackage-spec
Source85:       kernel-default-base.spec.txt
Source100:      config.tar.bz2
Source101:      config.addon.tar.bz2
Source105:      patches.rpmify.tar.bz2
Source108:      patches.addon.tar.bz2
Source109:      patches.kernel.org.tar.bz2
Source120:      kabi.tar.bz2
Source121:      sysctl.tar.bz2
# These files are found in the kernel-source package:
NoSource:       0
NoSource:       3
NoSource:       14
NoSource:       16
NoSource:       17
NoSource:       21
NoSource:       23
NoSource:       33
NoSource:       35
NoSource:       36
NoSource:       37
NoSource:       38
NoSource:       39
NoSource:       40
NoSource:       46
NoSource:       47
NoSource:       48
NoSource:       49
NoSource:       50
NoSource:       51
NoSource:       52
NoSource:       53
NoSource:       54
NoSource:       55
NoSource:       56
NoSource:       57
NoSource:       58
NoSource:       60
NoSource:       61
NoSource:       62
NoSource:       63
NoSource:       64
NoSource:       65
NoSource:       67
NoSource:       68
NoSource:       69
NoSource:       70
NoSource:       71
NoSource:       72
NoSource:       73
NoSource:       74
NoSource:       75
NoSource:       76
NoSource:       77
NoSource:       78
NoSource:       79
NoSource:       80
NoSource:       81
NoSource:       82
NoSource:       83
NoSource:       84
NoSource:       85
NoSource:       100
NoSource:       101
NoSource:       105
NoSource:       108
NoSource:       109
NoSource:       120
NoSource:       121

%description
A few basic documents from the current kernel sources.

%source_timestamp

%if %build_pdf
%package pdf
Summary:        Kernel Documentation (PDF)
Group:          Documentation/Other

%description pdf
These are PDF documents built from the current kernel sources.

%source_timestamp
%endif

%if %build_html
%package html
Summary:        Kernel Documentation (HTML)
Group:          Documentation/HTML

%description html
These are HTML documents built from the current kernel sources.

%source_timestamp
%endif

%prep
%setup -q -c -T -a 0 -a 100 -a 101 -a 105 -a 108 -a 109 -a 120 -a 121
cp -a linux-%srcversion/{COPYING,CREDITS,MAINTAINERS,README} .
cd linux-%srcversion
%_sourcedir/apply-patches %_sourcedir/series.conf %my_builddir %symbols

%build
cd linux-%srcversion
export LANG=en_US.utf8
%if %build_html
mkdir -p html
make %{?make_arg} O=$PWD/html PYTHON=python3 htmldocs
%endif
%if %build_pdf
mkdir -p pdf
make %{?make_arg} O=$PWD/pdf PYTHON=python3 pdfdocs
%endif

%install
cd linux-%srcversion
%if %build_html
install -d %{buildroot}%{_datadir}/doc/kernel/html/rst
cp -a html/Documentation/output/* %{buildroot}%{_datadir}/doc/kernel/html/rst || true
%endif

%if %build_pdf
install -d %{buildroot}%{_datadir}/doc/kernel/pdf
for i in pdf/Documentation/output/latex/*.pdf; do
    cp -a $i %{buildroot}%{_datadir}/doc/kernel/pdf
done
%endif

%files
%defattr(-,root,root)
%doc COPYING CREDITS MAINTAINERS README

%if %build_pdf
%files pdf
%defattr(-,root,root)
%dir %{_datadir}/doc/kernel
%docdir %{_datadir}/doc/kernel/pdf
%{_datadir}/doc/kernel/pdf
%endif

%if %build_html
%files html
%defattr(-,root,root)
%dir %{_datadir}/doc/kernel
%docdir %{_datadir}/doc/kernel/html
%{_datadir}/doc/kernel/html
%endif

%changelog
* Mon Mar  7 2022 kbuild@suse.de
- Automatically updated to 5.17-rc7
- commit 46de6f9
* Sun Mar  6 2022 kbuild@suse.de
- Automatically updated to 5.17-rc6-251-gdcde98da9970
- commit a239315
* Sat Mar  5 2022 kbuild@suse.de
- Automatically updated to 5.17-rc6-228-gac84e82f78cb
- commit a055ad0
* Fri Mar  4 2022 kbuild@suse.de
- Automatically updated to 5.17-rc6-184-g38f80f42147f
- commit 21b520c
* Fri Mar  4 2022 mkubecek@suse.cz
- config: refresh
  Since commit bb988d4625a3 ("kernel-binary: Do not include sourcedir in
  certificate path."), MODULE_SIG_HASH config option is mandatory in diff
  configs.
- commit e525998
* Thu Mar  3 2022 kbuild@suse.de
- Automatically updated to 5.17-rc6-66-g5859a2b19911
- commit 4061f40
* Thu Mar  3 2022 pvorel@suse.cz
- config: ppc64{,le}: build vmx-crypto as module (bsc#1195768)
  Building CONFIG_CRYPTO_DEV_VMX_ENCRYPT as module is the default in
  mainline since v4.8, we use it in SLES and already in
  config/ppc64/default. Thus unify it in the other configs.
  There are build dependencies which has been fixed in mainline
  647d41d3952d ("crypto: vmx - add missing dependencies")
  (currently still at maintainer herbert/cryptodev-2.6 tree)
  But instead of waiting commit to be accepted or backporting it we just
  unify configs, which is useful anyway
- commit 2f88321
* Wed Mar  2 2022 msuchanek@suse.de
- kernel-binary.spec: Also exclude the kernel signing key from devel package.
  There is a check in OBS that fails when it is included. Also the key is
  not reproducible.
  Fixes: bb988d4625a3 ("kernel-binary: Do not include sourcedir in certificate path.")
- commit 68fa069
* Wed Mar  2 2022 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore PAHOLE_VERSION.
- commit 88ba5ec
* Wed Mar  2 2022 kbuild@suse.de
- Automatically updated to 5.17-rc6-54-gfb184c4af9b9
- commit e6a8835
* Tue Mar  1 2022 kbuild@suse.de
- Automatically updated to 5.17-rc6-46-g719fce7539cd
- commit 83dcfb7
* Mon Feb 28 2022 kbuild@suse.de
- Automatically updated to 5.17-rc6
- commit 73c2e11
* Sun Feb 27 2022 mkubecek@suse.cz
- config: update vanilla configs
  FB_BOOT_VESA_SUPPORT was replaced BOOT_VESA_SUPPORT by a patch but this
  patch is not applied to vanilla flavor so that we have to keep the option
  in */vanilla configs until the patch reaches mainline.
- commit 1f9bf3c
* Sun Feb 27 2022 kbuild@suse.de
- Automatically updated to 5.17-rc5-306-g2293be58d6a1
- commit a535691
* Sat Feb 26 2022 kbuild@suse.de
- Automatically updated to 5.17-rc5-272-g9137eda53752
- commit 2869838
* Fri Feb 25 2022 kbuild@suse.de
- Automatically updated to 5.17-rc5-189-g53ab78cd6d5a
- commit 26a00bb
* Thu Feb 24 2022 kbuild@suse.de
- Automatically updated to 5.17-rc5-21-g23d04328444a
- commit e17d224
* Wed Feb 23 2022 kbuild@suse.de
- Automatically updated to 5.17-rc5-11-g5c1ee569660d
- commit b729fe2
* Wed Feb 23 2022 msuchanek@suse.de
- bpf: add config to allow loading modules with BTF mismatches (bsc#1194501).
- Update config files.
- commit 99dd863
* Wed Feb 23 2022 msuchanek@suse.de
- simplefb: Enable boot time VESA graphic mode selection (bsc#1193250).
- Update config files.
- commit eee6a21
* Tue Feb 22 2022 kbuild@suse.de
- Automatically updated to 5.17-rc5-4-g038101e6b2cd
- commit e413310
* Mon Feb 21 2022 kbuild@suse.de
- Automatically updated to 5.17-rc5
- commit 20b8fdd
* Sun Feb 20 2022 mkubecek@suse.cz
- Update to 5.17-rc5
- refresh configs
- commit 248ee14
* Sat Feb 19 2022 kbuild@suse.de
- Automatically updated to 5.17-rc4-229-g4f12b742eb2b
- commit 5062997
* Fri Feb 18 2022 kbuild@suse.de
- Automatically updated to 5.17-rc4-162-g9195e5e0adbb
- commit 5fba400
* Thu Feb 17 2022 kbuild@suse.de
- Automatically updated to 5.17-rc4-54-gf71077a4d84b
- commit a840d17
* Wed Feb 16 2022 tzimmermann@suse.de
- Revert "config: x86-64: Enable DRM stack for early-boot graphics (boo#1193472)"
  This reverts commit a6b1e6089c7fbcb3dc149eb1a005a32f0345fa13.
  Going back to efifb/vesafb for now. See boo#1195885 and boo#1195887.
- commit aadd217
* Wed Feb 16 2022 kbuild@suse.de
- Automatically updated to 5.17-rc4-51-gc5d9ae265b10
- commit 83947af
* Wed Feb 16 2022 dmueller@suse.com
- config: Disable CONFIG_READ_ONLY_THP_FOR_FS (bsc#1195774)
- commit 1a9eda9
* Tue Feb 15 2022 dmueller@suse.com
- config.conf: reenable armv6hl/armv7hl and aarch64
- Update config files:
  Taken choices from x86_64/default for all new options
  Otherwise =m where possible, =y otherwise unless DEBUG or EXPERIMENTAL
- commit 42f6b39
* Tue Feb 15 2022 kbuild@suse.de
- Automatically updated to 5.17-rc4-2-gd567f5db412e
- commit a829799
* Mon Feb 14 2022 kbuild@suse.de
- Automatically updated to 5.17-rc4
- commit 931d229
* Sun Feb 13 2022 kbuild@suse.de
- Automatically updated to 5.17-rc3-316-gb81b1829e7e3
- commit 5c286c8
* Sat Feb 12 2022 kbuild@suse.de
- Automatically updated to 5.17-rc3-247-g83e396641110
- commit 688573a
* Fri Feb 11 2022 msuchanek@suse.de
- kernel-binary: Do not include sourcedir in certificate path.
  The certs macro runs before build directory is set up so it creates the
  aggregate of supplied certificates in the source directory.
  Using this file directly as the certificate in kernel config works but
  embeds the source directory path in the kernel config.
  To avoid this symlink the certificate to the build directory and use
  relative path to refer to it.
  Also fabricate a certificate in the same location in build directory
  when none is provided.
- commit bb988d4
* Fri Feb 11 2022 msuchanek@suse.de
- constraints: Also adjust disk requirement for x86 and s390.
- commit 9719db0
* Fri Feb 11 2022 msuchanek@suse.de
- constraints: Increase disk space for aarch64
- commit 09c2882
* Fri Feb 11 2022 kbuild@suse.de
- Automatically updated to 5.17-rc3-116-gf1baf68e1383
- commit a96f2fc
* Thu Feb 10 2022 kbuild@suse.de
- Automatically updated to 5.17-rc3-43-gf4bc5bbb5fef
- commit eb65e31
* Wed Feb  9 2022 kbuild@suse.de
- Automatically updated to 5.17-rc3-29-ge6251ab4551f
- commit 937b900
* Tue Feb  8 2022 kbuild@suse.de
- Automatically updated to 5.17-rc3-20-g555f3d7be91a
- commit d95b7be
* Mon Feb  7 2022 kbuild@suse.de
- Automatically updated to 5.17-rc3
- commit d68d780
* Sun Feb  6 2022 mkubecek@suse.cz
- Update to 5.17-rc3
- eliminate 1 patch
  - patches.suse/cifs-fix-workstation_name-for-multiuser-mounts.patch
- update configs
  - FRAMEBUFFER_CONSOLE_LEGACY_ACCELERATION=n (y on i386)
- commit 011d00e
* Sun Feb  6 2022 kbuild@suse.de
- Automatically updated to 5.17-rc2-353-g90c9e950c0de
- commit 1932675
* Sat Feb  5 2022 kbuild@suse.de
- Automatically updated to 5.17-rc2-316-g0457e5153e0e
- commit 950123a
* Fri Feb  4 2022 kbuild@suse.de
- Automatically updated to 5.17-rc2-167-gdcb85f85fa6f
- commit 5015ec7
* Thu Feb  3 2022 kbuild@suse.de
- Automatically updated to 5.17-rc2-60-g88808fbbead4
- commit 264a0ef
* Wed Feb  2 2022 kbuild@suse.de
- Automatically updated to 5.17-rc2-39-g9f7fb8de5d9b
- commit cd44d90
* Mon Jan 31 2022 ludwig.nussel@suse.de
- kernel-obs-build: include 9p (boo#1195353)
  To be able to share files between host and the qemu vm of the build
  script, the 9p and 9p_virtio kernel modules need to be included in
  the initrd of kernel-obs-build.
- commit 0cfe67a
* Mon Jan 31 2022 kbuild@suse.de
- Automatically updated to 5.17-rc2
- commit ca9a468
* Mon Jan 31 2022 tzimmermann@suse.de
- config: x86-64: Enable DRM stack for early-boot graphics (boo#1193472)
  Replace fbdev's generic drivers with DRM-based simpledrm. Enables the
  DRM graphics stack for early-boot graphics, recovery and unsupported
  chipsets.
- commit a6abe2b
* Sun Jan 30 2022 mkubecek@suse.cz
- Update to 5.17-rc2
- eliminate 3 patches
  - patches.suse/s390-uaccess-fix-compile-error.patch
  - patches.suse/tcp-Add-a-stub-for-sk_defer_free_flush.patch
  - patches.suse/tcp-add-a-missing-sk_defer_free_flush-in-tcp_splice_.patch
- refresh configs
- commit 4a05aeb
* Sun Jan 30 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1-431-g8dd71685dcb7
- commit eb6bf44
* Sat Jan 29 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1-339-g169387e2aa29
- commit 8b27a1c
* Fri Jan 28 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1-230-g145d9b498fc8
- commit a056108
* Fri Jan 28 2022 mkubecek@suse.cz
- config: disable REGULATOR_MAX20086 on s390x
  This driver seems to make little sense on s390x and it also fails to build
  due to disabled CONFIG_GPIOLIB.
- commit d7918d0
* Thu Jan 27 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1-86-g626b2dda7651
- commit 2d8114d
* Wed Jan 26 2022 tiwai@suse.de
- Update config files: disable CONFIG_INTEL_IDXD_COMPAT (bsc#1194858)
  The compat support is rather unwanted, and this allows us to build
  idxd bus as module, too.
- commit c7100c5
* Wed Jan 26 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1-81-g0280e3c58f92
- commit edf8e20
* Tue Jan 25 2022 mrostecki@suse.de
- config: Enable BPF LSM
  This LSM might get more adoption both in core system projects and
  container/k8s works and it would be good to be ready to support them.
  BPF LSM is a feature available since kernel 5.7 which allows to write
  BPF programs attached to LSM hooks and allowing/denying a particular
  event.
  BPF LSM is already adopted in a (not yet default) restrict-fs feature in
  systemd[0].
  BPF LSM is also used in the lockc[1] project which we develop at SUSE.
  There should be no functional or performance changes for users who don't
  load any BPF LSM programs. BPF LSM works only if some BPF programs is
  explicitly loaded.
  [0] https://github.com/systemd/systemd/blob/main/src/core/bpf/restrict_fs/restrict-fs.bpf.c
  [1] https://github.com/rancher-sandbox/lockc
- commit 5d43e2e
* Tue Jan 25 2022 msuchanek@suse.de
- Refresh patches.rpmify/powerpc-64-BE-option-to-use-ELFv2-ABI-for-big-endian.patch.
- commit 94824fc
* Tue Jan 25 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1-36-ga08b41ab9e2e
- commit 60700ac
* Mon Jan 24 2022 msuchanek@suse.de
- kernel-binary.spec.in: Move 20-kernel-default-extra.conf to the correctr
  directory (bsc#1195051).
- commit c80b5de
* Mon Jan 24 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1-32-gdd81e1c7d5fb
- commit b69ed12
* Sun Jan 23 2022 mkubecek@suse.cz
- Update to 5.17-rc1
- eliminated 73 patches (67 stable, 6 mainline)
  - patches.kernel.org/*
  - patches.suse/0001-usb-Add-Xen-pvUSB-protocol-description.patch
  - patches.suse/0002-usb-Introduce-Xen-pvUSB-frontend-xen-hcd.patch
  - patches.suse/ALSA-usb-audio-Add-minimal-mute-notion-in-dB-mapping.patch
  - patches.suse/ALSA-usb-audio-Fix-dB-level-of-Bose-Revolve-SoundLin.patch
  - patches.suse/ALSA-usb-audio-Use-int-for-dB-map-values.patch
  - patches.suse/mwifiex-Fix-skb_over_panic-in-mwifiex_usb_recv.patch
- refresh
  - patches.rpmify/powerpc-64-BE-option-to-use-ELFv2-ABI-for-big-endian.patch
  - patches.suse/iwlwifi-module-firmware-ucode-fix.patch
  - patches.suse/vfs-add-super_operations-get_inode_dev
  - patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
- disable ARM architectures (need config update)
- new config options
  - Power management and ACPI options
  - ACPI_PFRUT=m
  - ACPI_PCC=y
  - X86_AMD_PSTATE=m
  - Memory Management options
  - ANON_VMA_NAME=y
  - Networking support
  - NET_9P_FD=m
  - File systems
  - CACHEFILES_ERROR_INJECTION=n
  - UNICODE_UTF8_DATA=y
  - Kernel hacking
  - NET_DEV_REFCNT_TRACKER=n
  - NET_NS_REFCNT_TRACKER=n
  - PAGE_TABLE_CHECK=y
  - PAGE_TABLE_CHECK_ENFORCED=n
  - FTRACE_SORT_STARTUP_TEST=n
  - TEST_REF_TRACKER=n
  - TEST_SIPHASH=n
  - Generic Driver Options
  - DEVTMPFS_SAFE=n
  - Network device support
  - NET_VENDOR_ENGLEDER=y
  - TSNEP=m
  - TSNEP_SELFTESTS=n
  - ICE_HWTS=y
  - NET_VENDOR_VERTEXCOM=y
  - MSE102X=m
  - MCTP_SERIAL=m
  - IWLMEI=m
  - WWAN_DEBUGFS=n
  - Hardware Monitoring support
  - SENSORS_NZXT_SMART2=m
  - SENSORS_DELTA_AHE50DC_FAN=m
  - SENSORS_IR38064_REGULATOR=y
  - SENSORS_MP5023=m
  - SENSORS_INA238=m
  - SENSORS_ASUS_WMI=m
  - SENSORS_ASUS_WMI_EC=m
  - Voltage and Current Regulator Support
  - REGULATOR_MAX20086=m
  - REGULATOR_TPS68470=m
  - Graphics support
  - TINYDRM_ILI9163=n
  - Sound card support
  - SND_HDA_SCODEC_CS35L41_I2C=m
  - SND_HDA_SCODEC_CS35L41_SPI=m
  - SND_SOC_INTEL_SOF_NAU8825_MACH=m
  - SND_SOC_SOF_AMD_TOPLEVEL=m
  - SND_SOC_SOF_AMD_RENOIR=m
  - SND_SOC_AK4375=n
  - SND_SOC_TLV320ADC3XXX=n
  - X86 Platform Specific Device Drivers
  - YOGABOOK_WMI=m
  - ASUS_TF103C_DOCK=m
  - INTEL_VSEC=m
  - X86_ANDROID_TABLETS=m
  - SIEMENS_SIMATIC_IPC=m
  - SIEMENS_SIMATIC_IPC_WDT=m
  - Common Clock Framework
  - COMMON_CLK_TPS68470=n
  - COMMON_CLK_LAN966X=n
  - Industrial I/O support
  - TI_ADS8344=n
  - TI_ADS8688=n
  - TI_ADS124S08=n
  - AD74413R=n
  - AD3552R=n
  - AD7293=n
  - MAX5821=n
  - ADMV8818=n
  - ADMV1013=n
  - Misc drivers
  - GNSS_USB=m
  - SERIAL_8250_PERICOM=y
  - GPIO_SIM=m
  - CHARGER_MAX77976=m
  - VIDEO_OV5693=m
  - HID_LETSKETCH=m
  - LEDS_SIEMENS_SIMATIC_IPC=m
  - OF dependent (i386, ppc64/ppc64le, riscv64)
  - DRM_RCAR_USE_LVDS=n
  - DRM_RCAR_MIPI_DSI=n
  - DRM_PANEL_BOE_BF060Y8M_AJ0=n
  - DRM_PANEL_JDI_R63452=n
  - DRM_PANEL_NOVATEK_NT35950=n
  - DRM_PANEL_SONY_TULIP_TRULY_NT35521=n
  - VIDEO_MAX96712=m
  - PHY_FSL_IMX8M_PCIE=m
  - x86_64
  - SLS=y
  - i386
  - PHY_LAN966X_SERDES=m
  - ppc64 / ppc64le
  - KVM_BOOK3S_HV_NESTED_PMU_WORKAROUND=n
  - SURFACE_PLATFORMS=n
  - s390x
  - SURFACE_PLATFORMS=n
  - CRYPTO_CHACHA_S390=m
  - riscv64
  - SOC_STARFIVE=y
  - RISCV_BOOT_SPINWAIT=y
  - PINCTRL_STARFIVE=m
  - SND_AMD_ACP_CONFIG=m
  - CLK_STARFIVE_JH7100=y
  - RESET_STARFIVE_JH7100=y
  - PHY_LAN966X_SERDES=m
- commit 13f9d36
* Sun Jan 23 2022 kbuild@suse.de
- Automatically updated to 5.17-rc1
- commit 9b4eb60
* Sat Jan 22 2022 kbuild@suse.de
- Automatically updated to 5.16-11769-g1c52283265a4
- commit 83bb3b9
* Fri Jan 21 2022 kbuild@suse.de
- Automatically updated to 5.16-11444-gc2c94b3b187d
- commit 000d4e8
* Thu Jan 20 2022 msuchanek@suse.de
- kernel-binary.spec: Do not use the default certificate path (bsc#1194943).
  Using the the default path is broken since Linux 5.17
- commit 68b36f0
* Thu Jan 20 2022 kbuild@suse.de
- Automatically updated to 5.16-11358-gfa2e1ba3e9e3
- commit 9ef7a6c
* Wed Jan 19 2022 kbuild@suse.de
- Automatically updated to 5.16-11200-g1d1df41c5a33
- commit e762792
* Tue Jan 18 2022 kbuild@suse.de
- Automatically updated to 5.16-10996-gfe81ba137ebc
- commit 50a309d
* Mon Jan 17 2022 kbuild@suse.de
- Automatically updated to 5.16-10660-g0c947b893d69
- commit 68b830a
* Sun Jan 16 2022 kbuild@suse.de
- Automatically updated to 5.16-10186-g4d66020dcef8
- commit 4a7d9cb
* Sat Jan 15 2022 kbuild@suse.de
- Automatically updated to 5.16-9673-ga33f5c380c4b
- commit 1c6b320
* Fri Jan 14 2022 kbuild@suse.de
- Automatically updated to 5.16-8301-gfb3b0673b7d5
- commit ad73870
* Thu Jan 13 2022 kbuild@suse.de
- Automatically updated to 5.16-8050-g455e73a07f6e
- commit 7e6d199
* Wed Jan 12 2022 kbuild@suse.de
- Automatically updated to 5.16-6518-gdaadb3bd0e8d
- commit 82348f2
* Tue Jan 11 2022 kbuild@suse.de
- Automatically updated to 5.16-5221-gfe8152b38d3a
- commit 4bb0073
* Mon Jan 10 2022 kbuild@suse.de
- Automatically updated to 5.16
- commit 562c6c2
* Mon Jan 10 2022 mkubecek@suse.cz
- Update to 5.16 final
- refresh configs (headers only)
- commit e5ad967
* Sun Jan  9 2022 kbuild@suse.de
- Automatically updated to 5.16-rc8-92-g4634129ad9fd
- commit 26066db
* Sat Jan  8 2022 kbuild@suse.de
- Automatically updated to 5.16-rc8-77-gd1587f7bfe9a
- commit cdcb957
* Fri Jan  7 2022 kbuild@suse.de
- Automatically updated to 5.16-rc8-57-gddec8ed2d490
- commit dac3bf8
* Thu Jan  6 2022 kbuild@suse.de
- Automatically updated to 5.16-rc8-48-g75acfdb6fd92
- commit 3e8dabf
* Mon Jan  3 2022 dmueller@suse.com
- Revert "config: disable BTRFS_ASSERT in default kernels"
  This was pushed without enough review, reverting.
- commit a725a41
* Mon Jan  3 2022 kbuild@suse.de
- config.conf: Add remaining architectures as disabled.
- commit bb8fef1
* Mon Jan  3 2022 kbuild@suse.de
- Automatically updated to 5.16-rc8
- commit 23712a3
* Sun Jan  2 2022 kbuild@suse.de
- Automatically updated to 5.16-rc7-111-g278218f6778b
- commit 017981d
* Sat Jan  1 2022 kbuild@suse.de
- Automatically updated to 5.16-rc7-108-g800829388818
- commit 7ba410b
* Fri Dec 31 2021 schwab@suse.de
- config: Enable CONFIG_CMA on riscv64
  Non-default dependent config changes:
- DMA_CMA=y
- commit 9f1d139
* Fri Dec 31 2021 kbuild@suse.de
- Automatically updated to 5.16-rc7-99-g4f3d93c6eaff
- commit 0c835c9
* Thu Dec 30 2021 kbuild@suse.de
- Automatically updated to 5.16-rc7-11-geec4df26e24e
- commit 705abd9
* Thu Dec 30 2021 dmueller@suse.com
- fix rpm build warning
  tumbleweed rpm is adding these warnings to the log:
  It's not recommended to have unversioned Obsoletes: Obsoletes:      microcode_ctl
- commit 3ba8941
* Wed Dec 29 2021 kbuild@suse.de
- Automatically updated to 5.16-rc7-9-ge7c124bd0463
- commit bf46828
* Tue Dec 28 2021 kbuild@suse.de
- Automatically updated to 5.16-rc7-2-ga8ad9a2434dc
- commit e405b08
* Mon Dec 27 2021 kbuild@suse.de
- Automatically updated to 5.16-rc7
- commit c1b8fd9
* Sun Dec 26 2021 mkubecek@suse.cz
- Update to 5.16-rc7
- refresh
  - patches.suse/add-product-identifying-information-to-vmcoreinfo.patch
- refresh configs
- commit d03c6ba
* Sun Dec 26 2021 kbuild@suse.de
- Automatically updated to 5.16-rc6-192-g438645193e59
- commit 3edcd6f
* Sat Dec 25 2021 kbuild@suse.de
- Automatically updated to 5.16-rc6-162-gb927dfc67d05
- commit 388f312
* Fri Dec 24 2021 kbuild@suse.de
- Automatically updated to 5.16-rc6-152-g7a29b11da965
- commit 06bdc20
* Thu Dec 23 2021 kbuild@suse.de
- Automatically updated to 5.16-rc6-48-gbc491fb12513
- commit b2429a3
* Wed Dec 22 2021 dmueller@suse.com
- build initrd without systemd
  This reduces the size of the initrd by over 25%%, which
  improves startup time of the virtual machine by 0.5-0.6s on
  very fast machines, more on slower ones.
- commit ef4c569
* Wed Dec 22 2021 dmueller@suse.com
- config: disable BTRFS_ASSERT in default kernels
  BTRFS_ASSERT is marked as developer only option and hence
  shouldn't be enabled in the default kernel. we enable it
  in the debug flavor now.
  This improves performance of a fio randrw run by over 21%% and
  reduces code size by 25%%.
- commit 91b6218
* Wed Dec 22 2021 kbuild@suse.de
- Automatically updated to 5.16-rc6-31-g2f47a9a4dfa3
- commit d6cc0ed
* Tue Dec 21 2021 kbuild@suse.de
- Automatically updated to 5.16-rc6-14-g6e0567b73052
- commit b869713
* Mon Dec 20 2021 dmueller@suse.com
- add kvmsmall flavor for aarch64
- commit deff41d
* Mon Dec 20 2021 kbuild@suse.de
- Automatically updated to 5.16-rc6
- commit 71ef821
* Sun Dec 19 2021 mkubecek@suse.cz
- Update to 5.16-rc6
- refresh configs
- disable
  patches.suse/btrfs-use-the-new-VFS-super_block_dev.patch
  - needs an update after mainline commit 33fab972497a ("btrfs: fix double
    free of anon_dev after failure to create subvolume")
- commit 1edf65e
* Sun Dec 19 2021 mkubecek@suse.cz
- config: enable and refresh arm architectures
- commit 19efe39
* Sun Dec 19 2021 kbuild@suse.de
- Automatically updated to 5.16-rc5-247-g3f667b5d4053
- commit e90fae3
* Sat Dec 18 2021 kbuild@suse.de
- Automatically updated to 5.16-rc5-224-g9eaa88c7036e
- commit 7b85f05
* Fri Dec 17 2021 dmueller@suse.com
- kernel-obs-build: remove duplicated/unused parameters
  lbs=0 - this parameters is just giving "unused parameter" and it looks
  like I can not find any version that implemented this.
  rd.driver.pre=binfmt_misc is not needed when setup_obs is used, it
  alread loads the kernel module.
  quiet and panic=1 will now be also always added by OBS, so we don't have
  to set it here anymore.
- commit 972c692
* Fri Dec 17 2021 kbuild@suse.de
- Automatically updated to 5.16-rc5-171-g6441998e2e37
- commit dfef89b
* Thu Dec 16 2021 mbrugger@suse.com
- armv6hl: Update config files.
  Update config to v5.16-rc5
- commit cc9e71d
* Thu Dec 16 2021 mbrugger@suse.com
- armv7hl: Update config files.
  Update config to v5.16-rc3
- commit 2fb8960
* Thu Dec 16 2021 mbrugger@suse.com
- arm64: Update config files.
  Update configs to v5.16-rc5
- commit fd480e2
* Thu Dec 16 2021 kbuild@suse.de
- Automatically updated to 5.16-rc5-25-g2b14864acbaa
- commit 219405e
* Tue Dec 14 2021 dmueller@suse.com
- Revert "- rpm/*build: use buildroot macro instead of env variable"
  buildroot macro is not being expanded inside a shell script. go
  back to the environment variable usage. This reverts parts of
  commit e2f60269b9330d7225b2547e057ef0859ccec155.
- commit fe85f96
* Tue Dec 14 2021 dmueller@suse.com
- kernel-obs-build: include the preferred kernel parameters
  Currently the Open Build Service hardcodes the kernel boot parameters
  globally. Recently functionality was added to control the parameters
  by the kernel-obs-build package, so make use of that. parameters here
  will overwrite what is used by OBS otherwise.
- commit a631240
* Tue Dec 14 2021 kbuild@suse.de
- Automatically updated to 5.16-rc5-10-g5472f14a3742
- commit e3d7597
* Mon Dec 13 2021 msuchanek@suse.de
- config: INPUT_EVBUG=n (bsc#1192974).
  Debug driver unsuitable for production, only enabled on ppc64.
- commit 2ff8364
* Mon Dec 13 2021 kbuild@suse.de
- Automatically updated to 5.16-rc5
- commit 3b4c00b
* Mon Dec 13 2021 dmueller@suse.com
- kernel-obs-build: inform build service about virtio-serial
  Inform the build worker code that this kernel supports virtio-serial,
  which improves performance and relability of logging.
- commit 301a3a7
* Mon Dec 13 2021 dmueller@suse.com
- rpm/*.spec.in: use buildroot macro instead of env variable
  The RPM_BUILD_ROOT variable is considered deprecated over
  a buildroot macro. future proof the spec files.
- commit e2f6026
* Sun Dec 12 2021 kbuild@suse.de
- Automatically updated to 5.16-rc4-338-ga763d5a5abd6
- commit 458f8f6
* Sat Dec 11 2021 kbuild@suse.de
- Automatically updated to 5.16-rc4-260-g6f513529296f
- commit 61fb0e9
* Fri Dec 10 2021 kbuild@suse.de
- Automatically updated to 5.16-rc4-163-gc741e49150db
- commit 1adc038
* Thu Dec  9 2021 ohering@suse.de
- Disable hyperv_fb in favour of hyperv_drm (jsc#SLE-19733)
- commit 0adc81c
* Wed Dec  8 2021 kbuild@suse.de
- Automatically updated to 5.16-rc4-31-g2a987e65025e
- commit 4313585
* Tue Dec  7 2021 kbuild@suse.de
- Automatically updated to 5.16-rc4-12-gcd8c917a56f2
- commit 9149e5b
* Mon Dec  6 2021 kbuild@suse.de
- Automatically updated to 5.16-rc4
- commit 5d28a4e
* Sun Dec  5 2021 kbuild@suse.de
- Automatically updated to 5.16-rc3-277-g79a72162048e
- commit 996cdaf
* Sat Dec  4 2021 kbuild@suse.de
- Automatically updated to 5.16-rc3-258-g12119cfa1052
- commit c044a53
* Fri Dec  3 2021 kbuild@suse.de
- Automatically updated to 5.16-rc3-227-g5f58da2befa5
- commit 957552a
* Thu Dec  2 2021 jslaby@suse.cz
- rpm/kernel-binary.spec.in: don't strip vmlinux again (bsc#1193306)
  After usrmerge, vmlinux file is not named vmlinux-<version>, but simply
  vmlinux. And this is not reflected in STRIP_KEEP_SYMTAB we set.
  So fix this by removing the dash...
- commit 83af88d
* Wed Dec  1 2021 kbuild@suse.de
- Automatically updated to 5.16-rc3-51-g58e1100fdc59
- commit cee5af2
* Mon Nov 29 2021 kbuild@suse.de
- Automatically updated to 5.16-rc3
- commit 53d3ee4
* Sun Nov 28 2021 mkubecek@suse.cz
- Update to 5.16-rc3
- refresh configs
- commit bbb7346
* Sun Nov 28 2021 kbuild@suse.de
- Automatically updated to 5.16-rc2-400-g3498e7f2bb41
- commit cc5789e
* Sat Nov 27 2021 kbuild@suse.de
- Automatically updated to 5.16-rc2-344-gc5c17547b778
- commit c2b8085
* Fri Nov 26 2021 msuchanek@suse.de
- constraints: Build aarch64 on recent ARMv8.1 builders.
  Request asimdrdm feature which is available only on recent ARMv8.1 CPUs.
  This should prevent scheduling the kernel on an older slower builder.
- commit 60fc53f
* Fri Nov 26 2021 kbuild@suse.de
- Automatically updated to 5.16-rc2-162-ga4849f6000e2
- commit d8b5801
* Thu Nov 25 2021 kbuild@suse.de
- Automatically updated to 5.16-rc2-82-g5f53fa508db0
- commit 50ce82b
* Wed Nov 24 2021 kbuild@suse.de
- Automatically updated to 5.16-rc2-54-g5d9f4cf36721
- commit 08a20e0
* Tue Nov 23 2021 msuchanek@suse.de
- kernel-source.spec: install-kernel-tools also required on 15.4
- commit 6cefb55
* Mon Nov 22 2021 kbuild@suse.de
- Automatically updated to 5.16-rc2
- commit a08534d
* Sun Nov 21 2021 mkubecek@suse.cz
- update to 5.16-rc2
- refresh
  - patches.suse/suse-hv-guest-os-id.patch
- update configs (restore values before 5.14-rc1)
  - PSTORE_ZONE=m
  - PSTORE_BLK=m
  - PSTORE_BLK_BLKDEV=""
  - PSTORE_BLK_KMSG_SIZE=64
  - PSTORE_BLK_MAX_REASON=2
  - MTD_PSTORE=m
- commit 8c25599
* Sun Nov 21 2021 kbuild@suse.de
- Automatically updated to 5.16-rc1-367-g923dcc5eb0c1
- commit d6563ea
* Sat Nov 20 2021 kbuild@suse.de
- Automatically updated to 5.16-rc1-313-ga90af8f15bdc
- commit a844cb8
* Fri Nov 19 2021 kbuild@suse.de
- Automatically updated to 5.16-rc1-236-g4c388a8e740d
- commit c88f937
* Thu Nov 18 2021 kbuild@suse.de
- Automatically updated to 5.16-rc1-21-g42eb8fdac2fc
- commit 132754d
* Tue Nov 16 2021 msuchanek@suse.de
- kernel-*-subpackage: Add dependency on kernel scriptlets (bsc#1192740).
- commit a133bf4
* Mon Nov 15 2021 kbuild@suse.de
- Automatically updated to 5.16-rc1-3-g8ab774587903
- commit 721c8cf
* Mon Nov 15 2021 mkubecek@suse.cz
- Update to 5.16-rc1
- eliminated 26 patches (13 stable, 13 mainline)
  - patches.kernel.org/*
  - patches.suse/ALSA-usb-audio-Restrict-rates-for-the-shared-clocks.patch
  - patches.suse/Bluetooth-sco-Fix-lock_sock-blockage-by-memcpy_from_.patch
  - patches.suse/Input-i8042-Add-quirk-for-Fujitsu-Lifebook-T725.patch
  - patches.suse/arm64-dts-rockchip-Disable-CDN-DP-on-Pinebook-Pro.patch
  - patches.suse/rtw89-Fix-two-spelling-mistakes-in-debug-messages.patch
  - patches.suse/rtw89-Fix-variable-dereferenced-before-check-sta.patch
  - patches.suse/rtw89-Remove-redundant-check-of-ret-after-call-to-rt.patch
  - patches.suse/rtw89-add-Realtek-802.11ax-driver.patch
  - patches.suse/rtw89-fix-error-function-parameter.patch
  - patches.suse/rtw89-fix-return-value-check-in-rtw89_cam_send_sec_k.patch
  - patches.suse/rtw89-fix-return-value-in-hfc_pub_cfg_chk.patch
  - patches.suse/rtw89-remove-duplicate-register-definitions.patch
  - patches.suse/rtw89-remove-unneeded-semicolon.patch
- refresh
  - patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  - patches.suse/suse-hv-guest-os-id.patch
- disable ARM architectures (need config update)
- new config options
  - General setup
  - PREEMPT_DYNAMIC=y
  - Processor type and features
  - SCHED_CLUSTER=y
  - STRICT_SIGALTSTACK_SIZE=n
  - Networking support
  - NETFILTER_EGRESS=y
  - MCTP=y
  - File systems
  - EROFS_FS_ZIP_LZMA=y
  - Library routines
  - XZ_DEC_MICROLZMA=y
  - Kernel hacking
  - DEBUG_PREEMPT=n
  - PREEMPT_TRACER=n
  - SCSI device support
  - SCSI_UFS_HWMON=y
  - Network device support
  - AMT=m
  - NET_VENDOR_ASIX=y
  - SPI_AX88796C=m
  - SPI_AX88796C_COMPRESSION=y
  - ICE_SWITCHDEV=y
  - MT7921S=m
  - Character devices
  - RPMSG_TTY=m
  - CEC support
  - CEC_GPIO=m
  - CEC_PIN_ERROR_INJ=n
  - Multimedia support
  - VIDEO_HI846=m
  - VIDEO_OV13B10=m
  - Graphics support
  - DRM_DEBUG_MODESET_LOCK=n
  - DRM_I915_PXP=y
  - Sound card support
  - SND_SOC_AMD_VANGOGH_MACH=m
  - SND_SOC_AMD_ACP6x=m
  - SND_SOC_AMD_ACP_COMMON=m
  - SND_SOC_AMD_YC_MACH=m
  - SND_AMD_ASOC_RENOIR=m
  - SND_SOC_AMD_LEGACY_MACH=m
  - SND_SOC_AMD_SOF_MACH=m
  - SND_SOC_INTEL_SOF_ES8336_MACH=m
  - SND_SOC_CS35L41_SPI=m
  - SND_SOC_CS35L41_I2C=m
  - SND_SOC_MAX98520=m
  - SND_SOC_RT9120=m
  - SND_SOC_NAU8821=m
  - HID support
  - HID_XIAOMI=m
  - HID_NINTENDO=m
  - NINTENDO_FF=y
  - X86 Platform Specific Device Drivers
  - NVIDIA_WMI_EC_BACKLIGHT=m
  - INTEL_ISHTP_ECLITE=m
  - BARCO_P50_GPIO=m
  - Industrial I/O support
  - ADXL313_I2C=n
  - ADXL313_SPI=n
  - ADXL355_I2C=n
  - ADXL355_SPI=n
  - SCD4X=n
  - SENSEAIR_SUNRISE_CO2=n
  - ADRF6780=n
  - MAX31865=m
  - Misc devices
  - INTEL_MEI_PXP=m
  - KEYBOARD_CYPRESS_SF=m
  - SENSORS_MAX6620=m
  - HT16K33=n
  - ALIBABA_ENI_VDPA=m
  - MLXREG_LC=m
  - OF dependent (i386, ppc64/ppc64le, riscv64)
  - SPI_CADENCE_XSPI=m
  - DRM_PANEL_EDP=m
  - DRM_PANEL_SAMSUNG_S6D27A1=n
  - DRM_PANEL_SHARP_LS060T1SX01=n
  - i386
    SND_AUDIO_GRAPH_CARD2=n
    SND_TEST_COMPONENT=m
  - ppc64
  - IPMI_IPMB=m
  - s390x
  - COMMAND_LINE_SIZE=4096 (default)
  - riscv64
  - TIME_NS=y
  - VIRTUALIZATION=y
  - KVM=m
  - SND_AUDIO_GRAPH_CARD2=n
  - SND_TEST_COMPONENT=m
  - */debug
  - DRM_DEBUG_MODESET_LOCK=y
- commit 7f0159b
* Sun Nov 14 2021 kbuild@suse.de
- Automatically updated to 5.15-12999-gc8c109546a19
- commit 8df2fcf
* Sat Nov 13 2021 kbuild@suse.de
- Automatically updated to 5.15-12780-g66f4beaa6c1d
- commit 44cea29
* Fri Nov 12 2021 kbuild@suse.de
- Automatically updated to 5.15-12452-g5833291ab6de
- commit a07e064
* Thu Nov 11 2021 kbuild@suse.de
- Automatically updated to 5.15-12267-gdebe436e77c7
- commit 3a1b2ea
* Thu Nov 11 2021 msuchanek@suse.de
- Fix problem with missing installkernel on Tumbleweed.
- commit 2ed6686
* Thu Nov 11 2021 mkubecek@suse.cz
- config: refresh
- drop PROFILE_ALL_BRANCHES where not available any more
- commit b15aad6
* Wed Nov 10 2021 kbuild@suse.de
- Automatically updated to 5.15-11863-gcb690f5238d7
- commit 5ad16bd
* Tue Nov  9 2021 tiwai@suse.de
- Update config files: set CONFIG_FORTIFY_SOURCE=y consistently (bsc#1192476)
- commit 76d1da2
* Tue Nov  9 2021 kbuild@suse.de
- Automatically updated to 5.15-11645-gd2f38a3c6507
- commit 28adf32
* Mon Nov  8 2021 msuchanek@suse.de
- Update config files (bsc#1192456).
  CONFIG_IMA_TRUSTED_KEYRING=y
- commit 0a73fd5
* Sun Oct 31 2021 mkubecek@suse.cz
- Update to 5.15 final
- refresh configs
  - drop CONFIG_RESET_PISTACHIO
- commit c3f08cc
* Sun Oct 31 2021 mkubecek@suse.cz
- config: update and enable armv6hl
  Update armv6hl configs to 5.15-rc7 and enable them. Where possible, values
  are taken from armv7hl, the rest is guesswork based on values of similar
  config options.
- commit 7a97758
* Sun Oct 31 2021 mkubecek@suse.cz
- config: update and enable armv7hl
  Update armv7hl configs to 5.15-rc7 and enable them. Where possible, values
  are taken from arm64, the rest is guesswork based on values of similar
  config options.
- commit 44cc72d
* Sun Oct 31 2021 mkubecek@suse.cz
- config: update and enable arm64
  Update arm64 configs to 5.15-rc7 and enable them. Where possible, values
  are taken from x86_64, the rest is guesswork based on values of similar
  config options.
- commit a704d20
* Thu Oct 28 2021 ykaukab@suse.de
- config: arm64: enable dpaa2 restool support
  References: bsc#1191190
- commit 59ee092
* Tue Oct 19 2021 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: move to zstd for the initrd
  Newer distros have capability to decompress zstd, which
  provides a 2-5%% better compression ratio at very similar
  cpu overhead. Plus this tests the zstd codepaths now as well.
- commit 3d53a5b
* Tue Oct 19 2021 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: reduce initrd functionality
  For building in OBS, we always build inside a virtual machine
  that gets a new, freshly created scratch filesystem image. So
  we do not need to handle fscks because that ain't gonna happen,
  as well as not we do not need to handle microcode update in the
  initrd as these only can be run on the host system anyway. We
  can also strip and hardlink as an additional optimisation that
  should not significantly hurt.
- commit c72c6fc
* Mon Oct 18 2021 mkubecek@suse.cz
- Update to 5.15-rc6
- refresh configs
  - drop SIMPLE_PM_BUS
- commit bbda4de
* Wed Oct 13 2021 msuchanek@suse.de
- kernel-spec-macros: Since rpm 4.17 %%verbose is unusable (bsc#1191229).
  The semantic changed in an incompatible way so invoking the macro now
  causes a build failure.
- commit 3e55f55
* Mon Oct 11 2021 mbrugger@suse.com
- rtw89: add Realtek 802.11ax driver (bsc#1191321).
- commit 6a57aa3
* Mon Oct 11 2021 tiwai@suse.de
- Enable CONFIG_RTW88_DEBUG and CONFIG_RTW89_DEBUG on debug flavors (bsc#1191321)
- commit 254afd2
* Mon Oct 11 2021 mkubecek@suse.cz
- Update to 5.15-rc5
- update configs
  - FIRMWARE_MEMMAP=y (ppc64, ppc64le, s390x)
  - FW_CFG_SYSFS=m (ppc64)
  - FB_SIMPLE=n (s390x)
- commit 9942c93
* Tue Oct  5 2021 ludwig.nussel@suse.de
- rpm: use _rpmmacrodir (boo#1191384)
- commit e350c14
* Thu Sep 30 2021 kbuild@suse.de
- Automatically updated to 5.15-rc3-135-g02d5e016800d
- commit 5cfcea9
* Thu Sep 30 2021 mbrugger@suse.com
- arm64: Update config files. (bsc#1185927)
  Set PINCTRL_ZYNQMP as build-in.
- commit cc33d5a
* Wed Sep 29 2021 kbuild@suse.de
- Automatically updated to 5.15-rc3-104-ga4e6f95a891a
- commit 2daa14b
* Tue Sep 28 2021 kbuild@suse.de
- Automatically updated to 5.15-rc3-68-g0513e464f900
- commit 3babab5
* Mon Sep 27 2021 msuchanek@suse.de
- kernel-binary.spec: Do not sign kernel when no key provided
  (bsc#1187167).
- commit 6c24533
* Mon Sep 27 2021 kbuild@suse.de
- Automatically updated to 5.15-rc3
- commit 602dd55
* Sun Sep 26 2021 mkubecek@suse.cz
- Update to 5.15-rc3
- eliminated 3 patches:
  - patches.rpmify/scripts-sorttable-riscv-fix-undelcred-identifier-EM_.patch
  - patches.suse/posix-cpu-timers-Fix-spuriously-armed-0-value-itimer.patch
  - patches.suse/nvmem-nintendo-otp-add-dependency-on-CONFIG_HAS_IOME.patch
    (still meaningful in upstream but no longer needed four our configs)
- refresh configs
  - drop NVMEM_NINTENDO_OTP
  - i386: drop XEN_PCIDEV_FRONTEND and SWIOTLB_XEN
- commit 30085f5
* Sun Sep 26 2021 kbuild@suse.de
- Automatically updated to 5.15-rc2-320-ga3b397b4fffb
- commit 6f6a088
* Sat Sep 25 2021 kbuild@suse.de
- Automatically updated to 5.15-rc2-159-g7d42e9818258
- commit 9bd3fcc
* Fri Sep 24 2021 kbuild@suse.de
- Automatically updated to 5.15-rc2-123-gf9e36107ec70
- commit cd844fa
* Thu Sep 23 2021 kbuild@suse.de
- Automatically updated to 5.15-rc2-51-g58e2cf5d7946
- commit 07821bd
* Wed Sep 22 2021 msuchanek@suse.de
- kernel-binary.spec: suse-kernel-rpm-scriptlets required for uninstall as
  well.
  Fixes: e98096d5cf85 ("rpm: Abolish scritplet templating (bsc#1189841).")
- commit e082fbf
* Wed Sep 22 2021 kbuild@suse.de
- Automatically updated to 5.15-rc2-32-g92477dd1faa6
- commit 5999a2a
* Tue Sep 21 2021 kbuild@suse.de
- Automatically updated to 5.15-rc2-27-gd9fb678414c0
- commit 7299d78
* Mon Sep 20 2021 kbuild@suse.de
- Automatically updated to 5.15-rc2
- commit 32ff218
* Mon Sep 20 2021 mkubecek@suse.cz
- Update to 5.15-rc2
- eliminated 2 patches
  - patches.suse/memblock-introduce-saner-memblock_free_ptr-interface.patch
  - patches.suse/tools-bootconfig-define-memblock_free_ptr-to-fix-build-error.patch
- update configs
  - ARCH_NR_GPIO (1024 on x86_64, 512 on i386)
  - drop WARN_DYNAMIC_STACK on s390x
- commit a13f902
* Sun Sep 19 2021 kbuild@suse.de
- Automatically updated to 5.15-rc1-239-gd4d016caa4b8
- commit ba83bd7
* Sat Sep 18 2021 kbuild@suse.de
- Automatically updated to 5.15-rc1-221-g4357f03d6611
- commit c2c5576
* Fri Sep 17 2021 msuchanek@suse.de
- kernel-binary.spec: Check for no kernel signing certificates.
  Also remove unused variable.
- commit bdc323e
* Fri Sep 17 2021 msuchanek@suse.de
- Revert "rpm/kernel-binary.spec: Use only non-empty certificates."
  This reverts commit 30360abfb58aec2c9ee7b6a27edebe875c90029d.
- commit 413e05b
* Fri Sep 17 2021 mkubecek@suse.cz
- nvmem: nintendo-otp: add dependency on CONFIG_HAS_IOMEM
  (202108250657.h5CWR7Xf-lkp@intel.com).
  Fix s390x/zfcpdump build.
- refresh configs (s390x/zfcpdump: NVMEM_NINTENDO_OTP=n)
- commit a19c933
* Fri Sep 17 2021 kbuild@suse.de
- Automatically updated to 5.15-rc1-164-gbdb575f87217
- commit 2a25a90
* Fri Sep 17 2021 msuchanek@suse.de
- rpm/kernel-binary.spec: Use only non-empty certificates.
- commit 30360ab
* Thu Sep 16 2021 kbuild@suse.de
- Automatically updated to 5.15-rc1-33-gff1ffd71d5f0
- commit 5584406
* Wed Sep 15 2021 mkubecek@suse.cz
- config: disable ZERO_CALL_USED_REGS
  This was enable due to a misunderstanding, I thought it was a workaround
  for a recent CPU vulnerability. Now it rather seems to be just another
  hardening with questionable gain and measurable performance impact.
- commit 9e57c7b
* Wed Sep 15 2021 kbuild@suse.de
- Automatically updated to 5.15-rc1-19-g3ca706c189db
- commit 61ef2c8
* Wed Sep 15 2021 vbabka@suse.cz
- config: disable CONFIG_SYSFB_SIMPLEFB
  The new option in 5.15 is a rename from CONFIG_X86_SYSFB which we had disabled
  due to bsc#855821. Moreover, enabling CONFIG_SYSFB_SIMPLEFB caused regression
  on my UEFI desktop - no printk output on screen between grub's loading of
  kernel and initrd, and a gpu modesetting driver taking over.
- commit 9edfe86
* Tue Sep 14 2021 kbuild@suse.de
- Automatically updated to 5.15-rc1-15-gd0ee23f9d78b
- commit 79de6e0
* Mon Sep 13 2021 kbuild@suse.de
- Automatically updated to 5.15-rc1
- commit 4f20bbb
* Mon Sep 13 2021 mkubecek@suse.cz
- Update to 5.15-rc1
- eliminated 36 patches (27 stable, 9 mainline)
  - patches.kernel.org/*
  - patches.suse/Bluetooth-avoid-circular-locks-in-sco_sock_connect.patch
  - patches.suse/Bluetooth-btusb-Add-support-for-Foxconn-Mediatek-Chi.patch
  - patches.suse/Bluetooth-btusb-Add-support-for-IMC-Networks-Mediate.patch
  - patches.suse/Bluetooth-schedule-SCO-timeouts-with-delayed_work.patch
  - patches.suse/Bluetooth-switch-to-lock_sock-in-SCO.patch
  - patches.suse/HID-usbhid-Simplify-code-in-hid_submit_ctrl.patch
  - patches.suse/crypto-ecc-handle-unaligned-input-buffer-in-ecc_swap.patch
  - patches.suse/memcg-enable-accounting-of-ipc-resources.patch
  - patches.suse/watchdog-Fix-NULL-pointer-dereference-when-releasing.patch
- refresh
  - patches.suse/add-suse-supported-flag.patch
  - patches.suse/btrfs-use-the-new-VFS-super_block_dev.patch
  - patches.suse/suse-hv-guest-os-id.patch
- disable ARM architectures (need config update)
- new config options
  - General setup
  - CONFIG_WERROR=n
  - CONFIG_PRINTK_INDEX=y
  - Processor type and features
  - CONFIG_PERF_EVENTS_AMD_UNCORE=m
  - Firmware Drivers
  - CONFIG_SYSFB_SIMPLEFB=y
  - Memory Management options
  - CONFIG_DAMON=n
  - Networking support
  - CONFIG_IPV6_IOAM6_LWTUNNEL=n
  - CONFIG_MCTP=m
  - File systems
  - CONFIG_F2FS_IOSTAT=y
  - CONFIG_NTFS3_FS=m
  - CONFIG_NTFS3_64BIT_CLUSTER=n
  - CONFIG_NTFS3_LZX_XPRESS=y
  - CONFIG_NTFS3_FS_POSIX_ACL=y
  - CONFIG_SMB_SERVER=m
  - CONFIG_SMB_SERVER_SMBDIRECT=n
  - CONFIG_SMB_SERVER_CHECK_CAP_NET_ADMIN=y
  - CONFIG_SMB_SERVER_KERBEROS5=y
  - Security options
  - CONFIG_ZERO_CALL_USED_REGS=y
  - Cryptographic API
  - CONFIG_CRYPTO_SM4_AESNI_AVX_X86_64=m
  - CONFIG_CRYPTO_SM4_AESNI_AVX2_X86_64=m
  - CONFIG_MODULE_SIG_KEY_TYPE_RSA=y
  - CONFIG_MODULE_SIG_KEY_TYPE_ECDSA=n
  - Kernel hacking
  - CONFIG_FAIL_SUNRPC=n
  - SCSI device support
  - CONFIG_SCSI_UFS_HPB=y
  - CONFIG_SCSI_UFS_FAULT_INJECTION=n
  - Network device support
  - CONFIG_NET_VENDOR_LITEX=y
  - CONFIG_MAXLINEAR_GPHY=m
  - CONFIG_MHI_WWAN_MBIM=m
  - Power management
  - CONFIG_CHARGER_CROS_PCHG=m
  - CONFIG_SENSORS_AQUACOMPUTER_D5NEXT=m
  - CONFIG_SENSORS_SBRMI=m
  - CONFIG_REGULATOR_RTQ2134=m
  - CONFIG_REGULATOR_RTQ6752=m
  - Graphics support
  - CONFIG_DRM_VMWGFX_MKSSTATS=n
  - CONFIG_DRM_PANEL_WIDECHIPS_WS2401=n
  - Sound card support
  - CONFIG_SND_HDA_CODEC_CS8409=m
  - CONFIG_SND_SOC_AMD_ACP5x=m
  - CONFIG_SND_SOC_ICS43432=n
  - CONFIG_SND_SOC_SDW_MOCKUP=m
  - DMA Engine support
  - CONFIG_INTEL_IDXD_COMPAT=y
  - CONFIG_AMD_PTDMA=m
  - X86 Platform Specific Device Drivers
  - CONFIG_MERAKI_MX100=m
  - CONFIG_INTEL_SAR_INT1092=m
  - IOMMU Hardware Support
  - CONFIG_IOMMU_DEFAULT_DMA_STRICT=n
  - CONFIG_IOMMU_DEFAULT_DMA_LAZY=n
  - Industrial I/O support
  - CONFIG_SENSIRION_SGP40=n
  - CONFIG_AD5110=n
  - Misc devices
  - CONFIG_I2C_VIRTIO=m
  - CONFIG_GPIO_VIRTIO=m
  - CONFIG_DMABUF_SYSFS_STATS=n
  - CONFIG_VDPA_USER=m
  - CONFIG_NVMEM_NINTENDO_OTP=m
  - OF dependent (i386, ppc64/ppc64le, riscv64)
  - HI6421V600_IRQ=m
  - LITEX_LITEETH=m
  - MFD_RSMU_I2C=n
  - MFD_RSMU_SPI=n
  - VIDEO_IMX335=m
  - VIDEO_IMX412=m
  - VIDEO_OV9282=m
  - DRM_PANEL_INNOLUX_EJ030NA=n
  - DRM_PANEL_SAMSUNG_ATNA33XC20=n
  - DRM_PANEL_SAMSUNG_DB7430=n
  - COMMON_CLK_XLNX_CLKWZRD=m
  - DMA_RESTRICTED_POOL=n
  - i386
  - CS89x0_ISA=n
  - ppc64
  - DEBUG_WX=n
  - PTDUMP_DEBUGFS=n
  - s390x
  - KCSAN=n
  - KFENCE=y (=n in zfcpdump)
  - KFENCE_STATIC_KEYS=y
  - KFENCE_SAMPLE_INTERVAL=0
  - KFENCE_NUM_OBJECTS=255
  - KFENCE_STRESS_TEST_FAULTS=0
  - riscv64
  - POWER_RESET_TPS65086=y
  - DRM_PANEL_ILITEK_ILI9341=n
- commit 16f64c8
* Mon Sep 13 2021 martin.wilck@suse.com
- fixup "rpm: support gz and zst compression methods" once more
  (bsc#1190428, bsc#1190358)
  Fixes: 3b8c4d9bcc24 ("rpm: support gz and zst compression methods")
  Fixes: 23510fce36ec ("fixup "rpm: support gz and zst compression methods"")
- commit 165378a
* Sun Sep 12 2021 martin.wilck@suse.com
- fixup "rpm: support gz and zst compression methods" once more
  Fixes: 3b8c4d9bcc24 ("rpm: support gz and zst compression methods")
  Fixes: 23510fce36ec ("fixup "rpm: support gz and zst compression methods"")
- commit 34e68f4
* Sun Sep 12 2021 kbuild@suse.de
- Automatically updated to 5.14-11152-g78e709522d2c
- commit 11e31e5
* Sat Sep 11 2021 martin.wilck@suse.com
- fixup "rpm: support gz and zst compression methods"
  Fixes: 3b8c4d9bcc24 ("rpm: support gz and zst compression methods")
- commit 23510fc
* Sat Sep 11 2021 kbuild@suse.de
- Automatically updated to 5.14-10943-g926de8c4326c
- commit 6f7531b
* Fri Sep 10 2021 msuchanek@suse.de
- kernel-cert-subpackage: Fix certificate location in scriptlets
  (bsc#1189841).
  Fixes: d9a1357edd73 ("rpm: Define $certs as rpm macro (bsc#1189841).")
- commit 8684de8
* Fri Sep 10 2021 msuchanek@suse.de
- kernel-binary.spec.in Stop templating the scriptlets for subpackages
  (bsc#1190358).
  The script part for base package case is completely separate from the
  part for subpackages. Remove the part for subpackages from the base
  package script and use the KMP scripts for subpackages instead.
- commit 5d1f677
* Fri Sep 10 2021 msuchanek@suse.de
- kernel-binary.spec: Do not fail silently when KMP is empty
  (bsc#1190358).
  Copy the code from kernel-module-subpackage that deals with empty KMPs.
- commit d7d2e6e
* Fri Sep 10 2021 kbuild@suse.de
- Automatically updated to 5.14-10807-gbf9f243f23e6
- commit c3ccfda
* Thu Sep  9 2021 kbuild@suse.de
- Automatically updated to 5.14-10557-ga3fa7a101dcf
- commit b12b128
* Wed Sep  8 2021 jslaby@suse.cz
- rpm/kernel-source.spec.in: do some more for vanilla_only
  Make sure:
  * sources are NOT executable
  * env is not used as interpreter
  * timestamps are correct
  We do all this for normal kernel builds, but not for vanilla_only
  kernels (linux-next and vanilla).
- commit b41e4fd
* Wed Sep  8 2021 kbuild@suse.de
- Automatically updated to 5.14-10318-gac08b1c68d1b
- commit bf37134
* Tue Sep  7 2021 kbuild@suse.de
- Automatically updated to 5.14-9718-g4b93c544e90e
- commit b719c2a
* Mon Sep  6 2021 msuchanek@suse.de
- rpm: Fold kernel-devel and kernel-source scriptlets into spec files
  (bsc#1189841).
  These are unchanged since 2011 when they were introduced. No need to
  track them separately.
- commit 692d38b
* Mon Sep  6 2021 msuchanek@suse.de
- rpm: Abolish image suffix (bsc#1189841).
  This is used only with vanilla kernel which is not supported in any way.
  The only effect is has is that the image and initrd symlinks are created
  with this suffix.
  These symlinks are not used except on s390 where the unsuffixed symlinks
  are used by zipl.
  There is no reason why a vanilla kernel could not be used with zipl as
  well as it's quite unexpected to not be able to boot when only a vanilla
  kernel is installed.
  Finally we now have a backup zipl kernel so if the vanilla kernel is
  indeed unsuitable the backup kernel can be used.
- commit e2f37db
* Mon Sep  6 2021 msuchanek@suse.de
- kernel-binary.spec: Define $image as rpm macro (bsc#1189841).
- commit e602b0f
* Mon Sep  6 2021 kbuild@suse.de
- Automatically updated to 5.14-9687-g27151f177827
- commit 38a0493
* Mon Sep  6 2021 msuchanek@suse.de
- rpm: Define $certs as rpm macro (bsc#1189841).
  Also pass around only the shortened hash rather than full filename.
  As has been discussed in bsc#1124431 comment 51
  https://bugzilla.suse.com/show_bug.cgi?id=1124431#c51 the placement of
  the certificates is an API which cannot be changed unless we can ensure
  that no two kernels that use different certificate location can be built
  with the same certificate.
- commit d9a1357
* Sun Sep  5 2021 kbuild@suse.de
- Automatically updated to 5.14-9416-g49624efa65ac
- commit 3ca47c6
* Sat Sep  4 2021 kbuild@suse.de
- Automatically updated to 5.14-9284-gf1583cb1be35
- commit cbf8e86
* Sat Sep  4 2021 jslaby@suse.cz
- watchdog: Fix NULL pointer dereference when releasing cdev
  (bsc#1190093).
- Update config files.
  We can enable the option after this fix again.
- commit f2729b0
* Fri Sep  3 2021 kbuild@suse.de
- Automatically updated to 5.14-8747-ga9c9a6f741cd
- commit 2b385d0
* Thu Sep  2 2021 kbuild@suse.de
- Automatically updated to 5.14-7693-g4ac6d90867a4
- commit 53d15eb
* Thu Sep  2 2021 jslaby@suse.cz
- Update config files. Disable CONFIG_WATCHDOG_HRTIMER_PRETIMEOUT
  (bsc#1190093)
- commit 20d4280
* Wed Sep  1 2021 kbuild@suse.de
- Automatically updated to 5.14-3754-g9e9fb7655ed5
- commit 65ae6b0
* Tue Aug 31 2021 msuchanek@suse.de
- rpm: Abolish scritplet templating (bsc#1189841).
  Outsource kernel-binary and KMP scriptlets to suse-module-tools.
  This allows fixing bugs in the scriptlets as well as defining initrd
  regeneration policy independent of the kernel packages.
- commit e98096d
* Tue Aug 31 2021 mbrugger@suse.com
- arm64: Update config files. (bsc#1189922)
  Enable ISP1760_DUAL_ROLE
- commit 4791216
* Tue Aug 31 2021 kbuild@suse.de
- Automatically updated to 5.14-1100-gb91db6a0b52e
- commit f0f0a4d
* Tue Aug 31 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Use kmod-zstd provide.
  This makes it possible to use kmod with ZSTD support on non-Tumbleweed.
- commit 357f09a
* Mon Aug 30 2021 kbuild@suse.de
- Automatically updated to 5.14
- commit 9155db1
* Mon Aug 30 2021 ludwig.nussel@suse.de
- rpm/kernel-binary.spec.in: avoid conflicting suse-release
  suse-release has arbitrary values in staging, we can't use it for
  dependencies. The filesystem one has to be enough (boo#1184804).
- commit 56f2cba
* Sun Aug 29 2021 mkubecek@suse.cz
- Update to 5.14 final
- refresh configs
- commit b2212de
* Sun Aug 29 2021 mkubecek@suse.cz
- config: update and enable armv6hl
  New config option values copied from arvm7hl.
- commit 84d6a0c
* Sun Aug 29 2021 mkubecek@suse.cz
- config: update and enable armv7hl
  New config option values copied from arm64 except:
  - PCI_IXP4XX=n (does not allow module build)
  - MTD_NAND_PL35X=m
  - IPMI_KCS_BMC_CDEV_IPMI=m
  - IPMI_KCS_BMC_SERIO=m
  - MSC313E_WATCHDOG=m
  - REGULATOR_MT6359=m
  - REGULATOR_RT5033=m
  - ARM_GT_INITIAL_PRESCALER_VAL=2 (default)
  - INTEL_QEP=m
- commit e9a2a32
* Sun Aug 29 2021 kbuild@suse.de
- Automatically updated to 5.14-rc7-129-g3f5ad13cb012
- commit 60bfbb2
* Sat Aug 28 2021 kbuild@suse.de
- Automatically updated to 5.14-rc7-114-g64b4fc45bea6
- commit 24d7592
* Fri Aug 27 2021 kbuild@suse.de
- Automatically updated to 5.14-rc7-89-g77dd11439b86
- commit e450f36
* Fri Aug 27 2021 ludwig.nussel@suse.de
- rpm: fix kmp install path
- commit 22ec560
* Thu Aug 26 2021 kbuild@suse.de
- Automatically updated to 5.14-rc7-18-g73f3af7b4611
- commit a6837b1
* Thu Aug 26 2021 ludwig.nussel@suse.de
- post.sh: detect /usr mountpoint too
- commit c7b3d74
* Wed Aug 25 2021 kbuild@suse.de
- Automatically updated to 5.14-rc7-11-g6e764bcd1cf7
- commit e91dae6
* Tue Aug 24 2021 kbuild@suse.de
- Automatically updated to 5.14-rc7-1-gd5ae8d7f85b7
- commit 7125a20
* Mon Aug 23 2021 jeffm@suse.com
- config: re-modularize CRYPTO_{CTS,ECB,XTS} on arm* (bsc#1189034).
  Now that FS_ENCRYPTION_ALGS is modular, the crypto modules it utilizes
  can be modular as well.  CRYPTO_AES and CRYPTO_CBC are used by
  ENCRYPTED_KEYS and must remain built-in.  CRYPTO_SHA512 and CRYPTO_HMAC
  are used by module signature validation and must also remain built-in.
- commit 7d6a598
* Mon Aug 23 2021 jeffm@suse.com
- config: re-modularize CRYPTO_{GCM,GHASH,GF128MUL} on arm* (bsc#1189033).
  These modules were selected as built-in due to Kconfig changes between
  4.14-rc3 and 5.8-rc1 selecting them if BIG_KEYS was enabled.  They can
  be built as modules again now.
- commit 3a000cc
* Mon Aug 23 2021 martin.wilck@suse.com
- kernel-binary.spec.in: make sure zstd is supported by kmod if used
- commit f36412b
* Mon Aug 23 2021 martin.wilck@suse.com
- kernel-binary.spec.in: add zstd to BuildRequires if used
- commit aa61dba
* Mon Aug 23 2021 kbuild@suse.de
- Automatically updated to 5.14-rc7
- commit c125919
* Mon Aug 23 2021 mkubecek@suse.cz
- config: refresh vanilla configs
  Vanilla configs also need to include DEBUG_INFO_BTF_MODULES even if the
  value does not differ from base config.
- commit 639fce2
* Mon Aug 23 2021 jslaby@suse.cz
- Update config files. (arm & epaper drivers and other old graphics)
  Propagate recent epaper drivers and other old graphics changes to arms.
- commit bb2ba19
* Mon Aug 23 2021 jslaby@suse.cz
- Update config files. (arm & CONFIG_GAMEPORT)
  Propagate recent CONFIG_GAMEPORT changes to arms.
- commit d9a458b
* Mon Aug 23 2021 jslaby@suse.cz
- Update config files. (arm & CONFIG_BT_MSFTEXT)
  Propagate recent CONFIG_BT_MSFTEXT changes to arms.
- commit 3c87778
* Mon Aug 23 2021 jslaby@suse.cz
- Update config files. (arm & ATALK)
  Propagate recent ATALK changes to arms.
- commit 0fc4b1a
* Mon Aug 23 2021 jslaby@suse.cz
- Update config files. (arm & EXT4_FS)
  Propagate recent EXT4_FS changes to arms.
- commit 317be6e
* Sun Aug 22 2021 mkubecek@suse.cz
- Update to 5.14-rc7
- eliminated 3 patches:
  - patches.suse/mmc-sdhci-iproc-cap-min-clock-frequency-on-bcm2711.patch
  - patches.suse/mmc-sdhci-iproc-set-sdhci_quirk_cap_clock_base_broken-on-bcm2711.patch
  - patches.suse/crypto-drbg-select-SHA512.patch
- refresh configs
  - DYNAMIC_FTRACE_WITH_ARGS=y (x86_64 only)
- commit 91fb384
* Sun Aug 22 2021 mkubecek@suse.cz
- Merge branch 'packaging' into master
- refresh configs
  - DEBUG_INFO_BTF_MODULES is now mandatory even in diff configs
- commit fd1d212
* Sun Aug 22 2021 kbuild@suse.de
- Automatically updated to 5.14-rc6-225-g9ff50bf2f2ff
- commit eee6c5b
* Sun Aug 22 2021 jeffm@suse.com
- config: enable CONFIG_NO_HZ_FULL where supported (bsc#1189692).
- commit e68c117
* Sun Aug 22 2021 jeffm@suse.com
- config: enable CONFIG_MAXSMP (bsc#1189691).
- commit dcb7e29
* Sat Aug 21 2021 jeffm@suse.com
- config: disable CONFIG_SOUNDWIRE_QCOM on x86 (bsc#1189686).
- commit 1fb897e
* Sat Aug 21 2021 kbuild@suse.de
- Automatically updated to 5.14-rc6-196-gfa54d366a6e4
- commit e580ca5
* Fri Aug 20 2021 jeffm@suse.com
- config: disable CONFIG_MD_MULTIPATH (bsc#1189678).
  First-class multipath on Linux has used dm-multipath for ages.
- commit 5484774
* Fri Aug 20 2021 jeffm@suse.com
- config: disable CONFIG_PM_AUTOSLEEP and CONFIG_PM_WAKELOCKS (bsc#1189677).
- commit fe2b443
* Fri Aug 20 2021 jeffm@suse.com
- config: disable CONFIG_ISDN on arm* (bsc#1189675).
  Without CONFIG_ISDN, we no longer need to carry:
- patches.suse/misdn-add-support-for-group-membership-check.
- config: disable CONFIG_ISDN (bsc#1189675).
  Without CONFIG_ISDN, we no longer need to carry:
- patches.suse/misdn-add-support-for-group-membership-check.
- commit 8eae245
* Fri Aug 20 2021 jeffm@suse.com
- config: enable CONFIG_PRINTK_CALLER on arm* (bsc#1189674).
- config: enable CONFIG_PRINTK_CALLER (bsc#1189674).
- commit 58ac85c
* Fri Aug 20 2021 afaerber@suse.com
- config: arm64: Update to 5.14-rc6
- commit f00169d
* Fri Aug 20 2021 martin.wilck@suse.com
- rpm: support gz and zst compression methods
  Extend commit 18fcdff43a00 ("rpm: support compressed modules") for
  compression methods other than xz.
- commit 3b8c4d9
* Fri Aug 20 2021 kbuild@suse.de
- Automatically updated to 5.14-rc6-125-gd992fe5318d8
- commit ba68494
* Fri Aug 20 2021 tiwai@suse.de
- Update config files: make pinctrl-cherryview built-in (bsc#1189447)
  Otherwise some devices aren't properly intiailized.
- commit e60a07b
* Thu Aug 19 2021 kbuild@suse.de
- Automatically updated to 5.14-rc6-54-gd6d09a694205
- commit 18d27bb
* Wed Aug 18 2021 kbuild@suse.de
- Automatically updated to 5.14-rc6-43-g614cb2751d31
- commit f5291db
* Tue Aug 17 2021 kbuild@suse.de
- Automatically updated to 5.14-rc6-41-g794c7931a242
- commit fd72533
* Mon Aug 16 2021 msuchanek@suse.de
- kernel-binary.spec: Require dwarves for kernel-binary-devel when BTF is
  enabled (jsc#SLE-17288).
  About the pahole version: v1.18 should be bare mnimum, v1.22 should be
  fully functional, for now we ship git snapshot with fixes on top of
  v1.21.
- commit 8ba3382
* Mon Aug 16 2021 kbuild@suse.de
- Automatically updated to 5.14-rc6
- commit a6726f1
* Mon Aug 16 2021 mkubecek@suse.cz
- Update to 5.14-rc6
- refresh configs
  - drop MQ_IOSCHED_DEADLINE_CGROUP
- commit 2651347
* Sun Aug 15 2021 kbuild@suse.de
- Automatically updated to 5.14-rc5-256-g0aa78d17099b
- commit 36b1714
* Sat Aug 14 2021 kbuild@suse.de
- Automatically updated to 5.14-rc5-221-gdfa377c35d70
- commit 9b384f0
* Fri Aug 13 2021 kbuild@suse.de
- Automatically updated to 5.14-rc5-184-gf8e6dfc64f61
- commit 4710ce6
* Thu Aug 12 2021 kbuild@suse.de
- Automatically updated to 5.14-rc5-22-g1746f4db5135
- commit 4a71405
* Wed Aug 11 2021 msuchanek@suse.de
- README: Modernize build instructions.
- commit 8cc5c28
* Wed Aug 11 2021 kbuild@suse.de
- Automatically updated to 5.14-rc5-17-g761c6d7ec820
- commit 32fbe4b
* Wed Aug 11 2021 jslaby@suse.cz
- rpm/kernel-obs-build.spec.in: make builds reproducible (bsc#1189305)
- commit 7f9ade7
* Tue Aug 10 2021 kbuild@suse.de
- Automatically updated to 5.14-rc5-2-g9a73fa375d58
- commit b612e68
* Tue Aug 10 2021 ykaukab@suse.de
- config: arm64: enable audio support for Nvidia Tegra SOCs
- commit f912f9e
* Mon Aug  9 2021 jeffm@suse.com
- crypto: drbg - select SHA512 (bsc#1189034).
  config: CRYPTO_SHA512 is built-in again.
- commit 03113cc
* Mon Aug  9 2021 ludwig.nussel@suse.de
- Fix filesystem requirement and suse-release requires
  Reduce filesystem conflict to anything less than 16 to allow pulling the
  change into the next major stable version.
  Don't require suse-release as that's not technically required. Conflict
  with a too old one instead.
- commit 913f755
* Mon Aug  9 2021 kbuild@suse.de
- Automatically updated to 5.14-rc5
- commit 07d044a
* Sun Aug  8 2021 mkubecek@suse.cz
- Update to 5.14-rc5
- update configs
  - PHYS_RAM_BASE_FIXED=n (riscv64 only, follow upstream revert)
- commit d94829e
* Sun Aug  8 2021 kbuild@suse.de
- Automatically updated to 5.14-rc4-258-g85a90500f9a1
- commit b867d75
* Sat Aug  7 2021 kbuild@suse.de
- Automatically updated to 5.14-rc4-235-gc9194f32bfd9
- commit 5995b03
* Fri Aug  6 2021 kbuild@suse.de
- Automatically updated to 5.14-rc4-107-g902e7f373fff
- commit a9fd643
* Thu Aug  5 2021 kbuild@suse.de
- Automatically updated to 5.14-rc4-22-g251a1524293d
- commit 8a01757
* Thu Aug  5 2021 jslaby@suse.cz
- rpm/kernel-source.rpmlintrc: ignore new include/config files
  In 5.13, since 0e0345b77ac4, config files have no longer .h suffix.
  Adapt the zero-length check.
  Based on Martin Liska's change.
- commit b6f021b
* Wed Aug  4 2021 jeffm@suse.com
- config: make CONFIG_INTEL_PMC_CORE modular (bsc#1189072).
  When this option was introduced, it was a boolean.  Since then it's
  been changed to a tristate and can be made modular again.
- config: config: disable epaper drivers and other old graphics (bsc#1189116).
- config: disable CONFIG_GAMEPORT (bsc#1189115).
  The last SoundBlaster card to use a Game Port shipped in 2001.  Devices
  that connect via Game Port can still be used with a USB adapter, which
  doesn't use the GAMEPORT driver.
- config: enable CONFIG_BT_MSFTEXT (bsc#1189113).
- config: disable CONFIG_ATALK (bsc#1189112).
  This disables support for native AppleTalk which Apple stopped
  supporting in 2009.  AppleTalk over IP is implemented using the netatalk
  package.
- config: enable CONFIG_CMA on x86_64 (bsc#1189109).
  CMA was enabled in SLE15-SP3 via jsc#SLE-17227.  One difference is that
  v5.10-rc1 (b7176c261cd) upstream added the ability to allocate areas for
  each NUMA node, which changed some of the defaults.
  The default number of areas (19) is used here.
- commit bfc3e1b
* Wed Aug  4 2021 jeffm@suse.com
- config: enable CONFIG_EFI_RCI2_TABLE (bsc#1189108).
- config: disable X86_X32 (bsc#1189069).
  This feature requires a userspace rebuild to use the X32 ABI and that
  hasn't happened.  If that support is eventually added, we can re-enable.
- commit 33c9a49
* Wed Aug  4 2021 kbuild@suse.de
- Automatically updated to 5.14-rc4-11-gd5ad8ec3cfb5
- commit 528c731
* Tue Aug  3 2021 jeffm@jeffm.io
- config: re-modularize CRYPTO_{CTS,ECB,HMAC,SHA512,XTS} (bsc#1189034).
  Now that FS_ENCRYPTION_ALGS is modular, the crypto modules it utilizes
  can be modular as well.  CRYPTO_AES and CRYPTO_CBC are used by
  ENCRYPTED_KEYS and must remain built-in.
- commit 9aa55a2
* Tue Aug  3 2021 jeffm@jeffm.io
- config: re-modularize CRYPTO_{GCM,GHASH,GF128MUL} (bsc#1189033).
  These modules were selected as built-in due to Kconfig changes between
  4.14-rc3 and 5.8-rc1 selecting them if BIG_KEYS was enabled.  They can
  be built as modules again now.
- commit 1fcf630
* Tue Aug  3 2021 jeffm@jeffm.io
- config: re-modularize ext4 (bsc#1189032).
  ext2/3/4 hasn't been a default file system for SLE or openSUSE in many
  years.  There is little reason to continue to keep it as a built-in.
- commit 3313eeb
* Tue Aug  3 2021 mbrugger@suse.com
- arm64: Update config files. (bsc#1188702)
- commit 0fa8251
* Mon Aug  2 2021 kbuild@suse.de
- Automatically updated to 5.14-rc4
- commit 4e85ccf
* Mon Aug  2 2021 mkubecek@suse.cz
- Update to 5.14-rc4
- refresh configs (cosmetic only)
- commit d8c9ffa
* Sun Aug  1 2021 kbuild@suse.de
- Automatically updated to 5.14-rc3-253-gf3438b4c4e69
- commit 4de5260
* Sat Jul 31 2021 kbuild@suse.de
- Automatically updated to 5.14-rc3-249-gc7d102232649
- commit 6074904
* Fri Jul 30 2021 kbuild@suse.de
- Automatically updated to 5.14-rc3-103-g764a5bc89b12
- commit 602943f
* Thu Jul 29 2021 kbuild@suse.de
- Automatically updated to 5.14-rc3-38-g4010a528219e
- commit 3c3374b
* Wed Jul 28 2021 mkubecek@suse.cz
- use 3.0 SPDX identifier in rpm License tags
  As requested by Maintenance, change rpm License tags from "GPL-2.0"
  (SPDX 2.0) to "GPL-2.0-only" (SPDX 3.0) so that their scripts do not have
  to adjust the tags with each maintenance update submission.
- commit f888e0b
* Wed Jul 28 2021 kbuild@suse.de
- Automatically updated to 5.14-rc3-14-g7d549995d4e0
- commit 6e09ead
* Mon Jul 26 2021 kbuild@suse.de
- Automatically updated to 5.14-rc3
- commit e591b59
* Sun Jul 25 2021 mkubecek@suse.cz
- Update to 5.14-rc3
- eliminated 1 patch:
  - patches.suse/seq_file-disallow-extremely-large-seq-buffer-allocat.patch
- update configs
  - SND_SOC_SSM2518=n (x86 and riscv64)
  - drop SND_SOC_ZX_AUD96P22
- commit c7555ea
* Sun Jul 25 2021 kbuild@suse.de
- Automatically updated to 5.14-rc2-323-gd8079fac1681
- commit 3b760c4
* Sat Jul 24 2021 kbuild@suse.de
- Automatically updated to 5.14-rc2-265-gf0fddcec6b62
- commit a15c785
* Fri Jul 23 2021 kbuild@suse.de
- Automatically updated to 5.14-rc2-169-g8baef6386baa
- commit 0718fa5
* Thu Jul 22 2021 kbuild@suse.de
- Automatically updated to 5.14-rc2-34-g3d5895cd3517
- commit 506b674
* Wed Jul 21 2021 kbuild@suse.de
- Automatically updated to 5.14-rc2-1-g8cae8cd89f05
- commit 2e09f14
* Mon Jul 19 2021 kbuild@suse.de
- Automatically updated to 5.14-rc2
- commit a2dff0e
* Sun Jul 18 2021 mkubecek@suse.cz
- Update to 5.14-rc2
- update configs
  - NCSI_OEM_CMD_KEEP_PHY=y
  - EDAC_IGEN6=m (x86_64 only)
- commit bad960f
* Sun Jul 18 2021 kbuild@suse.de
- Automatically updated to 5.14-rc1-422-g1d67c8d993ba
- commit 900e3e4
* Sat Jul 17 2021 kbuild@suse.de
- Automatically updated to 5.14-rc1-353-gd980cc0620ae
- commit 05b3339
* Fri Jul 16 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Do not install usrmerged kernel on Leap
  (boo#1184804).
- commit 5b51131
* Fri Jul 16 2021 kbuild@suse.de
- Automatically updated to 5.14-rc1-279-gd936eb238744
- commit 610252b
* Thu Jul 15 2021 kbuild@suse.de
- Automatically updated to 5.14-rc1-194-g8096acd7442e
- commit 082f02f
* Wed Jul 14 2021 kbuild@suse.de
- Automatically updated to 5.14-rc1-16-g40226a3d96ef
- commit f7aeb00
* Tue Jul 13 2021 kbuild@suse.de
- Automatically updated to 5.14-rc1-3-g7fef2edf7cc7
- commit 2780be4
* Mon Jul 12 2021 mkubecek@suse.cz
- Update to 5.14-rc1
- eliminated 13 patches (3 stable, 9 mainline, 1 obsolete SUSE)
  - patches.kernel.org/5.13.1-001-Revert-KVM-x86-mmu-Drop-kvm_mmu_extended_role..patch
  - patches.kernel.org/5.13.1-002-mm-page_alloc-correct-return-value-of-populate.patch
  - patches.kernel.org/5.13.1-003-Linux-5.13.1.patch
  - patches.rpmify/scripts-mkmakefile-honor-second-argument.patch
  - patches.suse/ACPI-PM-s2idle-Add-missing-LPS0-functions-for-AMD.patch
  - patches.suse/ACPI-processor-idle-Fix-up-C-state-latency-if-not-or.patch
  - patches.suse/Bluetooth-btqca-Don-t-modify-firmware-contents-in-pl.patch
  - patches.suse/Input-elants_i2c-Fix-NULL-dereference-at-probing.patch
  - patches.suse/brcmfmac-Add-clm_blob-firmware-files-to-modinfo.patch
  - patches.suse/brcmfmac-Delete-second-brcm-folder-hierarchy.patch
  - patches.suse/crypto-ccp-Annotate-SEV-Firmware-file-names.patch
  - patches.suse/pinctrl-bcm2835-accept-fewer-than-expected-irqs.patch
  - patches.suse/proc-Avoid-mixing-integer-types-in-mem_rw.patch
- refresh
  - patches.suse/add-product-identifying-information-to-vmcoreinfo.patch
  - patches.suse/dm-table-switch-to-readonly
  - patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  - patches.suse/kernel-add-release-status-to-kernel-build.patch
  - patches.suse/supported-flag
- disable ARM architectures (need config update)
- new config options
  - General setup
  - SCHED_CORE=y
  - Power management and ACPI options
  - ACPI_PRMT=y
  - TPS68470_PMIC_OPREGION=y
  - Block layer
  - BLK_CGROUP_FC_APPID=y
  - BLK_CGROUP_IOPRIO=y
  - Networking support
  - NETFILTER_NETLINK_HOOK=m
  - File systems
  - HUGETLB_PAGE_FREE_VMEMMAP_DEFAULT_ON=n
  - Security options
  - IMA_DISABLE_HTABLE=n
  - Kernel hacking
  - STACKTRACE_BUILD_ID=y
  - DEBUG_FORCE_FUNCTION_ALIGN_64B=n
  - OSNOISE_TRACER=y
  - TIMERLAT_TRACER=y
  - TEST_SCANF=n
  - TEST_CLOCKSOURCE_WATCHDOG=n
  - PCI support
  - CXL_ACPI=m
  - CXL_PMEM=m
  - SCSI device support
  - SCSI_MPI3MR=m
  - SCSI_EFCT=m
  - Network device support
  - DWMAC_LOONGSON=m
  - MEDIATEK_GE_PHY=m
  - MOTORCOMM_PHY=m
  - WWAN_HWSIM=m
  - RPMSG_WWAN_CTRL=m
  - IOSM=m
  - PHY_CAN_TRANSCEIVER=m
  - INFINIBAND_IRDMA=m
  - Hardware Monitoring support
  - SENSORS_DPS920AB=m
  - SENSORS_MP2888=m
  - SENSORS_PIM4328=m
  - SENSORS_SHT4x=m
  - Voltage and Current Regulator Support
  - REGULATOR_MAX8893=m
  - REGULATOR_RT6160=m
  - REGULATOR_RT6245=m
  - REGULATOR_RT4831=m
  - Graphics support
  - HSA_AMD_SVM=y
  - DRM_SIMPLEDRM=m
  - DRM_HYPERV=m
  - FB_SSD1307=m
  - BACKLIGHT_RT4831=m
  - Sound card support
  - SND_SOC_INTEL_SOF_CS42L42_MACH=m
  - SND_SOC_TFA989X=n
  - SND_SOC_WCD938X_SDW=n
  - X86 Platform Specific Device Drivers
  - DELL_WMI_PRIVACY=y
  - WIRELESS_HOTKEY=m
  - THINKPAD_LMI=m
  - X86_PLATFORM_DRIVERS_INTEL=y
  - INTEL_SKL_INT3472=m
  - Common Clock Framework
  - ICST=n
  - CLK_SP810=n
  - LMK04832=m
  - IOMMU Hardware Support
  - VIRTIO_IOMMU=m
  - Industrial I/O support
  - FXLS8962AF_I2C=n
  - FXLS8962AF_SPI=n
  - SCA3300=n
  - TI_TSC2046=n
  - SPS30_I2C=n
  - SPS30_SERIAL=n
  - IIO_ST_LSM9DS0=n
  - TSL2591=n
  - TMP117=n
  - Misc devices
  - MTD_MCHP48L640=n
  - JOYSTICK_QWIIC=m
  - XILLYUSB=m
  - GPIO_TPS68470=n
  - BATTERY_RT5033=m
  - WATCHDOG_HRTIMER_PRETIMEOUT=y
  - MFD_RT4831=m
  - VIDEO_IMX208=m
  - LEDS_LT3593=m
  - RESET_MCHP_SPARX5=n
  - OF dependent (i386, ppc64 / ppc64le, riscv64)
  - MFD_QCOM_PM8008=n
  - DRM_ITE_IT66121=n
  - DRM_TI_SN65DSI83=n
  - i386
  - DRM_CROS_EC_ANX7688=n
  - ppc64 / ppc64le
  - STRICT_MODULE_RWX=y
  - PPC_RFI_SRR_DEBUG=n
  - ppc64
  - PS3_VERBOSE_RESULT=n
  - s390x
  - SPARX5_SWITCH=m
  - RESET_TI_SYSCON=n
  - riscv64
  - PHYS_RAM_BASE=0x80000000 (default)
  - VMAP_STACK=y
  - TRANSPARENT_HUGEPAGE=y
  - READ_ONLY_THP_FOR_FS=y
  - SND_SOC_RK817=n
  - SND_SOC_RT5640=m
  - POLARFIRE_SOC_MAILBOX=m
  - DEV_DAX=m
  - STACK_HASH_ORDER=20 (default)
  - KFENCE=y
  - KFENCE_STATIC_KEYS=y
  - KFENCE_SAMPLE_INTERVAL=0 (other archs, see bsc#1185565)
  - KFENCE_NUM_OBJECTS=255 (default)
  - KFENCE_STRESS_TEST_FAULTS=0 (default)
- commit 2c5f605
* Mon Jul 12 2021 kbuild@suse.de
- Automatically updated to 5.14-rc1
- commit 90eb19d
* Sun Jul 11 2021 schwab@suse.de
- config: riscv64: enable DRM_I2C_NXP_TDA998X
  This also selects SND_SOC_HDMI_CODEC, SND_PCM_ELD, SND_PCM_IEC958.
- commit c1e7a75
* Sun Jul 11 2021 schwab@suse.de
- config: riscv64: enable MFD_TPS65086
  Also enable the related drivers GPIO_TPS65086 and REGULATOR_TPS65086.
- commit 8c6675e
* Sun Jul 11 2021 kbuild@suse.de
- Automatically updated to 5.13-13688-gde5540965853
- commit ae970ba
* Sat Jul 10 2021 kbuild@suse.de
- Automatically updated to 5.13-12730-g50be9417e23a
- commit 6c71a09
* Fri Jul  9 2021 mbrugger@suse.com
- arm64: Update config files. (bsc#1187589)
  Enable PL330 DMA controller.
- commit f11ae0c
* Fri Jul  9 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Remove zdebug define used only once.
- commit 85a9fc2
* Fri Jul  9 2021 kbuild@suse.de
- Automatically updated to 5.13-12377-gf55966571d5e
- commit 4870719
* Thu Jul  8 2021 msuchanek@suse.de
- Update config files (boo#1187824).
  CRYPTO_FIPS=y
  CRYPTO_MANAGER_DISABLE_TESTS=n
- commit b0667ab
* Thu Jul  8 2021 msuchanek@suse.de
- kernel-binary.spec: Exctract s390 decompression code (jsc#SLE-17042).
- commit 7f97df2
* Thu Jul  8 2021 kbuild@suse.de
- Automatically updated to 5.13-12185-ge9f1cbc0c411
- commit 10639a0
* Thu Jul  8 2021 msuchanek@suse.de
- kernel-binary.spec: Fix up usrmerge for non-modular kernels.
- commit d718cd9
* Wed Jul  7 2021 schwab@suse.de
- config: riscv64: enable MFD_DA9063
  Also enable the related drivers DA9063_WATCHDOG, REGULATOR_DA9063,
  RTC_DRV_DA9063.
- commit 678732f
* Wed Jul  7 2021 kbuild@suse.de
- Automatically updated to 5.13-11855-g77d34a4683b0
- commit 2004402
* Tue Jul  6 2021 kbuild@suse.de
- Automatically updated to 5.13-11788-g79160a603bdb
- commit df971a8
* Mon Jul  5 2021 kbuild@suse.de
- Automatically updated to 5.13-9882-ga180bd1d7e16
- commit 6a92551
* Sun Jul  4 2021 kbuild@suse.de
- Automatically updated to 5.13-9606-g303392fd5c16
- commit 6ee0701
* Sat Jul  3 2021 kbuild@suse.de
- Automatically updated to 5.13-9356-g4b820e167bf6
- commit dd7a6de
* Fri Jul  2 2021 kbuild@suse.de
- Automatically updated to 5.13-7637-g3dbdb38e2869
- commit 78cfdd9
* Thu Jul  1 2021 msuchanek@suse.de
- kernel-binary.spec: Remove obsolete and wrong comment
  mkmakefile is repleced by echo on newer kernel
- commit d9209e7
* Thu Jul  1 2021 ptesarik@suse.cz
- Set CONFIG_SCSI_SNIC_DEBUG_FS=y (bsc#1158776 comment 19).
- commit 373d095
* Thu Jul  1 2021 ptesarik@suse.cz
- Set CONFIG_BLK_SED_OPAL=y on arm64 (bsc#1158776 comment 16).
- commit 61048da
* Thu Jul  1 2021 ptesarik@suse.cz
- Set CONFIG_SATA_ZPODD=y on arm64 (bsc#1158776 comment 14).
- commit 179ce8d
* Thu Jul  1 2021 ptesarik@suse.cz
- Disable MANDATORY_FILE_LOCKING on arm and arm64 (bsc#1158776 comment 12).
- commit 8b1f614
* Thu Jul  1 2021 ptesarik@suse.cz
- Disable 842 compression on arm64 (bsc#1158776 comment 11).
- commit 9e9ba62
* Thu Jul  1 2021 ptesarik@suse.cz
- Set CONFIG_USB_CHAOSKEY=m on arm64 (bsc#1158776 comment 9).
- commit e1876b6
* Thu Jul  1 2021 ptesarik@suse.cz
- Set CONFIG_INET_DIAG_DESTROY=y on arm64 (bsc#1158776 comment 7).
- commit f13730f
* Thu Jul  1 2021 ptesarik@suse.cz
- Set CONFIG_SLAB_FREELIST_RANDOM=y on arm64 (bsc#1158776 comment 6).
- commit 752d277
* Thu Jul  1 2021 ptesarik@suse.cz
- Disable CONFIG_PCCARD on arm64 (bsc#1158776 comment 2).
- commit b442f13
* Thu Jul  1 2021 kbuild@suse.de
- Automatically updated to 5.13-5357-gdbe69e433722
- commit 331ee40
* Wed Jun 30 2021 kbuild@suse.de
- Automatically updated to 5.13-2525-g007b350a5875
- commit d62bad0
* Tue Jun 29 2021 kbuild@suse.de
- Automatically updated to 5.13-1956-gc54b245d0118
- commit 04ae634
* Mon Jun 28 2021 kbuild@suse.de
- Automatically updated to 5.13
- commit 89fb088
* Sun Jun 27 2021 mkubecek@suse.cz
- Update to 5.13 final
- refresh configs
  - update headers
  - armv7hl: drop GPIO_TQMX86
- commit 41d9a74
* Sun Jun 27 2021 kbuild@suse.de
- Automatically updated to 5.13-rc7-111-g625acffd7ae2
- commit 16c51ac
* Sat Jun 26 2021 kbuild@suse.de
- Automatically updated to 5.13-rc7-105-gb7050b242430
- commit d600f48
* Fri Jun 25 2021 msuchanek@suse.de
- Revert "Update config files (bsc#1187167)" (bsc#1187711).
  The key is needed. When a random key is generaeted it is a problem with
  OBS repository setup. OBS should provide a signing key.
- commit e7a5876
* Fri Jun 25 2021 kbuild@suse.de
- Automatically updated to 5.13-rc7-43-g44db63d1ad8d
- commit 8602ffc
* Thu Jun 24 2021 kbuild@suse.de
- Automatically updated to 5.13-rc7-10-g7426cedc7dad
- commit 7b3cabf
* Wed Jun 23 2021 kbuild@suse.de
- Automatically updated to 5.13-rc7-3-g0c18f29aae7c
- commit 7da233c
* Tue Jun 22 2021 kbuild@suse.de
- Automatically updated to 5.13-rc7-2-ga96bfed64c89
- commit 4cbb133
* Mon Jun 21 2021 kbuild@suse.de
- Automatically updated to 5.13-rc7
- commit 0a4a430
* Sun Jun 20 2021 mkubecek@suse.cz
- Update to 5.13-rc7
- eliminate 1 patch
  - patches.suse/0001-x86-ioremap-Map-efi_mem_reserve-memory-as-encrypted-.patch
- refresh configs
- commit de0ee54
* Sun Jun 20 2021 kbuild@suse.de
- Automatically updated to 5.13-rc6-267-g913ec3c22ef4
- commit 1d36bad
* Sat Jun 19 2021 kbuild@suse.de
- Automatically updated to 5.13-rc6-249-g9ed13a17e38e
- commit 70c4924
* Fri Jun 18 2021 kbuild@suse.de
- Automatically updated to 5.13-rc6-57-gfd0aa1a4567d
- commit 9e7cd8f
* Thu Jun 17 2021 ludwig.nussel@suse.de
- UsrMerge the kernel (boo#1184804)
- Move files in /boot to modules dir
  The file names in /boot are included as %%ghost links. The %%post script
  creates symlinks for the kernel, sysctl.conf and System.map in
  /boot for compatibility. Some tools require adjustments before we
  can drop those links. If boot is a separate partition, a copy is
  used instead of a link.
  The logic for /boot/vmlinuz and /boot/initrd doesn't change with
  this patch.
- Use /usr/lib/modules as module dir when usermerge is active in the
  target distro.
- commit 6f5ed04
* Thu Jun 17 2021 kbuild@suse.de
- Automatically updated to 5.13-rc6-44-g70585216fe77
- commit 4e3bfef
* Wed Jun 16 2021 tiwai@suse.de
- Update config files: CONFIG_SND_HDA_INTEL=m for armv7hl, too (bsc#1187334)
  It's used by openQA.
- commit 8aafe59
* Wed Jun 16 2021 kbuild@suse.de
- Automatically updated to 5.13-rc6-2-g94f0b2d4a1d0
- commit 04704fb
* Wed Jun 16 2021 msuchanek@suse.de
- kernel-binary.spec.in: Regenerate makefile when not using mkmakefile.
- commit 6b30fe5
* Mon Jun 14 2021 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix handling of +arch marker (bsc#1186672)
  The previous commit made a module wrongly into Module.optional.
  Although it didn't influence on the end result, better to fix it.
  Also, add a comment to explain the markers briefly.
- commit 8f79742
* Mon Jun 14 2021 kbuild@suse.de
- Automatically updated to 5.13-rc6
- commit c459490
* Mon Jun 14 2021 schwab@suse.de
- config: riscv64: enable STMMAC_PLATFORM
  This also makes DWMAC_DWC_QOS_ETH, DWMAC_GENERIC, DWMAC_INTEL_PLAT visible
  which are all enabled.
- commit b466050
* Sun Jun 13 2021 kbuild@suse.de
- Automatically updated to 5.13-rc5-241-g8ecfa36cd4db
- commit bf5030f
* Sat Jun 12 2021 kbuild@suse.de
- Automatically updated to 5.13-rc5-139-gad347abe4a98
- commit b56d750
* Fri Jun 11 2021 tiwai@suse.de
- Add arch-dependent support markers in supported.conf (bsc#1186672)
  We may need to put some modules as supported only on specific archs.
  This extends the supported.conf syntax to allow to put +arch additionally
  after the unsupported marker, then it'll be conditionally supported on
  that arch.
- commit 8cbdb41
* Fri Jun 11 2021 bwiedemann@suse.de
- Create Symbols.list and ipa-clones.list determistically
  without this patch, filesystem readdir order would influence
  order of entries in these files.
  This patch was done while working on reproducible builds for SLE.
- commit a898b6d
* Fri Jun 11 2021 kbuild@suse.de
- Automatically updated to 5.13-rc5-74-g06af8679449d
- commit 1978da9
* Fri Jun 11 2021 tiwai@suse.de
- Update config files (bsc#1187167)
  Set empty to CONFIG_MODULE_SIG_KEY for reproducible builds
- commit fc28c35
* Thu Jun 10 2021 martin.wilck@suse.com
- kernel-binary.spec.in: Add Supplements: for -extra package on Leap
  kernel-$flavor-extra should supplement kernel-$flavor on Leap, like
  it does on SLED, and like the kernel-$flavor-optional package does.
- commit c60d87f
* Thu Jun 10 2021 kbuild@suse.de
- Automatically updated to 5.13-rc5-63-gcd1245d75ce9
- commit 753b827
* Wed Jun  9 2021 kbuild@suse.de
- Automatically updated to 5.13-rc5-36-g368094df48e6
- commit 531bab1
* Mon Jun  7 2021 kbuild@suse.de
- Automatically updated to 5.13-rc5
- commit f467a77
* Mon Jun  7 2021 mkubecek@suse.cz
- Update to 5.13-rc5
- update configs
  - HID_SEMITEK=m
- commit 58a7cec
* Sun Jun  6 2021 kbuild@suse.de
- Automatically updated to 5.13-rc4-265-gf5b6eb1e0182
- commit d18cdd2
* Sat Jun  5 2021 kbuild@suse.de
- Automatically updated to 5.13-rc4-240-g9d32fa5d74b1
- commit 6ac4fa6
* Fri Jun  4 2021 kbuild@suse.de
- Automatically updated to 5.13-rc4-88-gf88cd3fb9df2
- commit d1269e1
* Thu Jun  3 2021 msuchanek@suse.de
- Refresh config files.
  Align across architectures:
  BPFILTER_UMH=m
- commit 0ff8348
* Thu Jun  3 2021 afaerber@suse.com
- config: armv7hl: Update to 5.13-rc4
- commit 8c7d021
* Thu Jun  3 2021 afaerber@suse.com
- config: armv6hl: Update to 5.13-rc4
- commit 44d2ff6
* Thu Jun  3 2021 afaerber@suse.com
- config: arm64: Update to 5.13-rc4
- commit bb20235
* Thu Jun  3 2021 kbuild@suse.de
- Automatically updated to 5.13-rc4-61-g324c92e5e0ee
- commit 7f8c815
* Thu Jun  3 2021 msuchanek@suse.de
- kernel-binary.spec.in: build-id check requires elfutils.
- commit 01569b3
* Wed Jun  2 2021 msuchanek@suse.de
- kernel-binary.spec: Only use mkmakefile when it exists
  Linux 5.13 no longer has a mkmakefile script
- commit b453c7b
* Wed Jun  2 2021 kbuild@suse.de
- Automatically updated to 5.13-rc4-48-g231bc5390667
- commit fc026b9
* Tue Jun  1 2021 msuchanek@suse.de
- kernel-doc: Use Sphinx3.
  Sphinx2 is about to be removed from Factory.
- commit 8565f23
* Tue Jun  1 2021 kbuild@suse.de
- Automatically updated to 5.13-rc4-11-gc2131f7e73c9
- commit caaa4b5
* Mon May 31 2021 kbuild@suse.de
- Automatically updated to 5.13-rc4
- commit f6ab72a
* Sun May 30 2021 mkubecek@suse.cz
- Update to 5.13-rc4
- eliminate 3 patches
  - patches.suse/bpf-Fix-alu32-const-subreg-bound-tracking-on-bitwise.patch
  - patches.suse/bpf-Prevent-writable-memory-mapping-of-read-only-rin.patch
  - patches.suse/bpf-ringbuf-Deny-reserve-of-buffers-larger-than-ring.patch
- update configs
  - BPF_UNPRIV_DEFAULT_OFF=n (backward compatible)
  - MEMTEST=y (riscv64 only, enabled on most architectures)
- commit c2a4581
* Sun May 30 2021 kbuild@suse.de
- Automatically updated to 5.13-rc3-533-gb90e90f40b4f
- commit 5b9aed5
* Sat May 29 2021 kbuild@suse.de
- Automatically updated to 5.13-rc3-375-g6799d4f2da49
- commit 49a9ce1
* Fri May 28 2021 kbuild@suse.de
- Automatically updated to 5.13-rc3-261-g97e5bf604b7a
- commit b080b8c
* Thu May 27 2021 kbuild@suse.de
- Automatically updated to 5.13-rc3-241-gd7c5303fbc8a
- commit ee93cb8
* Wed May 26 2021 kbuild@suse.de
- Automatically updated to 5.13-rc3-43-gad9f25d33860
- commit 7267286
* Tue May 25 2021 kbuild@suse.de
- Automatically updated to 5.13-rc3-39-ga050a6d2b7e8
- commit 11ad71a
* Mon May 24 2021 kbuild@suse.de
- Automatically updated to 5.13-rc3
- commit b56ef82
* Sun May 23 2021 kbuild@suse.de
- Automatically updated to 5.13-rc2-266-g4d7620341eda
- commit e0fd2b9
* Sat May 22 2021 kbuild@suse.de
- Automatically updated to 5.13-rc2-230-g45af60e7ced0
- commit cb71dce
* Fri May 21 2021 kbuild@suse.de
- Automatically updated to 5.13-rc2-191-g79a106fc6585
- commit b3050de
* Thu May 20 2021 kbuild@suse.de
- Automatically updated to 5.13-rc2-8-gc3d0e3fd41b7
- commit c6889cf
* Tue May 18 2021 kbuild@suse.de
- Automatically updated to 5.13-rc2-5-g8ac91e6c6033
- commit 0c11857
* Mon May 17 2021 kbuild@suse.de
- Automatically updated to 5.13-rc2
- commit 1de4a93
* Sun May 16 2021 kbuild@suse.de
- Automatically updated to 5.13-rc1-248-g63d1cb53e26a
- commit bcf1851
* Sat May 15 2021 mkubecek@suse.cz
- kbuild: dummy-tools: adjust to stricter stackprotector check.
  Fix i386 builds after recent changes of stackprotector feature check and
  restore stackprotector related config options.
- commit f275d35
* Sat May 15 2021 kbuild@suse.de
- Automatically updated to 5.13-rc1-144-g25a1298726e9
- commit 3e3a86f
* Fri May 14 2021 kbuild@suse.de
- Automatically updated to 5.13-rc1-111-g315d99318179
- commit 7622fe2
* Thu May 13 2021 kbuild@suse.de
- Automatically updated to 5.13-rc1-92-gc06a2ba62fc4
- commit 528453d
* Thu May 13 2021 msuchanek@suse.de
- Delete patches.rpmify/drm-bridge-fix-LONTIUM_LT8912B-dependencies.patch.
  Upstreamed
- commit 47723a3
* Wed May 12 2021 kbuild@suse.de
- Automatically updated to 5.13-rc1-76-g88b06399c9c7
- commit dbc33b2
* Wed May 12 2021 glin@suse.com
- scripts/git_sort/git_sort.py: add bpf git repo
- commit 65979e3
* Tue May 11 2021 kbuild@suse.de
- Automatically updated to 5.13-rc1-74-g1140ab592e2e
- commit b2d1d3c
* Mon May 10 2021 msuchanek@suse.de
- Refresh patches.rpmify/powerpc-64-BE-option-to-use-ELFv2-ABI-for-big-endian.patch.
- commit 9883111
* Mon May 10 2021 kbuild@suse.de
- Automatically updated to 5.13-rc1
- commit 389a4aa
* Mon May 10 2021 mkubecek@suse.cz
- Update to 5.13-rc1
- eliminated 34 patches (22 stable, 12 other)
  - patches.kernel.org/*
  - patches.suse/clk-bcm-rpi-release-firmware-handle-on-unbind.patch
  - patches.suse/dt-bindings-pwm-add-binding-for-rpi-firmware-pwm-bus.patch
  - patches.suse/firmware-raspberrypi-introduce-devm_rpi_firmware_get.patch
  - patches.suse/firmware-raspberrypi-keep-count-of-all-consumers.patch
  - patches.suse/gpio-raspberrypi-exp-release-firmware-handle-on-unbind.patch
  - patches.suse/input-raspberrypi-ts-release-firmware-handle-when-not-needed.patch
  - patches.suse/media-dvb-usb-Fix-memory-leak-at-error-in-dvb_usb_de.patch
  - patches.suse/media-dvb-usb-Fix-use-after-free-access.patch
  - patches.suse/pwm-add-raspberry-pi-firmware-based-pwm-bus.patch
  - patches.suse/reset-raspberrypi-release-firmware-handle-on-unbind.patch
  - patches.suse/soc-bcm-raspberrypi-power-release-firmware-handle-on-unbind.patch
  - patches.suse/vchiq-release-firmware-handle-on-unbind.patch
- disable ARM architectures (need config update)
- refresh
  - patches.rpmify/powerpc-64-BE-option-to-use-ELFv2-ABI-for-big-endian.patch
  - patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  - patches.suse/supported-flag
  - patches.suse/supported-flag-modverdir
  - patches.suse/vfs-add-super_operations-get_inode_dev
- config refresh (no longer available as module)
  - PVPANIC (m -> y)
  - NFS_V4_2_SSC_HELPER (m -> y)
- new config options
  - General setup
  - CGROUP_MISC=y
  - Virtualization
  - X86_SGX_KVM=y
  - General architecture-dependent options
  - RANDOMIZE_KSTACK_OFFSET_DEFAULT=y
  - Enable loadable module support
  - MODULE_COMPRESS_NONE=y
  - MODULE_COMPRESS_GZIP=n
  - MODULE_COMPRESS_XZ=n
  - MODULE_COMPRESS_ZSTD=n
  - MODPROBE_PATH="/sbin/modprobe"
  - Networking support
  - NF_LOG_SYSLOG=m
  - NETFILTER_XTABLES_COMPAT=y
  - PCPU_DEV_REFCNT=y
  - CAN_ETAS_ES58X=m
  - BT_AOSPEXT=y
  - BT_VIRTIO=m
  - File systems
  - NETFS_SUPPORT=m
  - NETFS_STATS=y
  - Security options
  - SECURITY_LANDLOCK=y
  - Cryptographic API
  - CRYPTO_ECDSA=y
  - SYSTEM_REVOCATION_LIST=y
  - SYSTEM_REVOCATION_KEYS=""
  - Kernel hacking
  - VMLINUX_MAP=y
  - TEST_DIV64=n
  - Virtualiation drivers
  - PVPANIC=y
  - PVPANIC_MMIO=m
  - PVPANIC_PCI=m
  - VDPA_SIM_BLOCK=m
  - VP_VDPA=m
  - Network device support
  - NET_DSA_MICROCHIP_KSZ8863_SMI=m
  - NET_VENDOR_MICROSOFT=y
  - MICROSOFT_MANA=m
  - MLX5_TC_SAMPLE=y
  - MARVELL_88X2222_PHY=m
  - NXP_C45_TJA11XX_PHY=m
  - WWAN=y
  - WWAN_CORE=m
  - MHI_WWAN_CTRL=m
  - Input device support
  - TOUCHSCREEN_HYCON_HY46XX=m
  - TOUCHSCREEN_ILITEK=m
  - TOUCHSCREEN_MSG2638=m
  - INPUT_IQS626A=m
  - Power supply class support
  - BATTERY_GOLDFISH=m
  - BATTERY_SURFACE=m
  - CHARGER_SURFACE=m
  - Hardware Monitoring support
  - SENSORS_NZXT_KRAKEN2=m
  - SENSORS_BPA_RS600=m
  - SENSORS_FSP_3Y=m
  - SENSORS_IR36021=m
  - SENSORS_MAX15301=m
  - SENSORS_STPDDC60=m
  - Graphics support
  - DRM_AMD_SECURE_DISPLAY=y
  - DRM_I915_REQUEST_TIMEOUT=20000
  - DRM_GUD=m
  - Sound card support
  - SND_SOC_FSL_RPMSG=n
  - SND_SOC_TLV320AIC3X_I2C=n
  - SND_SOC_TLV320AIC3X_SPI=n
  - SND_VIRTIO=m
  - HID support
  - HID_FT260=m
  - SURFACE_KBD=m
  - SURFACE_HID=m
  - X86 Platform Specific Device Drivers
  - GIGABYTE_WMI=m
  - ADV_SWBUTTON=m
  - Microsoft Surface Platform-Specific Device Drivers
  - SURFACE_AGGREGATOR_REGISTRY=m
  - SURFACE_DTX=m
  - SURFACE_PLATFORM_PROFILE=m
  - Industrial I/O support
  - BMI088_ACCEL=n
  - TI_ADS131E08=n
  - CROS_EC_MKBP_PROXIMITY=n
  - Misc devices
  - DW_XDATA_PCIE=m
  - I2C_CP2615=m
  - SPI_ALTERA_CORE=m
  - SPI_ALTERA_DFL=m
  - INTEL_TCC_COOLING=m
  - MFD_ATC260X_I2C=n
  - RTC_DRV_GOLDFISH=m
  - INTEL_IDXD_PERFMON=y
  - UIO_DFL=m
  - OF dependent (i386, ppc64 / ppc64le, riscv64)
  - MFD_NTXEC=n
  - MFD_ROHM_BD957XMUF=n
  - DRM_CHIPONE_ICN6211=n
  - DRM_LONTIUM_LT8912B=n
  - LEDS_RT4505=m
  - i386
  - MODULE_SIG_ALL=n
  - MODULE_SIG_SHA256=y
  - SND_SOC_RT1316_SDW=n
  - SND_SOC_RT711_SDCA_SDW=n
  - SND_SOC_RT715_SDCA_SDW=n
  - LEDS_LGM=m
  - MODULE_SIG_KEY="certs/signing_key.pem"
  - ppc64 / ppc64le
  - TIME_NS=y
  - STRICT_KERNEL_RWX=y
  - CMA_SYSFS=n
  - FSL_DPAA2_SWITCH=m
  - FSL_ENETC_IERB=m
  - DEBUG_RODATA_TEST=n
  - DEBUG_VM_PGTABLE=n
  - s390x
  - CMA_SYSFS=n
  - NET_DSA=n
  - CIO_INJECT=n
  - riscv64
  - SOC_MICROCHIP_POLARFIRE=y
  - RISCV_ERRATA_ALTERNATIVE=y
  - ERRATA_SIFIVE_CIP_453=y
  - ERRATA_SIFIVE_CIP_1200=y
  - KEXEC=y
  - CRASH_DUMP=y
  - PHYS_RAM_BASE_FIXED=n
  - XIP_KERNEL=n
  - STRICT_MODULE_RWX=y
  - PCIE_FU740
  - PROC_VMCORE=y
  - PROC_VMCORE_DEVICE_DUMP=y
  - FORTIFY_SOURCE=y
- commit ff4c1d6
* Sun May  9 2021 kbuild@suse.de
- Automatically updated to 5.12-15009-gb741596468b0
- commit e972718
* Sat May  8 2021 kbuild@suse.de
- Automatically updated to 5.12-14869-gdd860052c99b
- commit eff1b47
* Fri May  7 2021 kbuild@suse.de
- Automatically updated to 5.12-14712-ga48b0872e694
- commit 33b7e68
* Thu May  6 2021 msuchanek@suse.de
- kernel-docs.spec.in: Build using an utf-8 locale.
  Sphinx cannot handle UTF-8 input in non-UTF-8 locale.
- commit 0db6da1
* Thu May  6 2021 kbuild@suse.de
- Automatically updated to 5.12-14380-g8404c9fbc84b
- commit e1c90d1
* Thu May  6 2021 msuchanek@suse.de
- rpm/kernel-docs.spec.in: amscls is required even for HTML docs.
- commit b837d74
* Thu May  6 2021 mkubecek@suse.cz
- config: disable kfence by default (bsc#1185565)
  Apperently the overhead of kfence is not as negligible as the help text
  seemed to promise so that it seems more appropriate to disable kfence by
  default by setting CONFIG_KFENCE_SAMPLE_INTERVAL to 0. Anyone who wants to
  enable it can still do so using the kfence.sample_interval command line
  parameter.
- commit 865b2a8
* Wed May  5 2021 msuchanek@suse.de
- Move patch to correct directory.
- commit ab448f7
* Wed May  5 2021 msuchanek@suse.de
- rpm/kernel-docs.spec.in: Add amscls is required to build.
  [  781s] ! LaTeX Error: File `amsthm.sty' not found.
- commit df7d35d
* Wed May  5 2021 kbuild@suse.de
- Automatically updated to 5.12-13882-gd665ea6ea86c
- commit d09de61
* Wed May  5 2021 msuchanek@suse.de
- Revert "Update config files."
  This reverts commit 415cc7cde26cc6e7e922bb08af3389d7bce141e1.
  CONFIG_DRM_LONTIUM_LT8912B=m
- commit a4e0dfc
* Wed May  5 2021 msuchanek@suse.de
- drm/bridge: fix LONTIUM_LT8912B dependencies
  (ERROR: modpost: "drm_display_mode_to_videomode"
  [drivers/gpu/drm/bridge/lontium-lt8912b.ko] undefined!).
  Update config files.
- commit e8a8bff
* Wed May  5 2021 mkubecek@suse.cz
- rpm: drop /usr/bin/env in interpreter specification
  OBS checks don't like /usr/bin/env in script interpreter lines but upstream
  developers tend to use it. A proper solution would be fixing the depedency
  extraction and drop the OBS check error but that's unlikely to happen so
  that we have to work around the problem on our side and rewrite the
  interpreter lines in scripts before collecting files for packages instead.
- commit 45c5c1a
* Tue May  4 2021 msuchanek@suse.de
- Update config files.
  CONFIG_DRM_LONTIUM_LT8912B=n
  ERROR: modpost: "drm_display_mode_to_videomode" [drivers/gpu/drm/bridge/lontium-lt8912b.ko] undefined!
- commit 415cc7c
* Tue May  4 2021 kbuild@suse.de
- Automatically updated to 5.12-13670-g5e321ded302d
- commit 96e4809
* Tue May  4 2021 dwagner@suse.de
- scripts/git_sort/git_sort.py: Update nvme repositories
- commit e849c44
* Mon May  3 2021 kbuild@suse.de
- Automatically updated to 5.12-13583-g9ccce092fc64
- commit 130ae87
* Sun May  2 2021 kbuild@suse.de
- Automatically updated to 5.12-13566-g17ae69aba89d
- commit c13b5be
* Sat May  1 2021 kbuild@suse.de
- Automatically updated to 5.12-12733-g9f67672a817e
- commit 669640f
* Sat May  1 2021 msuchanek@suse.de
- powerpc/64: BE option to use ELFv2 ABI for big endian kernels (BTFIDS vmlinux FAILED unresolved symbol vfs_truncate).
  Update config files.
- powerpc/64: BE option to use ELFv2 ABI for big endian kernels
  (BTFIDS vmlinux FAILED unresolved symbol vfs_truncate).
  Update config files.
- commit 815c3d4
* Fri Apr 30 2021 kbuild@suse.de
- Automatically updated to 5.12-11146-g8ca5297e7e38
- commit 722b2fa
* Fri Apr 30 2021 schwab@suse.de
- rpm/constraints.in: bump disk space to 45GB on riscv64
- commit f8b883f
* Thu Apr 29 2021 tiwai@suse.de
- Update config files: fix armv7hl/lpae config (bsc#1152773)
  CONFIG_OABI_COMPAT was left enabled mistakenly on lpae flavor, which
  resulted in the disablement of CONFIG_SECCOMP_FILTER.  Fix those.
  CONFIG_OABI_COMPAT -> disabled
  CONFIG_SECCOMP_FILTER=y
  CONFIG_HAVE_ARCH_SECCOMP_FILTER=y
  Also corrected the following with the update:
  CONFIG_HAVE_ARCH_AUDITSYSCALL=y
  CONFIG_AUDITSYSCALL=y
  CONFIG_FPE_NWFPE -> removed
  CONFIG_FPE_NWFPE_XP -> removed
  CONFIG_FPE_FASTFPE -> removed
- commit aa6c781
* Thu Apr 29 2021 kbuild@suse.de
- Automatically updated to 5.12-8136-gd72cd4ad4174
- commit d42df12
* Wed Apr 28 2021 kbuild@suse.de
- Automatically updated to 5.12-4637-gacd3d2859453
- commit 7b8ecce
* Wed Apr 28 2021 jslaby@suse.cz
- rpm/constraints.in: remove aarch64 disk size exception
  obs://Kernel:stable/kernel-default/ARM/aarch64 currrently fails:
  installing package kernel-default-livepatch-devel-5.12.0-3.1.g6208a83.aarch64 needs 3MB more space on the / filesystem
  The stats say:
  Maximal used disk space: 31799 Mbyte
  By default, we require 35G. For aarch64 we had an exception to lower
  this limit to 30G there. Drop this exception as it is obviously no
  longer valid.
- commit ee00b50
* Tue Apr 27 2021 kbuild@suse.de
- Automatically updated to 5.12-4308-g4a0225c3d208
- commit 3e13089
* Mon Apr 26 2021 kbuild@suse.de
- Automatically updated to 5.12
- commit db9dfc5
* Sun Apr 25 2021 mkubecek@suse.cz
- Update to 5.12 final
- refresh configs (headers only)
- commit 4835129
* Sun Apr 25 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Require new enough pahole.
  pahole 1.21 is required for building linux 5.12 BTF
- commit 9a79a67
* Sun Apr 25 2021 kbuild@suse.de
- Automatically updated to 5.12-rc8-46-g2a1d7946fa53
- commit 6a990df
* Sat Apr 24 2021 kbuild@suse.de
- Automatically updated to 5.12-rc8-43-g8db5efb83fa9
- commit 1573709
* Fri Apr 23 2021 martin.wilck@suse.com
- rpm/macros.kernel-source: fix KMP failure in %%install (bsc#1185244)
- commit 52805ed
* Fri Apr 23 2021 kbuild@suse.de
- Automatically updated to 5.12-rc8-11-g18a3c5f7abfd
- commit 152c312
* Thu Apr 22 2021 msuchanek@suse.de
- rpm/kernel-obs-build.spec.in: Include essiv with dm-crypt (boo#1183063).
  Previously essiv was part of dm-crypt but now it is separate.
  Include the module in kernel-obs-build when available.
  Fixes: 7cf5b9e26d87 ("rpm/kernel-obs-build.spec.in: add dm-crypt for building with cryptsetup")
- commit fe15b78
* Thu Apr 22 2021 kbuild@suse.de
- Automatically updated to 5.12-rc8-6-g16fc44d6387e
- commit 7a48186
* Thu Apr 22 2021 tiwai@suse.de
- Revert "rpm/kernel-binary.spec.in: Fix dependency of kernel-*-devel package (bsc#1184514)"
  This turned out to be a bad idea: the kernel-$flavor-devel package
  must be usable without kernel-$flavor, e.g. at the build of a KMP.
  And this change brought superfluous installation of kernel-preempt
  when a system had kernel-syms (bsc#1185113).
- commit d771304
* Wed Apr 21 2021 jslaby@suse.cz
- rpm/check-for-config-changes: add AS_HAS_* to ignores
  arch/arm64/Kconfig defines a lot of these. So far our current compilers
  seem to support them all. But it can quickly change with SLE later.
- commit a4d8194
* Wed Apr 21 2021 kbuild@suse.de
- Automatically updated to 5.12-rc8-4-g1fe5501ba1ab
- commit 647d4df
* Tue Apr 20 2021 kbuild@suse.de
- Automatically updated to 5.12-rc8-1-g7af08140979a
- commit 43c39c4
* Mon Apr 19 2021 kbuild@suse.de
- Automatically updated to 5.12-rc8
- commit 4f5a0ae
* Sun Apr 18 2021 mkubecek@suse.cz
- Update to 5.12-rc8
- refresh configs
- commit 1fade33
* Sun Apr 18 2021 kbuild@suse.de
- Automatically updated to 5.12-rc7-164-gc98ff1d013d2
- commit df70943
* Sat Apr 17 2021 kbuild@suse.de
- Automatically updated to 5.12-rc7-67-g9cdbf6467424
- commit 0972263
* Fri Apr 16 2021 kbuild@suse.de
- Automatically updated to 5.12-rc7-53-g7e25f40eab52
- commit 53777b2
* Thu Apr 15 2021 kbuild@suse.de
- Automatically updated to 5.12-rc7-32-g7f75285ca572
- commit 0b6059a
* Wed Apr 14 2021 kbuild@suse.de
- Automatically updated to 5.12-rc7-6-g50987beca096
- commit a2fef56
* Wed Apr 14 2021 jslaby@suse.cz
- rpm/check-for-config-changes: remove stale comment
  It is stale since 8ab393bf905a committed in 2005 :).
- commit c9f9f5a
* Tue Apr 13 2021 tiwai@suse.de
- rpm/mkspec: Use tilde instead of dot for version string with rc (bsc#1184650)
- commit f37613f
* Tue Apr 13 2021 kbuild@suse.de
- Automatically updated to 5.12-rc7-2-g89698becf06d
- commit ea8b59a
* Mon Apr 12 2021 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix dependency of kernel-*-devel package (bsc#1184514)
  The devel package requires the kernel binary package itself for building
  modules externally.
- commit 794be7b
* Mon Apr 12 2021 kbuild@suse.de
- Automatically updated to 5.12-rc7
- commit 4a1ba0d
* Sun Apr 11 2021 kbuild@suse.de
- Automatically updated to 5.12-rc6-408-g52e44129fba5
- commit 66be9b7
* Sat Apr 10 2021 kbuild@suse.de
- Automatically updated to 5.12-rc6-371-gd4961772226d
- commit b9c5a89
* Fri Apr  9 2021 msuchanek@suse.de
- Add obsolete_rebuilds_subpackage (boo#1172073 bsc#1191731).
- commit f037781
* Fri Apr  9 2021 msuchanek@suse.de
- rpm/check-for-config-changes: Also ignore AS_VERSION added in 5.12.
- commit bd64cb2
* Fri Apr  9 2021 kbuild@suse.de
- Automatically updated to 5.12-rc6-87-g17e7124aad76
- commit 818de03
* Fri Apr  9 2021 msuchanek@suse.de
- post.sh: Return an error when module update fails (bsc#1047233 bsc#1184388).
- commit 18f65df
* Thu Apr  8 2021 kbuild@suse.de
- Automatically updated to 5.12-rc6-42-g454859c552da
- commit 658904c
* Wed Apr  7 2021 kbuild@suse.de
- Automatically updated to 5.12-rc6-6-g2d743660786e
- commit d16302c
* Wed Apr  7 2021 dmueller@suse.com
- config.conf: reenable armv6/armv7 configs
  (all modules, otherwise same settings like arm64)
- commit d01d749
* Wed Apr  7 2021 dmueller@suse.com
- arm64: add debug config with KASAN enabled (bsc#1183716)
- commit 7831cf6
* Tue Apr  6 2021 kbuild@suse.de
- Automatically updated to 5.12-rc6-3-g0a50438c8436
- commit 14ec3df
* Tue Apr  6 2021 dmueller@suse.com
- arm64: enable and update config for 5.12
- commit c7e5d4e
* Mon Apr  5 2021 kbuild@suse.de
- Automatically updated to 5.12-rc6
- commit afa022d
* Sun Apr  4 2021 kbuild@suse.de
- Automatically updated to 5.12-rc5-182-g2023a53bdf41
- commit 1cc7a24
* Sat Apr  3 2021 kbuild@suse.de
- Automatically updated to 5.12-rc5-117-gd93a0d43e3d0
- commit 1ef465c
* Fri Apr  2 2021 msuchanek@suse.de
- Update config files.
- commit d4526d7
* Fri Apr  2 2021 kbuild@suse.de
- Automatically updated to 5.12-rc5-91-g1678e493d530
- commit a3fa33e
* Thu Apr  1 2021 kbuild@suse.de
- Automatically updated to 5.12-rc5-30-gd19cc4bfbff1
- commit 99f2546
* Wed Mar 31 2021 kbuild@suse.de
- Automatically updated to 5.12-rc5-17-g5e46d1b78a03
- commit 428a32e
* Tue Mar 30 2021 kbuild@suse.de
- Automatically updated to 5.12-rc5-3-g1e43c377a79f
- commit 040b374
* Mon Mar 29 2021 kbuild@suse.de
- Automatically updated to 5.12-rc5
- commit 6f696b8
* Mon Mar 29 2021 mkubecek@suse.cz
- Update to 5.12-rc5
- refresh configs
  - XEN_BALLOON_MEMORY_HOTPLUG_LIMIT renamed to XEN_MEMORY_HOTPLUG_LIMIT (x86_64)
- commit 1f2ed0f
* Sat Mar 27 2021 kbuild@suse.de
- Automatically updated to 5.12-rc4-354-g0f4498cef9f5
- commit 07ed790
* Fri Mar 26 2021 kbuild@suse.de
- Automatically updated to 5.12-rc4-266-gdb24726bfefa
- commit bfea666
* Fri Mar 26 2021 tiwai@suse.de
- Update config files: disable CONFIG_SND_HDA_INTEL_HDMI_SILENT_STREAM (bsc#1184019)
- commit 1a2dc3f
* Thu Mar 25 2021 kbuild@suse.de
- Automatically updated to 5.12-rc4-223-ge138138003eb
- commit 1de7cca
* Wed Mar 24 2021 kbuild@suse.de
- Automatically updated to 5.12-rc4-7-g7acac4b3196c
- commit 20e893e
* Tue Mar 23 2021 kbuild@suse.de
- Automatically updated to 5.12-rc4-4-g84196390620a
- commit 341438a
* Mon Mar 22 2021 kbuild@suse.de
- Automatically updated to 5.12-rc4
- commit 6409307
* Sun Mar 21 2021 mkubecek@suse.cz
- Update to 5.12-rc4
- update configs
  - VFIO=n (s390x/zfcpdump only)
  - drop SND_SOC_SIRF_AUDIO_CODEC (removed)
  - drop ADI_AXI_ADC (x86_64, depends on OF now)
- commit 430f1b5
* Sun Mar 21 2021 mkubecek@suse.cz
- config: disable obsolete crypto algorithms (bsc#1180928)
- CONFIG_CRYPTO_USER_API_ENABLE_OBSOLETE y->n
  - drop CRYPTO_ANUBIS
  - drop CRYPTO_ARC4
  - drop CRYPTO_KHAZAD
  - drop CRYPTO_SEED
  - drop CRYPTO_TEA
- commit d17512c
* Sun Mar 21 2021 kbuild@suse.de
- Automatically updated to 5.12-rc3-220-g812da4d39463
- commit 4c18499
* Sat Mar 20 2021 kbuild@suse.de
- Automatically updated to 5.12-rc3-187-g1c273e10bc0c
- commit 56ffe59
* Fri Mar 19 2021 kbuild@suse.de
- Automatically updated to 5.12-rc3-70-g8b12a62a4e3e
- commit cf00894
* Thu Mar 18 2021 msuchanek@suse.de
- Delete patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch.
  Not needed with dummy-tools (bcs#1181862).
- commit d317cc1
* Thu Mar 18 2021 kbuild@suse.de
- Automatically updated to 5.12-rc3-25-g6417f03132a6
- commit 1772dbe
* Wed Mar 17 2021 kbuild@suse.de
- Automatically updated to 5.12-rc3-20-g1df27313f50a
- commit b2c5686
* Tue Mar 16 2021 kbuild@suse.de
- Automatically updated to 5.12-rc3-3-g1a4431a5db2b
- commit 3435324
* Tue Mar 16 2021 tiwai@suse.de
- Update config files: enable CONFIG_BMP280=m for x86 (bsc#1183198)
- commit 9905665
* Mon Mar 15 2021 kbuild@suse.de
- Automatically updated to 5.12-rc3
- commit b2b0194
* Sun Mar 14 2021 mkubecek@suse.cz
- Update to 5.12-rc3
- eliminated 3 patches
  - patches.rpmify/kbuild-dummy-tools-adjust-to-scripts-cc-version.sh.patch
  - patches.rpmify/kbuild-dummy-tools-fix-inverted-tests-for-gcc.patch
  - patches.rpmify/kbuild-dummy-tools-support-MPROFILE_KERNEL-checks-fo.patch
- update configs
  - COMPILE_TEST=n (s390x)
  - TMPFS_INODE64=y (s390x)
- commit 061ecc0
* Sun Mar 14 2021 mkubecek@suse.cz
- config: update with dummy toolchain
- new config options:
  - GCC_PLUGINS=y
  - GCC_PLUGIN_CYC_COMPLEXITY is not set
  - GCC_PLUGIN_LATENT_ENTROPY is not set
  - GCC_PLUGIN_RANDSTRUCT is not set
  - GCC_PLUGIN_STRUCTLEAK_USER is not set
  - GCC_PLUGIN_STRUCTLEAK_BYREF is not set
  - GCC_PLUGIN_STRUCTLEAK_BYREF_ALL is not set
- commit 1468adf
* Sun Mar 14 2021 kbuild@suse.de
- Automatically updated to 5.12-rc2-570-g88fe49249c99
- commit afb29f4
* Sat Mar 13 2021 kbuild@suse.de
- Automatically updated to 5.12-rc2-487-gf296bfd5cd04
- commit 0fc8c14
* Fri Mar 12 2021 kbuild@suse.de
- Automatically updated to 5.12-rc2-338-gf78d76e72a46
- commit dee6d2c
* Thu Mar 11 2021 kbuild@suse.de
- Automatically updated to 5.12-rc2-296-ga74e6a014c9d
- commit d871f33
* Wed Mar 10 2021 kbuild@suse.de
- Automatically updated to 5.12-rc2-271-g05a59d79793d
- commit 453b7c0
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: comment on the list
  To explain what it actually is.
- commit e94bacf
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: define ignores more strictly
  * search for whole words, so make wildcards explicit
  * use ' for quoting
  * prepend CONFIG_ dynamically, so it need not be in the list
- commit f61e954
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: sort the ignores
  They are growing so to make them searchable by humans.
- commit 67c6b55
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: add -mrecord-mcount ignore
  Added by 3b15cdc15956 (tracing: move function tracer options to Kconfig)
  upstream.
- commit 018b013
* Mon Mar  8 2021 kbuild@suse.de
- Automatically updated to 5.12-rc2-59-g144c79ef3353
- commit d7a7900
* Sun Mar  7 2021 mkubecek@suse.cz
- Update to 5.12-rc2
- eliminated 1 patch
  - patches.suse/swap-fix-swapfile-read-write-offset.patch
- update configs
  - KVM_XEN=n (x86)
  - SND_SOC_SOF_MERRIFIELD=m (i386)
- commit 619ac8c
* Sat Mar  6 2021 kbuild@suse.de
- Automatically updated to 5.12-rc2
- commit 555b18f
* Fri Mar  5 2021 dmueller@suse.com
- ARMv6/v7: Update config files. (bsc#1183009)
  enable CONFIG_ARM_MODULE_PLTS to fix module loading issues
- commit 28f299e
* Fri Mar  5 2021 kbuild@suse.de
- Automatically updated to 5.12-rc1-82-g280d542f6ffa
- commit 6cc6a38
* Fri Mar  5 2021 jslaby@suse.cz
- rpm/check-for-config-changes: declare sed args as an array
  So that we can reuse it in both seds.
  This also introduces IGNORED_CONFIGS_RE array which can be easily
  extended.
- commit a1976d2
* Thu Mar  4 2021 jslaby@suse.cz
- rpm/check-for-config-changes: ignore more configs
  Specifially, these:
  * CONFIG_CC_HAS_*
  * CONFIG_CC_HAVE_*
  * CONFIG_CC_CAN_*
  * CONFIG_HAVE_[A-Z]*_COMPILER
  * CONFIG_TOOLS_SUPPORT_*
  are compiler specific too. This will allow us to use super configs
  using kernel's dummy-tools.
- commit d12dcbd
* Wed Mar  3 2021 yousaf.kaukab@suse.com
- config: arm64: sync xgmac-mdio config with SLE
- commit d70961d
* Wed Mar  3 2021 yousaf.kaukab@suse.com
- config: arm64: sync coresight configs with SLE
- commit 02b0a50
* Wed Mar  3 2021 kbuild@suse.de
- Automatically updated to 5.12-rc1-22-gf69d02e37a85
- commit 71a9ed0
* Tue Mar  2 2021 kbuild@suse.de
- Automatically updated to 5.12-rc1-19-g7a7fd0de4a98
- commit e3ec3e0
* Mon Mar  1 2021 msuchanek@suse.de
- Refresh patches.rpmify/Add-ksym-provides-tool.patch.
- commit b5f3248
* Mon Mar  1 2021 kbuild@suse.de
- Automatically updated to 5.12-rc1
- commit 871cb07
* Mon Mar  1 2021 mkubecek@suse.cz
- Update to 5.12-rc1
- eliminated 30 patches (26 stable, 4 other)
  - patches.kernel.org/*
  - patches.suse/drm-bail-out-of-nouveau_channel_new-if-channel-init-.patch
  - patches.suse/floppy-reintroduce-O_NDELAY-fix.patch
  - patches.suse/media-uvcvideo-Accept-invalid-bFormatIndex-and-bFram.patch
  - patches.suse/nvmem-add-driver-to-expose-reserved-memory-as-nvmem.patch
- disable ARM architectures (need config update)
- refresh
  - patches.rpmify/Add-ksym-provides-tool.patch
  - patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch
  - patches.suse/acpi_thermal_passive_blacklist.patch
  - patches.suse/btrfs-use-the-new-VFS-super_block_dev.patch
  - patches.suse/supported-flag
  - patches.suse/supported-flag-modverdir
  - patches.suse/supported-flag-wildcards
  - patches.suse/vfs-add-super_operations-get_inode_dev
- new config options
  - Power management and ACPI options
  - CONFIG_ACPI_FPDT=y
  - General architecture-dependent options
  - CONFIG_LTO_NONE=y
  - Enable loadable module support
  - CONFIG_TRIM_UNUSED_KSYMS=n
  - Networking support
  - CONFIG_IP_VS_TWOS=m
  - CONFIG_NET_DSA_TAG_XRS700X=m
  - CONFIG_NFC_VIRTUAL_NCI=m
  - Library routines
  - CONFIG_STACK_HASH_ORDER=20
  - Kernel hacking
  - CONFIG_DEBUG_INFO_DWARF_TOOLCHAIN_DEFAULT=n
  - CONFIG_KFENCE=y
  - CONFIG_KFENCE_STATIC_KEYS=y
  - CONFIG_KFENCE_SAMPLE_INTERVAL=100
  - CONFIG_KFENCE_NUM_OBJECTS=255
  - CONFIG_KFENCE_STRESS_TEST_FAULTS=0
  - CONFIG_DEBUG_IRQFLAGS=n
  - PCI support
  - CONFIG_PCI_EPF_NTB=m
  - CONFIG_CXL_BUS=m
  - CONFIG_CXL_MEM=m
  - CONFIG_CXL_MEM_RAW_COMMANDS=n
  - Network device support
  - CONFIG_NET_DSA_XRS700X_I2C=m
  - CONFIG_NET_DSA_XRS700X_MDIO=m
  - CONFIG_MLX5_SF=y
  - CONFIG_XILINX_EMACLITE=n
  - CONFIG_MT7921E=m
  - Power management
  - CONFIG_CHARGER_LTC4162L=m
  - CONFIG_CHARGER_BQ256XX=m
  - CONFIG_SENSORS_AHT10=m
  - CONFIG_SENSORS_TPS23861=m
  - CONFIG_REGULATOR_MT6315=m
  - Multimedia support
  - CONFIG_CIO2_BRIDGE=y
  - CONFIG_VIDEO_OV5648=m
  - CONFIG_VIDEO_OV8865=m
  - CONFIG_VIDEO_RDACM21=m
  - Sound card support
  - CONFIG_SND_JACK_INJECTION_DEBUG=n
  - CONFIG_SND_INTEL_BYT_PREFER_SOF=y
  - CONFIG_SND_SOC_RT5659=m
  - CONFIG_SND_SOC_LPASS_RX_MACRO=n
  - CONFIG_SND_SOC_LPASS_TX_MACRO=n
  - HID support
  - CONFIG_HID_PLAYSTATION=m
  - CONFIG_PLAYSTATION_FF=y
  - CONFIG_I2C_HID_ACPI=m
  - USB support
  - CONFIG_USB_CDNS_SUPPORT=m
  - CONFIG_USB_CDNSP_PCI=m
  - CONFIG_USB_CDNSP_GADGET=y
  - CONFIG_USB_CDNSP_HOST=y
  - CONFIG_USB_SERIAL_XR=m
  - LED Support
  - CONFIG_LEDS_TRIGGER_TTY=m
  - CONFIG_LEDS_BLINK=y
  - Microsoft Surface Platform-Specific Device Drivers
  - CONFIG_SURFACE_HOTPLUG=m
  - CONFIG_SURFACE_ACPI_NOTIFY=m
  - CONFIG_SURFACE_AGGREGATOR=m
  - CONFIG_SURFACE_AGGREGATOR_CDEV=m
  - CONFIG_SURFACE_AGGREGATOR_BUS=y
  - CONFIG_SURFACE_AGGREGATOR_ERROR_INJECTION=n
  - Industrial I/O support
  - CONFIG_AD5766=n
  - CONFIG_YAMAHA_YAS530=n
  - CONFIG_HID_SENSOR_CUSTOM_INTEL_HINGE=n
  - Generic powercap sysfs driver
  - CONFIG_DTPM=y
  - CONFIG_DTPM_CPU=y
  - Misc devices
  - CONFIG_BCM_VK=m
  - CONFIG_BCM_VK_TTY=y
  - CONFIG_TCG_TIS_I2C_CR50=m
  - CONFIG_SVC_I3C_MASTER=m
  - CONFIG_MMC_CRYPTO=y
  - CONFIG_INTEL_LDMA=y
  - CONFIG_DMABUF_DEBUG=n
  - CONFIG_ACRN_HSM=m
  - CONFIG_FPGA_DFL_EMIF=m
  - CONFIG_NTB_EPF=m
  - CONFIG_FPGA_DFL_NIOS_INTEL_PAC_N3000=m
  - x86
  - CONFIG_X86_PLATFORM_DRIVERS_DELL=y
  - OF dependent drivers (i386, ppc64/ppc64le, riscv64)
  - PCIE_MICROCHIP_HOST=y
  - VIDEO_IMX334=m
  - DRM_PANEL_DSI_CM=n
  - DRM_PANEL_KHADAS_TS050=n
  - I2C_HID_OF=m
  - I2C_HID_OF_GOODIX=m
  - COMMON_CLK_AXI_CLKGEN=m
  - i386
  - NET_DSA_MV88E6XXX_PTP=y
  - SPI_CADENCE_QUADSPI=m
  - LEDS_BLINK_LGM=m
  - s390x
  - TIME_NS=y
  - DEBUG_ENTRY=n
  - riscv64
  - NUMA=y
  - NODES_SHIFT=2
  - SPARSEMEM_VMEMMAP=y
  - DEFERRED_STRUCT_PAGE_INIT=y
  - LEDS_BLINK_LGM=m
  - KGDB_HONOUR_BLOCKLIST=y
  - FAIL_FUNCTION=n
  - KPROBES_SANITY_TEST=n
  - NUMA_BALANCING=y
  - NUMA_BALANCING_DEFAULT_ENABLED=y
- commit fee1fef
* Sun Feb 28 2021 schwab@suse.de
- config: riscv64: enable EFI_STUB for vanilla
- commit f4061c5
* Sun Feb 28 2021 kbuild@suse.de
- Automatically updated to 5.11-11646-g5695e5161974
- commit 885bb85
* Sat Feb 27 2021 kbuild@suse.de
- Automatically updated to 5.11-11603-g3fb6d0e00efc
- commit d1160ce
* Fri Feb 26 2021 kbuild@suse.de
- Automatically updated to 5.11-11201-g2c87f7a38f93
- commit e4aadb4
* Fri Feb 26 2021 mkubecek@suse.cz
- config: refresh
- fix misspelled USB gadget debugging options
- commit 760e876
* Thu Feb 25 2021 kbuild@suse.de
- Automatically updated to 5.11-10867-g29c395c77a9a
- commit e5ef548
* Wed Feb 24 2021 oneukum@suse.com
- Update config files. Update config files. Enable USB_GADGET(jsc#SLE-14042)
- supported.conf:
  After discussion what the feature request implied, it was
  decided that gadget mode is also needed on x86_64
- commit 6ee24b8
* Wed Feb 24 2021 msuchanek@suse.de
- macros.kernel-source: Use spec_install_pre for certificate installation (boo#1182672).
  Since rpm 4.16 files installed during build phase are lost.
- commit d0b887e
* Wed Feb 24 2021 kbuild@suse.de
- Automatically updated to 5.11-10201-gc03c21ba6f4e
- commit faf5a84
* Tue Feb 23 2021 msuchanek@suse.de
- Refresh patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch.
- commit 3b605c7
* Tue Feb 23 2021 kbuild@suse.de
- Automatically updated to 5.11-9786-g3b9cdafb5358
- commit 5f98d41
* Mon Feb 22 2021 mbrugger@suse.com
- arm: Update config files.
  Set CONFIG_WATCHDOG_SYSFS to true (bsc#1182560)
- commit 5515747
* Mon Feb 22 2021 kbuild@suse.de
- Automatically updated to 5.11-7579-g31caf8b2a847
- commit b09b7db
* Mon Feb 22 2021 msuchanek@suse.de
- rpm/kernel-subpackage-build: Workaround broken bot
  (https://github.com/openSUSE/openSUSE-release-tools/issues/2439)
- commit b74d860
* Sun Feb 21 2021 kbuild@suse.de
- Automatically updated to 5.11-3615-g55f62bc87347
- commit 41116a0
* Wed Feb 17 2021 nsaenzjulienne@suse.de
- Update config files: Set reset-raspberrypi as builtin (bsc#1180336)
  This driver is needed in order to boot through USB. Ideally the kernel
  module should be selected by dracut, but it's not. So make it builtin
  until the relevant dracut fixes are available.
- commit f22d9c0
* Mon Feb 15 2021 msuchanek@suse.de
- kernel-binary.spec: Add back initrd and image symlink ghosts to
  filelist (bsc#1182140).
  Fixes: 76a9256314c3 ("rpm/kernel-{source,binary}.spec: do not include ghost symlinks (boo#1179082).")
- commit 606c9d1
* Mon Feb 15 2021 tiwai@suse.de
- rpm/post.sh: Avoid purge-kernel for the first installed kernel (bsc#1180058)
- commit c29e77d
* Mon Feb 15 2021 kbuild@suse.de
- Automatically updated to 5.11
- commit 4093c64
* Sun Feb 14 2021 mkubecek@suse.cz
- Update to 5.11 final
- refresh configs
- commit a2424cb
* Sun Feb 14 2021 kbuild@suse.de
- Automatically updated to 5.11-rc7-141-g358feceebbf6
- commit 1ada55a
* Sat Feb 13 2021 kbuild@suse.de
- Automatically updated to 5.11-rc7-115-gc6d8570e4d64
- commit 1f8a095
* Fri Feb 12 2021 tiwai@suse.de
- Update config files: enable CONFIG_SERIAL_DEV_CTRL_TTYPORT on x86 (bsc#1182035)
  For supporting MS Surface devices. This required CONFIG_SERIAL_DEV_BUS
  to be built-in. Also this allowed CONFIG_BT_HCIUART_BCM=y as well.
- commit 10e85d0
* Fri Feb 12 2021 kbuild@suse.de
- Automatically updated to 5.11-rc7-90-gdcc0b49040c7
- commit d4410c0
* Fri Feb 12 2021 nsaenzjulienne@suse.de
- Update config files: armv7hl: Set ledtrig-default-on as builtin (bsc#1182128)
- commit b1447e0
* Thu Feb 11 2021 nsaenzjulienne@suse.de
- Update config files: Set ledtrig-default-on as builtin (bsc#1182128)
- commit 55dd026
* Thu Feb 11 2021 oneukum@suse.com
- Update config files. Enable DWC3 on x86_64
  DWC3 is now needed on x86_64, too, with the added benefit
  of making x86_64 and ARM64 closer (jsc#SLE-14042)
- commit 9fe3ed1
* Thu Feb 11 2021 kbuild@suse.de
- Automatically updated to 5.11-rc7-84-g291009f656e8
- commit 8a477ae
* Tue Feb  9 2021 kbuild@suse.de
- Automatically updated to 5.11-rc7-2-ge0756cfc7d7c
- commit e50b262
* Mon Feb  8 2021 matwey.kornilov@gmail.com
- config: arm64: Use y for CLK_RK3399
  This is to fix booting on RK3399 systems (JeOS-rockpi4)
  When compiled as 'm' there are lots of errors related to clk and no host mmc
  controler initialized.
- commit 600ddf3
* Mon Feb  8 2021 kbuild@suse.de
- Automatically updated to 5.11-rc7
- commit c4196fd
* Sun Feb  7 2021 mkubecek@suse.cz
- Update to 5.11-rc7
- refresh configs
- commit 49b8db6
* Sun Feb  7 2021 kbuild@suse.de
- Automatically updated to 5.11-rc6-274-g825b5991a46e
- commit 0fc486c
* Sat Feb  6 2021 kbuild@suse.de
- Automatically updated to 5.11-rc6-214-g1e0d27fce010
- commit c67b3db
* Fri Feb  5 2021 kbuild@suse.de
- Automatically updated to 5.11-rc6-139-gdd86e7fa07a3
- commit 596987c
* Thu Feb  4 2021 kbuild@suse.de
- Automatically updated to 5.11-rc6-126-g61556703b610
- commit 7acfd7c
* Wed Feb  3 2021 tiwai@suse.de
- rpm/kernel-binary.spec.in: Correct Supplements in optional subpkg (jsc#SLE-11796)
  The product string was changed from openSUSE to Leap.
- commit 3cb7943
* Wed Feb  3 2021 kbuild@suse.de
- Automatically updated to 5.11-rc6-55-g3aaf0a27ffc2
- commit faf6010
* Tue Feb  2 2021 kbuild@suse.de
- Automatically updated to 5.11-rc6-7-g88bb507a74ea
- commit 3326d4c
* Mon Feb  1 2021 kbuild@suse.de
- Automatically updated to 5.11-rc6
- commit 15d9d3a
* Sun Jan 31 2021 mkubecek@suse.cz
- Update to 5.11-rc6
- eliminated 1 patch
  - patches.suse/iwlwifi-dbg-Don-t-touch-the-tlv-data.patch
- refresh
  - patches.suse/acpi_thermal_passive_blacklist.patch
- update configs
  - LEDS_RT8515=m
- commit 48b9395
* Sun Jan 31 2021 kbuild@suse.de
- Automatically updated to 5.11-rc5-328-g6642d600b541
- commit 548eede
* Sat Jan 30 2021 afaerber@suse.com
- config: arm64: Enable Arm SP805 hardware watchdog (boo#1181607)
  The Ten64 board with NXP LS1088A SoC is documented to have Arm SP805 based
  watchdogs, so let's enable the driver for it.
- commit d375c27
* Sat Jan 30 2021 kbuild@suse.de
- Automatically updated to 5.11-rc5-303-g0e9bcda5d286
- commit 05e995b
* Fri Jan 29 2021 kbuild@suse.de
- Automatically updated to 5.11-rc5-239-gbec4c2968fce
- commit d934f45
* Thu Jan 28 2021 kbuild@suse.de
- Automatically updated to 5.11-rc5-40-g76c057c84d28
- commit 591e993
* Wed Jan 27 2021 kbuild@suse.de
- Automatically updated to 5.11-rc5-37-g2ab38c17aac1
- commit c5db422
* Tue Jan 26 2021 kbuild@suse.de
- Automatically updated to 5.11-rc5-7-g13391c60da33
- commit 30979fd
* Mon Jan 25 2021 kbuild@suse.de
- Automatically updated to 5.11-rc5
- commit 46855c0
* Mon Jan 25 2021 mkubecek@suse.cz
- Update to 5.11-rc5
- eliminated 3 patches
  - patches.suse/fs-cachefs-Drop-superfluous-readpages-aops-NULL-chec.patch
  - patches.suse/irq-export-irq_check_status_bit-symbol.patch
  - patches.suse/x86-xen-fix-nopvspin-build-error.patch
- refresh configs
- commit 22a4d9b
* Sun Jan 24 2021 kbuild@suse.de
- Automatically updated to 5.11-rc4-234-ge1ae4b0be158
- commit 8023151
* Sat Jan 23 2021 kbuild@suse.de
- Automatically updated to 5.11-rc4-202-gfe75a21824e7
- commit 4c33927
* Fri Jan 22 2021 kbuild@suse.de
- Automatically updated to 5.11-rc4-164-g83d09ad4b950
- commit f261ae6
* Thu Jan 21 2021 kbuild@suse.de
- Automatically updated to 5.11-rc4-86-g9791581c049c
- commit b158863
* Wed Jan 20 2021 msuchanek@suse.de
- Exclude Symbols.list again.
  Removing the exclude builds vanilla/linux-next builds.
  Fixes: 55877625c800 ("kernel-binary.spec.in: Package the obj_install_dir as explicit filelist.")
- commit a1728f2
* Wed Jan 20 2021 kbuild@suse.de
- Automatically updated to 5.11-rc4-15-g45dfb8a5659a
- commit e7e7c19
* Tue Jan 19 2021 kbuild@suse.de
- Automatically updated to 5.11-rc4-8-g1e2a199f6ccd
- commit d205fa0
* Mon Jan 18 2021 kbuild@suse.de
- Automatically updated to 5.11-rc4
- commit 2569453
* Mon Jan 18 2021 mkubecek@suse.cz
- Update to 5.11-rc4
- update configs
  - KPROBE_EVENTS_ON_NOTRACE=n (new on arm*, ppc64)
- commit 2483e00
* Sun Jan 17 2021 kbuild@suse.de
- Automatically updated to 5.11-rc3-332-g0da0a8a0a0e1
- commit 1e5b80c
* Sat Jan 16 2021 kbuild@suse.de
- Automatically updated to 5.11-rc3-290-g1d94330a437a
- commit 370d27a
* Fri Jan 15 2021 kbuild@suse.de
- Automatically updated to 5.11-rc3-193-g5ee88057889b
- commit e9441fa
* Thu Jan 14 2021 dmueller@suse.com
- arm*: config: Disable CONFIG_CRYPTO_USER_API_ENABLE_OBSOLETE (bsc#1180928)
  We don't need those deprecated ciphers to be enabled, as nothing
  should be using them
- commit a2c5d88
* Thu Jan 14 2021 kbuild@suse.de
- Automatically updated to 5.11-rc3-68-g65f0d2414b70
- commit a1695a1
* Wed Jan 13 2021 nsaenzjulienne@suse.de
- nvmem: Add driver to expose reserved memory as nvmem (jsc#SLE-SLE-16616).
- Update config files: Enable nvmem-rmem as module on arm64 & armv7+lpae, disable it otherwise
  This is needed early to get boot-loader configuration working on RPi4;
  an essential feature.
- commit c7beade
* Wed Jan 13 2021 nsaenzjulienne@suse.de
- Update config files: Enable i2c_mux_pinctrl (jsc#SLE-15318)
- commit 4059af1
* Wed Jan 13 2021 kbuild@suse.de
- Automatically updated to 5.11-rc3-32-ge609571b5ffa
- commit 6832f2f
* Tue Jan 12 2021 kbuild@suse.de
- Automatically updated to 5.11-rc3-17-ga0d54b4f5b21
- commit aa8255a
* Mon Jan 11 2021 kbuild@suse.de
- Automatically updated to 5.11-rc3
- commit 63bf65d
* Mon Jan 11 2021 mkubecek@suse.cz
- Update to 5.11-rc3
- update configs
  - NULL_TTY=m
  - AQTION=m (also on other architectures than x86_64 and arm64)
- commit befa0c7
* Sun Jan 10 2021 kbuild@suse.de
- Automatically updated to 5.11-rc2-424-g2ff90100ace8
- commit 0fcc8cb
* Sat Jan  9 2021 kbuild@suse.de
- Automatically updated to 5.11-rc2-400-g996e435fd401
- commit 40b79be
* Fri Jan  8 2021 kbuild@suse.de
- Automatically updated to 5.11-rc2-178-gf5e6c330254a
- commit bc468bc
* Thu Jan  7 2021 kbuild@suse.de
- Automatically updated to 5.11-rc2-156-g71c061d24438
- commit 1262316
* Thu Jan  7 2021 mkubecek@suse.cz
- config: refresh arm configs
- now available: DEBUG_INFO_BTF_MODULES=y
- commit 46fce45
* Wed Jan  6 2021 kbuild@suse.de
- Automatically updated to 5.11-rc2-142-g9f1abbe97c08
- commit 61bd070
* Wed Jan  6 2021 dmueller@suse.com
- config.conf: Reenable armv6hl/armv7hl/arm64
- Update config files:
  * Settings copied from x86_64 update
  * arm specific options are =m except if debug or test, =y otherwise
- commit 9813e66
* Tue Jan  5 2021 msuchanek@suse.de
- Refresh patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch.
- commit e45c660
* Tue Jan  5 2021 kbuild@suse.de
- Automatically updated to 5.11-rc2-4-g36bbbd0e234d
- commit 0397ff8
* Mon Jan  4 2021 kbuild@suse.de
- Automatically updated to 5.11-rc2
- commit cd23b7f
* Sun Jan  3 2021 kbuild@suse.de
- Automatically updated to 5.11-rc1-73-g3516bd729358
- commit c6dd60b
* Sat Jan  2 2021 kbuild@suse.de
- Automatically updated to 5.11-rc1-62-geda809aef534
- commit 87dcfbb
* Thu Dec 31 2020 kbuild@suse.de
- Automatically updated to 5.11-rc1-30-gf6e1ea196492
- commit a9d3a88
* Wed Dec 30 2020 kbuild@suse.de
- Automatically updated to 5.11-rc1-25-g139711f033f6
- commit 2d396e0
* Tue Dec 29 2020 kbuild@suse.de
- Automatically updated to 5.11-rc1-8-gdea8dcf2a9fa
- commit 1fc3ea0
* Mon Dec 28 2020 kbuild@suse.de
- Automatically updated to 5.11-rc1
- commit 5767194
* Mon Dec 28 2020 mkubecek@suse.cz
- Update to 5.11-rc1
- eliminated 63 patches (61 stable, 2 other)
  - patches.kernel.org/*
  - patches.suse/clk-bcm-dvp-add-module_device_table.patch
  - patches.suse/drm-amdgpu-only-set-DP-subconnector-type-on-DP-and-e.patch
- disable ARM architectures (need config update)
- refresh
  - patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch
  - patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
    (renamed to patches.suse/btrfs-use-the-new-VFS-super_block_dev.patch
    to ease frequent refreshes)
  - patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  - patches.suse/supported-flag
- new config options:
  - Processor type and features
  - CONFIG_XEN_PVHVM_GUEST=y
  - CONFIG_X86_SGX=n
  - General architecture-dependent options
  - CONFIG_SECCOMP_CACHE_DEBUG=n
  - Memory Management options
  - CONFIG_GUP_TEST=n
  - Networking support
  - CONFIG_NFT_REJECT_NETDEV=n
  - CONFIG_BRIDGE_CFM=n
  - CONFIG_NET_DSA_TAG_HELLCREEK=n
  - CONFIG_CAN_M_CAN_PCI=n
  - CONFIG_NFC_S3FWRN82_UART=n
  - File systems
  - CONFIG_PSTORE_DEFAULT_KMSG_BYTES=10240
  - CONFIG_CIFS_SWN_UPCALL=n
  - Cryptographic API
  - CONFIG_CRYPTO_DEV_QAT_4XXX=n
  - Library routines
  - CONFIG_DMA_MAP_BENCHMARK=n
  - Kernel hacking
  - CONFIG_DEBUG_KMAP_LOCAL_FORCE_MAP=n
  - CONFIG_FTRACE_RECORD_RECURSION=n
  - CONFIG_RING_BUFFER_VALIDATE_TIME_DELTAS=n
  - Memory Technology Device (MTD) support
  - CONFIG_MTD_NAND_ECC_SW_HAMMING=y
  - CONFIG_MTD_SPI_NOR_SWP_DISABLE=n
  - CONFIG_MTD_SPI_NOR_SWP_DISABLE_ON_VOLATILE=y
  - CONFIG_MTD_SPI_NOR_SWP_KEEP=n
  - Block devices
  - CONFIG_DM_MULTIPATH_IOA=n
  - CONFIG_ZRAM_DEF_COMP_LZORLE=y
  - Network device support
  - CONFIG_MHI_NET=n
  - CONFIG_NET_DSA_HIRSCHMANN_HELLCREEK=n
  - CONFIG_USB_RTL8153_ECM=m
  - Input device support
  - CONFIG_INPUT_DA7280_HAPTICS=n
  - CONFIG_AMD_SFH_HID=n
  - Pin controllers
  - CONFIG_PINCTRL_ALDERLAKE=n
  - CONFIG_PINCTRL_ELKHARTLAKE=n
  - CONFIG_PINCTRL_LAKEFIELD=n
  - Hardware Monitoring support
  - CONFIG_SENSORS_CORSAIR_PSU=n
  - CONFIG_SENSORS_LTC2992=n
  - CONFIG_SENSORS_MAX127=n
  - CONFIG_SENSORS_PM6764TR=n
  - CONFIG_SENSORS_Q54SJ108A2=n
  - CONFIG_SENSORS_SBTSI=n
  - Multimedia support
  - CONFIG_VIDEO_OV02A10=n
  - CONFIG_VIDEO_OV9734=n
  - CONFIG_VIDEO_CCS=n
  - Sound card support
  - CONFIG_SND_SOC_ADI=n
  - CONFIG_SND_SOC_FSL_XCVR=n
  - CONFIG_SND_SOC_SOF_BAYTRAIL_SUPPORT=n
  - CONFIG_SND_SOC_SOF_ALDERLAKE_SUPPORT=n
  - CONFIG_SND_SOC_ADAU1372_I2C=n
  - CONFIG_SND_SOC_ADAU1372_SPI=n
  - CONFIG_SND_SOC_PCM5102A=n
  - CONFIG_SND_SOC_SIMPLE_MUX=n
  - CONFIG_SND_SOC_NAU8315=n
  - CONFIG_SND_SOC_LPASS_WSA_MACRO=n
  - CONFIG_SND_SOC_LPASS_VA_MACRO=n
  - CONFIG_SND_SOC_ADI_AXI_I2S=m
  - CONFIG_SND_SOC_ADI_AXI_SPDIF=m
  - X86 Platform Specific Device Drivers
  - CONFIG_UV_SYSFS=n
  - CONFIG_AMD_PMC=n
  - CONFIG_DELL_WMI_SYSMAN=n
  - CONFIG_INTEL_PMT_CLASS=n
  - CONFIG_INTEL_PMT_TELEMETRY=n
  - CONFIG_INTEL_PMT_CRASHLOG=n
  - Misc drivers
  - CONFIG_MHI_BUS_PCI_GENERIC=n
  - CONFIG_SERIAL_BCM63XX=n
  - CONFIG_MIPI_I3C_HCI=n
  - CONFIG_PTP_1588_CLOCK_OCP=n
  - CONFIG_MFD_INTEL_PMT=n
  - CONFIG_EDAC_IGEN6=n
  - CONFIG_INTEL_IDXD_SVM=n
  - CONFIG_LCD2S=n
  - CONFIG_VDPA_SIM_NET=n
  - CONFIG_EXTCON_USBC_TUSB320=n
  - CONFIG_PWM_DWC=n
  - CONFIG_USB4_DMA_TEST=n
  - CONFIG_SURFACE_PLATFORMS=y
  - CONFIG_SURFACE_GPE=n
  - OF dependent drivers (i386, ppc64/ppc64le, riscv64)
  - MTD_NAND_INTEL_LGM=m
  - PINCTRL_MICROCHIP_SGPIO=n
  - REGULATOR_DA9121=m
  - REGULATOR_PF8X00=m
  - DRM_PANEL_ABT_Y030XX067A=n
  - DRM_PANEL_NOVATEK_NT36672A=n
  - DRM_PANEL_SAMSUNG_SOFEF00=n
  - DRM_PANEL_TDO_TL070WSH30=n
  - DRM_LONTIUM_LT9611UXC=n
  - DRM_ANALOGIX_ANX7625=n
  - RTC_DRV_GOLDFISH=m
  - LITEX_SOC_CONTROLLER=n
  - PWM_ATMEL_TCB=m
  - i386
  - PWM_INTEL_LGM=m
  - DEBUG_KMAP_LOCAL=n
  - s390x
  - DEBUG_USER_ASCE=n
  - riscv64
  - IRQ_TIME_ACCOUNTING
  - POWER_RESET_REGULATOR=y
- commit 264c7c2
* Sun Dec 27 2020 kbuild@suse.de
- Automatically updated to 5.10-13262-gf838f8d2b694
- commit 3344ccc
* Sat Dec 26 2020 kbuild@suse.de
- Automatically updated to 5.10-13261-g40f78232f973
- commit abb5848
* Fri Dec 25 2020 kbuild@suse.de
- Automatically updated to 5.10-13218-g71c5f03154ac
- commit 3a101b9
* Thu Dec 24 2020 kbuild@suse.de
- Automatically updated to 5.10-12963-g58cf05f597b0
- commit 7382e6a
* Wed Dec 23 2020 kbuild@suse.de
- Automatically updated to 5.10-12913-g614cb5894306
- commit 6f938bf
* Tue Dec 22 2020 kbuild@suse.de
- Automatically updated to 5.10-12725-g8653b778e454
- commit 85e42a2
* Mon Dec 21 2020 mkubecek@suse.cz
- config: refresh
- drop USB_SISUSBVGA_CON (no longer accessible)
- commit 29a1cbb
* Mon Dec 21 2020 kbuild@suse.de
- Automatically updated to 5.10-12564-ge37b12e4bb21
- commit 5085dd9
* Sun Dec 20 2020 kbuild@suse.de
- Automatically updated to 5.10-12180-g467f8165a2b0
- commit 85cb339
* Sat Dec 19 2020 kbuild@suse.de
- Automatically updated to 5.10-12033-g3644e2d2dda7
- commit e474a1e
* Fri Dec 18 2020 kbuild@suse.de
- Automatically updated to 5.10-11825-ga409ed156a90
- commit ff22203
* Thu Dec 17 2020 kbuild@suse.de
- Automatically updated to 5.10-10895-gaccefff5b547
- commit 8fa6e23
* Wed Dec 16 2020 kbuild@suse.de
- Automatically updated to 5.10-8508-g5e60366d56c6
- commit f7cfd96
* Tue Dec 15 2020 kbuild@suse.de
- Automatically updated to 5.10-3208-g148842c98a24
- commit 532be85
* Mon Dec 14 2020 guillaume.gardet@arm.com
- lpae: disable CONFIG_QCOM_PIL_INFO to fix build on armv7
- commit a2303d5
* Mon Dec 14 2020 kbuild@suse.de
- Automatically updated to 5.10
- commit 8713ab6
* Mon Dec 14 2020 mkubecek@suse.cz
- Update to 5.10 final
- eliminated 1 patch
  - patches.suse/revert-mm-filemap-add-static-for-function-__add_to_p.patch
- update configs
  - NFS_V4_2_READ_PLUS=n (recommended default, unsafe feature)
- commit 498886c
* Sun Dec 13 2020 dmueller@suse.com
- config.conf: Reenable armv6hl/armv7hl/arm64
- Update config files:
  * Settings copied from x86_64 update
  * arm specific options are =m except if debug or test, =y otherwise
- commit a96a921
* Sun Dec 13 2020 kbuild@suse.de
- Automatically updated to 5.10-rc7-254-g6bff9bb8a292
- commit 1f3905e
* Sat Dec 12 2020 kbuild@suse.de
- Automatically updated to 5.10-rc7-220-g7f376f1917d7
- commit e26318f
* Fri Dec 11 2020 kbuild@suse.de
- Automatically updated to 5.10-rc7-149-g33dc9614dc20
- commit 4940531
* Thu Dec 10 2020 ohering@suse.de
- config: disable IP_PNP
  The kernel IP autoconfiguration can only be used in practice when driver of
  the network device to be configured is also built into vmlinux. As we build
  all network device drivers as modules, there is no point keeping IP_PNP
  enabled.
- commit b76c168
* Thu Dec 10 2020 mkubecek@suse.cz
- config: refresh
- only update CC_VERSION_TEXT after gcc update
- commit f7d2475
* Thu Dec 10 2020 kbuild@suse.de
- Automatically updated to 5.10-rc7-34-ga2f5ea9e314b
- commit 630916b
* Thu Dec 10 2020 mgorman@suse.de
- Update config files to disable CONFIG_DEBUG_SECTION_MISMATCH (bsc#1177403)
- commit 9f69918
* Wed Dec  9 2020 kbuild@suse.de
- Automatically updated to 5.10-rc7-10-ga68a0262abda
- commit 4d3b872
* Tue Dec  8 2020 kbuild@suse.de
- Automatically updated to 5.10-rc7-2-gcd796ed33450
- commit 9a02dbf
* Mon Dec  7 2020 kbuild@suse.de
- Automatically updated to 5.10-rc7
- commit 3a5bf52
* Mon Dec  7 2020 mkubecek@suse.cz
- Update to 5.10-rc7
- refresh
  - patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch
- refresh configs
- commit b810b7a
* Sun Dec  6 2020 kbuild@suse.de
- Automatically updated to 5.10-rc6-215-g7059c2c00a21
- commit 8b1b28e
* Sat Dec  5 2020 kbuild@suse.de
- Automatically updated to 5.10-rc6-178-gb3298500b23f
- commit 74c5970
* Fri Dec  4 2020 kbuild@suse.de
- Automatically updated to 5.10-rc6-140-gbbe2ba04c5a9
- commit d1abe43
* Thu Dec  3 2020 kbuild@suse.de
- Automatically updated to 5.10-rc6-60-g34816d20f173
- commit 78219a7
* Wed Dec  2 2020 kbuild@suse.de
- Automatically updated to 5.10-rc6-20-g509a15421674
- commit 1566ce8
* Tue Dec  1 2020 msuchanek@suse.de
- rpm/kernel-{source,binary}.spec: do not include ghost symlinks
  (boo#1179082).
- commit 76a9256
* Mon Nov 30 2020 ohering@suse.de
- scripts/lib/SUSE/MyBS.pm: properly close prjconf Macros: section
- commit 965157e
* Mon Nov 30 2020 kbuild@suse.de
- Automatically updated to 5.10-rc6
- commit 8093b19
* Mon Nov 30 2020 tiwai@suse.de
- Update config files: make CONFIG_SOUNDWIRE=m (bsc#1179201)
  Also turned it off for unrelated platforms
- commit a573e74
* Mon Nov 30 2020 mkubecek@suse.cz
- Update to 5.10-rc6
- eliminated 1 patch
  - patches.suse/btrfs-qgroup-don-t-commit-transaction-when-we-have-a.patch
- refresh configs
  - headers only (Factory updated gcc and binutils)
- commit 11cc781
* Sun Nov 29 2020 kbuild@suse.de
- Automatically updated to 5.10-rc5-357-gaae5ab854e38
- commit a298c8a
* Sat Nov 28 2020 kbuild@suse.de
- Automatically updated to 5.10-rc5-313-gc84e1efae022
- commit 050e4f6
* Fri Nov 27 2020 kbuild@suse.de
- Automatically updated to 5.10-rc5-26-g85a2c56cb445
- commit 8c4d966
* Thu Nov 26 2020 nsaenzjulienne@suse.de
-  - pwm: Add Raspberry Pi Firmware based PWM bus (jsc#SLE-16543).
  - Update configs: Enable pwm driver on arm64
  - supported.conf: Enable pwm driver
- commit d1749c5
* Thu Nov 26 2020 kbuild@suse.de
- Automatically updated to 5.10-rc5-22-gfa02fcd94b0c
- commit a7d7bc1
* Wed Nov 25 2020 kbuild@suse.de
- Automatically updated to 5.10-rc5-15-g127c501a03d5
- commit 93e080b
* Tue Nov 24 2020 kbuild@suse.de
- Automatically updated to 5.10-rc5-2-gd5beb3140f91
- commit 8d527f6
* Tue Nov 24 2020 jslaby@suse.cz
- Update config files (bsc#1179102).
  Set AMIGA_PARTITION=y wherever AFFS_FS=m. The AMIGA_PARTITION's Kconfig
  help suggests: default y if (AMIGA || AFFS_FS=y). And we enable Amiga FS
  in some configs, but don't enable support for Amiga partitions. That is
  a bit pointless. So fix this.
- commit b90192c
* Mon Nov 23 2020 kbuild@suse.de
- Automatically updated to 5.10-rc5
- commit 5d37d1f
* Mon Nov 23 2020 jslaby@suse.cz
- rpm/kernel-binary.spec.in: use grep -E instead of egrep (bsc#1179045)
  egrep is only a deprecated bash wrapper for "grep -E". So use the latter
  instead.
- commit 63d7072
* Mon Nov 23 2020 jslaby@suse.cz
- kernel-{binary,source}.spec.in: do not create loop symlinks (bsc#1179082)
- commit adf56a8
* Mon Nov 23 2020 jslaby@suse.cz
- rpm/kernel-binary.spec.in: avoid using more barewords (bsc#1179014)
  %%split_extra still contained two.
- commit d9b4c40
* Mon Nov 23 2020 mkubecek@suse.cz
- Update to 5.10-rc5
- refresh configs
  - DMA_VIRT_OPS and dependecies dropped on i386
- commit f766737
* Sun Nov 22 2020 kbuild@suse.de
- Automatically updated to 5.10-rc4-384-ga349e4c65960
- commit a4f8aff
* Sat Nov 21 2020 kbuild@suse.de
- Automatically updated to 5.10-rc4-368-g27bba9c532a8
- commit aaa101f
* Fri Nov 20 2020 msuchanek@suse.de
- kernel-source.spec: Fix build with rpm 4.16 (boo#1179015).
  RPM_BUILD_ROOT is cleared before %%%%install. Do the unpack into
  RPM_BUILD_ROOT in %%%%install
- commit 13bd533
* Fri Nov 20 2020 jslaby@suse.cz
- rpm/kernel-binary.spec.in: avoid using barewords (bsc#1179014)
  Author: Dominique Leuenberger <dimstar@opensuse.org>
- commit 21f8205
* Fri Nov 20 2020 jslaby@suse.cz
- rpm/mkspec: do not build kernel-obs-build on x86_32
  We want to use 64bit kernel due to various bugs (bsc#1178762 to name
  one).
  There is:
  ExportFilter: ^kernel-obs-build.*\.x86_64.rpm$ . i586
  in Factory's prjconf now. No other actively maintained distro (i.e.
  merging packaging branch) builds a x86_32 kernel, hence pushing to
  packaging directly.
- commit 8099b4b
* Fri Nov 20 2020 kbuild@suse.de
- Automatically updated to 5.10-rc4-283-g4d02da974ea8
- commit ea05108
* Thu Nov 19 2020 kbuild@suse.de
- Automatically updated to 5.10-rc4-107-gc2e7554e1b85
- commit a0f063b
* Wed Nov 18 2020 kbuild@suse.de
- Automatically updated to 5.10-rc4-91-g0fa8ee0d9ab9
- commit 4cabcbe
* Tue Nov 17 2020 kbuild@suse.de
- Automatically updated to 5.10-rc4-67-g9c87c9f41245
- commit 4d3aa9f
* Mon Nov 16 2020 kbuild@suse.de
- Automatically updated to 5.10-rc4
- commit d7f4e40
* Sun Nov 15 2020 kbuild@suse.de
- Automatically updated to 5.10-rc3-329-ge28c0d7c92c8
- commit 3560990
* Sat Nov 14 2020 kbuild@suse.de
- Automatically updated to 5.10-rc3-296-gf01c30de86f1
- commit e1b3fd2
* Fri Nov 13 2020 kbuild@suse.de
- Automatically updated to 5.10-rc3-207-g585e5b17b92d
- commit 0dd2fbb
* Thu Nov 12 2020 kbuild@suse.de
- Automatically updated to 5.10-rc3-107-g3d5e28bff7ad
- commit 32fd542
* Wed Nov 11 2020 kbuild@suse.de
- Automatically updated to 5.10-rc3-104-geccc87672492
- commit 5487e1c
* Tue Nov 10 2020 dmueller@suse.com
- ARM64: Enable CONFIG_ARM64_SW_TTBR0_PAN
  This can help prevent use-after-free bugs becoming an exploitable
  privilege escalation by ensuring that magic values (such as LIST_POISON)
  will always fault when dereferenced
- commit 69692f1
* Tue Nov 10 2020 kbuild@suse.de
- Automatically updated to 5.10-rc3-72-g407ab579637c
- commit 5e05cd2
* Mon Nov  9 2020 kbuild@suse.de
- Automatically updated to 5.10-rc3
- commit 415c701
* Mon Nov  9 2020 mkubecek@suse.cz
- Update to 5.10-rc3
- eliminated 1 patch
  - patches.suse/tty-make-FONTX-ioctl-use-the-tty-pointer-they-were-a.patch
- refresh configs
  - update headers after Factory binutils update
  - drop options no longer available
- commit 58a5905
* Sun Nov  8 2020 kbuild@suse.de
- Automatically updated to 5.10-rc2-402-g4429f14aeea9
- commit e5698ec
* Sat Nov  7 2020 kbuild@suse.de
- Automatically updated to 5.10-rc2-365-g659caaf65dc9
- commit e26b65e
* Fri Nov  6 2020 kbuild@suse.de
- Automatically updated to 5.10-rc2-140-g521b619acdc8
- commit dea272a
* Wed Nov  4 2020 kbuild@suse.de
- Automatically updated to 5.10-rc2-81-g4ef8451b3326
- commit 698ede5
* Wed Nov  4 2020 tiwai@suse.de
- Updated Copyright line in rpm templates with SUSE LLC
- commit 39a1fcf
* Wed Nov  4 2020 tiwai@suse.de
- rpm/kernel-obs-build.spec.in: Add -q option to modprobe calls (bsc#1178401)
- commit 33ded45
* Tue Nov  3 2020 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix compressed module handling for in-tree KMP (jsc#SLE-10886)
  The in-tree KMP that is built with SLE kernels have a different scriptlet
  that is embedded in kernel-binary.spec.in rather than *.sh files.
- commit e32ee2c
* Tue Nov  3 2020 kbuild@suse.de
- Automatically updated to 5.10-rc2-16-gb7cbaf59f62f
- commit 109503b
* Mon Nov  2 2020 kbuild@suse.de
- Automatically updated to 5.10-rc2
- commit 7394d86
* Mon Nov  2 2020 mkubecek@suse.cz
- Update to 5.10-rc2
- eliminated 5 patches
  - patches.rpmify/s390-correct-__bootdata-__bootdata_preserved-macros.patch
  - patches.suse/drm-amd-display-Don-t-invoke-kgdb_breakpoint-uncondi.patch
  - patches.suse/drm-amd-display-Fix-kernel-panic-by-dal_gpio_open-er.patch
  - patches.suse/vt_ioctl-fix-GIO_UNIMAP-regression.patch
  - patches.suse/x86-unwind-orc-Fix-inactive-tasks-with-stack-pointer.patch
- refresh configs
  - CPU_FREQ_DEFAULT_GOV_ONDEMAND -> CPU_FREQ_DEFAULT_GOV_SCHEDUTIL (x86)
  - Intel MIC drivers dropped
- commit 17eff2c
* Sun Nov  1 2020 kbuild@suse.de
- Automatically updated to 5.10-rc1-313-gc2dc4c073fb7
- commit 89cd4ff
* Sat Oct 31 2020 kbuild@suse.de
- Automatically updated to 5.10-rc1-276-g5fc6b075e165
- commit 97971f2
* Fri Oct 30 2020 kbuild@suse.de
- Automatically updated to 5.10-rc1-102-g07e088730245
- commit 0e1f0fc
* Thu Oct 29 2020 kbuild@suse.de
- Automatically updated to 5.10-rc1-30-g23859ae44402
- commit 55ebb44
* Thu Oct 29 2020 tiwai@suse.de
- rpm/kernel-module-subpackage: make Group tag optional (bsc#1163592)
- commit 552ec97
* Wed Oct 28 2020 kbuild@suse.de
- Automatically updated to 5.10-rc1-28-ged8780e3f2ec
- commit 0ece033
* Tue Oct 27 2020 kbuild@suse.de
- Automatically updated to 5.10-rc1-7-g4525c8781ec0
- commit aa035ee
* Mon Oct 26 2020 kbuild@suse.de
- Automatically updated to 5.10-rc1
- commit bbcc3f0
* Mon Oct 26 2020 mkubecek@suse.cz
- Update to 5.10-rc1
- eliminated 17 patches (16 stable, 1 other)
  - patches.kernel.org/*
  - patches.suse/coresight-fix-offset-by-one-error-in-counting-ports.patch
- disable ARM architectures (need config update)
- refresh
  - patches.suse/apparmor-compatibility-with-v2.x-net.patch
  - patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
  - patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch
  - patches.suse/readahead-request-tunables.patch
- new config options:
  - General setup
  - CONFIG_BPF_PRELOAD=n
  - Power management and ACPI options
  - CONFIG_ACPI_DPTF=y
  - CONFIG_DPTF_PCH_FIVR=m
  - General architecture-dependent options
  - CONFIG_STATIC_CALL_SELFTEST=n
  - Networking support
  - CONFIG_XFRM_USER_COMPAT=m
  - CONFIG_CAN_ISOTP=m
  - CONFIG_CAN_MCP251XFD=m
  - CONFIG_CAN_MCP251XFD_SANITY=n
  - File systems
  - CONFIG_XFS_SUPPORT_V4=y
  - CONFIG_FUSE_DAX=y
  - CONFIG_NFSD_V4_2_INTER_SSC=y
  - Cryptographic API
  - CONFIG_CRYPTO_SM2=m
  - CONFIG_CRYPTO_USER_API_RNG_CAVP=n
  - CONFIG_CRYPTO_USER_API_ENABLE_OBSOLETE=y
  - Library routines
  - CONFIG_FONT_6x8=y
  - Kernel hacking
  - CONFIG_KGDB_HONOUR_BLOCKLIST=y
  - CONFIG_SCF_TORTURE_TEST=n
  - CONFIG_CSD_LOCK_WAIT_DEBUG=n
  - CONFIG_RCU_SCALE_TEST=m
  - CONFIG_FAULT_INJECTION_USERCOPY=n
  - CONFIG_TEST_FREE_PAGES=n
  - PCI support
  - CONFIG_PCIE_BUS_TUNE_OFF=n
  - CONFIG_PCIE_BUS_DEFAULT=y
  - CONFIG_PCIE_BUS_SAFE=n
  - CONFIG_PCIE_BUS_PERFORMANCE=n
  - CONFIG_PCIE_BUS_PEER2PEER=n
  - Network device support
  - CONFIG_NET_DSA_MSCC_SEVILLE=m
  - CONFIG_CHELSIO_INLINE_CRYPTO=y
  - CONFIG_PRESTERA=m
  - CONFIG_PRESTERA_PCI=m
  - CONFIG_ATH11K=m
  - CONFIG_ATH11K_PCI=m
  - CONFIG_ATH11K_DEBUG=n
  - CONFIG_ATH11K_DEBUGFS=n
  - CONFIG_ATH11K_TRACING=n
  - CONFIG_USB_LGM_PHY=m
  - CONFIG_PHY_INTEL_LGM_EMMC=m
  - Input device support
  - CONFIG_JOYSTICK_ADC=m
  - CONFIG_TOUCHSCREEN_ZINITIX=m
  - CONFIG_RMI4_F3A=y
  - CONFIG_HID_VIVALDI=m
  - Character devices
  - CONFIG_HW_RANDOM_XIPHERA=m
  - GPIO Support
  - CONFIG_GPIO_CDEV=y
  - CONFIG_GPIO_CDEV_V1=y
  - Power management
  - CONFIG_CHARGER_BQ25980=m
  - CONFIG_SENSORS_MR75203=m
  - CONFIG_SENSORS_ADM1266=m
  - CONFIG_SENSORS_MP2975=m
  - ACPI INT340X thermal drivers
  - CONFIG_REGULATOR_RASPBERRYPI_TOUCHSCREEN_ATTINY=m
  - CONFIG_REGULATOR_RT4801=m
  - CONFIG_REGULATOR_RTMV20=m
  - Multifunction device drivers
  - CONFIG_MFD_SL28CPLD=n
  - CONFIG_MFD_INTEL_M10_BMC=n
  - Graphics support
  - CONFIG_DRM_AMD_DC_SI=y
  - CONFIG_BACKLIGHT_KTD253=m
  - CONFIG_VIDEO_ZORAN=m
  - CONFIG_VIDEO_ZORAN_DC30=m
  - CONFIG_VIDEO_ZORAN_ZR36060=m
  - CONFIG_VIDEO_ZORAN_BUZ=m
  - CONFIG_VIDEO_ZORAN_DC10=m
  - CONFIG_VIDEO_ZORAN_LML33=m
  - CONFIG_VIDEO_ZORAN_LML33R10=m
  - CONFIG_VIDEO_ZORAN_AVS6EYES=m
  - Sound card support
  - CONFIG_SND_SOC_INTEL_CATPT=m
  - CONFIG_SND_SOC_SOF_BROADWELL_SUPPORT=y
  - CONFIG_SND_SOC_SOF_INTEL_SOUNDWIRE_LINK=y
  - CONFIG_SND_SOC_INTEL_SOUNDWIRE_SOF_MACH=m
  - CONFIG_SND_SOC_CS4234=n
  - CONFIG_SND_SOC_TAS2764=n
  - CONFIG_SOUNDWIRE_QCOM=m
  - USB support
  - CONFIG_USB_FEW_INIT_RETRIES=n
  - CONFIG_TYPEC_TCPCI_MAXIM=m
  - CONFIG_TYPEC_STUSB160X=m
  - CONFIG_USB4_DEBUGFS_WRITE=n
  - Virtualization
  - CONFIG_NITRO_ENCLAVES=m
  - Industrial I/O support
  - CONFIG_IIO_BUFFER_DMA=m
  - CONFIG_IIO_BUFFER_DMAENGINE=m
  - CONFIG_ADXRS290=n
  - CONFIG_HDC2010=n
  - CONFIG_AS73211=n
  - Misc drivers
  - CONFIG_MHI_BUS_DEBUG=y
  - CONFIG_INTEL_MEI_VIRTIO=m
  - CONFIG_RTC_DRV_RV3032=m
  - CONFIG_LEDS_LP50XX=m
  - CONFIG_SPMI_HISI3670=n
  - CONFIG_MST_IRQ=y
  - OF dependent drivers (i386, ppc64/ppc64le, riscv64)
  - HISI_HIKEY_USB=m
  - DRM_PANEL_MANTIX_MLAF057WE51=n
  - DRM_PANEL_SAMSUNG_S6E63M0_SPI=n
  - DRM_PANEL_SAMSUNG_S6E63M0_DSI=n
  - DRM_LONTIUM_LT9611=n
  - DRM_TOSHIBA_TC358762=n
  - DRM_TOSHIBA_TC358775=n
  - DRM_CDNS_MHDP8546=n
  - MFD_HI6421_SPMI=m
  - REGULATOR_HI6421V600=m
  - i386
  - DRM_PANEL_SAMSUNG_S6E63M0_SPI=m
  - DRM_PANEL_SAMSUNG_S6E63M0_DSI=m
  - PHY_INTEL_LGM_COMBO=y
  - ppc64 / ppc64le
  - PPC_RTAS_FILTER=y
  - I2C_SLAVE_TESTUNIT=n
  - s390x
  - PCS_XPCS=m
  - VFIO_PCI_ZDEV=y
  - ZCRYPT_DEBUG=n
  - DEBUG_WX=n
  - PTDUMP_DEBUGFS=n
  - riscv64
  - EFI=y
  - FIRMWARE_MEMMAP=y
  - GOOGLE_FIRMWARE=n
  - EFI_VARS_PSTORE=m
  - EFI_VARS_PSTORE_DEFAULT_DISABLE=n
  - EFI_BOOTLOADER_CONTROL=m
  - EFI_CAPSULE_LOADER=m
  - EFI_TEST=n
  - RESET_ATTACK_MITIGATION=n
  - EFI_DISABLE_PCI_DMA=n
  - FB_EFI=y
  - MMC_DW=m
  - MMC_DW_PLTFM=m
  - MMC_DW_BLUEFIELD=m
  - MMC_DW_EXYNOS=m
  - MMC_DW_HI3798CV200=m
  - MMC_DW_K3=m
  - MMC_DW_PCI=m
  - RTC_DRV_EFI=m
  - EFIVAR_FS=m
- commit d181a93
* Sun Oct 25 2020 mkubecek@suse.cz
- kernel-binary.spec.in: pack scripts/module.lds into kernel-$flavor-devel
  Since mainline commit 596b0474d3d9 ("kbuild: preprocess module linker
  script") in 5.10-rc1, scripts/module.lds linker script is needed to build
  out of tree modules. Add it into kernel-$flavor-devel subpackage.
- commit fe37c16
* Sun Oct 25 2020 kbuild@suse.de
- Automatically updated to 5.9-14722-gd76913908102
- commit 85751f3
* Sat Oct 24 2020 kbuild@suse.de
- Automatically updated to 5.9-13582-gf11901ed723d
- commit e5c67ef
* Fri Oct 23 2020 kbuild@suse.de
- Automatically updated to 5.9-12994-gf9893351acae
- commit e4f5475
* Thu Oct 22 2020 kbuild@suse.de
- Automatically updated to 5.9-12462-gf804b3159482
- commit 58bb533
* Wed Oct 21 2020 kbuild@suse.de
- Automatically updated to 5.9-12281-gc4d6fe731176
- commit e6d6a07
* Tue Oct 20 2020 kbuild@suse.de
- Automatically updated to 5.9-12063-g270315b8235e
- commit 14dfcfe
* Mon Oct 19 2020 tiwai@suse.de
- rpm/split-modules: Avoid errors even if Module.* are not present
- commit 752fbc6
* Mon Oct 19 2020 kbuild@suse.de
- Automatically updated to 5.9-11953-g7cf726a59435
- commit d04af85
* Sun Oct 18 2020 kbuild@suse.de
- Automatically updated to 5.9-11776-g9d9af1007bc0
- commit 55d55b0
* Sat Oct 17 2020 kbuild@suse.de
- Automatically updated to 5.9-11359-g071a0578b0ce
- commit e1780ce
* Fri Oct 16 2020 kbuild@suse.de
- Automatically updated to 5.9-10630-g9ff9b0d392ea
- commit 2cebf05
* Thu Oct 15 2020 kbuild@suse.de
- Automatically updated to 5.9-4105-g3e4fb4346c78
- commit d0cdfca
* Wed Oct 14 2020 tiwai@suse.de
- Update config files: CONFIG_PINCTRL_AMD=y for fixing dependency (bsc#1177049)
- commit f03ef39
* Wed Oct 14 2020 kbuild@suse.de
- Automatically updated to 5.9-2774-gb5fc7a89e58b
- commit a54f78e
* Tue Oct 13 2020 tiwai@suse.de
- Add the support for kernel-FLAVOR-optional subpackage (jsc#SLE-11796)
  This change allows to create kernel-*-optional subpackage containing
  the modules that are not shipped on SLE but only on Leap.  Those
  modules are marked in the new "-!optional" marker in supported.conf.
  Flip split_optional definition in kernel-binaries.spec.in for the
  branch that needs the splitting.
- commit 1fa25f8
* Tue Oct 13 2020 kbuild@suse.de
- Automatically updated to 5.9-858-g865c50e1d279
- commit ec5e461
* Mon Oct 12 2020 kbuild@suse.de
- Automatically updated to 5.9
- commit 76dfd7a
* Sun Oct 11 2020 mkubecek@suse.cz
- Update to 5.9 final
- eliminated 1 patch
  - patches.suse/bpf-Fix-unresolved-symbol-build-error-with-resolve_b.patch
- update configs
  - MLX5_VDPA=y, MLX5_VDPA_NET=m
  - restore FB_ARMCLCD (y on armv6hl and armv7hl, n on arm64)
- commit b223f8a
* Sun Oct 11 2020 kbuild@suse.de
- Automatically updated to 5.9-rc8-233-gda690031a5d6
- commit c2f4088
* Sat Oct 10 2020 kbuild@suse.de
- Automatically updated to 5.9-rc8-224-g6f2f486d57c4
- commit c1ce2f9
* Fri Oct  9 2020 mkubecek@suse.cz
- config: disable DEBUG_INFO_BTF in s390x/zfcpdump
  Even if the build has been fixed, there is little use for BTF debug
  information in kernel-zfcpdump so disable it there.
- commit 1f6913a
* Fri Oct  9 2020 kbuild@suse.de
- Automatically updated to 5.9-rc8-206-g583090b1b823
- commit 5a7d3ec
* Thu Oct  8 2020 msuchanek@suse.de
- kernel-binary.spec.in: Exclude .config.old from kernel-devel
  - use tar excludes for .kernel-binary.spec.buildenv
- commit 939a79b
* Wed Oct  7 2020 msuchanek@suse.de
- kernel-binary.spec.in: Package the obj_install_dir as explicit filelist.
- commit 5587762
* Wed Oct  7 2020 kbuild@suse.de
- Automatically updated to 5.9-rc8-156-gc85fb28b6f99
- commit ab2cf85
* Tue Oct  6 2020 kbuild@suse.de
- Automatically updated to 5.9-rc8-143-g7575fdda569b
- commit 8e6c914
* Mon Oct  5 2020 afaerber@suse.com
- config: armv7hl: Update to 5.9-rc8
- commit 24fa96c
* Mon Oct  5 2020 afaerber@suse.com
- config: armv6hl: Update to 5.9-rc8
- commit 8455720
* Mon Oct  5 2020 afaerber@suse.com
- config: arm64: Update to 5.9-rc8
- commit e1458f5
* Mon Oct  5 2020 kbuild@suse.de
- Automatically updated to 5.9-rc8
- commit 0eb949c
* Sun Oct  4 2020 kbuild@suse.de
- Automatically updated to 5.9-rc7-141-g22fbc037cd32
- commit 93028a9
* Sat Oct  3 2020 kbuild@suse.de
- Automatically updated to 5.9-rc7-117-gd3d45f8220d6
- commit d4f4036
* Fri Oct  2 2020 mkubecek@suse.cz
- config: disable SECURITY_SELINUX_DISABLE also in arm*/* (bsc#1176923)
  The arm configs (both 64-bit and 32-bit) are currently disabled so that
  they cannot be updated the usual way. Apply the changes manually.
- commit 51a33ed
* Fri Oct  2 2020 kbuild@suse.de
- Automatically updated to 5.9-rc7-56-g472e5b056f00
- commit 5fe8ed4
* Fri Oct  2 2020 mkubecek@suse.cz
- config: disable SECURITY_SELINUX_DISABLE (bsc#1176923)
- commit d42b93d
* Thu Oct  1 2020 kbuild@suse.de
- Automatically updated to 5.9-rc7-27-g60e720931556
- commit 386cf46
* Wed Sep 30 2020 ohering@suse.de
- rpm/constraints.in: recognize also kernel-source-azure (bsc#1176732)
- commit 7214bbe
* Wed Sep 30 2020 kbuild@suse.de
- Automatically updated to 5.9-rc7-18-g02de58b24d2e
- commit f79a98f
* Tue Sep 29 2020 kbuild@suse.de
- Automatically updated to 5.9-rc7-6-gfb0155a09b02
- commit a79c6cf
* Mon Sep 28 2020 kbuild@suse.de
- Automatically updated to 5.9-rc7
- commit 6953e6e
* Sun Sep 27 2020 kbuild@suse.de
- Automatically updated to 5.9-rc6-338-ga1bffa48745a
- commit cf250b7
* Sat Sep 26 2020 kbuild@suse.de
- Automatically updated to 5.9-rc6-309-g7c7ec3226f5f
- commit 6ce2650
* Fri Sep 25 2020 kbuild@suse.de
- Automatically updated to 5.9-rc6-259-g171d4ff79f96
- commit 8e64b22
* Wed Sep 23 2020 kbuild@suse.de
- Automatically updated to 5.9-rc6-230-g805c6d3c1921
- commit d5e8306
* Tue Sep 22 2020 kbuild@suse.de
- Automatically updated to 5.9-rc6-11-g98477740630f
- commit 3047971
* Tue Sep 22 2020 msuchanek@suse.de
- kernel-syms.spec.in: Also use bz compression (boo#1175882).
- commit ecaf78d
* Mon Sep 21 2020 tiwai@suse.de
- Update config files: turn off CONFIG_SND_CTL_VALIDATION again (bsc#1176200)
  This causes errors on ASoC SOF driver.
- commit 09079a3
* Mon Sep 21 2020 kbuild@suse.de
- Automatically updated to 5.9-rc6
- commit c8a458f
* Mon Sep 21 2020 mkubecek@suse.cz
- Update to 5.9-rc6
- refresh configs
  - drop VGACON_SOFT_SCROLLBACK and related
- commit 0e9fee4
* Mon Sep 21 2020 glin@suse.com
- rpm/kernel-cert-subpackage: add CA check on key enrollment (bsc#1173115)
  To avoid the unnecessary key enrollment, when enrolling the signing key
  of the kernel package, "--ca-check" is added to mokutil so that mokutil
  will ignore the request if the CA of the signing key already exists in
  MokList or UEFI db.
  Since the macro, %%_suse_kernel_module_subpackage, is only defined in a
  kernel module package (KMP), it's used to determine whether the %%post
  script is running in a kernel package, or a kernel module package.
- commit b15c9bf
* Sun Sep 20 2020 kbuild@suse.de
- Automatically updated to 5.9-rc5-156-g325d0eab4f31
- commit 2da3482
* Sat Sep 19 2020 kbuild@suse.de
- Automatically updated to 5.9-rc5-133-geb5f95f1593f
- commit db9ca0c
* Fri Sep 18 2020 kbuild@suse.de
- Automatically updated to 5.9-rc5-71-g10b82d517648
- commit c631f11
* Fri Sep 18 2020 glin@suse.com
- rpm/macros.kernel-source: pass -c proerly in kernel module package (bsc#1176698)
  The "-c" option wasn't passed down to %%_kernel_module_package so the
  ueficert subpackage wasn't generated even if the certificate is
  specified in the spec file.
- commit 34808fb
* Thu Sep 17 2020 kbuild@suse.de
- Automatically updated to 5.9-rc5-40-g5925fa68fe82
- commit 097d72a
* Tue Sep 15 2020 kbuild@suse.de
- Automatically updated to 5.9-rc5-5-gfc4f28bb3daf
- commit df2f75c
* Mon Sep 14 2020 kbuild@suse.de
- Automatically updated to 5.9-rc5
- commit b43fffd
* Sun Sep 13 2020 kbuild@suse.de
- Automatically updated to 5.9-rc4-141-gef2e9a563b0c
- commit df47f2e
* Sat Sep 12 2020 kbuild@suse.de
- Automatically updated to 5.9-rc4-128-g729e3d091984
- commit 25900b0
* Fri Sep 11 2020 kbuild@suse.de
- Automatically updated to 5.9-rc4-38-g581cb3a26baf
- commit 93abcb1
* Thu Sep 10 2020 kbuild@suse.de
- Automatically updated to 5.9-rc4-34-g7fe10096c150
- commit 8bfd7c3
* Wed Sep  9 2020 kbuild@suse.de
- Automatically updated to 5.9-rc4-26-g34d4ddd359db
- commit 1515f33
* Tue Sep  8 2020 mbenes@suse.cz
- rpm/kernel-binary.spec.in: pack .ipa-clones files for live patching
  When -fdump-ipa-clones option is enabled, GCC reports about its cloning
  operation during IPA optimizations. We use the information for live
  patches preparation, because it is crucial to know if and how functions
  are optimized.
  Currently, we create the needed .ipa-clones dump files manually. It is
  unnecessary, because the files may be created automatically during our
  kernel build. Prepare for the step and provide the resulting files in
  - livepatch-devel package.
- commit 98e5a9d
* Mon Sep  7 2020 msuchanek@suse.de
- rpm/kernel-source.spec.in: Also use bz compression (boo#1175882).
- commit 375ec84
* Mon Sep  7 2020 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Also sign ppc64 kernels (jsc#SLE-15857
  jsc#SLE-13618).
- commit 971fc3d
* Mon Sep  7 2020 kbuild@suse.de
- Automatically updated to 5.9-rc4
- commit 5df9e1b
* Mon Sep  7 2020 tiwai@suse.de
- Update config files: add CONFIG_GCOV_KENREL=n
  Define this explicitly as kbuild bot still uses gcc9 for testing
- commit 1714c8e
* Mon Sep  7 2020 tiwai@suse.de
- Update config files: enable a few missing Intel SOF and SST ASoC entries (bsc#1176200)
- commit 258e365
* Mon Sep  7 2020 mkubecek@suse.cz
- Update to 5.9-rc4
- eliminated 1 patch
  - patches.suse/net-packet-fix-overflow-in-tpacket_rcv.patch
- update configs
  - new config option:
  - XEN_UNPOPULATED_ALLOC=y (x86_64 only)
- commit dc2f6b0
* Sun Sep  6 2020 kbuild@suse.de
- Automatically updated to 5.9-rc3-392-gdd9fb9bb3340
- commit 5831abc
* Sat Sep  5 2020 kbuild@suse.de
- Automatically updated to 5.9-rc3-354-gc70672d8d316
- commit 4bde44a
* Fri Sep  4 2020 kbuild@suse.de
- Automatically updated to 5.9-rc3-223-g59126901f200
- commit ca5e104
* Thu Sep  3 2020 kbuild@suse.de
- Automatically updated to 5.9-rc3-75-gfc3abb53250a
- commit 516b493
* Wed Sep  2 2020 kbuild@suse.de
- Automatically updated to 5.9-rc3-54-g9c7d619be5a0
- commit 55a91a6
* Tue Sep  1 2020 kbuild@suse.de
- Automatically updated to 5.9-rc3-24-gb51594df17d0
- commit 7257d99
* Mon Aug 31 2020 kbuild@suse.de
- Automatically updated to 5.9-rc3
- commit dd61cda
* Mon Aug 31 2020 mkubecek@suse.cz
- Update to 5.9-rc3
- eliminated 1 patch
  - patches.suse/Revert-HID-usbhid-do-not-sleep-when-opening-device.patch
- update configs
  - new config option:
  - PPC_PROT_SAO_LPAR=n (ppc64 and ppc64le)
- commit 2b3d91a
* Sun Aug 30 2020 kbuild@suse.de
- Automatically updated to 5.9-rc2-219-g1127b219ce94
- commit 0ed045a
* Sat Aug 29 2020 kbuild@suse.de
- Automatically updated to 5.9-rc2-196-g4d41ead6ead9
- commit 01dca85
* Fri Aug 28 2020 msuchanek@suse.de
- obsolete_kmp: provide newer version than the obsoleted one
  (boo#1170232).
- commit c5ecb27
* Thu Aug 27 2020 kbuild@suse.de
- Automatically updated to 5.9-rc2-96-g15bc20c6af4c
- commit 2a9f28a
* Wed Aug 26 2020 alnovak@suse.cz
- Mark the kernel properly released.
  There perhaps was a typo, when SUSE_KERNEL_RELEASED missed the trailing
  "D" - this leads to our kernels being marked as "Unreleased kernel".
  SUSE_KERNEL_RELEASED is defined in rpm/kernel-binary.spec.in.
  To fix that, it should be enough to switch from SUSE_KERNEL_RELEASE to
  SUSE_KERNEL_RELEASED.
- commit 45e2059
* Wed Aug 26 2020 kbuild@suse.de
- Automatically updated to 5.9-rc2-57-g2ac69819ba9e
- commit 322eee7
* Tue Aug 25 2020 kbuild@suse.de
- Automatically updated to 5.9-rc2-42-g6a9dc5fd6170
- commit 7cedde5
* Mon Aug 24 2020 kbuild@suse.de
- Automatically updated to 5.9-rc2
- commit 510c5fd
* Mon Aug 24 2020 mkubecek@suse.cz
- Update to 5.9-rc2
- eliminated 1 patch
  - patches.suse/squashfs-avoid-bio_alloc-failure-with-1Mbyte-blocks.patch
- refresh configs
- commit c1e2b83
* Sun Aug 23 2020 kbuild@suse.de
- Automatically updated to 5.9-rc1-330-gc3d8f220d012
- commit a0646c5
* Sat Aug 22 2020 kbuild@suse.de
- Automatically updated to 5.9-rc1-267-gf873db9acd3c
- commit ebd2d7d
* Fri Aug 21 2020 kbuild@suse.de
- Automatically updated to 5.9-rc1-109-gda2968ff879b
- commit b6cfa35
* Thu Aug 20 2020 kbuild@suse.de
- Automatically updated to 5.9-rc1-103-g7eac66d0456f
- commit 9ee42fa
* Wed Aug 19 2020 kbuild@suse.de
- Automatically updated to 5.9-rc1-98-g18445bf405cb
- commit 1734228
* Wed Aug 19 2020 nstange@suse.de
- rpm/kernel-binary.spec.in: restrict livepatch metapackage to default flavor
  It has been reported that the kernel-*-livepatch metapackage got
  erroneously enabled for SLE15-SP3's new -preempt flavor, leading to a
  unresolvable dependency to a non-existing kernel-livepatch-x.y.z-preempt
  package.
  As SLE12 and SLE12-SP1 have run out of livepatching support, the need to
  build said metapackage for the -xen flavor is gone and the only remaining
  flavor for which they're still wanted is -default.
  Restrict the build of the kernel-*-livepatch metapackage to the -default
  flavor.
- commit 58949f3
* Tue Aug 18 2020 kbuild@suse.de
- Automatically updated to 5.9-rc1-85-g06a4ec1d9dc6
- commit 01529ad
* Tue Aug 18 2020 mkubecek@suse.cz
- config: restore PHYLIB=m in */vanilla
  As the PHYLIB/ETHTOOL_NETLINK dependency fix is now in 5.9-rc1 tarball,
  we can apply the changes from commit 4756d9edf730 ("config: restore
  PHYLIB=m") also to vanilla configs.
- commit edbf9c7
* Mon Aug 17 2020 mkubecek@suse.cz
- Update to 5.9-rc1
- eliminated 50 patches (39 stable, 11 other)
- disable ARM architectures (need config update)
- disable (needs update)
  - patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
- refresh
  - patches.rpmify/Add-ksym-provides-tool.patch
  - patches.suse/acpi_thermal_passive_blacklist.patch
  - patches.suse/add-product-identifying-information-to-vmcoreinfo.patch
  - patches.suse/apparmor-compatibility-with-v2.x-net.patch
  - patches.suse/b43-missing-firmware-info.patch
  - patches.suse/dm-mpath-no-partitions-feature
  - patches.suse/vfs-add-super_operations-get_inode_dev
- new config options:
  - General setup
  - KERNEL_ZSTD=n
  - RD_ZSTD=y
  - File systems
  - FS_ENCRYPTION_INLINE_CRYPT=y
  - TMPFS_INODE64=y
  - Kernel hacking
  - DEBUG_FORCE_FUNCTION_ALIGN_32B=n
  - DEBUG_FS_ALLOW_ALL=y
  - DEBUG_FS_DISALLOW_MOUNT=n
  - DEBUG_FS_ALLOW_NONE=n
  - RCU_REF_SCALE_TEST=n
  - TEST_FPU=n
  - PCI support
  - PCI_J721E_HOST=n
  - PCI_J721E_EP=n
  - Storage
  - NVME_TARGET_PASSTHRU=n
  - SCSI_UFS_CRYPTO=y
  - BCACHE_ASYNC_REGISTRATION=y
  - Network device support
  - MLX5_IPSEC=y
  - MT7663S=m
  - WLAN_VENDOR_MICROCHIP=y
  - RTW88_8821CE=m
  - Character devices
  - HW_RANDOM_BA431=m
  - SERIAL_IMX_EARLYCON=n
  - Power management
  - CHARGER_BQ2515X=m
  - SENSORS_CORSAIR_CPRO=m
  - THERMAL_NETLINK=y
  - REGULATOR_PCA9450=m
  - REGULATOR_QCOM_USB_VBUS=m
  - REGULATOR_QCOM_LABIBB=m
  - REGULATOR_FAN53880=m
  - REGULATOR_SY8827N=m
  - Multimedia support
  - VIDEO_RDACM20=m
  - VIDEO_DW9768=m
  - VIDEO_MAX9286=m
  - Graphics support
  - DRM_AMD_DC_DCN3_0=y
  - NOUVEAU_DEBUG_PUSH=n
  - DRM_PANEL_SITRONIX_ST7703=n
  - Sound card support
  - SND_HDA_INTEL_HDMI_SILENT_STREAM=y
  - SND_SOC_MAX98373_SDW=m
  - USB support
  - USB_OTG_PRODUCTLIST=n
  - USB_OTG_DISABLE_EXTERNAL_HUB=n
  - X86 Platform Specific Device Drivers
  - INTEL_ATOMISP2_LED=m
  - Industrial I/O support
  - SCD30_CORE=n
  - INV_ICM42600_I2C=n
  - INV_ICM42600_SPI=n
  - Misc drivers
  - SPI_LANTIQ_SSC=n
  - PINCTRL_EMMITSBURG=m
  - GPIO_PCA9570=m
  - IR_TOY=m
  - CEC_CH7322=m
  - LEDS_CLASS_MULTICOLOR=m
  - XILINX_ZYNQMP_DPDMA=m
  - MLX5_VDPA=n
  - CLK_HSDK=n
  - i386
  - REGULATOR_CROS_EC=m
  - ppc
  - PPC_QUEUED_SPINLOCKS=y
  - s390x
  - BPF_KPROBE_OVERRIDE=n
  - FAIL_FUNCTION=n
  - riscv64
  - NO_HZ_IDLE=y
  - VIRT_CPU_ACCOUNTING_GEN=y
  - JUMP_LABEL=y
  - STATIC_KEYS_SELFTEST=n
  - STACKPROTECTOR=y
  - STACKPROTECTOR_STRONG=y
  - SND_SOC_MAX98373_I2C=m
  - DEBUG_KMEMLEAK=n
  - DEBUG_VM_PGTABLE=n
  - PROVE_LOCKING=n
  - LOCK_STAT=n
  - DEBUG_WW_MUTEX_SLOWPATH=n
  - DEBUG_LOCK_ALLOC=n
  - KCOV=n
  - CONTEXT_TRACKING_FORCE=n
- commit 0102d52
* Mon Aug 17 2020 kbuild@suse.de
- Automatically updated to 5.9-rc1
- commit 196ac4e
* Sun Aug 16 2020 kbuild@suse.de
- Automatically updated to 5.8-13660-g4b6c093e21d3
- commit a321deb
* Sat Aug 15 2020 kbuild@suse.de
- Automatically updated to 5.8-13377-gc9c9735c46f5
- commit 560d012
* Fri Aug 14 2020 kbuild@suse.de
- Automatically updated to 5.8-13249-ga1d21081a60d
- commit 21cd89e
* Thu Aug 13 2020 kbuild@suse.de
- Automatically updated to 5.8-13115-gdc06fe51d26e
- commit 8fcdad7
* Wed Aug 12 2020 kbuild@suse.de
- Automatically updated to 5.8-12609-gfb893de323e2
- commit e25fc6a
* Wed Aug 12 2020 jslaby@suse.cz
- Update config files (bsc#1174058).
  Enable GENERIC_IRQ_DEBUGFS.
  This (automatically) sets GENERIC_IRQ_INJECTION=y on some platforms and
  aligns them with x86.
- commit ebab12c
* Tue Aug 11 2020 kbuild@suse.de
- Automatically updated to 5.8-12299-g00e4db51259a
- commit 8d47182
* Mon Aug 10 2020 kbuild@suse.de
- Automatically updated to 5.8-11991-gfc80c51fd4b2
- commit 575bebb
* Sun Aug  9 2020 mkubecek@suse.cz
- config: refresh
- only headers update (gcc 10.1.1 -> 10.2.1)
- commit e835e02
* Sun Aug  9 2020 kbuild@suse.de
- Automatically updated to 5.8-11735-g06a81c1c7db9
- commit e472301
* Sat Aug  8 2020 kbuild@suse.de
- Automatically updated to 5.8-11727-g449dc8c97089
- commit e2a5a37
* Fri Aug  7 2020 kbuild@suse.de
- Automatically updated to 5.8-10178-g86cfccb66937
- commit b05eff0
* Thu Aug  6 2020 kbuild@suse.de
- Automatically updated to 5.8-8220-g47ec5303d73e
- commit b7efc52
* Wed Aug  5 2020 msuchanek@suse.de
- Refresh patches.rpmify/Add-ksym-provides-tool.patch.
- commit 7e6e7f1
* Wed Aug  5 2020 kbuild@suse.de
- Automatically updated to 5.8-2992-g2324d50d051e
- commit d52dc51
* Tue Aug  4 2020 kbuild@suse.de
- Automatically updated to 5.8-2483-gc0842fbc1b18
- commit b964bdd
* Mon Aug  3 2020 afaerber@suse.com
- config: armv7hl: Update to 5.8
- commit 56f55c9
* Mon Aug  3 2020 afaerber@suse.com
- config: armv6hl: Update to 5.8
- commit eff80b8
* Mon Aug  3 2020 schwab@suse.de
- config: refresh riscv64/default
- commit 753d19c
* Mon Aug  3 2020 kbuild@suse.de
- Automatically updated to 5.8
- commit 14d09e4
* Mon Aug  3 2020 mkubecek@suse.cz
- Update to 5.8 final
- refresh configs (headers only)
- commit 58a33d0
* Sun Aug  2 2020 kbuild@suse.de
- Automatically updated to 5.8-rc7-207-gac3a0c847296
- commit 54789b1
* Sat Aug  1 2020 kbuild@suse.de
- Automatically updated to 5.8-rc7-98-g7dc6fd0f3b84
- commit f668194
* Fri Jul 31 2020 kbuild@suse.de
- Automatically updated to 5.8-rc7-65-gd8b9faec54ae
- commit 5722355
* Thu Jul 30 2020 kbuild@suse.de
- Automatically updated to 5.8-rc7-40-g83bdc7275e62
- commit 9fbc1de
* Wed Jul 29 2020 kbuild@suse.de
- Automatically updated to 5.8-rc7-16-g6ba1b005ffc3
- commit 2ccd263
* Tue Jul 28 2020 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Require python3 for build.
  GEN
  /home/abuild/rpmbuild/BUILD/kernel-vanilla-5.8.rc7.next.20200727/linux-5.8-rc7-next-20200727/linux-obj/tools/bpf/resolve_btfids/bpf_helper_defs.h
  /usr/bin/env: 'python3': No such file or directory
- commit 3b7c24e
* Tue Jul 28 2020 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: Enable overlayfs
  Overlayfs is needed for podman or docker builds when no more specific
  driver can be used (like lvm or btrfs). As the default build fs is ext4
  currently, we need overlayfs kernel modules to be available.
- commit 29474aa
* Mon Jul 27 2020 kbuild@suse.de
- Automatically updated to 5.8-rc7
- commit fef2d7d
* Sun Jul 26 2020 kbuild@suse.de
- Automatically updated to 5.8-rc6-301-g04300d66f0a0
- commit 3d5f89c
* Sat Jul 25 2020 kbuild@suse.de
- Automatically updated to 5.8-rc6-146-g23ee3e4e5bd2
- commit 3483985
* Fri Jul 24 2020 kbuild@suse.de
- Automatically updated to 5.8-rc6-83-gf37e99aca03f
- commit 0e0abed
* Thu Jul 23 2020 kbuild@suse.de
- Automatically updated to 5.8-rc6-80-gd15be546031c
- commit af16faa
* Tue Jul 21 2020 kbuild@suse.de
- Automatically updated to 5.8-rc6-3-g4fa640dc5230
- commit 8fed654
* Mon Jul 20 2020 kbuild@suse.de
- Automatically updated to 5.8-rc6-1-g5714ee50bb43
- commit 4f7a870
* Mon Jul 20 2020 mkubecek@suse.cz
- Update to 5.8-rc6
- eliminated 2 patches
- refresh config files
- commit 5304ce8
* Sun Jul 19 2020 kbuild@suse.de
- Automatically updated to 5.8-rc5-253-gf932d58abc38
- commit 4c790de
* Sat Jul 18 2020 kbuild@suse.de
- Automatically updated to 5.8-rc5-235-g6a70f89cc58f
- commit 1e7190f
* Fri Jul 17 2020 mkubecek@suse.cz
- config: restore PHYLIB=m
  This essentially reverts kernel-source commit fcc47b444be6 ("config:
  enable PHYLIB=y and ETHTOOL_NETLINK=y") which responded to upstream
  change not allowing ETHTOOL_NETLINK=y with PHYLIB=m. There are two
  exceptions:
  - vanilla flavors keep PHYLIB=y as patches fixing the dependency are
    not applied to */vanilla (will be fixed with 5.9-rc1 update)
  - we preserve ETHTOOL_NETLINK=y which was previously lost in 5.8-rc1
    update
- commit dbbb633
* Fri Jul 17 2020 kbuild@suse.de
- Automatically updated to 5.8-rc5-133-g8882572675c1
- commit 326b185
* Thu Jul 16 2020 kbuild@suse.de
- Automatically updated to 5.8-rc5-48-gf8456690ba8e
- commit e2cd59e
* Thu Jul 16 2020 jslaby@suse.cz
- Refresh
  patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch.
- Update config files.
  Sync with master branch.
- commit 6fc66d2
* Wed Jul 15 2020 kbuild@suse.de
- Automatically updated to 5.8-rc5-16-ge9919e11e219
- commit 183a910
* Tue Jul 14 2020 afaerber@suse.com
- config: arm64: Update to 5.8-rc5
- commit 9c26dba
* Tue Jul 14 2020 kbuild@suse.de
- Automatically updated to 5.8-rc5-8-g0dc589da873b
- commit 75d495d
* Mon Jul 13 2020 kbuild@suse.de
- Automatically updated to 5.8-rc5
- commit 382b951
* Mon Jul 13 2020 mkubecek@suse.cz
- Update to 5.8-rc5
- refresh riscv64 configs
- commit f799c9a
* Sun Jul 12 2020 kbuild@suse.de
- Automatically updated to 5.8-rc4-385-g0aea6d5c5be3
- commit ef9ba3f
* Sat Jul 11 2020 kbuild@suse.de
- Automatically updated to 5.8-rc4-381-g1df0d8960499
- commit 7d0f2fb
* Fri Jul 10 2020 kbuild@suse.de
- Automatically updated to 5.8-rc4-128-g42f82040ee66
- commit e9d777e
* Thu Jul  9 2020 kbuild@suse.de
- Automatically updated to 5.8-rc4-82-g0bddd227f3dc
- commit 5088433
* Wed Jul  8 2020 kbuild@suse.de
- Automatically updated to 5.8-rc4-61-gdcde237b9b0e
- commit 125af40
* Tue Jul  7 2020 kbuild@suse.de
- Automatically updated to 5.8-rc4-25-gbfe91da29bfa
- commit ebf8ff3
* Mon Jul  6 2020 kbuild@suse.de
- Automatically updated to 5.8-rc4
- commit aa5e2fa
* Sat Jul  4 2020 kbuild@suse.de
- Automatically updated to 5.8-rc3-156-g35e884f89df4
- commit 213b9bc
* Fri Jul  3 2020 kbuild@suse.de
- Automatically updated to 5.8-rc3-82-gcdd3bb54332f
- commit da48c83
* Thu Jul  2 2020 kbuild@suse.de
- Automatically updated to 5.8-rc3-30-gcd77006e01b3
- commit dd0a468
* Wed Jul  1 2020 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: do not run klp-symbols for configs with no modules
  Starting with 5.8-rc1, s390x/zfcpdump builds fail because rpm/klp-symbols
  script does not find .tmp_versions directory. This is missing because
  s390x/zfcpdump is built without modules (CONFIG_MODULES disabled).
  As livepatching cannot work without modules, the cleanest solution is
  setting %%klp_symbols to 0 if CONFIG_MODULES is disabled. (We cannot simply
  add another condition to the place where %%klp_symbols is set as it can be
  already set to 1 from prjconf.)
- commit a048c4b
* Wed Jul  1 2020 mkubecek@suse.cz
- config: refresh riscv64/default
- commit 0a754d9
* Wed Jul  1 2020 rgoldwyn@suse.com
- Re-enable F2FS (boo#1173546)
  Since the changes of blacklisting landed)boo#1109665), we can re-enable
  F2FS for opensuse kernels. For SLE, it will land in
  kernel-default-extra
- commit 5b5ff33
* Wed Jul  1 2020 mkubecek@suse.cz
- Update
  patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch.
- we faked also CC_CAN_LINK_STATIC temporarily to work around the
  bpfilter_umh build breakage but that is no longer needed so we no longer
  need to pretend we can do static linkage on build
- refresh config files to reflect the change
- commit 553444c
* Tue Jun 30 2020 kbuild@suse.de
- Automatically updated to 5.8-rc3-17-g7c30b859a947
- commit 9e61c0f
* Mon Jun 29 2020 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Require dwarves for DEBUG_INFO_BTF
- commit f3947ed
* Mon Jun 29 2020 kbuild@suse.de
- Automatically updated to 5.8-rc3
- commit 3a9a145
* Mon Jun 29 2020 mkubecek@suse.cz
- Update to 5.8-rc3
- eliminated 2 patches
- refresh
  patches.suse/suse-hv-guest-os-id.patch
- update configs
  - EFI_CUSTOM_SSDT_OVERLAYS=y
- commit 9acc0eb
* Mon Jun 22 2020 mkubecek@suse.cz
- Update to 5.8-rc2
- refresh configs
- commit a7b343b
* Wed Jun 17 2020 kbuild@suse.de
- Automatically updated to 5.8-rc1-118-g69119673bd50
- commit ecfc201
* Tue Jun 16 2020 kbuild@suse.de
- Automatically updated to 5.8-rc1-19-ga5dc8300df75
- commit 87714a3
* Mon Jun 15 2020 mkubecek@suse.cz
- config: disable BPFILTER_UMH on i386
  It does not build currently.
- commit f1de243
* Mon Jun 15 2020 kbuild@suse.de
- Automatically updated to 5.8-rc1
- commit 1820cee
* Mon Jun 15 2020 mkubecek@suse.cz
- config: enable PHYLIB=y and ETHTOOL_NETLINK=y
  As an unfortunate side effect of ethtool cable diagnostic support,
  ETHTOOL_NETLINK now depends on PHYLIB and the dependency is implemented in
  a way making "make oldconfig" drops ETHTOOL_NETLINK if PHYLIB=m.
  Until this issue is resolved in upstream, set PHYLIB=y so that
  ETHTOOL_NETLINK can be enabled again.
- commit 0cb8849
* Mon Jun 15 2020 mkubecek@suse.cz
- rpm: drop execute permissions on source files
  Sometimes a source file with execute permission appears in upstream
  repository and makes it into our kernel-source packages. This is caught by
  OBS build checks and may even result in build failures.
  Sanitize the source tree by removing execute permissions from all C source
  and header files.
- commit 771e293
* Sun Jun 14 2020 mkubecek@suse.cz
- Update to 5.8-rc1
- eliminated 48 patches (40 stable, 8 other)
- disable ARM architectures (need config update)
- refresh
  patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch
  patches.suse/apparmor-compatibility-with-v2.x-net.patch
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
  patches.suse/dm-mpath-leastpending-path-update
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  patches.suse/pstore_disable_efi_backend_by_default.patch
  patches.suse/readahead-request-tunables.patch
  patches.suse/supported-flag
  patches.suse/supported-flag-external
  patches.suse/supported-flag-modverdir
  patches.suse/suse-hv-guest-os-id.patch
- fix build with BPFILTER_UMH=m
  patches.rpmify/bpfilter-only-build-bpfilter_umh-as-static-when-BPFI.patch
- new config options:
  - General setup
  - CONFIG_DEFAULT_INIT=""
  - CONFIG_WATCH_QUEUE=y
  - Power management and ACPI options
  - CONFIG_HIBERNATION_SNAPSHOT_DEV=y
  - Enable the block layer
  - CONFIG_BLK_INLINE_ENCRYPTION=y
  - CONFIG_BLK_INLINE_ENCRYPTION_FALLBACK=y
  - CONFIG_BLK_DEV_RNBD_CLIENT=m
  - CONFIG_BLK_DEV_RNBD_SERVER=m
  - Memory Management options
  - CONFIG_ZSMALLOC_PGTABLE_MAPPING=n
  - Networking support
  - CONFIG_INET6_ESPINTCP=y
  - CONFIG_BRIDGE_MRP=y
  - CONFIG_NET_ACT_GATE=m
  - CONFIG_QRTR=m
  - CONFIG_QRTR_SMD=m
  - CONFIG_QRTR_TUN=m
  - CONFIG_QRTR_MHI=m
  - CONFIG_BT_MSFTEXT=n
  - File systems
  - CONFIG_PSTORE_BLK=m
  - Library routines
  - CONFIG_PRIME_NUMBERS=n
  - CONFIG_DEBUG_INFO_COMPRESSED=n
  - CONFIG_DEBUG_VM_PGTABLE=n
  - CONFIG_HIST_TRIGGERS_DEBUG=n
  - CONFIG_TEST_BITOPS=n
  - CONFIG_TEST_HMM=n
  - Multiple devices driver support (RAID and LVM)
  - CONFIG_BCACHE_ASYNC_REGISTRAION=n
  - CONFIG_DM_EBS=m
  - CONFIG_DM_MULTIPATH_HST=m
  - Network device support
  - CONFIG_NET_DSA_SJA1105_VL=y
  - CONFIG_MLX5_CLS_ACT=y
  - CONFIG_BCM54140_PHY=m
  - CONFIG_MT7663U=m
  - CONFIG_MT7915E=m
  - CONFIG_RTW88_8723DE=m
  - Input device support
  - CONFIG_TOUCHSCREEN_CY8CTMA140=m
  - CONFIG_INPUT_IQS269A=m
  - Character devices
  - CONFIG_SERIAL_LANTIQ=m
  - Multifunction device drivers
  - CONFIG_MFD_MP2629=n
  - CONFIG_MFD_INTEL_PMC_BXT=m
  - CONFIG_INTEL_SOC_PMIC_MRFLD=m
  - CONFIG_INTEL_MRFLD_PWRBTN=m
  - CONFIG_EXTCON_INTEL_MRFLD=m
  - CONFIG_INTEL_MRFLD_ADC=n
  - CONFIG_MFD_INTEL_MSIC=n
  - CONFIG_MFD_MT6360=n
  - Multimedia support
  - CONFIG_MEDIA_SUPPORT_FILTER=y
  - CONFIG_MEDIA_PLATFORM_SUPPORT=n
  - CONFIG_MEDIA_TEST_SUPPORT=n
  - CONFIG_VIDEO_OV2740=m
  - CONFIG_INTEL_ATOMISP=y
  - CONFIG_VIDEO_ATOMISP=m
  - CONFIG_VIDEO_ATOMISP_ISP2401=y
  - CONFIG_VIDEO_ATOMISP_OV5693=m
  - CONFIG_VIDEO_ATOMISP_OV2722=m
  - CONFIG_VIDEO_ATOMISP_GC2235=m
  - CONFIG_VIDEO_ATOMISP_MSRLIST_HELPER=m
  - CONFIG_VIDEO_ATOMISP_MT9M114=m
  - CONFIG_VIDEO_ATOMISP_GC0310=m
  - CONFIG_VIDEO_ATOMISP_OV2680=m
  - CONFIG_VIDEO_ATOMISP_LM3554=m
  - CONFIG_CEC_CROS_EC=m
  - CONFIG_CEC_SECO=m
  - CONFIG_CEC_SECO_RC=n
  - Graphics support
  - CONFIG_DRM_I915_FENCE_TIMEOUT=10000
  - Sound card support
  - CONFIG_SND_SOC_AMD_RENOIR=m
  - CONFIG_SND_SOC_AMD_RENOIR_MACH=m
  - CONFIG_SND_SOC_INTEL_SOF_WM8804_MACH=m
  - CONFIG_SND_SOC_INTEL_EHL_RT5660_MACH=m
  - CONFIG_SND_SOC_MAX98390=m
  - CONFIG_SND_SOC_ZL38060=n
  - USB support
  - CONFIG_USB_XHCI_PCI_RENESAS=m
  - InfiniBand support
  - CONFIG_INFINIBAND_RTRS_CLIENT=m
  - CONFIG_INFINIBAND_RTRS_SERVER=m
  - Virtio drivers
  - CONFIG_VIRTIO_MEM=m
  - X86 Platform Specific Device Drivers
  - CONFIG_INTEL_WMI_SBL_FW_UPDATE=m
  - CONFIG_INTEL_SCU_PCI=y
  - CONFIG_INTEL_SCU_PLATFORM=m
  - CONFIG_INTEL_MID_POWER_BUTTON=m
  - CONFIG_INTEL_SCU_IPC_UTIL=m
  - Industrial I/O support
  - CONFIG_AD9467=n
  - CONFIG_ADI_AXI_ADC=n
  - CONFIG_MAX1241=n
  - CONFIG_ATLAS_EZO_SENSOR=n
  - CONFIG_ADIS16475=n
  - CONFIG_SX9310=n
  - CONFIG_VCNL3020=n
  - Misc drivers
  - CONFIG_MTD_NAND_ARASAN=m
  - CONFIG_MTD_PSTORE=m
  - CONFIG_INTERCONNECT=n
  - CONFIG_SPI_AMD=n
  - CONFIG_PINCTRL_JASPERLAKE=m
  - CONFIG_GPIO_PCA953X_IRQ=y
  - CONFIG_GPIO_AGGREGATOR=m
  - CONFIG_BATTERY_CW2015=m
  - CONFIG_CHARGER_BD99954=m
  - CONFIG_SENSORS_AMD_ENERGY=m
  - CONFIG_SENSORS_MAX16601=m
  - ACPI INT340X thermal drivers
  - CONFIG_REGULATOR_MAX77826=m
  - CONFIG_LEDS_SGM3140=m
  - CONFIG_PWM_IQS620A=m
  - i386 / ppc64 / ppc64le
  - MDIO_IPQ4019=m
  - HW_RANDOM_CCTRNG=n
  - MFD_GATEWORKS_GSC=m
  - DRM_PANEL_ASUS_Z00T_TM5P5_NT35596=n
  - DRM_PANEL_LEADTEK_LTK050H3146W=n
  - DRM_PANEL_VISIONOX_RM69299=n
  - DRM_CHRONTEL_CH7033=n
  - DRM_NWL_MIPI_DSI=n
  - LEDS_AW2013=m
  - CLK_LGM_CGU=y
  - PHY_CADENCE_SALVO=m
  - PHY_INTEL_COMBO=y
  - PHY_OCELOT_SERDES=m
  - MTD_PHYSMAP_VERSATILE=y
  - MTD_PHYSMAP_GEMINI=y
  - MDIO_IPQ8064=m
  - SERIAL_8250_ASPEED_VUART=n
  - GPIO_LOGICVC=n
  - GPIO_SAMA5D2_PIOBU=n
  - GPIO_SYSCON=n
  - SENSORS_GSC=m
  - DRM_PANEL_ARM_VERSATILE=n
  - LEDS_SYSCON=y
- commit 82928b1
* Sun Jun 14 2020 kbuild@suse.de
- Automatically updated to 5.7-15078-g96144c58abe7
- commit f45861f
* Sat Jun 13 2020 kbuild@suse.de
- Automatically updated to 5.7-14726-g08bf1a27c4c3
- commit 73ed11f
* Sat Jun 13 2020 kbuild@suse.de
- Automatically updated to 5.7-14528-gdf2fbf5bfa0e
- commit 12ef4c1
* Fri Jun 12 2020 kbuild@suse.de
- Automatically updated to 5.7-14367-gb791d1bdf921
- commit 77c6a03
* Fri Jun 12 2020 kbuild@suse.de
- Automatically updated to 5.7-14271-gb961f8dc8976
- commit bd8e884
* Thu Jun 11 2020 kbuild@suse.de
- Automatically updated to 5.7-14029-gb29482fde649
- commit 5dbb66d
* Wed Jun 10 2020 kbuild@suse.de
- Automatically updated to 5.7-13352-g5b14671be58d
- commit e5aaedd
* Tue Jun  9 2020 kbuild@suse.de
- Automatically updated to 5.7-13230-gd1e521adad25
- commit 5a9fff8
* Tue Jun  9 2020 dmueller@suse.com
- armv7/ararch64: Update config files.
  Enable IOMMU_DEFAULT_PASSTHROUGH; per jsc#SLE-5568 this should be on by
  default, like on x86_64.
- commit d3e5dc3
* Tue Jun  9 2020 kbuild@suse.de
- Automatically updated to 5.7-13089-gabfbb29297c2
- commit 0aa3ee4
* Mon Jun  8 2020 kbuild@suse.de
- Automatically updated to 5.7-12703-gaf7b4801030c
- commit ae33500
* Sun Jun  7 2020 kbuild@suse.de
- Automatically updated to 5.7-11272-g3b69e8b45711
- commit 93df544
* Sun Jun  7 2020 kbuild@suse.de
- Automatically updated to 5.7-11262-gb170290c2836
- commit f8f603b
* Sat Jun  6 2020 kbuild@suse.de
- Automatically updated to 5.7-11016-g9fa88c5d3f5e
- commit 7a9522c
* Sat Jun  6 2020 kbuild@suse.de
- Automatically updated to 5.7-10986-gaaa2faab4ed8
- commit f7f6c91
* Fri Jun  5 2020 kbuild@suse.de
- Automatically updated to 5.7-9886-g435faf5c218a
- commit 88611a2
* Fri Jun  5 2020 kbuild@suse.de
- Automatically updated to 5.7-8602-g15a2bc4dbb9c
- commit 57e3f76
* Thu Jun  4 2020 kbuild@suse.de
- Automatically updated to 5.7-7943-gacf25aa66371
- commit e85a940
* Thu Jun  4 2020 mkubecek@suse.cz
- config: refresh with gcc10
  gcc10 is default in Tumbleweed now.
- commit d4028c2
* Thu Jun  4 2020 kbuild@suse.de
- Automatically updated to 5.7-7810-g6929f71e46bd
- commit f3e60e4
* Thu Jun  4 2020 kbuild@suse.de
- Automatically updated to 5.7-7171-gcb8e59cc8720
- commit a07738d
* Wed Jun  3 2020 kbuild@suse.de
- Automatically updated to 5.7-3827-gd6f9469a03d8
- commit 22c04df
* Wed Jun  3 2020 jslaby@suse.cz
- Revert "Update config files."
  This reverts commit 34be040b91701c047e592935bc2dbb46a3947a56. We now
  have a fix (previous commit) in place, so change the configuration back
  (bsc#1156053).
- commit 9fb5ece
* Wed Jun  3 2020 kbuild@suse.de
- Automatically updated to 5.7-3550-gd9afbb350990
- commit 9974e26
* Tue Jun  2 2020 kbuild@suse.de
- Automatically updated to 5.7-1305-gf359287765c0
- commit 4965c1f
* Mon Jun  1 2020 mkubecek@suse.cz
- config: enable DEBUG_INFO_BTF
  This was disabled when the option was introduced in 5.2-rc1 but it turned
  out there are interesting use cases for having it enabled.
  Add pahole to build time dependencies as it is used to extracth the BTF
  data. Once we figure out how to make it conditional (only if DEBUG_INFO_BTF
  exists and is enabled), it should be done in packaging branch.
- commit 3f2b1de
* Mon Jun  1 2020 mkubecek@suse.cz
- Updated to 5.7 final
- refresh configs
- commit 21ca3aa
* Mon Jun  1 2020 kbuild@suse.de
- Automatically updated to 5.7
- commit 2a71a15
* Sun May 31 2020 kbuild@suse.de
- Automatically updated to 5.7-rc7-116-gffeb595d8481
- commit 22f0234
* Sat May 30 2020 kbuild@suse.de
- Automatically updated to 5.7-rc7-103-g86852175b016
- commit 7f4df35
* Fri May 29 2020 kbuild@suse.de
- Automatically updated to 5.7-rc7-44-g75caf310d16c
- commit 89fa871
* Thu May 28 2020 kbuild@suse.de
- Automatically updated to 5.7-rc7-16-gb0c3ba31be3e
- commit 4836a3f
* Wed May 27 2020 kbuild@suse.de
- Automatically updated to 5.7-rc7-8-g444fc5cde643
- commit 4fcffe8
* Tue May 26 2020 trenn@suse.com
- Update config files.
  Remove ACPI_PROCFS_POWER
  This should all be in sysfs nowadays. If this is in Tumbleweed for a while,
  a patch to totally remove this code will be sent mainline.
  Related to bsc#1160977
- commit 3d4a7dc
* Tue May 26 2020 msuchanek@suse.de
- rpm/kernel-source.spec.in: Add obsolete_rebuilds (boo#1172073).
- commit 6524463
* Mon May 25 2020 mkubecek@suse.cz
- Update to 5.7-rc7
- refresh configs (ARCH_HAS_STRICT_KERNEL_RWX=n on ppc64/ppc64le)
- commit f5899f1
* Mon May 25 2020 kbuild@suse.de
- Automatically updated to 5.7-rc7
- commit 887d096
* Sun May 24 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-260-g98790bbac4db
- commit 4d1b76b
* Sun May 24 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-244-gcaffb99b6929
- commit 9624b8f
* Sat May 23 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-118-ge644645abf47
- commit e497345
* Sat May 23 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-100-g444565650a5f
- commit 45155a7
* Fri May 22 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-85-g4286d192c803
- commit 6a2bc88
* Fri May 22 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-74-g051143e1602d
- commit 7df9789
* Thu May 21 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-56-gb85051e755b0
- commit 9203a05
* Wed May 20 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-37-g115a54162a6c
- commit 9bc0513
* Tue May 19 2020 afaerber@suse.com
- config: armv7hl: Update to 5.7-rc6
- commit 5783690
* Tue May 19 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-10-g642b151f45dd
- commit b2edcb5
* Mon May 18 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6-4-g45088963ca9c
- commit 6d4a881
* Mon May 18 2020 mkubecek@suse.cz
- Update to 5.7-rc6
- eliminated 2 patches
- refresh configs
- commit c905e27
* Mon May 18 2020 kbuild@suse.de
- Automatically updated to 5.7-rc6
- commit 75c9d98
* Sun May 17 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5-348-g5a9ffb954a39
- commit 480e9a2
* Sun May 17 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5-244-g3d1c1e5931ce
- commit a2e7837
* Sat May 16 2020 afaerber@suse.com
- config: armv6hl: Update to 5.7-rc5
- commit 7fea560
* Sat May 16 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5-229-g12bf0b632ed0
- commit fa16fa3
* Fri May 15 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5-109-g051e6b7e34b9
- commit e00b049
* Fri May 15 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5-55-g1ae7efb38854
- commit f5c51e0
* Thu May 14 2020 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore CONFIG_CC_VERSION_TEXT
- commit 8e6b05f
* Wed May 13 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5-31-g24085f70a6e1
- commit 41c4889
* Tue May 12 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5-5-g152036d1379f
- commit d35d6e3
* Mon May 11 2020 mkubecek@suse.cz
- Update to 5.7-rc5
- refresh configs
- commit 710520a
* Mon May 11 2020 kbuild@suse.de
- Automatically updated to 5.7-rc5
- commit 8c54751
* Sun May 10 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-314-ge99332e7b4cd
- commit fc7f3a4
* Sun May 10 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-313-g2e28f3b13a41
- commit f8f6cb0
* Fri May  8 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-294-gd5eeab8d7e26
- commit d0e2c51
* Fri May  8 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-208-g79dede78c057
- commit 222df1b
* Fri May  8 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-206-g192ffb751583
- commit 1fe91ed
* Thu May  7 2020 afaerber@suse.com
- config: arm64: Update to 5.7-rc4
- commit 0a74643
* Thu May  7 2020 jzerebecki@suse.com
- kernel-docs: Change Requires on python-Sphinx to earlier than version 3
  References: bsc#1166965
  From 3 on the internal API that the build system uses was rewritten in
  an incompatible way.
  See https://github.com/sphinx-doc/sphinx/issues/7421 and
  https://bugzilla.suse.com/show_bug.cgi?id=1166965#c16 for some details.
- commit cf60b5c
* Thu May  7 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-190-g6e7f2eacf098
- commit f3863ec
* Thu May  7 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-158-ga811c1fa0a02
- commit b037b9f
* Thu May  7 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-34-gb9388959ba50
- commit 22e9495
* Wed May  6 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-32-g3c40cdb0e93e
- commit 62c89d1
* Wed May  6 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-29-gdc56c5acd850
- commit f74af60
* Tue May  5 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-21-g47cf1b422e60
- commit 10defc4
* Tue May  5 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4-9-g9851a0dee7c2
- commit d5ea9fa
* Mon May  4 2020 kbuild@suse.de
- Automatically updated to 5.7-rc4
- commit 5fd0ca0
* Sun May  3 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3-164-gf66ed1ebbfde
- commit d044100
* Sat May  2 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3-136-g690e2aba7beb
- commit abf120c
* Fri May  1 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3-65-gc45e8bccecaf
- commit b6a8360
* Wed Apr 29 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3-43-g1d2cc5ac6f66
- commit a5a7938
* Wed Apr 29 2020 ykaukab@suse.de
- config: arm64: enable coresight support
  Coresight is already enabled in armv7hl
- commit 8bad7da
* Wed Apr 29 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3-30-g96c9a7802af7
- commit 4a72176
* Tue Apr 28 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3-14-g3f777e19d171
- commit cf55318
* Tue Apr 28 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3-12-g51184ae37e05
- commit beba16a
* Mon Apr 27 2020 mkubecek@suse.cz
- Update to 5.7-rc3
- eliminated 1 patch
- refresh configs
- commit 40638f7
* Mon Apr 27 2020 kbuild@suse.de
- Automatically updated to 5.7-rc3
- commit 37961fc
* Sun Apr 26 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2-371-gb2768df24ec4
- commit fad9dfd
* Sat Apr 25 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2-355-gab51cac00ef2
- commit f98bb7e
* Sat Apr 25 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2-243-g5ef58e290782
- commit e9cae48
* Fri Apr 24 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2-118-gb4f633221f0a
- commit 9813d9e
* Thu Apr 23 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2-113-g7adc4b399952
- commit a77af00
* Thu Apr 23 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2-79-gc578ddb39e56
- commit f30c142
* Wed Apr 22 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2-69-g18bf34080c4c
- commit 27ae6e9
* Tue Apr 21 2020 schwab@suse.de
- config: riscv64: enable left out config options
  Enable some config options to reduce difference with x86 config
- commit a2fb960
* Mon Apr 20 2020 tiwai@suse.de
- Update config files: revert CONFIG_SND_HDA_PREALLOC_SIZE changes (bsc#1169471)
- commit a5a4188
* Mon Apr 20 2020 mkubecek@suse.cz
- config: enable PCIE_EDR (bsc#1169263)
  (x86 only)
- commit 4aed991
* Mon Apr 20 2020 kbuild@suse.de
- Automatically updated to 5.7-rc2
- commit ddd0284
* Mon Apr 20 2020 mbrugger@suse.com
- armv7hl: Update config files.
  Build MediaTek watchdog as built-in.
- commit dfddf0a
* Sun Apr 19 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1-292-g50cc09c18985
- commit c011b41
* Sat Apr 18 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1-246-g90280eaa88ac
- commit 6dc6e22
* Fri Apr 17 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1-211-g95988fbc7c31
- commit 68a5905
* Fri Apr 17 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1-164-g7a56db0299f9
- commit b1aaaf2
* Thu Apr 16 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1-46-g9786cab67457
- commit 7c817b4
* Thu Apr 16 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1-35-g00086336a8d9
- commit f520139
* Wed Apr 15 2020 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore CONFIG_LD_VERSION
- commit e60242e
* Wed Apr 15 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1-24-g8632e9b5645b
- commit 518a477
* Tue Apr 14 2020 schwab@suse.de
- Add config files for riscv64
- commit e5033da
* Mon Apr 13 2020 kbuild@suse.de
- Automatically updated to 5.7-rc1
- commit 36f3175
* Mon Apr 13 2020 mkubecek@suse.cz
- Update to 5.7-rc1
- eliminated 70 patches (66 stable, 4 other)
- disable ARM architectures (need config update)
- refresh
  - patches.suse/supported-flag
  - patches.suse/supported-flag-external
  - patches.suse/supported-flag-modverdir
  - patches.suse/vfs-add-super_operations-get_inode_dev
  - patches.suse/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch
  - patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
- fix s390x build:
  patches.suse/tty-sysrq-Export-sysrq_mask.patch
- new config options:
- General setup
  - CONFIG_SCHED_THERMAL_PRESSURE=y
  - CONFIG_BPF_LSM=y
- Power management and ACPI options
  - CONFIG_ACPI_TINY_POWER_BUTTON=m
  - CONFIG_ACPI_TINY_POWER_BUTTON_SIGNAL=38
- Memory Management options
  - CONFIG_ZSWAP_COMPRESSOR_DEFAULT_LZO=y
  - CONFIG_ZSWAP_ZPOOL_DEFAULT_ZBUD=y
  - CONFIG_ZSWAP_DEFAULT_ON=n
- Networking support
  - CONFIG_IPV6_RPL_LWTUNNEL=y
- File systems
  - CONFIG_EXFAT_FS=m
  - CONFIG_EXFAT_DEFAULT_IOCHARSET="utf8"
- Cryptographic API
  - CONFIG_CHELSIO_TLS_DEVICE=y
- Kernel hacking
  - CONFIG_MAGIC_SYSRQ_SERIAL_SEQUENCE=""
  - CONFIG_TEST_LOCKUP=n
  - CONFIG_TEST_MIN_HEAP=n
- PCI
  - CONFIG_PCIE_EDR=n
- Network device drivers
  - CONFIG_BAREUDP=m
  - CONFIG_MLX5_TC_CT=y
  - CONFIG_DWMAC_INTEL=m
  - CONFIG_MDIO_MVUSB=m
  - CONFIG_BCM84881_PHY=m
  - PHY_CADENCE_TORRENT=m (i386, ppc64(le))
- PTP clock support
  - CONFIG_PTP_1588_CLOCK_IDT82P33=m
  - CONFIG_PTP_1588_CLOCK_VMW=m
- Graphics
  - CONFIG_DRM_I915_MAX_REQUEST_BUSYWAIT=8000
  - CONFIG_TINYDRM_ILI9486=n
  - DRM_PANEL_BOE_TV101WUM_NL6=n
  - DRM_PANEL_ELIDA_KD35T133=n
  - DRM_PANEL_FEIXIN_K101_IM2BA02=n
  - DRM_PANEL_NOVATEK_NT35510=n
  - DRM_PANEL_SAMSUNG_S6E88A0_AMS452EF01=n
  - DRM_DISPLAY_CONNECTOR=n
  - DRM_PARADE_PS8640=n
  - DRM_SIMPLE_BRIDGE=n
  - DRM_TOSHIBA_TC358768=n
  - DRM_TI_TPD12S015=n
- Sound
  - CONFIG_SND_SOC_AMD_RV_RT5682_MACH=m
  - CONFIG_SND_BCM63XX_I2S_WHISTLER=n
  - CONFIG_SND_SOC_INTEL_SOF_PCM512x_MACH=m
  - CONFIG_SND_SOC_SOF_DEBUG_PROBES=n
  - CONFIG_SND_SOC_RT5682_SDW=n
  - CONFIG_SND_SOC_TLV320ADCX140=n
- Input
  - CONFIG_HID_GLORIOUS=m
  - CONFIG_HID_MCP2221=m
  - CONFIG_KEYBOARD_IQS62X=m
- USB
  - CONFIG_APPLE_MFI_FASTCHARGE=m
  - CONFIG_TYPEC_MUX_INTEL_PMC=m
- Virtio drivers
  - CONFIG_VIRTIO_VDPA=m
  - CONFIG_VDPA_MENU=y
  - CONFIG_VDPA_SIM=m
  - CONFIG_IFCVF=m
  - CONFIG_VHOST_MENU=y
  - CONFIG_VHOST_VDPA=m
- Platform drivers
  - CONFIG_SURFACE_3_POWER_OPREGION=m
  - CONFIG_CROS_EC_TYPEC=m
  - CONFIG_CROS_USBPD_NOTIFY=m
- Industrial I/O
  - CONFIG_HMC425=n
  - CONFIG_AD5770R=n
  - CONFIG_AL3010=n
  - CONFIG_GP2AP002=n
  - CONFIG_ICP10100=n
  - CONFIG_IQS621_ALS=n
  - CONFIG_IQS624_POS=n
  - CONFIG_IQS620AT_TEMP=n
- Misc drivers
  - CONFIG_MHI_BUS=m
  - CONFIG_UACCE=m
  - CONFIG_ATA_FORCE=y
  - CONFIG_SERIAL_SPRD=m
  - CONFIG_SPI_MUX=m
  - CONFIG_PINCTRL_DA9062=m
  - CONFIG_SENSORS_AXI_FAN_CONTROL=m
  - CONFIG_MFD_IQS62X=m
  - CONFIG_VIDEO_IMX219=m
  - CONFIG_MMC_HSQ=m
  - CONFIG_DMABUF_MOVE_NOTIFY=n
  - CONFIG_PWM_DEBUG=n
  - CONFIG_MUX_ADG792A=n
  - CONFIG_MUX_ADGS1408=n
  - CONFIG_MUX_GPIO=n
- i386
  - REGULATOR_MP541=m
  - REGULATOR_MP886X=m
- ppc64
  - PMU_SYSFS=y
  - FSL_ENETC=m
  - FSL_ENETC_VF=m
  - FSL_ENETC_PTP_CLOCK=m
  - FSL_ENETC_QOS=y
  - SPI_FSI=m
  - REGULATOR_MP5416=m
  - REGULATOR_MP886X=m
- s390x
  - XILINX_LL_TEMAC=m
  - MDIO_XPCS=m
  - QETH_OSN=y
  - QETH_OSX=y
- commit 3a02548
* Sun Apr 12 2020 kbuild@suse.de
- Automatically updated to 5.6-12745-g4f8a3cc1183c
- commit 915605c
* Sun Apr 12 2020 mkubecek@suse.cz
- constrants: fix malformed XML
  Closing tag of an element is "</foo>", not "<foo/>".
  Fixes: 8b37de2eb835 ("rpm/constraints.in: Increase memory for kernel-docs")
- commit 4a8ca28
* Sun Apr 12 2020 kbuild@suse.de
- Automatically updated to 5.6-12706-gb032227c6293
- commit 7dfb4fd
* Sat Apr 11 2020 kbuild@suse.de
- Automatically updated to 5.6-12660-g5b8b9d0c6d0e
- commit 18426b9
* Fri Apr 10 2020 kbuild@suse.de
- Automatically updated to 5.6-12444-gf8693b3eb59f
- commit e58cf7e
* Fri Apr 10 2020 kbuild@suse.de
- Automatically updated to 5.6-12351-gc0cc271173b2
- commit 28617ad
* Thu Apr  9 2020 mgorman@suse.de
- Update config files to disable CONFIG_TRACE_IRQFLAGS (bsc#1169078).
- commit 00930e8
* Thu Apr  9 2020 kbuild@suse.de
- Automatically updated to 5.6-12281-g5d30bcacd91a
- commit 8ea5291
* Thu Apr  9 2020 msuchanek@suse.de
- rpm/constraints.in: Increase memory for kernel-docs
  References: https://build.opensuse.org/request/show/792664
- commit 8b37de2
* Wed Apr  8 2020 kbuild@suse.de
- Automatically updated to 5.6-12046-gae46d2aa6a7f
- commit aacb375
* Wed Apr  8 2020 kbuild@suse.de
- Automatically updated to 5.6-12045-gf5e94d10e4c4
- commit 3a2e84d
* Wed Apr  8 2020 kbuild@suse.de
- Automatically updated to 5.6-11859-g63bef48fd6c9
- commit 98c6be2
* Tue Apr  7 2020 msuchanek@suse.de
- s390x: zfcpdump: disable CONFIG_RELOCATABLE (bsc#1168847).
- commit 4af6346
* Tue Apr  7 2020 mgorman@suse.de
- Update config files to disable CONFIG_UCLAMP_TASK (bsc#1168888).
- commit 63410a2
* Tue Apr  7 2020 kbuild@suse.de
- Automatically updated to 5.6-11448-g7e63420847ae
- commit 5be5e27
* Mon Apr  6 2020 kbuild@suse.de
- Automatically updated to 5.6-11406-gb6ff10700d1b
- commit 4399317
* Mon Apr  6 2020 kbuild@suse.de
- Automatically updated to 5.6-11374-ga10c9c710f9e
- commit 31fd6ad
* Sun Apr  5 2020 kbuild@suse.de
- Automatically updated to 5.6-10895-g4c205c84e249
- commit 58db76e
* Sat Apr  4 2020 kbuild@suse.de
- Automatically updated to 5.6-10826-gbdabb68931b9
- commit b4966dd
* Sat Apr  4 2020 kbuild@suse.de
- Automatically updated to 5.6-10588-g5364abc57993
- commit c33d635
* Fri Apr  3 2020 msuchanek@suse.de
- Delete patches.rpmify/powerpc-Blacklist-GCC-5.4-6.1-and-6.2.patch.
- commit 42ff189
* Fri Apr  3 2020 yousaf.kaukab@suse.com
- config: arm64: enable cpufreq driver for Jetson Nano and Jetson TX1
- commit 1ab20aa
* Fri Apr  3 2020 kbuild@suse.de
- Automatically updated to 5.6-9431-gbef7b2a7be28
- commit 87ee645
* Thu Apr  2 2020 kbuild@suse.de
- Automatically updated to 5.6-7632-g919dce24701f
- commit 74f7f25
* Thu Apr  2 2020 kbuild@suse.de
- Automatically updated to 5.6-7448-g668f1e926741
- commit 21eb8af
* Wed Apr  1 2020 kbuild@suse.de
- Automatically updated to 5.6-5611-g1a323ea5356e
- commit d2f334c
* Tue Mar 31 2020 kbuild@suse.de
- Automatically updated to 5.6-2405-gcad18da0afb1
- commit fb6a3b4
* Tue Mar 31 2020 kbuild@suse.de
- Automatically updated to 5.6-2330-g458ef2a25e0c
- commit 86f7835
* Tue Mar 31 2020 kbuild@suse.de
- Automatically updated to 5.6-2112-g673b41e04a03
- commit b074970
* Mon Mar 30 2020 mkubecek@suse.cz
- Update to 5.6 final
- refresh configs
- commit de1bbe5
* Mon Mar 30 2020 kbuild@suse.de
- Automatically updated to 5.6
- commit 4b1cea6
* Sun Mar 29 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-334-g570203ec830d
- commit d112f35
* Sun Mar 29 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-324-ge595dd94515e
- commit 226abd6
* Sun Mar 29 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-298-g906c40438bb6
- commit ba765d6
* Sat Mar 28 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-292-g83fd69c93340
- commit 87b8842
* Sat Mar 28 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-289-g69c5eea3128e
- commit cfedcbb
* Fri Mar 27 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-251-g823846c31071
- commit aa902d5
* Fri Mar 27 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-227-gf3e69428b5e2
- commit 9e8b7a3
* Fri Mar 27 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-216-g9efcc4a12936
- commit 45bd155
* Thu Mar 26 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-201-g9420e8ade435
- commit 7344a6a
* Thu Mar 26 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-188-g1b649e0bcae7
- commit 5b60ef6
* Wed Mar 25 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-22-ge2cf67f6689a
- commit bf9c9bc
* Tue Mar 24 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-20-g76ccd234269b
- commit da0db3a
* Tue Mar 24 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7-2-g979e52ca0469
- commit 0667162
* Mon Mar 23 2020 mkubecek@suse.cz
- Update to 5.6-rc7
- refresh
  patches.suse/supported-flag
- refresh config files:
  - CC_HAS_INT128=n on 32-bit architectures (was =y on i386)
- commit 6b0e9bd
* Mon Mar 23 2020 kbuild@suse.de
- Automatically updated to 5.6-rc7
- commit a770ed4
* Sun Mar 22 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-151-g67d584e33e54
- commit aee75ed
* Sun Mar 22 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-137-gb74b991fb8b9
- commit 727ce94
* Sat Mar 21 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-118-gc63c50fc2ec9
- commit 2f6c526
* Fri Mar 20 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-115-g5ad0ec0b8652
- commit b38c178
* Fri Mar 20 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-33-g6c90b86a745a
- commit f80f93a
* Thu Mar 19 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-27-gcd607737f3b8
- commit fd4b88f
* Thu Mar 19 2020 yousaf.kaukab@suse.com
- config: arm64: enable CONFIG_MTD_PHYSMAP_OF
  Get rid of CONFIG_MTD_PHYSMAP_COMPAT and enable CONFIG_MTD_PHYSMAP_OF.
  Compat maps of zero length (CONFIG_MTD_PHYSMAP_LEN=0x0) doesn't make
  sense and driver initialization is bound to fail. So use device-tree
  based initialization.
- commit add4d65
* Wed Mar 18 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-11-g5076190daded
- commit 7f059ab
* Tue Mar 17 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6-9-gac309e7744be
- commit 18f2bec
* Mon Mar 16 2020 mkubecek@suse.cz
- Update to 5.6-rc6
- refresh config files
- commit 894a877
* Mon Mar 16 2020 kbuild@suse.de
- Automatically updated to 5.6-rc6
- commit 41ba4ec
* Sun Mar 15 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-270-gd3dca69085e9
- commit 53d5f1b
* Sat Mar 14 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-241-g69a4d0baeeb1
- commit 3c4d13d
* Sat Mar 14 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-235-gfffb08b37df9
- commit f3451d3
* Fri Mar 13 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-204-g0d81a3f29c0a
- commit 84ac256
* Thu Mar 12 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-53-g3cc6e2c599cd
- commit caed824
* Thu Mar 12 2020 tiwai@suse.de
- Update config files: disable CONFIG_OABI_COMPAT for 32bit Arm (bsc#1165462)
  It enables CONFIG_SECCOMP_FILTER.
- commit 5c2830d
* Thu Mar 12 2020 tiwai@suse.de
- Update config files: enable CONFIG_EROFS_FS_ZIP=y
  Requested for supporting EROFS compressed files:
  https://lists.opensuse.org/opensuse-kernel/2020-02/msg00007.html
- commit 67b39a1
* Thu Mar 12 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-49-ge6e6ec48dd0f
- commit 25a7bf6
* Wed Mar 11 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-29-ge3a36eb6dfae
- commit d70a693
* Wed Mar 11 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-28-gf35111a94654
- commit 2fa8fd1
* Tue Mar 10 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5-13-g30bb5572ce7a
- commit f5b77b0
* Mon Mar  9 2020 jeyu@suse.de
- rpm/kabi.pl: account for namespace field being moved last
  Upstream is moving the namespace field in Module.symvers last in order to
  preserve backwards compatibility with kmod tools (depmod, etc). Fix the kabi.pl
  script to expect the namespace field last. Since split() ignores trailing empty
  fields and delimeters, switch to using tr to count how many fields/tabs are in
  a line. Also, in load_symvers(), pass LIMIT of -1 to split() so it does not
  strip trailing empty fields, as namespace is an optional field.
- commit a3bb253
* Mon Mar  9 2020 mkubecek@suse.cz
- Update to 5.6-rc5
- new config options:
  - BACKLIGHT_LED=m
- commit c46c4c1
* Mon Mar  9 2020 kbuild@suse.de
- Automatically updated to 5.6-rc5
- commit b7cd301
* Sun Mar  8 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-305-g378fee2e6b12
- commit 3fc4e94
* Sun Mar  8 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-268-g61a09258f2e5
- commit 363706b
* Sat Mar  7 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-245-g6f784a3179dc
- commit ff5a482
* Sat Mar  7 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-193-g63849c8f4107
- commit df3cbb5
* Fri Mar  6 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-135-gaeb542a1b5c5
- commit 7b7265c
* Thu Mar  5 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-78-g9f65ed5fe41c
- commit dea567f
* Thu Mar  5 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-56-g776e49e8ddb5
- commit cbc00e4
* Wed Mar  4 2020 jeffm@suse.com
- config: re-enable NLS_ISO8859_1 for kvmsmall
  The EFI partition wants NLS_ISO8859_1 and will fail to mount without it.
- commit 9aa72b3
* Wed Mar  4 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4-43-g8b614cb8f1dc
- commit bc232f0
* Mon Mar  2 2020 mkubecek@suse.cz
- Update to 5.6-rc4
- eliminated 3 patches
- new config options:
  - KVM_WERROR=n (x86)
- commit 44b56b5
* Mon Mar  2 2020 kbuild@suse.de
- Automatically updated to 5.6-rc4
- commit 4d40c90
* Sun Mar  1 2020 msuchanek@suse.de
- Update config files.
- commit 36cf243
* Sun Mar  1 2020 msuchanek@suse.de
- Update config files.
- commit 3053318
* Sun Mar  1 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-225-gfb279f4e2386
- commit 09ea2e6
* Sat Feb 29 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-221-g7557c1b3f715
- commit 7b14a69
* Sat Feb 29 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-216-g29795de0d242
- commit fec29db
* Fri Feb 28 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-195-gc60c04021353
- commit 5b8afb1
* Fri Feb 28 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-180-g45d0b75b98bf
- commit 2c21486
* Fri Feb 28 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-165-g7058b837899f
- commit e36bd05
* Thu Feb 27 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-71-gbfdc6d91a25f
- commit f823498
* Wed Feb 26 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-69-g91ad64a84e9e
- commit d544719
* Wed Feb 26 2020 msuchanek@suse.de
- rpm/package-descriptions: garbege collection
  remove old ARM and Xen flavors.
- commit bda0360
* Wed Feb 26 2020 mhocko@suse.com
- Created new preempt kernel flavor (jsc#SLE-11309)
  Configs are cloned from the respective $arch/default configs. All
  changed configs appart from CONFIG_PREEMPT->y are a result of
  dependencies, namely many lock/unlock primitives are no longer
  inlined in the preempt kernel. TREE_RCU has been also changed to
  PREEMPT_RCU which is the default implementation for PREEMPT kernel.
- commit f994874
* Tue Feb 25 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-42-gc5f86891185c
- commit 228beb1
* Tue Feb 25 2020 meissner@suse.de
- sign also s390x kernel images (bsc#1163524)
- commit b38b611
* Tue Feb 25 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3-26-g63623fd44972
- commit ab95015
* Mon Feb 24 2020 msuchanek@suse.de
- Enable CONFIG_BLK_DEV_SR_VENDOR (boo#1164632).
- commit 7850b22
* Mon Feb 24 2020 kbuild@suse.de
- Automatically updated to 5.6-rc3
- commit 3b17517
* Sun Feb 23 2020 kbuild@suse.de
- Automatically updated to 5.6-rc2-422-gd2eee25858f2
- commit e5822b5
* Sun Feb 23 2020 kbuild@suse.de
- Automatically updated to 5.6-rc2-380-gdca132a60f22
- commit 99eadcc
* Sat Feb 22 2020 kbuild@suse.de
- Automatically updated to 5.6-rc2-331-g54dedb5b571d
- commit 10e7bdc
* Fri Feb 21 2020 mkubecek@suse.cz
- config: fix config options added with 5.5-rc1
  Due to a mistake on my side, some config options introduced in 5.5-rc1 got
  different values than the commit message claimed (and, more important, than
  intended). Thanks to Jean Delvare for catching this.
- restored config option values:
  - BACKLIGHT_QCOM_WLED=m
  - BYTCRC_PMIC_OPREGION=y
  - CAIF_DRIVERS=y
  - CHTCRC_PMIC_OPREGION=y
  - CRYPTO_BLAKE2S=m
  - CRYPTO_CURVE25519=m
  - CRYPTO_DEV_AMLOGIC_GXL=m
  - DP83869_PHY=m
  - DRM_AMD_DC_HDCP=y
  - NET_DSA_MSCC_FELIX=m
  - NET_DSA_TAG_OCELOT=m
  - NFC_PN532_UART=m
  - PINCTRL_EQUILIBRIUM=m
  - PINCTRL_TIGERLAKE=m
  - PTP_1588_CLOCK_IDTCM=m
  - SENSORS_BEL_PFE=m
  - SENSORS_LTC2947_I2C=m
  - SENSORS_LTC2947_SPI=m
  - SENSORS_TMP513=m
  - SF_PDMA=m
  - SYSTEM76_ACPI=m
  - TCG_TIS_SPI_CR50=y
  - TYPEC_HD3SS3220=m
  - VIDEO_HI556=m
  - VIDEO_IMX290=m
  - W1_SLAVE_DS2430=m
  - WFX=m
- new config options visible after the changes above:
  - CAIF_TTY=m
  - CAIF_SPI_SLAVE=m
  - CAIF_SPI_SYNC=n
  - CAIF_HSI=m
  - CAIF_VIRTIO=m
  - CRYPTO_DEV_AMLOGIC_GXL_DEBUG=n
- commit 552fa59
* Fri Feb 21 2020 jslaby@suse.cz
- Update config files (bnc#1163396).
  Disable CONFIG_RESET_ATTACK_MITIGATION as we don't have the userspace
  part and it causes problems during reboot. The config description
  states:
  This should only be enabled when userland is configured to clear the
  MemoryOverwriteRequest flag on clean shutdown after secrets have been
  evicted, since otherwise it will trigger even on clean reboots.
- commit cf47ace
* Fri Feb 21 2020 jslaby@suse.cz
- Refresh patches.rpmify/Add-ksym-provides-tool.patch.
  Do:
  git checkout origin/master patches.rpmify/Add-ksym-provides-tool.patch
- commit f847153
* Thu Feb 20 2020 kbuild@suse.de
- Automatically updated to 5.6-rc2-55-gca7e1fd1026c
- commit 3eab7ca
* Wed Feb 19 2020 msuchanek@suse.de
- Refresh patches.rpmify/Add-ksym-provides-tool.patch.
- commit 7a73abc
* Wed Feb 19 2020 kbuild@suse.de
- Automatically updated to 5.6-rc2-17-g0a44cac81050
- commit 32a1ad5
* Wed Feb 19 2020 jslaby@suse.cz
- Update config files (bnc#1161832).
  Disable CONFIG_MODULE_SIG on i386. We don't run pesign on i386 builds,
  hence the modules are not signed at all. This results in module
  verification failures and warnings.
  CONFIG_SECURITY_LOCKDOWN_LSM depends on (selects) CONFIG_MODULE_SIG, so
  we have to disable it too. But it makes no sense to lockdown without
  module signature anyway.
- commit e91686e
* Tue Feb 18 2020 kbuild@suse.de
- Automatically updated to 5.6-rc2-8-gb1da3acc781c
- commit 2d16f9f
* Mon Feb 17 2020 kbuild@suse.de
- Automatically updated to 5.6-rc2
- commit a639bd2
* Sun Feb 16 2020 mkubecek@suse.cz
- Update to 5.6-rc2
- refresh configs (drop LIBXBC)
- commit 51803de
* Sun Feb 16 2020 kbuild@suse.de
- Automatically updated to 5.6-rc1-322-gdb70e26e33ee
- commit e6ad336
* Sat Feb 15 2020 kbuild@suse.de
- Automatically updated to 5.6-rc1-186-g2019fc96af22
- commit c466a98
* Fri Feb 14 2020 kbuild@suse.de
- Automatically updated to 5.6-rc1-44-gb19e8c684703
- commit 7a49fd8
* Thu Feb 13 2020 tiwai@suse.de
- Update config files: enable CONFIG_FW_CFG_SYSFS for arm64 (bsc#1163521)
- commit 84318f8
* Thu Feb 13 2020 kbuild@suse.de
- Automatically updated to 5.6-rc1-23-g0bf999f9c5e7
- commit 5faf52b
* Wed Feb 12 2020 kbuild@suse.de
- Automatically updated to 5.6-rc1-19-g359c92c02bfa
- commit f0a0e38
* Wed Feb 12 2020 jdelvare@suse.de
- Update config files: CONFIG_NVME_HWMON=y
  When the config files were updated for kernel v5.5, the commit
  message claimed CONFIG_NVME_HWMON was to be enabled, however the
  configuration files themselves had the option disabled. We definitely
  want hardware monitoring enabled on NVME devices, so fix the
  configuration files to match the original intent.
- commit 2af25da
* Tue Feb 11 2020 afaerber@suse.com
- config: armv7hl: Update to 5.6-rc1
- commit 3295de2
* Tue Feb 11 2020 afaerber@suse.com
- config: armv6hl: Update to 5.6-rc1
- commit c95104d
* Tue Feb 11 2020 afaerber@suse.com
- config: arm64: Update to 5.6-rc1
- commit de36f7c
* Tue Feb 11 2020 kbuild@suse.de
- Automatically updated to 5.6-rc1-5-g0a679e13ea30
- commit 3e7385f
* Mon Feb 10 2020 kbuild@suse.de
- Automatically updated to 5.6-rc1
- commit 233b465
* Mon Feb 10 2020 mkubecek@suse.cz
- Update to 5.6-rc1
- eliminated 95 patches (70 stable, 25 other)
- disable ARM architectures (need config update)
- refresh
  - patches.rpmify/Add-ksym-provides-tool.patch
  - patches.suse/acpi_thermal_passive_blacklist.patch
- new config options :
  - General setup
  - TIME_NS=y
  - BOOT_CONFIG=y
  - Firmware Drivers
  - EFI_DISABLE_PCI_DMA=n
  - Networking core
  - INET_ESPINTCP=y
  - MPTCP=y
  - MPTCP_IPV6=y
  - MPTCP_HMAC_TEST=n
  - NET_DSA_TAG_AR9331=m
  - NET_SCH_FQ_PIE=m
  - NET_SCH_ETS=m
  - VSOCKETS_LOOPBACK=m
  - ETHTOOL_NETLINK=y
  - WIREGUARD=m
  - WIREGUARD_DEBUG=n
  - File systems
  - ZONEFS_FS=m
  - VBOXSF_FS=m
  - NFS_DISABLE_UDP_SUPPORT=n
  - NFSD_V4_2_INTER_SSC=y
  - Security options
  - SECURITY_SELINUX_SIDTAB_HASH_BITS=9
  - SECURITY_SELINUX_SID2STR_CACHE_SIZE=256
  - TEE=m
  - AMDTEE=m
  - Kernel hacking
  - PTDUMP_DEBUGFS=n
  - BOOTTIME_TRACING=y
  - SYNTH_EVENT_GEN_TEST=n
  - KPROBE_EVENT_GEN_TEST=n
  - Networking drivers
  - NET_DSA_AR9331=m
  - NET_DSA_VITESSE_VSC73XX_SPI=m
  - NET_DSA_VITESSE_VSC73XX_PLATFORM=m
  - PHY_INTEL_EMMC=m
  - Hardware Monitoring support
  - SENSORS_ADM1177=m
  - SENSORS_DRIVETEMP=m
  - SENSORS_MAX31730=m
  - SENSORS_MAX20730=m
  - SENSORS_XDPE122=m
  - Sound
  - SND_CTL_VALIDATION=n
  - SND_SOC_INTEL_USER_FRIENDLY_LONG_NAMES=n
  - SND_SOC_INTEL_BDW_RT5650_MACH=m
  - SND_SOC_INTEL_SOF_DA7219_MAX98373_MACH=m
  - SND_SOC_RT1308_SDW=n
  - SND_SOC_RT700_SDW=n
  - SND_SOC_RT711_SDW=n
  - SND_SOC_RT715_SDW=n
  - SND_SOC_WSA881X=n
  - SND_SOC_MT6660=n
  - Graphics
  - DRM_PANEL_BOE_HIMAX8279D=n
  - DRM_PANEL_LEADTEK_LTK500HD1829=n
  - DRM_PANEL_SONY_ACX424AKP=n
  - DRM_PANEL_XINPENG_XPP055C272=n
  - DRM_LVDS_CODEC=m
  - DRM_ANALOGIX_ANX6345=n
  - Industrial I/O support
  - BMA400=n
  - AD7091R5=n
  - LTC2496=n
  - DLHL60D=n
  - PING=n
  - USB
  - USB4_NET=m
  - USB4=m
  - Misc drivers
  - SERIAL_8250_16550A_VARIANTS=n
  - PINCTRL_LYNXPOINT=m
  - INTEL_IDXD=m
  - PLX_DMA=m
  - QCOM_CPR=m
  - REGULATOR_MP8859=m
  - MFD_ROHM_BD71828=n
  - MEDIA_CEC_RC=y
  - NVMEM_SPMI_SDAM=m
  - DMABUF_HEAPS=n
  - RESET_BRCMSTB_RESCAL=n
  - INTEL_IOMMU_SCALABLE_MODE_DEFAULT_ON=n
  - GPIO_SIFIVE=n
  - x86
  - INTEL_UNCORE_FREQ_CONTROL=m
  - i386
  - PCIE_INTEL_GW=n
  - CPU_FREQ_THERMAL=y
  - CPU_IDLE_THERMAL=y
  - MICROCHIP_PIT64B=y
  - RESET_INTEL_GW=n
  - powerpc
  - STRICT_KERNEL_RWX=y
  - CPU_FREQ_THERMAL=y
  - MICROCHIP_PIT64B=y
  - RESET_INTEL_GW=n
  - DEBUG_RODATA_TEST=n
  - QUICC_ENGINE=y
  - QE_GPIO=y
  - FSL_PQ_MDIO=m
  - FSL_XGMAC_MDIO=m
  - GIANFAR=m
  - SERIAL_QE=m
  - PTP_1588_CLOCK_QORIQ=m
  - USB_FHCI_HCD=m
  - FHCI_DEBUG=n
  - s390x
  - ZLIB_DFLTCC=y
  - KPROBE_EVENTS_ON_NOTRACE=n
- commit f9b57e6
* Sun Feb  9 2020 kbuild@suse.de
- Automatically updated to 5.5-11386-gfdfa3a6778b1
- commit d43bf06
* Sat Feb  8 2020 kbuild@suse.de
- Automatically updated to 5.5-10248-gf757165705e9
- commit 4f8452a
* Fri Feb  7 2020 kbuild@suse.de
- Automatically updated to 5.5-9824-g90568ecf5615
- commit 5d7bcf7
* Thu Feb  6 2020 chrubis@suse.cz
- rpm/kernel-binary.spec.in: Replace Novell with SUSE
- commit 8719d69
* Thu Feb  6 2020 kbuild@suse.de
- Automatically updated to 5.5-9711-g5b21115414f5
- commit db6a6ec
* Wed Feb  5 2020 kbuild@suse.de
- Automatically updated to 5.5-9402-g6992ca0dd017
- commit 9f2d41f
* Tue Feb  4 2020 kbuild@suse.de
- Automatically updated to 5.5-9168-ga45ad71e8995
- commit 3b39b38
* Mon Feb  3 2020 kbuild@suse.de
- Automatically updated to 5.5-8726-g46d6b7becb1d
- commit 54286ee
* Sun Feb  2 2020 kbuild@suse.de
- Automatically updated to 5.5-8690-g94f2630b1897
- commit 35140cb
* Sat Feb  1 2020 kbuild@suse.de
- Automatically updated to 5.5-8607-g26dca6dbd62d
- commit 0571a49
* Fri Jan 31 2020 kbuild@suse.de
- Automatically updated to 5.5-7763-gccaaaf6fe5a5
- commit 2902c20
* Fri Jan 31 2020 yousaf.kaukab@suse.com
- config: armv7lpae: Update to 5.5
- commit 62aa8dd
* Fri Jan 31 2020 yousaf.kaukab@suse.com
- config: armv7hl: Update to 5.5
- commit 61da310
* Fri Jan 31 2020 yousaf.kaukab@suse.com
- config: armv6hl: Update to 5.5
- commit 4c68e19
* Thu Jan 30 2020 kbuild@suse.de
- Automatically updated to 5.5-5398-g39bed42de2e7
- commit c0b1911
* Wed Jan 29 2020 kbuild@suse.de
- Automatically updated to 5.5-3996-gb3a608222336
- commit 9f28b08
* Tue Jan 28 2020 kbuild@suse.de
- Automatically updated to 5.5-849-gb0be0eff1a5a
- commit b554c29
* Mon Jan 27 2020 kbuild@suse.de
- Automatically updated to 5.5
- commit a421bb3
* Mon Jan 27 2020 jeyu@suse.de
- rpm/kabi.pl: support new (>=5.4) Module.symvers format (new symbol namespace field)
- commit eecbd97
* Mon Jan 27 2020 mkubecek@suse.cz
- Update to 5.5 final
- refresh configs
- commit 65a8a48
* Sun Jan 26 2020 kbuild@suse.de
- Automatically updated to 5.5-rc7-211-g2821e26f3a0a
- commit 1b0df7b
* Sat Jan 25 2020 kbuild@suse.de
- Automatically updated to 5.5-rc7-77-gd5d359b0ac3f
- commit 209058e
* Fri Jan 24 2020 kbuild@suse.de
- Automatically updated to 5.5-rc7-39-g4703d9119972
- commit 2fe06d4
* Fri Jan 24 2020 mkubecek@suse.cz
- config: refresh
  Only update headers.
- commit b854979
* Thu Jan 23 2020 kbuild@suse.de
- Automatically updated to 5.5-rc7-16-g131701c697e8
- commit 8584202
* Wed Jan 22 2020 afaerber@suse.com
- config: arm64: Update to 5.5-rc7
- commit bbf3353
* Tue Jan 21 2020 tiwai@suse.de
- Update config files: Update config files: adjust Intel ASoC audio items (bsc#1161463)
  Adjust the Kconfigs for Intel ASoC SOF/SST drivers more appropriately.
  Disable unrecommended items:
  CONFIG_SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC=n
  CONFIG_SND_SST_ATOM_HIFI2_PLATFORM_PCI=n
  CONFIG_SND_SOC_SOF_MERRIFIELD_SUPPORT=n
  CONFIG_SND_SOC_INTEL_BYT_CHT_NOCODEC_MACH=n
  Enable the other ones:
  CONFIG_SND_SOC_INTEL_SKL_RT286_MACH=m
  CONFIG_SND_SOC_INTEL_SKL_NAU88L25_SSM4567_MACH=m
  CONFIG_SND_SOC_INTEL_SKL_NAU88L25_MAX98357A_MACH=m
  CONFIG_SND_SOC_INTEL_BXT_DA7219_MAX98357A_MACH=m
  CONFIG_SND_SOC_INTEL_BXT_RT298_MACH=m
  CONFIG_SND_SOC_INTEL_GLK_DA7219_MAX98357A_MACH=m
  CONFIG_SND_SOC_INTEL_SOF_CML_RT1011_RT5682_MACH=m
- commit dc3a479
* Tue Jan 21 2020 kbuild@suse.de
- Automatically updated to 5.5-rc7-2-gd96d875ef5dd
- commit bde29ea
* Mon Jan 20 2020 msuchanek@suse.de
- kernel-binary.spec.in: do not recommend firmware for kvmsmall and azure
  flavor (boo#1161360).
- commit dbe7b27
* Mon Jan 20 2020 msuchanek@suse.de
- config/x86_64/kvmsmall: Enable UINPUT (boo#1161305).
- commit d7cc336
* Mon Jan 20 2020 kbuild@suse.de
- Automatically updated to 5.5-rc7
- commit a203ae7
* Sun Jan 19 2020 kbuild@suse.de
- Automatically updated to 5.5-rc6-249-g8f8972a3127f
- commit 8e98dd3
* Sat Jan 18 2020 kbuild@suse.de
- Automatically updated to 5.5-rc6-158-g25e73aadf297
- commit 4dcff4f
* Fri Jan 17 2020 kbuild@suse.de
- Automatically updated to 5.5-rc6-115-g575966e08027
- commit ae8b953
* Thu Jan 16 2020 kbuild@suse.de
- Automatically updated to 5.5-rc6-48-gf5ae2ea6347a
- commit 101978a
* Wed Jan 15 2020 kbuild@suse.de
- Automatically updated to 5.5-rc6-31-g95e20af9fb9c
- commit 1bc5ec0
* Tue Jan 14 2020 tiwai@suse.de
- Update config files: enable forgotten configs for SOF (bsc#1160819)
  The configs have been forgotten to be enabled:
  CONFIG_SND_SOC_SOF_HDA_COMMON_HDMI_CODEC=y
  CONFIG_SND_SOC_SOF_JASPERLAKE_SUPPORT=y
  CONFIG_SND_SOC_SOF_JASPERLAKE=m
- commit a8fd8cd
* Mon Jan 13 2020 kbuild@suse.de
- Automatically updated to 5.5-rc6
- commit c17a080
* Sun Jan 12 2020 kbuild@suse.de
- Automatically updated to 5.5-rc5-271-g6327edceb62b
- commit 19ebf39
* Sat Jan 11 2020 kbuild@suse.de
- Automatically updated to 5.5-rc5-257-gac61145a725a
- commit 2f15be9
* Fri Jan 10 2020 kbuild@suse.de
- Automatically updated to 5.5-rc5-174-gbef1d88263ff
- commit feb659d
* Thu Jan  9 2020 kbuild@suse.de
- Automatically updated to 5.5-rc5-41-gb07f636fca1c
- commit f488fe3
* Wed Jan  8 2020 tiwai@suse.de
- rpm/kernel-docs.spec.in: pass PYTHON=python3 to fix build error (bsc#1160435)
- commit 09d6cb6
* Wed Jan  8 2020 mkubecek@suse.cz
- config: fix pstore default compression options on 32-bit ARM
  Previous commit did not update arvm7hl and armv6hl configs properly and
  run_oldconfig.sh did not catch it as these architectures are disabled at
  the moment.
- commit aa00533
* Tue Jan  7 2020 msuchanek@suse.de
- Make lzo the default pstore compression method (bsc#1159986).
  Pstore has compression enabled, pstore is built-in, pstore default
  compression is deflate, deflate is modular -> pstore initialization
  fails on boot. Switch default compression to lzo which is built-in and
  the only built-in method on SLE15.
- commit 142e2b8
* Tue Jan  7 2020 kbuild@suse.de
- Automatically updated to 5.5-rc5-39-gae6088216ce4
- commit f642050
* Mon Jan  6 2020 kbuild@suse.de
- Automatically updated to 5.5-rc5
- commit 94293fe
* Sun Jan  5 2020 kbuild@suse.de
- Automatically updated to 5.5-rc4-167-g36487907f341
- commit 1047e94
* Sat Jan  4 2020 kbuild@suse.de
- Automatically updated to 5.5-rc4-124-g3a562aee727a
- commit bee019b
* Fri Jan  3 2020 kbuild@suse.de
- Automatically updated to 5.5-rc4-79-g7ca4ad5ba886
- commit 70ae063
* Fri Jan  3 2020 jslaby@suse.cz
- Update config files.
  Turn off CONFIG_HARDENED_USERCOPY as it causes issues on s390
  (bnc#1156053). Until this gets resolved upstream...
- commit 75270d5
* Wed Jan  1 2020 kbuild@suse.de
- Automatically updated to 5.5-rc4-66-g738d2902773e
- commit 48d8b7a
* Mon Dec 30 2019 kbuild@suse.de
- Automatically updated to 5.5-rc4
- commit e5c81c1
* Sun Dec 29 2019 mkubecek@suse.cz
- config: refresh
  Refresh with a new gcc version.
- commit 07c4d55
* Sat Dec 28 2019 mbrugger@suse.com
- arm64: Add Allwinner crypto modules to config
  Enabel SUN4I and SUN8I based HW crypto blocks.
- commit a7d3577
* Sat Dec 28 2019 kbuild@suse.de
- Automatically updated to 5.5-rc3-62-gbf8d1cd43865
- commit b397f7f
* Mon Dec 23 2019 kbuild@suse.de
- Automatically updated to 5.5-rc3
- commit 08c7c2f
* Mon Dec 23 2019 mkubecek@suse.cz
- Update to 5.5-rc3
- refresh configs
- commit 3131f3d
* Sun Dec 22 2019 kbuild@suse.de
- Automatically updated to 5.5-rc2-385-gb8e382a185eb
- commit 5ac014d
* Sat Dec 21 2019 kbuild@suse.de
- Automatically updated to 5.5-rc2-314-gf1fd1610cbb6
- commit fbf95e8
* Fri Dec 20 2019 kbuild@suse.de
- Automatically updated to 5.5-rc2-205-g7e0165b2f1a9
- commit f01a589
* Thu Dec 19 2019 mkubecek@suse.cz
- rpm/kernel-subpackage-spec: fix kernel-default-base build
  There were some issues with recent changes to subpackage dependencies handling:
- a typo in %%kernel_base_conflicts macro name
- copy/pasted "Recommends:" instead of "Provides:", "Obsoletes:" and
  "Conflicts:
- missing escaping of backslashes in macro expansions
  Fixes: f3b74b0ae86b ("rpm/kernel-subpackage-spec: Unify dependency handling.")
  Fixes: 3fd22e219f77 ("rpm/kernel-subpackage-spec: Fix empty Recommends tag (bsc#1143959)")
- commit 762fd66
* Thu Dec 19 2019 kbuild@suse.de
- Automatically updated to 5.5-rc2-195-g4a94c4332334
- commit cf7d91b
* Wed Dec 18 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: Unify dependency handling.
- commit f3b74b0
* Wed Dec 18 2019 kbuild@suse.de
- Automatically updated to 5.5-rc2-157-g2187f215ebaa
- commit 9a3e793
* Tue Dec 17 2019 kbuild@suse.de
- Automatically updated to 5.5-rc2-56-gea200dec5128
- commit b19f8e0
* Mon Dec 16 2019 tiwai@suse.de
- rpm/kernel-subpackage-spec: Fix empty Recommends tag (bsc#1143959)
- commit 3fd22e2
* Mon Dec 16 2019 kbuild@suse.de
- Automatically updated to 5.5-rc2
- commit caecee5
* Mon Dec 16 2019 mkubecek@suse.cz
- Update to 5.5-rc2
- update configs
  - CRYPTO_BLAKE2B=m
- commit 124da7a
* Sun Dec 15 2019 kbuild@suse.de
- Automatically updated to 5.5-rc1-287-g510c9788991c
- commit 5d49816
* Sat Dec 14 2019 kbuild@suse.de
- Automatically updated to 5.5-rc1-175-ge31736d9fae8
- commit a80bfa0
* Fri Dec 13 2019 kbuild@suse.de
- Automatically updated to 5.5-rc1-33-g37d4e84f765b
- commit 0216160
* Thu Dec 12 2019 kbuild@suse.de
- Automatically updated to 5.5-rc1-27-gae4b064e2a61
- commit 1d8a9e0
* Tue Dec 10 2019 kbuild@suse.de
- Automatically updated to 5.5-rc1-12-g6794862a16ef
- commit 6befd04
* Mon Dec  9 2019 kbuild@suse.de
- Automatically updated to 5.5-rc1
- commit 7fea10c
* Mon Dec  9 2019 mkubecek@suse.cz
- Update to 5.5-rc1
- eliminated 175 patches (114 stable, 61 other)
- ARM configs need update
- refresh
  patches.suse/0001-usb-Add-Xen-pvUSB-protocol-description.patch
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  patches.suse/linux-log2-h-add-roundup-rounddown_pow_two64-family-of-functions.patch
  patches.suse/setuid-dumpable-wrongdir
  patches.suse/supported-flag
  patches.suse/supported-flag-external
- new config options:
  - Processor type and features
  - X86_IOPL_IOPERM=y
  - X86_UMIP=y
  - Power management
  - BYTCRC_PMIC_OPREGION=y
  - CHTCRC_PMIC_OPREGION=y
  - Networking
  - TLS_TOE=n
  - TIPC_CRYPTO=y
  - NET_DSA_TAG_OCELOT=m
  - NFC_PN532_UART=m
  - Cryptographic API
  - CRYPTO_CURVE25519=m
  - CRYPTO_CURVE25519_X86=m
  - CRYPTO_BLAKE2B=m
  - CRYPTO_BLAKE2S=m
  - CRYPTO_BLAKE2S_X86=m
  - CRYPTO_LIB_BLAKE2S=m
  - CRYPTO_LIB_CHACHA=m
  - CRYPTO_LIB_CURVE25519=m
  - CRYPTO_LIB_POLY1305=m
  - CRYPTO_LIB_CHACHA20POLY1305=m
  - CRYPTO_DEV_AMLOGIC_GXL=m
  - Kernel hacking
  - SYMBOLIC_ERRNAME=y
  - TRACE_EVENT_INJECT=n
  - KUNIT=n
  - Kernel Testing and Coverage
  - HYPERV_TESTING=n
  - Networking drivers
  - CAIF_DRIVERS=y
  - NET_DSA_MSCC_FELIX=m
  - DP83869_PHY=m
  - Hardware Monitoring
  - SENSORS_LTC2947_I2C=m
  - SENSORS_LTC2947_SPI=m
  - SENSORS_BEL_PFE=m
  - SENSORS_TMP513=m
  - Multimedia
  - VIDEO_HI556=m
  - VIDEO_IMX290=m
  - Graphics
  - DRM_DEBUG_DP_MST_TOPOLOGY_REFS=n
  - DRM_AMD_DC_HDCP=y
  - DRM_I915_HEARTBEAT_INTERVAL=2500
  - DRM_I915_PREEMPT_TIMEOUT=640
  - DRM_I915_SPIN_REQUEST=5
  - DRM_I915_STOP_TIMEOUT=100
  - DRM_I915_TIMESLICE_DURATION=1
  - BACKLIGHT_QCOM_WLED=m
  - FB_TFT=n
  - Sound
  - SND_SOC_INTEL_GLK_DA7219_MAX98357A_MACH=m
  - SND_SOC_INTEL_SOF_CML_RT1011_RT5682_MACH=m
  - SND_SOC_SOF_DEVELOPER_SUPPORT=n
  - SND_SOC_SOF_JASPERLAKE_SUPPORT=y
  - SND_SOC_SOF_HDA_COMMON_HDMI_CODEC=y
  - SND_SOC_ADAU7118_HW=n
  - SND_SOC_ADAU7118_I2C=n
  - SND_SOC_TAS2562=n
  - SND_SOC_TAS2770=n
  - USB
  - TYPEC_HD3SS3220=m
  - Industrial I/O
  - AD7292=n
  - FXOS8700_I2C=n
  - FXOS8700_SPI=n
  - ADUX1020=n
  - VEML6030=n
  - LTC2983=n
  - Misc drivers
  - EFI_SOFT_RESERVE=y
  - FW_CACHE=y
  - TCG_TIS_SPI_CR50=y
  - PTP_1588_CLOCK_IDTCM=m
  - PINCTRL_TIGERLAKE=m
  - PINCTRL_EQUILIBRIUM=m
  - W1_SLAVE_DS2430=m
  - SF_PDMA=m
  - NVME_HWMON=y
  - WFX=m
  - SYSTEM76_ACPI=m
  - CROS_EC_SENSORHUB=m
  - DEV_DAX_HMEM=m
  - ppc64(le):
  - PPC_UV=n
  - */debug:
  - TRACE_EVENT_INJECT=y
  - x86_64/debug:
  - HYPERV_TESTING=y
- commit a5d00e2
* Sun Dec  8 2019 kbuild@suse.de
- Automatically updated to 5.4-13331-g9455d25f4e3b
- commit 2d8c92e
* Sat Dec  7 2019 kbuild@suse.de
- Automatically updated to 5.4-13177-geea2d5da29e3
- commit ee7fd40
* Fri Dec  6 2019 kbuild@suse.de
- Automatically updated to 5.4-12941-gb0d4beaa5a4b
- commit 3f68dda
* Thu Dec  5 2019 kbuild@suse.de
- Automatically updated to 5.4-11747-g2f13437b8917
- commit ef464e0
* Wed Dec  4 2019 kbuild@suse.de
- Automatically updated to 5.4-11681-g63de37476ebd
- commit 563746a
* Tue Dec  3 2019 mbrugger@suse.com
- arm64: Update config files.
  Bump CONFIG_NODES_SHIFT from 2 to 6
- commit f16437f
* Tue Dec  3 2019 tiwai@suse.de
- rpm/kernel-subpackage-spec: Exclude kernel-firmware recommends (bsc#1143959)
  For reducing the dependency on kernel-firmware in sub packages
- commit d950271
* Tue Dec  3 2019 kbuild@suse.de
- Automatically updated to 5.4-11180-g76bb8b05960c
- commit 25c73b2
* Mon Dec  2 2019 kbuild@suse.de
- Automatically updated to 5.4-10271-g596cf45cbf6e
- commit 4f8c553
* Sun Dec  1 2019 kbuild@suse.de
- Automatically updated to 5.4-9326-gb94ae8ad9fe7
- commit fc1abe1
* Fri Nov 29 2019 msuchanek@suse.de
- Update config files.
  ppc64 is lats architecture without PRINTK_TIME. Align with the rest.
- commit 76ba844
* Fri Nov 29 2019 kbuild@suse.de
- Automatically updated to 5.4-8836-g81b6b96475ac
- commit 202dde6
* Fri Nov 29 2019 ptesarik@suse.cz
- Update config files (bsc#1158055 LTC#182629).
- commit 95e78c1
* Thu Nov 28 2019 kbuild@suse.de
- Automatically updated to 5.4-8747-ga6ed68d6468b
- commit 264cc6d
* Wed Nov 27 2019 nsaenzjulienne@suse.de
- PCI: brcmstb: add Broadcom STB PCIe host controller driver
  (jsc#SLE-7772).
- supported.conf: Add pcie-brcmstb
- Update config files: build pcie-brcmstb as module
- commit 2f2f236
* Wed Nov 27 2019 kbuild@suse.de
- Automatically updated to 5.4-5280-g89d57dddd7d3
- commit 5980fde
* Tue Nov 26 2019 kbuild@suse.de
- Automatically updated to 5.4-3619-gbe2eca94d144
- commit bef14b1
* Mon Nov 25 2019 kbuild@suse.de
- Automatically updated to 5.4
- commit aedb75a
* Mon Nov 25 2019 jslaby@suse.cz
- arm64: use both ZONE_DMA and ZONE_DMA32 (jsc#SLE-7772).
- Update config files.
  Config options taken from commit 4f2941cd44a2.
- commit 949f71d
* Mon Nov 25 2019 mkubecek@suse.cz
- Update to 5.4 final
- refresh configs (only update headers)
- commit ae2d5ec
* Sun Nov 24 2019 mkubecek@suse.cz
- config: disable SECURITY_DMESG_RESTRICT (bsc#1157066)
  Enabling this option which restricts access to dmesg was not intentional
  and happened accidentally as part of a commit aiming to enable features
  which were enabled in SLE. We might restrict dmesg in the future if there
  is a consensus but for now the proper action is to revert this accidental
  change which only affected some architectures anyway.
- commit 48ac954
* Sun Nov 24 2019 kbuild@suse.de
- Automatically updated to 5.4-rc8-108-g6b8a79467876
- commit b9921b9
* Sat Nov 23 2019 kbuild@suse.de
- Automatically updated to 5.4-rc8-103-g2027cabe6afe
- commit ebf3b33
* Fri Nov 22 2019 kbuild@suse.de
- Automatically updated to 5.4-rc8-15-g81429eb8d9ca
- commit 14a95b4
* Wed Nov 20 2019 kbuild@suse.de
- Automatically updated to 5.4-rc8-2-gc74386d50fba
- commit 59ca11f
* Mon Nov 18 2019 kbuild@suse.de
- Automatically updated to 5.4-rc8
- commit 0eedb96
* Mon Nov 18 2019 mkubecek@suse.cz
- Update to 5.4-rc8
- refresh
  patches.suse/vfs-add-super_operations-get_inode_dev
- update configs
  - add X86_INTEL_TSX_MODE_OFF=y
  - drop VBOXSF_FS (driver dropped for now)
- commit b502560
* Sun Nov 17 2019 kbuild@suse.de
- Automatically updated to 5.4-rc7-218-g1d4c79ed324a
- commit f3dfbc0
* Sat Nov 16 2019 kbuild@suse.de
- Automatically updated to 5.4-rc7-128-g6c9594bdd474
- commit b29019b
* Fri Nov 15 2019 kbuild@suse.de
- Automatically updated to 5.4-rc7-68-g96b95eff4a59
- commit f74b512
* Thu Nov 14 2019 kbuild@suse.de
- Automatically updated to 5.4-rc7-58-gbf9294798930
- commit 55cbdbd
* Thu Nov 14 2019 guillaume.gardet@arm.com
- arm64: Enable CONFIG_IR_GPIO_CIR (boo#1156748)
- commit 9444ed8
* Thu Nov 14 2019 mbrugger@suse.com
- arm64: Update config files.
  Enable HW_RANDOM_OMAP used by machiattobin (bsc#1156466).
- commit 4c47dca
* Wed Nov 13 2019 kbuild@suse.de
- Automatically updated to 5.4-rc7-49-g0e3f1ad80fc8
- commit 92e5ab1
* Tue Nov 12 2019 kbuild@suse.de
- Automatically updated to 5.4-rc7-6-gde620fb99ef2
- commit d686ef8
* Mon Nov 11 2019 kbuild@suse.de
- Automatically updated to 5.4-rc7
- commit 982585e
* Mon Nov 11 2019 mkubecek@suse.cz
- Update to 5.4-rc7
- eliminated 1 patch
- new config option
  - VBOXSF_FS=m (x86 only)
- commit 87c5dfd
* Sun Nov 10 2019 kbuild@suse.de
- Automatically updated to 5.4-rc6-249-g00aff6836241
- commit d8b741f
* Sat Nov  9 2019 kbuild@suse.de
- Automatically updated to 5.4-rc6-237-g0058b0a506e4
- commit 5b73ce4
* Fri Nov  8 2019 kbuild@suse.de
- Automatically updated to 5.4-rc6-29-g847120f859cc
- commit 396a828
* Thu Nov  7 2019 kbuild@suse.de
- Automatically updated to 5.4-rc6-26-g4dd58158254c
- commit f368378
* Wed Nov  6 2019 tiwai@suse.de
- rpm/kernel-source.spec.in: Fix dependency of kernel-devel (bsc#1154043)
- commit ceb9273
* Wed Nov  6 2019 kbuild@suse.de
- Automatically updated to 5.4-rc6-8-g26bc67213424
- commit 6c7b41b
* Wed Nov  6 2019 afaerber@suse.com
- config: armv7hl: Update to 5.4-rc6
- commit 1c2717b
* Wed Nov  6 2019 jslaby@suse.cz
- rpm/kernel-binary.spec.in: add COMPRESS_VMLINUX (bnc#1155921)
  Let COMPRESS_VMLINUX determine the compression used for vmlinux. By
  default (historically), it is gz.
- commit c8b2d9f
* Wed Nov  6 2019 mkubecek@suse.cz
- config: refresh armv6hl/vanilla
- commit b96ff57
* Tue Nov  5 2019 afaerber@suse.com
- config: armv6hl: Update to 5.4-rc6
- commit b69ea1c
* Tue Nov  5 2019 mbrugger@suse.com
- rpm/mkspec-dtb: add mt76 based dtb package
- commit 8ff92d0
* Mon Nov  4 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: Mention debuginfo in the subpackage
  description (bsc#1149119).
- commit 525ec92
* Mon Nov  4 2019 kbuild@suse.de
- Automatically updated to 5.4-rc6
- commit 7f88685
* Mon Nov  4 2019 mkubecek@suse.cz
- Update to 5.4-rc6
- eliminated 1 patch
- refresh configs
- commit 9d7d977
* Sun Nov  3 2019 kbuild@suse.de
- Automatically updated to 5.4-rc5-351-g56cfd2507d3e
- commit 41c67c9
* Sat Nov  2 2019 kbuild@suse.de
- Automatically updated to 5.4-rc5-325-g1204c70d9dcb
- commit 649f69c
* Thu Oct 31 2019 kbuild@suse.de
- Automatically updated to 5.4-rc5-49-ge472c64aa4fa
- commit cef3213
* Wed Oct 30 2019 kbuild@suse.de
- Automatically updated to 5.4-rc5-34-g23fdb198ae81
- commit b555e68
* Wed Oct 30 2019 mkubecek@suse.cz
- config: refresh also arm64/vanilla
- commit 659ccbd
* Wed Oct 30 2019 mkubecek@suse.cz
- config: refresh
- commit f65f57b
* Tue Oct 29 2019 afaerber@suse.de
- config: arm64: Update to 5.4-rc5
- commit a19c46f
* Tue Oct 29 2019 kbuild@suse.de
- Automatically updated to 5.4-rc5-19-g8005803a2ca0
- commit b88ea64
* Mon Oct 28 2019 kbuild@suse.de
- Automatically updated to 5.4-rc5
- commit 17fe391
* Sun Oct 27 2019 mkubecek@suse.cz
- Update to 4.5-rc5
- New config option:
  - SND_SOC_SOF_HDA_ALWAYS_ENABLE_DMI_L1=n (x86 only)
- commit 3bb4d33
* Sun Oct 27 2019 kbuild@suse.de
- Automatically updated to 5.4-rc4-268-g5a1e843c66fa
- commit 207bb46
* Sat Oct 26 2019 kbuild@suse.de
- Automatically updated to 5.4-rc4-215-g1c4e395cf7de
- commit cf42a5c
* Fri Oct 25 2019 kbuild@suse.de
- Automatically updated to 5.4-rc4-104-g39a38bcba4ab
- commit f84c10e
* Thu Oct 24 2019 kbuild@suse.de
- Automatically updated to 5.4-rc4-37-g13b86bc4cd64
- commit 450c755
* Wed Oct 23 2019 kbuild@suse.de
- Automatically updated to 5.4-rc4-18-g3b7c59a1950c
- commit 4a40292
* Tue Oct 22 2019 msuchanek@suse.de
- kernel-binary.spec.in: Fix build of non-modular kernels (boo#1154578).
- commit 7f1e881
* Mon Oct 21 2019 msuchanek@suse.de
- kernel-binary.spec.in: Obsolete kgraft packages only when not building
  them.
- commit 25f7690
* Mon Oct 21 2019 msuchanek@suse.de
- kernel-subpackage-build: create zero size ghost for uncompressed vmlinux
  (bsc#1154354).
  It is not strictly necessary to uncompress it so maybe the ghost file
  can be 0 size in this case.
- commit 4bf73c8
* Mon Oct 21 2019 kbuild@suse.de
- Automatically updated to 5.4-rc4
- commit 5d77537
* Sun Oct 20 2019 kbuild@suse.de
- Automatically updated to 5.4-rc3-362-g531e93d11470
- commit bb42578
* Sat Oct 19 2019 kbuild@suse.de
- Automatically updated to 5.4-rc3-172-gd418d070057c
- commit 1c5dab5
* Fri Oct 18 2019 kbuild@suse.de
- Automatically updated to 5.4-rc3-99-g0e2adab6cf28
- commit 74ca005
* Thu Oct 17 2019 kbuild@suse.de
- Automatically updated to 5.4-rc3-38-gbc88f85c6c09
- commit d716da0
* Wed Oct 16 2019 kbuild@suse.de
- Automatically updated to 5.4-rc3-37-g3b1f00aceb7a
- commit 4fbd61b
* Tue Oct 15 2019 jslaby@suse.cz
- Update config files.
  Disable CONFIG_RT_GROUP_SCHED again (bnc#950955 bnc#1153228).
- commit b410f27
* Tue Oct 15 2019 kbuild@suse.de
- Automatically updated to 5.4-rc3-18-g5bc52f64e884
- commit e994bdd
* Mon Oct 14 2019 kbuild@suse.de
- Automatically updated to 5.4-rc3
- commit c98fbc0
* Mon Oct 14 2019 mkubecek@suse.cz
- Update to 5.4-rc3
- Refresh configs
- commit 3184b54
* Sun Oct 13 2019 kbuild@suse.de
- Automatically updated to 5.4-rc2-378-gda94001239cc
- commit a9f3d14
* Sat Oct 12 2019 kbuild@suse.de
- Automatically updated to 5.4-rc2-169-g1c0cc5f1ae5e
- commit 2ff5969
* Fri Oct 11 2019 kbuild@suse.de
- Automatically updated to 5.4-rc2-104-g9e208aa06c21
- commit bfaf2b8
* Thu Oct 10 2019 kbuild@suse.de
- Automatically updated to 5.4-rc2-79-g8a8c600de5dc
- commit 5d5916a
* Wed Oct  9 2019 kbuild@suse.de
- Automatically updated to 5.4-rc2-38-ge3280b54afed
- commit 957c8ff
* Tue Oct  8 2019 kbuild@suse.de
- Automatically updated to 5.4-rc2-20-geda57a0e4299
- commit cc7941a
* Mon Oct  7 2019 kbuild@suse.de
- Automatically updated to 5.4-rc2
- commit 6de0105
* Sun Oct  6 2019 mkubecek@suse.cz
- Update to 5.4-rc2
- Eliminated 2 patches
- Refresh config/i386/default
- commit 4894ee8
* Sun Oct  6 2019 kbuild@suse.de
- Automatically updated to 5.4-rc1-274-g43b815c6a8e7
- commit aa41527
* Sat Oct  5 2019 kbuild@suse.de
- Automatically updated to 5.4-rc1-133-g4ea655343ce4
- commit 0998212
* Fri Oct  4 2019 kbuild@suse.de
- Automatically updated to 5.4-rc1-14-gcc3a7bfe62b9
- commit 1c38642
* Fri Oct  4 2019 vbabka@suse.cz
- config: enable DEBUG_PAGEALLOC (jsc#PM-1168, bsc#1144653)
  Build with page allocation debugging (boot with debug_pagealloc=on to enable).
- commit 79e5533
* Thu Oct  3 2019 kbuild@suse.de
- Automatically updated to 5.4-rc1-11-g0f1a7b3fac05
- commit c769554
* Tue Oct  1 2019 mkubecek@suse.cz
- config: refresh vanilla configs
  Configs for vanilla flavor also need a refresh.
- commit c89f7ba
* Tue Oct  1 2019 mkubecek@suse.cz
- config: enable X86_5LEVEL (jsc#SLE-9308)
  Enable 5-level page tables (x86_64 architecture only).
- commit 967420f
* Tue Oct  1 2019 mkubecek@suse.cz
- Update to 5.4-rc1
- Eliminated 23 patches (22 stable, 1 other)
- ARM configs need update
- Refresh
  patches.rpmify/scripts-mkmakefile-honor-second-argument.patch
  patches.suse/Revert-netfilter-conntrack-remove-helper-hook-again.patch
  patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  patches.suse/supported-flag
  patches.suse/supported-flag-external
  patches.suse/vfs-add-super_operations-get_inode_dev
- fix 32-bit builds:
  patches.rpmify/mlx5-avoid-64-bit-division-in-dr_icm_pool_mr_create.patch
- New config options:
  - General setup
  - UCLAMP_TASK_GROUP=n
  - MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS=n
  - Power management and ACPI options
  - CPU_IDLE_GOV_HALTPOLL=y
  - HALTPOLL_CPUIDLE=m
  - Block layer
  - BLK_CGROUP_IOCOST=y
  - DM_CLONE=m
  - DM_VERITY_VERIFY_ROOTHASH_SIG=n
  - Memory Management
  - READ_ONLY_THP_FOR_FS=y
  - Networking
  - NET_TC_SKB_EXT=y
  - CAN_J1939=m
  - CAN_KVASER_PCIEFD=m
  - CAN_M_CAN_PLATFORM=m
  - CAN_M_CAN_TCAN4X5X=m
  - CAN_F81601=m
  - NET_DSA_MICROCHIP_KSZ9477_I2C=m
  - NET_DSA_MICROCHIP_KSZ8795=m
  - NET_DSA_MICROCHIP_KSZ8795_SPI=m
  - NET_DSA_SJA1105_TAS=y
  - MLX5_SW_STEERING=y
  - NET_VENDOR_PENSANDO=y
  - IONIC=m
  - ADIN_PHY=m
  - ATH9K_PCI_NO_EEPROM=m
  - Power management
  - SENSORS_AS370=m
  - SENSORS_INSPUR_IPSPS=m
  - REGULATOR_SY8824X=m
  - Graphics
  - DRM_AMD_DC_DCN2_1=y
  - DRM_GM12U320=m
  - Sound
  - SND_HDA_INTEL_DETECT_DMIC=y
  - SND_SOC_INTEL_CML_LP_DA7219_MAX98357A_MACH=m
  - SND_SOC_SOF_TIGERLAKE_SUPPORT=y
  - SND_SOC_SOF_ELKHARTLAKE_SUPPORT=y
  - SND_SOC_UDA1334=n
  - SND_SOC_SOF_OF=m
  - USB
  - USB_CONN_GPIO=m
  - USB_CDNS3=m
  - USB_CDNS3_HOST=y
  - USB_CDNS3_PCI_WRAP=m
  - Platform support
  - CROS_EC=m
  - CROS_EC_CHARDEV=m
  - CROS_EC_LIGHTBAR=m
  - CROS_EC_DEBUGFS=m
  - CROS_EC_SYSFS=m
  - CROS_EC_VBC=m
  - Industrial I/O
  - ADIS16460=n
  - NOA1305=n
  - MAX5432=n
  - Misc drivers
  - EFI_RCI2_TABLE=n
  - MTD_NAND_MXIC=m
  - JOYSTICK_FSIA6B=m
  - REMOTEPROC=n
  - SERIAL_FSL_LINFLEXUART=m
  - MFD_CROS_EC_DEV=m
  - W1_MASTER_SGI=m
  - W1_SLAVE_DS250X=m
  - VIDEO_OV5675=m
  - HID_CREATIVE_SB0540=m
  - DMABUF_SELFTESTS=n
  - MOXTET=n
  - File systems
  - FS_VERITY=y
  - FS_VERITY_DEBUG=n
  - FS_VERITY_BUILTIN_SIGNATURES=n
  - VIRTIO_FS=m
  - EXFAT_FS=m
  - EXFAT_DONT_MOUNT_VFAT=y
  - EXFAT_DISCARD=y
  - EXFAT_DELAYED_SYNC=n
  - EXFAT_KERNEL_DEBUG=n
  - EXFAT_DEBUG_MSG=n
  - EXFAT_DEFAULT_CODEPAGE=437
  - EXFAT_DEFAULT_IOCHARSET="utf8"
  - Security
  - SECURITY_LOCKDOWN_LSM=y
  - SECURITY_LOCKDOWN_LSM_EARLY=y
  - LOCK_DOWN_KERNEL_FORCE_NONE=y
  - IMA_DEFAULT_HASH_SHA512=n
  - IMA_APPRAISE_MODSIG=y
  - RANDOM_TRUST_BOOTLOADER=y
  - KEXEC_SIG=y
  - KEXEC_SIG_FORCE=n
  - KEXEC_BZIMAGE_VERIFY_SIG=y
  - Cryptographic API
  - CRYPTO_ESSIV=m
  - CRYPTO_DEV_CCP_DEBUGFS=n
  - CRYPTO_DEV_SAFEXCEL=m
  - PowerPC
  - PPC_SVM=y
  - OPAL_CORE=n
  - S/390
  - CRYPTO_SHA3_256_S390=m
  - CRYPTO_SHA3_512_S390=m
- commit 48c71ae
* Tue Oct  1 2019 kbuild@suse.de
- Automatically updated to 5.4-rc1
- commit 0a25c0f
* Mon Sep 30 2019 kbuild@suse.de
- Automatically updated to 5.3-13236-g97f9a3c4eee5
- commit adabe95
* Sun Sep 29 2019 kbuild@suse.de
- Automatically updated to 5.3-13186-g02dc96ef6c25
- commit 6c5de3d
* Sat Sep 28 2019 kbuild@suse.de
- Automatically updated to 5.3-12974-gf1f2f614d535
- commit 477d0c3
* Fri Sep 27 2019 kbuild@suse.de
- Automatically updated to 5.3-12676-gda05b5ea12c1
- commit 9c6614d
* Thu Sep 26 2019 kbuild@suse.de
- Automatically updated to 5.3-12397-gf41def397161
- commit 2186809
* Wed Sep 25 2019 kbuild@suse.de
- Automatically updated to 5.3-12289-g351c8a09b00b
- commit aa42783
* Wed Sep 25 2019 fvogt@suse.com
- config: Enable dual-role modes for DWC on arm64 as well
- CONFIG_USB_DWC2_DUAL_ROLE=y and CONFIG_USB_DWC3_DUAL_ROLE=y
- Previously that was only enabled on armv6/armv7
- commit 2899106
* Tue Sep 24 2019 hare@suse.de
- Compile nvme.ko as module (bsc#1150846, bsc#1150850, bsc#1161889)
- commit bcb623e
* Tue Sep 24 2019 kbuild@suse.de
- Automatically updated to 5.3-12025-g4c07e2ddab5b
- commit 6f20b12
* Mon Sep 23 2019 kbuild@suse.de
- Automatically updated to 5.3-11768-g619e17cf75dd
- commit 7b664da
* Sun Sep 22 2019 kbuild@suse.de
- Automatically updated to 5.3-11506-gf7c3bf8fa7e5
- commit e7c0826
* Sat Sep 21 2019 kbuild@suse.de
- Automatically updated to 5.3-10779-gf97c81dc6ca5
- commit c02db81
* Fri Sep 20 2019 kbuild@suse.de
- Automatically updated to 5.3-10169-g574cc4539762
- commit 6644d26
* Thu Sep 19 2019 kbuild@suse.de
- Automatically updated to 5.3-7639-gb41dae061bbd
- commit 745eb59
* Wed Sep 18 2019 jroedel@suse.de
- Update config files.
  Disable CONFIG_ARM_SMMU_DISABLE_BYPASS_BY_DEFAULT. Not all drivers are
  ready for this yet, so enabling this config option causes regressions.
  See bsc#1150577 for an example.
- commit bdd810c
* Wed Sep 18 2019 kbuild@suse.de
- Automatically updated to 5.3-3839-g35f7a9526615
- commit 468f37c
* Tue Sep 17 2019 kbuild@suse.de
- Automatically updated to 5.3-2061-gad062195731b
- commit f66ab4d
* Mon Sep 16 2019 kbuild@suse.de
- Automatically updated to 5.3
- commit 44fcf8f
* Mon Sep 16 2019 mkubecek@suse.cz
- Update to 5.3 final
- Eliminated 3 patches
- Refresh configs
  - NF_CONNTRACK_SLP is gone
- commit 0ddb5d4
* Sun Sep 15 2019 kbuild@suse.de
- Automatically updated to 5.3-rc8-141-g1609d7604b84
- commit 9198382
* Fri Sep 13 2019 kbuild@suse.de
- Automatically updated to 5.3-rc8-36-ga7f89616b737
- commit 57512ea
* Wed Sep 11 2019 kbuild@suse.de
- Automatically updated to 5.3-rc8-7-g3120b9a6a3f7
- commit 0b05595
* Tue Sep 10 2019 kbuild@suse.de
- Automatically updated to 5.3-rc8-4-g56037cadf604
- commit 14252ec
* Mon Sep  9 2019 kbuild@suse.de
- Automatically updated to 5.3-rc8
- commit 66942ff
* Mon Sep  9 2019 mgorman@suse.de
- config: enable SLAB_FREELIST_HARDENED (bsc#1127808)
  Enable SLAB_FREELIST_HARDENED on all architectures. This obscures the
  free object pointer on a per-cache basis making it more difficult to
  locate kernel objects via exploits probing the cache metadata.
  This change was requested by the upstream openSUSE community to make
  the kernel more resistent to slab freelist attacks. Tests conducted
  by the kernel performance teams confirmed that the performance impact
  is detectable but negligible.
- commit b89c877
* Mon Sep  9 2019 guillaume.gardet@arm.com
- rpm/constraints.in: lower disk space required for ARM
  With a requirement of 35GB, only 2 slow workers are usable for ARM.
  Current aarch64 build requires 27G and armv6/7 requires 14G.
  Set requirements respectively to 30GB and 20GB.
- commit f84c163
* Mon Sep  9 2019 mkubecek@suse.cz
- Update to 5.3-rc8
- refresh armv6hl configs (IXP4xx drivers no longer visible)
- commit 63641d2
* Mon Sep  9 2019 mkubecek@suse.cz
- config: enable STACKPROTECTOR_STRONG also on armv6hl
  Recently reenabled armv6hl architecture has STACKPROTECTOR_STRONG disabled,
  enable it here as well.
- commit 2e57a6a
* Sun Sep  8 2019 kbuild@suse.de
- Automatically updated to 5.3-rc7-75-g950b07c14e8c
- commit 9f45bd9
* Sat Sep  7 2019 kbuild@suse.de
- Automatically updated to 5.3-rc7-64-g1e3778cb223e
- commit 234a104
* Fri Sep  6 2019 kbuild@suse.de
- Automatically updated to 5.3-rc7-18-gd41a3effbb53
- commit 158984f
* Thu Sep  5 2019 kbuild@suse.de
- Automatically updated to 5.3-rc7-2-g3b47fd5ca9ea
- commit 6e125e6
* Tue Sep  3 2019 mkubecek@suse.cz
- config: enable STACKPROTECTOR_STRONG (jsc#SLE-9120 bsc#1130365)
  Enable CONFIG_STACKPROTECTOR_STRONG on all architectures except s390x
  (where the feature is not available). This extends the number of functions
  which are protected by "stack canary" check to catch functions writing past
  their stack frame.
  This change was requested by SUSE security to make our kernels more
  resistant to some types of stack overflow attacks. Tests performed by
  kernel performance teams confirmed that performance impact is acceptable.
- commit 3203ee1
* Tue Sep  3 2019 kbuild@suse.de
- Automatically updated to 5.3-rc7
- commit b97db4b
* Mon Sep  2 2019 mkubecek@suse.cz
- Update to 5.3-rc7
- Refresh configs
  - IXP4xx SoC drivers not visible
  - gcc 9.2.1
- commit e03f2af
* Mon Sep  2 2019 kbuild@suse.de
- Automatically updated to 5.3-rc6-271-g9f159ae07f07
- commit 13f02e2
* Sun Sep  1 2019 mkubecek@suse.cz
- config: armv7hl: Enable cadence watchdog
  CONFIG_CADENCE_WATCHDOG is required for Zynq-7000 based MIYR Zturn board.
- commit e5dd4da
* Sun Sep  1 2019 kbuild@suse.de
- Automatically updated to 5.3-rc6-240-geea173097dfb
- commit d328b9a
* Sat Aug 31 2019 kbuild@suse.de
- Automatically updated to 5.3-rc6-209-ge0f14b8ca388
- commit 884bfea
* Fri Aug 30 2019 msuchanek@suse.de
- Automatically updated to 5.3-rc6-166-g8fb8e9e46261
- commit 012db43
* Fri Aug 30 2019 kbuild@suse.de
- Automatically updated to 5.3-rc6-129-g265381004994
- commit fc12ca7
* Fri Aug 30 2019 dmueller@suse.com
- config.conf: Update ARMv6 config files
- commit 882ad6f
* Fri Aug 30 2019 dmueller@suse.com
- config.conf: Reenable ARMv7 config for Kernel 5.3
  All modules plus errata's enabled. Reused other
  values from x86_64 update.
- commit 384649e
* Thu Aug 29 2019 kbuild@suse.de
- Automatically updated to 5.3-rc6-119-g9cf6b756cdf2
- commit 77a9a35
* Wed Aug 28 2019 kbuild@suse.de
- Automatically updated to 5.3-rc6-115-g9e8312f5e160
- commit b0827ce
* Tue Aug 27 2019 mkubecek@suse.cz
- rpm: raise required disk space for binary packages
  Current disk space constraints (10 GB on s390x, 25 GB on other
  architectures) no longer suffice for 5.3 kernel builds. The statistics
  show ~30 GB of disk consumption on x86_64 and ~11 GB on s390x so raise
  the constraints to 35 GB in general and 14 GB on s390x.
- commit 527cb66
* Mon Aug 26 2019 jgross@suse.com
- usb: Introduce Xen pvUSB frontend (xen hcd) (fate#315712).
- Update config files.
- commit 1bb219e
* Mon Aug 26 2019 kbuild@suse.de
- Automatically updated to 5.3-rc6
- commit 87ddd45
* Sun Aug 25 2019 kbuild@suse.de
- Automatically updated to 5.3-rc5-282-ge67095fd2f72
- commit 91d174d
* Sat Aug 24 2019 kbuild@suse.de
- Automatically updated to 5.3-rc5-254-g9140d8bdd4c5
- commit 4e91f2b
* Fri Aug 23 2019 kbuild@suse.de
- Automatically updated to 5.3-rc5-169-g59c36bc8d377
- commit ca308c9
* Fri Aug 23 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Fix kernel-livepatch description typo.
- commit 36acf91
* Thu Aug 22 2019 msuchanek@suse.de
- Pull packaging cleanup from mkubecek.
- Parametrize kgraft vs livepatch.
- commit 16f6816
* Thu Aug 22 2019 mkubecek@suse.cz
- config: update from SLE15-SP2
  In general, we want features and drivers from SLE also in openSUSE unless
  we have a good reason not to. Enable most config options which were
  disabled in master but enabled in SLE15-SP2 (inherited from SLE15-SP1).
- commit a55e44c
* Thu Aug 22 2019 kbuild@suse.de
- Automatically updated to 5.3-rc5-149-gbb7ba8069de9
- commit 66f9694
* Wed Aug 21 2019 msuchanek@suse.de
- Refresh config files from master (boo#1146719).
- commit 6a2a0a8
* Wed Aug 21 2019 msuchanek@suse.de
- Refresh patches.rpmify/powerpc-Blacklist-GCC-5.4-6.1-and-6.2.patch.
- Refresh patches.rpmify/scripts-mkmakefile-honor-second-argument.patch.
- commit 7b184ad
* Wed Aug 21 2019 msuchanek@suse.de
- series.conf: cleanup
  Unify patches.rpmify section with master.
- commit daa60e3
* Wed Aug 21 2019 kbuild@suse.de
- Automatically updated to 5.3-rc5-133-g15d90b242290
- commit c8d9447
* Tue Aug 20 2019 kbuild@suse.de
- Automatically updated to 5.3-rc5-125-g5f97cbe22b76
- commit ded70e9
* Mon Aug 19 2019 bp@suse.de
- Update config files.
  As per https://jira.suse.com/browse/SLE-7041
  Factory first!
- commit 9c2225f
* Mon Aug 19 2019 kbuild@suse.de
- Automatically updated to 5.3-rc5
- commit 7f5421c
* Mon Aug 19 2019 mkubecek@suse.cz
- Update to 5.3-rc5
- Refresh configs
  - RDMA_SIW available on i386 (=m)
  - clean up unavailable options
- commit 5eb4f91
* Sun Aug 18 2019 afaerber@suse.de
- config: arm64: Enable I2C_IMX (boo#1146026)
  Needed for Google Coral board.
- commit 3744094
* Sun Aug 18 2019 kbuild@suse.de
- Automatically updated to 5.3-rc4-142-g8fde2832bd0b
- commit ec8bd25
* Sat Aug 17 2019 kbuild@suse.de
- Automatically updated to 5.3-rc4-108-g6e625a1a3f47
- commit e98ff04
* Fri Aug 16 2019 kbuild@suse.de
- Automatically updated to 5.3-rc4-71-ga69e90512d9d
- commit 7500d7c
* Thu Aug 15 2019 kbuild@suse.de
- Automatically updated to 5.3-rc4-65-g329120423947
- commit 04a1e66
* Thu Aug 15 2019 kbuild@suse.de
- Automatically updated to 5.3-rc4-53-g41de59634046
- commit 5aa040f
* Wed Aug 14 2019 kbuild@suse.de
- Automatically updated to 5.3-rc4-4-gee1c7bd33e66
- commit 177c055
* Mon Aug 12 2019 msuchanek@suse.de
- rpm/mkspec: Correct tarball URL for rc kernels.
- commit c4ef18d
* Mon Aug 12 2019 kbuild@suse.de
- Automatically updated to 5.3-rc4
- commit 980f2c2
* Sun Aug 11 2019 kbuild@suse.de
- Automatically updated to 5.3-rc3-545-g296d05cb0d3c
- commit f9b310e
* Sat Aug 10 2019 kbuild@suse.de
- Automatically updated to 5.3-rc3-444-g451577f3e3a9
- commit 64f91f8
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/config.sh: Enable building DTBs.
- commit 2f05573
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/mkspec: Make building DTBs optional.
- commit 7c057c8
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/modflist: Simplify compression support.
- commit fd135a6
* Fri Aug  9 2019 mkubecek@suse.cz
- rpm: support compressed modules
  Some of our scripts and scriptlets in rpm/ do not expect module files not
  ending with ".ko" which currently leads to failure in preuninstall
  scriptlet of cluster-md-kmp-default (and probably also other subpackages).
  Let those which could be run on compressed module files recognize ".ko.xz"
  in addition to ".ko".
- commit 18fcdff
* Fri Aug  9 2019 kbuild@suse.de
- Automatically updated to 5.3-rc3-305-gb678c568c561
- commit 9576ad3
* Thu Aug  8 2019 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: add dm-crypt for building with cryptsetup
  Co-Authored-By: Adam Spiers <aspiers@suse.com>
- commit 7cf5b9e
* Thu Aug  8 2019 kbuild@suse.de
- Automatically updated to 5.3-rc3-285-gecb095bff5d4
- commit cb38d9d
* Wed Aug  7 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: support partial rt debug config.
- commit af37821
* Wed Aug  7 2019 afaerber@suse.de
- config: arm64: Update to 5.3-rc3
- commit ec528df
* Wed Aug  7 2019 afaerber@suse.de
- config: Enable SENSORS_GPIO_FAN for all of Arm (boo#1144723)
  We already had it for armv6hl but were lacking it on arm64.
  Add it on armv7hl for consistency while at it.
- commit 49642fc
* Wed Aug  7 2019 kbuild@suse.de
- Automatically updated to 5.3-rc3-282-g33920f1ec5bf
- commit 762c25f
* Tue Aug  6 2019 kbuild@suse.de
- Automatically updated to 5.3-rc3-16-g0eb0ce0a78e1
- commit d4b0202
* Mon Aug  5 2019 kbuild@suse.de
- Automatically updated to 5.3-rc3
- commit 5c15bc3
* Mon Aug  5 2019 mkubecek@suse.cz
- Update to 5.3-rc3
- Eliminated 1 patch
- Refresh
  - patches.suse/supported-flag
  - patches.suse/supported-flag-external
- Refresh configs
- commit 4a5de53
* Sun Aug  4 2019 kbuild@suse.de
- Automatically updated to 5.3-rc2-304-gd8778f13b73f
- commit 076f0c0
* Sat Aug  3 2019 kbuild@suse.de
- Automatically updated to 5.3-rc2-193-gdcb8cfbd8fe9
- commit 0aeaf46
* Fri Aug  2 2019 kbuild@suse.de
- Automatically updated to 5.3-rc2-70-g1e78030e5e5b
- commit e6dc1c9
* Fri Aug  2 2019 bwiedemann@suse.de
- kernel-binary: Drop .kernel-binary.spec.buildenv (boo#1154578).
  Without this patch,
  /usr/src/linux-@VERSION@-@RELEASE_SHORT@-obj/x86_64/vanilla/.kernel-binary.spec.buildenv
  contained rpm %%_smp_mflags in a line like
  export MAKE_ARGS=" --output-sync -j4"
  This made it hard to produce bit-identical builds.
- commit 789d131
* Thu Aug  1 2019 kbuild@suse.de
- Automatically updated to 5.3-rc2-60-g5c6207539aea
- commit 4f646e4
* Thu Aug  1 2019 mkubecek@suse.cz
- config: refresh x86_64/default
  With HBMC_AM654 disabled, nothing selects MULTIPLEXER any more.
- commit 164710d
* Wed Jul 31 2019 kbuild@suse.de
- Automatically updated to 5.3-rc2-51-g4010b622f1d2
- commit d8992e2
* Wed Jul 31 2019 jdelvare@suse.de
- Update config files: CONFIG_HBMC_AM654=n
  The TI AM654 is an ARM64 SoC, so disable the driver on all other
  architectures.
- commit 8199147
* Tue Jul 30 2019 schwab@suse.de
- packaging: add support for riscv64
- commit c2885ea
* Tue Jul 30 2019 kbuild@suse.de
- Automatically updated to 5.3-rc2-11-g2a11c76e5301
- commit 76a9dd7
* Mon Jul 29 2019 kbuild@suse.de
- Automatically updated to 5.3-rc2
- commit 26f538c
* Sun Jul 28 2019 mkubecek@suse.cz
- Update to 5.3-rc2
- Eliminated 1 patch
  - patches.suse/dma-mapping-use-dma_get_mask-in-dma_addressing_limit.patch
- Refresh
  - patches.suse/netfilter-ip_conntrack_slp.patch
- Config changes
  - NF_TABLES_BRIDGE=m (was =y)
- commit 932dec1
* Sun Jul 28 2019 kbuild@suse.de
- Automatically updated to 5.3-rc1-350-ga9815a4fa2fd
- commit 6c96e8a
* Sat Jul 27 2019 msuchanek@suse.de
- rpm/macros.kernel-source: KMPs should depend on kmod-compat to build.
  kmod-compat links are used in find-provides.ksyms, find-requires.ksyms,
  and find-supplements.ksyms in rpm-config-SUSE.
- commit f97ca49
* Sat Jul 27 2019 msuchanek@suse.de
- Update config files.
- commit 92df60c
* Sat Jul 27 2019 msuchanek@suse.de
- scripts/run_oldconfig.sh: Fix update-vanilla
  When CC is set we want to use it for native only. Cross-compilation
  still needs the crosscompilers.
- commit 3b9fcdb
* Sat Jul 27 2019 kbuild@suse.de
- Automatically updated to 5.3-rc1-259-g5168afe6ef59
- commit 5870cbf
* Fri Jul 26 2019 kbuild@suse.de
- Automatically updated to 5.3-rc1-96-g6789f873ed37
- commit fcfd11b
* Thu Jul 25 2019 kbuild@suse.de
- Automatically updated to 5.3-rc1-82-gbed38c3e2dca
- commit 72e2474
* Wed Jul 24 2019 msuchanek@suse.de
- scripts/arch-symbols: add missing link.
- commit ee7c635
* Wed Jul 24 2019 msuchanek@suse.de
- Update config files.
- commit 41c3d28
* Wed Jul 24 2019 kbuild@suse.de
- Automatically updated to 5.3-rc1-59-gad5e427e0f6b
- commit 3da412c
* Tue Jul 23 2019 tiwai@suse.de
- rpm/config.sh: enable kernel module compression (bsc#1135854)
- commit b1bac72
* Tue Jul 23 2019 tiwai@suse.de
- Add kernel module compression support (bsc#1135854)
  For enabling the kernel module compress, add the item COMPRESS_MODULES="xz"
  in config.sh, then mkspec will pass it to the spec file.
- commit cdf5806
* Tue Jul 23 2019 msuchanek@suse.de
- Kconfig: make CONFIG_CC_CAN_LINK always true (bsc#1127188).
- commit 6b9d6b9
* Tue Jul 23 2019 msuchanek@suse.de
- config.conf: Add ppc64 kvmsmall config (bsc#1137361).
- Remove superfluous i2c drivers from ppc64 config
  - CONFIG_I2C_ALGOPCA=m
  - CONFIG_I2C_AMD8111=m
  - CONFIG_I2C_CBUS_GPIO=m
  - CONFIG_I2C_DESIGNWARE_CORE=y
  - CONFIG_I2C_DESIGNWARE_PLATFORM=y
  - CONFIG_I2C_DESIGNWARE_PCI=m
  - CONFIG_I2C_OCORES=m
  - CONFIG_I2C_PCA_PLATFORM=m
  Can't get rid of i2c in kvmsmall anyway but at least the DW i2c is gone.
- commit ff138b1
* Tue Jul 23 2019 kbuild@suse.de
- Automatically updated to 5.3-rc1-56-g7b5cf701ea9c
- commit b1fb4d1
* Mon Jul 22 2019 jeffm@suse.com
- config: enable PPPoE for kvmsmall (bsc#1133945).
- commit 4f6f564
* Mon Jul 22 2019 jeffm@suse.com
- config: remove unnecessary drivers from kvmsmall
  The initial merge was incomplete and needed revisiting, which didn't really
  happen.  Since then, new options have been added and not removed from
  kvmsmall, leading to grow in size.
  This commit uses the following blacklist:
  _(BT|CHARGER|CHROMEOS|CROS|DVB|DW|EDAC|FPGA|GPIO|GNSS|HID|INFINIBAND|IR|JOYSTICK|LEDS|MFD|PINCTRL|REGULATOR|RTC|SENSORS|SND_SOC|STAGING|TOUCHSCREEN|VIDEO|XEN|XILINX)[_=]
  ... along with some manual removal of NET_VENDORs with no relevant drivers.
- commit 5387d4c
* Mon Jul 22 2019 mkubecek@suse.cz
- rpm/klp-symbols: update to work with kernel >= 5.3
  Since mainline commit b7dca6dd1e59 ("kbuild: create *.mod with full
  directory path and remove MODVERDIR") in v5.3-rc1, *.mod files are created
  in the build tree rather than in a single directory .tmp_versions
  ($MODVERDIR). They also do not provide path to the *.ko module file on
  their first line as the path is the same (except for the suffix).
  Update klp-symbols script to handle this new layout and format of *.mod
  files to fix build of 5.3-rc1 and newer kernel.
  Note: this is a quick band-aid to fix master branch build without risk of
  breaking any other branch. A more proper cleanup will follow.
- commit c32f8e7
* Mon Jul 22 2019 mkubecek@suse.cz
- Update to 5.3-rc1
- Eliminated 89 patches (83 stable, 6 other)
- ARM configs need update
- Refresh
  patches.suse/btrfs-8447-serialize-subvolume-mounts-with-potentially-mi.patch
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  patches.suse/netfilter-ip_conntrack_slp.patch
  patches.suse/rpm-kernel-config
  patches.suse/supported-flag
  patches.suse/vfs-add-super_operations-get_inode_dev
- replace patches.rpmify/BPF-UMH-do-not-detect-if-compiler-can-link-userspace.patch
  with patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch
- New config options:
  - General setup
  - HEADER_TEST=y
  - KERNEL_HEADER_TEST=y
  - PREEMPT_LL=n
  - UCLAMP_TASK=y
  - UCLAMP_BUCKETS_COUNT=5
  - Processor type and features
  - ACRN_GUEST=y
  - LEGACY_VSYSCALL_XONLY=y
  - IO Schedulers
  - BFQ_CGROUP_DEBUG=n (=y in */debug)
  - Networking
  - NFT_SYNPROXY=m
  - NFT_BRIDGE_META=m
  - NF_CONNTRACK_BRIDGE=m
  - NET_ACT_MPLS=m
  - NET_ACT_CTINFO=m
  - NET_ACT_CT=m
  - BT_HCIBTUSB_MTK=y
  - GVE=m
  - MLX5_FPGA_IPSEC=y
  - MLX5_FPGA_TLS=y
  - MLX5_TLS=y
  - STMMAC_SELFTESTS=n
  - XILINX_AXI_EMAC=m
  - SFP=m
  - NXP_TJA11XX_PHY=m
  - PHY_MIXEL_MIPI_DPHY=m
  - File systems
  - UBIFS_FS_ZSTD=y
  - SUNRPC_DISABLE_INSECURE_ENCTYPES=n
  - CEPH_FS_SECURITY_LABEL=y
  - Generic driver options
  - FW_LOADER_COMPRESS=y
  - Storage
  - SCSI_FDOMAIN_PCI=m
  - SCSI_FDOMAIN_ISA=n
  - PCMCIA_FDOMAIN=n
  - Input
  - KEYBOARD_APPLESPI=m
  - Power supply and hardware monitoring
  - POWER_SUPPLY_HWMON=y
  - CHARGER_WILCO=m
  - SENSORS_IRPS5401=m
  - SENSORS_PXE1610=m
  - REGULATOR_ARIZONA_LDO1=m
  - REGULATOR_ARIZONA_MICSUPP=m
  - REGULATOR_SLG51000=m
  - Multimedia
  - DVB_USB_CXUSB_ANALOG=y
  - VIDEO_TDA1997X=m
  - VIDEO_TLV320AIC23B=m
  - VIDEO_ADV7180=m
  - VIDEO_ADV7183=m
  - VIDEO_ADV7604=m
  - VIDEO_ADV7604_CEC=y
  - VIDEO_ADV7842=m
  - VIDEO_ADV7842_CEC=y
  - VIDEO_BT819=m
  - VIDEO_BT856=m
  - VIDEO_BT866=m
  - VIDEO_KS0127=m
  - VIDEO_ML86V7667=m
  - VIDEO_SAA7110=m
  - VIDEO_TC358743=m
  - VIDEO_TC358743_CEC=y
  - VIDEO_TVP514X=m
  - VIDEO_TVP7002=m
  - VIDEO_TW9910=m
  - VIDEO_VPX3220=m
  - VIDEO_SAA7185=m
  - VIDEO_ADV7170=m
  - VIDEO_ADV7175=m
  - VIDEO_ADV7343=m
  - VIDEO_ADV7393=m
  - VIDEO_ADV7511=m
  - VIDEO_ADV7511_CEC=y
  - VIDEO_AD9389B=m
  - VIDEO_AK881X=m
  - VIDEO_THS8200=m
  - VIDEO_IMX214=m
  - VIDEO_IMX258=m
  - VIDEO_IMX274=m
  - VIDEO_IMX319=m
  - VIDEO_IMX355=m
  - VIDEO_OV2659=m
  - VIDEO_OV2680=m
  - VIDEO_OV2685=m
  - VIDEO_OV5647=m
  - VIDEO_OV6650=m
  - VIDEO_OV5670=m
  - VIDEO_OV5695=m
  - VIDEO_OV7251=m
  - VIDEO_OV772X=m
  - VIDEO_OV7740=m
  - VIDEO_OV8856=m
  - VIDEO_OV9640=m
  - VIDEO_OV9650=m
  - VIDEO_OV13858=m
  - VIDEO_VS6624=m
  - VIDEO_MT9M001=m
  - VIDEO_MT9M032=m
  - VIDEO_MT9M111=m
  - VIDEO_MT9P031=m
  - VIDEO_MT9T001=m
  - VIDEO_MT9T112=m
  - VIDEO_MT9V032=m
  - VIDEO_MT9V111=m
  - VIDEO_SR030PC30=m
  - VIDEO_NOON010PC30=m
  - VIDEO_M5MOLS=m
  - VIDEO_RJ54N1=m
  - VIDEO_S5K6AA=m
  - VIDEO_S5K6A3=m
  - VIDEO_S5K4ECGX=m
  - VIDEO_S5K5BAF=m
  - VIDEO_SMIAPP=m
  - VIDEO_ET8EK8=m
  - VIDEO_S5C73M3=m
  - VIDEO_AD5820=m
  - VIDEO_AK7375=m
  - VIDEO_DW9714=m
  - VIDEO_DW9807_VCM=m
  - VIDEO_ADP1653=m
  - VIDEO_LM3560=m
  - VIDEO_LM3646=m
  - SDR_MAX2175=m
  - VIDEO_THS7303=m
  - VIDEO_I2C=m
  - VIDEO_ST_MIPID02=n
  - VIDEO_GS1662=m
  - DVB_S5H1432=m
  - DVB_DIB9000=m
  - DVB_CXD2880=m
  - DVB_MN88443X=m
  - DVB_LNBH29=m
  - DVB_LGS8GL5=m
  - Graphics
  - DRM_AMD_DC_DCN2_0=y
  - DRM_AMD_DC_DSC_SUPPORT=y
  - DRM_I915_FORCE_PROBE=""
  - DRM_I915_DEBUG_MMIO=n
  - DRM_I915_USERFAULT_AUTOSUSPEND=250
  - DRM_I915_SPIN_REQUEST=5
  - DRM_PANEL_OSD_OSD101T2587_53TS=m
  - DRM_PANEL_SAMSUNG_S6E63M0=m
  - Sound
  - SND_SOC_INTEL_CML_H=m
  - SND_SOC_INTEL_CML_LP=m
  - SND_SOC_INTEL_BYT_CHT_CX2072X_MACH=m
  - SND_SOC_SOF_COMETLAKE_LP_SUPPORT=y
  - SND_SOC_SOF_COMETLAKE_H_SUPPORT=y
  - SND_SOC_CX2072X=m
  - InfiniBand
  - RDMA_SIW=m
  - Platform specific drivers
  - XIAOMI_WMI=m
  - ACPI_CMPC=m
  - SAMSUNG_Q10=m
  - INTEL_SPEED_SELECT_INTERFACE=m
  - CROS_EC_ISHTP=m
  - WILCO_EC_EVENTS=m
  - WILCO_EC_TELEMETRY=m
  - Industrial I/O
  - XILINX_XADC=n
  - ADF4371=n
  - DPS310=n
  - LEDs
  - LEDS_SPI_BYTE=m
  - LEDS_TI_LMU_COMMON=m
  - LEDS_LM3697=m
  - LEDS_LM36274=m
  - Other drivers
  - MTD_HYPERBUS=m
  - HBMC_AM654=m
  - XILINX_SDFEC=n
  - GPIO_XILINX=m
  - WATCHDOG_OPEN_TIMEOUT=0
  - MFD_CS47L15=y
  - MFD_CS47L92=y
  - MFD_ROHM_BD70528=n
  - RTC_DRV_BD70528=m
  - DW_EDMA=m
  - DW_EDMA_PCIE=m
  - COMMON_CLK_SI5341=m
  - EXTCON_FSA9480=m
  - NTB_MSI=y
  - NTB_MSI_TEST=n
  - RAS_CEC_DEBUG=n
  - AL_FIC=n
  - Virtualization
  - VIRTIO_PMEM=m
  - Security options
  - KEYS_REQUEST_CACHE=y
  - Kernel hardening options
  - INIT_ON_ALLOC_DEFAULT_ON=n
  - INIT_ON_FREE_DEFAULT_ON=n
  - Cryptographic API
  - CRYPTO_XXHASH=n
  - CRYPTO_DEV_ATMEL_ECC=m
  - CRYPTO_DEV_ATMEL_SHA204A=m
  - Kernel hacking
  - HEADERS_INSTALL=n
  - REED_SOLOMON_TEST=n
  - TEST_BLACKHOLE_DEV=n
  - TEST_MEMINIT=n
- commit 17d90dd
* Mon Jul 22 2019 kbuild@suse.de
- Automatically updated to 5.3-rc1
- commit daa3a5d
* Sun Jul 21 2019 kbuild@suse.de
- Automatically updated to 5.2-13348-gf1a3b43cc1f5
- commit dec37e3
* Sat Jul 20 2019 kbuild@suse.de
- Automatically updated to 5.2-13156-gabdfd52a295f
- commit c0e0d0b
* Fri Jul 19 2019 kbuild@suse.de
- Automatically updated to 5.2-11956-g3bfe1fc46794
- commit 299af21
* Thu Jul 18 2019 kbuild@suse.de
- Automatically updated to 5.2-11564-g22051d9c4a57
- commit a0e0d1f
* Wed Jul 17 2019 kbuild@suse.de
- Automatically updated to 5.2-11043-g0a8ad0ffa4d8
- commit f26888b
* Tue Jul 16 2019 lpechacek@suse.com
- rpm/kernel-binary.spec.in: build kernel-*-kgraft only for default SLE kernel
  RT and Azure variants are excluded for the moment. (bsc#1141600)
- commit 620816f
* Tue Jul 16 2019 kbuild@suse.de
- Automatically updated to 5.2-10808-g9637d517347e
- commit b3de4af
* Mon Jul 15 2019 kbuild@suse.de
- Automatically updated to 5.2-8441-gfec88ab0af97
- commit 6851854
* Sun Jul 14 2019 kbuild@suse.de
- Automatically updated to 5.2-8236-g192f0f8e9db7
- commit 0cebb38
* Sat Jul 13 2019 kbuild@suse.de
- Automatically updated to 5.2-7765-g964a4eacef67
- commit bd43b86
* Fri Jul 12 2019 kbuild@suse.de
- Automatically updated to 5.2-7109-gd7d170a8e357
- commit bb74534
* Thu Jul 11 2019 kbuild@suse.de
- Automatically updated to 5.2-3311-g5450e8a316a6
- commit fbac850
* Wed Jul 10 2019 kbuild@suse.de
- Automatically updated to 5.2-3135-ge9a83bd23220
- commit 1fdbf91
* Wed Jul 10 2019 jslaby@suse.cz
- rpm/kernel-binary.spec.in: handle modules.builtin.modinfo
  It was added in 5.2.
- commit eb88df3
* Tue Jul  9 2019 rgoldwyn@suse.com
- Disable CONFIG_OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW in config (bsc#1140494)
- commit 50afa5a
* Tue Jul  9 2019 kbuild@suse.de
- Automatically updated to 5.2-915-g5ad18b2e60b7
- commit 7b7a02b
* Mon Jul  8 2019 kbuild@suse.de
- Automatically updated to 5.2
- commit 1cf8d1b
* Mon Jul  8 2019 mkubecek@suse.cz
- Update to 5.2 final
- Eliminated 1 patch
- commit 0672f8e
* Sun Jul  7 2019 kbuild@suse.de
- Automatically updated to 5.2-rc7-98-g46713c3d2f8d
- commit 92c1091
* Sat Jul  6 2019 kbuild@suse.de
- Automatically updated to 5.2-rc7-79-g69bf4b6b54fb
- commit eed4da8
* Fri Jul  5 2019 tiwai@suse.de
- config: align CONFIG_PHYSICAL_START and CONFIG_PHYSICAL_ALIGN to default values
  As suggested in bsc#1067593, our kconfig keeps the old default values
  while the upstream took different (actually swapped) values for x86
  CONFIG_PHYSICAL_START and CONFIG_PHYSICAL_ALIGN.   Let's follow the
  upstream default now.
- commit ed6b564
* Fri Jul  5 2019 kbuild@suse.de
- Automatically updated to 5.2-rc7-62-g3f9c4dc63309
- commit 3fdbd64
* Thu Jul  4 2019 kbuild@suse.de
- Automatically updated to 5.2-rc7-16-g550d1f5bda33
- commit abb6e27
* Wed Jul  3 2019 schwab@suse.de
- rpm/dtb.spec.in.in: don't make dtb directory inaccessible
  There is no reason to lock down the dtb directory for ordinary users.
- commit a69437a
* Wed Jul  3 2019 jslaby@suse.cz
- Update config files.
  Set CONFIG_SCSI_SCAN_ASYNC=y (bnc#1137686).
- commit 22fd19c
* Wed Jul  3 2019 kbuild@suse.de
- Automatically updated to 5.2-rc7-8-geca94432934f
- commit 587c62f
* Wed Jul  3 2019 mkubecek@suse.cz
- config: switch to SLUB allocator (Jira:PM-1158)
- new config options:
  - SLUB=y
  - SLUB_DEBUG=y
  - SLUB_MEMCG_SYSFS_ON=y
  - SLAB_FREELIST_HARDENED=n
  - SLUB_CPU_PARTIAL=y
  - SLUB_DEBUG_ON=n
  - SLUB_STATS=n
- commit cc6c195
* Sun Jun 30 2019 mkubecek@suse.cz
- Update to 5.2-rc7
- Refresh configs
- commit f87ce86
* Sun Jun 30 2019 kbuild@suse.de
- Automatically updated to 5.2-rc7
- commit 354d18a
* Sat Jun 29 2019 kbuild@suse.de
- Automatically updated to 5.2-rc6-138-g01305db842e1
- commit 6471955
* Fri Jun 28 2019 kbuild@suse.de
- Automatically updated to 5.2-rc6-93-g556e2f6020bf
- commit 58ebc05
* Thu Jun 27 2019 msuchanek@suse.de
- Update config files
  - Add core options from SLE15 which are not enabled on master for no
  obvious reason
  - Add core option from x86 which are not enabled on non-x86 for no
  obvious reason
  - Enable fadump
  Changes:
  Scheduling:
    +CONFIG_CONTEXT_TRACKING=y
  - CONFIG_TICK_CPU_ACCOUNTING=y
    +CONFIG_VIRT_CPU_ACCOUNTING_GEN=y
    +CONFIG_VIRT_CPU_ACCOUNTING=y
    +CONFIG_IRQ_TIME_ACCOUNTING=y
    +CONFIG_TASKS_RCU=y
    +CONFIG_RT_GROUP_SCHED=y
  mm:
    +# CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS is not set
    +CONFIG_TRANSPARENT_HUGEPAGE_MADVISE=y
    +CONFIG_FRONTSWAP=y
    +CONFIG_ZSWAP=y
  arc/ppc:
    +CONFIG_FA_DUMP=y
  fs:
    +CONFIG_9P_FSCACHE=y
  net:
    +CONFIG_TIPC=m
    +CONFIG_TIPC_DIAG=m
    +CONFIG_TIPC_MEDIA_UDP=y
  misc:
  - CONFIG_SERIAL_SIFIVE=m
    +CONFIG_SYSCTL_SYSCALL=y
  debug&test:
    +CONFIG_PAGE_EXTENSION=y
    +CONFIG_PAGE_OWNER=y
    +CONFIG_DEBUG_MISC=y
    +CONFIG_RCU_TRACE=y
    +CONFIG_KGDB_SERIAL_CONSOLE=y
    +CONFIG_SCOM_DEBUGFS=y
    +CONFIG_CRYPTO_TEST=m
    +CONFIG_RCU_TORTURE_TEST=m
    +CONFIG_TEST_FIRMWARE=m
    +CONFIG_TEST_LIVEPATCH=m
    +CONFIG_TEST_LKM=m
    +CONFIG_TEST_SYSCTL=m
    +CONFIG_TORTURE_TEST=m
- commit 5b852cf
* Tue Jun 25 2019 kbuild@suse.de
- Automatically updated to 5.2-rc6-15-g249155c20f9b
- commit 44fbf25
* Sun Jun 23 2019 kbuild@suse.de
- Automatically updated to 5.2-rc6
- commit f884757
* Sat Jun 22 2019 msuchanek@suse.de
- Update config files.
- commit 6e16815
* Sat Jun 22 2019 kbuild@suse.de
- Automatically updated to 5.2-rc5-457-gc356dc4b540e
- commit a6dd1f9
* Fri Jun 21 2019 kbuild@suse.de
- Automatically updated to 5.2-rc5-290-g4ae004a9bca8
- commit 83c0ed6
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: rpm does not support multiline condition
- commit aceae50
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: Use -c grep option in klp project detection.
- commit 5def2a2
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: fix missing \
- commit 8325214
* Thu Jun 20 2019 kbuild@suse.de
- Automatically updated to 5.2-rc5-239-g241e39004581
- commit 7929b98
* Wed Jun 19 2019 mkubecek@suse.cz
- config: refresh i386/default
- commit 37b6b5d
* Wed Jun 19 2019 kbuild@suse.de
- Automatically updated to 5.2-rc5-224-gbed3c0d84e7e
- commit 04f6bdf
* Wed Jun 19 2019 jslaby@suse.cz
- Update config files.
  Enable SECURITY_YAMA to allow protection against ptrace attacks
  (bnc#1128245).
- commit 113b913
* Tue Jun 18 2019 jslaby@suse.cz
- Update config files.
  Set HARDENED_USERCOPY=y (bnc#1127808). This can be disabled on the
  commandline using hardened_usercopy=n.
- commit 3c72d04
* Tue Jun 18 2019 kbuild@suse.de
- Automatically updated to 5.2-rc5-177-g29f785ff76b6
- commit 54abb7e
* Tue Jun 18 2019 tiwai@suse.de
- config: enable CONFIG_FONT_TER16x32 for HiDPI monitors (boo#1138496)
- commit cee20e7
* Mon Jun 17 2019 kbuild@suse.de
- Automatically updated to 5.2-rc5
- commit d11a16c
* Sun Jun 16 2019 mkubecek@suse.cz
- Update to 5.2-rc5
- Config changes:
  - Sound:
  - SND_SOC_SOF_NOCODEC_SUPPORT=n on x86, =y on ARM
  - Storage:
  - MQ_IOSCHED_DEADLINE m -> y on arm64
- commit 45a8b99
* Sun Jun 16 2019 kbuild@suse.de
- Automatically updated to 5.2-rc4-224-ge01e060fe00d
- commit a804047
* Sat Jun 15 2019 kbuild@suse.de
- Automatically updated to 5.2-rc4-188-g0011572c8830
- commit b04a8a4
* Fri Jun 14 2019 kbuild@suse.de
- Automatically updated to 5.2-rc4-45-gc11fb13a117e
- commit e335ecb
* Thu Jun 13 2019 msuchanek@suse.de
- Build klp-symbols in kernel devel projects.
- commit ffd0ed9
* Thu Jun 13 2019 kbuild@suse.de
- Automatically updated to 5.2-rc4-27-gb076173a309e
- commit 8e34154
* Wed Jun 12 2019 kbuild@suse.de
- Automatically updated to 5.2-rc4-20-gaa7235483a83
- commit a037858
* Tue Jun 11 2019 kbuild@suse.de
- Automatically updated to 5.2-rc4-9-g01ccc3ad4413
- commit 1c5e640
* Mon Jun 10 2019 mkubecek@suse.cz
- Update to 5.2-rc4
- Eliminated 1 patch
  - patches.rpmify/mlx5-avoid-64-bit-division.patch
- Refresh configs
  - IKHEADERS_PROC -> IKHEADERS
- commit bc1a041
* Sun Jun  9 2019 kbuild@suse.de
- Automatically updated to 5.2-rc4
- commit 83f8595
* Sat Jun  8 2019 kbuild@suse.de
- Automatically updated to 5.2-rc3-201-g79c3ba3206c7
- commit 693a040
* Fri Jun  7 2019 mvedovati@suse.com
- rpm/post.sh: correct typo in err msg (bsc#1137625)
- commit 9fe85cc
* Fri Jun  7 2019 kbuild@suse.de
- Automatically updated to 5.2-rc3-77-g16d72dd4891f
- commit 32e9b20
* Thu Jun  6 2019 kbuild@suse.de
- Automatically updated to 5.2-rc3-37-g156c05917e09
- commit 3825163
* Wed Jun  5 2019 mvedovati@suse.com
- Enhance kvmsmall configuration (bsc#1137361)
  Add a minimal set of modules to  kvmsmall, to make this config usable
  to set up guest VMs interacting with the host.
- commit 71b1001
* Wed Jun  5 2019 mkubecek@suse.cz
- config: refresh configs
  No functional change.
- commit 8ed0ad4
* Tue Jun  4 2019 kbuild@suse.de
- Automatically updated to 5.2-rc3-24-g788a024921c4
- commit 4fdba35
* Tue Jun  4 2019 jslaby@suse.cz
- Update config files.
  Enable CRASH_DUMP and RELOCATABLE on ppc64le to be on par with the
  other archs and to allow for kdump (bnc#1135217).
- commit 1762ca8
* Mon Jun  3 2019 kbuild@suse.de
- Automatically updated to 5.2-rc3
- commit ad16da3
* Sat Jun  1 2019 kbuild@suse.de
- Automatically updated to 5.2-rc2-324-g3ab4436f688c
- commit fbb8121
* Fri May 31 2019 kbuild@suse.de
- Automatically updated to 5.2-rc2-158-g036e34310931
- commit d660ef4
* Thu May 30 2019 kbuild@suse.de
- Automatically updated to 5.2-rc2-24-gbec7550cca10
- commit e83528c
* Wed May 29 2019 mkubecek@suse.cz
- config: refresh vanilla configs
- commit 15a48ad
* Wed May 29 2019 mkubecek@suse.cz
- refresh configs after Tumbleweed switch to gcc9 as default
- commit 92c3741
* Wed May 29 2019 yousaf.kaukab@suse.com
- config: armv7hl: lpae: Update to v5.2.0-rc2
- commit 408b7f2
* Wed May 29 2019 yousaf.kaukab@suse.com
- config: armv7hl: Update to v5.2.0-rc2
- commit 1e90b2b
* Wed May 29 2019 yousaf.kaukab@suse.com
- config: armv6hl: Update to v5.2.0-rc2
- commit 865ac31
* Wed May 29 2019 kbuild@suse.de
- Automatically updated to 5.2-rc2-8-g9fb67d643f6f
- commit 7dd399e
* Tue May 28 2019 yousaf.kaukab@suse.com
- config: arm64: Update to v5.2.0-rc2
- commit e3717c7
* Mon May 27 2019 kbuild@suse.de
- Automatically updated to 5.2-rc2
- commit 612ccfb
* Sun May 26 2019 kbuild@suse.de
- Automatically updated to 5.2-rc1-383-g35efb51eee22
- commit 3fdfdec
* Sat May 25 2019 kbuild@suse.de
- Automatically updated to 5.2-rc1-369-g2409207a73cc
- commit e5ad140
* Fri May 24 2019 kbuild@suse.de
- Automatically updated to 5.2-rc1-172-g4dde821e4296
- commit 3254071
* Thu May 23 2019 kbuild@suse.de
- Automatically updated to 5.2-rc1-165-g54dee406374c
- commit c9fc3b3
* Wed May 22 2019 kbuild@suse.de
- Automatically updated to 5.2-rc1-129-g9c7db5004280
- commit 7862f71
* Tue May 21 2019 kbuild@suse.de
- Automatically updated to 5.2-rc1-97-g5bdd9ad875b6
- commit ef3f0c4
* Mon May 20 2019 mkubecek@suse.cz
- config: refresh vanilla configs
- commit d6b435c
* Mon May 20 2019 mkubecek@suse.cz
- net: phy: rename Asix Electronics PHY driver.
  Fix duplicate module name asix by renaming phy driver to ax88796b.
- Update config files.
- commit 56231a0
* Mon May 20 2019 kbuild@suse.de
- Automatically updated to 5.2-rc1
- commit aab1352
* Mon May 20 2019 mkubecek@suse.cz
- Update to 5.2-rc1
- Eliminated 106 patches (105 stable, 1 other)
- ARM configs need update
- Refresh
  patches.rpmify/scripts-mkmakefile-honor-second-argument.patch
  patches.suse/dm-mpath-leastpending-path-update
  patches.suse/supported-flag
  patches.suse/supported-flag-external
  patches.suse/vfs-add-super_operations-get_inode_dev
- New config options:
  - General setup
  - IKHEADERS_PROC=n
  - SHUFFLE_PAGE_ALLOCATOR=y
  - Security
  - SECURITY_TOMOYO_INSECURE_BUILTIN_SETTING=n
  - Filesystems
  - UNICODE=y
  - UNICODE_NORMALIZATION_SELFTEST=n
  - Crypto
  - CRYPTO_ECRDSA=m
  - Networking
  - BATMAN_ADV_SYSFS=y
  - BT_MTKSDIO=m
  - XILINX_LL_TEMAC=m
  - MT7615E=m
  - RTW88=m
  - RTW88_8822BE=y
  - RTW88_8822CE=y
  - RTW88_DEBUG=n
  - RTW88_DEBUGFS=n
  - INFINIBAND_EFA=m
  - Storage
  - DM_DUST=m
  - MTD drivers
  - MTD_RAW_NAND=m
  - MTD_NAND_ECC_SW_BCH=y
  - MTD_NAND_ECC_SW_HAMMING_SMC=n
  - Input
  - KEYBOARD_QT1050=m
  - TOUCHSCREEN_IQS5XX=m
  - INPUT_GPIO_VIBRA=n
  - INPUT_REGULATOR_HAPTIC=m
  - HID_MACALLY=m
  - HID_U2FZERO=m
  - INPUT_MAX77650_ONKEY=m
  - Serial
  - NULL_TTY=m
  - SERIAL_SIFIVE=m
  - Power management
  - CHARGER_MANAGER=y
  - CHARGER_LT3651=m
  - CHARGER_UCS1002=m
  - SENSORS_IR38064=m
  - SENSORS_ISL68137=m
  - SENSORS_LTC2978_REGULATOR=y
  - THERMAL_MMIO=m
  - MFD_MAX77650=m
  - MFD_STMFX=m
  - REGULATOR_DEBUG=n
  - REGULATOR_FIXED_VOLTAGE=m
  - REGULATOR_VIRTUAL_CONSUMER=m
  - REGULATOR_USERSPACE_CONSUMER=m
  - REGULATOR_88PG86X=m
  - REGULATOR_ACT8865=m
  - REGULATOR_AD5398=m
  - REGULATOR_AXP20X=m
  - REGULATOR_DA9062=m
  - REGULATOR_DA9210=m
  - REGULATOR_DA9211=m
  - REGULATOR_FAN53555=m
  - REGULATOR_GPIO=m
  - REGULATOR_ISL9305=m
  - REGULATOR_ISL6271A=m
  - REGULATOR_LM363X=m
  - REGULATOR_LP3971=m
  - REGULATOR_LP3972=m
  - REGULATOR_LP872X=m
  - REGULATOR_LP8755=m
  - REGULATOR_LTC3589=m
  - REGULATOR_LTC3676=m
  - REGULATOR_MAX1586=m
  - REGULATOR_MAX77650=m
  - REGULATOR_MAX8649=m
  - REGULATOR_MAX8660=m
  - REGULATOR_MAX8907=m
  - REGULATOR_MAX8952=m
  - REGULATOR_MAX8973=m
  - REGULATOR_MCP16502=m
  - REGULATOR_MT6311=m
  - REGULATOR_PFUZE100=m
  - REGULATOR_PV88060=m
  - REGULATOR_PV88080=m
  - REGULATOR_PV88090=m
  - REGULATOR_PWM=m
  - REGULATOR_QCOM_SPMI=m
  - REGULATOR_SY8106A=m
  - REGULATOR_TPS51632=m
  - REGULATOR_TPS62360=m
  - REGULATOR_TPS65023=m
  - REGULATOR_TPS6507X=m
  - REGULATOR_TPS65132=m
  - REGULATOR_TPS6524X=m
  - REGULATOR_VCTRL=m
  - CHARGER_MAX77650=m
  - Media
  - MEDIA_CONTROLLER_REQUEST_API=y
  - VIDEO_V4L2_SUBDEV_API=y
  - V4L2_FLASH_LED_CLASS=m
  - VIDEO_COBALT=n
  - VIDEO_IPU3_CIO2=m
  - VIDEO_CADENCE_CSI2RX=m
  - VIDEO_CADENCE_CSI2TX=m
  - VIDEO_MUX=m
  - VIDEO_XILINX=m
  - VIDEO_XILINX_TPG=m
  - VIDEO_VIMC=m
  - VIDEO_IPU3_IMGU=m
  - DRM
  - NOUVEAU_LEGACY_CTX_SUPPORT=n
  - DRM_PANEL_FEIYANG_FY07024DI26A30D=n
  - DRM_PANEL_ROCKTECH_JH057N00900=n
  - DRM_PANEL_RONBO_RB070D30=n
  - Sound
  - SND_SOC_FSL_AUDMIX=n
  - SND_SOC_SOF_TOPLEVEL=y
  - SND_SOC_SOF_PCI=m
  - SND_SOC_SOF_ACPI=m
  - SND_SOC_SOF_NOCODEC=n
  - SND_SOC_SOF_STRICT_ABI_CHECKS=n
  - SND_SOC_SOF_DEBUG=n
  - SND_SOC_SOF_INTEL_TOPLEVEL=y
  - SND_SOC_SOF_BAYTRAIL_SUPPORT=y
  - SND_SOC_SOF_BROADWELL_SUPPORT=y
  - SND_SOC_SOF_MERRIFIELD_SUPPORT=y
  - SND_SOC_SOF_APOLLOLAKE_SUPPORT=y
  - SND_SOC_SOF_GEMINILAKE_SUPPORT=y
  - SND_SOC_SOF_CANNONLAKE_SUPPORT=y
  - SND_SOC_SOF_COFFEELAKE_SUPPORT=y
  - SND_SOC_SOF_ICELAKE_SUPPORT=y
  - SND_SOC_SOF_HDA_LINK=y
  - SND_SOC_SOF_HDA_AUDIO_CODEC=y
  - SND_SOC_INTEL_SOF_RT5682_MACH=m
  - USB
  - TYPEC_NVIDIA_ALTMODE=m
  - LEDS
  - LEDS_LM3532=m
  - LEDS_REGULATOR=m
  - LEDS_MAX77650=m
  - Platform
  - CROS_EC_RPMSG=m
  - CROS_USBPD_LOGGER=m
  - CLK_SIFIVE=n
  - IXP4XX_QMGR=n
  - IXP4XX_NPE=m
  - IIO
  - CC10001_ADC=n
  - TI_ADS8344=n
  - FXAS21002C=n
  - MB1232=n
  - MAX31856=m
  - Misc drivers
  - I2C_AMD_MP2=m
  - PINCTRL_STMFX=n
  - FIELDBUS_DEV=n
  - KPC2000=n
  - NVMEM_SYSFS=y
  - COUNTER=n
  - GPIO_MAX77650=m
  - Library
  - PACKING=n
  - Debugging and testing
  - DEBUG_INFO_BTF=n
  - DEBUG_MISC=n
  - DEBUG_PLIST=n
  - TEST_STRSCPY=n
  - x86
  - ACPI_HMAT=y
  - INTEL_CHT_INT33FE=m
  - INTEL_ISH_FIRMWARE_DOWNLOADER=m
  - i386
  - MEMORY_HOTPLUG=y
  - MEMORY_HOTPLUG_DEFAULT_ONLINE=n
  - MEMORY_HOTREMOVE
  - XEN_BALLOON_MEMORY_HOTPLUG=y
  - XEN_BALLOON_MEMORY_HOTPLUG_LIMIT=4
  - DEV_DAX_KMEM=m
  - MEMORY_NOTIFIER_ERROR_INJECT=m
  - ACPI_HOTPLUG_MEMORY=y
  - ppc64 / ppc64le
  - PPC_KUEP=y
  - PPC_KUAP=y
  - PPC_KUAP_DEBUG=n
  - MTD_NAND_DENALI_PCI=m
  - MTD_NAND_CAFE=m
  - MTD_NAND_GPIO=m
  - MTD_NAND_PLATFORM=m
  - MTD_NAND_NANDSIM=m
  - MTD_NAND_RICOH=m
  - MTD_NAND_DISKONCHIP=m
  - MTD_NAND_DISKONCHIP_PROBE_ADVANCED=n
  - MTD_NAND_DISKONCHIP_BBTWRITE=n
  - INTEGRITY_PLATFORM_KEYRING=y
  - OPTIMIZE_INLINING=y
  - XMON_DEFAULT_RO_MODE=y
  - s390x
  - KEXEC_VERIFY_SIG=n
  - RELOCATABLE=y
  - RANDOMIZE_BASE=y
  - PROTECTED_VIRTUALIZATION_GUEST=y
  - LCD_CLASS_DEVICE=n
  - BACKLIGHT_CLASS_DEVICE=n
  - INTEGRITY_PLATFORM_KEYRING=y
  - OPTIMIZE_INLINING=n
- commit 8193b07
* Sat May 18 2019 kbuild@suse.de
- Automatically updated to 5.1-12511-g72cf0b07418a
- commit 2661bf4
* Fri May 17 2019 kbuild@suse.de
- Automatically updated to 5.1-12317-ga6a4b66bd8f4
- commit 0c5a563
* Thu May 16 2019 mwilck@suse.com
- Update config files: disable CONFIG_IDE for ppc64/ppc64le (bsc#1135333)
- commit a8ef7bf
* Thu May 16 2019 kbuild@suse.de
- Automatically updated to 5.1-11058-g83f3ef3de625
- commit d41b1de
* Wed May 15 2019 kbuild@suse.de
- Automatically updated to 5.1-10874-g5ac94332248e
- commit 80fada1
* Tue May 14 2019 kbuild@suse.de
- Automatically updated to 5.1-10240-g63863ee8e2f6
- commit 1d50a87
* Tue May 14 2019 mkubecek@suse.cz
- config: keep LSM empty in s390x/zfcpdump
  This config doesn't really build AppArmor and always had
  DEFAULT_SECURITY_DAC so it seems more consistent to keep LSM list empty.
- commit ab50d17
* Tue May 14 2019 mkubecek@suse.cz
- config: enable AppArmor by default again (bsc#1134906)
  AppArmor used to be enabled in kernel by default by after the recent
  introduction of CONFIG_LSM, we disabled all LSM modules. Enable AppArmor
  again.
- commit c5370e2
* Mon May 13 2019 kbuild@suse.de
- Automatically updated to 5.1-9970-gd7a02fa0a8f9
- commit f4cc956
* Sun May 12 2019 kbuild@suse.de
- Automatically updated to 5.1-9811-g8148c17b179d
- commit 85c4c9c
* Sat May 11 2019 kbuild@suse.de
- Automatically updated to 5.1-9698-g1fb3b526df3b
- commit 3e7d2b5
* Fri May 10 2019 kbuild@suse.de
- Automatically updated to 5.1-9365-g8ea5b2abd07e
- commit 775f8e3
* Thu May  9 2019 kbuild@suse.de
- Automatically updated to 5.1-8122-ga2d635decbfa
- commit c576996
* Thu May  9 2019 guillaume.gardet@free.fr
- Sign non-x86 kernels when possible (boo#1134303)
- commit bac621c
* Wed May  8 2019 kbuild@suse.de
- Automatically updated to 5.1-5445-g80f232121b69
- commit d95dbf3
* Tue May  7 2019 kbuild@suse.de
- Automatically updated to 5.1-1199-g71ae5fc87c34
- commit 23d5781
* Mon May  6 2019 kbuild@suse.de
- Automatically updated to 5.1
- commit 1f71677
* Mon May  6 2019 mkubecek@suse.cz
- Update to 5.1 final
- Eliminated 1 patch
- New config options:
  - PCI:
  - PCIE_BW=n (recommended default)
- commit 22bde20
* Sun May  5 2019 kbuild@suse.de
- Automatically updated to 5.1-rc7-177-g6203838dec05
- commit 0ccefdb
* Sat May  4 2019 kbuild@suse.de
- Automatically updated to 5.1-rc7-175-gaa1be08f5258
- commit 515dc0a
* Fri May  3 2019 kbuild@suse.de
- Automatically updated to 5.1-rc7-131-gea9866793d1e
- commit fd95c4b
* Thu May  2 2019 kbuild@suse.de
- Automatically updated to 5.1-rc7-29-g600d7258316d
- commit f200edf
* Wed May  1 2019 kbuild@suse.de
- Automatically updated to 5.1-rc7-16-gf2bc9c908dfe
- commit fecd1d4
* Tue Apr 30 2019 kbuild@suse.de
- Automatically updated to 5.1-rc7-5-g83a50840e72a
- commit 78046f9
* Mon Apr 29 2019 kbuild@suse.de
- Automatically updated to 5.1-rc7
- commit e508e26
* Mon Apr 29 2019 mkubecek@suse.cz
- Update to 5.1-rc7
- add patches.suse/rdma-fix-argument-of-ZERO_PAGE-in-rdma_umap_fault.patch
  (tentative s390x build fix)
- New config options:
  - ARM:
  - KEYBOARD_SNVS_PWRKEY=m
  - armv7hl:
  - FRAME_POINTER=y
  - UNWINDER_FRAME_POINTER=y
- commit 4c14eee
* Sun Apr 28 2019 kbuild@suse.de
- Automatically updated to 5.1-rc6-127-g037904a22bf8
- commit fa6e372
* Sat Apr 27 2019 kbuild@suse.de
- Automatically updated to 5.1-rc6-120-gbaf76f0c58ae
- commit e77bb63
* Fri Apr 26 2019 kbuild@suse.de
- Automatically updated to 5.1-rc6-72-g8113a85f8720
- commit 21b85ac
* Thu Apr 25 2019 kbuild@suse.de
- Automatically updated to 5.1-rc6-64-gcd8dead0c394
- commit 2319f7c
* Wed Apr 24 2019 kbuild@suse.de
- Automatically updated to 5.1-rc6-15-gba25b50d582f
- commit 71f9be4
* Tue Apr 23 2019 kbuild@suse.de
- Automatically updated to 5.1-rc6-4-g7142eaa58b49
- commit 8ee314b
* Mon Apr 22 2019 kbuild@suse.de
- Automatically updated to 5.1-rc6
- commit b502870
* Sun Apr 21 2019 mkubecek@suse.cz
- Update to v5.1-rc6
- New config options:
  - IIO:
  - SENSIRION_SGP30=n
- commit 3cae807
* Sun Apr 21 2019 kbuild@suse.de
- Automatically updated to 5.1-rc5-342-g9e5de623a0cb
- commit b7b5326
* Sat Apr 20 2019 kbuild@suse.de
- Automatically updated to 5.1-rc5-271-g371dd432ab39
- commit 8295324
* Fri Apr 19 2019 kbuild@suse.de
- Automatically updated to 5.1-rc5-201-g6d906f998179
- commit 5c9442f
* Thu Apr 18 2019 kbuild@suse.de
- Automatically updated to 5.1-rc5-170-ge53f31bffe1d
- commit debd53a
* Wed Apr 17 2019 kbuild@suse.de
- Automatically updated to 5.1-rc5-36-g444fe9913539
- commit 153e23c
* Tue Apr 16 2019 kbuild@suse.de
- Automatically updated to 5.1-rc5-10-g618d919cae2f
- commit 53437af
* Mon Apr 15 2019 kbuild@suse.de
- Automatically updated to 5.1-rc5
- commit 38b10cf
* Sun Apr 14 2019 kbuild@suse.de
- Automatically updated to 5.1-rc4-255-g4443f8e6ac77
- commit e478716
* Sat Apr 13 2019 kbuild@suse.de
- Automatically updated to 5.1-rc4-207-g6d0a598489ca
- commit ad4236e
* Fri Apr 12 2019 kbuild@suse.de
- Automatically updated to 5.1-rc4-62-g2d06b235815e
- commit b91c6dc
* Thu Apr 11 2019 msuchanek@suse.de
- Do not provide kernel-default from kernel-default-base (boo#1132154, bsc#1106751).
- commit 0e54e61
* Thu Apr 11 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: only provide firmware actually present in
  subpackage.
- commit 839debd
* Thu Apr 11 2019 kbuild@suse.de
- Automatically updated to 5.1-rc4-58-g582549e3fbe1
- commit d260ab9
* Wed Apr 10 2019 msuchanek@suse.de
- kernel-subpackage-spec: Add dummy package to ensure subpackages are
  rebuilt with kernel update (bsc#1106751).
  In factory packages are not rebuilt automatically so a dependency is
  needed on the old kernel to get a rebuild with the new kernel. THe
  subpackage itself cannot depend on the kernel so add another empty
  pacakge that does depend on it.
- commit 6d14837
* Wed Apr 10 2019 kbuild@suse.de
- Automatically updated to 5.1-rc4-43-g771acc7e4a6e
- commit 412ea53
* Tue Apr  9 2019 jdelvare@suse.de
- Disable CONFIG_SERIO_OLPC_APSP on all but armv7
  This driver is only used by ARMv7-based OLPC laptops.
- commit 9710914
* Tue Apr  9 2019 jdelvare@suse.de
- Disable CONFIG_SENSORS_OCC_*
  These drivers are running on the BMC of PowerPC servers. The BMC runs
  OpenBMC and is not a target for SUSE distributions.
- commit b17982d
* Tue Apr  9 2019 kbuild@suse.de
- Automatically updated to 5.1-rc4-34-g869e3305f23d
- commit e3c1a11
* Mon Apr  8 2019 kbuild@suse.de
- Automatically updated to 5.1-rc4-3-gfd008d1a7a20
- commit f9577cc
* Mon Apr  8 2019 mkubecek@suse.cz
- config: disable DEVKMEM (bsc#1128045)
- commit 9121e61
* Mon Apr  8 2019 mkubecek@suse.cz
- Update to 5.1-rc4
- Refresh configs
- commit 50e7bc2
* Sun Apr  7 2019 kbuild@suse.de
- Automatically updated to 5.1-rc3-264-gfaac51ddac45
- commit 39986bc
* Sat Apr  6 2019 kbuild@suse.de
- Automatically updated to 5.1-rc3-251-gf654f0fc0bd3
- commit 568fedf
* Fri Apr  5 2019 kbuild@suse.de
- Automatically updated to 5.1-rc3-206-gea2cec24c8d4
- commit a27080b
* Thu Apr  4 2019 kbuild@suse.de
- Automatically updated to 5.1-rc3-40-g145f47c7381d
- commit b0f4081
* Wed Apr  3 2019 kbuild@suse.de
- Automatically updated to 5.1-rc3-22-ga816fd6b49b6
- commit 0d25a69
* Tue Apr  2 2019 kbuild@suse.de
- Automatically updated to 5.1-rc3-14-g5e7a8ca31926
- commit 7680cf7
* Mon Apr  1 2019 kbuild@suse.de
- Automatically updated to 5.1-rc3
- commit de651fd
* Mon Apr  1 2019 mkubecek@suse.cz
- Update to 5.1-rc3
- Eliminated 1 patch
- Config changes:
  - SECURITY_DEFAULT_* are back
  - enable CONFIG_OF in i386/pae and copy dependent options from default
- commit f915b91
* Sun Mar 31 2019 kbuild@suse.de
- Automatically updated to 5.1-rc2-470-gb5c8314f0eba
- commit 84e6511
* Sat Mar 30 2019 kbuild@suse.de
- Automatically updated to 5.1-rc2-383-g922c010cf236
- commit 8b0feaa
* Fri Mar 29 2019 kbuild@suse.de
- Automatically updated to 5.1-rc2-247-g9936328b41ce
- commit b08d625
* Thu Mar 28 2019 yousaf.kaukab@suse.com
- config: arm64: enable CPPC support
- commit 5bf3ae1
* Thu Mar 28 2019 kbuild@suse.de
- Automatically updated to 5.1-rc2-208-g1a9df9e29c2a
- commit 17b2c2c
* Wed Mar 27 2019 kbuild@suse.de
- Automatically updated to 5.1-rc2-24-g14c741de9386
- commit 6470190
* Tue Mar 26 2019 kbuild@suse.de
- Automatically updated to 5.1-rc2-1-ga3ac7917b730
- commit 2aa8aba
* Mon Mar 25 2019 kbuild@suse.de
- Automatically updated to 5.1-rc2
- commit b82369f
* Mon Mar 25 2019 mkubecek@suse.cz
- Update to 5.1-rc2
- New config options:
  - CHARLCD_BL_FLASH=y
  - PARPORT_PANEL=m (renamed from PANEL)
  - PANEL=m
- commit 4cd2cd2
* Sun Mar 24 2019 kbuild@suse.de
- Automatically updated to 5.1-rc1-125-g1bdd3dbfff7a
- commit e3e058b
* Sat Mar 23 2019 kbuild@suse.de
- Automatically updated to 5.1-rc1-100-ga5ed1e96cafd
- commit 62f1ddb
* Fri Mar 22 2019 msuchanek@suse.de
- Do not provide kernel-default-srchash from kernel-default-base.
- commit d6c71ce
* Fri Mar 22 2019 kbuild@suse.de
- Automatically updated to 5.1-rc1-66-gfd1f297b794c
- commit d77e250
* Thu Mar 21 2019 kbuild@suse.de
- Automatically updated to 5.1-rc1-29-g54c490164523
- commit be11cbc
* Thu Mar 21 2019 mkubecek@suse.cz
- config: apply recent changes to ARM configs
- CONFIG_PREEMPT_VOLUNTARY=y
- disable CONFIG_IMA_ARCH_POLICY
- enable CONFIG_IMA_APPRAISE_BOOTPARAM
- CONFIG_LSM=""
- commit a090760
* Wed Mar 20 2019 yousaf.kaukab@suse.com
- config: arm64: Update to v5.1-rc1
- commit a1e1694
* Wed Mar 20 2019 msuchanek@suse.de
- rpm/kernel-subpackage-build: handle arm kernel zImage.
- commit 81a63c3
* Wed Mar 20 2019 jslaby@suse.cz
- config: disable IMA_ARCH_POLICY for now
  When IMA_ARCH_POLICY was enabled during the 5.0-rc* stage, IMA causes
  kdump load to fail:
  kexec_file_load failed: Permission denied
  ima: impossible to appraise a kernel image without a file descriptor; try using kexec_file_load syscall.
  We have to fix kexec tooling before enabling IMA for everyone.
  BTW IMA_APPRAISE_BOOTPARAM was disabled by IMA_ARCH_POLICY=y. So
  restore the original state (and functionality).
- commit 4d2e574
* Wed Mar 20 2019 kbuild@suse.de
- Automatically updated to 5.1-rc1-15-gbabf09c3837f
- commit d23a4a5
* Wed Mar 20 2019 yousaf.kaukab@suse.com
- config: armv6hl: Update to v5.1-rc1
  CONFIG_BPFILTER_UMH is disabled due to bsc#1127188
- commit d26f160
* Tue Mar 19 2019 yousaf.kaukab@suse.com
- config: armv7hl: Update to v5.1-rc1
  CONFIG_BPFILTER_UMH is disabled due to bsc#1127188
- commit e95003a
* Mon Mar 18 2019 mkubecek@suse.cz
- Update to 5.1-rc1
- Eliminated 74 patches (73 stable, 1 other)
- ARM configs need update
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
  patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch
  patches.suse/genksyms-add-override-flag.diff
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  patches.suse/readahead-request-tunables.patch
  patches.suse/supported-flag
  patches.suse/vfs-add-super_operations-get_inode_dev
- New config options:
  - General:
  - IO_URING=y
  - PRINTK_CALLER=n
  - File systems:
  - CONFIG_SUNRPC_DISABLE_INSECURE_ENCTYPES=n
  - VALIDATE_FS_PARSER=n
  - Networking:
  - NET_DEVLINK=y
  - XDP_SOCKETS_DIAG=m
  - MT7603E=m
  - TI_CPSW_PHY_SEL=n
  - Power management:
  - CPU_IDLE_GOV_TEO=y
  - DAX:
  - DEV_DAX_KMEM=m
  - DEV_DAX_PMEM_COMPAT=m
  - USB:
  - USB_AUTOSUSPEND_DELAY=2
  - USB_EHCI_FSL=m
  - Graphics:
  - DRM_ETNAVIV=n
  - DRM_NOUVEAU_SVM=n
  - VIDEO_FB_IVTV_FORCE_PAT=n
  - Sound:
  - SND_SOC_CROS_EC_CODEC=m
  - SND_SOC_CS35L36=m
  - SND_SOC_CS4341=m
  - SND_SOC_FSL_MICFIL=n
  - SND_SOC_MAX98373=m
  - SND_SOC_MT6358=n
  - SND_SOC_MTK_BTCVSD=m
  - SND_SOC_RK3328=n
  - SND_SOC_WM8904=n
  - SND_SOC_XILINX_AUDIO_FORMATTER=n
  - SND_SOC_XILINX_SPDIF=n
  - Input:
  - HID_MALTRON=m
  - HID_VIEWSONIC=m
  - TTY:
  - LDISC_AUTOLOAD=y
  - RTC:
  - RTC_DRV_ABEOZ9=m
  - RTC_DRV_RV3028=m
  - RTC_DRV_SD3078=m
  - RTC_DRV_WILCO_EC=m
  - Industrial IO:
  - AD7606_IFACE_PARALLEL=n
  - AD7606_IFACE_SPI=n
  - AD7768_1=n
  - MAX44009=m
  - PMS7003=n
  - SPS30=n
  - TI_DAC7612=n
  - Misc drivers:
  - ALTERA_FREEZE_BRIDGE=m
  - EDAC_I10NM=m
  - EXTCON_PTN5150=m
  - GNSS_MTK_SERIAL=m
  - GPIO_AMD_FCH=m
  - GPIO_TQMX86=m
  - HABANA_AI=m
  - INPUT_MSM_VIBRATOR=n
  - INTEL_MEI_HDCP=m
  - INTERCONNECT=m
  - IR_RCMM_DECODER=m
  - MFD_TQMX86=m
  - MLX_WDT=m
  - SPI_MTK_QUADSPI=m
  - SPI_NXP_FLEXSPI=n
  - SPI_SIFIVE=n
  - WILCO_EC=m
  - WILCO_EC_DEBUGFS=n
  - Virtualization:
  - HYPERV_IOMMU=y
  - Security:
  - LSM=""
  - SECURITY_SAFESETID=n
  - Testing:
  - TEST_LIVEPATCH=n
  - TEST_STACKINIT=n
  - TEST_VMALLOC=n
  - x86:
  - PCENGINES_APU2=m
  - ppc64/ppc64le:
  - NVRAM=m
  - KCOV=n
  - s390x:
  UID16=y
  DMA_FENCE_TRACE=n
  SCSI_GDTH=n
  UDMABUF=y
  - */debug:
  - PRINTK_CALLER=n
- commit f558da0
* Mon Mar 18 2019 kbuild@suse.de
- Automatically updated to 5.1-rc1
- commit e39b72c
* Mon Mar 18 2019 msuchanek@suse.de
- Trim build dependencies of sample subpackage spec file (FATE#326579,
  jsc#SLE-4117, jsc#SLE-3853, bsc#1128910).
- commit 2eae420
* Sun Mar 17 2019 kbuild@suse.de
- Automatically updated to 5.0-11998-ga9dce6679d73
- commit c1f66eb
* Sun Mar 17 2019 mkubecek@suse.cz
- config: enable RANDOM_TRUST_CPU
  The outcome from mailing list discussion when this config option
  appeared was that it makes more sense to enable it by default and let
  those who do not trust their CPU override it on command line; but then
  I forgot to actually change the value.
- commit bca56eb
* Sat Mar 16 2019 kbuild@suse.de
- Automatically updated to 5.0-11906-g9c7dc824d9a4
- commit 63b8fc4
* Fri Mar 15 2019 tiwai@suse.de
- Update config files: disable CONFIG_FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER (bsc#1127552)
  The deferred fbcon takeover makes little sense with the current openSUSE
  boot setup, and it's harmful (more glitches, etc).  Disable it for now.
- commit 6214b4f
* Fri Mar 15 2019 kbuild@suse.de
- Automatically updated to 5.0-11520-gf261c4e529da
- commit dc6f40c
* Fri Mar 15 2019 msuchanek@suse.de
- Remove the previous subpackage infrastructure.
  This partially reverts commit 9b3ca32c11854156b2f950ff5e26131377d8445e
  ("Add kernel-subpackage-build.spec (FATE#326579).")
- commit a5ee24e
* Fri Mar 15 2019 msuchanek@suse.de
- Add sample kernel-default-base spec file (FATE#326579, jsc#SLE-4117,
  jsc#SLE-3853, bsc#1128910).
- commit 35c4a52
* Thu Mar 14 2019 msuchanek@suse.de
- Install extra rpm scripts for kernel subpackaging (FATE#326579,
  jsc#SLE-4117, jsc#SLE-3853, bsc#1128910).
- commit ad7c227
* Thu Mar 14 2019 kbuild@suse.de
- Automatically updated to 5.0-11139-gfa3d493f7a57
- commit 7a6e817
* Wed Mar 13 2019 kbuild@suse.de
- Automatically updated to 5.0-11053-gebc551f2b8f9
- commit e1d3326
* Tue Mar 12 2019 kbuild@suse.de
- Automatically updated to 5.0-10742-gea295481b6e3
- commit be3a22f
* Mon Mar 11 2019 kbuild@suse.de
- Automatically updated to 5.0-10360-g12ad143e1b80
- commit 8e7b8ba
* Sun Mar 10 2019 kbuild@suse.de
- Automatically updated to 5.0-10067-g6cdc577a18a6
- commit fb148db
* Sat Mar  9 2019 kbuild@suse.de
- Automatically updated to 5.0-8894-g38e7571c07be
- commit 8eb4798
* Fri Mar  8 2019 msuchanek@suse.de
- Update config files.
- commit 693e4a4
* Fri Mar  8 2019 kbuild@suse.de
- Automatically updated to 5.0-7001-g610cd4eadec4
- commit ddc3a59
* Thu Mar  7 2019 msuchanek@suse.de
- KMPs: provide and conflict a kernel version specific KMP name
  (bsc#1127155, bsc#1109137).
- commit 5568093
* Thu Mar  7 2019 kbuild@suse.de
- Automatically updated to 5.0-6399-gf90d64483ebd
- commit c16c2e4
* Wed Mar  6 2019 msuchanek@suse.de
- Revert "Drop multiversion(kernel) from the KMP template (fate#323189)"
  (bsc#1109137).
  This reverts commit 71504d805c1340f68715ad41958e5ef35da2c351.
- commit adade9f
* Wed Mar  6 2019 kbuild@suse.de
- Automatically updated to 5.0-3452-g3717f613f48d
- commit 50ffaf4
* Tue Mar  5 2019 kbuild@suse.de
- Automatically updated to 5.0-510-gcd2a3bf02625
- commit f835a4a
* Tue Mar  5 2019 mkubecek@suse.cz
- config: disable BPFILTER_UMH on non-x86 architectures (bsc#1127188)
  CONFIG_BPFILTER_UMH depends on ability to compile and link a userspace
  binary so that it currently doesn't work in our kbuild check setups using
  a cross compiler. Disable the option on architectures where cross compiler
  is used (i.e. all except x86_64 and i386).
- commit 57639d9
* Mon Mar  4 2019 msuchanek@suse.de
- KMPs: obsolete older KMPs of the same flavour (bsc#1127155, bsc#1109137).
- commit 821419f
* Mon Mar  4 2019 kbuild@suse.de
- Automatically updated to 5.0
- commit 0a040b4
* Mon Mar  4 2019 mkubecek@suse.cz
- Update to 5.0 final
- Refresh configs
- commit 40f2c94
* Sun Mar  3 2019 kbuild@suse.de
- Automatically updated to 5.0-rc8-106-gc027c7cf1577
- commit 22a9520
* Sat Mar  2 2019 kbuild@suse.de
- Automatically updated to 5.0-rc8-35-ga215ce8f0e00
- commit 84d346e
* Thu Feb 28 2019 msuchanek@suse.de
- Update config files.
- commit cea8e1f
* Thu Feb 28 2019 msuchanek@suse.de
- Update config files.
- commit 547d99f
* Thu Feb 28 2019 msuchanek@suse.de
- Refresh patches.rpmify/Add-ksym-provides-tool.patch.
- commit fbc3467
* Thu Feb 28 2019 msuchanek@suse.de
- Update ppc64le config file.
  LD_HEAD_STUB_CATCH=y
- commit 1b1a015
* Wed Feb 27 2019 msuchanek@suse.de
- BPF: UMH: do not detect if compiler can link userspace program
  (boo#1127188).
- commit 86a5a1c
* Tue Feb 26 2019 kbuild@suse.de
- Automatically updated to 5.0-rc8-3-g7d762d69145a
- commit 9b0f4b3
* Mon Feb 25 2019 kbuild@suse.de
- Automatically updated to 5.0-rc8
- commit f143c81
* Sun Feb 24 2019 kbuild@suse.de
- Automatically updated to 5.0-rc7-184-ge60b5f79bd75
- commit 54389af
* Sat Feb 23 2019 kbuild@suse.de
- Automatically updated to 5.0-rc7-177-gcb268d806972
- commit 9aa5870
* Fri Feb 22 2019 kbuild@suse.de
- Automatically updated to 5.0-rc7-118-g8a61716ff2ab
- commit 258d841
* Fri Feb 22 2019 mkubecek@suse.cz
- config: enable PREEMPT_VOLUNTARY (bsc#1125004)
  Switch to PREEMPT_VOLUNTARY everywhere except s390x/zfcpdump.
- commit 71ac976
* Thu Feb 21 2019 kbuild@suse.de
- Automatically updated to 5.0-rc7-87-gf6163d67cc31
- commit 2fc26a3
* Wed Feb 20 2019 kbuild@suse.de
- Automatically updated to 5.0-rc7-64-g40e196a906d9
- commit 570f777
* Tue Feb 19 2019 mbenes@suse.cz
- rpm/klp-symbols: Remove the second column in Symbols.list
  Symbols.list file contains also a symbol type next to its name.
  klp-convert cannot handle it well and it is superfluous anyway.
- commit 62a0a00
* Tue Feb 19 2019 kbuild@suse.de
- Automatically updated to 5.0-rc7-11-gb5372fe5dc84
- commit 8150533
* Mon Feb 18 2019 kbuild@suse.de
- Automatically updated to 5.0-rc7
- commit 791179b
* Sun Feb 17 2019 kbuild@suse.de
- Automatically updated to 5.0-rc6-183-g64c0133eb88a
- commit 8ce9327
* Sat Feb 16 2019 kbuild@suse.de
- Automatically updated to 5.0-rc6-153-g5ded5871030e
- commit 747fbbd
* Fri Feb 15 2019 kbuild@suse.de
- Automatically updated to 5.0-rc6-46-gcb5b020a8d38
- commit 3bea7de
* Wed Feb 13 2019 kbuild@suse.de
- Automatically updated to 5.0-rc6-42-g1f947a7a011f
- commit 00a6fb5
* Tue Feb 12 2019 kbuild@suse.de
- Automatically updated to 5.0-rc6-13-gaa0c38cf39de
- commit 59eed41
* Mon Feb 11 2019 kbuild@suse.de
- Automatically updated to 5.0-rc6
- commit 4ec0146
* Sun Feb 10 2019 kbuild@suse.de
- Automatically updated to 5.0-rc5-358-gdf3865f8f568
- commit 272fceb
* Sat Feb  9 2019 kbuild@suse.de
- Automatically updated to 5.0-rc5-322-g46c291e277f9
- commit 0866b44
* Fri Feb  8 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Build livepatch support in SUSE release
  projects (bsc#1124167).
- commit 7519080
* Fri Feb  8 2019 kbuild@suse.de
- Automatically updated to 5.0-rc5-40-g74e96711e337
- commit 478a34e
* Thu Feb  7 2019 kbuild@suse.de
- Automatically updated to 5.0-rc5-26-g6f64e3a4de74
- commit 44be6a7
* Mon Feb  4 2019 kbuild@suse.de
- Automatically updated to 5.0-rc5
- commit 1dc063e
* Sun Feb  3 2019 mkubecek@suse.cz
- Update to 5.0-rc5
- Config changes:
  - x86:
  - X86_RESCTRL renamed to X86_CPU_RESCTRL
- commit 3a02608
* Sun Feb  3 2019 kbuild@suse.de
- Automatically updated to 5.0-rc4-218-g12491ed354d2
- commit 3784a31
* Sat Feb  2 2019 kbuild@suse.de
- Automatically updated to 5.0-rc4-168-gcd984a5be215
- commit b81e8d2
* Fri Feb  1 2019 kbuild@suse.de
- Automatically updated to 5.0-rc4-106-g5b4746a03199
- commit affaa35
* Thu Jan 31 2019 kbuild@suse.de
- Automatically updated to 5.0-rc4-76-gaf0c9af1b3f6
- commit 0376413
* Wed Jan 30 2019 mwilck@suse.com
- rpm/kernel-binary.spec.in: fix initrd permissions (bsc#1123697)
  dracut has been using permissions 0600 for the initrd for a long
  time. On SLE15 or higher, that leads to a permission mismatch
  reported by "rpm -V". Set the permissions correctly for our
  ghost file.
- commit 9e5e2a5
* Wed Jan 30 2019 kbuild@suse.de
- Automatically updated to 5.0-rc4-59-g62967898789d
- commit 9985a06
* Tue Jan 29 2019 kbuild@suse.de
- Automatically updated to 5.0-rc4-1-g4aa9fc2a435a
- commit 06351b4
* Mon Jan 28 2019 tiwai@suse.de
- doc/README.SUSE: Correct description for building a kernel (bsc#1123348)
  The obsoleted make cloneconfig is corrected.  Also the order of make
  scripts and make prepare are corrected as well.
- commit 17a2073
* Mon Jan 28 2019 kbuild@suse.de
- Automatically updated to 5.0-rc4
- commit 6f6dad1
* Mon Jan 28 2019 tiwai@suse.de
- rpm/release-projects: Add SUSE:Maintenance:* for MU kernels (bsc#1123317)
- commit c784b79
* Mon Jan 28 2019 mkubecek@suse.cz
- Update to 5.0-rc4
- commit ebcc582
* Sun Jan 27 2019 kbuild@suse.de
- Automatically updated to 5.0-rc3-241-g7c2614bf7a1f
- commit d0625ab
* Sat Jan 26 2019 kbuild@suse.de
- Automatically updated to 5.0-rc3-206-gba6069759381
- commit 5f4adb3
* Fri Jan 25 2019 kbuild@suse.de
- Automatically updated to 5.0-rc3-130-gd73aba1115cf
- commit aa92dea
* Thu Jan 24 2019 kbuild@suse.de
- Automatically updated to 5.0-rc3-66-g30bac164aca7
- commit 573f798
* Thu Jan 24 2019 msuchanek@suse.de
- rpm/kernel-*.spec.in: replace update srchash dependencies (FATE#325312).
  Due to some limitations version cannot be matched so move the hash into
  the provide name.
- commit 219bcec
* Wed Jan 23 2019 kbuild@suse.de
- Automatically updated to 5.0-rc3-53-g333478a7eb21
- commit 69cd73b
* Tue Jan 22 2019 kbuild@suse.de
- Automatically updated to 5.0-rc3-27-g48b161983ae5
- commit 9bfcccc
* Mon Jan 21 2019 kbuild@suse.de
- Automatically updated to 5.0-rc3
- commit 24b9e15
* Mon Jan 21 2019 mkubecek@suse.cz
- Update to 5.0-rc3
- Config changes:
  - ARM64:
  - HSA_AMD=y
- commit 70f1b4e
* Sun Jan 20 2019 kbuild@suse.de
- Automatically updated to 5.0-rc2-345-g6e693b3ffecb
- commit a34db74
* Sat Jan 19 2019 kbuild@suse.de
- Automatically updated to 5.0-rc2-281-g2339e91d0e66
- commit 1cd0829
* Fri Jan 18 2019 kbuild@suse.de
- Automatically updated to 5.0-rc2-211-gd7393226d15a
- commit 9bb82dc
* Thu Jan 17 2019 kbuild@suse.de
- Automatically updated to 5.0-rc2-145-g7fbfee7c80de
- commit 7099e16
* Wed Jan 16 2019 kbuild@suse.de
- Automatically updated to 5.0-rc2-141-g47bfa6d9dc8c
- commit b9bc95c
* Tue Jan 15 2019 kbuild@suse.de
- Automatically updated to 5.0-rc2-36-gfe76fc6aaf53
- commit b664e75
* Mon Jan 14 2019 kbuild@suse.de
- Automatically updated to 5.0-rc2
- commit 1cafc22
* Mon Jan 14 2019 mkubecek@suse.cz
- Update to 5.0-rc2
- Config changes:
  - x86:
  - RESCTRL renamed to X86_RESCTRL
- commit ea08432
* Sun Jan 13 2019 kbuild@suse.de
- Automatically updated to 5.0-rc1-217-ge1706720408e
- commit 5df1583
* Sat Jan 12 2019 kbuild@suse.de
- Automatically updated to 5.0-rc1-164-g4b3c31c8d4dd
- commit 5dc4578
* Fri Jan 11 2019 afaerber@suse.de
- config: arm64: Update to 5.0-rc1
- commit 31e9acc
* Fri Jan 11 2019 msuchanek@suse.de
- tar-up.sh: do not copy files ending with ~
- commit aff5480
* Fri Jan 11 2019 kbuild@suse.de
- Automatically updated to 5.0-rc1-43-g1bdbe2274920
- commit 5dfb2e0
* Thu Jan 10 2019 kbuild@suse.de
- Automatically updated to 5.0-rc1-24-g4064e47c8281
- commit c4220d2
* Wed Jan  9 2019 kbuild@suse.de
- Automatically updated to 5.0-rc1-18-ga88cc8da0279
- commit a5a2897
* Mon Jan  7 2019 mkubecek@suse.cz
- config: restore accidentally lost BPFILTER_UMH (ppc64, ppc64le, s390x)
- commit e6c2fea
* Mon Jan  7 2019 kbuild@suse.de
- Automatically updated to 5.0-rc1-1-g3bd6e94bec12
- commit a940c64
* Mon Jan  7 2019 mkubecek@suse.cz
- Update to 5.0-rc1
- Eliminated 1 patch
- ARM configs need update
- Config changes:
  - PM:
  - ENERGY_MODEL=y
  - Networking:
  - CAN_FLEXCAN=m
  - USB_NET_AQC111=m
  - QTNFMAC_PCIE=m
  - VIRT_WIFI=m
  - PCI:
  - PCI_MESON=n
  - SCSI:
  - SCSI_UFS_CDNS_PLATFORM=m
  - NVME:
  - NVME_TCP=m
  - NVME_TARGET_TCP=m
  - Graphics:
  - DRM_PANEL_OLIMEX_LCD_OLINUXINO=n
  - DRM_PANEL_SAMSUNG_S6D16D0=n
  - DRM_PANEL_TRULY_NT35597_WQXGA=n
  - TINYDRM_HX8357D=n
  - Sound:
  - SND_SOC_AMD_ACP3x=n
  - SND_SOC_INTEL_KBL_RT5660_MACH=m
  - SND_SOC_XILINX_I2S=n
  - SND_SOC_AK4118=n
  - Multimedia:
  - VIDEO_ASPEED=m
  - VIDEO_SECO_CEC=m
  - VIDEO_SECO_RC=y
  - I3C:
  - I3C=m
  - CDNS_I3C_MASTER=m
  - DW_I3C_MASTER=m
  - IIO:
  - AD7124=n
  - AD7949=n
  - TI_DAC7311=n
  - VCNL4035=n
  - SENSORS_RM3100_I2C=n
  - SENSORS_RM3100_SPI=n
  - MCP41010=m
  - PHY:
  - PHY_CADENCE_SIERRA=m
  - PHY_FSL_IMX8MQ_USB=m
  - misc drivers:
  - MTD_PHYSMAP_GPIO_ADDR=y
  - SPI_MXIC=n
  - MISC_ALCOR_PCI=m
  - RC_XBOX_DVD=m
  - PINCTRL_OCELOT=n
  - GPIO_CADENCE=m
  - SENSORS_OCC_P8_I2C=m
  - TQMX86_WDT=m
  - MMC_ALCOR=m
  - MMC_SDHCI_AM654=m
  - LEDS_TRIGGER_AUDIO=m
  - SERIO_OLPC_APSP=m
  - Security:
  - INTEGRITY_PLATFORM_KEYRING=y
  - IMA_ARCH_POLICY=y
  - Crypto:
  - CRYPTO_ADIANTUM=m
  - CRYPTO_STREEBOG=m
  - CRYPTO_STATS=n
  - Library:
  - RAID6_PQ_BENCHMARK=y (preserve current behaviour)
  - Testing:
  - TEST_OBJAGG=n
  - x86:
  - RESCTRL=y
  - HUAWEI_WMI=m
  - i386:
  - PVH=y
  - MTD_PHYSMAP_OF=m
  - ppc*:
  - PVPANIC=m
  - FB_LOGO_CENTER=n
  - FSI_OCC=m
  - DEBUG_VIRTUAL=n
  - SENSORS_OCC_P9_SBE=m
  - s390x:
  - PCCARD=n
  - RAPIDIO
  - other RapidIO options copy other architectures
  - DMADEVICES related options copy other architectures
  - */debug:
  - CRYPTO_STATS=y
  - TTY_PRINTK_LEVEL=6
- commit dff178e
* Sun Jan  6 2019 kbuild@suse.de
- Automatically updated to 4.20-11471-gb5aef86e089a
- commit 6350a9d
* Sat Jan  5 2019 kbuild@suse.de
- Automatically updated to 4.20-10986-g3fed6ae4b027
- commit a2a0273
* Fri Jan  4 2019 kbuild@suse.de
- Automatically updated to 4.20-10979-g96d4f267e40f
- commit 312ac23
* Thu Jan  3 2019 kbuild@suse.de
- Automatically updated to 4.20-10911-g645ff1e8e704
- commit f665ce6
* Wed Jan  2 2019 kbuild@suse.de
- Automatically updated to 4.20-10595-g8e143b90e4d4
- commit d3ad2fa
* Tue Jan  1 2019 kbuild@suse.de
- Automatically updated to 4.20-10214-ge1ef035d272e
- commit f9f5815
* Sun Dec 30 2018 kbuild@suse.de
- Automatically updated to 4.20-9163-g195303136f19
- commit 369e205
* Sat Dec 29 2018 kbuild@suse.de
- Automatically updated to 4.20-8955-g903b77c63167
- commit 558ae5c
* Fri Dec 28 2018 kbuild@suse.de
- Automatically updated to 4.20-6428-g00c569b567c7
- commit f611e7b
* Thu Dec 27 2018 kbuild@suse.de
- Automatically updated to 4.20-3763-gfc2fd5f0f1aa
- commit 2c4b268
* Wed Dec 26 2018 kbuild@suse.de
- Automatically updated to 4.20-2953-g5694cecdb092
- commit 8acb11d
* Mon Dec 24 2018 kbuild@suse.de
- Automatically updated to 4.20
- commit b7e4505
* Mon Dec 24 2018 mkubecek@suse.cz
- Update to 4.20 final
- Eliminated 1 patch
- Refresh configs
- commit 9fd0a76
* Sun Dec 23 2018 kbuild@suse.de
- Automatically updated to 4.20-rc7-284-g9105b8aa50c1
- commit b8bb7a6
* Sat Dec 22 2018 kbuild@suse.de
- Automatically updated to 4.20-rc7-274-g23203e3f34c9
- commit aeb8f64
* Fri Dec 21 2018 kbuild@suse.de
- Automatically updated to 4.20-rc7-214-g9097a058d49e
- commit 297e7c4
* Thu Dec 20 2018 kbuild@suse.de
- Automatically updated to 4.20-rc7-23-gab63e725b49c
- commit d124d0f
* Wed Dec 19 2018 kbuild@suse.de
- Automatically updated to 4.20-rc7-10-g62393dbcbe0f
- commit b4e5d56
* Tue Dec 18 2018 kbuild@suse.de
- Automatically updated to 4.20-rc7-2-g1a9430db2835
- commit 258c534
* Mon Dec 17 2018 kbuild@suse.de
- Automatically updated to 4.20-rc7
- commit ec7eb96
* Mon Dec 17 2018 mkubecek@suse.cz
- Update to 4.20-rc7
- Config changes:
  - ARM:
  - MEDIA_CONTROLLER_REQUEST_API=y
- commit 484f750
* Sat Dec 15 2018 kbuild@suse.de
- Automatically updated to 4.20-rc6-161-g6531e115b7ab
- commit 9744e14
* Fri Dec 14 2018 kbuild@suse.de
- Automatically updated to 4.20-rc6-82-g65e08c5e8631
- commit 4603d2a
* Tue Dec 11 2018 kbuild@suse.de
- Automatically updated to 4.20-rc6-25-gf5d582777bcb
- commit 5d73f0e
* Mon Dec 10 2018 afaerber@suse.de
- config: arm: Enable EFI support (boo#1104833)
- commit 6235ac9
* Mon Dec 10 2018 afaerber@suse.de
- config: armv7hl: Update to 4.20-rc5
- commit f119d3e
* Mon Dec 10 2018 kbuild@suse.de
- Automatically updated to 4.20-rc6
- commit 23d72c9
* Mon Dec 10 2018 mkubecek@suse.cz
- Update to 4.20-rc6
- Eliminated 1 patch
- Refresh configs
- commit f12c54e
* Sun Dec  9 2018 kbuild@suse.de
- Automatically updated to 4.20-rc5-197-g8214bdf7d3e6
- commit adca163
* Sat Dec  8 2018 kbuild@suse.de
- Automatically updated to 4.20-rc5-178-g5f179793f0a7
- commit 859e795
* Sat Dec  8 2018 msuchanek@suse.de
- Include modules.fips in kernel-binary as well as kernel-binary-base
  (FATE#323247).
- commit e42315d
* Fri Dec  7 2018 kbuild@suse.de
- Automatically updated to 4.20-rc5-86-gb72f711a4efa
- commit 32b4ad8
* Thu Dec  6 2018 msuchanek@suse.de
- Update config files.
- commit c7d5854
* Thu Dec  6 2018 kbuild@suse.de
- Automatically updated to 4.20-rc5-62-gcf76c364a1e1
- commit 7f6f583
* Tue Dec  4 2018 msuchanek@suse.de
- Refresh patches.rpmify/Add-ksym-provides-tool.patch.
  HOSTLOADLIBES_ -> HOSTLDLIBS_
- commit db3fbb4
* Tue Dec  4 2018 msuchanek@suse.de
- Update config files.
- commit 6fd9c7b
* Tue Dec  4 2018 kbuild@suse.de
- Automatically updated to 4.20-rc5-21-g0072a0c14d5b
- commit fd64934
* Mon Dec  3 2018 afaerber@suse.de
- config: armv6hl: Update to 4.20-rc5
- commit 6222a9a
* Mon Dec  3 2018 kbuild@suse.de
- Automatically updated to 4.20-rc5
- commit b71fdca
* Mon Dec  3 2018 guillaume.gardet@free.fr
- config: armv7hl: Build some options as modules (boo#1104833)
  Enable HISI_THERMAL=m while at it.
- commit 1dc0381
* Mon Dec  3 2018 mkubecek@suse.cz
- Update to 4.20-rc5
- Config changes:
  - General:
  - PSI_DEFAULT_DISABLED=y
  - Sound:
  - SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC=y
  - ARM:
  - ARM64_ERRATUM_1286807=y
- commit c05e42c
* Sun Dec  2 2018 kbuild@suse.de
- Automatically updated to 4.20-rc4-398-g4b78317679c4
- commit 0ab0bbe
* Sat Dec  1 2018 kbuild@suse.de
- Automatically updated to 4.20-rc4-350-gd8f190ee836a
- commit 14d6062
* Fri Nov 30 2018 kbuild@suse.de
- Automatically updated to 4.20-rc4-156-g94f371cb7394
- commit 3dfb45c
* Tue Nov 27 2018 kbuild@suse.de
- Automatically updated to 4.20-rc4-7-gef78e5ec9214
- commit 7852ac4
* Mon Nov 26 2018 kbuild@suse.de
- Automatically updated to 4.20-rc4
- commit 5c66458
* Mon Nov 26 2018 mkubecek@suse.cz
- Update to 4.20-rc4
- Config changes:
  - Networking:
  - MT76_LEDS=y (split from MT76_CORE)
- commit dfaa20e
* Sun Nov 25 2018 kbuild@suse.de
- Automatically updated to 4.20-rc3-306-ge195ca6cb6f2
- commit c5c2a28
* Sat Nov 24 2018 kbuild@suse.de
- Automatically updated to 4.20-rc3-201-g7c98a4261827
- commit 38201aa
* Fri Nov 23 2018 msuchanek@suse.de
- Build ppc64le for POWER8+ (FATE#325617).
- commit 3952d52
* Fri Nov 23 2018 kbuild@suse.de
- Automatically updated to 4.20-rc3-145-gedeca3a769ad
- commit 2d90353
* Fri Nov 23 2018 msuchanek@suse.de
- Revert "Remove Cell/PS3 support from ppc64 kernel (boo#1114846)"
  This reverts commit fd6aaf7f98693355e7dcc5e4e1926fb1664d803b.
  Fixed upstream in 43c6494fa149 ("powerpc/io: Fix the IO workarounds code
  to work with Radix")
- commit 7f2660c
* Thu Nov 22 2018 kbuild@suse.de
- Automatically updated to 4.20-rc3-93-g92b419289cee
- commit f4dc533
* Wed Nov 21 2018 kbuild@suse.de
- Automatically updated to 4.20-rc3-87-gc8ce94b8fe53
- commit 6b48f78
* Tue Nov 20 2018 kbuild@suse.de
- Automatically updated to 4.20-rc3-68-gf2ce1065e767
- commit be148f8
* Mon Nov 19 2018 kbuild@suse.de
- Automatically updated to 4.20-rc3
- commit 00afb3e
* Mon Nov 19 2018 mkubecek@suse.cz
- Update to 4.20-rc3
- Refresh configs
- commit f60a009
* Sat Nov 17 2018 kbuild@suse.de
- Automatically updated to 4.20-rc2-133-g1ce80e0fe98e
- commit e3ca31f
* Fri Nov 16 2018 kbuild@suse.de
- Automatically updated to 4.20-rc2-68-gda5322e65940
- commit 0126ef1
* Thu Nov 15 2018 kbuild@suse.de
- Automatically updated to 4.20-rc2-52-g5929a1f0ff30
- commit 642fc77
* Tue Nov 13 2018 msuchanek@suse.de
- Add kernel-subpackage-build.spec (FATE#326579).
  - add kernel-subpackage-build.spec.in and support scripts
  - hook it in mkspec
  - extend the mechanism that copies dependencies inside
  kernel-binary.spec.in from kernel-%%build_flavor to
  kernel-%%build_flavor-base to also handle
  kernel-subpackage-build.spec.in using BINARY DEPS marker.
  - expand %%name in kernel-%%build_flavor so the dependencies are expanded
  correctly in kernel-subpackage-build.spec.in
- commit 9b3ca32
* Mon Nov 12 2018 kbuild@suse.de
- Automatically updated to 4.20-rc2
- commit fc598cb
* Mon Nov 12 2018 mkubecek@suse.cz
- Update to 4.20-rc2
- Eliminated 1 patch
- Config changes:
  - I2C:
    I2C_NVIDIA_GPU=m
  - USB:
    UCSI_CCG=m
- commit 6fa07fa
* Sun Nov 11 2018 afaerber@suse.de
- config: arm64: Update to 4.20-rc1
- commit af7ccce
* Sun Nov 11 2018 kbuild@suse.de
- Automatically updated to 4.20-rc1-227-ge255aee5b66c
- commit 33ac39c
* Sat Nov 10 2018 kbuild@suse.de
- Automatically updated to 4.20-rc1-145-gaa4330e15c26
- commit ce1868a
* Fri Nov  9 2018 kbuild@suse.de
- Automatically updated to 4.20-rc1-109-g24ccea7e102d
- commit 1054c77
* Thu Nov  8 2018 kbuild@suse.de
- Automatically updated to 4.20-rc1-87-g85758777c2a2
- commit f1f6e79
* Thu Nov  8 2018 jslaby@suse.cz
- doc/README.SUSE: correct GIT url
  No more gitorious, github we use.
- commit 31864f3
* Wed Nov  7 2018 kbuild@suse.de
- Automatically updated to 4.20-rc1-62-g8053e5b93eca
- commit 44019fc
* Tue Nov  6 2018 mkubecek@suse.cz
- config: reenable BPFILTER_UMH on ppc64
- commit 7c45a2f
* Tue Nov  6 2018 agraf@suse.de
- Remove Cell/PS3 support from ppc64 kernel (boo#1114846)
- commit dcf1061
* Tue Nov  6 2018 kbuild@suse.de
- Automatically updated to 4.20-rc1-1-g163c8d54a997
- commit 337b94c
* Mon Nov  5 2018 mkubecek@suse.cz
- scripts/mkmakefile: honor second argument.
- commit 71f9498
* Mon Nov  5 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: add macros.s into kernel-*-devel
  Starting with 4.20-rc1, file arch/*/kernel/macros.s is needed to build out
  of tree modules. Add it to kernel-${flavor}-devel packages if it exists.
- commit 09d14c8
* Mon Nov  5 2018 kbuild@suse.de
- Automatically updated to 4.20-rc1
- commit 374e6a4
* Mon Nov  5 2018 mkubecek@suse.cz
- Update to 4.20-rc1
- ARM configs need updating
- disabled (needs refresh):
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch
- Config changes:
  - General:
  - PSI=y
  - Networking:
  - NFT_XFRM=m
  - NET_SCH_TAPRIO=m
  - BATMAN_ADV_TRACING=n
  - NCSI_OEM_CMD_GET_MAC=y
  - EEPROM_EE1004=m
  - SCSI_UFS_BSG=y
  - SCSI_MYRB=m
  - SCSI_MYRS=m
  - IXGBE_IPSEC=y
  - IXGBEVF_IPSEC=y
  - IGC=m
  - NI_XGE_MANAGEMENT_ENET=m
  - MT76x0E=m
  - File systems:
  - EROFS_FS_IO_MAX_RETRIES=5 (default)
  - AFS_DEBUG_CURSOR=n
  - CONFIG_UBIFS_FS_AUTHENTICATION=y
  - Crypto:
  - CRYPTO_OFB=m
  - CRYPTO_STATS=n
  - ASYMMETRIC_TPM_KEY_SUBTYPE=m
  - PKCS8_PRIVATE_KEY_PARSER=m
  - TPM_KEY_PARSER=m
  - Graphics:
  - VIDEO_VICODEC=m
  - DRM_FBDEV_LEAK_PHYS_SMEM=n
  - DRM_I915_DEBUG_RUNTIME_PM=n
  - DRM_TOSHIBA_TC358764=n
  - DRM_TI_SN65DSI86=n
  - Sound:
  - SND_SOC_INTEL_KBL_DA7219_MAX98927_MACH=m
  - SND_SOC_INTEL_SKL_HDA_DSP_GENERIC_MACH=m
  - SND_SOC_MAX98088=n
  - SND_SOC_PCM3060_I2C=n
  - SND_SOC_PCM3060_SPI=n
  - SND_SOC_NAU8822=n
  - Input devices:
  - HID_BIGBEN_FF=m
  - Platform:
  - LG_LAPTOP=m
  - INTEL_ATOMISP2_PM=m
  - IIO:
  - ADXL372_SPI=n
  - ADXL372_I2C=n
  - MCP3911=n
  - QCOM_SPMI_ADC5=n
  - LTC1660=n
  - VL53L0X_I2C=m
  - Misc drivers:
  - UDMABUF=y
  - MFD_AT91_USART=n
  - LEDS_AN30259A=n
  - LEDS_TRIGGER_PATTERN=m
  - PHY_CADENCE_DP=m
  - STM_PROTO_BASIC=m
  - STM_PROTO_SYS_T=m
  - Testing:
  - TEST_XARRAY=n
  - TEST_MEMCAT_P=n
  - x86:
  - X86_CPA_STATISTICS=n (y for -debug)
  - i386:
  - MSCC_OCELOT_SWITCH_OCELOT=m
  - ppc64, ppc64le:
  - PAPR_SCM=m
  - PCI_P2PDMA=y
  - STACKPROTECTOR=y
  - STACKPROTECTOR_STRONG=n
  - BLK_DEV_PMEM=m
  - ND_BLK=m
  - BTT=y
  - NVDIMM_PFN=y
  - NVDIMM_DAX=y
  - OF_PMEM=m
  - DEV_DAX_PMEM=m
  - FAIL_FUNCTION=n
  - ENA_ETHERNET=m
  - s390:
  - VMAP_STACK=y
  - S390_AP_IOMMU=n
  - ZCRYPT_MULTIDEVNODES=y
  - KASAN=n
  - */debug:
  - INTEL_IOMMU_DEBUGFS=y
  - BPF_KPROBE_OVERRIDE=y
  - CONFIG_X86_CPA_STATISTICS=y
  - CONFIG_CRYPTO_STATS=y
- commit 2b5eb8e
* Sun Nov  4 2018 mkubecek@suse.cz
- rpm: use syncconfig instead of silentoldconfig where available
  Since mainline commit 0085b4191f3e ("kconfig: remove silentoldconfig
  target"), "make silentoldconfig" can be no longer used. Use "make
  syncconfig" instead if available.
- commit a239c6e
* Sun Nov  4 2018 kbuild@suse.de
- Automatically updated to 4.19-12838-g71e56028173b
- commit 91d587a
* Sat Nov  3 2018 kbuild@suse.de
- Automatically updated to 4.19-12675-g5f21585384a4
- commit 680f68c
* Fri Nov  2 2018 mkubecek@suse.cz
- config: enable SCSI_AACRAID on ppc64le and ppc64 (bsc#1114523)
- commit a2061cc
* Fri Nov  2 2018 kbuild@suse.de
- Automatically updated to 4.19-12532-g8adcc59974b8
- commit 5956018
* Thu Nov  1 2018 kbuild@suse.de
- Automatically updated to 4.19-12279-g5b7449810ae6
- commit 779f117
* Wed Oct 31 2018 kbuild@suse.de
- Automatically updated to 4.19-11807-g310c7585e830
- commit be5045d
* Tue Oct 30 2018 kbuild@suse.de
- Automatically updated to 4.19-11706-g11743c56785c
- commit 727ae9f
* Mon Oct 29 2018 jmoreira@suse.de
- Add version information to KLP_SYMBOLS file
- commit f77f8d2
* Sun Oct 28 2018 kbuild@suse.de
- Automatically updated to 4.19-7822-g69d5b97c5973
- commit f01c9ae
* Sat Oct 27 2018 kbuild@suse.de
- Automatically updated to 4.19-7715-g345671ea0f92
- commit 138804f
* Fri Oct 26 2018 kbuild@suse.de
- Automatically updated to 4.19-6148-ge5f6d9afa341
- commit 1a5c701
* Thu Oct 25 2018 mwilck@suse.com
- rpm/kernel-binary.spec.in: allow unsupported modules for -extra
  (bsc#1111183). SLE-15 and later only.
- commit 0d585a8
* Thu Oct 25 2018 kbuild@suse.de
- Automatically updated to 4.19-4681-g01aa9d518eae
- commit 0d8d0fd
* Wed Oct 24 2018 kbuild@suse.de
- Automatically updated to 4.19-4243-ga978a5b8d83f
- commit 1ee6776
* Tue Oct 23 2018 kbuild@suse.de
- Automatically updated to 4.19-1188-g58a022870787
- commit 5462de2
* Mon Oct 22 2018 kbuild@suse.de
- Automatically updated to 4.19
- commit 8ca9f89
* Mon Oct 22 2018 mkubecek@suse.cz
- Update to 4.19 final
- Refresh configs
- commit 952a7de
* Sun Oct 21 2018 kbuild@suse.de
- Automatically updated to 4.19-rc8-151-g23469de647c4
- commit 0308513
* Sat Oct 20 2018 kbuild@suse.de
- Automatically updated to 4.19-rc8-119-g270b77a0f30e
- commit 2820f2e
* Fri Oct 19 2018 kbuild@suse.de
- Automatically updated to 4.19-rc8-95-g91b15613ce7f
- commit 9fd764f
* Thu Oct 18 2018 kbuild@suse.de
- Automatically updated to 4.19-rc8-19-g9bd871df56a7
- commit e753957
* Wed Oct 17 2018 kbuild@suse.de
- Automatically updated to 4.19-rc8-11-gb955a910d7fd
- commit 0b65e3d
* Tue Oct 16 2018 kbuild@suse.de
- Automatically updated to 4.19-rc8-1-gf0a7d1883d9f
- commit 2f61b88
* Mon Oct 15 2018 kbuild@suse.de
- Automatically updated to 4.19-rc8
- commit 6eef83b
* Sun Oct 14 2018 kbuild@suse.de
- Automatically updated to 4.19-rc7-171-g3a27203102eb
- commit eccd485
* Sat Oct 13 2018 kbuild@suse.de
- Automatically updated to 4.19-rc7-161-gf8ccb14fd6c9
- commit 4831c94
* Fri Oct 12 2018 kbuild@suse.de
- Automatically updated to 4.19-rc7-115-g90ad18418c2d
- commit 7779c67
* Fri Oct 12 2018 tzimmermann@suse.de
- README: Clean-up trailing whitespace
- commit 06542f9
* Thu Oct 11 2018 tzimmermann@suse.de
- README: Update documentation wrt. Patch-mainline
  Common practice is to set Patch-mainline to a Linux release tag. More
  than 95%% of all patches follow this convention. The remaining 5%% have
  been fixed accordingly in SLE15.
  The README file is inconsistent wrt. to the content of Patch-mainline.
  In some places it refers to a release tag, in others it refers to a version
  number. With this cleanup, it refers to release tags everywhere.
  This change is a follow-up for commit 1d81d2699cd3.
- commit 57326f5
* Thu Oct 11 2018 kbuild@suse.de
- Automatically updated to 4.19-rc7-49-g9dcd936c5312
- commit 98bed5e
* Wed Oct 10 2018 kbuild@suse.de
- Automatically updated to 4.19-rc7-33-gbb2d8f2f6104
- commit 0c295f0
* Tue Oct  9 2018 kbuild@suse.de
- Automatically updated to 4.19-rc7-15-g64c5e530ac2c
- commit 7f23e52
* Tue Oct  9 2018 msuchanek@suse.de
- Revert "Limit kernel-source build to architectures for which we build binaries"
  This reverts commit d6435125446d740016904abe30a60611549ae812.
- commit 48b03c4
* Mon Oct  8 2018 kbuild@suse.de
- Automatically updated to 4.19-rc7
- commit 4599e58
* Sun Oct  7 2018 kbuild@suse.de
- Automatically updated to 4.19-rc6-369-gfb1c592cf4c9
- commit 02aec35
* Sat Oct  6 2018 kbuild@suse.de
- Automatically updated to 4.19-rc6-336-gc1d84a1b42ef
- commit 73b8f43
* Fri Oct  5 2018 kbuild@suse.de
- Automatically updated to 4.19-rc6-223-gbefad944e231
- commit 98b5be4
* Thu Oct  4 2018 kbuild@suse.de
- Automatically updated to 4.19-rc6-177-gcec4de302c5f
- commit 976b6a3
* Thu Oct  4 2018 mbrugger@suse.com
- arm64: Update config files. (bsc#1110716)
  Enable ST LPS25H pressure sensor.
- commit a43d330
* Wed Oct  3 2018 kbuild@suse.de
- Automatically updated to 4.19-rc6-29-g1d2ba7f
- commit e260cd3
* Tue Oct  2 2018 kbuild@suse.de
- Automatically updated to 4.19-rc6-18-g385afbf
- commit d2d41e2
* Tue Oct  2 2018 nborisov@suse.com
- Update config files. (boo##1109665)
- commit d7972ed
* Mon Oct  1 2018 msuchanek@suse.de
- rpm/mkspec: fix ppc64 kernel-source build.
- commit 85c9272
* Mon Oct  1 2018 kbuild@suse.de
- Automatically updated to 4.19-rc6
- commit 0dd0c86
* Sun Sep 30 2018 kbuild@suse.de
- Automatically updated to 4.19-rc5-239-g291d0e5
- commit d1a2d5d
* Sat Sep 29 2018 kbuild@suse.de
- Automatically updated to 4.19-rc5-215-ge704966
- commit 840078b
* Fri Sep 28 2018 kbuild@suse.de
- Automatically updated to 4.19-rc5-159-gad03714
- commit bffee89
* Thu Sep 27 2018 msuchanek@suse.de
- rpm/mkspec: build dtbs for architectures marked -!needs_updating
- commit 2d47640
* Thu Sep 27 2018 msuchanek@suse.de
- Limit kernel-source build to architectures for which we build binaries
  (bsc#1108281).
- commit d643512
* Thu Sep 27 2018 kbuild@suse.de
- Automatically updated to 4.19-rc5-143-gc307aaf
- commit b8d1c5e
* Wed Sep 26 2018 kbuild@suse.de
- Automatically updated to 4.19-rc5-139-ga385231
- commit d7a191d
* Tue Sep 25 2018 mbrugger@suse.com
- arm64: Update config files.
  Increase NR_CPUS to 480 (fate#325592)
- commit 9c8fef5
* Tue Sep 25 2018 kbuild@suse.de
- Automatically updated to 4.19-rc5-98-g2dd68cc
- commit b2f97ee
* Mon Sep 24 2018 kbuild@suse.de
- Automatically updated to 4.19-rc5
- commit 09d0c64
* Sun Sep 23 2018 kbuild@suse.de
- Automatically updated to 4.19-rc4-235-ga83f87c
- commit 44be0b6
* Sat Sep 22 2018 kbuild@suse.de
- Automatically updated to 4.19-rc4-209-g10dc890
- commit feca305
* Fri Sep 21 2018 kbuild@suse.de
- Automatically updated to 4.19-rc4-176-g211b100
- commit bfce664
* Thu Sep 20 2018 kbuild@suse.de
- Automatically updated to 4.19-rc4-135-g4b92e7f
- commit 0104932
* Wed Sep 19 2018 kbuild@suse.de
- Automatically updated to 4.19-rc4-83-gf21f7fa
- commit 14546cd
* Tue Sep 18 2018 kbuild@suse.de
- Automatically updated to 4.19-rc4-78-g5211da9
- commit c963e82
* Mon Sep 17 2018 kbuild@suse.de
- Automatically updated to 4.19-rc4-22-gad3273d
- commit f0db892
* Mon Sep 17 2018 mkubecek@suse.cz
- Update to 4.19-rc4
- Eliminated 1 patch
- Config changes:
  - Filesystems:
  - EROFS_FS=m
  - EROFS_FS_DEBUG=n
  - EROFS_FS_XATTR=y
  - EROFS_FS_POSIX_ACL=y
  - EROFS_FS_SECURITY=y
  - EROFS_FS_USE_VM_MAP_RAM=n
  - EROFS_FAULT_INJECTION=n
  - EROFS_FS_ZIP=n
- commit 3bdc0a3
* Sun Sep 16 2018 kbuild@suse.de
- Automatically updated to 4.19-rc3-327-g27c5a77
- commit b5dbdf1
* Sat Sep 15 2018 kbuild@suse.de
- Automatically updated to 4.19-rc3-278-g3a5af36
- commit d49ad5c
* Fri Sep 14 2018 msuchanek@suse.de
- doc/README.SUSE: Remove mentions of cloneconfig (bsc#1103636).
- commit 3371adc
* Fri Sep 14 2018 kbuild@suse.de
- Automatically updated to 4.19-rc3-186-ga06b0c8
- commit 0e0dd25
* Thu Sep 13 2018 kbuild@suse.de
- Automatically updated to 4.19-rc3-130-g54eda9d
- commit c034629
* Wed Sep 12 2018 kbuild@suse.de
- Automatically updated to 4.19-rc3-21-g5e33554
- commit ccfb074
* Mon Sep 10 2018 msuchanek@suse.de
- macros.kernel-source: pass -b properly in kernel module package
  (bsc#1107870).
- commit 66709cd
* Mon Sep 10 2018 kbuild@suse.de
- Automatically updated to 4.19-rc3
- commit b52434f
* Mon Sep 10 2018 mkubecek@suse.cz
- Update to 4.19-rc3
- refresh configs
- commit df98ef4
* Sun Sep  9 2018 kbuild@suse.de
- Automatically updated to 4.19-rc2-285-gf8f6538
- commit 9e40d44
* Sat Sep  8 2018 kbuild@suse.de
- Automatically updated to 4.19-rc2-246-gd7b686e
- commit 02e4223
* Fri Sep  7 2018 jeffm@suse.com
- config: disable HFS_FS
  It has no maintainer and has been a source of fuzzer bugs.  hfsplus handles
  the HFS+ file system that became the default on MacOS in 1998.
- commit 4f1e938
* Fri Sep  7 2018 kbuild@suse.de
- Automatically updated to 4.19-rc2-205-ga49a9dc
- commit ebb1833
* Thu Sep  6 2018 kbuild@suse.de
- Automatically updated to 4.19-rc2-163-gb36fdc6
- commit 5370433
* Wed Sep  5 2018 kbuild@suse.de
- Automatically updated to 4.19-rc2-107-g2861952
- commit c0fd7f2
* Mon Sep  3 2018 kbuild@suse.de
- Automatically updated to 4.19-rc2-4-g60c1f89
- commit f8e47cf
* Mon Sep  3 2018 jslaby@suse.cz
- rpm/kernel-binary.spec.in: fix call of split-modules
  split-modules is called with some parameters depending on config
  options. But since we do not use backslash consistelny, the call to
  split-modules might be evaluated so that also the following cat
  command is appended. Avoid this behaviour by using backslashes
  everywhere and add %%nil to the end.
  This perhaps never happens, but stay on the safe side.
- commit 32df888
* Mon Sep  3 2018 mkubecek@suse.cz
- Update to 4.19-rc2
- refresh configs
- commit a22fa8c
* Sun Sep  2 2018 kbuild@suse.de
- Automatically updated to 4.19-rc1-219-g360bd62
- commit dfe4545
* Sat Sep  1 2018 afaerber@suse.de
- config: arm64: Increase SERIAL_8250_RUNTIME_UARTS to 32 (boo#1073193)
  (cherry picked from commit 0dbc49ba128ef0931ca04cf22ec5c638534f5b23)
- commit ddb64c4
* Sat Sep  1 2018 afaerber@suse.de
- config: Enable SERIAL_SC16IS7XX_SPI on arm and x86 (bsc#1105672, fate#326668)
  (cherry picked from commit cdc9eced6d892ff77abbeef5f0d5eb38c114602c)
- commit b314f5b
* Sat Sep  1 2018 afaerber@suse.de
- config: Consistently increase SERIAL_8250_NR_UARTS to 32 (boo#1073193)
  (cherry picked from commit acb36abf212a3a7428d958798d678d82351f4658)
- commit 099c0c1
* Sat Sep  1 2018 afaerber@suse.de
- config: armv7hl: Update to 4.19-rc1
- commit 0b1c307
* Sat Sep  1 2018 afaerber@suse.de
- config: armv7hl: Update to 4.18.5 (bsc#1012628)
  (cherry picked from commit fa0ebc5508eedec2c9108cafdf854a8c53a28a83)
  [AF: Don't re-enable the configs yet]
- commit fc7614c
* Sat Sep  1 2018 afaerber@suse.de
- config: armv6hl: Update to 4.19-rc1
- commit 5bf544c
* Sat Sep  1 2018 kbuild@suse.de
- Automatically updated to 4.19-rc1-214-g420f51f
- commit 5d32a17
* Fri Aug 31 2018 afaerber@suse.de
- config: armv6hl: Update to 4.18.5 (bsc#1012628)
  (cherry picked from commit e9071067714392290f6b0d525c77c8abfa8cf075)
  [AF: Don't re-enable configs yet]
- commit 677660c
* Fri Aug 31 2018 afaerber@suse.de
- config: arm64: Update to 4.19-rc1
- commit 29013ce
* Fri Aug 31 2018 kbuild@suse.de
- Automatically updated to 4.19-rc1-195-g4658aff
- commit a6148c8
* Thu Aug 30 2018 kbuild@suse.de
- Automatically updated to 4.19-rc1-124-g58c3f14
- commit 7611177
* Wed Aug 29 2018 mkubecek@suse.cz
- kernel-binary: check also bzImage on s390/s390x
  Starting with 4.19-rc1, uncompressed image is no longer built on s390x.
  If file "image" is not found in arch/s390/boot after the build, try bzImage
  instead.
  For now, install bzImage under the name image-* until we know grub2 and our
  grub2 scripts can handle correct name.
- commit 92b52c6
* Wed Aug 29 2018 kbuild@suse.de
- Automatically updated to 4.19-rc1-95-g3f16503
- commit e54ebe1
* Tue Aug 28 2018 kbuild@suse.de
- Automatically updated to 4.19-rc1-88-g050cdc6
- commit ab5bb5c
* Mon Aug 27 2018 kbuild@suse.de
- Automatically updated to 4.19-rc1
- commit 7f024e1
* Mon Aug 27 2018 mkubecek@suse.cz
- Update to 4.19-rc1
- Eliminated 179 patches (167 stable, 12 other)
- ARM configs need updating
- Config changes:
  - Block:
  - BLK_CGROUP_IOLATENCY=y
  - Networking:
  - XFRM_INTERFACE=m
  - NETFILTER_NETLINK_OSF=m
  - NFT_TUNNEL=m
  - NFT_OSF=m
  - NFT_TPROXY=m
  - NET_SCH_ETF=m
  - NET_SCH_SKBPRIO=m
  - NET_SCH_CAKE=m
  - CAN_UCAN=m
  - BT_HCIUART_RTL=y
  - BT_MTKUART=m
  - BCMGENET=m
  - SYSTEMPORT=m
  - BNXT_HWMON=y
  - NET_VENDOR_CADENCE=y	(rename)
  - BE2NET_BE2=y
  - BE2NET_BE3=y
  - BE2NET_LANCER=y
  - BE2NET_SKYHAWK=y
  - MLX5_EN_ARFS=y
  - MLX5_EN_RXNFC=y
  - NET_VENDOR_NETERION=y
  - NET_VENDOR_PACKET_ENGINES=y
  - MT76x0U=m
  - MT76x2U=m
  - IEEE802154_HWSIM=m
  - File systems:
  - OVERLAY_FS_METACOPY=n
  - UBIFS_FS_XATTR=y
  - PSTORE_ZSTD_COMPRESS=y
  - CIFS_ALLOW_INSECURE_LEGACY=y
  - Security:
  - RANDOM_TRUST_CPU=n
  - IMA_APPRAISE_BUILD_POLICY=n
  - Hacking:
  - CONSOLE_LOGLEVEL_QUIET=4
  - KPROBE_EVENTS_ON_NOTRACE=n
  - TEST_BITFIELD=n
  - TEST_IDA=n
  - Library:
  - CRC64=m
  - Graphics:
  - VIDEO_CROS_EC_CEC=m
  - DRM_DP_CEC=y
  - DRM_VKMS=m
  - TINYDRM_ILI9341=n
  - FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER=y
  - Sound:
  - SND_SOC_INTEL_GLK_RT5682_MAX98357A_MACH=m
  - SND_SOC_ES7241=n
  - SND_SOC_SIMPLE_AMPLIFIER=n
  - Input:
  - TOUCHSCREEN_ADC=m
  - TOUCHSCREEN_BU21029=m
  - HID_COUGAR=m
  - USB:
  - TYPEC_DP_ALTMODE=m
  - Multifunction:
  - MFD_MADERA=m
  - MFD_MADERA_I2C=m
  - MFD_MADERA_SPI=m
  - GPIO_MADERA=m
  - MFD_CS47L35=y
  - MFD_CS47L85=y
  - MFD_CS47L90=y
  - IIO:
  - BME680=m
  - AD5758=n
  - SI1133=n
  - ISL29501=m
  - FPGA:
  - FPGA_DFL=m
  - FPGA_DFL_FME=m
  - FPGA_DFL_FME_MGR=m
  - FPGA_DFL_FME_BRIDGE=m
  - FPGA_DFL_FME_REGION=m
  - FPGA_DFL_AFU=m
  - FPGA_DFL_PCI=m
  - XILINX_PR_DECOUPLER=m
  - Power management:
  - IDLE_INJECT=y
  - CHARGER_ADP5061=m
  - CHARGER_CROS_USBPD=m
  - SENSORS_MLXREG_FAN=m
  - SENSORS_NPCM7XX=m
  - Misc drivers:
  - GNSS=m
  - GNSS_SERIAL=m
  - GNSS_SIRF_SERIAL=m
  - GNSS_UBX_SERIAL=m
  - MTD_SPI_NAND=m
  - NVM_PBLK_DEBUG=n
  - PINCTRL_ICELAKE=m
  - COMMON_CLK_MAX9485=n
  - IOMMU_DEFAULT_PASSTHROUGH=n
  - XEN:
  - XEN_GRANT_DMA_ALLOC=y
  - XEN_GNTDEV_DMABUF=y
  - x86:
  - STAGING_GASKET_FRAMEWORK=m
  - STAGING_APEX_DRIVER=m
  - XIL_AXIS_FIFO=m
  - TOUCHSCREEN_DMI=y
  - I2C_MULTI_INSTANTIATE=m
  - CROS_EC_I2C=m
  - CROS_EC_SPI=m
  - MLXREG_IO=m
  - i386:
  - PCIE_XILINX=y
  - MFD_ROHM_BD718XX=n
  - DRM_PANEL_ILITEK_ILI9881C=n
  - MMC_SDHCI_OF_DWCMSHC=n
  - PAGE_TABLE_ISOLATION=y
  - PowerPC:
  - I2C_MUX_PINCTRL=m
  - I2C_DEMUX_PINCTRL=m
  - I2C_FSI=m
  - DEBUG_PINCTRL=n
  - PINCTRL_AMD=m
  - PINCTRL_MCP23S08=n
  - PINCTRL_SINGLE=n
  - PINCTRL_SX150X=n
  - LEDS_AAT1290=n
  - FSI_NEW_DEV_NODE=n
  - FSI_SBEFIFO=m
  - S/390:
  - KERNEL_GZIP=y
  - S2IO=m
  - VXGE=m
  - VXGE_DEBUG_TRACE_ALL=n
  - HAMACHI=m
  - YELLOWFIN=m
  - MDIO_BCM_UNIMAC=m
  - ISM=m
  - */debug:
  - NVM_PBLK_DEBUG=y
  - IOMMU_DEBUGFS=y
  - PREEMPTIRQ_DELAY_TEST=m
- commit e57803c
* Sun Aug 26 2018 kbuild@suse.de
- Automatically updated to 4.18-12952-g2923b27
- commit 274aecf
* Sat Aug 25 2018 kbuild@suse.de
- Automatically updated to 4.18-12872-g0519359
- commit f2cfbad
* Fri Aug 24 2018 kbuild@suse.de
- Automatically updated to 4.18-12721-g33e1787
- commit a7e9486
* Fri Aug 24 2018 jslaby@suse.cz
- Update config files.
- Delete
  patches.suse/revert-mm-relax-deferred-struct-page-requirements.patch.
  We actually do not this non-upstream revert. We only need the config
  change. That is: leave DEFERRED_STRUCT_PAGE_INIT=n for i386 as it was
  before 4.16.
- commit c57c75a
* Thu Aug 23 2018 kbuild@suse.de
- Automatically updated to 4.18-11682-g815f0dd
- commit 0e9917d
* Wed Aug 22 2018 kbuild@suse.de
- Automatically updated to 4.18-11219-gad1d697
- commit e61c11f
* Tue Aug 21 2018 kbuild@suse.de
- Automatically updated to 4.18-10986-g778a339
- commit c7b2a7f
* Mon Aug 20 2018 kbuild@suse.de
- Automatically updated to 4.18-10721-g2ad0d52
- commit 8836f16
* Sun Aug 19 2018 kbuild@suse.de
- Automatically updated to 4.18-10568-g08b5fa8
- commit 3545283
* Sat Aug 18 2018 kbuild@suse.de
- Automatically updated to 4.18-8895-g1f7a4c7
- commit 36e3e5c
* Fri Aug 17 2018 kbuild@suse.de
- Automatically updated to 4.18-8108-g5c60a73
- commit df595aa
* Fri Aug 17 2018 mkubecek@suse.cz
- rpm/constraints.in: raise memory constraints
  Build statistics show that most architectures already need more than 2 GB.
  Require 4 GB except s390x where the memory usage is much lower and we might
  have trouble finding any compliant worker.
- commit 00579e0
* Thu Aug 16 2018 msuchanek@suse.de
- Refresh patches.rpmify/Add-ksym-provides-tool.patch.
- commit 0fd1ea7
* Thu Aug 16 2018 msuchanek@suse.de
- Update config files.
- commit 7c3ff89
* Thu Aug 16 2018 msuchanek@suse.de
- Automatically updated to 4.18-7873-gf91e654474d4
- commit 1961821
* Thu Aug 16 2018 kbuild@suse.de
- Automatically updated to 4.18-7873-gf91e654
- commit 3918e8c
* Wed Aug 15 2018 kbuild@suse.de
- Automatically updated to 4.18-2972-g31130a1
- commit ea8330c
* Wed Aug 15 2018 mkubecek@suse.cz
- Update config files.
- commit cd74c39
* Wed Aug 15 2018 jslaby@suse.cz
- Linux 4.18.1-rc1
  It contains the L1TF fixes, so push the rc1 for now.
- x86/paravirt: Fix spectre-v2 mitigations for paravirt guests
  (bnc#1012628).
- x86/speculation: Protect against userspace-userspace spectreRSB
  (bnc#1012628).
- kprobes/x86: Fix %%p uses in error messages (bnc#1012628).
- x86/irqflags: Provide a declaration for native_save_fl
  (bnc#1012628).
- x86/speculation/l1tf: Increase 32bit PAE __PHYSICAL_PAGE_SHIFT
  (bnc#1012628).
- x86/speculation/l1tf: Change order of offset/type in swap entry
  (bnc#1012628).
- x86/speculation/l1tf: Protect swap entries against L1TF
  (bnc#1012628).
- x86/speculation/l1tf: Protect PROT_NONE PTEs against speculation
  (bnc#1012628).
- x86/speculation/l1tf: Make sure the first page is always
  reserved (bnc#1012628).
- x86/speculation/l1tf: Add sysfs reporting for l1tf
  (bnc#1012628).
- x86/speculation/l1tf: Disallow non privileged high MMIO
  PROT_NONE mappings (bnc#1012628).
- x86/speculation/l1tf: Limit swap file size to MAX_PA/2
  (bnc#1012628).
- x86/bugs: Move the l1tf function and define pr_fmt properly
  (bnc#1012628).
- sched/smt: Update sched_smt_present at runtime (bnc#1012628).
- x86/smp: Provide topology_is_primary_thread() (bnc#1012628).
- x86/topology: Provide topology_smt_supported() (bnc#1012628).
- cpu/hotplug: Make bringup/teardown of smp threads symmetric
  (bnc#1012628).
- cpu/hotplug: Split do_cpu_down() (bnc#1012628).
- cpu/hotplug: Provide knobs to control SMT (bnc#1012628).
- x86/cpu: Remove the pointless CPU printout (bnc#1012628).
- x86/cpu/AMD: Remove the pointless detect_ht() call
  (bnc#1012628).
- x86/cpu/common: Provide detect_ht_early() (bnc#1012628).
- x86/cpu/topology: Provide detect_extended_topology_early()
  (bnc#1012628).
- x86/cpu/intel: Evaluate smp_num_siblings early (bnc#1012628).
- x86/CPU/AMD: Do not check CPUID max ext level before parsing
  SMP info (bnc#1012628).
- x86/cpu/AMD: Evaluate smp_num_siblings early (bnc#1012628).
- x86/apic: Ignore secondary threads if nosmt=force (bnc#1012628).
- x86/speculation/l1tf: Extend 64bit swap file size limit
  (bnc#1012628).
- x86/cpufeatures: Add detection of L1D cache flush support
  (bnc#1012628).
- x86/CPU/AMD: Move TOPOEXT reenablement before reading
  smp_num_siblings (bnc#1012628).
- x86/speculation/l1tf: Protect PAE swap entries against L1TF
  (bnc#1012628).
- x86/speculation/l1tf: Fix up pte->pfn conversion for PAE
  (bnc#1012628).
- Revert "x86/apic: Ignore secondary threads if nosmt=force"
  (bnc#1012628).
- cpu/hotplug: Boot HT siblings at least once (bnc#1012628).
- x86/KVM: Warn user if KVM is loaded SMT and L1TF CPU bug being
  present (bnc#1012628).
- x86/KVM/VMX: Add module argument for L1TF mitigation
  (bnc#1012628).
- x86/KVM/VMX: Add L1D flush algorithm (bnc#1012628).
- x86/KVM/VMX: Add L1D MSR based flush (bnc#1012628).
- x86/KVM/VMX: Add L1D flush logic (bnc#1012628).
- x86/KVM/VMX: Split the VMX MSR LOAD structures to have an
  host/guest numbers (bnc#1012628).
- x86/KVM/VMX: Add find_msr() helper function (bnc#1012628).
- x86/KVM/VMX: Separate the VMX AUTOLOAD guest/host number
  accounting (bnc#1012628).
- x86/KVM/VMX: Extend add_atomic_switch_msr() to allow VMENTER
  only MSRs (bnc#1012628).
- x86/KVM/VMX: Use MSR save list for IA32_FLUSH_CMD if required
  (bnc#1012628).
- cpu/hotplug: Online siblings when SMT control is turned on
  (bnc#1012628).
- x86/litf: Introduce vmx status variable (bnc#1012628).
- x86/kvm: Drop L1TF MSR list approach (bnc#1012628).
- x86/l1tf: Handle EPT disabled state proper (bnc#1012628).
- x86/kvm: Move l1tf setup function (bnc#1012628).
- x86/kvm: Add static key for flush always (bnc#1012628).
- x86/kvm: Serialize L1D flush parameter setter (bnc#1012628).
- x86/kvm: Allow runtime control of L1D flush (bnc#1012628).
- cpu/hotplug: Expose SMT control init function (bnc#1012628).
- cpu/hotplug: Set CPU_SMT_NOT_SUPPORTED early (bnc#1012628).
- x86/bugs, kvm: Introduce boot-time control of L1TF mitigations
  (bnc#1012628).
- Documentation: Add section about CPU vulnerabilities
  (bnc#1012628).
- x86/speculation/l1tf: Unbreak !__HAVE_ARCH_PFN_MODIFY_ALLOWED
  architectures (bnc#1012628).
- x86/KVM/VMX: Initialize the vmx_l1d_flush_pages' content
  (bnc#1012628).
- Documentation/l1tf: Fix typos (bnc#1012628).
- cpu/hotplug: detect SMT disabled by BIOS (bnc#1012628).
- x86/KVM/VMX: Don't set l1tf_flush_l1d to true from
  vmx_l1d_flush() (bnc#1012628).
- x86/KVM/VMX: Replace 'vmx_l1d_flush_always' with
  'vmx_l1d_flush_cond' (bnc#1012628).
- x86/KVM/VMX: Move the l1tf_flush_l1d test to vmx_l1d_flush()
  (bnc#1012628).
- x86/irq: Demote irq_cpustat_t::__softirq_pending to u16
  (bnc#1012628).
- x86/KVM/VMX: Introduce per-host-cpu analogue of l1tf_flush_l1d
  (bnc#1012628).
- x86: Don't include linux/irq.h from asm/hardirq.h (bnc#1012628).
- x86/irq: Let interrupt handlers set kvm_cpu_l1tf_flush_l1d
  (bnc#1012628).
- x86/KVM/VMX: Don't set l1tf_flush_l1d from
  vmx_handle_external_intr() (bnc#1012628).
- Documentation/l1tf: Remove Yonah processors from not vulnerable
  list (bnc#1012628).
- x86/speculation: Simplify sysfs report of VMX L1TF vulnerability
  (bnc#1012628).
- x86/speculation: Use ARCH_CAPABILITIES to skip L1D flush on
  vmentry (bnc#1012628).
- KVM: VMX: Tell the nested hypervisor to skip L1D flush on
  vmentry (bnc#1012628).
- cpu/hotplug: Fix SMT supported evaluation (bnc#1012628).
- x86/speculation/l1tf: Invert all not present mappings
  (bnc#1012628).
- x86/speculation/l1tf: Make pmd/pud_mknotpresent() invert
  (bnc#1012628).
- x86/mm/pat: Make set_memory_np() L1TF safe (bnc#1012628).
- x86/mm/kmmio: Make the tracer robust against L1TF (bnc#1012628).
- tools headers: Synchronise x86 cpufeatures.h for L1TF additions
  (bnc#1012628).
- x86/microcode: Allow late microcode loading with SMT disabled
  (bnc#1012628).
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Update config files.
- commit 40b4d05
* Tue Aug 14 2018 kbuild@suse.de
- Automatically updated to 4.18-1283-g10f3e23
- commit e971997
* Mon Aug 13 2018 kbuild@suse.de
- Automatically updated to 4.18
- commit 4bdbe84
* Mon Aug 13 2018 mkubecek@suse.cz
- Update to 4.18-final.
- Refresh configs
- commit 17f1838
* Sun Aug 12 2018 kbuild@suse.de
- Automatically updated to 4.18-rc8-49-gec0c967
- commit 1ecce8e
* Sat Aug 11 2018 kbuild@suse.de
- Automatically updated to 4.18-rc8-30-gf313b43
- commit 5225b5a
* Fri Aug 10 2018 kbuild@suse.de
- Automatically updated to 4.18-rc8-28-g112cbae
- commit 20eedde
* Thu Aug  9 2018 kbuild@suse.de
- Automatically updated to 4.18-rc8-4-gfedb8da
- commit 72fd43a
* Tue Aug  7 2018 mkubecek@suse.cz
- config: refresh s390x/vanilla
  Add new option CONFIG_SYSTEM_DATA_VERIFICATION=n
- commit fa79b7c
* Tue Aug  7 2018 kbuild@suse.de
- Automatically updated to 4.18-rc8-2-g1236568
- commit edf3f5e
* Mon Aug  6 2018 kbuild@suse.de
- Automatically updated to 4.18-rc8
- commit 28e2bc0
* Mon Aug  6 2018 mkubecek@suse.cz
- Update to 4.18-rc8
- commit a9297d2
* Sun Aug  5 2018 kbuild@suse.de
- Automatically updated to 4.18-rc7-183-g60f5a21
- commit 8273178
* Sat Aug  4 2018 kbuild@suse.de
- Automatically updated to 4.18-rc7-178-g0b5b1f9
- commit 512ba6d
* Fri Aug  3 2018 kbuild@suse.de
- Automatically updated to 4.18-rc7-158-g0585df4
- commit 26c5afc
* Thu Aug  2 2018 kbuild@suse.de
- Automatically updated to 4.18-rc7-112-g6b47037
- commit f47a573
* Wed Aug  1 2018 kbuild@suse.de
- Automatically updated to 4.18-rc7-90-gc1d61e7
- commit 21e3767
* Tue Jul 31 2018 kbuild@suse.de
- Automatically updated to 4.18-rc7-20-g527838d
- commit 547090e
* Mon Jul 30 2018 kbuild@suse.de
- Automatically updated to 4.18-rc7
- commit ed85d8c
* Sun Jul 29 2018 kbuild@suse.de
- Automatically updated to 4.18-rc6-218-ga26fb01
- commit 83203e3
* Sat Jul 28 2018 kbuild@suse.de
- Automatically updated to 4.18-rc6-192-g864af0d
- commit f5543df
* Fri Jul 27 2018 kbuild@suse.de
- Automatically updated to 4.18-rc6-152-gcd3f77d7
- commit 898b8d0
* Thu Jul 26 2018 kbuild@suse.de
- Automatically updated to 4.18-rc6-110-g6e77b26
- commit 8eae4c6
* Wed Jul 25 2018 msuchanek@suse.de
- Automatically updated to 4.18-rc6-93-g9981b4fb8684
- commit 736d103
* Wed Jul 25 2018 kbuild@suse.de
- Automatically updated to 4.18-rc6-93-g9981b4f
- commit 6f8eb37
* Tue Jul 24 2018 dmueller@suse.com
- Reenable v8.1/v8.2 aarch64 extensions
  These were enabled already in SLE15 and we want to default to the
  upstream defaults, which enable these features.
  Config changes:
  - aarch64:
    HW_AFDBM=y
    PAN=y
    LSE_ATOMICS=y
    VHE=y
    UAO=y
    SVE=y
- commit adf768e
* Mon Jul 23 2018 msuchanek@suse.de
- Update config files.
- commit 2c7c66c
* Mon Jul 23 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: Add more stuff to Recommends
  ... and move bc to Recommends as well.  All these packages are needed for
  building a kernel manually from scratch with kernel-source files.
- commit 6fcec9a
* Mon Jul 23 2018 kbuild@suse.de
- Automatically updated to 4.18-rc6
- commit 70232c5
* Mon Jul 23 2018 mkubecek@suse.cz
- Update to 4.18-rc6
- Config changes:
  - NF_TABLES_SET=m (replaces NFT_SET_{RBTREE,HASH,BITMAP})
- commit 5e9f220
* Sun Jul 22 2018 kbuild@suse.de
- Automatically updated to 4.18-rc5-368-g45ae4df
- commit 11d7e56
* Sun Jul 22 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: require bc for kernel-source
  This is needed for building include/generated/timeconst.h from
  kernel/time/timeconst.bc.
- commit d725e3b
* Sat Jul 21 2018 kbuild@suse.de
- Automatically updated to 4.18-rc5-330-g48e5aee
- commit e12d2f4
* Fri Jul 20 2018 kbuild@suse.de
- Automatically updated to 4.18-rc5-290-g28c20cc
- commit 38fe38e
* Thu Jul 19 2018 kbuild@suse.de
- Automatically updated to 4.18-rc5-257-g024ddc0
- commit d58a91c
* Wed Jul 18 2018 kbuild@suse.de
- Automatically updated to 4.18-rc5-37-g3c53776
- commit f6d6f39
* Tue Jul 17 2018 tiwai@suse.de
- Update config files: enable CONFIG_I2C_PXA for arm64 (bsc#1101465)
- commit d407d39
* Tue Jul 17 2018 kbuild@suse.de
- Automatically updated to 4.18-rc5-36-g30b06ab
- commit 99475e3
* Mon Jul 16 2018 msuchanek@suse.de
- Pass x86 as architecture on x86_64 and i386 (bsc#1093118).
- commit 5f24fb0
* Mon Jul 16 2018 msuchanek@suse.de
- Revert "kconfig: only write '# CONFIG_FOO is not set' for
  visible symbols" (bsc#1093118).
- commit 8f059b6
* Mon Jul 16 2018 kbuild@suse.de
- Automatically updated to 4.18-rc5
- commit abf43ca
* Sun Jul 15 2018 kbuild@suse.de
- Automatically updated to 4.18-rc4-168-g37b5dca
- commit 58c98a5
* Sat Jul 14 2018 kbuild@suse.de
- Automatically updated to 4.18-rc4-147-g2db39a2
- commit 336b52e
* Fri Jul 13 2018 kbuild@suse.de
- Automatically updated to 4.18-rc4-71-g63f0477
- commit 7963af1
* Thu Jul 12 2018 kbuild@suse.de
- Automatically updated to 4.18-rc4-69-gc25c74b
- commit d8954f8
* Wed Jul 11 2018 msuchanek@suse.de
- Automatically updated to 4.18-rc4-17-g1e09177acae3
- commit 31c752c
* Wed Jul 11 2018 kbuild@suse.de
- Automatically updated to 4.18-rc4-17-g1e09177
- commit e698285
* Tue Jul 10 2018 kbuild@suse.de
- Automatically updated to 4.18-rc4-7-g092150a
- commit d705acb
* Mon Jul  9 2018 kbuild@suse.de
- Automatically updated to 4.18-rc4
- commit a407c75
* Mon Jul  9 2018 mkubecek@suse.cz
- Update to 4.18-rc4
- Eliminated 1 patch
- Config changes:
  - s390x:
  - RSEQ=y
  - DEBUG_REQ=n
- commit 90f284f
* Sun Jul  8 2018 kbuild@suse.de
- Automatically updated to 4.18-rc3-232-gb2d44d1
- commit 818fe00
* Sat Jul  7 2018 kbuild@suse.de
- Automatically updated to 4.18-rc3-209-g624434a
- commit 9ea4959
* Fri Jul  6 2018 kbuild@suse.de
- Automatically updated to 4.18-rc3-183-gc42c12a
- commit 697867c
* Wed Jul  4 2018 kbuild@suse.de
- Automatically updated to 4.18-rc3-113-gfc36def
- commit e30de3e
* Tue Jul  3 2018 kbuild@suse.de
- Automatically updated to 4.18-rc3-107-gd0fbad0
- commit 70dee35
* Mon Jul  2 2018 kbuild@suse.de
- Automatically updated to 4.18-rc3
- commit 8e6375e
* Mon Jul  2 2018 mkubecek@suse.cz
- Update to 4.18-rc3
- Eliminated 6 patches
- Config changes:
  - Input:
  - INPUT_SC27XX_VIBRA=m (aarch64 only)
- commit 7683d18
* Sun Jul  1 2018 kbuild@suse.de
- Automatically updated to 4.18-rc2-298-g883c9ab
- commit dcdcc7c
* Sat Jun 30 2018 kbuild@suse.de
- Automatically updated to 4.18-rc2-223-g1904148
- commit a4ff826
* Fri Jun 29 2018 kbuild@suse.de
- Automatically updated to 4.18-rc2-169-g90368a3
- commit 795ee7f
* Thu Jun 28 2018 kbuild@suse.de
- Automatically updated to 4.18-rc2-132-gf574943
- commit 1e2b85e
* Wed Jun 27 2018 msuchanek@suse.de
- Automatically updated to 4.18-rc2-44-g813835028e9a
- commit 06d3022
* Wed Jun 27 2018 kbuild@suse.de
- Automatically updated to 4.18-rc2-44-g8138350
- commit 7e04389
* Mon Jun 25 2018 kbuild@suse.de
- Automatically updated to 4.18-rc2-37-g6f0d349
- commit a7cc7f1
* Sun Jun 24 2018 mkubecek@suse.cz
- Update to 4.18-rc2
- Eliminated 1 patch
- Config changes:
  - aarch64: reenable DWMAC_SOCFPGA (=m)
- commit dedde09
* Sun Jun 24 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1-275-ge0bc833
- commit 2a2681a
* Sun Jun 24 2018 afaerber@suse.de
- config: arm64: Update to 4.18-rc1
- commit 53f46f4
* Sat Jun 23 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1-189-g894b8c0
- commit c1321a9
* Fri Jun 22 2018 msuchanek@suse.de
- Automatically updated to 4.18-rc1-189-g894b8c000ae6
- commit aa23d48
* Fri Jun 22 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1-189-g894b8c0
- commit 6570c94
* Thu Jun 21 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1-107-g1abd8a8
- commit db7fc27
* Wed Jun 20 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1-52-g81e97f0
- commit 668179c
* Tue Jun 19 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1-43-gba4dbde
- commit 2238fcb
* Mon Jun 18 2018 msuchanek@suse.de
- macros.kernel-source: define linux_arch for KMPs (boo#1098050).
  CONFIG_64BIT is no longer defined so KMP spec files need to include
  %%{?linux_make_arch} in any make call to build modules or descent into
  the kernel directory for any reason.
- commit 5dc40af
* Mon Jun 18 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1-23-g9ffc59d
- commit 4e291fa
* Mon Jun 18 2018 mkubecek@suse.cz
- config: update ppc64le configs
- commit d33e313
* Mon Jun 18 2018 mkubecek@suse.cz
- config: enable NETDEVSIM (as module)
- commit 2f8d475
* Mon Jun 18 2018 mkubecek@suse.cz
- Update to 4.18-rc1.
- Eliminated 66 patches (62 stable, 4 other).
- ARM configs need updating.
- Config changes:
  - General:
  - RSEQ=y
  - i386:
  - BPF_JIT=y
  - BPF_JIT_ALWAYS_ON=y
  - powerpc:
  - LD_DEAD_CODE_DATA_ELIMINATION=n (experimental)
  - s390:
  - FW_LOADER_USER_HELPER=y
  - PCI:
  - PCI_HOST_GENERIC=y
  - Network:
  - TLS_DEVICE=y
  - XDP_SOCKETS=y
  - NFT_CONNLIMIT=m
  - NFT_SOCKET=m
  - IP_VS_MH=m
  - IP_VS_MH_TAB_INDEX=12 (default)
  - NF_TPROXY_IPV4=m
  - NF_TPROXY_IPV6=m
  - BPFILTER=y
  - BPFILTER_UMH=m
  - FAILOVER=m
  - MLX5_EN_TLS=y
  - NET_VENDOR_MICROSEMI=y
  - MSCC_OCELOT_SWITCH=m
  - MSCC_OCELOT_SWITCH_OCELOT=m
  - NFP_APP_ABM_NIC=y
  - MDIO_MSCC_MIIM=m
  - ASIX_PHY=m
  - DP83TC811_PHY=m
  - MICROCHIP_T1_PHY=m
  - NET_FAILOVER=m
  - Block:
  - DM_WRITECACHE=m
  - Input:
  - MOUSE_PS2_ELANTECH_SMBUS=y
  - TOUCHSCREEN_CHIPONE_ICN8505=m
  - HID_STEAM=m
  - Misc:
  - SPI_MEM=y
  - GPIOLIB_FASTPATH_LIMIT=512 (default)
  - VIDEO_CADENCE=y
  - LCD_OTM3225A=n
  - CHROMEOS_TBMC=m
  - FPGA_MGR_MACHXO2_SPI=m
  - Graphics:
  - DRM_I2C_NXP_TDA9950=m
  - DRM_I915_DEBUG_GUC=n
  - DRM_CDNS_DSI=n
  - DRM_THINE_THC63LVD1024=n
  - DRM_XEN=y
  - DRM_XEN_FRONTEND=m
  - Sound:
  - SND_SOC_SSM2305=n
  - SND_SOC_TSCS454=n
  - SND_SOC_WM8782=n
  - SND_SOC_MT6351=n
  - SND_XEN_FRONTEND=m
  - LED:
  - LEDS_CR0014114=m
  - LEDS_LM3601X=m
  - USB:
  - TYPEC_RT1711H=m
  - IIO:
  - AD5686_SPI=n
  - AD5696_I2C=n
  - TI_DAC5571=n
  - TSL2772=n
  - IIO_RESCALE=n
  - Filesystems:
  - PROC_VMCORE_DEVICE_DUMP=y
  - EVM_ADD_XATTRS=y
  - Testing:
  - TEST_OVERFLOW=n
  - Crypto:
  - CRYPTO_AEGIS128=m
  - CRYPTO_AEGIS128L=m
  - CRYPTO_AEGIS256=m
  - CRYPTO_AEGIS128_AESNI_SSE2=m
  - CRYPTO_AEGIS128L_AESNI_SSE2=m
  - CRYPTO_AEGIS256_AESNI_SSE2=m
  - CRYPTO_MORUS640=m
  - CRYPTO_MORUS640_SSE2=m
  - CRYPTO_MORUS1280=m
  - CRYPTO_MORUS1280_SSE2=m
  - CRYPTO_MORUS1280_AVX2=m
  - CRYPTO_ZSTD=m
- commit 680f4ab
* Mon Jun 18 2018 mkubecek@suse.cz
- rpm: ignore CONFIG_GCC_VERSION when checking for oldconfig changes
  Since 4.18-rc1, "make oldconfig" writes gcc version and capabilities into
  generated .config. Thus whenever we build the package or run checks with
  different gcc version than used to update config/*/*, check for "outdated
  configs" fails.
  As a quick band-aid, omit the lines with CONFIG_GCC_VERSION from both
  configs before comparing them. This way, the check won't fail unless run
  with newer gcc which would add new capabilities. More robust solution will
  require a wider discussion.
- commit 546ef32
* Sun Jun 17 2018 kbuild@suse.de
- Automatically updated to 4.18-rc1
- commit 1eaa142
* Sat Jun 16 2018 jslaby@suse.cz
- Revert "mm: relax deferred struct page requirements"
  (bnc#1092466).
- Update config files.
- commit 1dcbbca
* Sat Jun 16 2018 kbuild@suse.de
- Automatically updated to 4.17-12290-g35773c9
- commit 3368aba
* Fri Jun 15 2018 kbuild@suse.de
- Automatically updated to 4.17-12074-g4c5e8fc
- commit e5d1606
* Thu Jun 14 2018 kbuild@suse.de
- Automatically updated to 4.17-11928-g2837461
- commit 690bd59
* Wed Jun 13 2018 kbuild@suse.de
- Automatically updated to 4.17-11730-gf5b7769e
- commit 2cc2c2f
* Tue Jun 12 2018 kbuild@suse.de
- Automatically updated to 4.17-11346-g8efcf34
- commit b371ef9
* Mon Jun 11 2018 kbuild@suse.de
- Automatically updated to 4.17-10146-gf0dc7f9
- commit c73cbc3
* Sun Jun 10 2018 kbuild@suse.de
- Automatically updated to 4.17-9639-g3ca24ce
- commit 3d8cc1c
* Sat Jun  9 2018 kbuild@suse.de
- Automatically updated to 4.17-8428-g7d3bf61
- commit 5edee77
* Fri Jun  8 2018 kbuild@suse.de
- Automatically updated to 4.17-7997-g68abbe7
- commit c9ad2e3
* Thu Jun  7 2018 kbuild@suse.de
- Automatically updated to 4.17-6625-g1c8c5a9
- commit 3e72056
* Wed Jun  6 2018 kbuild@suse.de
- Automatically updated to 4.17-2438-gaf6c5d5
- commit f3cf55e
* Tue Jun  5 2018 kbuild@suse.de
- Automatically updated to 4.17-1306-g716a685
- commit 3086436
* Mon Jun  4 2018 mkubecek@suse.cz
- config: enable preemption in i386/debug
- commit ebb6f79
* Mon Jun  4 2018 kbuild@suse.de
- Automatically updated to 4.17
- commit 144b6f0
* Mon Jun  4 2018 mkubecek@suse.cz
- Update to 4.17-final
- commit 7f668df
* Sun Jun  3 2018 kbuild@suse.de
- Automatically updated to 4.17-rc7-133-g918fe1b
- commit 7098bd1
* Fri Jun  1 2018 kbuild@suse.de
- Automatically updated to 4.17-rc7-45-g0512e01
- commit 7a61407
* Thu May 31 2018 kbuild@suse.de
- Automatically updated to 4.17-rc7-41-g88a8676
- commit 0afdd5d
* Wed May 30 2018 msuchanek@suse.de
- Automatically updated to 4.17-rc7-31-g0044cdeb7313
- commit 68fb803
* Wed May 30 2018 kbuild@suse.de
- Automatically updated to 4.17-rc7-31-g0044cde
- commit 67ccbb0
* Tue May 29 2018 kbuild@suse.de
- Automatically updated to 4.17-rc7-19-g786b71f
- commit 476f079
* Mon May 28 2018 kbuild@suse.de
- Automatically updated to 4.17-rc7
- commit 92b1218
* Mon May 28 2018 mkubecek@suse.cz
- Update to 4.17-rc7
- Eliminated 1 patch
- Config changes:
  - reenable SSB_DRIVER_PCICORE and dependencies after revert of
    commit 882164a4a928
- commit 8ae83bf
* Sun May 27 2018 kbuild@suse.de
- Automatically updated to 4.17-rc6-326-g7fbb615
- commit 85f3b9f
* Sat May 26 2018 kbuild@suse.de
- Automatically updated to 4.17-rc6-296-gbc2dbc5
- commit e987c46
* Fri May 25 2018 kbuild@suse.de
- Automatically updated to 4.17-rc6-202-gb506943
- commit 7b3fb76
* Thu May 24 2018 kbuild@suse.de
- Automatically updated to 4.17-rc6-158-gbee7975
- commit f8d458a
* Wed May 23 2018 msuchanek@suse.de
- mkspec: only build docs for default variant kernel.
- commit 045f5ac
* Tue May 22 2018 kbuild@suse.de
- Automatically updated to 4.17-rc6-152-ga048a07
- commit 0b68fdb
* Mon May 21 2018 kbuild@suse.de
- Automatically updated to 4.17-rc6
- commit fbf5176
* Sun May 20 2018 kbuild@suse.de
- Automatically updated to 4.17-rc5-190-g203ec2f
- commit 4caac75
* Sat May 19 2018 kbuild@suse.de
- Automatically updated to 4.17-rc5-136-g73fcb1a
- commit dda3523
* Fri May 18 2018 kbuild@suse.de
- Automatically updated to 4.17-rc5-69-g3acf4e3
- commit 14ed4dc
* Thu May 17 2018 msuchanek@suse.de
- kernel-{binary,docs}.spec sort dependencies.
- commit d2ab971
* Thu May 17 2018 mgalbraith@suse.de
- Fix config/x86_64/debug, turn PREEMPT_NONE off, and PREEMPT_DEBUG on.
- commit 01b8dcd
* Thu May 17 2018 kbuild@suse.de
- Automatically updated to 4.17-rc5-24-ge6506eb
- commit 3592f73
* Wed May 16 2018 msuchanek@suse.de
- macros.kernel-source: Fix building non-x86 KMPs
- commit 8631d05
* Wed May 16 2018 kbuild@suse.de
- Automatically updated to 4.17-rc5-20-g21b9f1c
- commit 41e15ba
* Tue May 15 2018 jeffm@suse.com
- reiserfs: package in separate KMP (FATE#323394).
- commit d14f152
* Mon May 14 2018 msuchanek@suse.de
- macros.kernel-source: ignore errors when using make to print kernel release
  There is no way to handle the errors anyway and including the error into
  package version does not give good results.
- commit 282e9a6
* Mon May 14 2018 kbuild@suse.de
- Automatically updated to 4.17-rc5
- commit 091d0ee
* Mon May 14 2018 mkubecek@suse.cz
- Update to 4.17-rc5
- commit 1d366f5
* Sun May 13 2018 kbuild@suse.de
- Automatically updated to 4.17-rc4-256-gccda3c4
- commit d23395d
* Sat May 12 2018 kbuild@suse.de
- Automatically updated to 4.17-rc4-242-gf0ab773
- commit d264b93
* Fri May 11 2018 msuchanek@suse.de
- Revert "kernel-binary: do not package extract-cert when not signing modules"
  This reverts commit 10a8bc496a553b8069d490a8ae7508bdb19f58d9.
- commit 1f7acca
* Fri May 11 2018 kbuild@suse.de
- Automatically updated to 4.17-rc4-45-g94d7dbf
- commit 31fb3e4
* Thu May 10 2018 kbuild@suse.de
- Automatically updated to 4.17-rc4-38-g008464a
- commit df85e12
* Wed May  9 2018 kbuild@suse.de
- Automatically updated to 4.17-rc4-31-g036db8b
- commit 4d8d9d5
* Tue May  8 2018 kbuild@suse.de
- Automatically updated to 4.17-rc4-12-gf142f08
- commit b98654b
* Mon May  7 2018 kbuild@suse.de
- Automatically updated to 4.17-rc4
- commit 8257a00
* Sun May  6 2018 kbuild@suse.de
- Automatically updated to 4.17-rc3-283-gee946c3
- commit ce1680a
* Sat May  5 2018 kbuild@suse.de
- Automatically updated to 4.17-rc3-261-gc1c0741
- commit b2bffbd
* Fri May  4 2018 msuchanek@suse.de
- Automatically updated to 4.17-rc3-133-g150426981426
- commit 91f119e
* Fri May  4 2018 kbuild@suse.de
- Automatically updated to 4.17-rc3-133-g1504269
- commit fb78f9c
* Thu May  3 2018 kbuild@suse.de
- Automatically updated to 4.17-rc3-34-gf4ef6a4
- commit 22ce292
* Wed May  2 2018 msuchanek@suse.de
- kernel-binary: also default klp_symbols to 0 here.
- commit e35f14a
* Wed May  2 2018 msuchanek@suse.de
- klp_symbols: make --klp-symbols argument semantic sane
  It selects build of klp symbols and defaults to off
- commit 0e53042
* Wed May  2 2018 kbuild@suse.de
- Automatically updated to 4.17-rc3-13-g2d618bdf
- commit 491b5a8
* Tue May  1 2018 kbuild@suse.de
- Automatically updated to 4.17-rc3-5-gfff75eb
- commit d4464a8
* Mon Apr 30 2018 kbuild@suse.de
- Automatically updated to 4.17-rc3
- commit 31e6dd1
* Mon Apr 30 2018 mkubecek@suse.cz
- Update to 4.17-rc3
- Eliminated 1 patch
- Config changes:
  - x86_64 and i386
  - SND_SST_ATOM_HIFI2_PLATFORM_ACPI=m
  - armv7hl
  - CONFIG_NFT_REDIR_IPV4=m (sync with other configs)
  - CONFIG_NFT_REDIR_IPV6=m (sync with other configs)
- commit 34975a8
* Sun Apr 29 2018 afaerber@suse.de
- config: armv7hl: Update to 4.17-rc2
- commit 293d056
* Sun Apr 29 2018 afaerber@suse.de
- config: armv6hl: Update to 4.17-rc2
- commit a586fe4
* Sun Apr 29 2018 afaerber@suse.de
- config: arm64: Update to 4.17-rc2
- commit 3b0fcca
* Sun Apr 29 2018 kbuild@suse.de
- Automatically updated to 4.17-rc2-398-gcdface5
- commit 35647c9
* Sat Apr 28 2018 kbuild@suse.de
- Automatically updated to 4.17-rc2-362-g46dc111
- commit cff868a
* Fri Apr 27 2018 kbuild@suse.de
- Automatically updated to 4.17-rc2-155-g0644f18
- commit cf18877
* Fri Apr 27 2018 msuchanek@suse.de
- kernel-binary: only install modules.fips on modular kernels.
- commit 2cb2bec
* Thu Apr 26 2018 msuchanek@suse.de
- Automatically updated to 4.17-rc2-104-g69bfd470f462
- commit a036c78
* Thu Apr 26 2018 kbuild@suse.de
- Automatically updated to 4.17-rc2-104-g69bfd47
- commit fc4091d
* Wed Apr 25 2018 kbuild@suse.de
- Automatically updated to 4.17-rc2-60-g3be4aaf
- commit 14c1920
* Tue Apr 24 2018 msuchanek@suse.de
- split-modules: use MAKE_ARGS
- commit d8fe174
* Tue Apr 24 2018 msuchanek@suse.de
- kernel-binary: pass MAKE_ARGS to install script as well.
- commit ce62ae7
* Tue Apr 24 2018 mkubecek@suse.cz
- Update config files.
- commit 57d6246
* Tue Apr 24 2018 msuchanek@suse.de
- kernel-binary: pass ARCH= to kernel build
  Recent kernel does not save CONFIG_64BIT so it has to be specified by
  arch.
- commit fb21b73
* Tue Apr 24 2018 mkubecek@suse.cz
- config: fix i386 configs
  Since mainline commit f467c5640c29 ("kconfig: only write '# CONFIG_FOO is
  not set' for visible symbols"), make silentoldconfig (or make syncconfig as
  it is called now) doesn't add CONFIG_64BIT line into i386 configs if called
  with ARCH=i386.
  During the build, it's called without ARCH=i386 so that it requests this
  option to be entered manually and the build fails. Long term solution would
  probably be passing ARCH=%%{cpu_arch} to all make commands; for now, just
  add CONFIG_64BIT line to i386/pae to fix the build as is.
- commit 7241f73
* Mon Apr 23 2018 mkubecek@suse.cz
- Update to 4.17-rc2
- Eliminated 2 patches
- Config changes:
  - s390x:
  - KEXEC_FILE=y
- commit a0aa4ec
* Mon Apr 23 2018 kbuild@suse.de
- Automatically updated to 4.17-rc2
- commit e86841e
* Sun Apr 22 2018 kbuild@suse.de
- Automatically updated to 4.17-rc1-231-g285848b
- commit bc5b851
* Sat Apr 21 2018 kbuild@suse.de
- Automatically updated to 4.17-rc1-181-g83beed7
- commit 7093bf7
* Fri Apr 20 2018 msuchanek@suse.de
- Automatically updated to 4.17-rc1-28-g87ef12027b9b
- commit c4b378c
* Fri Apr 20 2018 mkubecek@suse.cz
- Update to 4.17-rc1.
- Eliminated 55 patches (51 stable 4.16.x)
- ARM configs need updating.
- Config changes:
  - x86:
  - ACPI_TAD=m
  - s390:
  - EXPOLINE_FULL=y
  - VT=y
  - CONSOLE_TRANSLATIONS=y
  - VT_CONSOLE=y
  - VT_HW_CONSOLE_BINDING=n
  - DUMMY_CONSOLE_COLUMNS=80
  - DUMMY_CONSOLE_ROWS=25
  - SPEAKUP=n
  - Network:
  - NF_TABLES_INET=y
  - NF_TABLES_NETDEV=y
  - NF_TABLES_ARP=y
  - NF_TABLES_BRIDGE=y
  - NET_EMATCH_IPT=m
  - ICE=m
  - RSI_COEX=y
  - IEEE802154_MCR20A=m
  - INFINIBAND_EXP_LEGACY_VERBS_NEW_UAPI=n
  - Filesystems:
  - OVERLAY_FS_XINO_AUTO=n
  - PSTORE_DEFLATE_COMPRESS=m
  - PSTORE_LZ4HC_COMPRESS=m
  - PSTORE_842_COMPRESS=n
  - PSTORE_DEFLATE_COMPRESS_DEFAULT=deflate
  - Crypto:
  - CRYPTO_CFB=m
  - CRYPTO_SM4=m
  - CRYPTO_SPECK=m
  - CRYPTO_DEV_CHELSIO_TLS=m
  - Input:
  - JOYSTICK_PXRC=m
  - HID_ELAN=m
  - HID_GOOGLE_HAMMER=m
  - Sound:
  - SND_SOC_INTEL_CHT_BSW_NAU8824_MACH=m
  - SND_SOC_INTEL_KBL_DA7219_MAX98357A_MACH=m
  - SND_SOC_AK4458=n
  - SND_SOC_AK5558=n
  - SND_SOC_BD28623=n
  - SND_SOC_MAX9867=n
  - SND_SOC_PCM1789_I2C=n
  - SND_SOC_TDA7419=m
  - SND_SOC_MAX9759=n
  - USB:
  - TYPEC_MUX_PI3USB30532=m
  - USB_ROLES_INTEL_XHCI=m
  - GPIO:
  - GPIO_104_DIO_48E=m
  - GPIO_104_IDIO_16=m
  - GPIO_104_IDI_48=m
  - GPIO_GPIO_MM=m
  - GPIO_WINBOND=m
  - GPIO_WS16C48=m
  - Media:
  - CEC_PIN_ERROR_INJ=n
  - CXD2880_SPI_DRV=m
  - MTK_MMC=n
  - IIO:
  - 104_QUAD_8=m
  - CIO_DAC=n
  - AD5272=m
  - MCP4018=m
  - MLX90632=m
  - Other:
  - THERMAL_STATISTICS=y
  - EBC_C384_WDT=m
  - LEDS_MLXREG=m
  - COMMON_CLK_SI544=n
  - STX104=n
  - LV0104CS=n
  - Remote controlers:
  - IR_IMON_DECODER=m
  - IR_IMON_RAW=m
  - INTEL_TH_ACPI=m
  - Debugging:
  - DEBUG_RWSEMS=n
- commit 5fcd3a7
* Fri Apr 20 2018 mkubecek@suse.cz
- config: enable TCP_MD5SIG (bsc#1090162)
- commit b479997
* Thu Apr 19 2018 msuchanek@suse.de
- HID: redragon: Fix modifier keys for Redragon Asura Keyboard
  (https://build.opensuse.org/request/show/597583).
  Update config files.
- commit 6ab92b0
* Thu Apr 19 2018 kbuild@suse.de
- Automatically updated to 4.17-rc1-28-g87ef120
- commit 3abc16c
* Tue Apr 17 2018 kbuild@suse.de
- Automatically updated to 4.17-rc1-21-ga27fc14
- commit d2e62cf
* Mon Apr 16 2018 kbuild@suse.de
- Automatically updated to 4.17-rc1
- commit 85beb41
* Mon Apr 16 2018 mbrugger@suse.com
- arm64: Update config files. (bsc#1089764)
  Increase NR_CPUS to 384
- commit b4f8666
* Sun Apr 15 2018 kbuild@suse.de
- Automatically updated to 4.16-12482-g18b7fd1
- commit 75e6ca2
* Sat Apr 14 2018 kbuild@suse.de
- Automatically updated to 4.16-12454-g4802310
- commit cc45956
* Fri Apr 13 2018 kbuild@suse.de
- Automatically updated to 4.16-11958-g16e205c
- commit 6f02f01
* Thu Apr 12 2018 kbuild@suse.de
- Automatically updated to 4.16-11766-ge241e3f
- commit 2d64889
* Wed Apr 11 2018 kbuild@suse.de
- Automatically updated to 4.16-11490-gb284d4d
- commit 5c22c9f
* Wed Apr 11 2018 jslaby@suse.cz
- Update config files.
  s390x/vanilla fails to build without this.
- commit 326b580
* Tue Apr 10 2018 msuchanek@suse.de
- rpm/package-descriptions: fix typo in kernel-azure
- Add azure kernel description.
- commit af0f13e
* Tue Apr 10 2018 kbuild@suse.de
- Automatically updated to 4.16-10929-gc18bb39
- commit 86c239d
* Sun Apr  8 2018 kbuild@suse.de
- Automatically updated to 4.16-10608-gf8cf2f1
- commit 177a3b8
* Sat Apr  7 2018 kbuild@suse.de
- Automatically updated to 4.16-10242-gf605ba9
- commit 39f2630
* Fri Apr  6 2018 kbuild@suse.de
- Automatically updated to 4.16-9576-g38c2368
- commit 50ed430
* Fri Apr  6 2018 agraf@suse.de
- armv6hl: Disable uacces with memcpy (boo#1080435)
- commit 8e78432
* Thu Apr  5 2018 kbuild@suse.de
- Automatically updated to 4.16-7248-g06dd3df
- commit 1cc4322
* Wed Apr  4 2018 kbuild@suse.de
- Automatically updated to 4.16-5456-g17dec0a
- commit 345d108
* Tue Apr  3 2018 kbuild@suse.de
- Automatically updated to 4.16-2520-g642e7fd
- commit 19ce0c1
* Mon Apr  2 2018 jeffm@suse.com
- Update to 4.16-final.
- commit 19ebb62
* Mon Apr  2 2018 kbuild@suse.de
- Automatically updated to 4.16
- commit 117d4af
* Sun Apr  1 2018 kbuild@suse.de
- Automatically updated to 4.16-rc7-203-g10b84da
- commit adfe148
* Sat Mar 31 2018 kbuild@suse.de
- Automatically updated to 4.16-rc7-193-gb5dbc28
- commit 3213225
* Fri Mar 30 2018 kbuild@suse.de
- Automatically updated to 4.16-rc7-80-gc2a9838
- commit dd9fe74
* Thu Mar 29 2018 kbuild@suse.de
- Automatically updated to 4.16-rc7-62-g0b41260
- commit 4392dac
* Mon Mar 26 2018 kbuild@suse.de
- Automatically updated to 4.16-rc7
- commit 0435f5f
* Mon Mar 26 2018 jeffm@suse.com
- Update to 4.16-rc7.
- Eliminated 1 patch.
- commit c9eade5
* Sun Mar 25 2018 kbuild@suse.de
- Automatically updated to 4.16-rc6-431-gbcfc1f4
- commit 91bdadf
* Sat Mar 24 2018 kbuild@suse.de
- Automatically updated to 4.16-rc6-428-g99fec39
- commit b6b2d9b
* Fri Mar 23 2018 agraf@suse.de
- armv7hl: Disable uacces with memcpy (boo#1080435)
- commit 632818b
* Fri Mar 23 2018 kbuild@suse.de
- Automatically updated to 4.16-rc6-384-gf36b753
- commit 521f371
* Wed Mar 21 2018 kbuild@suse.de
- Automatically updated to 4.16-rc6-75-g3215b9d
- commit a834d00
* Tue Mar 20 2018 kbuild@suse.de
- Automatically updated to 4.16-rc6-35-g1b5f3ba4
- commit 0293477
* Mon Mar 19 2018 kbuild@suse.de
- Automatically updated to 4.16-rc6
- commit 2409384
* Mon Mar 19 2018 msuchanek@suse.de
- kernel-*.spec: remove remaining occurences of %%release from dependencies
  There is a mix of %%release and %%source_rel in manually added
  dependencies and the %%release dependencies tend to fail due to rebuild
  sync issues. So get rid of them.
- commit b4ec514
* Sat Mar 17 2018 kbuild@suse.de
- Automatically updated to 4.16-rc5-114-g8f5fd92
- commit 47a55da
* Fri Mar 16 2018 kbuild@suse.de
- Automatically updated to 4.16-rc5-86-gdf09348
- commit 2bfc450
* Thu Mar 15 2018 kbuild@suse.de
- Automatically updated to 4.16-rc5-60-g0aa3fdb
- commit 7394dc5
* Wed Mar 14 2018 jeffm@suse.com
- config: sync i386/default
  Some options had been removed completely.
- commit 8a98c99
* Wed Mar 14 2018 jeffm@suse.com
- rpm/kernel-source.spec.in: Add check-module-license to Sources
  The package builds in the build service but the script won't make it
  into the SRPM if it's not in the Sources list.
- commit 031ed9e
* Tue Mar 13 2018 msuchanek@suse.de
- mkspec: fix perl warning
- commit f15670f
* Tue Mar 13 2018 kbuild@suse.de
- Automatically updated to 4.16-rc5-4-gfc6eabb
- commit 98059d9
* Mon Mar 12 2018 jeffm@suse.com
- Update to 4.16-rc5.
- Eliminated 1 patch.
- commit 03e79ab
* Mon Mar 12 2018 kbuild@suse.de
- Automatically updated to 4.16-rc5
- commit e8ae9d4
* Sun Mar 11 2018 afaerber@suse.de
- config: armv7hl: Update to 4.16-rc4
- commit ba82f1a
* Sun Mar 11 2018 afaerber@suse.de
- config: armv6hl: Update to 4.16-rc4
- commit 76710d3
* Sat Mar 10 2018 kbuild@suse.de
- Automatically updated to 4.16-rc4-278-gcdb06e9
- commit 16ff98f
* Sat Mar 10 2018 jeffm@suse.com
- kernel: add release status to kernel build (bsc#FATE#325281).
- commit 88741f9
* Fri Mar  9 2018 jeffm@suse.com
- rpm: use %%_sourcedir prefix for release-projects
- rpm: set SUSE_KERNEL_RELEASED based on project name
  Set SUSE_KERNEL_RELEASED in the config only if the project name matches
  a list of projects that are part of official release channels.  This
  list of projects is maintained per-branch.
- commit a391a5b
* Fri Mar  9 2018 jeffm@suse.com
- config: added new 'kvmsmall' flavor
  This flavor is an unreleased internal configuration intended for kernel
  developers to use in simple virtual machines.  It contains only the
  device drivers necessary to use a KVM virtual machine *without* device
  passthrough enabled.  Common local and network file systems are enabled.
  All device mapper targets are enabled.  Only the network and graphics
  drivers for devices that qemu emulates are enabled.  Many subsystems
  enabled in the default kernel are entirely disabled.  This kernel is
  meant to be small and to build very quickly.  There will be no kABI
  stability and its configuration may be changed arbitrarily.
- commit 088f1da
* Fri Mar  9 2018 jeffm@suse.com
- config: convert kvmsmall to fragment config
- commit 1a463f9
* Fri Mar  9 2018 jeffm@suse.com
- config: disabled some more options for kvmsmall
  Disable CAN, BT, rare partition types, unused mouse protocols, UIO,
  STM, and others.
- commit 3fd917a
* Fri Mar  9 2018 jeffm@suse.com
- config: added new 'kvmsmall' flavor
  This flavor is intended for kernel developers to use in simple virtual
  machines.  It contains only the device drivers necessary to use a
  KVM virtual machine *without* device passthrough enabled.  Common
  local and network file systems are enabled.  All device mapper targets
  are enabled.  Only the network and graphics drivers for devices that qemu
  emulates are enabled.  Many subsystems enabled in the default kernel
  are entirely disabled.  This kernel is meant to be small and to build
  very quickly.
- commit 73312c7
* Thu Mar  8 2018 msuchanek@suse.de
- mkspec: do not build dtbs for architectures with no kernel.
- commit 8394abf
* Thu Mar  8 2018 jeffm@suse.com
- kconfig: move SUSE options from init/Kconfig to init/Kconfig.suse
- commit c7bf062
* Thu Mar  8 2018 kbuild@suse.de
- Automatically updated to 4.16-rc4-159-g1b88acc
- commit e5dc097
* Wed Mar  7 2018 afaerber@suse.de
- config: arm64: Update to 4.16-rc4
- commit 02afac6
* Wed Mar  7 2018 tiwai@suse.de
- rpm/kernel-binary.spec.in: Check module licenses (bsc#1083215,bsc#1083527)
- commit e41de0c
* Wed Mar  7 2018 msuchanek@suse.de
- Automatically updated to 4.16-rc4-123-g86f84779d8e9
- commit 7b8b750
* Wed Mar  7 2018 kbuild@suse.de
- Automatically updated to 4.16-rc4-123-g86f8477
- commit 4486981
* Tue Mar  6 2018 jslaby@suse.cz
- Update config files.
  Enable module signing (bnc#1082905):
  * CONFIG_MODULE_SIG=y
  * # CONFIG_MODULE_SIG_FORCE is not set
  * # CONFIG_MODULE_SIG_ALL is not set
  * # CONFIG_MODULE_SIG_SHA1 is not set
  * # CONFIG_MODULE_SIG_SHA224 is not set
  * CONFIG_MODULE_SIG_SHA256=y
  * # CONFIG_MODULE_SIG_SHA384 is not set
  * # CONFIG_MODULE_SIG_SHA512 is not set
  * CONFIG_MODULE_SIG_HASH="sha256"
  * CONFIG_MODULE_SIG_KEY="certs/signing_key.pem"
  * CONFIG_SECONDARY_TRUSTED_KEYRING=y
  * CONFIG_SYSTEM_BLACKLIST_KEYRING=y
  * CONFIG_SYSTEM_BLACKLIST_HASH_LIST=""
  This commit synchronizes these options with SLE15.
  We do not add patches for loading keys from the shim layer (as in
  SLE15) for the time being. They were rejected multiple times in
  upstream and we do not want to forward-port them infinitely. This only
  means that loading KMPs with none/invalid signatures generates this:
  <module_name>: loading out-of-tree module taints kernel.
  <module_name>: module verification failed: signature and/or required key missing - tainting kernel
  But the modules load fine after that as we have MODULE_SIG_FORCE set
  to 'n'.
  Tested in qemu+OVMF and bare metal and everything looks fine.
- commit 1fe6b80
* Tue Mar  6 2018 kbuild@suse.de
- Automatically updated to 4.16-rc4-120-gce38061
- commit b8caeea
* Mon Mar  5 2018 msuchanek@suse.de
- rpm: provide %%name%%-srchash = <kernel-source commit hash> (FATE#325312).
  - Also use for kernel-obs-build dependency.
- commit b6fccdf
* Mon Mar  5 2018 kbuild@suse.de
- Automatically updated to 4.16-rc4
- commit 91dd040
* Mon Mar  5 2018 jeffm@suse.com
- Update to 4.16-rc4.
- IBRS patches need review.
- commit 0ea2557
* Sun Mar  4 2018 msuchanek@suse.de
- arch-symbols: use bash as interpreter since the script uses bashism.
- commit 4cdfb23
* Sun Mar  4 2018 kbuild@suse.de
- Automatically updated to 4.16-rc3-351-g58bdf60
- commit dcc325a
* Sat Mar  3 2018 kbuild@suse.de
- Automatically updated to 4.16-rc3-300-g5fbdefc
- commit a136801
* Fri Mar  2 2018 msuchanek@suse.de
- kernel-binary: do not BuildIgnore m4.
  It is actually needed for regenerating zconf when it is not up-to-date
  due to merge.
- commit 967b28b
* Fri Mar  2 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: add build requirement for flex
  In addition to bison, we also need flex for "make oldconfig".
- commit 83d831c
* Fri Mar  2 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: remove m4 from BuildIgnore list
  As bison depends on m4, we cannot set !BuildIgnore for it any more.
- commit d7695e1
* Fri Mar  2 2018 kbuild@suse.de
- Automatically updated to 4.16-rc3-245-g5d60e05
- commit 7849454
* Thu Mar  1 2018 kbuild@suse.de
- Automatically updated to 4.16-rc3-167-g97ace51
- commit 00c6aa2
* Wed Feb 28 2018 msuchanek@suse.de
- bs-upload-kernel: do not set %%opensuse_bs
  Since SLE15 it is not set in the distribution project so do not set it
  for kernel projects either.
- commit d696aa0
* Wed Feb 28 2018 kbuild@suse.de
- Automatically updated to 4.16-rc3-97-gf3afe53
- commit 79b0e53
* Wed Feb 28 2018 jeffm@suse.com
- kernel: add product-identifying information to kernel build (FATE#325281).
- commit 77f1a25
* Tue Feb 27 2018 msuchanek@suse.de
- Revert "rpm/kernel-binary.spec.in: Also require m4 for build."
  This reverts commit 0d7b4b3f948c2efb67b7d1b95b5e1dcae225991c.
- commit f5686d2
* Tue Feb 27 2018 kbuild@suse.de
- Automatically updated to 4.16-rc3-88-g6f70eb2
- commit fd5017d
* Tue Feb 27 2018 tiwai@suse.de
- kernel-binary: do not package extract-cert when not signing modules
  (boo#1080250).
- commit 10a8bc4
* Mon Feb 26 2018 jeffm@suse.com
- Update to 4.16-rc2.
- Eliminated 1 patch.
- Config changes:
  - i386:
  - X86_MINIMUM_CPU_FAMILY (set automatically by oldconfig).
- commit 523831c
* Mon Feb 26 2018 jeffm@suse.com
- Update to 4.16-rc1.
- Eliminated 624 patches (mostly 4.15.x).
- ARM configs need updating.
- Config changes:
  - General:
  - CC_STACKPROTECTOR_REGULAR=y
  - x86:
  - ACPI_SPCR_TABLE=y
  - ACER_WIRELESS=m
  - GPD_POCKET_FAN=m
  - INTEL_CHTDC_TI_PWRBTN=m
  - MELLANOX_PLATFORM=y
  - MLXREG_HOTPLUG=m
  - JAILHOUSE_GUEST=y
  - i386:
  - MLX_PLATFORM=m
  - DEFERRED_STRUCT_PAGE_INIT=y
  - powerpc:
  - PPC_MEM_KEYS=y
  - OCXL=m
  - PPC_IRQ_SOFT_MASK_DEBUG=n
  - s390:
  - KERNEL_NOBP=y
  - EXPOLINE=y
  - EXPOLINE_FULL=y
  - PCI:
  - PCIE_CADENCE_HOST=y
  - PCIE_CADENCE_EP=y
  - Network:
  - NF_FLOW_TABLE=m
  - NF_FLOW_TABLE_IPV4=m
  - NF_FLOW_TABLE_IPV6=m
  - IP6_NF_MATCH_SRH=m
  - BT_HCIBTUSB_AUTOSUSPEND=y
  - NET_VENDOR_CORTINA=y
  - GEMINI_ETHERNET=m
  - NET_VENDOR_SOCIONEXT=y
  - NETDEVSIM=n
  - NFT_FLOW_OFFLOAD=m
  - NF_FLOW_TABLE_INET=m
  - Block:
  - BLK_DEV_NULL_BLK_FAULT_INJECTION=n
  - SATA_MOBILE_LPM_POLICY=0
  - DM_UNSTRIPED=m
  - MMC_SDHCI_F_SDH30=n
  - Misc:
  - MISC_RTSX_PCI=m
  - MISC_RTSX_USB=m
  - HW_RANDOM_TPM=y (from m)
  - I2C_GPIO_FAULT_INJECTOR=n
  - PINCTRL_AXP209=m
  - GPIO_WINBOND=m
  - GPIO_PCIE_IDIO_24=m
  - SENSORS_W83773G=m
  - MFD_CROS_EC_CHARDEV=n
  - RAVE_SP_CORE=n
  CAVIUM_PTP=m
  - Graphics:
  - DRM_PANEL_ILITEK_IL9322=n
  - TINYDRM_ILI9225=n
  - TINYDRM_ST7735R=n
  - Sound:
  - SND_SOC_INTEL_SST_TOPLEVEL=y
  - SND_SST_ATOM_HIFI2_PLATFORM_PCI=m
  - SND_SOC_INTEL_BYT_MAX98090_MACH=m
  - SND_SOC_INTEL_BYT_RT5640_MACH=m
  - SND_SOC_MAX98373=n
  - SND_SOC_PCM186X_I2C=n
  - SND_SOC_PCM186X_SPI=n
  - SND_SOC_TAS6424=n
  - SND_SOC_TLV320AIC32X4_I2C=n
  - SND_SOC_TLV320AIC32X4_SPI=n
  - SND_SOC_TSCS42XX=n
  - SOUNDWIRE=y
  - SOUNDWIRE_INTEL=m
  - Input:
  - HID_JABRA=n
  - USB:
  - USB_XHCI_DBGCAP=n
  - LEDS:
  - LEDS_LM3692X=n
  - LEDS_TRIGGER_NETDEV=m
  - LEDS_LP8860=n
  - RTC:
  - RTC_DRV_CROS_EC=n
  - VIRT:
  - VBOXGUEST=m
  - VIRTIO_MENU=y
  - KVM_AMD_SEV=y
  - Filesystems:
  - CIFS_SMB_DIRECT=n (still experimental)
  - Other:
  - UNISYSSPAR=n
  - XILINX_VCU=n
  - IIO_BUFFER_HW_CONSUMER=n
  - SD_ADC_MODULATOR=n
  - OF_FPGA_REGION=n
  - SIOX=n
  - SLIMBUS=n
  - BPF_KPROBE_OVERRIDE=n
  - FPGA_BRIDGE=n
  - Sensors:
  - ST_UVIS25=n
  - ZOPT2201=n
  - Media:
  - MT76x2E=m
  - LIRC=y
  - DVB_MMAP=n (still experimental)
  - DVB_ULE_DEBUG=n
  - Testing:
  - FAIL_FUNCTION=n
  - RUNTIME_TESTING_MENU=y
  - FIND_BIT_BENCHMARK=n
  - Crypto:
  - CHELSIO_IPSEC_INLINE=n
  - CRYPTO_DEV_SP_PSP=y
- commit 91eace5
* Mon Feb 26 2018 kbuild@suse.de
- Automatically updated to 4.16-rc3
- commit b24a720
* Sun Feb 25 2018 kbuild@suse.de
- Automatically updated to 4.16-rc2-374-g3664ce2
- commit 1507c74
* Sat Feb 24 2018 kbuild@suse.de
- Automatically updated to 4.16-rc2-365-g9cb9c07
- commit 68c8a93
* Fri Feb 23 2018 kbuild@suse.de
- Automatically updated to 4.16-rc2-189-g0f9da84
- commit c710bfe
* Thu Feb 22 2018 lpechacek@suse.com
- rpm/kernel-spec-macros: Try harder to detect Build Service environment (bsc#1078788)
- commit a5f1a4a
* Wed Feb 21 2018 msuchanek@suse.de
- kernel-binary undefine unique_debug_names
  Some tools do not understand names like
  usr/lib/debug/boot/vmlinux-4.12.14-11.10-default-4.12.14-11.10.ppc64le.debug
- commit 2b90c1e
* Wed Feb 21 2018 kbuild@suse.de
- Automatically updated to 4.16-rc2-64-gaf3e79d
- commit 3e94dae
* Tue Feb 20 2018 kbuild@suse.de
- Automatically updated to 4.16-rc2-62-g79c0ef3
- commit d5fd0c0
* Tue Feb 20 2018 jeffm@suse.com
- config: enable IMA and EVM
- commit ff57721
* Mon Feb 19 2018 kbuild@suse.de
- Automatically updated to 4.16-rc2
- commit 759d34e
* Sun Feb 18 2018 afaerber@suse.de
- config: arm64: Enable MAX77620 for Nvidia Jetson TX1 (boo#1081473)
- commit 34555b7
* Sun Feb 18 2018 kbuild@suse.de
- Automatically updated to 4.16-rc1-226-gc786427
- commit 61824d0
* Sat Feb 17 2018 kbuild@suse.de
- Automatically updated to 4.16-rc1-188-g1e3510b
- commit a7a88cb
* Sat Feb 17 2018 jslaby@suse.cz
- Linux 4.15.4 (bnc#1012628).
- watchdog: indydog: Add dependency on SGI_HAS_INDYDOG
  (bnc#1012628).
- cifs: Fix missing put_xid in cifs_file_strict_mmap
  (bnc#1012628).
- cifs: Fix autonegotiate security settings mismatch
  (bnc#1012628).
- CIFS: zero sensitive data when freeing (bnc#1012628).
- cpufreq: mediatek: add mediatek related projects into blacklist
  (bnc#1012628).
- dmaengine: dmatest: fix container_of member in dmatest_callback
  (bnc#1012628).
- ssb: Do not disable PCI host on non-Mips (bnc#1012628).
- watchdog: gpio_wdt: set WDOG_HW_RUNNING in gpio_wdt_stop
  (bnc#1012628).
- Revert "drm/i915: mark all device info struct with __initconst"
  (bnc#1012628).
- sched/rt: Use container_of() to get root domain in
  rto_push_irq_work_func() (bnc#1012628).
- sched/rt: Up the root domain ref count when passing it around
  via IPIs (bnc#1012628).
- media: dvb-usb-v2: lmedm04: Improve logic checking of warm start
  (bnc#1012628).
- media: dvb-usb-v2: lmedm04: move ts2020 attach to
  dm04_lme2510_tuner (bnc#1012628).
- media: hdpvr: Fix an error handling path in hdpvr_probe()
  (bnc#1012628).
- arm64: cpu_errata: Add Kryo to Falkor 1003 errata (bnc#1012628).
- arm64: kpti: Make use of nG dependent on
  arm64_kernel_unmapped_at_el0() (bnc#1012628).
- arm64: mm: Permit transitioning from Global to Non-Global
  without BBM (bnc#1012628).
- arm64: kpti: Add ->enable callback to remap swapper using nG
  mappings (bnc#1012628).
- arm64: Force KPTI to be disabled on Cavium ThunderX
  (bnc#1012628).
- arm64: entry: Reword comment about post_ttbr_update_workaround
  (bnc#1012628).
- arm64: idmap: Use "awx" flags for .idmap.text .pushsection
  directives (bnc#1012628).
- arm64: barrier: Add CSDB macros to control data-value prediction
  (bnc#1012628).
- arm64: Implement array_index_mask_nospec() (bnc#1012628).
- arm64: Make USER_DS an inclusive limit (bnc#1012628).
- arm64: Use pointer masking to limit uaccess speculation
  (bnc#1012628).
- arm64: entry: Ensure branch through syscall table is bounded
  under speculation (bnc#1012628).
- arm64: uaccess: Prevent speculative use of the current
  addr_limit (bnc#1012628).
- arm64: uaccess: Don't bother eliding access_ok checks in __{get,
  put}_user (bnc#1012628).
- arm64: uaccess: Mask __user pointers for __arch_{clear,
  copy_*}_user (bnc#1012628).
- arm64: futex: Mask __user pointers prior to dereference
  (bnc#1012628).
- arm64: cpufeature: __this_cpu_has_cap() shouldn't stop early
  (bnc#1012628).
- arm64: entry: Apply BP hardening for high-priority synchronous
  exceptions (bnc#1012628).
- arm64: entry: Apply BP hardening for suspicious interrupts
  from EL0 (bnc#1012628).
- arm64: KVM: Increment PC after handling an SMC trap
  (bnc#1012628).
- arm/arm64: KVM: Consolidate the PSCI include files
  (bnc#1012628).
- arm/arm64: KVM: Add PSCI_VERSION helper (bnc#1012628).
- arm/arm64: KVM: Add smccc accessors to PSCI code (bnc#1012628).
- arm/arm64: KVM: Implement PSCI 1.0 support (bnc#1012628).
- arm/arm64: KVM: Advertise SMCCC v1.1 (bnc#1012628).
- arm/arm64: KVM: Turn kvm_psci_version into a static inline
  (bnc#1012628).
- arm64: KVM: Report SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bnc#1012628).
- arm64: KVM: Add SMCCC_ARCH_WORKAROUND_1 fast handling
  (bnc#1012628).
- firmware/psci: Expose PSCI conduit (bnc#1012628).
- firmware/psci: Expose SMCCC version through psci_ops
  (bnc#1012628).
- arm/arm64: smccc: Make function identifiers an unsigned quantity
  (bnc#1012628).
- arm/arm64: smccc: Implement SMCCC v1.1 inline primitive
  (bnc#1012628).
- arm64: Add ARM_SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bnc#1012628).
- arm64: Kill PSCI_GET_VERSION as a variant-2 workaround
  (bnc#1012628).
- mtd: cfi: convert inline functions to macros (bnc#1012628).
- mtd: nand: brcmnand: Disable prefetch by default (bnc#1012628).
- mtd: nand: Fix nand_do_read_oob() return value (bnc#1012628).
- mtd: nand: sunxi: Fix ECC strength choice (bnc#1012628).
- ubi: Fix race condition between ubi volume creation and udev
  (bnc#1012628).
- ubi: fastmap: Erase outdated anchor PEBs during attach
  (bnc#1012628).
- ubi: block: Fix locking for idr_alloc/idr_remove (bnc#1012628).
- ubifs: free the encrypted symlink target (bnc#1012628).
- nfs/pnfs: fix nfs_direct_req ref leak when i/o falls back to
  the mds (bnc#1012628).
- nfs41: do not return ENOMEM on LAYOUTUNAVAILABLE (bnc#1012628).
- NFS: Add a cond_resched() to nfs_commit_release_pages()
  (bnc#1012628).
- NFS: Fix nfsstat breakage due to LOOKUPP (bnc#1012628).
- NFS: commit direct writes even if they fail partially
  (bnc#1012628).
- NFS: reject request for id_legacy key without auxdata
  (bnc#1012628).
- NFS: Fix a race between mmap() and O_DIRECT (bnc#1012628).
- nfsd: Detect unhashed stids in nfsd4_verify_open_stid()
  (bnc#1012628).
- kernfs: fix regression in kernfs_fop_write caused by wrong type
  (bnc#1012628).
- ahci: Annotate PCI ids for mobile Intel chipsets as such
  (bnc#1012628).
- ahci: Add PCI ids for Intel Bay Trail, Cherry Trail and Apollo
  Lake AHCI (bnc#1012628).
- ahci: Add Intel Cannon Lake PCH-H PCI ID (bnc#1012628).
- crypto: hash - introduce crypto_hash_alg_has_setkey()
  (bnc#1012628).
- crypto: cryptd - pass through absence of ->setkey()
  (bnc#1012628).
- crypto: mcryptd - pass through absence of ->setkey()
  (bnc#1012628).
- crypto: poly1305 - remove ->setkey() method (bnc#1012628).
- crypto: hash - annotate algorithms taking optional key
  (bnc#1012628).
- crypto: hash - prevent using keyed hashes without setting key
  (bnc#1012628).
- media: v4l2-ioctl.c: use check_fmt for enum/g/s/try_fmt
  (bnc#1012628).
- media: v4l2-ioctl.c: don't copy back the result for -ENOTTY
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: add missing VIDIOC_PREPARE_BUF
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: fix the indentation (bnc#1012628).
- media: v4l2-compat-ioctl32.c: move 'helper' functions to
  __get/put_v4l2_format32 (bnc#1012628).
- media: v4l2-compat-ioctl32.c: avoid sizeof(type) (bnc#1012628).
- media: v4l2-compat-ioctl32.c: copy m.userptr in put_v4l2_plane32
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: fix ctrl_is_pointer (bnc#1012628).
- media: v4l2-compat-ioctl32.c: copy clip list in
  put_v4l2_window32 (bnc#1012628).
- media: v4l2-compat-ioctl32.c: drop pr_info for unknown buffer
  type (bnc#1012628).
- media: v4l2-compat-ioctl32.c: don't copy back the result for
  certain errors (bnc#1012628).
- media: v4l2-compat-ioctl32.c: refactor compat ioctl32 logic
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: make ctrl_is_pointer work for
  subdevs (bnc#1012628).
- crypto: caam - fix endless loop when DECO acquire fails
  (bnc#1012628).
- crypto: sha512-mb - initialize pending lengths correctly
  (bnc#1012628).
- crypto: talitos - fix Kernel Oops on hashing an empty file
  (bnc#1012628).
- arm: KVM: Fix SMCCC handling of unimplemented SMC/HVC calls
  (bnc#1012628).
- KVM: nVMX: Fix races when sending nested PI while dest
  enters/leaves L2 (bnc#1012628).
- KVM: nVMX: Fix bug of injecting L2 exception into L1
  (bnc#1012628).
- KVM: PPC: Book3S HV: Make sure we don't re-enter guest without
  XIVE loaded (bnc#1012628).
- KVM: PPC: Book3S HV: Drop locks before reading guest memory
  (bnc#1012628).
- KVM: arm/arm64: Handle CPU_PM_ENTER_FAILED (bnc#1012628).
- KVM: PPC: Book3S PR: Fix broken select due to misspelling
  (bnc#1012628).
- ASoC: acpi: fix machine driver selection based on quirk
  (bnc#1012628).
- ASoC: rockchip: i2s: fix playback after runtime resume
  (bnc#1012628).
- ASoC: skl: Fix kernel warning due to zero NHTL entry
  (bnc#1012628).
- ASoC: compress: Correct handling of copy callback (bnc#1012628).
- watchdog: imx2_wdt: restore previous timeout after
  suspend+resume (bnc#1012628).
- afs: Add missing afs_put_cell() (bnc#1012628).
- afs: Need to clear responded flag in addr cursor (bnc#1012628).
- afs: Fix missing cursor clearance (bnc#1012628).
- afs: Fix server list handling (bnc#1012628).
- btrfs: Handle btrfs_set_extent_delalloc failure in fixup worker
  (bnc#1012628).
- Btrfs: raid56: iterate raid56 internal bio with
  bio_for_each_segment_all (bnc#1012628).
- kasan: don't emit builtin calls when sanitization is off
  (bnc#1012628).
- kasan: rework Kconfig settings (bnc#1012628).
- media: dvb_frontend: be sure to init dvb_frontend_handle_ioctl()
  return code (bnc#1012628).
- media: dvb-frontends: fix i2c access helpers for KASAN
  (bnc#1012628).
- media: dt-bindings/media/cec-gpio.txt: mention the CEC/HPD
  max voltages (bnc#1012628).
- media: ts2020: avoid integer overflows on 32 bit machines
  (bnc#1012628).
- media: vivid: fix module load error when enabling fb and
  no_error_inj=1 (bnc#1012628).
- media: cxusb, dib0700: ignore XC2028_I2C_FLUSH (bnc#1012628).
- fs/proc/kcore.c: use probe_kernel_read() instead of memcpy()
  (bnc#1012628).
- kernel/async.c: revert "async: simplify lowest_in_progress()"
  (bnc#1012628).
- kernel/relay.c: revert "kernel/relay.c: fix potential memory
  leak" (bnc#1012628).
- pipe: actually allow root to exceed the pipe buffer limits
  (bnc#1012628).
- pipe: fix off-by-one error when checking buffer limits
  (bnc#1012628).
- HID: quirks: Fix keyboard + touchpad on Toshiba Click Mini
  not working (bnc#1012628).
- Bluetooth: btsdio: Do not bind to non-removable BCM43341
  (bnc#1012628).
- Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"
  (bnc#1012628).
- Bluetooth: btusb: Restore QCA Rome suspend/resume fix with a
  "rewritten" version (bnc#1012628).
- ipmi: use dynamic memory for DMI driver override (bnc#1012628).
- signal/openrisc: Fix do_unaligned_access to send the proper
  signal (bnc#1012628).
- signal/sh: Ensure si_signo is initialized in do_divide_error
  (bnc#1012628).
- alpha: fix crash if pthread_create races with signal delivery
  (bnc#1012628).
- alpha: osf_sys.c: fix put_tv32 regression (bnc#1012628).
- alpha: Fix mixed up args in EXC macro in futex operations
  (bnc#1012628).
- alpha: fix reboot on Avanti platform (bnc#1012628).
- alpha: fix formating of stack content (bnc#1012628).
- xtensa: fix futex_atomic_cmpxchg_inatomic (bnc#1012628).
- EDAC, octeon: Fix an uninitialized variable warning
  (bnc#1012628).
- genirq: Make legacy autoprobing work again (bnc#1012628).
- pinctrl: intel: Initialize GPIO properly when used through
  irqchip (bnc#1012628).
- pinctrl: mcp23s08: fix irq setup order (bnc#1012628).
- pinctrl: sx150x: Unregister the pinctrl on release
  (bnc#1012628).
- pinctrl: sx150x: Register pinctrl before adding the gpiochip
  (bnc#1012628).
- pinctrl: sx150x: Add a static gpio/pinctrl pin range mapping
  (bnc#1012628).
- pktcdvd: Fix pkt_setup_dev() error path (bnc#1012628).
- pktcdvd: Fix a recently introduced NULL pointer dereference
  (bnc#1012628).
- blk-mq: quiesce queue before freeing queue (bnc#1012628).
- clocksource/drivers/stm32: Fix kernel panic with multiple timers
  (bnc#1012628).
- lib/ubsan.c: s/missaligned/misaligned/ (bnc#1012628).
- lib/ubsan: add type mismatch handler for new GCC/Clang
  (bnc#1012628).
- objtool: Fix switch-table detection (bnc#1012628).
- arm64: dts: marvell: add Ethernet aliases (bnc#1012628).
- drm/i915: Avoid PPS HW/SW state mismatch due to rounding
  (bnc#1012628).
- ACPI: sbshc: remove raw pointer from printk() message
  (bnc#1012628).
- acpi, nfit: fix register dimm error handling (bnc#1012628).
- ovl: force r/o mount when index dir creation fails
  (bnc#1012628).
- ovl: fix failure to fsync lower dir (bnc#1012628).
- ovl: take mnt_want_write() for work/index dir setup
  (bnc#1012628).
- ovl: take mnt_want_write() for removing impure xattr
  (bnc#1012628).
- ovl: hash directory inodes for fsnotify (bnc#1012628).
- mn10300/misalignment: Use SIGSEGV SEGV_MAPERR to report a
  failed user copy (bnc#1012628).
- devpts: fix error handling in devpts_mntget() (bnc#1012628).
- ftrace: Remove incorrect setting of glob search field
  (bnc#1012628).
- scsi: core: Ensure that the SCSI error handler gets woken up
  (bnc#1012628).
- scsi: lpfc: Fix crash after bad bar setup on driver attachment
  (bnc#1012628).
- scsi: cxlflash: Reset command ioasc (bnc#1012628).
- rcu: Export init_rcu_head() and destroy_rcu_head() to GPL
  modules (bnc#1012628).
- media: dvb_frontend: fix return error code (git-fixes).
- mtd: ubi: wl: Fix error return code in ubi_wl_init()
  (git-fixes).
- Update config files.
- commit 67968b5
* Fri Feb 16 2018 kbuild@suse.de
- Automatically updated to 4.16-rc1-100-g1388c80
- commit 4496d0d
* Thu Feb 15 2018 jmoreira@suse.de
- Add kernel livepatch-devel package
  Resolving non-exported static symbols in kernel livepatches cannot
  be done implicitly. For such, the relocations of these symbols must
  follow a specially crafted format in the respective elf file. Willing
  to make the task of converting the elf into the right format, a tool
  named klp-convert was proposed. Through a file that maps all kernel
  symbols into their respective kernel object, this tool infers which
  non-exported symbol is relative to a livepatch relocation and
  automatically formats the final elf file.
  Add support to the generation of a map file right after the kernel
  compilation.
  Add the package kernel-<flavour>-livepatch-devel that brings
  the map file.
- commit 0b1b4d3
* Thu Feb 15 2018 kbuild@suse.de
- Automatically updated to 4.16-rc1-88-ge525de3
- commit ef3734b
* Wed Feb 14 2018 kbuild@suse.de
- Automatically updated to 4.16-rc1-13-g61f14c0
- commit f62181a
* Tue Feb 13 2018 kbuild@suse.de
- Automatically updated to 4.16-rc1-10-g178e834
- commit 1ef626f
* Mon Feb 12 2018 kbuild@suse.de
- Automatically updated to 4.16-rc1
- commit 5b70400
* Sun Feb 11 2018 kbuild@suse.de
- Automatically updated to 4.15-12639-gd48fcbd
- commit 3b17929
* Sun Feb 11 2018 afaerber@suse.de
- config: arm64: Enable Hi6421 PMU (bsc#1080449)
- commit c3d5ec3
* Sat Feb 10 2018 kbuild@suse.de
- Automatically updated to 4.15-12396-g9a61df9
- commit 0f1ec6d
* Fri Feb  9 2018 jslaby@suse.cz
- Update i386 config files.
  Switch from almost unusable UNWINDER_GUESS to UNWINDER_FRAME_POINTER
  (which enables FRAME_POINTERs). It will slow down the kernel a bit,
  but improves the stack traces by the order of magnitude. Sad is that
  we have no ORCs on i386...
- commit e0a39f0
* Fri Feb  9 2018 jslaby@suse.cz
- Update config files.
  Sync vanilla configs to 4.15.
- commit 2583453
* Fri Feb  9 2018 kbuild@suse.de
- Automatically updated to 4.15-12154-gf1517df
- commit 0bf4b4e
* Thu Feb  8 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Also require m4 for build.
- commit 0d7b4b3
* Thu Feb  8 2018 kbuild@suse.de
- Automatically updated to 4.15-11930-g581e400
- commit 8b25fbd
* Wed Feb  7 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: install ksym-provides tool (bsc#1077692).
- commit 679f5c5
* Wed Feb  7 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: require bison for build.
  linux-next tends to have outdated generated files so it needs bison to
  regenerate them.
- commit 4ad1ede
* Wed Feb  7 2018 msuchanek@suse.de
- Add ksym-provides tool (bsc#1077692).
- commit c81e160
* Wed Feb  7 2018 kbuild@suse.de
- Automatically updated to 4.15-11704-ga2e5790
- commit 5ea93b7
* Tue Feb  6 2018 kbuild@suse.de
- Automatically updated to 4.15-10759-ge237f98
- commit f16a881
* Mon Feb  5 2018 msuchanek@suse.de
- Automatically updated to 4.15-10668-g35277995e179
- commit 487eedc
* Mon Feb  5 2018 kbuild@suse.de
- Automatically updated to 4.15-10668-g3527799
- commit 35ac726
* Sun Feb  4 2018 kbuild@suse.de
- Automatically updated to 4.15-10442-g617aebe
- commit 5ebf4dc
* Sat Feb  3 2018 kbuild@suse.de
- Automatically updated to 4.15-10190-gb89e32c
- commit 6bfa00e
* Fri Feb  2 2018 kbuild@suse.de
- Automatically updated to 4.15-9939-g4bf772b
- commit be06bd9
* Thu Feb  1 2018 matwey.kornilov@gmail.com
- config: arm64: Enable RockChip 8xx
  We need RockChip RK-808 support to run openSUSE on Rock64 board (RK3328).
  Currently, even voltage regulator is missed.
- commit 3d4ddde
* Thu Feb  1 2018 kbuild@suse.de
- Automatically updated to 4.15-6064-g255442c
- commit 445ab97
* Wed Jan 31 2018 kbuild@suse.de
- Automatically updated to 4.15-2341-g3da90b1
- commit fbef80f
* Tue Jan 30 2018 kbuild@suse.de
- Automatically updated to 4.15-1549-g6304672
- commit 0c2915b
* Mon Jan 29 2018 jeffm@suse.com
- Update to 4.15-final.
- Eliminated 5 patches.
- commit 5e4691f
* Mon Jan 29 2018 kbuild@suse.de
- Automatically updated to 4.15
- commit 021fec4
* Sat Jan 27 2018 kbuild@suse.de
- Automatically updated to 4.15-rc9-82-gc4e0ca7
- commit 7f88bd0
* Fri Jan 26 2018 yousaf.kaukab@suse.com
- config: arm64: enable UNMAP_KERNEL_AT_EL0 and HARDEN_BRANCH_PREDICTOR
- commit 3fc66bb
* Fri Jan 26 2018 kbuild@suse.de
- Automatically updated to 4.15-rc9-67-g993ca20
- commit bace2bc
* Fri Jan 26 2018 yousaf.kaukab@suse.com
- config: arm64: enable rk3399 missing drivers
  These drivers are required for Rockchip RK3399 Sapphire board
- commit e5fb37e
* Thu Jan 25 2018 kbuild@suse.de
- Automatically updated to 4.15-rc9-55-g5b7d279
- commit a08b9cf
* Wed Jan 24 2018 kbuild@suse.de
- Automatically updated to 4.15-rc9-23-g1f07476e
- commit 4ad14bf
* Tue Jan 23 2018 kbuild@suse.de
- Automatically updated to 4.15-rc9-5-g1995266
- commit 6a7fdb7
* Mon Jan 22 2018 msuchanek@suse.de
- rpm/mkspec-dtb: Remove COPYING file (bsc#1076905).
  It conflicts between different versions of dtb package.
- commit 0e5fcf9
* Mon Jan 22 2018 kbuild@suse.de
- Automatically updated to 4.15-rc9-1-g0d665e7
- commit e1e2978
* Sun Jan 21 2018 kbuild@suse.de
- Automatically updated to 4.15-rc8-251-gd517bb7
- commit d930c52
* Sat Jan 20 2018 kbuild@suse.de
- Automatically updated to 4.15-rc8-225-g8dd903d
- commit ffdf191
* Fri Jan 19 2018 kbuild@suse.de
- Automatically updated to 4.15-rc8-120-gdda3e15
- commit bba3cc6
* Thu Jan 18 2018 kbuild@suse.de
- Automatically updated to 4.15-rc8-104-g1d966eb
- commit 302cfc3
* Thu Jan 18 2018 jslaby@suse.cz
- Update config files (bsc#1068032 CVE-2017-5715).
  Enable RETPOLINE -- the compiler is capable of them already.
- commit d3d5e6d
* Wed Jan 17 2018 rjschwei@suse.com
- kernel-obs-build.spec.in: enable xfs module
  This allows the public cloud team to build images with XFS
  as root filesystem
- commit 95a2d6f
* Wed Jan 17 2018 msuchanek@suse.de
- macros.kernel-source: pass -f properly in module subpackage (boo#1076393).
- commit 66bd9b8
* Wed Jan 17 2018 kbuild@suse.de
- Automatically updated to 4.15-rc8-72-g8cbab92
- commit aeca932
* Mon Jan 15 2018 jeffm@suse.com
- Update to 4.15-rc8.
- Eliminated 3 patches.
- Config changes:
  - Security:
  - BPF_JIT_ALWAYS_ON=y
  - RETPOLINE=n (depends on gcc with -mindirect-branch=thunk-extern)
- commit 106a1c6
* Mon Jan 15 2018 kbuild@suse.de
- Automatically updated to 4.15-rc8
- commit e836f95
* Sun Jan 14 2018 kbuild@suse.de
- Automatically updated to 4.15-rc7-232-g2c1cfa4
- commit d86aa8b
* Sat Jan 13 2018 kbuild@suse.de
- Automatically updated to 4.15-rc7-200-gc92a9a4
- commit ef816c3
* Fri Jan 12 2018 kbuild@suse.de
- Automatically updated to 4.15-rc7-152-g1545dec
- commit 0c8dbb3
* Thu Jan 11 2018 matwey.kornilov@gmail.com
- config: arm64: Enable Aardvark PCIe controller
  Aardvark PCIe controller is a part of Marvel Armada 3700 SoC.
  This option is required to support PCIe for JeOS-espressobin.
- commit a1edfb8
* Thu Jan 11 2018 kbuild@suse.de
- Automatically updated to 4.15-rc7-111-g5f615b9
- commit 59a9b28
* Thu Jan 11 2018 lpechacek@suse.com
- rpm/kernel-binary.spec.in: more specific kGraft Provides: (fate#323682)
  Follow openSUSE packaging practices described at
  https://en.opensuse.org/openSUSE:Package_dependencies#Renaming_a_package.
- commit 050081b
* Wed Jan 10 2018 kbuild@suse.de
- Automatically updated to 4.15-rc7-102-gcf1fb15
- commit c76462c
* Tue Jan  9 2018 kbuild@suse.de
- Automatically updated to 4.15-rc7-79-gef7f8ce
- commit 29893a3
* Mon Jan  8 2018 kbuild@suse.de
- Automatically updated to 4.15-rc7
- commit 5ad116e
* Mon Jan  8 2018 msuchanek@suse.de
- kernel-obs-build.spec.in: add --no-hostonly-cmdline to dracut invocation (boo#1062303).
  call dracut with --no-hostonly-cmdline to avoid the random rootfs UUID
  being added into the initrd's /etc/cmdline.d/95root-dev.conf
- commit da5186f
* Mon Jan  8 2018 jeffm@suse.com
- Update to 4.15-rc7.
- Eliminated 1 patch.
- commit aa37aa1
* Sun Jan  7 2018 kbuild@suse.de
- Automatically updated to 4.15-rc6-139-g3219e26
- commit 2d070f8
* Sat Jan  6 2018 kbuild@suse.de
- Automatically updated to 4.15-rc6-116-g89876f2
- commit d2f4e36
* Sat Jan  6 2018 jslaby@suse.cz
- rpm/constraints.in: lower kernel-syzkaller's mem requirements
  OBS now reports that it needs only around 2G, so lower the limit to
  8G, so that more compliant workers can be used.
- commit a73399a
* Fri Jan  5 2018 kbuild@suse.de
- Automatically updated to 4.15-rc6-48-ge1915c8
- commit 8417a39
* Thu Jan  4 2018 kbuild@suse.de
- Automatically updated to 4.15-rc6-18-g00a5ae2
- commit 4df62bb
* Wed Jan  3 2018 jeffm@suse.com
- config: x86, PAGE_TABLE_ISOLATION=y (bsc#1068032).
- commit 30359cd
* Tue Jan  2 2018 jeffm@suse.com
- Update to 4.15-rc6.
- Config changes:
  - x86: PAGE_TABLE_ISOLATION=n (default, performance)
- commit 07d3845
* Mon Jan  1 2018 kbuild@suse.de
- Automatically updated to 4.15-rc6
- commit 21574d6
* Sun Dec 31 2017 kbuild@suse.de
- Automatically updated to 4.15-rc5-157-g71ee203
- commit 5e386d4
* Sat Dec 30 2017 kbuild@suse.de
- Automatically updated to 4.15-rc5-149-g5aa90a8
- commit 6ce6366
* Fri Dec 29 2017 kbuild@suse.de
- Automatically updated to 4.15-rc5-114-g2758b3e
- commit e9cee55
* Thu Dec 28 2017 kbuild@suse.de
- Automatically updated to 4.15-rc5-50-g5f520fc
- commit bd099cf
* Wed Dec 27 2017 kbuild@suse.de
- Automatically updated to 4.15-rc5-5-gbeacbc6
- commit 0ca78b4
* Mon Dec 25 2017 jeffm@suse.com
- config: disable BUG_ON_DATA_CORRUPTION
  On its face this option makes sense but it brings along with it
  DEBUG_LIST, which is very expensive and obvious on benchmarks.
- commit 6e7fd4d
* Mon Dec 25 2017 jeffm@suse.com
- config: refresh i386/default
  Commit 4735d41aeeb added a disabled CONFIG_SPI_INTEL_SPI_PLATFORM option
  that doesn't exist on i386/default (at least in 4.15-rc5).
- commit 7f27344
* Sun Dec 24 2017 jeffm@suse.com
- Update to 4.15-rc5.
- Config changes:
  - i386: NR_CPUS 128->64
  - 7bbcbd3d1cd (x86/Kconfig: Limit NR_CPUS on 32-bit to a sane amount)
- commit b761e0f
* Sun Dec 24 2017 kbuild@suse.de
- Automatically updated to 4.15-rc5
- commit 7e2cca3
* Sat Dec 23 2017 kbuild@suse.de
- Automatically updated to 4.15-rc4-273-g9c294ec
- commit 64ca59e
* Fri Dec 22 2017 kbuild@suse.de
- Automatically updated to 4.15-rc4-202-gead68f2
- commit d605dfa
* Thu Dec 21 2017 msuchanek@suse.de
- kernel-obs-build: use pae and lpae kernels where available
  (bsc#1073579).
- commit 1ac1946
* Thu Dec 21 2017 kbuild@suse.de
- Automatically updated to 4.15-rc4-77-gd1ce8ce
- commit 08de4d0
* Thu Dec 21 2017 tiwai@suse.de
- Disable CONFIG_SPI_INTEL_SPI_PCI as well (bsc#1073836)
- commit cdb39a0
* Thu Dec 21 2017 tiwai@suse.de
- Disable CONFIG_SPI_INTEL_SPI_PLATFORM for BIOS breakge on Lenovo laptops
  (bsc#1073836)
- commit c1a8fe3
* Wed Dec 20 2017 kbuild@suse.de
- Automatically updated to 4.15-rc4-42-g10a7e9d
- commit 4bf643d
* Tue Dec 19 2017 kbuild@suse.de
- Automatically updated to 4.15-rc4-41-gace5228
- commit 957994c
* Tue Dec 19 2017 jeffm@suse.com
- Update to 4.15-rc4.
- Eliminated 1 patch.
- Config changes:
  - ARM:
  - QCOM_FALKOR_ERRATUM_E1041=y
  - Overlayfs:
  - OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW=y (preserves existing behavior)
- commit 858f298
* Mon Dec 18 2017 kbuild@suse.de
- Automatically updated to 4.15-rc4
- commit 5157d87
* Sun Dec 17 2017 kbuild@suse.de
- Automatically updated to 4.15-rc3-291-gf3b5ad8
- commit 040f24a
* Sat Dec 16 2017 kbuild@suse.de
- Automatically updated to 4.15-rc3-271-gf6f3732
- commit 4bd3620
* Fri Dec 15 2017 kbuild@suse.de
- Automatically updated to 4.15-rc3-86-g032b4cc
- commit 30706e6
* Thu Dec 14 2017 kbuild@suse.de
- Automatically updated to 4.15-rc3-45-g7c5cac1
- commit b130bd1
* Wed Dec 13 2017 kbuild@suse.de
- Automatically updated to 4.15-rc3-37-gd39a01e
- commit 93390d6
* Tue Dec 12 2017 kbuild@suse.de
- Automatically updated to 4.15-rc3-33-ga638349
- commit 17bbb11
* Mon Dec 11 2017 kbuild@suse.de
- Automatically updated to 4.15-rc3
- commit 84cfa62
* Mon Dec 11 2017 jeffm@suse.com
- Update to 4.15-rc3.
- Eliminated 1 patch.
- commit 89ba6c8
* Sun Dec 10 2017 kbuild@suse.de
- Automatically updated to 4.15-rc2-483-g4ded3be
- commit d435e07
* Sat Dec  9 2017 afaerber@suse.de
- config: armv7hl: Enable SUN4I_A10_CCU for Allwinner A20 (boo#1072032)
- commit a1e3086
* Sat Dec  9 2017 kbuild@suse.de
- Automatically updated to 4.15-rc2-467-gf335195
- commit 26d4659
* Fri Dec  8 2017 msuchanek@suse.de
- Add undefine _unique_build_ids (bsc#964063)
- commit 47e91a1
* Thu Dec  7 2017 kbuild@suse.de
- Automatically updated to 4.15-rc2-252-g968edbd
- commit d7b0512
* Wed Dec  6 2017 kbuild@suse.de
- Automatically updated to 4.15-rc2-174-g328b4ed
- commit 32f46f7
* Tue Dec  5 2017 kbuild@suse.de
- Automatically updated to 4.15-rc2-79-gfd6d2e5
- commit 873e07e
* Mon Dec  4 2017 jeffm@suse.com
- Update to 4.15-rc2.
- Eliminated 2 patches.
- commit e268cab
* Mon Dec  4 2017 kbuild@suse.de
- Automatically updated to 4.15-rc2
- commit 813b415
* Sat Dec  2 2017 kbuild@suse.de
- Automatically updated to 4.15-rc1-449-g2db767d
- commit 64e30b5
* Fri Dec  1 2017 kbuild@suse.de
- Automatically updated to 4.15-rc1-254-gdf8ba95
- commit 640ad16
* Thu Nov 30 2017 kbuild@suse.de
- Automatically updated to 4.15-rc1-179-ga0908a1b7
- commit 424b641
* Wed Nov 29 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: fix incorrectly moved comment
  While moving # END COMMON DEPS moved following comment with it.
- commit 858b7e7
* Wed Nov 29 2017 kbuild@suse.de
- Automatically updated to 4.15-rc1-24-g43570f0
- commit 25d46e8
* Tue Nov 28 2017 afaerber@suse.de
- config: armv7hl: Update to 4.15-rc1
- commit c62ce70
* Tue Nov 28 2017 afaerber@suse.de
- config: armv6hl: Update to 4.15-rc1
- commit f0b24ea
* Tue Nov 28 2017 afaerber@suse.de
- config: arm64: Update to 4.15-rc1
- commit f97438c
* Mon Nov 27 2017 jeffm@suse.com
- Update to 4.15-rc1.
- Eliminated 74 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - CPU_ISOLATION=y
  - GUP_BENCHMARK=n
  - x86:
  - X86_INTEL_UMIP=y
  - PINCTRL_CEDARFORK=m
  - INTEL_SOC_PMIC_CHTDC_TI=m
  - INTEL_WMI_THUNDERBOLT=m
  - DELL_SMBIOS_WMI=m
  - DELL_SMBIOS_SMM=m
  - CHT_DC_TI_PMIC_OPREGION=y
  - RPMSG_CHAR=m
  - i386:
  - IR_SPI=m
  - IR_GPIO_CIR=m
  - IR_GPIO_TX=m
  - IR_PWM_TX=m
  - powerpc:
  - PPC_RADIX_MMU_DEFAULT=y (default)
  - MEM_SOFT_DIRTY=n (needs arch expert review)
  - PINCTRL=n
  - PPC_FAST_ENDIAN_SWITCH=n (default)
  - s390:
  - GCC_PLUGINS=n
  - MEM_SOFT_DIRTY=(needs arch expert review)
  - PINCTRL=n
  - FORTIFY_SOURCE=y
  - s390/zfcpdump:
  - BPF_STREAM_PARSER=n
  - MTD=n
  - Network:
  - NET_SCH_CBS=m
  - VSOCKETS_DIAG=m
  - DP83822_PHY=m
  - RENESAS_PHY=m
  - THUNDERBOLT_NET=m
  - Input:
  - TOUCHSCREEN_EXC3000=m
  - TOUCHSCREEN_HIDEEP=m
  - TOUCHSCREEN_S6SY761=m
  - DRM_I2C_ADV7511_CEC=y
  - Misc:
  - IPMI_PROC_INTERFACE=y
  - GPIO_MAX3191X=m
  - MANAGER_SBS=m
  - W1_SLAVE_DS28E17=m
  - SENSORS_MAX6621=m
  - SENSORS_MAX31785=m
  - CEC_GPIO=m
  - TYPEC_TPS6598X=m
  - RPMSG_VIRTIO=m
  - IIO_CROS_EC_ACCEL_LEGACY=m
  - RFD77402=m
  - NTB_SWITCHTEC=m
  - MMC_SDHCI_OMAP=m
  - Filesystems:
  - XFS_ONLINE_SCRUB=n (still experimental)
  - BTRFS_FS_REF_VERIFY=n
  - CRAMFS_BLOCKDEV=y
  - CRAMFS_MTD=y
  - INTEGRITY_TRUSTED_KEYRING=y
  - Crypto:
  - CRYPTO_SM3=m
  - SIGNED_PE_FILE_VERIFICATION=y
  - SYSTEM_TRUSTED_KEYS (empty)
  - SYSTEM_EXTRA_CERTIFICATE=n
  - SECONDARY_TRUSTED_KEYRING=n
  - LEDS:
  - LEDS_APU=m
  - LEDS_TRIGGER_ACTIVITY=m
  - RTC:
  - RTC_DRV_PCF85363=m
  - Xen:
  - XEN_PVCALLS_FRONTEND=n
  - Graphics:
  - DRM_AMD_DC=y
  - DRM_AMD_DC_PRE_VEGA=y
  - DRM_AMD_DC_FBC=y ?
  - DRM_AMD_DC_DCN1_0=y
  - DEBUG_KERNEL_DC=n
  - NOUVEAU_DEBUG_MMU=n
  - Storage:
  - NVME_MULTIPATH=y
  - IB:
  - MLX4_CORE_GEN2=y
  - Sound:
  - SND_SOC_INTEL_SST_TOPLEVEL=m
  - SND_SOC_INTEL_BAYTRAIL=m
  - Testing:
  - KCOV_ENABLE_COMPARISONS=y (syzkaller)
  - BOOTPARAM_LOCKDEP_CROSSRELEASE_FULLSTACK=n
  - PREEMPTIRQ_EVENTS=y
  - TEST_FIND_BIT=n
  - PKCS7_TEST_KEY=n
  - CHASH_SELFTEST=n
  - CHASH_STATS=n
- commit c5cce47
* Mon Nov 27 2017 kbuild@suse.de
- Automatically updated to 4.15-rc1
- commit 7f4d755
* Sun Nov 26 2017 afaerber@suse.de
- config: armv6hl: Enable 8250 irq sharing for RPi Zero W (boo#1069828)
- commit f4d0c3c
* Sun Nov 26 2017 kbuild@suse.de
- Automatically updated to 4.14-13425-g844056f
- commit 12d6c61
* Sat Nov 25 2017 afaerber@suse.de
- config: armv6hl: Enable brcmfmac for RPi Zero W (boo#1069830)
- commit 6efa56f
* Sat Nov 25 2017 afaerber@suse.de
- config: armv6hl: Enable 8250 serial console for RPi Zero W (boo#1069828)
- commit 5bb4686
* Sat Nov 25 2017 kbuild@suse.de
- Automatically updated to 4.14-13369-g7753ea0
- commit 1130490
* Fri Nov 24 2017 tiwai@suse.de
- rpm/kernel-binary.spec.in: Correct supplements for recent SLE products (bsc#1067494)
- commit 8f05b9f
* Fri Nov 24 2017 kbuild@suse.de
- Automatically updated to 4.14-13292-g1d3b78b
- commit 15f6e55
* Thu Nov 23 2017 kbuild@suse.de
- Automatically updated to 4.14-13151-g5a78775
- commit 3dc3823
* Wed Nov 22 2017 kbuild@suse.de
- Automatically updated to 4.14-12995-g0c86a6b
- commit a0450f9
* Tue Nov 21 2017 jslaby@suse.cz
- Update config files.
  After renaming the UNWINDER config options, vanilla has the old names
  and they need to be in configs. For example, x86_64 default config
  has CONFIG_UNWINDER_ORC=y, vanilla has CONFIG_ORC_UNWINDER=y.
- commit 538b36b
* Tue Nov 21 2017 jslaby@suse.cz
- x86/unwind: Make CONFIG_UNWINDER_ORC=y the default in kconfig
  for 64-bit (bnc#1058115).
- Update config files.
- x86/unwind: Rename unwinder config options to
  'CONFIG_UNWINDER_*' (bnc#1058115).
- Refresh patches.suse/0001-orc-mark-it-as-reliable.patch.
- Update config files.
- commit 17abe2f
* Tue Nov 21 2017 kbuild@suse.de
- Automatically updated to 4.14-12947-ge1d1ea5
- commit 98f8739
* Mon Nov 20 2017 kbuild@suse.de
- Automatically updated to 4.14-12891-gc8a0739
- commit 017de5f
* Sun Nov 19 2017 kbuild@suse.de
- Automatically updated to 4.14-12869-g0192f17
- commit 9855664
* Sat Nov 18 2017 kbuild@suse.de
- Automatically updated to 4.14-12769-g1deab8c
- commit a9556d7
* Fri Nov 17 2017 kbuild@suse.de
- Automatically updated to 4.14-10859-gcf9b077
- commit a048153
* Thu Nov 16 2017 kbuild@suse.de
- Automatically updated to 4.14-9248-ge60e1ee
- commit 7fae4d8
* Wed Nov 15 2017 kbuild@suse.de
- Automatically updated to 4.14-4050-g37cb8e1
- commit 4d4ef11
* Tue Nov 14 2017 kbuild@suse.de
- Automatically updated to 4.14-2229-g894025f
- commit 16a2318
* Mon Nov 13 2017 jeffm@suse.com
- Update to 4.14-final.
- commit 4788586
* Mon Nov 13 2017 kbuild@suse.de
- Automatically updated to 4.14-5-g516fb7f
- commit 5cdccf3
* Sun Nov 12 2017 kbuild@suse.de
- Automatically updated to 4.14-rc8-106-gb395456
- commit fbcf1e5
* Sat Nov 11 2017 kbuild@suse.de
- Automatically updated to 4.14-rc8-88-gca91659
- commit 83a1d7a
* Fri Nov 10 2017 kbuild@suse.de
- Automatically updated to 4.14-rc8-66-g1c9dbd4
- commit d25614c
* Thu Nov  9 2017 lpechacek@suse.com
- rpm/kernel-binary.spec.in: rename kGraft to KLP (fate#323682)
- commit 0ed191d
* Thu Nov  9 2017 kbuild@suse.de
- Automatically updated to 4.14-rc8-13-g87df261
- commit f3f64b6
* Wed Nov  8 2017 kbuild@suse.de
- Automatically updated to 4.14-rc8-9-gfbc3edf
- commit 21adff4
* Tue Nov  7 2017 kbuild@suse.de
- Automatically updated to 4.14-rc8-7-ge4880bc5
- commit d3c0cde
* Mon Nov  6 2017 jeffm@suse.com
- Update to 4.14-rc8.
- commit 8ddb72e
* Mon Nov  6 2017 kbuild@suse.de
- Automatically updated to 4.14-rc8
- commit 393c081
* Mon Nov  6 2017 jkosina@suse.cz
- rpm/kernel-binary.spec.in: add explicit dependency of kernel-*-devel on
  libelf-devel. Otherwise warning that got turned into error by e683952999
  ("objtool: Upgrade libelf-devel warning to error...") would trigger and
  cause any packages being built against kernel-*-devel (such as KMPs,
  crash) not to have the libelf dependency included, and fail to build.
- commit cad1ef9
* Sun Nov  5 2017 kbuild@suse.de
- Automatically updated to 4.14-rc7-174-g2d63499
- commit 687d6c7
* Sat Nov  4 2017 kbuild@suse.de
- Automatically updated to 4.14-rc7-131-gd4c2e9f
- commit 909c2f5
* Fri Nov  3 2017 kbuild@suse.de
- Automatically updated to 4.14-rc7-76-g5cb0512
- commit dd83086
* Thu Nov  2 2017 kbuild@suse.de
- Automatically updated to 4.14-rc7-47-g3a99df9
- commit 605ef7c
* Wed Nov  1 2017 kbuild@suse.de
- Automatically updated to 4.14-rc7-9-g287683d
- commit b7f0542
* Tue Oct 31 2017 kbuild@suse.de
- Automatically updated to 4.14-rc7-8-g5f47944
- commit 47ddc98
* Mon Oct 30 2017 kbuild@suse.de
- Automatically updated to 4.14-rc7
- commit 8d8182b
* Mon Oct 30 2017 jeffm@suse.com
- Update to 4.14-rc7.
- commit a432932
* Sun Oct 29 2017 kbuild@suse.de
- Automatically updated to 4.14-rc6-127-g25a5d23
- commit 326f6ca
* Sat Oct 28 2017 kbuild@suse.de
- Automatically updated to 4.14-rc6-77-g11224e1
- commit 808c31c
* Fri Oct 27 2017 kbuild@suse.de
- Automatically updated to 4.14-rc6-53-g15f859a
- commit e07ec52
* Thu Oct 26 2017 kbuild@suse.de
- Automatically updated to 4.14-rc6-29-g4ed5902
- commit 41a1838
* Wed Oct 25 2017 kbuild@suse.de
- Automatically updated to 4.14-rc6-21-gf341578
- commit f6557eb
* Tue Oct 24 2017 kbuild@suse.de
- Automatically updated to 4.14-rc6-12-g6cff0a1
- commit 1df319f
* Mon Oct 23 2017 jeffm@suse.com
- Update to 4.14-rc6.
- Eliminated 2 patches.
- commit 0ac1d5a
* Mon Oct 23 2017 kbuild@suse.de
- Automatically updated to 4.14-rc5-298-g02982f8
- commit b2d35c7
* Sun Oct 22 2017 kbuild@suse.de
- Automatically updated to 4.14-rc5-263-gb5ac3be
- commit eb69f0a
* Sat Oct 21 2017 kbuild@suse.de
- Automatically updated to 4.14-rc5-125-g9c323bf
- commit 2dd48b1
* Fri Oct 20 2017 kbuild@suse.de
- Automatically updated to 4.14-rc5-46-gce43f4f
- commit 9028853
* Thu Oct 19 2017 kbuild@suse.de
- Automatically updated to 4.14-rc5-31-g73d3393
- commit 03c4722
* Wed Oct 18 2017 kbuild@suse.de
- Automatically updated to 4.14-rc5-15-gebe6e90
- commit 397e83b
* Mon Oct 16 2017 jeffm@suse.com
- Update to 4.14-rc5.
- commit 1ff59ff
* Mon Oct 16 2017 kbuild@suse.de
- Automatically updated to 4.14-rc5
- commit 35cd394
* Sun Oct 15 2017 kbuild@suse.de
- Automatically updated to 4.14-rc4-241-ge7a36a6
- commit 026b016
* Fri Oct 13 2017 msuchanek@suse.de
- Revert "rpm/constraints.in: Lower default disk space requirement from 25G to 24G"
  This reverts commit 406abda1467c038842febffe264faae1fa2e3c1d.
  ok, did not wait long enough to see the failure.
- commit ed99981
* Fri Oct 13 2017 msuchanek@suse.de
- rpm/constraints.in: Lower default disk space requirement from 25G to 24G
  25G is rejected by the build service on ARM.
- commit 406abda
* Fri Oct 13 2017 kbuild@suse.de
- Automatically updated to 4.14-rc4-126-g3d78827
- commit 32a8782
* Thu Oct 12 2017 msuchanek@suse.de
- Automatically updated to 4.14-rc4-84-gff5abbe799e2
- commit 139cdb5
* Thu Oct 12 2017 kbuild@suse.de
- Automatically updated to 4.14-rc4-84-gff5abbe
- commit f7964ec
* Wed Oct 11 2017 kbuild@suse.de
- Automatically updated to 4.14-rc4-62-ga957fd4
- commit 6916d6f
* Tue Oct 10 2017 kbuild@suse.de
- Automatically updated to 4.14-rc4-52-g529a86e
- commit 899d340
* Mon Oct  9 2017 jeffm@suse.com
- Update to 4.14-rc4.
- commit bcbbfc5
* Mon Oct  9 2017 kbuild@suse.de
- Automatically updated to 4.14-rc4
- commit 56d4680
* Sun Oct  8 2017 kbuild@suse.de
- Automatically updated to 4.14-rc3-470-g85b1bb2
- commit 7fd0adf
* Sat Oct  7 2017 kbuild@suse.de
- Automatically updated to 4.14-rc3-452-g1c86f2e
- commit b5a92c8
* Fri Oct  6 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: add the kernel-binary dependencies to
  kernel-binary-base (bsc#1060333).
- commit 955681c
* Fri Oct  6 2017 kbuild@suse.de
- Automatically updated to 4.14-rc3-323-g7a92616
- commit e6e1f33
* Thu Oct  5 2017 kbuild@suse.de
- Automatically updated to 4.14-rc3-202-g42b76d0
- commit 9e11f2d
* Wed Oct  4 2017 kbuild@suse.de
- Automatically updated to 4.14-rc3-102-gd81fa66
- commit bcad4e7
* Wed Oct  4 2017 jslaby@suse.cz
- orc: mark it as reliable (bnc#1058115).
- Update config files.
- commit ec98c19
* Mon Oct  2 2017 jeffm@suse.com
- Moved powerpc-Blacklist-GCC-5.4-6.1-and-6.2.patch to patches.rpmify.
  It's a compiler blacklist addition and should be applied to vanilla too.
- commit b0f4c92
* Mon Oct  2 2017 jeffm@suse.com
- Update to 4.14-rc3.
- Eliminated 2 patches.
- Config changes:
  - Crypto:
  - Crypto changes brought by Kconfig changes:
  - CONFIG_CRYPTO_GHASH=y (Kconfig dependency change)
  - CONFIG_CRYPTO_GCM=y (Kconfig dependency change)
  - armv7hl:
  - DRM_SUN4I_HDMI_CEC=y
  - CONFIG_CEC_PIN=y (dependency)
  - s390x/zfcpdump:
  - Crypto changes brought by Kconfig changes, consistent with other configs:
  - CRYPTO_MANAGER_DISABLE_TESTS=n
  - CRYPTO_DRBG_HASH=y
  - CRYPTO_DRBG_CTR=y
  - Lots of dependencies
- commit d15531d
* Mon Oct  2 2017 kbuild@suse.de
- Automatically updated to 4.14-rc3
- commit 0730999
* Sat Sep 30 2017 kbuild@suse.de
- Automatically updated to 4.14-rc2-255-g74d83ec
- commit 646e74e
* Fri Sep 29 2017 kbuild@suse.de
- Automatically updated to 4.14-rc2-165-g770b782
- commit fd65bf2
* Thu Sep 28 2017 kbuild@suse.de
- Automatically updated to 4.14-rc2-125-g9cd6681
- commit 0b0e270
* Thu Sep 28 2017 jeffm@suse.com
- Update to 4.14-rc2.
- Eliminated 21 patches.
- commit 8cc8ff7
* Wed Sep 27 2017 kbuild@suse.de
- Automatically updated to 4.14-rc2-48-gdc972a6
- commit f92d7d5
* Tue Sep 26 2017 kbuild@suse.de
- Automatically updated to 4.14-rc2-44-ge365806
- commit f3527b6
* Mon Sep 25 2017 kbuild@suse.de
- Automatically updated to 4.14-rc2
- commit c8d500b
* Sun Sep 24 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: only rewrite modules.dep if non-zero in size
  (bsc#1056979).
- commit 75691fd
* Sun Sep 24 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1-329-gcd4175b1
- commit 3f37fcd
* Sat Sep 23 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1-193-gc65da8e
- commit b425cf6
* Fri Sep 22 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1-73-g6e80ecd
- commit 7289ce1
* Thu Sep 21 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1-39-gc52f56a
- commit 249fb21
* Wed Sep 20 2017 afaerber@suse.de
- config: armv7hl: Update to 4.14-rc1
- commit 4fc5b41
* Wed Sep 20 2017 afaerber@suse.de
- config: armv6hl: Update to 4.14-rc1
- commit 8d42e2b
* Wed Sep 20 2017 afaerber@suse.de
- config: arm64: Update to 4.14-rc1
- commit 1cde1de
* Wed Sep 20 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1-35-g820bf5c4
- commit 499d2fc
* Tue Sep 19 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1-13-gebb2c24
- commit 3ddbca2
* Tue Sep 19 2017 jeffm@suse.com
- Update to 4.14-rc1.
- Eliminated 17 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - HMM_MIRROR=n
  - DEVICE_PRIVATE=n
  - DEVICE_PUBLIC=n
  - SQUASHFS_ZSTD=y
  - ZRAM_WRITEBACK=y
  - x86:
  - INTEL_RDT=y (renamed option)
  - XEN_PVCALLS_BACKEND=y
  - X86_5LEVEL=n (will only boot on systems that support it)
  - AMD_MEM_ENCRYPT=y
  - AMD_MEM_ENCRYPT_ACTIVE_BY_DEFAULT=n
  - ppc:
  - PPC_MEMTRACE=y
  - PPC_VAS=y
  - s390:
  - CMA_DEBUG=n
  - CMA_DEBUGFS=n
  - CMA_AREAS=7 (default)
  - DMA_CMA=n
  - VMCP_CMA_SIZE=4 (default)
  - Netfilter:
  - NFT_FIB_NETDEV
  - Hyperv:
  - HYPERV_VSOCKETS
  - Network:
  - NET_NSH
  - BPF_STREAM_PARSER=y (build fix)
  - BNXT_FLOWER_OFFLOAD=y
  - HINIC
  - MLX5_MPFS=y
  - MLX5_ESWITCH=y
  - RMNET=n
  - ROCKCHIP_PHY
  - WIL6210_DEBUGFS=n
  - ATH10K_USB
  - Bluetooth:
  - BT_LEGACY_IOCTL=y (default)
  - SPI:
  - SPI_INTEL_SPI_PCI
  - Misc:
  - INPUT_PWM_VIBRA=m
  - SERIO_GPIO_PS2=m
  - PINCTRL_DENVERTON
  - PINCTRL_LEWISBURG
  - W1_SLAVE_DS2805
  - BATTERY_BQ27XXX_HDQ=m
  - BATTERY_MAX1721X
  - SENSORS_IBM_CFFPS
  - SENSORS_TPS53679
  - CLOCK_THERMAL=y
  - DEVFREQ_THERMAL=y
  - MFD_BD9571MWV=n
  - INTEL_SOC_PMIC_CHTWC=y
  - MFD_TPS68470=n
  - IR_GPIO_TX=n
  - IR_PWM_TX=n
  - DVB_DDBRIDGE
  - DVB_DDBRIDGE_MSIENABLE=n
  - TINYDRM_REPAPER=n
  - TINYDRM_ST7586=n
  - SND_SOC_CS43130=n
  - SND_SOC_WM8524=n
  - MMC_SPI
  - LEDS_AS3645A=n
  - LEDS_PCA955X_GPIO=y
  - INFINIBAND_EXP_USER_ACCESS=y [?]
  - CONFIG_ALTERA_MSGDMA
  - R8822BE
  - PI433=n
  - CLK_HSDK=n
  - EXTCON_USBC_CROS_EC
  - DLN2_ADC=m
  - LTC2471=n
  - CCS811=n
  - RESET_HSDK_V1=n
  - FPGA_MGR_ALTERA_CVP=m
  - FPGA_MGR_ALTERA_PS_SPI=m
  - CRYPTO_DEV_SP_CCP=y
  - I2C_CHT_WC=m
  - RESET_ATTACK_MITIGATION=y
- commit 2858315
* Mon Sep 18 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1-9-g0666f56
- commit 016cfc8
* Sun Sep 17 2017 kbuild@suse.de
- Automatically updated to 4.14-rc1
- commit e19b590
* Sat Sep 16 2017 kbuild@suse.de
- Automatically updated to 4.13-12278-g7318413
- commit 3165f4c
* Fri Sep 15 2017 kbuild@suse.de
- Automatically updated to 4.13-12032-g711aab1
- commit dd9f11f
* Thu Sep 14 2017 kbuild@suse.de
- Automatically updated to 4.13-11811-g46c1e79
- commit 7bff05f
* Wed Sep 13 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix a thinko for xmlto buildreq condition
- commit 0ef59d3
* Wed Sep 13 2017 kbuild@suse.de
- Automatically updated to 4.13-11559-g6d8ef53
- commit 0068089
* Tue Sep 12 2017 msuchanek@suse.de
- rpm/kernel-docs.spec.in: make unpack scripts executable
- commit 1ba3766
* Tue Sep 12 2017 kbuild@suse.de
- Automatically updated to 4.13-11197-gf007cad
- commit d6c3c14
* Mon Sep 11 2017 msuchanek@suse.de
- Automatically updated to 4.13-11197-gf007cad159e9
- commit f52ca97
* Mon Sep 11 2017 kbuild@suse.de
- Automatically updated to 4.13-11197-gf007cad
- commit cebc3dd
* Mon Sep 11 2017 jslaby@suse.cz
- rpm/constraints.in: build ARM on at least 2 cpus
- commit b7edeaf
* Mon Sep 11 2017 jslaby@suse.cz
- rpm/constraints.in: increase memory for kernel-syzkaller
  And see if it helps. If so, push it to packaging...
- commit 7193e65
* Sun Sep 10 2017 afaerber@suse.de
- config: arm64: Enable legacy instruction emulation (boo#1029158)
  Needed for execution of older e.g. ARMv6 code.
- commit 69483cb
* Sun Sep 10 2017 afaerber@suse.de
- config: arm64: Enable ACPI_DOCK for consistency
- commit 755d6b5
* Sun Sep 10 2017 afaerber@suse.de
- config: arm64: Enable some network options
- Marvell Armada 7K/8K Ethernet driver
- Microchip ENC28J60 and related SPI Ethernet drivers
- Micrel KS8851 SPI Ethernet driver
- MMIO MDIO mux driver
- commit a26dfab
* Sun Sep 10 2017 msuchanek@suse.de
- Automatically updated to 4.13-10312-g4dfc2788033d
- commit 5b4d498
* Sun Sep 10 2017 kbuild@suse.de
- Automatically updated to 4.13-10312-g4dfc278
- commit d08f9e9
* Sat Sep  9 2017 kbuild@suse.de
- Automatically updated to 4.13-9606-g0e271fd
- commit eedb8a8
* Fri Sep  8 2017 msuchanek@suse.de
- Automatically updated to 4.13-9217-g5969d1bb3082
- commit 0f1c373
* Fri Sep  8 2017 mmarek@suse.com
- README.BRANCH: Michal Suchánek is the maintainer
- commit 1cd889e
* Fri Sep  8 2017 jslaby@suse.cz
- rpm/kernel-binary.spec.in: package ftrace-mod.o on arm64
  It is needed for building modules since 4.13:
  CC [M]  /suse/jslaby/a/aaa.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /suse/jslaby/a/aaa.mod.o
  LD [M]  /suse/jslaby/a/aaa.ko
  ld: cannot find ./arch/arm64/kernel/ftrace-mod.o: No such file or directory
  ...
- commit 07da115
* Fri Sep  8 2017 kbuild@suse.de
- Automatically updated to 4.13-9217-g5969d1b
- commit 811e081
* Thu Sep  7 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Expand kernel tree directly from sources (bsc#1057199)
- commit a61b4d9
* Thu Sep  7 2017 kbuild@suse.de
- Automatically updated to 4.13-6657-g3b9f8ed
- commit 4f941be
* Wed Sep  6 2017 mcgrof@suse.com
- supported.conf: add test_syctl to new kselftests-kmp package FATE#323821
  As per FATE#323821 we will require new FATE requests per each
  new selftest driver. We don't want to support these module on
  production runs but we do want to support them for QA / testing
  uses. The compromise is to package them into its own package,
  this will be the kselftests-kmp package.
  Selftests can also be used as proof of concept vehicle for issues
  by customers or ourselves.
  Vanilla kernels do not get test_sysctl given that driver was
  using built-in defaults, this also means we cannot run sefltests
  on config/s390x/zfcpdump which does not enable modules.
  Likeweise, since we had to *change* the kernel for test_syctl, it
  it also means we can't test test_syctl with vanilla kernels. It
  should be possible with other selftests drivers if they are
  present in vanilla kernels though.
- commit ae8069f
* Wed Sep  6 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Re-add xmlto buildreq conditionally for SLE15 & co
- commit 259b49e
* Wed Sep  6 2017 mchandras@suse.de
- rpm/group-source-files.pl: Add arch/*/tools/* files to the devel package
  Commit b71c9ffb1405 ("powerpc: Add arch/powerpc/tools directory")
  introduced in v4.12-rc1 release, moved the scripts into the tools
  directory. However, this location is not considered for the kernel devel
  package and the following error occurs when building a kmp for powerpc
  make[2]: /usr/src/linux-4.12.9-1/arch/powerpc/tools/gcc-check-mprofile-kernel.sh: Command not found
- commit 5f1ff53
* Wed Sep  6 2017 kbuild@suse.de
- Automatically updated to 4.13-4257-ge7d0c41
- commit 529939f
* Tue Sep  5 2017 jeffm@suse.com
- Update to 4.13-final.
- commit c5af5ab
* Tue Sep  5 2017 kbuild@suse.de
- Automatically updated to 4.13-2324-g24e700e
- commit 1ae038d
* Mon Sep  4 2017 kbuild@suse.de
- Automatically updated to 4.13-1548-g81a84ad
- commit 9f55498
* Sat Sep  2 2017 kbuild@suse.de
- Automatically updated to 4.13-rc7-247-gd0d6ab5
- commit e0c1d2a
* Fri Sep  1 2017 kbuild@suse.de
- Automatically updated to 4.13-rc7-74-ge89ce1f
- commit c8bd4ce
* Thu Aug 31 2017 jeffm@suse.com
- Update to 4.13-rc7.
- Eliminate 2 patches.
- commit 8e72bcc
* Thu Aug 31 2017 kbuild@suse.de
- Automatically updated to 4.13-rc7-37-g42ff72c
- commit 27f914e
* Wed Aug 30 2017 kbuild@suse.de
- Automatically updated to 4.13-rc7-15-g36fde05
- commit f30e7e5
* Tue Aug 29 2017 kbuild@suse.de
- Automatically updated to 4.13-rc7-7-g9c3a815
- commit fcadbb9
* Tue Aug 29 2017 tiwai@suse.de
- Update config files: enable CONFIG_SPI_PXA2XX for MacBook (bsc#1055817)
- commit 79324c4
* Mon Aug 28 2017 tiwai@suse.de
- rpm/kernel-binary.spec.in: Update drm-kmp obsolete for SLE12-SP3/Leap-42.3
- commit 77ccbd0
* Mon Aug 28 2017 kbuild@suse.de
- Automatically updated to 4.13-rc7
- commit c79808c
* Mon Aug 28 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Disable PDF build again
  ... due to the breakage with the recent TeXLive 2017.
  Also add the missing dependency on texlive-varwidth.
- commit 9f682b5
* Sun Aug 27 2017 kbuild@suse.de
- Automatically updated to 4.13-rc6-195-gbab9752
- commit b5d3abd
* Sat Aug 26 2017 kbuild@suse.de
- Automatically updated to 4.13-rc6-181-gb3242db
- commit fdd1054
* Fri Aug 25 2017 kbuild@suse.de
- Automatically updated to 4.13-rc6-102-g90a6cd5
- commit e65f661
* Thu Aug 24 2017 kbuild@suse.de
- Automatically updated to 4.13-rc6-66-g143c97c
- commit 6998a72
* Wed Aug 23 2017 kbuild@suse.de
- Automatically updated to 4.13-rc6-50-g98b9f8a
- commit 7e91a28
* Tue Aug 22 2017 kbuild@suse.de
- Automatically updated to 4.13-rc6-45-g6470812
- commit efe21b0
* Mon Aug 21 2017 kbuild@suse.de
- Automatically updated to 4.13-rc6
- commit 82f5938
* Mon Aug 21 2017 jeffm@suse.com
- Update to 4.13-rc6.
- commit 6d92a12
* Sat Aug 19 2017 kbuild@suse.de
- Automatically updated to 4.13-rc5-173-g58d4e45
- commit ee6a91d
* Fri Aug 18 2017 msuchanek@suse.de
- Do not ship firmware (bsc#1054239).
  Pull firmware from kernel-firmware instead.
- commit 0b0b5c9
* Fri Aug 18 2017 kbuild@suse.de
- Automatically updated to 4.13-rc5-99-g04d49f3
- commit 3418432
* Thu Aug 17 2017 jeffm@suse.com
- Update to 4.13-rc5.
- commit d618535
* Thu Aug 17 2017 kbuild@suse.de
- Automatically updated to 4.13-rc5-75-gac9a409
- commit 90d6dfb
* Wed Aug 16 2017 kbuild@suse.de
- Automatically updated to 4.13-rc5-67-g510c8a8
- commit 9766d60
* Tue Aug 15 2017 kbuild@suse.de
- Automatically updated to 4.13-rc5-9-gfcd0735
- commit e2383dd
* Mon Aug 14 2017 kbuild@suse.de
- Automatically updated to 4.13-rc5
- commit 533dd29
* Sun Aug 13 2017 kbuild@suse.de
- Automatically updated to 4.13-rc4-277-g89a5527
- commit 63ad297
* Sat Aug 12 2017 kbuild@suse.de
- Automatically updated to 4.13-rc4-259-g216e4a1
- commit d2ab18f
* Fri Aug 11 2017 kbuild@suse.de
- Automatically updated to 4.13-rc4-220-gb2dbdf2
- commit 2113bc7
* Thu Aug 10 2017 msuchanek@suse.de
- Refresh vanilla config.
- commit 2e39bf2
* Thu Aug 10 2017 msuchanek@suse.de
- rpm/modules.fips include module list from dracut
- commit f70bab5
* Thu Aug 10 2017 kbuild@suse.de
- Automatically updated to 4.13-rc4-139-g8d31f80
- commit a83de03
* Wed Aug  9 2017 kbuild@suse.de
- Automatically updated to 4.13-rc4-52-gbfa738c
- commit e33cf07
* Tue Aug  8 2017 kbuild@suse.de
- Automatically updated to 4.13-rc4-18-g623ce34
- commit c0c0a73
* Tue Aug  8 2017 jeffm@suse.com
- Update to 4.13-rc4.
- commit 98221b4
* Mon Aug  7 2017 kbuild@suse.de
- Automatically updated to 4.13-rc4
- commit b1740d1
* Sun Aug  6 2017 kbuild@suse.de
- Automatically updated to 4.13-rc3-383-g0fdd951
- commit 12f849b
* Sat Aug  5 2017 kbuild@suse.de
- Automatically updated to 4.13-rc3-304-gef9ca02
- commit c7384e8
* Fri Aug  4 2017 kbuild@suse.de
- Automatically updated to 4.13-rc3-152-g869c058
- commit aee5120
* Thu Aug  3 2017 kbuild@suse.de
- Automatically updated to 4.13-rc3-118-g19ec50a43
- commit 05583d9
* Wed Aug  2 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix package list and enable building PDFs
  Finally it works!  Added some missing pieces (ImageMagick, some texlive
  subpkgs) in addition to use explicitly python3-Sphinx stuff.
- commit c117a0c
* Wed Aug  2 2017 kbuild@suse.de
- Automatically updated to 4.13-rc3-102-g26c5ceb
- commit a6978f6
* Tue Aug  1 2017 mmarek@suse.com
- Automatically updated to 4.13-rc3-97-gbc78d646e708
- commit aa55e78
* Tue Aug  1 2017 kbuild@suse.de
- Automatically updated to 4.13-rc3-97-gbc78d64
- commit 2532932
* Mon Jul 31 2017 jeffm@suse.com
- Update to 4.13-rc3.
- commit 328b00d
* Mon Jul 31 2017 kbuild@suse.de
- Automatically updated to 4.13-rc3
- commit a8488c2
* Sat Jul 29 2017 kbuild@suse.de
- Automatically updated to 4.13-rc2-220-g0a07b23
- commit ff8a0f2
* Fri Jul 28 2017 kbuild@suse.de
- Automatically updated to 4.13-rc2-110-g0b5477d
- commit 7337120
* Thu Jul 27 2017 mmarek@suse.com
- Automatically updated to 4.13-rc2-27-gda08f35b0f82
- commit e66b521
* Thu Jul 27 2017 kbuild@suse.de
- Automatically updated to 4.13-rc2-27-gda08f35
- commit a3d8ad4
* Thu Jul 27 2017 jslaby@suse.cz
- x86/kconfig: Make it easier to switch to the new ORC unwinder
  (bnc#1018348).
- x86/kconfig: Consolidate unwinders into multiple choice
  selection (bnc#1018348).
- Update config files.
- Refresh
  patches.suse/0001-x86-entry-64-Refactor-IRQ-stacks-and-make-them-NMI-s.patch.
- Refresh
  patches.suse/0002-dwarf-do-not-throw-away-unwind-info.patch.
- Refresh
  patches.suse/0002-x86-entry-64-Initialize-the-top-of-the-IRQ-stack-bef.patch.
  Update to version from -tip. ORC is in -tip completely. So make sure
  we use the upstream version.
- commit 0387cca
* Wed Jul 26 2017 jeffm@suse.com
- Update to 4.13-rc2.
- Eliminated 1 patch.
- Config changes:
  - DRM_VBOXVIDEO=m
- commit 2d688da
* Wed Jul 26 2017 kbuild@suse.de
- Automatically updated to 4.13-rc2-22-gfd2b2c57
- commit 3a2db6a
* Mon Jul 24 2017 mmarek@suse.com
- Automatically updated to 4.13-rc2
- commit 27accf9
* Sun Jul 23 2017 stefan.bruens@rwth-aachen.de
- config: arm64: Enable RTC and SPI on Allwinner A64/H5
  A64 and H5 share the RTC and SPI functional blocks with older SoCs,
  enable the corresponding drivers.
- commit 2a51004
* Sun Jul 23 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1-411-g4b162c5
- commit f123030
* Sat Jul 22 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1-345-g82abbea7
- commit ba22288
* Fri Jul 21 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1-190-g921edf3
- commit 25cb7b3
* Thu Jul 20 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1-72-gbeaec53
- commit 7119fc8
* Wed Jul 19 2017 mmarek@suse.cz
- rpm/kernel-binary.spec.in: find-debuginfo.sh should not touch build-id
  This needs rpm-4.14+ (bsc#964063).
- commit f622d60
* Wed Jul 19 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1-59-g74cbd96
- commit 32cfcb1
* Tue Jul 18 2017 afaerber@suse.de
- config: armv7hl: Update to v4.13-rc1
- commit c11fd07
* Tue Jul 18 2017 afaerber@suse.de
- config: armv6hl: Update to v4.13-rc1
- commit 247e298
* Tue Jul 18 2017 afaerber@suse.de
- config: arm64: Update to v4.13-rc1
- commit c838e12
* Tue Jul 18 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1-24-gcb8c65c
- commit 7c7d652
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Drop unnecessary xmlto for 4.13+
- commit e47dc84
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Correct kernel-docs package summary/description
- commit 697b763
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: refresh dependencies for PDF build (bsc#1048129)
  But it still doesn't work with Tex Live 2017, thus disabled yet.
  Also add texlive-anyfontsize for HTML math handling.
- commit ead44a1
* Mon Jul 17 2017 jeffm@suse.com
- Updated to 4.13-rc1.
- Eliminated 13 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - SLAB_MERGE_DEFAULT=y (current behavior)
  - REFCOUNT_FULL=n (current behavior)
  - PERCPU_STATS=n (default)
  - FORTIFY_SOURCE=n (needs performance analysis)
  - WARN_ALL_UNSEEDED_RANDOM=n
  - TRACE_EVAL_MAP_FILE=n
  - TEST_SYSCTL=n
  - TEST_KMOD=n
  - Storage:
  - DM_ZONED=m
  - IB:
  - Options for MLX5:
  - MLX5_FPGA
  - MLX5_EN_IPSEC=y
  - MLXFW=m
  - SECURITY_INFINIBAND=y
  - Network:
  - Options for NFP:
  - NFP_APP_FLOWER=y
  - CORTINA_PHY=n (intended for embedded apps)
  - ATH10K_SDIO=m
  - QTNFMAC_PEARL_PCIE=m
  - DRM:
  - DRM_I915_SW_FENCE_CHECK_DAG=n
  - Sound:
  - SND_SOC_INTEL_BYT_CHT_ES8316_MACH=m
  - SND_SOC_INTEL_KBL_RT5663_MAX98927_MACH=m
  - SND_SOC_INTEL_KBL_RT5663_RT5514_MAX98927_MACH=m
  - SND_SOC_ZX_AUD96P22=n
  - HID:
  - HID_ITE=n
  - HID_RETRODE=m
  - USB:
  - TYPEC_UCSI=m
  - UCSI_ACPI=m
  - Misc:
  - RTC_NVMEM=y
  - RTC_DRV_DS3232_HWMON=y
  - WMI_BMOF=m
  - PEAQ_WMI=m
  - INTEL_INT0002_VGPIO=m
  - CROS_EC_LPC_MEC=y
  - EXTCON_INTEL_CHT_WC=m
  - NTB_IDT=m
  - MULTIPLEXER=m
  - KEYBOARD_DLINK_DIR685=n
  - TOUCHSCREEN_STMFTS=n
  - I2C_DESIGNWARE_SLAVE=n
  - SPI_SLAVE=n
  - PINCTRL_MCP23S08=n
  - PINCTRL_CANNONLAKE=m
  - GPIO_XRA1403=n
  - BATTERY_BQ27XXX_DT_UPDATES_NVM=n
  - CHARGER_LTC3651=n
  - SENSORS_IR35221=n
  - WATCHDOG_HANDLE_BOOT_ENABLED=y (default)
  - File Systems:
  - OVERLAY_FS_INDEX=n (mounting on an older kernel read-write will cause unexpected results)
  - CIFS_DEBUG_DUMP_KEYS=n
  - Crypto:
  - CRC4=m
  - X86:
  - INTEL_SOC_PMIC_CHTWC=m
  - CHT_WC_PMIC_OPREGION=y
  - ppc64/ppc64le:
  - CONFIG_IRQ_TIME_ACCOUNTING=n
  - CONFIG_LD_HEAD_STUB_CATCH=n
  - ZONE_DEVICE=y
  - ppc64le:
  - STRICT_KERNEL_RWX=y
  - s390x:
  - CRYPTO_PAES_S390=m
- commit ed7a465
* Mon Jul 17 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1-3-g87b2c3f
- commit 23beb6c
* Mon Jul 17 2017 mmarek@suse.cz
- Drop multiversion(kernel) from the KMP template (fate#323189)
- commit 71504d8
* Sun Jul 16 2017 kbuild@suse.de
- Automatically updated to 4.13-rc1
- commit f72a8e0
* Sat Jul 15 2017 kbuild@suse.de
- Automatically updated to 4.12-11770-ga80099a
- commit 75b2dcc
* Fri Jul 14 2017 kbuild@suse.de
- Automatically updated to 4.12-11618-gb86faee
- commit 7372e64
* Thu Jul 13 2017 kbuild@suse.de
- Automatically updated to 4.12-10985-g4ca6df1
- commit 5b53924
* Wed Jul 12 2017 kbuild@suse.de
- Automatically updated to 4.12-10784-g3b06b1a
- commit c3274e3
* Tue Jul 11 2017 kbuild@suse.de
- Automatically updated to 4.12-10624-g9967468
- commit 3c68c28
* Tue Jul 11 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix and cleanup for 4.13 doc build (bsc#1048129)
  The whole DocBook stuff has been deleted.  The PDF build still non-working
  thus the sub-packaging disabled so far.
- commit 8e7de10
* Mon Jul 10 2017 kbuild@suse.de
- Automatically updated to 4.12-10317-gaf3c8d9
- commit c18bb0e
* Mon Jul 10 2017 mmarek@suse.com
- Automatically updated to 4.12-10317-gaf3c8d98508d
- commit 5f96912
* Sun Jul  9 2017 kbuild@suse.de
- Automatically updated to 4.12-8915-gf263fbb
- commit 0851304
* Sat Jul  8 2017 kbuild@suse.de
- Automatically updated to 4.12-8600-gcee37d8
- commit 2e02095
* Fri Jul  7 2017 kbuild@suse.de
- Automatically updated to 4.12-7934-g9f45efb
- commit 30fd5b2
* Thu Jul  6 2017 kbuild@suse.de
- Automatically updated to 4.12-6090-g9b51f04
- commit 19009dd
* Wed Jul  5 2017 kbuild@suse.de
- Automatically updated to 4.12-3441-g1996454
- commit 3b656ea
* Tue Jul  4 2017 kbuild@suse.de
- Automatically updated to 4.12-2145-g650fc87
- commit 45520e0
* Tue Jul  4 2017 jslaby@suse.cz
- Update to 4.12-final.
- commit be83a00
* Mon Jul  3 2017 kbuild@suse.de
- Automatically updated to 4.12
- commit 652d9e8
* Mon Jul  3 2017 jslaby@suse.cz
- objtool: Silence warnings for functions which use IRET
  (bnc#1018348).
- Update config files.
- Refresh
  patches.suse/0002-dwarf-do-not-throw-away-unwind-info.patch.
  Push the new version of unDWARF unwinder which is now called Orc. The
  first 4 patches were accepted to the -tip tree, so they are marked
  appropriatelly.
- commit 4d8dd16
* Sun Jul  2 2017 kbuild@suse.de
- Automatically updated to 4.12-rc7-108-ge18aca0
- commit b651feb
* Sat Jul  1 2017 kbuild@suse.de
- Automatically updated to 4.12-rc7-94-gc0a0c7a
- commit 1f79c5d
* Fri Jun 30 2017 kbuild@suse.de
- Automatically updated to 4.12-rc7-77-g4d8a991
- commit c853930
* Thu Jun 29 2017 kbuild@suse.de
- Automatically updated to 4.12-rc7-25-g6474924
- commit 221700f
* Wed Jun 28 2017 kbuild@suse.de
- Automatically updated to 4.12-rc7-8-g3c2bfba
- commit 4976729
* Tue Jun 27 2017 mmarek@suse.com
- Automatically updated to 4.12-rc7-4-gda8b14e45c8b
- commit 2b32c66
* Tue Jun 27 2017 kbuild@suse.de
- Automatically updated to 4.12-rc7-4-gda8b14e
- commit 0eb80ab
* Tue Jun 27 2017 tiwai@suse.de
- config/x86_64: Align 8250 serial configs for many ports (bsc#1024449)
- commit 2ed15f3
* Mon Jun 26 2017 jeffm@suse.com
- Update to 4.12-rc7.
- commit 8102802
* Mon Jun 26 2017 kbuild@suse.de
- Automatically updated to 4.12-rc7
- commit d01a774
* Sun Jun 25 2017 afaerber@suse.de
- config: ARM: Consistently enable SPI_GPIO
  Bit-banging is needed when a SoC doesn't support native SPI or when such
  drivers are missing. SPI_GPIO was enabled for armv6hl and armv7hl default,
  but missing for armv7hl lpae and arm64. Set CONFIG_SPI_GPIO=m consistently.
- commit cf05312
* Sun Jun 25 2017 kbuild@suse.de
- Automatically updated to 4.12-rc6-167-gbb9b8fd
- commit 8826e5d
* Sat Jun 24 2017 kbuild@suse.de
- Automatically updated to 4.12-rc6-160-gf65013d
- commit 3f8e616
* Fri Jun 23 2017 kbuild@suse.de
- Automatically updated to 4.12-rc6-102-ga38371c
- commit 3867a98
* Thu Jun 22 2017 jeffm@suse.com
- config: VGACON_SOFT_SCROLLBACK_SIZE=128 (FATE#307471).
  This doubles the scrollback buffer on VGA consoles with only a little
  bit of memory cost.
- commit 0942b92
* Thu Jun 22 2017 kbuild@suse.de
- Automatically updated to 4.12-rc6-81-g8d829b9
- commit 9e012e9
* Tue Jun 20 2017 jjolly@suse.de
- Update config files.
- config.conf: Added s390x zfcpdump kernel
- commit 90b8f98
* Tue Jun 20 2017 jeffm@suse.com
- Update to 4.12-rc6.
- commit 73c8a51
* Tue Jun 20 2017 mmarek@suse.com
- Only set CONFIG_GCC_PLUGINS=y in kernel-syzkaller (boo#1043591)
- commit 439fa0e
* Tue Jun 20 2017 kbuild@suse.de
- Automatically updated to 4.12-rc6-18-g9705596
- commit ab73b09
* Tue Jun 20 2017 mmarek@suse.com
- rpm/kernel-binary.spec.in: Only kernel-syzkaller needs gcc-devel
  (boo#1043591).
- commit d7ff041
* Mon Jun 19 2017 kbuild@suse.de
- Automatically updated to 4.12-rc5-284-g1132d5e
- commit dca5015
* Sun Jun 18 2017 kbuild@suse.de
- Automatically updated to 4.12-rc5-242-g374d801
- commit eb1cb4a
* Sat Jun 17 2017 kbuild@suse.de
- Automatically updated to 4.12-rc5-219-gadc3110
- commit 5ef6592
* Fri Jun 16 2017 kbuild@suse.de
- Automatically updated to 4.12-rc5-187-gab2789b
- commit e05d406
* Thu Jun 15 2017 mmarek@suse.com
- kabi.pl: Consider GPL vs. non-GPL exports (fate#322999)
- commit 8bde754
* Thu Jun 15 2017 kbuild@suse.de
- Automatically updated to 4.12-rc5-137-ga090bd4
- commit e48dd95
* Tue Jun 13 2017 mmarek@suse.com
- rpm/kernel-module-subpackage: Generate proper supplements in the template
  ... instead of relying on find-provides.ksyms to do it (bsc#981083).
- commit b1fe840
* Tue Jun 13 2017 kbuild@suse.de
- Automatically updated to 4.12-rc5-11-g63f700a
- commit 0364971
* Mon Jun 12 2017 jeffm@suse.com
- Update to 4.12-rc5.
- Eliminated 1 patch.
- commit fd5275a
* Mon Jun 12 2017 mmarek@suse.com
- rpm/kernel-source.spec.in: Do not list deleted depdendency helpers
  (bsc#981083).
- commit 9306efe
* Mon Jun 12 2017 kbuild@suse.de
- Automatically updated to 4.12-rc5
- commit ad79bd4
* Sun Jun 11 2017 kbuild@suse.de
- Automatically updated to 4.12-rc4-334-g5faab9e
- commit 00f5180
* Sat Jun 10 2017 kbuild@suse.de
- Automatically updated to 4.12-rc4-274-g179145e
- commit f796c2d
* Fri Jun  9 2017 mmarek@suse.com
- Define dependencies of in-kernel KMPs statically
  This allows us to use rpm's internal dependency generator (bsc#981083).
- commit 88d6128
* Fri Jun  9 2017 mmarek@suse.com
- rpm/find-provides: Delete, as /boot/vmlinux-* is no longer in -devel
- commit 4df55cc
* Fri Jun  9 2017 mmarek@suse.com
- rpm/package-descriptions: Import SLE12-SP3 KMP descriptions
- commit ff51a7c
* Fri Jun  9 2017 kbuild@suse.de
- Automatically updated to 4.12-rc4-134-g0d22df9
- commit 0af9e6f
* Wed Jun  7 2017 kbuild@suse.de
- Automatically updated to 4.12-rc4-122-gb29794e
- commit a2e5cd0
* Tue Jun  6 2017 kbuild@suse.de
- Automatically updated to 4.12-rc4-13-gba7b238
- commit 39aad01
* Tue Jun  6 2017 jslaby@suse.cz
- Update config files.
  Disable CONFIG_DRM_I915_WERROR, i.e. -Werror in i915. It causes build
  failures in -syzkaller flavor due to a bit oversized frames:
  drivers/gpu/drm/i915/intel_dpll_mgr.c:1548:1: error: the frame size of 2240 bytes is larger than 2048 bytes
- commit 662ef8a
* Mon Jun  5 2017 msuchanek@suse.de
- rpm/kernel-binary.spec: remove superfluous flags
  This should make build logs more readable and people adding more flags
  should have easier time finding a place to add them in the spec file.
- commit 13e40fa
* Mon Jun  5 2017 kbuild@suse.de
- Automatically updated to 4.12-rc4
- commit 2e0e360
* Mon Jun  5 2017 msuchanek@suse.de
- kernel-binary.spec: Propagate MAKE_ARGS to %%build (bsc#1012422)
- commit 6171b7a
* Mon Jun  5 2017 jeffm@suse.com
- Update to 4.12-rc4.
- Eliminated 1 patch.
- commit d11b4ab
* Sun Jun  4 2017 kbuild@suse.de
- Automatically updated to 4.12-rc3-188-gea094f3
- commit d866dd1
* Sat Jun  3 2017 kbuild@suse.de
- Automatically updated to 4.12-rc3-174-g104c08b
- commit 5aabb95
* Fri Jun  2 2017 afaerber@suse.de
- rpm/dtb.spec.in.in: Fix new include path
  Commit 89de3db69113d58cdab14d2c777de6080eac49dc ("rpm/dtb.spec.in.in:
  Update include path for dt-bindings") introduced an additional include
  path for 4.12. The commit message had it correct, but the spec file
  template lacked a path component, breaking the aarch64 build while
  succeeding on armv7hl. Fix that.
- commit c8d853a
* Fri Jun  2 2017 kbuild@suse.de
- Automatically updated to 4.12-rc3-80-g3b1e342
- commit eeac0ac
* Fri Jun  2 2017 mmarek@suse.com
- rpm/kernel-source.spec.in: Drop patches.{trace,xen}.tar.bz2
  These are empty in current branches.
- commit 742f1d0
* Thu Jun  1 2017 kbuild@suse.de
- Automatically updated to 4.12-rc3-51-ga374846
- commit d4e5920
* Wed May 31 2017 afaerber@suse.de
- rpm/dtb.spec.in.in: Update include path for dt-bindings
  Kernels before 4.12 had arch/{arm,arm64}/boot/dts/include/ directories
  with a symlink to include/dt-bindings/.
  In 4.12 those include/ directories were dropped.
  Therefore use include/ directly.
  Additionally some cross-architecture .dtsi reuse was introduced, which
  requires scripts/dtc/include-prefixes/ that didn't exist on older kernels.
- commit 466f108
* Wed May 31 2017 mmarek@suse.com
- Automatically updated to 4.12-rc3-11-gf511c0b17b08
- commit 0f20df5
* Wed May 31 2017 kbuild@suse.de
- Automatically updated to 4.12-rc3-11-gf511c0b
- commit 7710228
* Wed May 31 2017 jslaby@suse.cz
- objtool: move checking code to check.c (bnc#1018348).
- objtool, x86: add several functions and files to the objtool
  whitelist (bnc#1018348).
- objtool: stack validation 2.0 (bnc#1018348).
- objtool: add undwarf debuginfo generation (bnc#1018348).
- objtool, x86: add facility for asm code to provide CFI hints
  (bnc#1018348).
- x86/entry: add CFI hint undwarf annotations (bnc#1018348).
- x86/asm: add CFI hint annotations to sync_core() (bnc#1018348).
- extable: rename 'sortextable' script to 'sorttable'
  (bnc#1018348).
- extable: add undwarf table sorting ability to sorttable script
  (bnc#1018348).
- x86/unwind: add undwarf unwinder (bnc#1018348).
- Delete patches.arch/x86_64-unwind-annotations.
- Update config files.
  Switch from DWARF to unDWARF. This is the way upstream wants us to go.
  We can drop patches.arch/x86_64-unwind-annotations now as it is
  superseded by the patchset:
  1) Objtool generates info for assembly now.
  2) Manual annotations are put to places where objtool gets lost.
  This version is RFC submitted upstream.
  DWARF unwinder is not dropped on the floor yet, just commented out.
  Let's see how this works out and drop it then. So far both
  task-context and the interrupt-context traces look good (TM).
  unDWARF is supported only on x86_64 so far.
- commit 86d4a13
* Tue May 30 2017 mmarek@suse.com
- Automatically updated to 4.12-rc3-10-g3f173bde7e43
- commit 153513c
* Tue May 30 2017 afaerber@suse.de
- config: armv7hl: Update to v4.12-rc3
- commit 802e56e
* Tue May 30 2017 afaerber@suse.de
- config: armv6hl: Update to v4.12-rc3
- commit 373746a
* Tue May 30 2017 afaerber@suse.de
- config: arm64: Update to v4.12-rc3
  Harmonize the display drivers while at it.
- commit 11528c2
* Tue May 30 2017 kbuild@suse.de
- Automatically updated to 4.12-rc3-10-g3f173bd
- commit e2ad8b8
* Mon May 29 2017 mkubecek@suse.cz
- Update to 4.12-rc3.
- Eliminated 1 patch.
- commit abc9925
* Mon May 29 2017 kbuild@suse.de
- Automatically updated to 4.12-rc3
- commit b886c35
* Sun May 28 2017 kbuild@suse.de
- Automatically updated to 4.12-rc2-284-g249f1ef
- commit 37b56ca
* Sat May 27 2017 kbuild@suse.de
- Automatically updated to 4.12-rc2-228-gc86daad
- commit 2945859
* Fri May 26 2017 afaerber@suse.de
- config: arm64: Make PINCTRL_SINGLE built-in
  This fixes serial console on the HiKey board (bsc#1040492).
- commit 6ee2e84
* Fri May 26 2017 mkubecek@suse.cz
- Update to 4.12-rc2
- Eliminated 32 patches.
- ARM configs need updating.
- OSS (sound) support marked broken
- Config changes:
  - Kernel hacking:
  - EARLY_PRINTK_USB_XDBC=y
  - Block:
  - BFQ_GROUP_IOSCHED=y
  - BLK_DEV_THROTTLING_LOW=n (experimental)
  - DM_INTEGRITY=m
  - IOSCHED_BFQ=y
  - MQ_IOSCHED_KYBER=y
  - Filesystems:
  - UBIFS_FS_SECURITY=y
  - Networking:
  - NET_9P_XEN=m
  - NET_SCH_DEFAULT=n (for custom builds)
  - Network drivers:
  - BT_HCIUART_NOKIA=m
  - CAN_HI311X=m
  - CAN_MCBA_USB=m
  - CAN_PEAK_PCIEFD=m
  - CAN_VXCAN=m
  - DWC_XLGMAC=m
  - DWC_XLGMAC_PCI=m
  - IEEE802154_CA8210=m
  - IEEE802154_CA8210_DEBUGFS=n
  - MDIO_DEVICE=m
  - MLX5_CORE_IPOIB=y
  - NET_VENDOR_SYNOPSYS=y
  - RTL8723BS=m
  - TIGON3_HWMON=y
  - VSOCKMON=m
  - DRM:
  - BACKLIGHT_ARCXCNN=m
  - DM_INTEGRITY=m
  - DRM_FBDEV_OVERALLOC=100 (default)
  - DRM_I915_DEBUG_VBLANK_EVADE=n (driver debugging)
  - DRM_I915_LOW_LEVEL_TRACEPOINTS=n (driver debugging)
  - DRM_I915_SELFTEST=n (driver debugging)
  - Sound:
  - SND_FIREFACE=m
  - SND_FIREWIRE_MOTU=m
  - SND_I2S_HI6210_I2S=m
  - SND_SOC_ADAU1761_I2C=n
  - SND_SOC_ADAU1761_SPI=n
  - SND_SOC_CS35L35=m
  - SND_SOC_DA7213=m
  - SND_SOC_DIO2125=n
  - SND_SOC_ES7134=n
  - SND_SOC_INTEL_BYT_CHT_DA7213_MACH=m
  - SND_SOC_INTEL_BYT_CHT_NOCODEC_MACH=m
  - SND_SOC_MAX98927=n
  - SND_SOC_NAU8824=m
  - PCI:
  - PCI_ENDPOINT=y
  - PCI_ENDPOINT_CONFIGFS=n
  - PCI_ENDPOINT_TEST=m
  - PCI_EPF_TEST=m
  - PCI_SW_SWITCHTEC=m
  - USB:
  - TYPEC_FUSB302=m
  - TYPEC_TCPCI=m
  - TYPEC_TCPM=m
  - TYPEC_WCOVE=m
  - USB_PCI=y
  - NVM:
  - NVM_PBLK=m
  - Power supply:
  - BATTERY_AXP20X=m
  - CHARGER_AXP20X=m
  - Multimedia:
  - CEC_PLATFORM_DRIVERS=y
  - IR_SIR=m (renamed LIRC_SIR)
  - MEDIA_CEC_RC=y
  - USB_RAINSHADOW_CEC=m
  - VIDEO_OV2640=m (renamed SOC_CAMERA_OV2640)
  - Input:
  - JOYSTICK_PSXPAD_SPI=m
  - JOYSTICK_PSXPAD_SPI_FF=y
  - MOUSE_PS2_SYNAPTICS_SMBUS=y
  - TOUCHSCREEN_TSC2007_IIO=y
  - Hardware monitoring:
  - SENSORS_ASPEED=m
  - DAX:
  - DAX=y
  - EDAC:
  - EDAC_GHES=n (causes problems, ask bpetkov)
  - Crypto:
  - SYSTEM_BLACKLIST_KEYRING=n
  - HID:
  - HID_ACCUTOUCH=m
  - HID_NTI=m
  - HID_SENSOR_HUMIDITY=m
  - HID_SENSOR_TEMP=m
  - Industrial I/O
  - AXP20X_ADC=m
  - LTC2497=n
  - LTC2632=n
  - MAX1118=n
  - MAX30102=m
  - MAX9611=n
  - SRF04=m
  - VL6180=m
  - Thermal:
  - THERMAL_EMERGENCY_POWEROFF_DELAY_MS=0
  - I2C:
  - I2C_MUX_LTC4306=m
  - IB:
  - INFINIBAND_OPA_VNIC=m
  - Staging:
  - LNET_XPRT_IB=m
  - Xen:
  - XEN_PV=y
  - x86:
  - DELL_WMI_LED=m (renamed LEDS_DELL_NETBOOKS)
  - INTEL_CHT_INT33FE=m
  - X86_MCELOG_LEGACY=y
  - Misc:
  - ALTERA_PR_IP_CORE=m
  - CHARLCD=m
  - FPGA_MGR_XILINX_SPI=m
  - HD44780=m
  - INTEL_SOC_PMIC_BXTWC=m
  - MFD_TI_LMU=m
  - MMC_SDHCI_XENON=m
  - RAS_CEC=y
  - RESET_IMX7=n
  - W1_SLAVE_DS2438=m
  - XPOWER_PMIC_OPREGION=y
  - ppc64le:
  - ARCH_MMAP_RND_BITS=14
  - ARCH_MMAP_RND_COMPAT_BITS=7
  - CRYPTO_CRCT10DIF_VPMSUM=n
  - CRYPTO_DEV_CCREE=n
  - DA9062_THERMAL=n
  - DRM_LVDS_ENCODER=n
  - DRM_MEGACHIPS_STDPXXXX_GE_B850V3_FW=n
  - DRM_RCAR_DW_HDMI=n
  - FA_DUMP=n
  - FPGA_MGR_ICE40_SPI=n
  - GPIO_FTGPIO010=n
  - KPROBES_ON_FTRACE=y
  - LEDS_LP3952=n
  - PPC_DT_CPU_FTRS=n
  - PPC_XIVE_NATIVE=y
  - THREAD_SHIFT=14
  - XILINX_PR_DECOUPLER=n
  - s390x:
  - ARCH_RANDOM=y
  - ATA=n
  - DEFERRED_STRUCT_PAGE_INIT=n
  - MAX_PHYSMEM_BITS=46
  - S390_CCW_IOMMU=n
- commit df8bd3d
* Thu May 25 2017 kbuild@suse.de
- Automatically updated to 4.12-rc2-88-gbe941bf
- commit ecbd91e
* Wed May 24 2017 kbuild@suse.de
- Automatically updated to 4.12-rc2-52-g56fff1b
- commit b7d58d5
* Tue May 23 2017 kbuild@suse.de
- Automatically updated to 4.12-rc2-49-gfde8e33
- commit bea3df9
* Mon May 22 2017 kbuild@suse.de
- Automatically updated to 4.12-rc2
- commit fe840ee
* Sun May 21 2017 kbuild@suse.de
- Automatically updated to 4.12-rc1-395-g56f410c
- commit 4e1e5c9
* Sat May 20 2017 kbuild@suse.de
- Automatically updated to 4.12-rc1-268-g6fe1de4
- commit 3bb07e5
* Fri May 19 2017 tiwai@suse.de
- Update config files: set HD-audio power save as default (boo#1039995).
- commit a2f965e
* Fri May 19 2017 kbuild@suse.de
- Automatically updated to 4.12-rc1-154-g8b4822d
- commit 55b4f4e
* Thu May 18 2017 kbuild@suse.de
- Automatically updated to 4.12-rc1-104-gdac94e2
- commit 674e624
* Wed May 17 2017 kbuild@suse.de
- Automatically updated to 4.12-rc1-81-gb23afd3
- commit fe624ab
* Tue May 16 2017 kbuild@suse.de
- Automatically updated to 4.12-rc1-66-ga95cfad
- commit 5261500
* Sun May 14 2017 kbuild@suse.de
- Automatically updated to 4.12-rc1
- commit 3c9c91c
* Sat May 13 2017 kbuild@suse.de
- Automatically updated to 4.11-13690-g0fcc3ab
- commit 0c895bf
* Fri May 12 2017 kbuild@suse.de
- Automatically updated to 4.11-13318-g09d79d1
- commit aff9022
* Thu May 11 2017 kbuild@suse.de
- Automatically updated to 4.11-13167-g791a9a6
- commit 4de7389
* Wed May 10 2017 jeffm@suse.com
- config: disable XFS_RT
- commit 4422f8b
* Wed May 10 2017 kbuild@suse.de
- Automatically updated to 4.11-12441-g56868a4
- commit a974de4
* Tue May  9 2017 kbuild@suse.de
- Automatically updated to 4.11-11413-g2868b25
- commit 94bb1e1
* Mon May  8 2017 jdelvare@suse.de
- config: armv6hl: Disable KEYBOARD_TM2_TOUCHKEY
  The Samsung TM2 board is based on an Exynos SoC, which the armv6
  kernel does not support.
- commit 6b1a68e
* Sun May  7 2017 kbuild@suse.de
- Automatically updated to 4.11-10603-g13e0988
- commit 292204d
* Sat May  6 2017 stefan.bruens@rwth-aachen.de
- config: arm64: Enable MEDIA_CONTROLLER API
  Option is already set on armv7hl/armv6hl.
- commit 14ea4f7
* Sat May  6 2017 stefan.bruens@rwth-aachen.de
- config: arm64: Enable SND_SOC and codecs
  Config mimics armv7hl, save any differences due to less SoCs supported
  by arm64.
  [AF: Rebased onto v4.12-rc3]
- commit 807fbcc
* Sat May  6 2017 kbuild@suse.de
- Automatically updated to 4.11-10502-g3ef2bc0
- commit 8b0f60a
* Fri May  5 2017 kbuild@suse.de
- Automatically updated to 4.11-8539-gaf82455
- commit b82696a
* Thu May  4 2017 kbuild@suse.de
- Automatically updated to 4.11-7650-ga1be8ed
- commit d0daa2e
* Wed May  3 2017 kbuild@suse.de
- Automatically updated to 4.11-4395-g89c9fea
- commit 7b8e050
* Wed May  3 2017 msuchanek@suse.de
- kernel-binary.spec Remove superfluous [].
- commit 0bf8e9f
* Tue May  2 2017 msuchanek@suse.de
- Use make --output-sync feature when available (bsc#1012422).
  The mesages in make output can interleave making it impossible to
  extract warnings reliably. Since version 4 GNU Make supports
  - -output-sync flag that prints output of each sub-command atomically
  preventing this issue. Detect the flag and use it if available.
  SLE11 has make 3.81 so it is required to include make 4 in the kernel
  OBS projects to take advantege of this.
- commit 8c2f46d
* Tue May  2 2017 kbuild@suse.de
- Automatically updated to 4.11-1464-gd3b5d35
- commit ba01ac6
* Tue May  2 2017 tiwai@suse.de
- Set CONFIG_CRYPTO_MD5=y for a better diagnoise at S4 resume (bsc#1031893).
- commit ff2e9c7
* Mon May  1 2017 jeffm@suse.com
- Update to 4.11-final.
- commit 2a34db6
* Mon May  1 2017 kbuild@suse.de
- Automatically updated to 4.11
- commit 77cae42
* Sun Apr 30 2017 kbuild@suse.de
- Automatically updated to 4.11-rc8-109-g8c9a694
- commit 6b6ce8c
* Sat Apr 29 2017 kbuild@suse.de
- Automatically updated to 4.11-rc8-107-g0060e79
- commit f8c6113
* Fri Apr 28 2017 kbuild@suse.de
- Automatically updated to 4.11-rc8-87-g8b5d11e
- commit bb49494
* Fri Apr 28 2017 jdelvare@suse.de
- Update x86 config files: disable SILEAD_DMI
  The silead_dmi "driver" is in an horrible shape. The design is pretty
  bad and the implementation is poor, to stay polite. I wish such code
  would not make it into the upstream kernel in the first place. I
  don't want it to run on any openSUSE system until it is fixed.
- commit 958157c
* Thu Apr 27 2017 kbuild@suse.de
- Automatically updated to 4.11-rc8-75-gf832460
- commit 87dc257
* Wed Apr 26 2017 kbuild@suse.de
- Automatically updated to 4.11-rc8-17-gea839b4
- commit ec5acef
* Tue Apr 25 2017 mmarek@suse.com
- rpm/kernel-binary.spec.in: Do not split KMPs for openSUSE (fate#319339)
- commit a259f75
* Tue Apr 25 2017 mmarek@suse.com
- rpm/dtb.spec.in.in: Do not depend on kernel-source (bsc#1034066)
  Apply the patches during build, just like kernel-binary.spec.in does.
- commit 4e37db7
* Tue Apr 25 2017 kbuild@suse.de
- Automatically updated to 4.11-rc8-14-g8f9cedc
- commit c7d0c49
* Mon Apr 24 2017 jeffm@suse.com
- Update to 4.11-rc8.
- commit 739c1be
* Mon Apr 24 2017 tiwai@suse.de
- Disable CONFIG_POWER_SUPPLY_DEBUG in debug kernels (bsc#1031500).
- commit 4778f61
* Mon Apr 24 2017 mmarek@suse.com
- Automatically updated to 4.11-rc8
- commit 6b57a45
* Sat Apr 22 2017 kbuild@suse.de
- Automatically updated to 4.11-rc7-113-g94836ec
- commit 1a57c17
* Fri Apr 21 2017 kbuild@suse.de
- Automatically updated to 4.11-rc7-57-gc154165e
- commit a6a0a66
* Thu Apr 20 2017 mmarek@suse.com
- Automatically updated to 4.11-rc7-42-gf61143c45077
- commit 892c1a7
* Thu Apr 20 2017 kbuild@suse.de
- Automatically updated to 4.11-rc7-42-gf61143c
- commit 76c752d
* Thu Apr 20 2017 tiwai@suse.de
- Enable CONFIG_INTEL_SOC_PMIC and CONFIG_PMIC_OPREGION (boo#1035040).
  Some of these configs are built-in only, unfortunately, and consequently
  it requires CONFIG_MFD_CORE=y, too.
- commit 1153a92
* Thu Apr 20 2017 tiwai@suse.de
- Enable configs for AXP I2C stuff on Cherrytail devices (boo#1035040).
- commit 1db572a
* Thu Apr 20 2017 tiwai@suse.de
- Enable CONFIG_INPUT_SOC_BUTTON_ARRAY for x86 (boo#1034642).
- commit 22afdb2
* Wed Apr 19 2017 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not sign modules if CONFIG_MODULE_SIG=n (bsc#1035053)
- commit 50db9ef
* Wed Apr 19 2017 kbuild@suse.de
- Automatically updated to 4.11-rc7-29-g005882e
- commit a572fc1
* Wed Apr 19 2017 jeffm@suse.com
- Update to 4.11-rc7.
- commit cbbf792
* Wed Apr 19 2017 afaerber@suse.de
- config: arm64: Enable SUN8I_H3_CCU for Allwinner H5
- commit b2d2ddb
* Tue Apr 18 2017 tiwai@suse.de
- Enable CONFIG_KXCJK1013 for Cherrytrail devices (boo#1034809).
- commit 15b7a7a
* Mon Apr 17 2017 kbuild@suse.de
- Automatically updated to 4.11-rc7
- commit 521d81c
* Sun Apr 16 2017 kbuild@suse.de
- Automatically updated to 4.11-rc6-200-gd5ff081
- commit 37bd5d5
* Sat Apr 15 2017 kbuild@suse.de
- Automatically updated to 4.11-rc6-180-g1bf4b12
- commit c46ca3c
* Fri Apr 14 2017 kbuild@suse.de
- Automatically updated to 4.11-rc6-78-ga232591
- commit 3bc102a
* Thu Apr 13 2017 kbuild@suse.de
- Automatically updated to 4.11-rc6-62-gee921c7
- commit 21762b6
* Thu Apr 13 2017 afaerber@suse.de
- config: ARM: Make SERIAL_DEV_BUS built-in
- Makes available SERIAL_DEV_CTRL_TTYPORT
- commit bdd0894
* Thu Apr 13 2017 afaerber@suse.de
- rpm/dtb.spec.in.in: Enable overlay support for Tumbleweed and Leap 42.3
- Generate __symbols__ node to allow resolution of labels in overlays
- commit c94e646
* Wed Apr 12 2017 kbuild@suse.de
- Automatically updated to 4.11-rc6-29-gb9b3322
- commit fc4f8bf
* Tue Apr 11 2017 mmarek@suse.com
- Automatically updated to 4.11-rc6-4-gc08e611b7d01
- commit 56e61bb
* Tue Apr 11 2017 kbuild@suse.de
- Automatically updated to 4.11-rc6-4-gc08e611
- commit 9d5dbe4
* Mon Apr 10 2017 jeffm@suse.com
- Update to 4.11-rc6.
- Eliminated 2 patches.
- commit 6b6eb5a
* Mon Apr 10 2017 kbuild@suse.de
- Automatically updated to 4.11-rc6
- commit 8ab26da
* Sun Apr  9 2017 kbuild@suse.de
- Automatically updated to 4.11-rc5-243-g78d91a7
- commit 077dcae
* Sun Apr  9 2017 afaerber@suse.de
- config: armv7hl: Enable i.MX 7 ADC
- commit 1f8be53
* Sat Apr  8 2017 afaerber@suse.de
- config: armv7hl: Update for 4.11-rc5
- commit 71055d3
* Sat Apr  8 2017 afaerber@suse.de
- config: armv6hl: Update to 4.11-rc5
- commit 7e98096
* Sat Apr  8 2017 kbuild@suse.de
- Automatically updated to 4.11-rc5-215-g8b65bb5
- commit a2d30a7
* Fri Apr  7 2017 kbuild@suse.de
- Automatically updated to 4.11-rc5-152-g269c930
- commit e34134c
* Fri Apr  7 2017 mmarek@suse.com
- Sync i386/debug with i386/pae
  CONFIG_HWMON=y
  CONFIG_LGUEST_GUEST=y
  CONFIG_PATA_LEGACY=n
  CONFIG_USB_OHCI_HCD_SSB=y
- commit 4252ab8
* Fri Apr  7 2017 mmarek@suse.com
- Disable CONFIG_ISA in i386/debug to sync with pae.
- commit 4ba4255
* Fri Apr  7 2017 mmarek@suse.com
- Use fragment configs for debug and i386/default.
- commit e1ba64b
* Fri Apr  7 2017 stefan.bruens@rwth-aachen.de
- config: ARM: Enable TI INA2xx current/voltage sensors
  [AF: Disable hwmon driver; enable for armv6hl and armv7hl lpae, too]
- commit f104f3b
* Thu Apr  6 2017 kbuild@suse.de
- Automatically updated to 4.11-rc5-133-gea6b172
- commit acf5003
* Wed Apr  5 2017 kbuild@suse.de
- Automatically updated to 4.11-rc5-33-g308ac75
- commit 0f6a439
* Tue Apr  4 2017 kbuild@suse.de
- Automatically updated to 4.11-rc5-11-g08e4e0d
- commit 39d4843
* Mon Apr  3 2017 jeffm@suse.com
- Update to 4.11-rc5.
- Eliminated 1 patch.
- commit 5f80f06
* Mon Apr  3 2017 kbuild@suse.de
- Automatically updated to 4.11-rc5
- commit 259b043
* Sun Apr  2 2017 kbuild@suse.de
- Automatically updated to 4.11-rc4-218-g346ce1d
- commit 23fa19a
* Sat Apr  1 2017 kbuild@suse.de
- Automatically updated to 4.11-rc4-141-gf9799ad
- commit 2bed9e5
* Fri Mar 31 2017 mmarek@suse.com
- Automatically updated to 4.11-rc4-64-g89970a04d70c
- commit 3c0ff6f
* Fri Mar 31 2017 lpechacek@suse.com
- doc/README.SUSE: update links to KMP manual
- commit 9ab365a
* Mon Mar 27 2017 jeffm@suse.com
- Update to 4.11-rc4.
- commit 7d631e2
* Mon Mar 27 2017 kbuild@suse.de
- Automatically updated to 4.11-rc4
- commit 8bbf64c
* Sun Mar 26 2017 kbuild@suse.de
- Automatically updated to 4.11-rc3-322-ga643f90
- commit 16249fe
* Sat Mar 25 2017 kbuild@suse.de
- Automatically updated to 4.11-rc3-284-gd07c6f4
- commit 370e9dc
* Fri Mar 24 2017 kbuild@suse.de
- Automatically updated to 4.11-rc3-161-gebe6482
- commit 3eda27e
* Wed Mar 22 2017 kbuild@suse.de
- Automatically updated to 4.11-rc3-35-g093b995
- commit c7dd559
* Mon Mar 20 2017 afaerber@suse.de
- config: arm64: Update to 4.11-rc3
- commit 11bc564
* Mon Mar 20 2017 jeffm@suse.com
- Update to 4.11-rc3.
- Config changes:
  - LPFC_NVME_INITIATOR=y
  - LPFC_NVME_TARGET=y
- commit 1f69553
* Mon Mar 20 2017 mmarek@suse.com
- Automatically updated to 4.11-rc3
- commit 0b6e42c
* Tue Mar 14 2017 mmarek@suse.com
- rpm/apply-patches: Fix failure if there are no vanilla patches
  The grep command returns 1 if there are no patches and we are using
  pipefail.
- commit 6dc70de
* Mon Mar 13 2017 mkubecek@suse.cz
- config: enable IPv6 multicast routing (bsc#1010755)
  While the reasoning in bugzilla is rather weak (basically just failing
  automated test checking for the feature, without any real user actually
  asking for it), I see little reason to have multicast routing enabled
  for IPv4 and disabled for IPv6.
- commit af4a82b
* Mon Mar 13 2017 jeffm@suse.com
- Update to 4.11-rc2.
- Eliminated 2 patches.
- Config changes:
  - UPROBE_EVENT=y -> UPROBE_EVENTS=y
  - KPROBE_EVENT=y -> KPROBE_EVENTS=y
- commit 30a3089
* Fri Mar 10 2017 msuchanek@suse.de
- powerpc: Blacklist GCC 5.4 6.1 and 6.2 (boo#1028895).
- commit dfb8bd1
* Mon Mar  6 2017 jeffm@suse.com
- Update to 4.11-rc1.
- Eliminated 3 patches.
- ARM configs need updating.
- Important for developers, DEBUG_RODATA was renamed to STRICT_KERNEL_RWX
- Config changes:
  - Generic:
  - PRINTK_SAFE_LOG_BUF_SHIFT=13
  - renamed from NMI_LOG_BUF_SHIFT, uses the same value
  - CGROUP_RDMA=y
  - MAGIC_SYSRQ_SERIAL=y
  - WW_MUTEX_SELFTEST=n
  - TEST_SORT=n
  - TEST_PARMAN=n
  - STATIC_USERMODEHELPER=n (needs distro support first)
  - SECURITY_APPARMOR_DEBUG=n
  - CRYPTO_AES_TIm
  - SERIAL_DEV_BUS=m
  - GCC:
  - GCC_PLUGIN_STRUCTLEAK=n
  - Block/Storage:
  - BLK_DEBUG_FS=y
  - BLK_SED_OPAL=y
  - MQ_IOSCHED_DEADLINE=y
  - VIRTIO_BLK_SCSI=n (default, use virtio-scsi)
  - Network:
  - SMC=m
  - INET_ESP_OFFLOAD=m
  - INET6_ESP_OFFLOAD=m
  - NFT_SET_BITMAP=m
  - NET_ACT_SAMPLE=m
  - PSAMPLE=m
  - NET_IFE=m
  - QEDF=m
  - IPVTAP=m
  - NFP=m
  - NFP_DEBUG=n (performance)
  - i386/x86_64:
  - SPI_INTEL_SPI_PLATFORM=m
  - XEN_PVH=y
  - PC104=y
  - x86_64:
  - AQTION=m
  - INTEL_TURBO_MAX_3=y
  - DVB:
  - DVB_USB_ZD1301=m
  - VIDEO_IVTV_DEPRECATED_IOCTLS=n (default)
  - DRM:
  - DRM_DEBUG_MM_SELFTEST=n (default)
  - DRM_I915_SW_FENCE_DEBUG_OBJECTS=n
  - DRM_TINYDRM=m
  - TINYDRM_MI0283QT=n
  - Console:
  - VGACON_SOFT_SCROLLBACK_PERSISTENT_ENABLE_BY_DEFAULT=y (old behavior)
  - USB:
  - USB_SERIAL_UPD78F0730=m
  - USB_HUB_USB251XB=m
  - IB:
  - INFINIBAND_BNXT_RE=m (except on s390x)
  - x86:
  - SILEAD_DMI=y
  - SND_X86=m
  - HDMI_LPE_AUDIO=m
  - EXTCON_INTEL_INT3496=m
  - ppc64/ppc64le:
  - FSI=m
  - IIO ADC/DAC/Sensors:
  - HX711=n
  - MAX11100=n
  - TI_ADS7950=n
  - TI_TLC4541=n
  - MPU3050_I2C=n
  - IIO_ST_LSM6DSX=n
  - M3605=n
  - MAX5481=n
  - SRF08=n
  - TMP007=n
  - PHY:
  - PHY_QCOM_USB_HS=m (ARM-only?)
  - PHY_QCOM_USB_HSIC=m (ARM-only?)
  - Misc:
  - LEDS_BRIGHTNESS_HW_CHANGED=y
  - TOUCHSCREEN_ZET6223=m
  - SERIAL_8250_EXAR=y
  - PTP_1588_CLOCK_KVM=m
  - PWRSEQ_SD8787=m
  - PINCTRL_GEMINILAKE=m
  - GPIO_EXAR=m
  - GPIO_PCI_IDIO_16=m
  - W1_SLAVE_DS2405=m
  - CHARGER_SBS=m
  - SENSORS_STTS751=m
  - SOFT_WATCHDOG_PRETIMEOUT=y
  - NIC7018=m
  - IR_SPI=m
  - EEPROM_IDT_89HPESX=m
  - ARM:
  - KEYBOARD_TM2_TOUCHKEY=n (exynos)
  - PINCTRL_TI_IODELAY=n
  - CHARGER_DETECTOR_MAX14656=n
  - COMMON_CLK_VC5=n
  - MFD_CPCAP=n
  - SND_SOC_ES8328_I2C=n
  - SND_SOC_ES8328_SPI=n
  - SND_SOC_NAU8540=n
  - COMMON_CLK_VC5=n
  - SOC_ZTE=n
- commit 84d80cb
* Mon Mar  6 2017 kbuild@suse.de
- Automatically updated to 4.11-rc1
- commit d1e0e00
* Sun Mar  5 2017 kbuild@suse.de
- Automatically updated to 4.10-11746-g8d70eeb
- commit 0d49fff
* Sat Mar  4 2017 kbuild@suse.de
- Automatically updated to 4.10-11624-g0710f3f
- commit dcbadc5
* Fri Mar  3 2017 kbuild@suse.de
- Automatically updated to 4.10-11319-gc82be9d
- commit fe834bc
* Thu Mar  2 2017 kbuild@suse.de
- Automatically updated to 4.10-11073-g4977ab6
- commit 7d99969
* Wed Mar  1 2017 kbuild@suse.de
- Automatically updated to 4.10-10770-g2d6be4a
- commit f7c44ea
* Tue Feb 28 2017 kbuild@suse.de
- Automatically updated to 4.10-10531-g86292b3
- commit 9404e2a
* Mon Feb 27 2017 kbuild@suse.de
- Automatically updated to 4.10-10320-ge5d56ef
- commit 92a05ec
* Sun Feb 26 2017 kbuild@suse.de
- Automatically updated to 4.10-10265-gc4f3f22
- commit 87fd23f
* Sat Feb 25 2017 kbuild@suse.de
- Automatically updated to 4.10-9686-g9e31489
- commit c0caf35
* Fri Feb 24 2017 kbuild@suse.de
- Automatically updated to 4.10-9579-gf1ef09f
- commit d3993d0
* Thu Feb 23 2017 kbuild@suse.de
- Automatically updated to 4.10-6476-gbc49a78
- commit b4a1c9b
* Wed Feb 22 2017 kbuild@suse.de
- Automatically updated to 4.10-2512-g7bb0338
- commit bea67e6
* Tue Feb 21 2017 kbuild@suse.de
- Automatically updated to 4.10-1215-g2bfe01e
- commit f39f704
* Mon Feb 20 2017 jeffm@suse.com
- Update to 4.10-final.
- commit 8d9922a
* Mon Feb 20 2017 kbuild@suse.de
- Automatically updated to 4.10
- commit 3f12f71
* Sun Feb 19 2017 kbuild@suse.de
- Automatically updated to 4.10-rc8-84-g00ea1ce
- commit d38c26c
* Sat Feb 18 2017 kbuild@suse.de
- Automatically updated to 4.10-rc8-62-g6dc39c5
- commit 610d906
* Fri Feb 17 2017 mmarek@suse.com
- Automatically updated to 4.10-rc8-47-g0722f57bfae9
- commit cac8981
* Mon Feb 13 2017 jeffm@suse.com
- Update to 4.10-rc8.
- Eliminated 1 patch.
- commit 3d838dc
* Tue Feb  7 2017 afaerber@suse.de
- config: armv6hl: Enable RASPBERRYPI_POWER
- commit 44158a4
* Tue Feb  7 2017 afaerber@suse.de
- config: Make VIRTIO_CONSOLE built-in
- commit 488219c
* Mon Feb  6 2017 jeffm@suse.com
- Update to 4.10-rc7.
- Eliminated 1 patch.
- commit 35d92a6
* Thu Feb  2 2017 jslaby@suse.cz
- Update config files.
- Refresh patches.suse/DWARF-EH-frame-based-stack-unwinding.patch.
- fix for save_stack_trace (lockdep et al.)
- depends on !KASAN (too slow)
- commit c19f140
* Wed Feb  1 2017 kbuild@suse.de
- Automatically updated to 4.10-rc6-30-ga2ca3d6
- commit ce4ebb9
* Tue Jan 31 2017 kbuild@suse.de
- Automatically updated to 4.10-rc6-8-gf9a42e0
- commit c330ba6
* Tue Jan 31 2017 jslaby@suse.cz
- Update config files.
- Refresh patches.suse/DWARF-EH-frame-based-stack-unwinding.patch.
- Refresh patches.suse/stack-unwind-disable-kasan.patch.
  Update dwarf unwinder. It fixes a build failure when disabled and
  moves files around.
- commit 4c2f0d8
* Tue Jan 31 2017 jslaby@suse.cz
- Update config files.
  Re-disable CONFIG_STACK_UNWIND in syzkaller. It was disabled until
  4.9-rc1 because the stack unwinder and KASAN do not play well
  together. In 4.9-rc1 we disabled DWARF stack unwinder completely due
  to upstream stack unwindining rewrite. I ported the unwinder recently,
  but forgot to disable it in the syzkaller flavor. Do it now.
- commit 659ae3d
* Mon Jan 30 2017 jeffm@suse.com
- Update to 4.10-rc6.
- Eliminated 1 patch.
- commit 66afaf9
* Mon Jan 30 2017 kbuild@suse.de
- Automatically updated to 4.10-rc6
- commit a27bd3e
* Sun Jan 29 2017 kbuild@suse.de
- Automatically updated to 4.10-rc5-393-g53cd1ad
- commit c9d369e
* Sat Jan 28 2017 kbuild@suse.de
- Automatically updated to 4.10-rc5-367-g1b1bc42
- commit 2d26f9f
* Fri Jan 27 2017 kbuild@suse.de
- Automatically updated to 4.10-rc5-161-gfd694aa
- commit 8b9f5a6
* Thu Jan 26 2017 kbuild@suse.de
- Automatically updated to 4.10-rc5-111-g49e555a
- commit c1ede58
* Wed Jan 25 2017 kbuild@suse.de
- Automatically updated to 4.10-rc5-107-g883af14
- commit 004192d
* Tue Jan 24 2017 kbuild@suse.de
- Automatically updated to 4.10-rc5-71-ga4685d2
- commit 3ee062d
* Mon Jan 23 2017 jeffm@suse.com
- Update to 4.10-rc5.
- commit a8e5ac9
* Mon Jan 23 2017 kbuild@suse.de
- Automatically updated to 4.10-rc5
- commit 1799219
* Mon Jan 23 2017 dsterba@suse.com
- rpm/kernel-binary.spec.in: gcc plugins needs gcc-devel
  The build fails with missing bversion.h header.
- commit 95b4403
* Sun Jan 22 2017 kbuild@suse.de
- Automatically updated to 4.10-rc4-281-gc497f8d
- commit b76df80
* Sat Jan 21 2017 kbuild@suse.de
- Automatically updated to 4.10-rc4-240-g4c9eff7
- commit 7addb80
* Fri Jan 20 2017 mmarek@suse.com
- rpm/kernel-binary.spec.in: scripts/gcc-plugin.sh needs gcc-c++
- commit d577958
* Fri Jan 20 2017 kbuild@suse.de
- Automatically updated to 4.10-rc4-164-g44b4b46
- commit 3a7375a
* Thu Jan 19 2017 kbuild@suse.de
- Automatically updated to 4.10-rc4-108-gfb1d8e0
- commit e6520a4
* Wed Jan 18 2017 jslaby@suse.cz
- Update config files (bnc#1011884).
  Kill FRAME_POINTER. Thanks to the stack traces generation rewrite in
  4.9 & DWARF unwinding port, frame pointers are no longer needed for
  stack traces. We can shoot them down now. I am going to implement
  generation of DWARF info for assembly rather soon.
  If issues occur, please revert this and let me know.
- commit cffa23c
* Wed Jan 18 2017 kbuild@suse.de
- Automatically updated to 4.10-rc4-80-g0aa0313
- commit 6943fe8
* Tue Jan 17 2017 kbuild@suse.de
- Automatically updated to 4.10-rc4-12-g5cf7a0f
- commit c4849a4
* Tue Jan 17 2017 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix installation of /etc/uefi/certs (bsc#1019594)
- commit c6c6a91
* Mon Jan 16 2017 kbuild@suse.de
- Automatically updated to 4.10-rc4
- commit b22caa0
* Mon Jan 16 2017 jeffm@suse.com
- Update to 3.10-rc4.
- commit 3df05a3
* Sun Jan 15 2017 kbuild@suse.de
- Automatically updated to 4.10-rc3-269-gf4d3935
- commit 533ed90
* Sun Jan 15 2017 agraf@suse.de
- Enable CMA DMA on AArch64 (boo#1020021)
- commit 00f2a52
* Sat Jan 14 2017 kbuild@suse.de
- Automatically updated to 4.10-rc3-238-ge96f8f1
- commit bd3269f
* Fri Jan 13 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix building docs
- Fix html and pdf creation in Documetation/media/*
- Add graphviz to buildreq for image conversion
- Fix file list to remove REPORTING-BUGS
- commit a6d2693
* Fri Jan 13 2017 jeffm@suse.com
- config: RING_BUFFER_BENCHMARK=m on s390x (bsc#1019860).
  Commit 0b422208 should have done this but set it =y instead.
- commit 3fa1566
* Fri Jan 13 2017 kbuild@suse.de
- Automatically updated to 4.10-rc3-187-g557ed56
- commit c4ebc89
* Thu Jan 12 2017 kbuild@suse.de
- Automatically updated to 4.10-rc3-126-gba836a6
- commit d8abc53
* Wed Jan 11 2017 mmarek@suse.com
- Automatically updated to 4.10-rc3-57-g807b93e995d1
- commit 570b017
* Mon Jan  9 2017 jeffm@suse.com
- config/vanilla: re-add CONFIG_SCHED_OMIT_FRAME_POINTER=y
  Re-enabling the stack unwind patches means that we need this defined
  on vanilla flavors on i386 and x86_64.
- commit 6998f24
* Mon Jan  9 2017 jeffm@suse.com
- Update to 4.10-rc3.
- Config changes:
  - armv7hl/default:
  - HZ_FIXED=0, HZ_200=y (restriction removed upstream)
- commit 8e11370
* Mon Jan  9 2017 kbuild@suse.de
- Automatically updated to 4.10-rc3
- commit 5e7df2c
* Sun Jan  8 2017 kbuild@suse.de
- Automatically updated to 4.10-rc2-274-gea07b86
- commit 91b8d90
* Sat Jan  7 2017 kbuild@suse.de
- Automatically updated to 4.10-rc2-270-g308c470
- commit 88e1a1a
* Fri Jan  6 2017 jslaby@suse.cz
- Refresh patches.suse/stack-unwind-disable-kasan.patch.
- Delete
  patches.suse/revert-x86-remove-warning-and-warning_symbol-from-struct-stacktrace_ops.
- Update config files.
  Port the DWARF unwinder to 4.9+.
- commit 68726ae
* Fri Jan  6 2017 afaerber@suse.de
- rpm: Add arm64 dtb-zte subpackage
  4.9 added arch/arm64/boot/dts/zte/.
- rpm: Add arm64 dtb-zte subpackage
  4.9 added arch/arm64/boot/dts/zte/.
  (cherry picked from commit 23a79e358a8644d6a51c72c54d9d55698868105a)
- commit 073d831
* Fri Jan  6 2017 afaerber@suse.de
- rpm: Add arm64 dtb-allwinner subpackage
  4.10 added arch/arm64/boot/dts/allwinner/.
- rpm: Add arm64 dtb-allwinner subpackage
  4.10 added arch/arm64/boot/dts/allwinner/.
  (cherry picked from commit 81535fa841c80541350e4aa1047d2ddbbd6e9ebc)
- commit dfeb94a
* Fri Jan  6 2017 kbuild@suse.de
- Automatically updated to 4.10-rc2-207-g88ba6ca
- commit 715f987
* Thu Jan  5 2017 mmarek@suse.cz
- rpm/kernel-obs-build.spec.in: Fix typo
- commit 45e1765
* Thu Jan  5 2017 mmarek@suse.com
- Enable kernel-obs-{build,qa} also in the vanilla branches
- commit 022e5fb
* Thu Jan  5 2017 mmarek@suse.com
- rpm/dtb.spec.in.in: Fix for kernel-source-vanilla (bsc#1011920)
- commit 4de517c
* Thu Jan  5 2017 kbuild@suse.de
- Automatically updated to 4.10-rc2-109-ge02003b
- commit 311cf04
* Thu Jan  5 2017 mmarek@suse.com
- Delete scripts/config.sh, obsoleted by rpm/config.sh long ago
- commit 00238e6
* Thu Jan  5 2017 mmarek@suse.com
- rpm/mkspec: Do not build dtbs for kernel-source-rt (bsc#1011920)
- commit f3a9899
* Thu Jan  5 2017 mmarek@suse.com
- rpm/dtb.spec.in.in: Use kernel-source-vanilla in vanilla branches (bsc#1011920)
- commit 44cf2d6
* Wed Jan  4 2017 kbuild@suse.de
- Automatically updated to 4.10-rc2-20-g0f64df3
- commit 743303e
* Tue Jan  3 2017 mmarek@suse.com
- Automatically updated to 4.10-rc2-16-gc8b4ec8351d2
- commit 627003e
* Tue Jan  3 2017 kbuild@suse.de
- Automatically updated to 4.10-rc2-16-gc8b4ec8
- commit 8981521
* Mon Jan  2 2017 mmarek@suse.com
- Automatically updated to 4.10-rc2-5-g74e5c265a495
- commit e6c8b32
* Mon Jan  2 2017 jeffm@suse.com
- Update to 4.10-rc2.
- Eliminated 1 patch.
- commit c49c7eb
* Mon Jan  2 2017 afaerber@suse.de
- config: armv7hl: Update to v4.10-rc1
- commit c3f482f
* Mon Jan  2 2017 mmarek@suse.com
- Automatically updated to 4.10-rc2
- commit 3ec3d70
* Mon Jan  2 2017 afaerber@suse.de
- config: armv6hl: Update to v4.10-rc1
- commit 9675f65
* Mon Jan  2 2017 afaerber@suse.de
- config: arm64: Update to 4.10-rc1
- commit 849b265
* Thu Dec 29 2016 jeffm@suse.com
- Update to 4.10-rc1.
- Eliminated 6 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - CONSOLE_LOGLEVEL_DEFAULT=7 (default)
  - BUG_ON_DATA_CORRUPTION=y
  - REMOTEPROC=m
  - CGROUP_BPF=y
  - STM_SOURCE_FTRACE=m
  - Block:
  - BLK_DEV_ZONED=y
  - BLK_WBT=y
  - BLK_WBT_SQ=n (default)
  - BLK_WBT_MQ=y (default)
  - x86:
  - INTEL_RDT_A=y
  - SCHED_MC_PRIO=y
  - Net:
  - INET_RAW_DIAG=m
  - IPV6_SEG6_LWTUNNEL=y
  - IPV6_SEG6_INLINE=n
  - IPV6_SEG6_HMAC=y
  - NF_LOG_NETDEV=m
  - NF_CT_PROTO_DCCP=y
  - NF_CT_PROTO_SCTP=y
  - NF_CT_PROTO_UDPLITE=y
  - NFT_RT=m
  - NFT_OBJREF=m
  - IP_SET_HASH_IPMAC=m
  - NF_SOCKET_IPV4=m
  - NFT_FIB_IPV4=m
  - NF_SOCKET_IPV6=m
  - NFT_FIB_IPV6=m
  - NFT_FIB_INET=m
  - LWTUNNEL_BPF=y
  - AMD_XGBE=m
  - AMD_XGBE_DCB=y
  - BNXT_DCB=y
  - MLXSW_CORE_THERMAL=y
  - MLXSW_I2C=m
  - MLXSW_SWITCHIB=m
  - MLXSW_MINIMAL=m
  - SFC_FALCON=m
  - SFC_FALCON_MTD=y
  - LED_TRIGGER_PHY=y
  - Debugging:
  - TEST_ASYNC_DRIVER_PROBE=n
  - DMA_FENCE_TRACE=n
  - DVB_DEMUX_SECTION_LOSS_LOG=n
  - SW_SYNC=n
  - MTD:
  - MTD_NAND_OXNAS=n
  - NVME:
  - NVME_FC=m
  - NVME_TARGET_FC=m
  - NVME_TARGET_FCLOOP=m
  - DM_DEBUG_BLOCK_MANAGER_LOCKING=n
  - iSCSI:
  - QEDI=m
  - ARM:
  - MESON_GXL_PHY
  - PINCTRL_SX150X
  - DRM_SIL_SII8620
  - DRM_TI_TFP410
  - DRM_HISI_HIBMC
  - DRM_MXSFB
  - SND_SOC_MSM8916_WCD_ANALOG
  - SND_SOC_MSM8916_WCD_DIGITAL
  - LEDS_NIC78BX
  - RTC_DRV_R7301
  - COMMON_CLK_MT2701
  - COMMON_CLK_MT2701_MMSYS
  - COMMON_CLK_MT2701_IMGSYS
  - COMMON_CLK_MT2701_VDECSYS
  - COMMON_CLK_MT2701_HIFSYS
  - COMMON_CLK_MT2701_ETHSYS
  - COMMON_CLK_MT2701_BDPSYS
  - LIQUIDIO_VF
  - SENSORS_XGENE
  - ALTERA_MBOX
  - ARM_SCPI_PROTOCOL
  - IIO_CROS_EC_SENSORS_CORE
  - Sound:
  - SND_SOC_CS35L34=m
  - SND_SOC_CS42L42=m
  - Wifi:
  - WIRELESS_WDS=n (deprecated)
  - Misc drivers:
  - RMI4_SMB=m
  - RMI4_F03=y
  - RMI4_F34=y
  - SCR24X=m
  - I2C_MUX_MLXCPLD=m
  - SENSORS_TC654=m
  - SENSORS_TMP108=m
  - MEDIA_CEC_SUPPORT=y
  - IR_SERIAL=m
  - IR_SERIAL_TRANSMITTER=y
  - DRM_I915_ALPHA_SUPPORT=n
  - DRM_I915_CAPTURE_ERROR=y
  - DRM_I915_COMPRESS_ERROR=y
  - DRM_I2C_ADV7511_AUDIO=y
  - HID_MAYFLASH=m
  - HID_UDRAW_PS3=m
  - USB_SERIAL_F8153X=m
  - MMC_SDHCI_CADENCE=m
  - LEDS_USER=m
  - INFINIBAND_VMWARE_PVRDMA=m
  - HT16K33=m
  - UIO_HV_GENERIC=m
  - VFIO_MDEV=m
  - VFIO_MDEV_DEVICE=m
  - SURFACE3_WMI=m
  - SURFACE_3_BUTTON=m
  - MLX_CPLD_PLATFORM=m
  - CRYPTO_DEV_VIRTIO=m
  - I2C_MLXCPLD=m
  - Misc chip drivers:
  - DA280=n
  - DA311=n
  - DMARD10=n
  - AD7766=n
  - ENVELOPE_DETECTOR=n
  - 104_QUAD_8=n
  - DPOT_DAC=n
  - HTS221=n
  - LMP91000=n
  - ABP060MG=n
  - FPGA_BRIDGE=m
  - FPGA_REGION=m
  - GPU:
  - DRM_I915_GVT_KVMGT=m
  - File systems:
  - OVERLAY_FS_REDIRECT_DIR=n (not backward compatible)
  - UBIFS_FS_ENCRYPTION=y
  - ppc64:
  - CC_STACKPROTECTOR_REGULAR=y
  - USE_THIN_ARCHIVES=n
  - KEXEC_FILE=y
  - RELOCATABLE_TEST=n
  - MOVABLE_NODE=y
  - TCG_TIS=m
  - PPC_PTDUMP=n
  - CRYPTO_CRC32C_VPMSUM=m
  - s390x:
  - IRQ_DOMAIN_DEBUG=n
  - BATMAN_ADV_BATMAN_V=y (consistent with other flavors)
  - I2C options, mostly =n -- enable as needed
- commit f18c55a
* Wed Dec 28 2016 tiwai@suse.de
- rpm/kernel-binary.spec.in: Obsolete ftsteutates KMP (boo#997172)
- commit 34c1867
* Wed Dec 28 2016 kbuild@suse.de
- Automatically updated to 4.10-rc1-17-g2d706e7
- commit 733f5ed
* Tue Dec 27 2016 kbuild@suse.de
- Automatically updated to 4.10-rc1-3-g0dad3a3
- commit ad2eca0
* Mon Dec 26 2016 kbuild@suse.de
- Automatically updated to 4.10-rc1
- commit 8f49748
* Sun Dec 25 2016 kbuild@suse.de
- Automatically updated to 4.9-12259-g7c0f6ba
- commit 6d26948
* Sat Dec 24 2016 kbuild@suse.de
- Automatically updated to 4.9-12218-g6ac3bb1
- commit 634bc93
* Fri Dec 23 2016 kbuild@suse.de
- Automatically updated to 4.9-11999-g50f6584
- commit cb29a31
* Thu Dec 22 2016 kbuild@suse.de
- Automatically updated to 4.9-11937-g52bce91
- commit 0d63d95
* Wed Dec 21 2016 kbuild@suse.de
- Automatically updated to 4.9-11893-gba6d973
- commit 6986599
* Tue Dec 20 2016 xxxxxmichl@googlemail.com
- added De0-Nanos-SoC board support (and others based on Altera SOC).
- commit 9278339
* Tue Dec 20 2016 kbuild@suse.de
- Automatically updated to 4.9-11815-ge93b1cc
- commit 7d70063
* Mon Dec 19 2016 kbuild@suse.de
- Automatically updated to 4.9-11744-gb0b3a37
- commit d51d093
* Mon Dec 19 2016 jdelvare@suse.de
- config: Disable GPIO_TS4900 in most kernels
  The gpio-ts4900 driver is only useful on i.MX6 boards, and only one
  of our kernels supports them.
- commit eca4732
* Sun Dec 18 2016 kbuild@suse.de
- Automatically updated to 4.9-11649-g52f40e9
- commit 74500f3
* Sat Dec 17 2016 kbuild@suse.de
- Automatically updated to 4.9-11332-g59331c2
- commit 499cee3
* Fri Dec 16 2016 kbuild@suse.de
- Automatically updated to 4.9-10415-g73e2e0c
- commit 7b0245c
* Thu Dec 15 2016 kbuild@suse.de
- Automatically updated to 4.9-8648-g5cc60ae
- commit 4840812
* Wed Dec 14 2016 kbuild@suse.de
- Automatically updated to 4.9-7150-gcdb98c2
- commit 0c0cd46
* Tue Dec 13 2016 kbuild@suse.de
- Automatically updated to 4.9-2682-ge7aa8c2
- commit 66574f8
* Mon Dec 12 2016 jeffm@suse.com
- Update to 4.9-final.
- Eliminated 1 patch.
- commit b6ba2f6
* Mon Dec 12 2016 kbuild@suse.de
- Automatically updated to 4.9
- commit f09dc17
* Sun Dec 11 2016 kbuild@suse.de
- Automatically updated to 4.9-rc8-134-g0451698
- commit d546bbb
* Sat Dec 10 2016 kbuild@suse.de
- Automatically updated to 4.9-rc8-108-g810ac7b7
- commit dd566e7
* Fri Dec  9 2016 kbuild@suse.de
- Automatically updated to 4.9-rc8-85-ga37102d
- commit 951414e
* Thu Dec  8 2016 kbuild@suse.de
- Automatically updated to 4.9-rc8-78-g318c893
- commit 98caa58
* Wed Dec  7 2016 kbuild@suse.de
- Automatically updated to 4.9-rc8-51-gbc3913a
- commit a911f98
* Tue Dec  6 2016 kbuild@suse.de
- Automatically updated to 4.9-rc8-9-gd9d0452
- commit dcc375c
* Mon Dec  5 2016 jeffm@suse.com
- Update to 4.9-rc8.
- Eliminated 1 patch.
- MODVERSIONS is enabled again.
- commit 9188ffe
* Mon Dec  5 2016 kbuild@suse.de
- Automatically updated to 4.9-rc8
- commit b6a9391
* Sun Dec  4 2016 kbuild@suse.de
- Automatically updated to 4.9-rc7-198-g0cb65c8
- commit fbdc84d
* Sat Dec  3 2016 kbuild@suse.de
- Automatically updated to 4.9-rc7-186-g3c49de5
- commit 83730ee
* Fri Dec  2 2016 kbuild@suse.de
- Automatically updated to 4.9-rc7-45-g2caceb3
- commit be12e9b
* Thu Dec  1 2016 kbuild@suse.de
- Automatically updated to 4.9-rc7-39-g43c4f67
- commit 2cbfa11
* Wed Nov 30 2016 jeffm@suse.com
- Update to 4.9-rc7.
- Eliminated 3 patches.
- MODVERSIONS (temporarily) depends on BROKEN (because it is).  This will
  need to be re-enabled when it is fixed or KMPs won't work.
- commit baf0b69
* Wed Nov 30 2016 afaerber@suse.de
- config: arm64: Enable TCG_INFINEON
- commit 2b901bd
* Wed Nov 30 2016 kbuild@suse.de
- Automatically updated to 4.9-rc7-23-gded6e84
- commit 09ee5f3
* Tue Nov 29 2016 msuchanek@suse.de
- Add power key support for PMIcs which are already included in the configs
  (boo#1012477).
  Arm64 already has these so no need to patch it.
- commit aaff1c2
* Tue Nov 29 2016 kbuild@suse.de
- Automatically updated to 4.9-rc7-7-g88abd82
- commit 7da752c
* Tue Nov 29 2016 mmarek@suse.cz
- rpm/kernel-spec-macros: Fix the check if there is no rebuild counter (bsc#1012060)
- commit 6f16f5f
* Mon Nov 28 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Export a make-stderr.log file (bsc#1012422)
- commit f738229
* Mon Nov 28 2016 kbuild@suse.de
- Automatically updated to 4.9-rc7
- commit 601db35
* Sun Nov 27 2016 kbuild@suse.de
- Automatically updated to 4.9-rc6-240-gd8e435f
- commit f09ba31
* Sat Nov 26 2016 kbuild@suse.de
- Automatically updated to 4.9-rc6-190-g3ad0e83
- commit 057144b
* Fri Nov 25 2016 mmarek@suse.com
- rpm/dtb.spec.in.in: Adjust the formatting to osc's liking (bsc#1011920)
- commit cdcab93
* Fri Nov 25 2016 kbuild@suse.de
- Automatically updated to 4.9-rc6-157-g16ae16c
- commit 1afb1aa
* Thu Nov 24 2016 msuchanek@suse.de
- Enable Intel i810 audio driver used in OpenQA VMs (boo#1012575).
- commit be3acc5
* Thu Nov 24 2016 kbuild@suse.de
- Automatically updated to 4.9-rc6-133-g10b9dd5
- commit 9528f89
* Thu Nov 24 2016 mmarek@suse.com
- rpm/kernel-spec-macros: Ignore too high rebuild counter (bsc#1012060)
- commit 4ba30ba
* Wed Nov 23 2016 mmarek@suse.com
- rpm/mkspec-dtb: Print progress like mkspec does (bsc#1011920)
- commit 327c01e
* Wed Nov 23 2016 mmarek@suse.com
- Drop dtb-source.spec and move the sources to kernel-source (bsc#1011920)
- commit 3a67f58
* Wed Nov 23 2016 mmarek@suse.com
- Preprocess the dtb spec template with the kernel mkspec script
  This sets up the kernel version and release macros (bsc#1011920).
- commit 814c4ec
* Wed Nov 23 2016 mmarek@suse.com
- rpm/mkspec-dtb: Do not run the osc specfile formatter (bsc#1011920)
  It may produce varying output depending on the installed osc version.
- commit 2673925
* Wed Nov 23 2016 mmarek@suse.com
- rpm/mkspec-dtb: Stop copying the dtb .changes files (bsc#1011920)
  We are using the kernel changelog now.
- commit c7605f2
* Wed Nov 23 2016 mmarek@suse.com
- rename dtb's pre_checkin.pl to mkspec-dtb (bsc#1011920)
- commit 9e33f22
* Wed Nov 23 2016 mmarek@suse.com
- Import dtb-source specfiles into kernel-source (bsc#1011920)
- commit 7975919
* Wed Nov 23 2016 kbuild@suse.de
- Automatically updated to 4.9-rc6-113-g23400ac
- commit 78e3120
* Tue Nov 22 2016 kbuild@suse.de
- Automatically updated to 4.9-rc6-86-g3b404a5
- commit fedbe84
* Mon Nov 21 2016 mmarek@suse.cz
- Drop kernel-obs-qa-xen unconditionally (bsc#1010040)
  The IBS cannot build it, even if there is a xen-capable
  kernel-obs-build.
- commit f4797cb
* Mon Nov 21 2016 jeffm@suse.com
- Update to 4.9-rc6.
- commit 14ded04
* Mon Nov 21 2016 kbuild@suse.de
- Automatically updated to 4.9-rc6
- commit bb2c9a5
* Sun Nov 20 2016 kbuild@suse.de
- Automatically updated to 4.9-rc5-364-g77079b1
- commit 804f7c0
* Sat Nov 19 2016 kbuild@suse.de
- Automatically updated to 4.9-rc5-297-g20afa6e
- commit 03b8263
* Fri Nov 18 2016 kbuild@suse.de
- Automatically updated to 4.9-rc5-264-g6238986
- commit 159fbc6
* Thu Nov 17 2016 kbuild@suse.de
- Automatically updated to 4.9-rc5-213-g961b708
- commit ed13d19
* Wed Nov 16 2016 kbuild@suse.de
- Automatically updated to 4.9-rc5-177-g81bcfe5
- commit cdd6ece
* Tue Nov 15 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Only build -base and -extra with CONFIG_MODULES (bsc#1000118)
- commit 4bd9ec7
* Tue Nov 15 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Do not create KMPs with CONFIG_MODULES=n
- commit 1cf9838
* Tue Nov 15 2016 mmarek@suse.com
- Reformat spec files according to the format_spec_file osc helper
- commit a3cd251
* Tue Nov 15 2016 mmarek@suse.com
- Update the copyright header in spec files
- commit 50b5bef
* Tue Nov 15 2016 kbuild@suse.de
- Automatically updated to 4.9-rc5-172-ge76d21c
- commit cbc3633
* Mon Nov 14 2016 jeffm@suse.com
- Update to 4.9-rc5.
- commit 2e67bf1
* Mon Nov 14 2016 jslaby@suse.cz
- rpm/constraints.in: increase disk for kernel-syzkaller
  The kernel-syzkaller build now consumes around 30G. This causes
  headache in factory where the package rebuilds over and over. Require
  35G disk size to successfully build the flavor.
- commit 970a25c
* Mon Nov 14 2016 kbuild@suse.de
- Automatically updated to 4.9-rc5
- commit d57d647
* Sat Nov 12 2016 kbuild@suse.de
- Automatically updated to 4.9-rc4-194-g86e4ee7
- commit f981ece
* Sat Nov 12 2016 tiwai@suse.de
- Update config files: disable ASoC Intel BXT drivers
  They are still premature, and it enables snd-soc-skl automatically
  that interferes with the legacy HD-audio driver.  Keep them disabled
  until the issues are solved in upstream.
- commit de337ce
* Thu Nov 10 2016 kbuild@suse.de
- Automatically updated to 4.9-rc4-58-g27bcd37
- commit 8868f1d
* Wed Nov  9 2016 kbuild@suse.de
- Automatically updated to 4.9-rc4-21-ge3a00f6
- commit eeec70b
* Tue Nov  8 2016 kbuild@suse.de
- Automatically updated to 4.9-rc4-15-gb58ec8b
- commit 9e6d660
* Sun Nov  6 2016 kbuild@suse.de
- Automatically updated to 4.9-rc4
- commit e1281af
* Sun Nov  6 2016 jeffm@suse.com
- Update to 4.9-rc4.
- Eliminated 2 patches.
- commit a0e8675
* Sat Nov  5 2016 kbuild@suse.de
- Automatically updated to 4.9-rc3-376-gfb415f2
- commit 5e84d13
* Fri Nov  4 2016 kbuild@suse.de
- Automatically updated to 4.9-rc3-261-g577f12c
- commit 2974bd8
* Wed Nov  2 2016 afaerber@suse.de
- config: arm64/armv7hl: Disable QCOM_WCNSS_PIL for now
  Avoids a depmod error/abort:
  depmod: ERROR: Cycle detected: qcom_wcnss_iris -> qcom_wcnss -> qcom_wcnss_iris
- commit 874aa18
* Tue Nov  1 2016 kbuild@suse.de
- Automatically updated to 4.9-rc3-243-g0c183d9
- commit abec490
* Sun Oct 30 2016 kbuild@suse.de
- Automatically updated to 4.9-rc3-206-g2a26d99
- commit 98784f5
* Sun Oct 30 2016 jeffm@suse.com
- Update to 4.9-rc3.
- Eliminated 2 patches.
- commit d145950
* Sat Oct 29 2016 kbuild@suse.de
- Automatically updated to 4.9-rc2-233-gc067aff
- commit 97ba175
* Fri Oct 28 2016 kbuild@suse.de
- Automatically updated to 4.9-rc2-138-g14970f2
- commit 09cf218
* Tue Oct 25 2016 kbuild@suse.de
- Automatically updated to 4.9-rc2-40-g9fe68ca
- commit d82e1bb
* Mon Oct 24 2016 mmarek@suse.com
- Automatically updated to 4.9-rc2
- commit 436f01e
* Mon Oct 24 2016 jeffm@suse.com
- Update to 4.9-rc2.
- commit 45d9748
* Fri Oct 21 2016 afaerber@suse.de
- config: armv7hl: Update to v4.9-rc1
- commit 485cab2
* Thu Oct 20 2016 afaerber@suse.de
- config: arm64: Update to v4.9-rc1
- commit 0aea73f
* Wed Oct 19 2016 afaerber@suse.de
- config: armv6hl: Update to v4.9-rc1
- commit b65955f
* Mon Oct 17 2016 jeffm@suse.com
- config: restore vanilla configs
  I accidentally appended the new config options to the vanilla configs.
  This patch restores them.
- commit 8ee5cb9
* Mon Oct 17 2016 jeffm@suse.com
- Update to 4.9-rc1.
- Eliminated 14 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - VMAP_STACK=y (where supported)
  - GCC plugins:
  - GCC_PLUGIN_LATENT_ENTROPY=n (fork/irq overhead)
  - CPUFREQ:
  - CPU_FREQ_GOV_SCHEDUTIL=y
  - x86:
  - MLX_PLATFORM=m
  - INTEL_ISH_HID=m
  - SND_SOC_INTEL_BDW_RT5677_MACH=m
  - SERIAL_8250_LPSS=y (i386)
  - PCI:
  - PCIE_PTM=y
  - Networking:
  - TCP_CONG_BBR=m
  - NFT_NUMGEN=m
  - NFT_SET_RBTREE=m
  - NFT_SET_HASH=m
  - NFT_QUOTA=m
  - NET_ACT_SKBMOD=m
  - NET_ACT_TUNNEL_KEY=m
  - NET_IFE_SKBTCINDEX=m
  - BATMAN_ADV_DEBUGFS=y
  - BT_HCIUART_MRVL=y
  - AF_RXRPC_IPV6=y
  - AF_RXRPC_INJECT_LOSS=n
  - ENA_ETHERNET=m
  - MICROSEMI_PHY=m
  - CRYPTO_DEV_CHELSIO=m
  - INFINIBAND_QEDR=m
  - GPIO:
  - INPUT_GPIO_DECODER=m
  - GPIO_MOCKUP=m
  - GPIO_GPIO_MM=m
  - GPIO_TS4900=m
  - DRM:
  - DRM_AMDGPU_SI=y
  - DRM_PANEL_JDI_LT070ME05000=n
  - DRM_DUMB_VGA_DAC=m
  - DRM_LEGACY (this may impact users with older hardware)
  - Sound:
  - SND_SOC_NAU88C10=m
  - SND_SIMPLE_SCU_CARD=m
  - USB:
  - USB_LEDS_TRIGGER_USBPORT=m
  - USBIP_VHCI_HC_PORTS=8 (default)
  - USBIP_VHCI_NR_HCS=1 (default)
  - USB_HSIC_USB4604=m
  - Other:
  - LEDS_IS31FL319X=m
  - RTC_DRV_DS1307_CENTURY=y
  - WDAT_WDT=m
  - WATCHDOG_PRETIMEOUT_GOV_PANIC=m
  - WATCHDOG_PRETIMEOUT_GOV_NOOP=y
  - VIDEO_TW5864=m
  - CONFIG_LEDS_MLXCPLD=m
  - SCSI_SMARTPQI=m
  - TOUCHSCREEN_EKTF2127=m
  - syzkaller config:
  - UBSAN_NULL=y
- commit ab8f77b
* Mon Oct 17 2016 jeffm@suse.com
- config: disable NET_DSA on non-ARM
- commit a29d99c
* Sun Oct 16 2016 kbuild@suse.de
- Automatically updated to 4.9-rc1
- commit 07b1982
* Sun Oct 16 2016 afaerber@suse.de
- config: armv7hl: Enable MMC_SDHCI_IPROC for lpae (boo#1005019)
  Needed for Raspberry Pi 2, and default flavor already has it.
- commit 4d12943
* Sat Oct 15 2016 kbuild@suse.de
- Automatically updated to 4.8-14918-gb26b5ef
- commit c3f19d6
* Fri Oct 14 2016 kbuild@suse.de
- Automatically updated to 4.8-14604-g29fbff8
- commit eb12757
* Thu Oct 13 2016 kbuild@suse.de
- Automatically updated to 4.8-14230-gb67be92
- commit c69c0f5
* Wed Oct 12 2016 kbuild@suse.de
- Automatically updated to 4.8-14109-g1573d2c
- commit c830de4
* Tue Oct 11 2016 kbuild@suse.de
- Automatically updated to 4.8-11825-g101105b
- commit 46c777f
* Mon Oct 10 2016 kbuild@suse.de
- Automatically updated to 4.8-11417-g24532f7
- commit b879dfb
* Sat Oct  8 2016 kbuild@suse.de
- Automatically updated to 4.8-11288-gb66484c
- commit 1488554
* Fri Oct  7 2016 kbuild@suse.de
- Automatically updated to 4.8-9431-g3477d16
- commit 1fb1a47
* Thu Oct  6 2016 kbuild@suse.de
- Automatically updated to 4.8-8724-ga6930aa
- commit e34142e
* Wed Oct  5 2016 kbuild@suse.de
- Automatically updated to 4.8-2283-ga3443cd
- commit 2845fb7
* Tue Oct  4 2016 kbuild@suse.de
- Automatically updated to 4.8-1558-g21f54dd
- commit 5850e39
* Mon Oct  3 2016 jeffm@suse.com
- Update to 4.8-final.
- commit 9eb03d0
* Mon Oct  3 2016 kbuild@suse.de
- Automatically updated to 4.8
- commit dfc787a
* Mon Oct  3 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Simplify debug info switch
  Any CONFIG_DEBUG_INFO sub-options are answered in the configs nowadays.
- commit d404ac5
* Sun Oct  2 2016 kbuild@suse.de
- Automatically updated to 4.8-rc8-37-gf51fdff
- commit 1e3dcd4
* Sat Oct  1 2016 kbuild@suse.de
- Automatically updated to 4.8-rc8-34-g2161a2a
- commit 5b78ad0
* Fri Sep 30 2016 jslaby@suse.cz
- rpm/package-descriptions: the flavor is 64kb, not 64k
- commit 2e05d02
* Fri Sep 30 2016 kbuild@suse.de
- Automatically updated to 4.8-rc8-27-ge3b3656
- commit 1ad328c
* Thu Sep 29 2016 kbuild@suse.de
- Automatically updated to 4.8-rc8-13-g53061af
- commit 4c8f7a7
* Wed Sep 28 2016 kbuild@suse.de
- Automatically updated to 4.8-rc8-4-g8ab293e
- commit 3c5d2c4
* Mon Sep 26 2016 jeffm@suse.com
- Update to 4.8-rc8.
- Eliminated 2 patches.
- commit da297e0
* Mon Sep 26 2016 kbuild@suse.de
- Automatically updated to 4.8-rc8
- commit 9889440
* Mon Sep 26 2016 schwab@suse.de
- kernel-module-subpackage: Properly quote flavor in expressions
  That fixes a parse error if the flavor starts with a digit or contains
  other non-alphabetic characters.
- commit 19ba528
* Mon Sep 26 2016 agraf@suse.de
- rpm/package-descriptions: Add 64kb kernel flavor description
- commit 7d9e0ef
* Sun Sep 25 2016 kbuild@suse.de
- Automatically updated to 4.8-rc7-191-g9c0e28a
- commit 7ab0071
* Sat Sep 24 2016 kbuild@suse.de
- Automatically updated to 4.8-rc7-172-gbd5dbcb
- commit f063743
* Fri Sep 23 2016 afaerber@suse.de
- config: arm64: Enable RASPBERRYPI_POWER
- commit 8acc1b7
* Fri Sep 23 2016 afaerber@suse.de
- config: armv7hl: Enable RASPBERRYPI_POWER
- commit c7ed0a6
* Fri Sep 23 2016 afaerber@suse.de
- config: armv7hl: Enable virtio-pci
  Needed for armv7l-on-aarch64 OBS workers.
- commit 74174bf
* Fri Sep 23 2016 afaerber@suse.de
- config: armv6hl: Enable USB OTG
  The Raspberry Pi Zero has an OTG port accessible.
- commit 7d2c5ce
* Fri Sep 23 2016 jslaby@suse.cz
- Update config files.
- Delete patches.suse/syzkaller-no-gcc-plugin.patch.
  The patch is actually not needed as we have sanitizer support in gcc
  directly (no need for plugins).
- commit cf5af61
* Fri Sep 23 2016 kbuild@suse.de
- Automatically updated to 4.8-rc7-142-gb1f2beb
- commit 70178b8
* Fri Sep 23 2016 jslaby@suse.cz
- Update config files.
  Enable UBSAN for syzkaller. It still boots, even though we are down
  at 250 s boot time from 130 s. Might be reconsidered later.
- commit 52f74a2
* Thu Sep 22 2016 mmarek@suse.com
- Automatically updated to 4.8-rc7-42-g7d1e04231461
- commit d0e94c7
* Wed Sep 21 2016 agraf@suse.de
- arm64: disable hvc_dcc
- commit b16a827
* Wed Sep 21 2016 agraf@suse.de
- arm64: Refuse to install 4k kernel on 64k system
- commit 478142f
* Wed Sep 21 2016 mmarek@suse.com
- Delete now unneeded patches.suse/split-package (bsc#1000118)
- Update config files.
- Refresh patches.suse/supported-flag,
- commit 315e5df
* Wed Sep 21 2016 kbuild@suse.de
- Automatically updated to 4.8-rc7-42-g7d1e042
- commit e4ca352
* Wed Sep 21 2016 mmarek@suse.com
- rpm/package-descriptions: pv has been merged into -default (fate#315712)
- commit 711ab33
* Wed Sep 21 2016 jslaby@suse.cz
- rpm/package-descriptions: add kernel-syzkaller
- commit 620032b
* Wed Sep 21 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Build the -base package unconditionally (bsc#1000118)
- commit 1d8c576
* Wed Sep 21 2016 jslaby@suse.cz
- Add syzkaller flavor (bnc#1000094).
- Update config files.
- syzkaller: no need for gcc plugins (bnc#1000094).
- commit 4331f54
* Tue Sep 20 2016 agraf@suse.de
- arm64: Add 64kb flavor for 64kb page size
- commit 4253ecb
* Tue Sep 20 2016 agraf@suse.de
- Switch arm64 default config to 4k
- commit bd1d0fb
* Tue Sep 20 2016 tiwai@suse.de
- rpm/kernel-docs.spec.in: Add support of sphinx with recent kernels
- commit b503754
* Tue Sep 20 2016 kbuild@suse.de
- Automatically updated to 4.8-rc7-37-gd2ffb01
- commit 4580ba5
* Mon Sep 19 2016 jeffm@suse.com
- Update to 4.8-rc7.
- Eliminated 1 patch.
- commit bdebea1
* Mon Sep 19 2016 kbuild@suse.de
- Automatically updated to 4.8-rc7
- commit ad7f1e3
* Sun Sep 18 2016 kbuild@suse.de
- Automatically updated to 4.8-rc6-312-gd4690f1
- commit 9e1e5fe
* Sat Sep 17 2016 kbuild@suse.de
- Automatically updated to 4.8-rc6-300-g4d2899d
- commit d4d22d4
* Fri Sep 16 2016 kbuild@suse.de
- Automatically updated to 4.8-rc6-231-g024c7e3
- commit 0b0da41
* Thu Sep 15 2016 kbuild@suse.de
- Automatically updated to 4.8-rc6-214-g4cea877
- commit df7238b
* Wed Sep 14 2016 jeffm@suse.com
- config: enable RANDOMIZE_BASE and friends (bsc#998554).
- commit 6bc2dde
* Wed Sep 14 2016 jeffm@suse.com
- Update to 4.8-rc6.
- commit f9425a6
* Wed Sep 14 2016 kbuild@suse.de
- Automatically updated to 4.8-rc6-180-g5924bbe
- commit db60a6e
* Tue Sep 13 2016 kbuild@suse.de
- Automatically updated to 4.8-rc6-147-ge8988e0
- commit 0d367d0
* Mon Sep 12 2016 kbuild@suse.de
- Automatically updated to 4.8-rc6
- commit ee16c1b
* Sun Sep 11 2016 kbuild@suse.de
- Automatically updated to 4.8-rc5-196-g98ac9a6
- commit bf79917
* Sat Sep 10 2016 kbuild@suse.de
- Automatically updated to 4.8-rc5-176-gd0acc7d
- commit 90ebe08
* Fri Sep  9 2016 mmarek@suse.com
- Automatically updated to 4.8-rc5-129-g711bef65e91d
- commit 56e902d
* Wed Sep  7 2016 jeffm@suse.com
- config: enable FAIL_MAKE_REQUEST for testing purposes
- commit b432273
* Tue Sep  6 2016 jeffm@suse.com
- Update to 4.8-rc5.
- Config changes:
  - ARMV6: HW_RANDOM_MXC_RNGA=m
- commit 32e0b20
* Tue Sep  6 2016 kbuild@suse.de
- Automatically updated to 4.8-rc5-5-gbc4dee5
- commit ab9250e
* Mon Sep  5 2016 mmarek@suse.com
- Automatically updated to 4.8-rc5
- commit 6842471
* Sun Sep  4 2016 afaerber@suse.de
- config: arm64: Enable brcmfmac
  The Raspberry Pi 3 has a BCM43438, with a firmware package being prepared.
- commit 660727d
* Fri Sep  2 2016 mmarek@suse.com
- rpm/mkspec: Read a default release string from rpm/config.sh (bsc997059)
- commit cf65a8d
* Thu Sep  1 2016 afaerber@suse.de
- config: arm64: Update to 4.8-rc4
- commit b86a2a5
* Thu Sep  1 2016 afaerber@suse.de
- config: armv6hl: Update to 4.8-rc4
- commit 4146d65
* Thu Sep  1 2016 afaerber@suse.de
- config: armv7hl: Update to 4.8-rc4
- commit cd5b1cd
* Thu Sep  1 2016 kbuild@suse.de
- Automatically updated to 4.8-rc4-162-g071e31e
- commit eee6791
* Wed Aug 31 2016 kbuild@suse.de
- Automatically updated to 4.8-rc4-155-g86a1679
- commit 66f0513
* Tue Aug 30 2016 kbuild@suse.de
- Automatically updated to 4.8-rc4-119-ge4e98c4
- commit dcbe12c
* Mon Aug 29 2016 jeffm@suse.com
- Update to 4.8-rc4.
- commit 09ea9bf
* Mon Aug 29 2016 kbuild@suse.de
- Automatically updated to 4.8-rc4
- commit 7ffa50f
* Sun Aug 28 2016 kbuild@suse.de
- Automatically updated to 4.8-rc3-201-gaf56ff2
- commit 45d2d79
* Sat Aug 27 2016 kbuild@suse.de
- Automatically updated to 4.8-rc3-183-g5e608a0
- commit 5530463
* Thu Aug 25 2016 kbuild@suse.de
- Automatically updated to 4.8-rc3-39-g61c0457
- commit 1605148
* Wed Aug 24 2016 kbuild@suse.de
- Automatically updated to 4.8-rc3-24-gb059152
- commit 977a561
* Tue Aug 23 2016 kbuild@suse.de
- Automatically updated to 4.8-rc3-13-gef0e1ea
- commit 5fe40b7
* Mon Aug 22 2016 jeffm@suse.com
- Update to 4.8-rc3.
- Eliminated 1 patch.
- commit 1f5cb00
* Mon Aug 22 2016 kbuild@suse.de
- Automatically updated to 4.8-rc3
- commit 0397e6f
* Sat Aug 20 2016 mmarek@suse.cz
- rpm/old-flavors: Obsolte kernel-compute by kernel-rt (fate#320686)
- commit 964f3e2
* Sat Aug 20 2016 kbuild@suse.de
- Automatically updated to 4.8-rc2-348-g6040e57
- commit eb75889
* Sat Aug 20 2016 jason.derose@experient-inc.com
- Enable Sea Island GPUs in AMDGPU
- commit 575be0a
* Fri Aug 19 2016 kbuild@suse.de
- Automatically updated to 4.8-rc2-232-g3408fef
- commit 23015b3
* Thu Aug 18 2016 kbuild@suse.de
- Automatically updated to 4.8-rc2-173-g184ca82
- commit acbdb4b
* Thu Aug 18 2016 mmarek@suse.com
- Disable CONFIG_GCC_PLUGINS for now
  Lets enable it and fix the build once we have a use case for it.
- commit 98185dc
* Wed Aug 17 2016 kbuild@suse.de
- Automatically updated to 4.8-rc2-37-g3ec60b9
- commit 9cce080
* Tue Aug 16 2016 mmarek@suse.com
- rpm/kernel-source.spec.in: Unroll a loop with only a single iteration
- commit 601c09e
* Tue Aug 16 2016 mmarek@suse.com
- Automatically updated to 4.8-rc2-6-g3684b03d8e9a
- commit ae80c6f
* Mon Aug 15 2016 jeffm@suse.com
- Re-enable s390 message catalog patches.
  The printk changes that went into v4.8-rc1 were reverted (temporarily)
  for -rc2, so the old patches merge simply again.
- commit 4ec7bea
* Mon Aug 15 2016 jeffm@suse.com
- Update to 4.8-rc2.
- Config changes:
  - Global:
  - HARDENED_USERCOPY=n (we need to examine how it affects performance)
  - s390:
  - S390_GUEST_OLD_TRANSPORT=n (deprecated)
- commit 295dafe
* Mon Aug 15 2016 mmarek@suse.com
- Automatically updated to 4.8-rc2
- commit 3967694
* Mon Aug 15 2016 jeffm@suse.com
- Update to 4.8-rc1.
- Eliminated 7 patches.
- ARM configs need updating.
- Several patches need to be merged by their owners.
- Config changes:
  - Global:
  - GCC_PLUGINS=y (menu option)
  - GCC_PLUGIN_CYC_COMPLEXITY=n
  - TPM:
  - TCG_TIS_SPI
  - TCG_VTPM_PROXY
  - TCG_TIS_ST33ZP24_I2C
  - TCG_TIS_ST33ZP24_SPI
  - Sensors:
  - SENSORS_FTSTEUTATES
  - SENSORS_SHT3x
  - SENSORS_INA3221
  - BMA220=n
  - MMA7660=n
  - MAX5487=n
  - Graphics:
  - DRM_I915_GVT=y
  - ACPI:
  - DPTF_POWER
  - ACPI_CONFIGFS
  - CPUFreq:
  - CPU_FREQ_STAT=n (overhead)
  - PCI:
  - PCIE_DPC=y (should be m but it's a bool)
  - RapidIO:
  - RAPIDIO_CHMAN
  - RAPIDIO_RXS_GEN3
  - IP:
  - TCP_CONG_NV
  - Netfilter:
  - NET_CLS_MATCHALL
  - Virtualization:
  - VIRTIO_VSOCKETS
  - VHOST_VSOCK
  - Networking hardware:
  - INTEL_XWAY_PHY
  - B53=n
  - NVME:
  - NVME_RDMA
  - NVME_TARGET
  - NVME_TARGET_LOOP
  - NVME_TARGET_RDMA
  - Infiniband:
  - RDMA_RXE
  - RTC:
  - RTC_DRV_MAX6916=n
  - Storage:
  - SCSI_UFS_DWC_TC_PCI=n (test hardware)
  - SCSI_UFS_DWC_TC_PLATFORM=n
  - Input:
  - TABLET_USB_PEGASUS
  - INPUT_ATMEL_CAPTOUCH
  - HID:
  - HID_LED
  - HID_ALPS
  - LEDs:
  - LEDS_LP3952
  - LEDS_TRIGGER_DISK
  - Touchscreen I2C/SPI:
  - TOUCHSCREEN_RM_TS
  - TOUCHSCREEN_SILEAD
  - TOUCHSCREEN_SIS_I2C
  - TOUCHSCREEN_SURFACE3_SPI
  - File Systems:
  - EXT4_ENCRYPTION=y
  - PSTORE_LZO_COMPRESS=y
  - NFSD_FLEXFILELAYOUT=y
  - SECURITY_APPARMOR_HASH_DEFAULT=y
  - Crypto:
  - CRYPTO_DH
  - CRYPTO_ECDH
  - CRYPTO_SHA3
  - Video:
  - DRM_I2C_ADV7533
  - Staging:
  - MEDIA_CEC=y (will be part of another module when out of staging)
  - KS7010
  - Audio:
  - SND_SOC_INTEL_BXT_DA7219_MAX98357A_MACH
  - SND_SOC_BT_SCO
  - Misc:
  - IIO_SW_DEVICE
  - IIO_TIGHTLOOP_TRIGGER=n
  - MTD_NAND_MTK
  - x86:
  - INTEL_VBTN
  - PWM_CROS_EC
  - x86_64:
  - CRYPTO_SHA256_MB
  - CRYPTO_SHA512_MB
  - powerpc:
  - GEN_RTC=n
  - HOTPLUG_PCI_POWERNV
  - CXL_BIMODAL=y
  - SCSI_IBMVSCSIS
  - ADB_PMU_LED_DISK=y
  - POWERNV_OP_PANEL
  - JUMP_LABEL_FEATURE_CHECKS=y
  - JUMP_LABEL_FEATURE_CHECK_DEBUG=n
  - CRYPT_CRC32C_VPMSUM
  - BPF_JIT=y
  - s390:
  - KCOV=n
  - CRYPTO_CRC32_S390=y
  - ARM (disabled):
  - MDIO_HISI_FEMAC
  - DRM_SII902X
  - DRM_TOSHIBA_TC358767
  - SND_SUN4I_I2S
  - SND_SOC_ADAU7002
  - SND_SOC_CS35L33
  - SND_SOC_CS53L30
  - SND_SOC_MAX98504
  - SND_SOC_MAX9860
  - SND_SOC_WM8985
  - SUNXI_CCU
  - TI_SYSCON_RESET
  - NET_NCSI (only used by Faraday, which is ARM hardware)
- commit 00b8fd4
* Sun Aug 14 2016 kbuild@suse.de
- Automatically updated to 4.8-rc1-282-g118253a
- commit 2df45bf
* Sat Aug 13 2016 kbuild@suse.de
- Automatically updated to 4.8-rc1-241-gf31494b
- commit 0952b49
* Fri Aug 12 2016 kbuild@suse.de
- Automatically updated to 4.8-rc1-121-g4b9eaf3
- commit 2e6c52c
* Thu Aug 11 2016 kbuild@suse.de
- Automatically updated to 4.8-rc1-80-g85e97be
- commit 9bb4845
* Wed Aug 10 2016 kbuild@suse.de
- Automatically updated to 4.8-rc1-53-ga0cba21
- commit 3ede3d0
* Tue Aug  9 2016 kbuild@suse.de
- Automatically updated to 4.8-rc1-19-g81abf25
- commit 7090918
* Mon Aug  8 2016 kbuild@suse.de
- Automatically updated to 4.8-rc1
- commit 0d19b35
* Sun Aug  7 2016 kbuild@suse.de
- Automatically updated to 4.7-12388-g0cbbc42
- commit 20b51c1
* Sat Aug  6 2016 kbuild@suse.de
- Automatically updated to 4.7-12162-ga157b3a
- commit 4eb17ec
* Fri Aug  5 2016 mmarek@suse.com
- Automatically updated to 4.7-11951-gd4c06c708123
- commit c836c8c
* Fri Aug  5 2016 jslaby@suse.cz
- rpm/constraints.in: set memory minimum for binaries
  Binary packages are sometimes built on machines with 1G. For example
  one arm build ran in a VM with -smp 1 -m 1024. And it caused OOMs.
  So set the minimal memory to 2G for all archs.
- commit b3acaa2
* Wed Aug  3 2016 kbuild@suse.de
- Automatically updated to 4.7-11470-gd52bd54
- commit 0b64051
* Tue Aug  2 2016 kbuild@suse.de
- Automatically updated to 4.7-10753-g731c7d3
- commit 96b9fb9
* Tue Aug  2 2016 jdelvare@suse.de
- Make pinctrl-amd driver modular
  The pinctrl-amd driver can now be built as a module.
- commit 8fecf37
* Tue Aug  2 2016 jdelvare@suse.de
- config: Enable missing BayTrail and LynxPoint drivers
  We support the Intel BayTrail and LynxPoint systems so I believe we
  should enable all related drivers.
- commit adadb56
* Mon Aug  1 2016 kbuild@suse.de
- Automatically updated to 4.7-7962-g07f00f0
- commit 0f3ece3
* Mon Aug  1 2016 jslaby@suse.cz
- rpm/constraints.in: inscrease binary size req to 25G
  Currently, the build of master's -default kernel consumes exactly 20G.
  So increase the limit from 20G to 25G to stop build failures in the
  BS.
- commit c8360d6
* Sun Jul 31 2016 kbuild@suse.de
- Automatically updated to 4.7-7451-gbad60e6
- commit bccb375
* Sat Jul 30 2016 kbuild@suse.de
- Automatically updated to 4.7-6816-g797cee9
- commit 2b30086
* Fri Jul 29 2016 kbuild@suse.de
- Automatically updated to 4.7-6438-gc624c86
- commit ffe8b46
* Thu Jul 28 2016 kbuild@suse.de
- Automatically updated to 4.7-5906-g194dc87
- commit ce545ee
* Wed Jul 27 2016 kbuild@suse.de
- Automatically updated to 4.7-3199-g0e06f5c
- commit 87222b5
* Wed Jul 27 2016 schwab@suse.de
- group-source-files.pl: mark arch/*/scripts as devel
  make[2]: /usr/src/linux-4.6.4-2/arch/powerpc/scripts/gcc-check-mprofile-kernel.sh: Command not found
- commit aa32770
* Tue Jul 26 2016 kbuild@suse.de
- Automatically updated to 4.7-1605-ge658052
- commit 49c8e5b
* Mon Jul 25 2016 kbuild@suse.de
- Automatically updated to 4.7-801-gdd95069
- commit bc4b505
* Mon Jul 25 2016 jeffm@suse.com
- Update to 4.7-final.
- commit 1706eb4
* Sun Jul 24 2016 kbuild@suse.de
- Automatically updated to 4.7-rc7-269-g68093c4
- commit d814de8
* Sat Jul 23 2016 kbuild@suse.de
- Automatically updated to 4.7-rc7-267-g107df03
- commit 9200528
* Thu Jul 21 2016 agraf@suse.de
- Disable all ARMv8.1 and 8.2 features (bsc#981051)
- commit c106e70
* Mon Jul 18 2016 jeffm@suse.com
- Update to 4.7-rc7.
- Eliminated 2 patches.
- commit ebb3380
* Mon Jul 18 2016 mmarek@suse.com
- rpm/kernel-spec-macros: Add kver_cmp macro
  This allows to use %%if statements based on the version of the kernel to
  be built.
- commit ea700be
* Sat Jul 16 2016 kbuild@suse.de
- Automatically updated to 4.7-rc7-92-g47ef4ad
- commit 9cb5e73
* Fri Jul 15 2016 afaerber@suse.de
- config: armv7hl: Enable POWER_RESET_AS3722 for lpae
  It's needed for the Jetson TK1.
- commit 836836a
* Fri Jul 15 2016 tiwai@suse.de
- rpm/kernel-source.spec.in: recommends openssl-devel (bsc#987384)
- commit 2c51311
* Fri Jul 15 2016 kbuild@suse.de
- Automatically updated to 4.7-rc7-78-gfa3a9f574
- commit 04851f6
* Thu Jul 14 2016 mmarek@suse.com
- Automatically updated to 4.7-rc7-27-gf97d10454e4d
- commit 9649c41
* Thu Jul 14 2016 kbuild@suse.de
- Automatically updated to 4.7-rc7-27-gf97d104
- commit 6a134b5
* Wed Jul 13 2016 tiwai@suse.de
- rpm/constraints.in: Increase to 8GB for kernel-source
  4GB seems still too tight for some archs like ppc64le...
- commit d82b2bf
* Wed Jul 13 2016 kbuild@suse.de
- Automatically updated to 4.7-rc7-6-g63bab22
- commit 583a54c
* Tue Jul 12 2016 mmarek@suse.com
- Automatically updated to 4.7-rc7-4-g08d27eb20666
- commit a577f30
* Fri Jul  8 2016 tiwai@suse.de
- Update config files: enable DW_DMAC and ASoC Intel BDW/HSW drivers (boo#988117)
- commit c331523
* Fri Jul  8 2016 kbuild@suse.de
- Automatically updated to 4.7-rc6-94-gcc23c61
- commit c1bd196
* Fri Jul  8 2016 jdelvare@suse.de
- config: Disable RTC_DRV_DS1302
  All other SPI RTC device drivers are disabled, no reason why this
  one would be an exception.
- commit 07af450
* Fri Jul  8 2016 afaerber@suse.de
- config: arm64: Enable TEGRA210_ADMA
- commit 2e59fd1
* Fri Jul  8 2016 afaerber@suse.de
- config: arm64: Enable DRM_ANALOGIX_ANX78XX
- commit 57dc19d
* Fri Jul  8 2016 afaerber@suse.de
- config: armv7hl: Enable HDCP support for Snapdragon
  arm64 already had it enabled.
- commit 39a1ad8
* Thu Jul  7 2016 afaerber@suse.de
- config: arm64: Align USB gadget options
  Enable serial gadget console support, enable a missing configfs option
  and disable legacy UAC1.
- commit 37e9506
* Thu Jul  7 2016 afaerber@suse.de
- config: armv7hl: Enable USB gadget options
  This allows to build solutions like a Ceph USB storage gateway,
  presented at openSUSE Conference:
  https://events.opensuse.org/conference/oSC16/program/proposal/934
- commit 6529e81
* Thu Jul  7 2016 afaerber@suse.de
- config: armv6hl: Enable remaining LED triggers
  Also enable flash LED class while at it.
- commit 016ec4d
* Thu Jul  7 2016 afaerber@suse.de
- config: armv6hl: Update to 4.7
- commit ab5f9ed
* Thu Jul  7 2016 jeffm@suse.com
- config: restore default cpufreq governor
  The update to 4.7-rc1 mistakenly used CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y.
  This patch reverts to the longtime default of ONDEMAND.
- commit a215e1e
* Thu Jul  7 2016 kbuild@suse.de
- Automatically updated to 4.7-rc6-74-g076501f
- commit 435b042
* Tue Jul  5 2016 afaerber@suse.de
- config: armv7hl: Enable ipq4019
  It's a Cortex-A7.
- commit f646b17
* Tue Jul  5 2016 afaerber@suse.de
- config: armv7hl: Enable BCM2836 support for lpae
  The Raspberry Pi 2 has a Cortex-A7, so let's enable it in lpae flavor.
  Consistently make HW_RANDOM_BCM2835 a module.
- commit e01b0d5
* Tue Jul  5 2016 afaerber@suse.de
- config: armv7hl: Enable all LED triggers
  Let's be consistent about offering them. arm64 has them already.
- commit 147dbb0
* Mon Jul  4 2016 jeffm@suse.com
- Update to 4.7-rc6.
- commit c7b901d
* Mon Jul  4 2016 kbuild@suse.de
- Automatically updated to 4.7-rc6
- commit 035b6c5
* Sun Jul  3 2016 kbuild@suse.de
- Automatically updated to 4.7-rc5-354-g4f30292
- commit b9c6fb0
* Sat Jul  2 2016 kbuild@suse.de
- Automatically updated to 4.7-rc5-309-gdbdc3bb
- commit 425629c
* Fri Jul  1 2016 jthumshirn@suse.de
- Update config files to allow building of libnvdimm as module.
- commit be602da
* Fri Jul  1 2016 kbuild@suse.de
- Automatically updated to 4.7-rc5-254-g1a0a02d
- commit 065058d
* Thu Jun 30 2016 kbuild@suse.de
- Automatically updated to 4.7-rc5-227-ge7bdea7
- commit 100bd50
* Tue Jun 28 2016 kbuild@suse.de
- Automatically updated to 4.7-rc5-28-g02184c6
- commit 0834ec6
* Mon Jun 27 2016 jeffm@suse.com
- Update to 4.7-rc5.
- Eliminated 1 patch.
- commit 31b643d
* Mon Jun 27 2016 kbuild@suse.de
- Automatically updated to 4.7-rc5
- commit ce5e305
* Sun Jun 26 2016 kbuild@suse.de
- Automatically updated to 4.7-rc4-227-gda2f6ab
- commit 7fdf6e1
* Sat Jun 25 2016 kbuild@suse.de
- Automatically updated to 4.7-rc4-187-g086e3eb
- commit 0b53eda
* Fri Jun 24 2016 kbuild@suse.de
- Automatically updated to 4.7-rc4-76-g63c04ee
- commit fd3a596
* Thu Jun 23 2016 kbuild@suse.de
- Automatically updated to 4.7-rc4-20-gf9020d1
- commit bac8761
* Wed Jun 22 2016 matwey.kornilov@gmail.com
- config: armv7hl: Update configs for 4.7
  [AF: Updated to -rc6: OMAP5 erratum]
  [AF: Revert CPU_FREQ_DEFAULT_GOV_PERFORMANCE (follows x86)]
  [AF: Keep CONFIG_ARM_EXYNOS[5]_BUS_DEVFREQ enabled]
  [AF: Enable DRM_ANALOGIX_ANX78XX, SND_SOC_WM8960]
- commit 5f0d12e
* Wed Jun 22 2016 mmarek@suse.com
- Automatically updated to 4.7-rc4-14-g67016f6cdfd0
- commit 0eaaea7
* Mon Jun 20 2016 jeffm@suse.com
- Update to 4.7-rc4.
- commit 93905de
* Mon Jun 20 2016 kbuild@suse.de
- Automatically updated to 4.7-rc4
- commit e516e3f
* Sun Jun 19 2016 kbuild@suse.de
- Automatically updated to 4.7-rc3-240-gc141afd
- commit 8b3fa82
* Sat Jun 18 2016 kbuild@suse.de
- Automatically updated to 4.7-rc3-112-gd9e6614
- commit 7630d49
* Fri Jun 17 2016 kbuild@suse.de
- Automatically updated to 4.7-rc3-87-gbb96727
- commit 7862494
* Fri Jun 17 2016 mmarek@suse.com
- Automatically updated to 4.7-rc3-87-gbb967271c031
- commit dab22b9
* Wed Jun 15 2016 mmarek@suse.cz
- rpm/constraints.in: Really require 4GB for kernel-source, add -rt (bsc#984845)
- commit a0dec36
* Wed Jun 15 2016 mmarek@suse.cz
- rpm/constraints.in: Require 4GB of disk space for kernel-source (bsc#984845)
- commit 1b20111
* Tue Jun 14 2016 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Use the default value for CONFIG_MODULE_SIG_KEY (bsc#983634)
- commit 6eb6cd2
* Mon Jun 13 2016 jeffm@suse.com
- Update to 4.7-rc3.
- 2 patches eliminated.
- commit 73460a2
* Thu Jun  9 2016 agraf@suse.de
- enable arm64 config again
- commit 623606d
* Mon Jun  6 2016 jeffm@suse.com
- Update to 4.7-rc2.
- commit 384e1cd
* Mon Jun  6 2016 jeffm@suse.com
- config: update ppc64 configs
  Config changes:
- ppc64:
  - PPC_RADIX_MMU=m
  - FSL_LBC=y
  - UIO_FSL_ELBC_GPCM=m
  - UIO_FSL_ELBC_GPCM_NETX5152=y
  - LIVEPATCH=y
- commit 01942a0
* Mon Jun  6 2016 kbuild@suse.de
- Automatically updated to 4.7-rc2
- commit c9a7098
* Sun Jun  5 2016 kbuild@suse.de
- Automatically updated to 4.7-rc1-247-g049ec1b
- commit 60b7ed3
* Sat Jun  4 2016 kbuild@suse.de
- Automatically updated to 4.7-rc1-157-g8c52b6d
- commit 88826af
* Fri Jun  3 2016 kbuild@suse.de
- Automatically updated to 4.7-rc1-122-g4340fa5
- commit 1ae8e8d
* Thu Jun  2 2016 kbuild@suse.de
- Automatically updated to 4.7-rc1-104-g719af93
- commit 0217551
* Wed Jun  1 2016 jeffm@suse.com
- Update to 4.7-rc1.
- Eliminated 14 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - NMI_LOG_BUF_SHIFT=13 (default 8k, old value ~4k)
  - CC_OPTIMIZE_FOR_PERFORMANCE=y (no change)
  - MEMORY_HOTPLUG_DEFAULT_ONLINE=n (no change)
  - CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y (no change)
  - SLAB_FREELIST_RANDOM=y (security feature, minimal performance impact)
  - DEVFREQ_GOV_PASSIVE=m
  - CPU_FREQ_GOV_SCHEDUTIL=m
  - Security:
  - KEY_DH_OPERATIONS=y
  - SECURITY_LOADPIN=n
  - DAX:
  - NVDIMM_DAX=y
  - DEV_DAX=m
  - DEV_DAX_PMEM=m
  - EFI:
  - EFI_BOOTLOADER_CONTROL=m
  - EFI_CAPSULE_LOADER=m
  - Misc:
  - RCU_PERF_TEST=m
  - HIST_TRIGGERS=y
  - TEST_HASH=n
  - Z3FOLD=m
  - ACPI_TABLE_UPGRADE=y
  - Options for existing drivers:
  - F2FS
  - F2FS_FAULT_INJECTION=y
  - QED
  - QED_SRIOV=y
  - QEDE
  - QEDE_GENEVE=y
  - QEDE_VXLAN=y
  - MLXSW_SPECTRUM
  - MLXSW_SPECTRUM_DCB=y
  - SERIAL_8250
  - SERIAL_8250_FINTEK=y
  - DRM_I915
  - DRM_I915_WERROR=y
  - DRM_I915_DEBUG=n
  - DRM_I915_DEBUG_GEM=n
  - NFC_PN533
  - NFC_PN533_USB=m
  - NFC_PN533_I2C=m
  - TCM_QLA2XXX
  - TCM_QLA2XXX_DEBUG=n
  - DRM_AMDGPU
  - DRM_AMDGPU_GART_DEBUGFS=n
  - WIZNET_W5100
  - WIZNET_W5100_SPI=m
  - Storage:
  - ISCSI_TARGET_CXGB4=m
  - SATA_DWC=n -- ppc32 only
  - Networking:
  - RXKAD=y
  - GTP=m
  - Sound:
  - SND_SOC_TAS5720=m
  - USB:
  - UCSI=m
  - Video:
  - VIDEO_TW686X=m
  - Misc drivers:
  - MFD_MAX77620=n
  - DRM_ARCPGU=n
  - PWRSEQ_EMMC=m
  - PWRSEQ_SIMPLE=m
  - PCIE_DPC=m
  - SENSORS_MAX31722=m
  - INT3406_THERMAL=m
  - GENERIC_ADC_THERMAL=m
  - LEDS_TRIGGER_MTD=n (bool)
  - LEDS_TRIGGER_PANIC=n (bool)
  - RTC_DRV_DS1302=m
  - SYNC_FILE=n
  - AD5592R=n
  - AD5593R=n
  - AM2315=m
  - BMI160_I2C=m
  - BMI160_SPI=m
  - BH1780=m
  - MAX44000=m
  - VEML6070=m
  - BMC150_MAGN_I2C=m
  - BMC150_MAGN_SPI=m
  - DS1803=m
  - MCP4131=m
  - HP03=m
  - HP206C=m
  - x86:
  - PERF_EVENTS_INTEL_RAPL=y
  - PERF_EVENTS_INTEL_CSTATE=y
  - SND_SOC_INTEL_BXT_RT298_MACH=m
  - INTEL_PMC_CORE=y
  - CROS_KBD_LED_BACKLIGHT=m
  - MCE_AMD_INJ=m
  - HID_ASUS=m
  - s390:
  - GPIOLIB=n
  - ARM:
  - SPI_ROCKCHIP=n
  - DRM_ANALOGIX_ANX78XX=n
  - SND_SOC_WM8960=n
  - COMMON_CLK_OXNAS=n
- commit 74200ea
* Wed Jun  1 2016 mbrugger@suse.com
- [v1,6/6] drivers: net: xgene: Fix module load/unload crash
  (bsc#981652 bsc#979043).
- Update config files.
- commit bd806d6
* Wed Jun  1 2016 kbuild@suse.de
- Automatically updated to 4.7-rc1-94-g6b15d66
- commit 03b3901
* Tue May 31 2016 kbuild@suse.de
- Automatically updated to 4.7-rc1-12-g852f42a
- commit e800576
* Mon May 30 2016 kbuild@suse.de
- Automatically updated to 4.7-rc1-5-gb02b1fb
- commit e428f16
* Sun May 29 2016 kbuild@suse.de
- Automatically updated to 4.6-11516-gf2a031b
- commit d437812
* Sat May 28 2016 kbuild@suse.de
- Automatically updated to 4.6-11261-ged2608f
- commit 776cd7a
* Fri May 27 2016 kbuild@suse.de
- Automatically updated to 4.6-11010-gdc03c0f
- commit 3ed9b98
* Thu May 26 2016 kbuild@suse.de
- Automatically updated to 4.6-10675-g2f7c3a1
- commit aaf7b55
* Thu May 26 2016 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Obsolete SLE12-SP1 compat-wireless-kmp (bsc#975894)
- commit 127728b
* Wed May 25 2016 dmueller@suse.com
- Set CONFIG_NET_XGENE=y as a workaround for (bsc#973756)
- commit 6d654a6
* Wed May 25 2016 kbuild@suse.de
- Automatically updated to 4.6-10530-g28165ec
- commit 0ed8573
* Wed May 25 2016 tiwai@suse.de
- Fix build breakage due to missing buildroot in rpm/kernel-binary.spec.in
- commit c03eb71
* Tue May 24 2016 jeffm@suse.com
- drm/amd: add Kconfig dependency for ACP on DRM_AMDGPU.
- Update config files.
- commit b5d9cb4
* Tue May 24 2016 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix build error when no firmware is installed
- commit a09ef60
* Tue May 24 2016 kbuild@suse.de
- Automatically updated to 4.6-10203-g84787c5
- commit ed01bf8
* Tue May 24 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Do not package helper files in -devel (bsc#981204)
- commit 4c334f0
* Mon May 23 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Install only needed firmware for -base (bsc#966447)
- commit f685839
* Mon May 23 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix placement of the reproducible build hack
- commit 26e4b73
* Mon May 23 2016 mmarek@suse.com
- rpm/config.sh: Build against Factory
  This should fix build issues on ppc64le and armv7l caused by too old
  toolchains.
- commit c8cf0b0
* Mon May 23 2016 kbuild@suse.de
- Automatically updated to 4.6-8907-g7639dad
- commit 0486bba
* Sun May 22 2016 kbuild@suse.de
- Automatically updated to 4.6-8889-gf6c658d
- commit 72fcd71
* Sat May 21 2016 kbuild@suse.de
- Automatically updated to 4.6-8666-g5469dc2
- commit 313abf1
* Fri May 20 2016 kbuild@suse.de
- Automatically updated to 4.6-6148-g03b979d
- commit 7c5d7d2
* Thu May 19 2016 kbuild@suse.de
- Automatically updated to 4.6-5028-g2600a46
- commit ff60fc3
* Wed May 18 2016 kbuild@suse.de
- Automatically updated to 4.6-3623-g0b7962a
- commit 0c1f5fe
* Tue May 17 2016 kbuild@suse.de
- Automatically updated to 4.6-1278-g1649098
- commit e790216
* Mon May 16 2016 jeffm@suse.com
- Update to 4.6-final.
- Eliminated 1 patch.
- Config changes:
  - MLX5_CORE_EN_VXLAN=y
- commit bb0b266
* Mon May 16 2016 mmarek@suse.com
- Automatically updated to 4.6
- commit 0aba4f0
* Fri May 13 2016 mmarek@suse.com
- Automatically updated to 4.6-rc7-116-ga2ccb68b1e6a
- commit 99a4e34
* Wed May 11 2016 jeffm@suse.com
- config: FRAME_POINTER is required on i386/x86_64 vanilla configs
- commit 7701676
* Wed May 11 2016 jeffm@suse.com
- config: re-disable FRAME_POINTER on i386/x86_64
  It was enabled during the brief time that STACK_UNWIND was disabled and
  should have been disabled once that patchset was updated.
- commit c2c70be
* Mon May  9 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Make KMPs provide "$name-kmp" (bsc#976634)
- commit c1a48cb
* Mon May  9 2016 jeffm@suse.com
- Update to 4.6-rc7
- Eliminated 1 patch.
- Config changes:
  - ARM64:
  - SATA_AHCI_SEATTLE=m
- commit 08222b3
* Mon May  2 2016 jeffm@suse.com
- Update to 4.6-rc6.
- Config changes:
  - ARM64:
  - I2C_XLP9XX=m
- commit ffd49cf
* Mon May  2 2016 jeffm@suse.com
- config: use fragment configs for vanilla
  scripts/run_oldconfig.sh now preserves the options needed by the spec file.
- commit 35139d2
* Mon May  2 2016 mmarek@suse.com
- Automatically updated to 4.6-rc6
- commit ac60d3e
* Fri Apr 29 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: CONFIG_MODULE_SIG_KEY is not needed as a macro
- commit f445774
* Thu Apr 28 2016 jeffm@suse.com
- Revert "config: use fragment configs for vanilla"
  This reverts commit aa69781bd1b338ca6d45d2e2f3f88296c3d5f3f5.
  The macros in the spec file don't work with the fragments yet.
- commit a275308
* Thu Apr 28 2016 jeffm@suse.com
- config: use fragment configs for vanilla
- commit f952485
* Wed Apr 27 2016 jeffm@suse.com
- rpm/kernel-binary.spec.in: only merge configs when vanilla is a fragment
  We can skip the (slow) merging when we know that the config isn't a
  fragment by keying off of an always-defined option like CONFIG_MMU.
- commit 66c90c3
* Tue Apr 26 2016 mmarek@suse.cz
- Drop sysctl files for dropped archs, add ppc64le and arm (bsc#1178838).
- commit fe276fa
* Tue Apr 26 2016 jeffm@suse.com
- config: resync vanilla configs with default
  This is the result of copying default (or pae) to vanilla and running
  run_oldconfig.sh --vanilla.
  Differences from default:
- General:
  - LOCALVERSION="-vanilla" -- obvious
- x86_64/i386:
  - SCHED_OMIT_FRAME_POINTER=y -- option is removed with STACK_UNWIND=y
- commit 71fb34e
* Mon Apr 25 2016 jeffm@suse.com
- Update to 4.6-rc5.
- Config changes:
  - SERIAL_8250_RT288X=n (mips32 only)
- commit ebb1aae
* Mon Apr 25 2016 jeffm@suse.com
- rpm/kernel-binary.in: reassemble vanilla config from arch default and fragment
  This patch reassembles the vanilla config using the default config
  for the arch ("default" for everything but i386 which uses "pae") and
  the vanilla config fragment.
  This will do the right thing even if the vanilla config is still a
  standalone config, but scripts/kconfig/merge_config.sh will be slow.  Care
  should be taken to convert the vanilla configs on any branch that pulls
  this commit.
- commit a9a75a0
* Mon Apr 25 2016 kbuild@suse.de
- Automatically updated to 4.6-rc5
- commit 363411e
* Sun Apr 24 2016 kbuild@suse.de
- Automatically updated to 4.6-rc4-229-g4dfa573
- commit 92580de
* Sat Apr 23 2016 kbuild@suse.de
- Automatically updated to 4.6-rc4-178-g09502d9
- commit cf090eb
* Fri Apr 22 2016 kbuild@suse.de
- Automatically updated to 4.6-rc4-124-g5f44abd
- commit b28a490
* Thu Apr 21 2016 kbuild@suse.de
- Automatically updated to 4.6-rc4-17-g55f058e
- commit 8aa8338
* Wed Apr 20 2016 eich@suse.com
- rpm/kernel-binary.spec.in:
  Add
  Recommends: perl make gcc
  to kernel-devel. This will install the tools requires to build
  kernels or kernel modules.
- commit 9c9087c
* Wed Apr 20 2016 kbuild@suse.de
- Automatically updated to 4.6-rc4-13-g9a0e3ee
- commit d38b02e
* Tue Apr 19 2016 kbuild@suse.de
- Automatically updated to 4.6-rc4-11-g12566cc
- commit 879e88d
* Mon Apr 18 2016 jeffm@suse.com
- Update to 4.6-rc4.
- Eliminated 1 patch.
- commit f4296f0
* Mon Apr 18 2016 mmarek@suse.com
- Automatically updated to 4.6-rc4
- commit 4fccdfb
* Thu Apr 14 2016 jeffm@suse.com
- Update to 4.6-rc3.
- Eliminated 3 patches.
- Config changes:
  - i386/default: FB_OLPC_DCON=m
- commit 1113036
* Thu Apr 14 2016 afaerber@suse.de
- arm64: Drop broken non-mainline Synopsys USB driver
  For 13.2 a downstream USB driver was added (USB_EHCI_HCD_SYNOPSYS)
  for the Juno board (boo#902632). With 4.6 that driver no longer builds.
  A check of arch/arm64/boot/dts/arm/juno-base.dtsi indicates that it
  is using the "generic-ehci" compatible string, i.e. not this driver.
  Therefore drop these patches:
  patches.arch/arm64-0001-usb-Add-support-for-Synopsis-H20AHB-EHCI-host-contro.patch
  patches.arch/arm64-0002-usb-fix-hcd-h20ahb-driver-depends.patch
  Cc: Andreas Schwab <schwab@suse.de>
- commit e04657f
* Thu Apr 14 2016 afaerber@suse.de
- config: armv7hl: Disable USB_EHCI_HCD_SYNOPSYS
  patches.arch/arm64-0001-usb-Add-support-for-Synopsis-H20AHB-EHCI-host-contro.patch
  was added for the arm64 Juno board (bsc#902632).
  Is no longer building okay in 4.6, so disable it where not needed, as a
  first step.
- commit 610e022
* Thu Apr 14 2016 afaerber@suse.de
- config: arm64: Enable drivers for ZynqMP
  Enable options reported missing for Xilinx Zynq UltraScale+ MPSoC.
- commit 74e72bb
* Thu Apr 14 2016 agraf@suse.de
- Update config files: Enable Xlilinx ZynqMP
- commit b768297
* Wed Apr 13 2016 mmarek@suse.cz
- rpm/kernel-binary.spec.in: No -kgraft subpackage for openSUSE (fate#320268)
- commit 269d6bf
* Sun Apr 10 2016 afaerber@suse.de
- config: armv7hl: Disable SND_SOC_MT8173_*
  MediaTek MT8173 is arm64.
- commit b721a84
* Sun Apr 10 2016 afaerber@suse.de
- config: armv7hl: Update for 4.6-rc2
- commit a1182bd
* Sun Apr 10 2016 afaerber@suse.de
- config: armv6hl: Update for 4.6-rc2
- commit c883b70
* Sat Apr  9 2016 afaerber@suse.de
- config: arm64: Update for 4.6-rc2
  Update configs and align vanilla with default again.
- commit 15208c0
* Sat Apr  9 2016 afaerber@suse.de
- config: armv7hl: Enable R8169
  Enable RTL8169 PCI NIC, found on Jetson TK1 board.
- commit 0880d75
* Mon Apr  4 2016 jeffm@suse.com
- Update to 4.6-rc2.
- commit 7270a23
* Mon Apr  4 2016 mmarek@suse.com
- rpm/find-requires: Generate dependencies for KMPs defined in supported.conf (fate#319339)
- commit 007a83c
* Mon Apr  4 2016 jeffm@suse.com
- Update to 4.6-rc1.
- Eliminated 12 patches.
- ARM configs need updating.
- Config changes:
  - i386/x86_64
  - PERF_EVENTS_AMD_POWER=m
  - DELL_SMBIOS=m
  - x86_64:
  - ZONE_DEVICE=y (required by DAX)
  - X86_INTEL_MEMORY_PROTECTION_KEYS=y
  - PCI_HYPERV=m
  - CONFIG_VOP_BUS=m
  - VOP=m
  - ppc64:
  - DEFERRED_STRUCT_PAGE_INIT=y
  - DISABLE_MPROFILE_KERNEL=n
  - s390:
  - IRQ_DOMAIN_DEBUG=y
  - Networking:
  - NET_ACT_IFE=m
  - NET_IFE_SKBMARK=m
  - NET_IFE_SKBPRIO=m
  - AF_KCM=m
  - NET_DEVLINK=m
  - MACSEC=m
  - NET_DSA_MV88E6123=m
  - BNX2X_GENEVE=y
  - CHELSIO_T4_UWIRE=y
  - E1000E_HWTS=y
  - MLX5_CORE_EN_DCB=y
  - IWLWIFI_PCIE_RTPM=y
  - BATMAN_ADV_BATMAN_V=y
  - CAN_IFI_CANFD=m
  - INFINIBAND_I40IW=m
  - INFINIBAND_RDMAVT=m
  - MM:
  - NVDIMM_PFN=y
  - FS:
  - FS_ENCRYPTION=m
  - FAT_DEFAULT_UTF8=n (change in default)
  - ORANGEFS_FS=m
  - NFSD_BLOCKLAYOUT=y
  - NFSD_SCSILAYOUT=y
  - Debug:
  - PAGE_POISONING=n
  - DEBUG_PAGE_REF=n
  - CPU_HOTPLUG_STATE_CONTROL=n
  - OF_RECONFIG_NOTIFIER_ERROR_INJECT=n
  - TEST_BITMAP=n
  - STACK_VALIDATION=y (compile time)
  - KASAN=n (runtime)
  - KCOV=n (runtime)
  - Input:
  - MOUSE_PS2_BYD=y
  - TOUCHSCREEN_MELFAS_MIP4=m
  - RMI4_CORE=m
  - RMI4_I2C=m
  - RMI4_SPI=m
  - RMI4_F11=y
  - RMI4_F12=y
  - RMI4_F30=y
  - SERIAL_8250_MOXA=m
  - SERIAL_MVEBU_UART=n (no module option)
  - HID:
  - HID_CMEDIA=m
  - Bluetooth:
  - BT_LEDS=y
  - BT_HCIUART_AG6XX=y
  - DRM:
  - DRM_DP_AUX_CHARDEV=y
  - DRM_AMD_ACP=y
  - DRM_I915_USERPTR=y
  - Misc:
  - LEDS_IS31FL32XX=m
  - I2C_DEMUX_PINCTRL=m
  - GPIO_104_DIO_48E=m
  - GPIO_WS16C48=m
  - GPIO_TPIC2810=m
  - GPIO_PISOSR=m
  - SENSORS_LTC2990=m
  - RTC_DRV_DS1307_HWMON=y
  - ATLAS_PH_SENSOR=m
  - INV_MPU6050_I2C=m
  - TPL0102=m
  - STM_SOURCE_HEARTBEAT=m
  - FW_CFG_SYSFS=m
  - FW_CFG_SYSFS_CMDLINE=y
  - RAPIDIO_MPORT_CDEV
  - Watchdog:
  - EBC_C384_WDT=m
  - INTEL_MEI_WDT=m
  - NI903X_WDT=m
  - MFD:
  - MFD_ACT8945A=n
  - MFD_AXP20X_I2C=n
  - MFD_TPS65086=n
  - Sensors and DACs for specialty applications:
  - TI_ADC0832=n
  - TI_ADS1015=n
  - AD5761 (go fix)
  - STX104=n
  - VF610_DAC=n
  - AFE4403=n
  - AFE4404=n
  - INV_MPU6050_SPI=n
  - MPL115_I2C=n
  - MPL115_SPI=n
  - ARM:
  - PCIE_DW_PLAT=n
  - ATH10K_AHB=n
  - SPI_AXI_SPI_ENGINE=n
  - SND_SUN4I_SPDIF=n
  - SND_SOC_PCM179X_I2C=n
  - SND_SOC_PCM179X_SPI=n
  - SND_SOC_RT5616=n
  - RTC_DRV_RX6110=n
  - QCOM_HIDMA_MGMT=n
  - QCOM_HIDMA=n
  - GOLDFISH=n
  - MDIO_THUNDER=n
- commit 50c62ad
* Mon Apr  4 2016 kbuild@suse.de
- Automatically updated to 4.6-rc2
- commit 34a4b87
* Mon Apr  4 2016 mmarek@suse.com
- rpm/kernel-source.rpmlintrc: Disable rpmlint check for KMP subpackages
  The check is there to ensure that KMPs are built using the
  %%kernel_module_package macro, but we are deliberately not doing this for
  KMPs built from the kernel specfile (fate#319339).
- commit 7c48b60
* Sun Apr  3 2016 jslaby@suse.cz
- Update config files.
  Set SERIAL_8250_SHARE_IRQ (bnc#973748).
- commit 2598e42
* Sun Apr  3 2016 kbuild@suse.de
- Automatically updated to 4.6-rc1-201-gf7eeb8a
- commit bb0ea4e
* Sat Apr  2 2016 kbuild@suse.de
- Automatically updated to 4.6-rc1-190-g05cf807
- commit 9784e07
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Only build the -kgraft package for modular kernels (fate#320268)
- commit 9bab96f
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Only build KMPs if CONFIG_SPLIT_PACKAGE=y (fate#319339)
- commit def905b
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Tag KMPs so that weak-modules2 ignores them
  Also require a suse-module-tools version that can handle this (fate#319339).
- commit 58d21f9
* Fri Apr  1 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Add rpm scriptlets for KMPs (fate#319339)
  Use the --{add,remove}-kernel-modules options of weak-modules2 instead
  of --{add,remove}-kmp, because we do not want any symlinks to be created
  for these KMPs.
- commit 95f8b94
* Fri Apr  1 2016 kbuild@suse.de
- Automatically updated to 4.6-rc1-29-gc05c2ec
- commit 8d84749
* Thu Mar 31 2016 mmarek@suse.com
- rpm/split-modules: Split modules into KMPs defined in supported.conf (fate#319339)
- commit 39da39b
* Thu Mar 31 2016 mmarek@suse.com
- rpm/mkspec: Generate KMP subpackage sections from a template (fate#319339)
  The KMPs are defined in the supported.conf file using a +<name>-kmp
  guard.
- commit 09cb6b1
* Thu Mar 31 2016 kbuild@suse.de
- Automatically updated to 4.6-rc1-19-g1e6d88c
- commit 692620c
* Wed Mar 30 2016 dvaleev@suse.com
- rpm/kernel-obs-build.spec.in:add e1000 and ibmveth
  Those modules are required in order to have --vm-telnet option
  working
- commit 1e87b6d
* Wed Mar 30 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Simplify parsing of supported.conf (fate#319339)
- commit 006b146
* Wed Mar 30 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Introduce a kernel-default-kgraft metapackage (fate#320268)
- commit 0439a47
* Tue Mar 29 2016 kbuild@suse.de
- Automatically updated to 4.6-rc1-11-g1993b17
- commit 910152e
* Sun Mar 27 2016 kbuild@suse.de
- Automatically updated to 4.6-rc1
- commit d497182
* Sat Mar 26 2016 kbuild@suse.de
- Automatically updated to 4.5-12669-g606c61a
- commit 6942c3d
* Fri Mar 25 2016 kbuild@suse.de
- Automatically updated to 4.5-12596-g11caf57
- commit 8c186de
* Thu Mar 24 2016 kbuild@suse.de
- Automatically updated to 4.5-12149-gaca04ce
- commit fb7f897
* Wed Mar 23 2016 kbuild@suse.de
- Automatically updated to 4.5-11787-ga24e3d4
- commit bf3464a
* Tue Mar 22 2016 kbuild@suse.de
- Automatically updated to 4.5-11118-g968f3e3
- commit a62cac3
* Mon Mar 21 2016 kbuild@suse.de
- Automatically updated to 4.5-9542-g643ad15
- commit b77b332
* Sun Mar 20 2016 kbuild@suse.de
- Automatically updated to 4.5-8524-g1e75a9f
- commit 56a9185
* Sat Mar 19 2016 kbuild@suse.de
- Automatically updated to 4.5-6486-g6b5f04b
- commit e3fe6e4
* Fri Mar 18 2016 hare@suse.de
- Update config files: Enable CONFIG_BLK_DEV_NVME_SCSI (bsc#965497)
- commit 1d18ae5
* Fri Mar 18 2016 kbuild@suse.de
- Automatically updated to 4.5-5752-g9dffdb3
- commit 9dd164f
* Thu Mar 17 2016 kbuild@suse.de
- Automatically updated to 4.5-2535-g09fd671
- commit d1e5499
* Wed Mar 16 2016 kbuild@suse.de
- Automatically updated to 4.5-1127-g9256d5a
- commit 75e8a5e
* Tue Mar 15 2016 kbuild@suse.de
- Automatically updated to 4.5-481-ge23604e
- commit 7a6ea72
* Mon Mar 14 2016 kbuild@suse.de
- Automatically updated to 4.5
- commit 754852b
* Mon Mar 14 2016 jeffm@suse.com
- Update to 4.5-final.
- commit d438600
* Sun Mar 13 2016 kbuild@suse.de
- Automatically updated to 4.5-rc7-254-gf414ca6
- commit e1e0c41
* Sat Mar 12 2016 kbuild@suse.de
- Automatically updated to 4.5-rc7-244-g03c668a
- commit 1213ea6
* Fri Mar 11 2016 kbuild@suse.de
- Automatically updated to 4.5-rc7-215-gf2c1242
- commit d7d4c68
* Thu Mar 10 2016 kbuild@suse.de
- Automatically updated to 4.5-rc7-200-g8e0f93c
- commit 87e09dc
* Wed Mar  9 2016 jdelvare@suse.de
- Update s390x config files: Bump NR_CPUS to 256
  It was set to 256 in the SLES kernel 2 years ago already.
- commit 403c3bc
* Wed Mar  9 2016 kbuild@suse.de
- Automatically updated to 4.5-rc7-159-g7f02bf6
- commit 1a58b85
* Tue Mar  8 2016 afaerber@suse.de
- config: armv7hl: Enable DRM_ROCKCHIP
  Firefly-RK3288 is among the boards that this will benefit.
- commit ff168c0
* Tue Mar  8 2016 kbuild@suse.de
- Automatically updated to 4.5-rc7-116-ge2857b8
- commit 010eb7c
* Mon Mar  7 2016 jeffm@suse.com
- Update to 4.5-rc7.
- commit b161887
* Mon Mar  7 2016 jdelvare@suse.de
- Update config files: Modularize NF_REJECT_IPV4/V6
  There is no reason why these helper modules should be built-in when
  the rest of netfilter is built as modules.
- commit d8ad327
* Mon Mar  7 2016 kbuild@suse.de
- Automatically updated to 4.5-rc7
- commit 1acaa1d
* Sun Mar  6 2016 kbuild@suse.de
- Automatically updated to 4.5-rc6-141-g6794402
- commit a8f8fd6
* Sat Mar  5 2016 kbuild@suse.de
- Automatically updated to 4.5-rc6-115-ga7c9b60
- commit 5238c42
* Fri Mar  4 2016 kbuild@suse.de
- Automatically updated to 4.5-rc6-41-ge3c2ef4
- commit 0453f37
* Thu Mar  3 2016 dsterba@suse.com
- Add build dependency for objtool
  objtool requires libelf development headers.
- commit 16f65f2
* Thu Mar  3 2016 kbuild@suse.de
- Automatically updated to 4.5-rc6-18-gf983cd3
- commit cb5f797
* Wed Mar  2 2016 kbuild@suse.de
- Automatically updated to 4.5-rc6-8-gf691b77
- commit c71830b
* Tue Mar  1 2016 dmueller@suse.com
- config: ARM64: Remove hardcoded console setting
  Proper way would be to derive it from the ACPI or
  Device tree chosen output.
- commit 17bf680
* Tue Mar  1 2016 mmarek@suse.com
- rpm/kernel-module-subpackage: Fix obsoleting dropped flavors (bsc#968253)
- commit 5295c19
* Mon Feb 29 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Obsolete xen-kmp (fate#315712, bsc#968253)
- commit 0e7c4d5
* Mon Feb 29 2016 mmarek@suse.com
- Copy packaging changes from master to the packaging branch
- commit 0a2490d
* Mon Feb 29 2016 kbuild@suse.de
- Automatically updated to 4.5-rc6
- commit d3392f4
* Mon Feb 29 2016 jeffm@suse.com
- Update to 4.5-rc6.
- commit bd506a7
* Sun Feb 28 2016 kbuild@suse.de
- Automatically updated to 4.5-rc5-334-g12b9fa6
- commit ec3b520
* Sat Feb 27 2016 kbuild@suse.de
- Automatically updated to 4.5-rc5-284-g29a9faa
- commit 352a2b8
* Fri Feb 26 2016 mmarek@suse.com
- Automatically updated to 4.5-rc5-266-g5bb9871eb8da
- commit 36ce181
* Tue Feb 23 2016 guillaume.gardet@free.fr
- config: armv7hl: Enable CONFIG_DRM_ETNAVIV
  Enable CONFIG_DRM_ETNAVIV for armv7 (default and vanilla) to get graphics
  acceleration on top of the Vivante GPU IP cores used in different SoCs,
  such as the Freescale i.MX6.
- commit fc4db56
* Tue Feb 23 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Sync the main and -base package dependencies
  (bsc#965830#c51).
- commit bf655ed
* Mon Feb 22 2016 jeffm@suse.com
- Update to v4.5-rc5.
- commit da69853
* Mon Feb 22 2016 jeffm@suse.com
- config: complete disabling THERMAL from s390
  Commit fd5ffd694f9 (Update s390x config files: Disable THERMAL)
  left some stray config options around.  Clean them up.
- commit 71a8242
* Mon Feb 22 2016 jdelvare@suse.de
- Update config files: Set CRYPTO_CHACHA20POLY1305=m
  We support every other crypto algorithm so why not this one.
- commit f85871a
* Mon Feb 22 2016 jdelvare@suse.de
- Update config files: Disable SERIAL_8250_RT288X
  This option is only useful on MIPS.
- commit e78925d
* Sun Feb 21 2016 dmueller@suse.com
- config: armv6hl: Disable CMA and DEBUGFS settings
  CMA allocates 16MB of reserved memory on boot, which takes
  away a very scarce resource for unpacking the kiwi initrd
  and provides little value (is also disabled on other x86*)
- commit 106824a
* Sun Feb 21 2016 kbuild@suse.de
- Automatically updated to 4.5-rc5
- commit b5686f0
* Sat Feb 20 2016 jdelvare@suse.de
- Update s390x config files: Disable THERMAL
  The THERMAL subsystem serves no purpose on S/390, disable it. It was
  already disabled in the SLES kernel long ago.
- commit 7295905
* Sat Feb 20 2016 kbuild@suse.de
- Automatically updated to 4.5-rc4-163-g020ecbb
- commit ea3fe67
* Fri Feb 19 2016 kbuild@suse.de
- Automatically updated to 4.5-rc4-102-g705d43d
- commit a311037
* Thu Feb 18 2016 dsterba@suse.com
- Fix lint warnings: E: summary-ended-with-dot
  kernel-source-vanilla.noarch: E: summary-ended-with-dot (Badness: 89) C
  Vanilla Linux kernel sources with minor build fixes.
  Summary ends with a dot.
- commit 9050a39
* Thu Feb 18 2016 kbuild@suse.de
- Automatically updated to 4.5-rc4-95-g2850713
- commit f6eb205
* Wed Feb 17 2016 mmarek@suse.com
- Automatically updated to 4.5-rc4-37-g65c23c65bee4
- commit ebfc057
* Wed Feb 17 2016 mbrugger@suse.com
- Update config files for arm64.
  Enable ACPI.
- commit 630ab79
* Tue Feb 16 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Set CONFIG_MODULE_SIG_KEY only if a cert is present
  This allows using the unmodified .config from the kernel-source tree in
  the expanded tree.
- commit 5fa6ddd
* Mon Feb 15 2016 jdelvare@suse.de
- Update x86 config files: Enable Intel RAPL
  This driver is useful when power caping is needed. It was enabled in
  the SLE kernel 2 years ago.
- commit b57e2e0
* Mon Feb 15 2016 jdelvare@suse.de
- Update config files: Disable MFD_TPS65218
  The TPS65218 is a power management IC for 32-bit ARM systems. Its
  driver serves no purpose on other architectures. All sub-drivers were
  already disabled anyway.
- commit 6e1f874
* Mon Feb 15 2016 jeffm@suse.com
- Update to 4.5-rc4.
- commit 28e5cb3
* Sun Feb 14 2016 kbuild@suse.de
- Automatically updated to 4.5-rc3-258-g7686e3c
- commit 197bc3c
* Sat Feb 13 2016 kbuild@suse.de
- Automatically updated to 4.5-rc3-221-g0cbb0b9
- commit bec6cf2
* Fri Feb 12 2016 mmarek@suse.com
- Automatically updated to 4.5-rc3-83-gc05235d50f68
- commit 49c3f2a
* Thu Feb 11 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use correct variable to point to the keyring
- commit f026a54
* Thu Feb 11 2016 jdelvare@suse.de
- Update config/armv7hl: Clean up TS-4800 support
  The Technologic Systems TS-4800 is an i.MX515 board. The lpae flavor
  doesn't support this platform so it shouldn't include any TS-4800
  driver. The default and vanilla flavors do support it. If we want
  them to support the board properly then all its drivers should be
  enabled.
- commit 0158f88
* Thu Feb 11 2016 jslaby@suse.cz
- rpm/kernel-obs-build.spec.in: do not limit TasksMax
  We run with build as PID 1 (boo#965564).
- commit 39b708b
* Wed Feb 10 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Adapt certificate handling for changes in v4.3
- commit 589be33
* Tue Feb  9 2016 jdelvare@suse.de
- Update config files: disable MFD_SYSCON on non-arm
  Disable MFD_SYSCON, GPIO_SYSCON and LEDS_SYSCON in non-arm
  configurations. SYSCON is an arm thing, it was enabled accidentally
  in other configurations because STMMAC_PLATFORM and
  TOUCHSCREEN_TS4800, which were once enabled by accident, select it.
  As REGMAP_MMIO was also only selected by MFD_SYSCON, we can disable
  it too.
- commit 28a4e6b
* Tue Feb  9 2016 jdelvare@suse.de
- Update config files: disable TS-4800 drivers on non-arm
  The TS-4800 is an arm board, so its drivers are useless on i386 and
  ppc64. Disable TOUCHSCREEN_TS4800 on these architectures.
- commit 93db9dd
* Tue Feb  9 2016 dmueller@suse.com
- config: reenable Exynos4 support for default kernel
  needed for odroid
- commit 124a779
* Mon Feb  8 2016 dmueller@suse.com
- Config: ARMv7: Disable Exynos 4 related drivers
  We don't have Exynos 4 support enabled, so there
  is no point in building the drivers for it.
- commit 1d73965
* Mon Feb  8 2016 jeffm@suse.com
- Update to 4.5-rc3.
- commit cd8a1fe
* Mon Feb  8 2016 jdelvare@suse.de
- Update s390x config files: CONFIG_ENCLOSURE_SERVICES
  Per bsc#884701, CONFIG_ENCLOSURE_SERVICES isn't needed on S/390. It
  was already disabled in SLE, so disable it in openSUSE too.
- commit 19ae0ad
* Mon Feb  8 2016 jeffm@suse.com
- Update to 4.5-rc2.
- Eliminated 2 patches.
- commit f44dec1
* Mon Feb  8 2016 dvaleev@suse.com
- Delete config/ppc/default.
- Delete config/ppc/vanilla.
  Drop building for ppc architecture. We use 64bit kernel nowadays.
- commit 14a3b26
* Thu Feb  4 2016 dmueller@suse.com
- config: ARM64: disable CONFIG_DDR again
  Was accidentally reeanbled in the 4.5-rc1 bump
- commit 81c5296
* Thu Feb  4 2016 afaerber@suse.de
- config: arm64: Enable Tegra 210 and SMMU
  The new Tegra210 option did not get enabled during the 4.5-rc1 update.
  Also enable the Tegra IOMMU for 132 and 210.
- commit 9424350
* Thu Feb  4 2016 kbuild@suse.de
- Automatically updated to 4.5-rc2-192-gb37a05c
- commit f1b68a1
* Tue Feb  2 2016 kbuild@suse.de
- Automatically updated to 4.5-rc2-163-g34229b2
- commit 74f02c0
* Tue Feb  2 2016 jdelvare@suse.de
- Update config files: Disable CONFIG_DDR
  CONFIG_DDR is selected automatically by drivers which need it. This
  piece of helper code is useless in the absence of any such driver.
- commit bd54e21
* Mon Feb  1 2016 dmueller@suse.com
- Disable CMOS RTC
  This Motorola compatible RTC doesn't exist on ARMv7, and triggers
  an non-root triggerable immediate panic  on the system when being
  accessed, so we better don't include it.
- commit d7ecd00
* Mon Feb  1 2016 kbuild@suse.de
- Automatically updated to 4.5-rc2
- commit d24b395
* Sun Jan 31 2016 dmueller@suse.com
- config: Update armv6hl config for 4.5-rc1
- Enable BCM2835 related options
- Rest disabled if arch specific
- Generic follows x86_64
- commit 6da850b
* Sun Jan 31 2016 dmueller@suse.com
- config: armv7hl: Enable VDSO
  VDSO provides, starting with glibc 2.22, a lower latency implementation
  for time related syscalls.
- commit 23c0ff1
* Sun Jan 31 2016 dmueller@suse.com
- config: Update armv7hl config to 4.5-rc1
- Disable Mobile ARCH
- Enable BCM2835/BCM2836 options (RPI 1 B/2 B)
- set voltage regulators to =m
- Rest follows x86_64 update, see there for details
- commit 413a849
* Sun Jan 31 2016 dmueller@suse.com
- config: Update ARM64 config to 4.5-rc1
- Enabled support for Qualcom SoC
- Rest follows update for x86_64
- commit 5ef6b8e
* Sat Jan 30 2016 kbuild@suse.de
- Automatically updated to 4.5-rc1-179-gad0b40fa
- commit 1dfa76f
* Fri Jan 29 2016 mmarek@suse.com
- Automatically updated to 4.5-rc1-32-g26cd83670f2f
- commit 70092db
* Wed Jan 27 2016 jeffm@suse.com
- Revert "Merge remote-tracking branch 'origin/users/tiwai/master/for-next'"
  This reverts commit b27160caadedcda2dc864615e51461c7db19bba1, reversing
  changes made to e1ac7b484beda5dfd27b84365f83a308de7c7a9c.
- commit dc8c416
* Wed Jan 27 2016 bp@suse.de
- Update config files.
  Disable CONFIG_DEBUG_WX as stuff needs to be sorted out upstream first.
- commit 2b5deaf
* Tue Jan 26 2016 jeffm@suse.com
- Update to 4.5-rc1
- Eliminated 15 patches.
- ARM configs need updating.
- Config changes:
  - Generic changes:
  - ARCH_MMAP_RND_BITS=<default>
  - MANDATORY_FILE_LOCKING=n (removes "dead" code, can re-enable if needed)
  - WQ_WATCHDOG=y
  - NETDEV_NOTIFIER_ERROR_INJECT=m
  - UBSAN=n (performance penalty)
  - IO_STRICT_DEVMEM=y
  - VFIO_NOIOMMU=n
  - NTB_PERF=m
  - x86:
  - VMD=m
  - DRM_AMD_POWERPLAY=y
  - CRYPTO_DEV_QAT_C3XXX=m
  - CRYPTO_DEV_QAT_C62X=m
  - CRYPTO_DEV_QAT_C3XXXVF=m
  - CRYPTO_DEV_QAT_C62XVF=m
  - QUEUED_LOCK_STAT=n
  - INTEL_TELEMETRY=m
  - INTEL_HID_EVENT=m
  - INTEL_PUNIT_IPC=m
  - NTB_AMD=m
  - ASUS_WIRELESS=m
  - s390x:
  - SCLP_OFB=y
  - ppc64:
  - IBMVNIC=m
  - Networking:
  - INET_DIAG_DESTROY=y (built as part of inet_diag.ko)
  - NF_DUP_NETDEV=m
  - NFT_FWD_NETDEV=m
  - 6LOWPAN_DEBUGFS=n
  - 6LOWPAN_GHC_EXT_HDR_HOP=m
  - 6LOWPAN_GHC_UDP=m
  - 6LOWPAN_GHC_ICMPV6=m
  - 6LOWPAN_GHC_EXT_HDR_DEST=m
  - 6LOWPAN_GHC_EXT_HDR_FRAG=m
  - 6LOWPAN_GHC_EXT_HDR_ROUTE=m
  - ATH9K_HWRNG=y
  - GENEVE=y
  - NFP_NETVF=m
  - IEEE802154_ADF7242=m
  - Storage:
  - BLK_DEV_NVME_SCSI=n (dangerous)
  - SCSI_HISI_SAS=m
  - DM_VERITY_FEC=y
  - Misc platform-independent drivers:
  - NFC_ST21NFCA_I2C=m
  - NFC_ST95HF=m
  - MTD_MT81xx_NOR=m
  - MLXSW_CORE_HWMON=y
  - TOUCHSCREEN_EGALAX_SERIAL=m
  - SPI_LOOPBACK_TEST=m
  - GPIO_SYSCON=m
  - GPIO_104_IDI_48=m
  - SENSORS_LTC3815=m
  - WATCHDOG_SYSFS=y
  - ZIIRAVE_WATCHDOG=m
  - COMMON_CLK_CS2000_CP=m
  - EXTCON_MAX3355=m
  - IIO_CONFIGFS=m
  - IIO_SW_TRIGGER=m
  - MMA7455_I2C=m
  - MMA7455_SPI=m
  - MXC6255=m
  - INA2XX_ADC=n (use hwmon)
  - USB_SERIAL_MXUPORT11=m
  - LEDS_SYSCON=y
  - RTC_DRV_RX8010=m
  - IAQCORE=m
  - MAX30100=m
  - IIO_HRTIMER_TRIGGER=m
  - ARM (disabled):
  - IMX_THERMAL=n
  - TS4800_WATCHDOG=n
  - TS4800_IRQ=n
  - DRM_PANEL_PANASONIC_VVX10F034N00=n
  - DRM_PANEL_SHARP_LS043T1LE01=n
  - TI_ADS8688=n
  - PHY_HI6220_USB=n
  - WILC1000_SDIO=n
  - WILC1000_SPI=n
- commit bb77251
* Tue Jan 26 2016 jeffm@suse.com
- config: disable POWER_RESET on non-ARM platforms.
- commit 2da98b7
* Tue Jan 26 2016 mmarek@suse.com
- rpm/kernel-spec-macros: Do not modify the release string in PTFs (bsc#963449)
- commit dc2b096
* Tue Jan 26 2016 tiwai@suse.de
- Enable kconfigs for a few intel ASoC drivers (bsc#963456)
- commit 0d24004
* Mon Jan 25 2016 kbuild@suse.de
- Automatically updated to 4.5-rc1
- commit 6991c02
* Sun Jan 24 2016 kbuild@suse.de
- Automatically updated to 4.4-10893-g048ccca
- commit c5507b4
* Sat Jan 23 2016 kbuild@suse.de
- Automatically updated to 4.4-10691-gb82dde0
- commit 80855d9
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-source.spec.in: Install kernel-macros for kernel-source-vanilla
  (bsc#959090)
- commit cd33617
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix paths in kernel-vanilla-devel (bsc#959090).
- commit 2d2ec7f
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix kernel-vanilla-devel dependency (bsc#959090)
- commit fbbc989
* Fri Jan 22 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use bzip compression to speed up build (bsc#962356)
- commit e8f8f54
* Fri Jan 22 2016 kbuild@suse.de
- Automatically updated to 4.4-10454-g3e1e21c
- commit 9203a3e
* Thu Jan 21 2016 dvaleev@suse.com
- Add sd_mod to initrd modules
  For some reason PowerVM backend can't work without sd_mod
- commit 7c2bd21
* Thu Jan 21 2016 kbuild@suse.de
- Automatically updated to 4.4-10062-g30f0530
- commit c6d24b9
* Thu Jan 21 2016 mmarek@suse.com
- rpm/package-descriptions: Add kernel-zfcpdump and drop -desktop
- commit 54e8f7c
* Wed Jan 20 2016 kbuild@suse.de
- Automatically updated to 4.4-8950-g2b4015e
- commit 947a253
* Wed Jan 20 2016 tiwai@suse.de
- Enable CONFIG_PINCTRL_CHERRYVIEW and _BROXTON (boo#954532)
  Needed for recent tablets/laptops.
  CONFIG_PINCTRL_BAYTRAIL is still disabled as it can't be built as a
  module.
- commit 1825309
* Tue Jan 19 2016 kbuild@suse.de
- Automatically updated to 4.4-8855-ga200dcb
- commit e6acb06
* Mon Jan 18 2016 kbuild@suse.de
- Automatically updated to 4.4-8606-g5807fca
- commit 313efb6
* Sat Jan 16 2016 kbuild@suse.de
- Automatically updated to 4.4-6534-gece6267
- commit 1fef494
* Fri Jan 15 2016 kbuild@suse.de
- Automatically updated to 4.4-5966-g7d1fc01
- commit ccdd3b9
* Thu Jan 14 2016 kbuild@suse.de
- Automatically updated to 4.4-5593-g7fdec82
- commit 38f288c
* Wed Jan 13 2016 kbuild@suse.de
- Automatically updated to 4.4-3408-g6799060
- commit 632eb3d
* Tue Jan 12 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Fix build if no UEFI certs are installed
- commit ef1b7d3
* Tue Jan 12 2016 mmarek@suse.com
- rpm/kernel-binary.spec.in: Install libopenssl-devel for newer sign-file
- commit fbdf0b8
* Tue Jan 12 2016 kbuild@suse.de
- Automatically updated to 4.4-1175-g03891f9
- commit 1aa2d54
* Mon Jan 11 2016 mmarek@suse.cz
- rpm/constraints.in: Bump disk space requirements up a bit
  Require 10GB on s390x, 20GB elsewhere.
- commit 558b7b3
* Mon Jan 11 2016 jeffm@suse.com
- Update to 4.4-final.
- commit 0f3cf03
* Mon Jan 11 2016 kbuild@suse.de
- Automatically updated to 4.4
- commit 325e553
* Sun Jan 10 2016 kbuild@suse.de
- Automatically updated to 4.4-rc8-101-geac6f76
- commit 75fedab
* Sat Jan  9 2016 kbuild@suse.de
- Automatically updated to 4.4-rc8-96-g751e5f5
- commit c1cdcae
* Fri Jan  8 2016 kbuild@suse.de
- Automatically updated to 4.4-rc8-36-g02006f7a
- commit fdce22b
* Thu Jan  7 2016 kbuild@suse.de
- Automatically updated to 4.4-rc8-26-gb06f3a1
- commit ebc27a3
* Wed Jan  6 2016 kbuild@suse.de
- Automatically updated to 4.4-rc8-5-gee9a7d2
- commit 7313828
* Wed Jan  6 2016 mmarek@suse.com
- Automatically updated to 4.4-rc8-5-gee9a7d2cb0cf
- commit 72ce604
* Mon Jan  4 2016 jeffm@suse.com
- Update to 4.4-rc8.
- commit 75dbec4
* Mon Jan  4 2016 dvaleev@suse.com
- Driver for IBM System i/p VNIC protocol.
- Update config files CONFIG_VNIC=m
- commit d33e3d0
* Mon Jan  4 2016 kbuild@suse.de
- Automatically updated to 4.4-rc8
- commit 5cbfdc4
* Fri Jan  1 2016 kbuild@suse.de
- Automatically updated to 4.4-rc7-76-g9c982e8
- commit add016f
* Fri Jan  1 2016 afaerber@suse.de
- config: armv7hl: Enable more RK3288 options for lpae
  Namely MMC and IO domains, already enabled for default/vanilla.
- commit d3477c7
* Thu Dec 31 2015 kbuild@suse.de
- Automatically updated to 4.4-rc7-28-gc616920
- commit e18b668
* Wed Dec 30 2015 kbuild@suse.de
- Automatically updated to 4.4-rc7-23-g866be88
- commit 0b7ccfc
* Tue Dec 29 2015 kbuild@suse.de
- Automatically updated to 4.4-rc7-4-g8513342
- commit 3e730aa
* Mon Dec 28 2015 kbuild@suse.de
- Automatically updated to 4.4-rc7
- commit d62a164
* Sun Dec 27 2015 kbuild@suse.de
- Automatically updated to 4.4-rc6-85-g2c96961
- commit f14ff18
* Sat Dec 26 2015 kbuild@suse.de
- Automatically updated to 4.4-rc6-64-g8db7b3c
- commit 4686478
* Thu Dec 24 2015 kbuild@suse.de
- Automatically updated to 4.4-rc6-53-ga881643
- commit de28803
* Wed Dec 23 2015 kbuild@suse.de
- Automatically updated to 4.4-rc6-23-g24bc3ea
- commit 95878a6
* Tue Dec 22 2015 jeffm@suse.com
- Update to 4.4-rc6.
- commit e15e92b
* Mon Dec 21 2015 kbuild@suse.de
- Automatically updated to 4.4-rc6
- commit be56849
* Sun Dec 20 2015 kbuild@suse.de
- Automatically updated to 4.4-rc5-305-g69c37a9
- commit 4a96345
* Sat Dec 19 2015 kbuild@suse.de
- Automatically updated to 4.4-rc5-239-g1eab0e4
- commit 0bebc76
* Fri Dec 18 2015 kbuild@suse.de
- Automatically updated to 4.4-rc5-168-g73796d8
- commit 6f37d5a
* Thu Dec 17 2015 mmarek@suse.com
- Delete unused rpm/config-subst.
- commit de084a0
* Thu Dec 17 2015 kbuild@suse.de
- Automatically updated to 4.4-rc5-25-ga5e90b1
- commit 6ac010f
* Wed Dec 16 2015 kbuild@suse.de
- Automatically updated to 4.4-rc5-18-gedb42dc
- commit 0a17065
* Tue Dec 15 2015 mmarek@suse.com
- rpm/compute-PATCHVERSION.sh: Skip stale directories in the package dir
- commit 014bd26
* Tue Dec 15 2015 jeffm@suse.com
- Update to 4.4-rc5.
- commit c0e4f67
* Mon Dec 14 2015 kbuild@suse.de
- Automatically updated to 4.4-rc5
- commit 191095c
* Sun Dec 13 2015 afaerber@suse.de
- config: armv7hl: Enable ACT8865 for lpae, too
  It is needed for the Firefly-RK3288 board.
- commit 071a132
* Sun Dec 13 2015 kbuild@suse.de
- Automatically updated to 4.4-rc4-204-g097b285
- commit 30bae6a
* Sat Dec 12 2015 kbuild@suse.de
- Automatically updated to 4.4-rc4-135-gb9d8545
- commit 8f0d2f5
* Fri Dec 11 2015 kbuild@suse.de
- Automatically updated to 4.4-rc4-113-g0bd0f1e
- commit ce0e7f2
* Thu Dec 10 2015 kbuild@suse.de
- Automatically updated to 4.4-rc4-86-g6764e5e
- commit 256e02a
* Wed Dec  9 2015 kbuild@suse.de
- Automatically updated to 4.4-rc4-48-gaa53685
- commit a34b203
* Tue Dec  8 2015 mmarek@suse.com
- Automatically updated to 4.4-rc4-16-g62ea1ec5e17f
- commit dd5041e
* Mon Dec  7 2015 jeffm@suse.com
- Update to 4.4-rc4.
- Eliminated 5 patches.
- commit aa95ae6
* Mon Dec  7 2015 kbuild@suse.de
- Automatically updated to 4.4-rc4
- commit fd37f4e
* Sun Dec  6 2015 kbuild@suse.de
- Automatically updated to 4.4-rc3-290-ga2dbb7b
- commit 0cb4600
* Sat Dec  5 2015 kbuild@suse.de
- Automatically updated to 4.4-rc3-241-g849ee3d
- commit fd01fc5
* Fri Dec  4 2015 kbuild@suse.de
- Automatically updated to 4.4-rc3-171-g071f5d1
- commit 00b29e1
* Thu Dec  3 2015 mmarek@suse.com
- Restore accidentally deleted extraversion patch
- commit 407c68a
* Thu Dec  3 2015 mmarek@suse.com
- Automatically updated to 4.4-rc3-24-g25364a9e54fb
- commit ca3d80e
* Thu Dec  3 2015 kbuild@suse.de
- Automatically updated to 4.4-rc3-24-g25364a9
- commit 3fc3b72
* Wed Dec  2 2015 mmarek@suse.com
- Automatically updated to 4.4-rc3-8-g6a24e72d23a6
- commit a0efafa
* Mon Nov 30 2015 jeffm@suse.com
- config: sync SWIOTLB config change to ppc/vanilla
- commit 7ceae84
* Mon Nov 30 2015 duwe@suse.de
- On ppc, SWIOTLB is just an alias for DMA bounce buffers
  (see Kconfig help:
  "Support for IO bounce buffering for systems without an IOMMU..." )
  The systems we support all have proper IOMMUs and thus don't need
  it.
- commit b675200
* Mon Nov 30 2015 jeffm@suse.com
- Update to 4.4-rc3.
- Eliminated 2 patches.
- commit f06b082
* Mon Nov 30 2015 dvaleev@suse.com
- Add RHEL to kernel-obs-build
- commit a010d5e
* Mon Nov 30 2015 mmarek@suse.com
- Enable Xen in x86 vanilla configs
  Align the vanilla configs with i386/pae and x86_64/default,
  respectively.
- commit 1a185ab
* Mon Nov 30 2015 mmarek@suse.com
- Enable pae in i386/vanilla
  We use kernel-pae in majority of 32bit installs, so it makes sense to
  sync i386/vanilla with this flavor.
- commit 9185cf4
* Mon Nov 30 2015 mmarek@suse.com
- Drop SUSE_KERNEL and SPLIT_PACKAGE patches from vanilla (bsc#957159)
- commit 354953f
* Mon Nov 30 2015 kbuild@suse.de
- Automatically updated to 4.4-rc3
- commit ca4d0e3
* Sun Nov 29 2015 kbuild@suse.de
- Automatically updated to 4.4-rc2-215-g081f369
- commit a6bd282
* Sat Nov 28 2015 kbuild@suse.de
- Automatically updated to 4.4-rc2-210-g8003a57
- commit 9965838
* Fri Nov 27 2015 kbuild@suse.de
- Automatically updated to 4.4-rc2-77-g78c4a49
- commit 058f702
* Thu Nov 26 2015 mmarek@suse.com
- Automatically updated to 4.4-rc2-77-g78c4a49a69e9
- commit bf51e2f
* Mon Nov 23 2015 jeffm@suse.com
- config: refresh ARM configs for 4.4-rc2.
- commit 4bae3d6
* Mon Nov 23 2015 jeffm@suse.com
- Update to 4.4-rc2.
- Eliminated 1 patch.
- commit 73ea2e7
* Mon Nov 23 2015 mmarek@suse.com
- Automatically updated to 4.4-rc2
- commit 562da49
* Sun Nov 22 2015 afaerber@suse.de
- config: arm64: Update configs for 4.4-rc1
  Align vanilla and default while at it.
- commit d0142a5
* Sun Nov 22 2015 afaerber@suse.de
- config: armv6hl: Update configs for 4.4-rc1
  Align vanilla and default while at it.
- commit ecabf39
* Sun Nov 22 2015 afaerber@suse.de
- config: armv7hl: Update configs for 4.4-rc1
  Disable FW_LOADER_USER_HELPER_FALLBACK for vanilla (boo#944661, boo#951260).
- commit f4e9f0a
* Wed Nov 18 2015 mmarek@suse.cz
- staging: lustre: remove IOC_LIBCFS_PING_TEST ioctl.
- commit 2dc752b
* Wed Nov 18 2015 mmarek@suse.cz
- XEN: Use the PVOPS kernel (fate#315712)
  Merge the -pv configs into -default (-pae on i386) and -debug and drop
  the -xen flavor and the associated patches.xen series. For a
  transitional period, the -xen flavor will be maintained in a separate
  branch as a reference.
- commit dbc0d5b
* Wed Nov 18 2015 mmarek@suse.cz
- Refresh config files.
- commit f574cd6
* Mon Nov 16 2015 jeffm@suse.com
- Update to 4.4-rc1.
- Xen is disabled.
- ARM configs need updating.
- 7 patches eliminated.
- Config changes:
  - Networking:
  - NETFILTER_NETLINK_GLUE_CT=y
  - renamed from NETFILTER_NETLINK_QUEUE_CT
  - IEEE802154_NL802154_EXPERIMENTAL=n
  - still in development, assumed the option
    will be renamed when it's finalized
  - NET_L3_MASTER_DEV=y (library, no code execution by itself)
  - NFC_FDP=m
  - NFC_FDP_I2C=m
  - NFC_MRVL_I2C=m
  - BNXT=m
  - BNXT_SRIOV=y
  - MLXSW_SPECTRUM=m
  - QED=m
  - QEDE=m
  - RTL8XXXU=m
  - RTL8XXXU_UNTESTED=y
  - WILC1000_DRIVER=n (no module option)
  - Storage:
  - NVM=y
  - NVM_DEBUG=n
  - NVM_GENNVM=m
  - NVM_RRPC=m
  - Input/Serial:
  - TOUCHSCREEN_FT6236=m
  - TOUCHSCREEN_TSC2004=m
  - TOUCHSCREEN_ROHM_BU21023=m
  - INPUT_DA9063_ONKEY=m
  - USERIO=m
  - SERIAL_8250_RT288X=y
  - SERIAL_8250_MID=m
  - HID_CORSAIR=m
  - HID_GFRM=m
  - Misc:
  - PINCTRL_BROXTON=n
  - GPIO_AMDPT=m
  - GPIO_104_IDIO_16=m
  - GPIO_IT87=m
  - BATTERY_BQ27XXX=m
  - BATTERY_BQ27XXX_I2C=y
  - BATTERY_BQ27XXX_PLATFORM=y
  - Video:
  - VIDEO_VIVID_MAX_DEVS=64 (default)
  - FB_IBM_GXT4500=m
  - Audio:
  - SND_PCM_TIMER=y
  - SND_FIREWIRE_DIGI00X=m
  - SND_FIREWIRE_TASCAM=m
  - Sensors:
  - MXC4005=m
  - HI8435=m
  - VZ89X=m
  - HDC100X=m
  - HTU21=m
  - APDS9960=m
  - US5182D=m
  - MCP4531=m
  - MS5637=m
  - LIDAR_LITE_V2=m
  - TSYS01=m
  - TSYS02D=m
  - SENSORS_MAX31790=m
  - Misc:
  - FPGA=m
  - FPGA_MGR_ZYNQ_FPGA=n
  - UBIFS_ATIME_SUPPORT=y
  - VFIO_NOIOMMU=n
  - COMMON_CLK_SI514=m
  - RTC_DRV_RV8803=m
  - Tracing:
  - STM=m
  - STM_DUMMY=m
  - STM_SOURCE_CONSOLE=m
  - TRACING_EVENTS_GPIO=y
  - Debugging:
  - TEST_PRINTF=n
  - SECTION_MISMATCH_WARN_ONLY=y (current behavior)
  - ACPI_DEBUGGER=n
  - EFI:
  - EFI_FAKE_MEMMAP=n
  - EFI_PGT_DUMP=n
  - DEBUG_WX=y
  - Crypto:
  - CRYPTO_KEYWRAP=m
  - PWM_PCA9685=m
  - x86:
  - MIC_COSM=m
  - UNISYS_VISORINPUT=m
  - UNISYS_VISORHBA=m
  - LEGACY_VSYSCALL_EMULATE=emulate
  - INTEL_TH=m
  - INTEL_TH_PCI=m
  - INTEL_TH_GTH=m
  - INTEL_TH_STH=m
  - INTEL_TH_MSU=m
  - INTEL_TH_PTI=m
  - INTEL_TH_DEBUG=n
  - INTEL_IOMMU_SVM=y
  - INTEL_IDMA64=m
  - TOSHIBA_WMI=m
  - ARM:
  - AHCI_QORIQ=n
  - BCM7038_WDT=n
  - SSB_HOST_SOC=n
  - MFD_ATMEL_FLEXCOM=n
- commit bb1502f
* Mon Nov 16 2015 kbuild@suse.de
- Automatically updated to 4.4-rc1
- commit e3249b0
* Sun Nov 15 2015 kbuild@suse.de
- Automatically updated to 4.3-12051-g12b76f3
- commit 84dd9f9
* Sun Nov 15 2015 jslaby@suse.cz
- Update config files.
  Enable CRASHER on s390x to be the same as in all other configs.
- commit 36b091a
* Sat Nov 14 2015 kbuild@suse.de
- Automatically updated to 4.3-12036-g63f4f7e
- commit 3596066
* Thu Nov 12 2015 tiwai@suse.de
- Clear CONFIG_FW_LOADER_USER_HELPER_FALLBACK in vanilla configs (boo#944661)
  armv7hl/vanilla still contains it because of boo#951260
- commit 2a788b3
* Thu Nov 12 2015 kbuild@suse.de
- Automatically updated to 4.3-11626-g5d50ac7
- commit de851c8
* Wed Nov 11 2015 dvaleev@suse.com
- Update config files (bsc#951533).
  Set CONFIG_SPARSEMEM_VMEMMAP=y for Power
- commit 4962ac6
* Wed Nov 11 2015 kbuild@suse.de
- Automatically updated to 4.3-11481-gc5a3788
- commit 067802c
* Tue Nov 10 2015 kbuild@suse.de
- Automatically updated to 4.3-9393-gbd4f203
- commit c21aa9b
* Sun Nov  8 2015 kbuild@suse.de
- Automatically updated to 4.3-9269-gce5c2d2
- commit 9b505a9
* Sat Nov  7 2015 kbuild@suse.de
- Automatically updated to 4.3-9038-g27eb427b
- commit 47a227a
* Fri Nov  6 2015 kbuild@suse.de
- Automatically updated to 4.3-7965-gd1e41ff
- commit b000eae
* Thu Nov  5 2015 kbuild@suse.de
- Automatically updated to 4.3-6681-g8e483ed
- commit 35af169
* Wed Nov  4 2015 kbuild@suse.de
- Automatically updated to 4.3-1107-g66ef349
- commit d7c8b71
* Tue Nov  3 2015 jbeulich@suse.com
- Update Xen patches to 4.3-final and c/s 1298.
- Update Xen config files.
- commit 0fc9c4a
* Tue Nov  3 2015 schwab@suse.de
- group-source-files: mark module.lds as devel file
  ld: cannot open linker script file /usr/src/linux-4.2.5-1/arch/arm/kernel/module.lds: No such file or directory
- commit ec6d351
* Tue Nov  3 2015 mmarek@suse.com
- Automatically updated to 4.3-272-g5062ecdb662b
- commit 4a89a9e
* Mon Nov  2 2015 jeffm@suse.com
- Update to 4.3-final.
  - 1 patch eliminated.
- commit 79838f6
* Mon Nov  2 2015 kbuild@suse.de
- Automatically updated to 4.3
- commit ef19d4f
* Sun Nov  1 2015 kbuild@suse.de
- Automatically updated to 4.3-rc7-163-g56ef9db
- commit ee9117f
* Sat Oct 31 2015 kbuild@suse.de
- Automatically updated to 4.3-rc7-45-g38dab9a
- commit 29bb62d
* Wed Oct 28 2015 jslaby@suse.cz
- rpm/kernel-binary.spec.in: really pass down %%{?_smp_mflags}
- commit 273a7fb
* Wed Oct 28 2015 kbuild@suse.de
- Automatically updated to 4.3-rc7-32-g8a28d67
- commit e50e3a1
* Tue Oct 27 2015 kbuild@suse.de
- Automatically updated to 4.3-rc7-19-g858e904
- commit e69bebd
* Mon Oct 26 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use parallel make in all invocations
  Also, remove the lengthy comment, since we are using a standard rpm
  macro now.
- commit 4d6ba88
* Mon Oct 26 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Delete one more DEBUG_SECTION_MISMATCH assignment
- commit fce45dc
* Mon Oct 26 2015 kbuild@suse.de
- Automatically updated to 4.3-rc7-3-g85051e2
- commit e1e829f
* Mon Oct 26 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Do not explicitly set DEBUG_SECTION_MISMATCH
  CONFIG_DEBUG_SECTION_MISMATCH is a selectable Kconfig option since
  2.6.39 and is enabled in our configs.
- commit 15aa4f8
* Mon Oct 26 2015 mmarek@suse.com
- Automatically updated to 4.3-rc7-3-g85051e295fb7
- commit 23c93f4
* Sat Oct 24 2015 stefan.bruens@rwth-aachen.de
- config: arm: Enable ADS7846 touchscreen driver
  This SPI connected chip is common on RPi TFT displays.
- commit 9ede684
* Wed Oct 21 2015 guillaume.gardet@free.fr
- config: arm: Enable CONFIG_PPS_CLIENT_GPIO
  Set CONFIG_PPS_CLIENT_GPIO=m for all ARM configs to be able to use GPS
  with PPS line connected to a GPIO, as a high-precision time reference.
- commit e47ea7a
* Wed Oct 21 2015 mmarek@suse.com
- Automatically updated to 4.3-rc6-108-gce1fad2740c6
- commit fbe6aae
* Tue Oct 20 2015 tiwai@suse.de
- Disable leftover CONFIG_FW_LOADER_USER_HELPER_FALLBACK in armv7hl/* (boo#951260)
- commit 8cfd2f6
* Tue Oct 20 2015 tiwai@suse.de
- Disable CONFIG_RT_GROUP_SCHED (boo#950955)
  Even people originally demanded suggest to drop it now...
- commit ebebcd7
* Tue Oct 20 2015 kbuild@suse.de
- Automatically updated to 4.3-rc6-108-gce1fad2
- commit 047c182
* Mon Oct 19 2015 jeffm@suse.com
- config: Re-enable DEBUG_INFO on ec2 flavors.
  It was disabled in commit a104accda85, but is enabled explicitly in the
  spec file.  The options that depend on it must be in the config file for
  the build to succeed.
- commit 5e46ef6
* Mon Oct 19 2015 kbuild@suse.de
- Automatically updated to 4.3-rc6
- commit 0c76a62
* Sun Oct 18 2015 kbuild@suse.de
- Automatically updated to 4.3-rc5-116-g81429a6
- commit 2ce0222
* Sat Oct 17 2015 kbuild@suse.de
- Automatically updated to 4.3-rc5-113-g16c8b9c
- commit b8b1716
* Fri Oct 16 2015 mmarek@suse.com
- rpm/kernel-source.rpmlintrc: Update the filters
- commit e26b4cc
* Fri Oct 16 2015 kbuild@suse.de
- Automatically updated to 4.3-rc5-65-g69984b6
- commit a9c21df
* Fri Oct 16 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Use upstream script to support config.addon
- commit e8739f8
* Fri Oct 16 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Drop the %%build_src_dir macro
  It is the parent directory of the O= directory.
- commit 2ed0dbe
* Thu Oct 15 2015 jbeulich@suse.com
- Update Xen patches to 4.3-rc5 and c/s 1293.
- netback: coalesce (guest) RX SKBs as needed (bsc#919154).
- config.conf: Re-enable Xen and PV configs.
- Update config files.
- commit b3702e5
* Wed Oct 14 2015 matwey.kornilov@gmail.com
- config: armv7hl: Enable new OMAP serial driver
- commit 932085e
* Wed Oct 14 2015 kbuild@suse.de
- Automatically updated to 4.3-rc5-37-g5b5f145
- commit 672b4cb
* Mon Oct 12 2015 jeffm@suse.com
- Update to 4.3-rc5.
- commit cc76695
* Mon Oct 12 2015 kbuild@suse.de
- Automatically updated to 4.3-rc5
- commit ad96306
* Mon Oct 12 2015 mmarek@suse.com
- rpm/kernel-obs-build.spec.in: Add virtio_rng to the initrd
  This allows to feed some randomness to the OBS workers.
- commit fbb0589
* Sun Oct 11 2015 kbuild@suse.de
- Automatically updated to 4.3-rc4-175-g4a06c8a
- commit c597bae
* Sat Oct 10 2015 kbuild@suse.de
- Automatically updated to 4.3-rc4-136-g149fadf
- commit 3487597
* Thu Oct  8 2015 kbuild@suse.de
- Automatically updated to 4.3-rc4-61-gc6fa8e6
- commit 33c7cad
* Wed Oct  7 2015 mmarek@suse.com
- Automatically updated to 4.3-rc4-34-g79c7c7acd256
- commit aa080ca
* Tue Oct  6 2015 mmarek@suse.com
- Add ARM and POWER configs
- commit a52dd5b
* Mon Oct  5 2015 mmarek@suse.com
- rpm/config.sh: Build against 13.2
- commit c0acaf1
* Mon Oct  5 2015 dmueller@suse.com
- Update config files.
  Disable CONFIG_LEDS_BCM6328 and CONFIG_LEDS_BCM6358, as those
  are MIPS and unlikely to exist on an ARM board.
- commit 332db9e
* Mon Oct  5 2015 mmarek@suse.com
- Automatically updated to 4.3-rc4
- commit 28dd762
* Sun Oct  4 2015 matwey.kornilov@gmail.com
- config: armv7hl: Sync vanilla with default
  Let vanilla follow changes made in default.
- commit 3e35c0a
* Sun Oct  4 2015 afaerber@suse.de
- config: armv7hl: Disable all msm8916/apq8016 options
  They are arm64 SoCs, so not needed for armv7hl.
- commit 2fed843
* Sun Oct  4 2015 matwey.kornilov@gmail.com
- config: armv7hl: Enable preemption
  This patch is to follow 1fcdac3f3d277ffea3462af635a3dea6b854a09a.
  [AF/MK: Enable preemption for vanilla config as well]
- commit 6048d12
* Sat Oct  3 2015 afaerber@suse.de
- config: armv7hl: Enable missing STMMAC Ethernet options
  This attempts to fix regressions from 4.1 like built-in Ethernet on
  Cubietruck not working.
- commit a99ec0f
* Wed Sep 30 2015 jlee@suse.com
- Update config files. (bsc#947816)
  Put # CONFIG_KEXEC_VERIFY_SIG is not set (bsc#947816)
- commit 241080f
* Wed Sep 30 2015 jeffm@suse.com
- Update to 4.3-rc3.
- Eliminated 1 patch.
- commit 0e6e2cf
* Tue Sep 29 2015 kbuild@suse.de
- Automatically updated to 4.3-rc3-42-g3225031
- commit 2ad3e83
* Mon Sep 28 2015 kbuild@suse.de
- Automatically updated to 4.3-rc3-40-g097f70b
- commit 4a25a58
* Sun Sep 27 2015 kbuild@suse.de
- Automatically updated to 4.3-rc2-438-gd8cc397
- commit e6646ab
* Sat Sep 26 2015 kbuild@suse.de
- Automatically updated to 4.3-rc2-228-gd4a748a
- commit 1b4d2f3
* Fri Sep 25 2015 mmarek@suse.cz
- Merge kernel-desktop back into kernel-default/kernel-pae (fate#319416)
- commit 8b30fee
* Fri Sep 25 2015 kbuild@suse.de
- Automatically updated to 4.3-rc2-145-gced255c
- commit fb964c7
* Wed Sep 23 2015 dmueller@suse.com
- Backport of https://lkml.org/lkml/2015/9/11/507
  Fixes a build issue with aarch64, see
  http://www.spinics.net/lists/arm-kernel/msg446809.html.
- Update config files.
- commit 6eb7a1b
* Wed Sep 23 2015 jdelvare@suse.de
- Update x86 config files: CONFIG_SURFACE_PRO3_BUTTON=m
  This is an x86 driver, no reason to not enable it.
- commit 840018d
* Wed Sep 23 2015 jeffm@suse.com
- config: re-enabled EXT4_USE_FOR_EXT2
- commit 9e47c71
* Tue Sep 22 2015 jslaby@suse.cz
- Update config files.
- Refresh patches.suse/stack-unwind.
  Reenable dwarf stack unwinder for C. Assembler is not dwarf-friendly
  annotated (removed in upstream and neither
  patches.arch/x86_64-unwind-annotations is enabled (yet)), so dwarf
  unwinder does not work there (yet).
  This should be fixed by Josh Poimbeouf's stacktool later. But until
  then, dwarf-unwind at least C and use frame pointers for asm.
  I.e. no more question marks for most cases:
  [<ffffffff81008415>] try_stack_unwind+0x175/0x190
  [<ffffffff81007293>] dump_trace+0x93/0x3a0
  [<ffffffff8100847b>] show_trace_log_lvl+0x4b/0x60
  [<ffffffff810076ac>] show_stack_log_lvl+0x10c/0x180
  [<ffffffff81008515>] show_stack+0x25/0x50
  [<ffffffff81364619>] dump_stack+0x4b/0x72
  [<ffffffffa01a302e>] init1+0xe/0x20 [aaa]
  [<ffffffff810002f3>] do_one_initcall+0xb3/0x200
  [<ffffffff8116e4da>] do_init_module+0x5f/0x1f6
  [<ffffffff810ee87e>] load_module+0x15fe/0x1b60
  [<ffffffff810eefe8>] SYSC_finit_module+0x98/0xc0
  [<ffffffff810ef02e>] SyS_finit_module+0xe/0x10
  [<ffffffff816b07b6>] entry_SYSCALL_64_fastpath+0x16/0x75
  DWARF2 unwinder stuck at entry_SYSCALL_64_fastpath+0x16/0x75
  Leftover inexact backtrace:
  <nothing>
  Instead of the funny:
  [<ffffffff81364619>] ? dump_stack+0x4b/0x72
  [<ffffffffa022a02e>] ? init1+0xe/0x20 [aaa]
  [<ffffffff810002f3>] ? do_one_initcall+0xb3/0x200
  [<ffffffff8116e4a2>] ? do_init_module+0x27/0x1f6
  [<ffffffff8116e4da>] ? do_init_module+0x5f/0x1f6
  [<ffffffff810ee87e>] ? load_module+0x15fe/0x1b60
  [<ffffffff810eaa40>] ? __symbol_put+0x50/0x50
  [<ffffffff811e9501>] ? kernel_read+0x41/0x60
  [<ffffffff810eefe8>] ? SYSC_finit_module+0x98/0xc0
  [<ffffffff810ef02e>] ? SyS_finit_module+0xe/0x10
  [<ffffffff816b07b6>] ? entry_SYSCALL_64_fastpath+0x16/0x75
  where __symbol_put and do_init_module+0x27 should not be there at all.
- commit e40e27c
* Tue Sep 22 2015 kbuild@suse.de
- Automatically updated to 4.3-rc2-19-gbcee19f
- commit 586fd64
* Mon Sep 21 2015 jeffm@suse.com
- Update to 4.3-rc2.
- Eliminated 1 patch.
- Config changes:
  - ARM (32/64-bit)
  - STUB_CLK_HI6220=n
  - ARM64
  - ARM64_ERRATUM_843419=y
- commit 29797d1
* Mon Sep 21 2015 mmarek@suse.com
- Automatically updated to 4.3-rc2
- commit 3363c95
* Sun Sep 20 2015 afaerber@suse.de
- config: armv6hl: Update for 4.3-rc1
- commit 66ac375
* Sun Sep 20 2015 afaerber@suse.de
- config: arm64: Update for 4.3-rc1
- commit a18aed9
* Thu Sep 17 2015 jeffm@suse.com
- config: disable MTD_NAND_DENALI_PCI
- commit f8a6e2e
* Wed Sep 16 2015 matwey.kornilov@gmail.com
- config: armv7hl: Reenable for 4.3
  [AF: Keep STM32 serial disabled, sanitize STi, enable more Qualcomm,
    MediaTek and Renesas options, disable i.MX6 for lpae, switch
    MUSB to Dual Mode while at it, keep SUSE options out of vanilla]
- commit 980db78
* Wed Sep 16 2015 jeffm@suse.com
- config: resync vanilla configs
- commit e14e658
* Wed Sep 16 2015 jeffm@suse.com
- Update to 4.3-rc1.
- Eliminated 8 patches.
- Xen needs updating.
- ARM configs need updating.
- Config changes:
  - General options:
  - CGROUP_PIDS=y
  - USERFAULTFD=y
  - MEMBARRIER=y
  - EXT4_USE_FOR_EXT2=n
  - TEST_STATIC_KEYS=n
  - NVMEM=m
  - SCSI_DH=y
  - [debug] FAIL_FUTEX=y
  - IDLE_PAGE_TRACKING=n
  - SUSPEND_SKIP_SYNC=n
  - x86 options:
  - X86_LEGACY_VM86=n (dosemu vm86 support eliminaed, use a vm or emulation)
  - MODIFY_LDT_SYSCALL=y
  - CRYPTO_POLY1305_X86_64=m
  - CRYPTO_CHACHA20_X86_64=m
  - IDMA64=m
  - AMD_MCE_INJ=m
  - Networking:
  - IPV6_ILA=m
  - IP_VS_OVF=m
  - NFT_DUP_IPV4=m (go back and check)
  - NF_DUP_IPV4=m
  - NFT_DUP_IPV6=m
  - NF_DUP_IPV6=m
  - MPLS_IPTUNNEL=m
  - BT_HS=y
  - BT_HCIUART_QCA=y
  - NFC_ST_NCI_SPI=m
  - NFC_S3FWRN5_I2C=m
  - NET_VRF=m
  - BNX2X_VXLAN=y
  - MLXSW_CORE=m
  - MLXSW_PCI=m
  - MLXSW_SWITCHX2=m
  - NET_VENDOR_SYNOPSYS=y
  - SYNOPSYS_DWC_ETH_QOS=m
  - AQUANTIA_PHY=m
  - TERANETICS_PHY=m
  - MICROCHIP_PHY=m
  - USB_LAN78XX=m
  - FUJITSU_ES=m
  - INFINIBAND_HFI1=m
  - HFI1_DEBUG_SDMA_ORDER=n
  - HFI1_VERBS_31BIT_PSN=y
  - ESCAN_RXQ=n
  - Other:
  - MTD_NAND_DENALI_PCI=m (do we support moorestown?)
  - MTD_NAND_DENALI_DT=n
  - TOUCHSCREEN_IMX6UL_TSC=m
  - I2C_MUX_REG=m
  - SENSORS_MAX20751=m
  - INTEL_PCH_THERMAL=m
  - MFD_DA9062=m
  - MFD_INTEL_LPSS_ACPI=m
  - DVB_NETUP_UNIDVB=m
  - DVB_PLATFORM_DRIVERS=y
  - DRM_FBDEV_EMULATION=y
  - BACKLIGHT_PM8941_WLED=m
  - HID_GEMBIRD=m
  - STAGING_RDMA=y
  - RPR0521=m
  - CRYPTO_DEV_QAT_DH895xCCVF=m
  - DA9062_WATCHDOG=m
  - ARM:
  - MDIO_OCTEON=n
  - MOST=n
  - SURFACE_PRO3_BUTTON=n
  - USB_XHCI_PLATFORM=n
  - MMC_SDHCI_OF_AT91=n
  - RTC_DRV_DA9063=n
  - RTC_DRV_ZYNQMP=n
  - OPT3001=n
  - PA12203001=n
  - DRM_PANEL_SAMSUNG_LD9040=n
  - DRM_PANEL_LG_LG4573=n
  - DRM_PANEL_SAMSUNG_S6E8AA0=n
  - DRM_NXP_PTN3460=n
  - DRM_PARADE_PS8622=n
  - FB_SM712=n
  - SERIAL_UARTLITE=n
  - I2C_EMEV2=n
  - GPIO_ZX=n
  - ppc64:
  - CXLFLASH=m
  - LEDS_POWERNV=m
- commit 7f842a4
* Tue Sep 15 2015 kbuild@suse.de
- Automatically updated to 4.3-rc1-19-gd25ed27
- commit aafd748
* Sun Sep 13 2015 dmueller@suse.com
- Update config files: ARM64: Raise CPUs to 128
  There are machines with more than 64 CPUs, allow them
  to be used. Update vanilla config from default.
- commit b9e4415
* Sun Sep 13 2015 kbuild@suse.de
- Automatically updated to 4.3-rc1
- commit bc46498
* Sat Sep 12 2015 kbuild@suse.de
- Automatically updated to 4.2-11400-gdfb22fc
- commit 5be1010
* Fri Sep 11 2015 jslaby@suse.cz
- Update config files.
  Fix FW fixes fallout (bnc#944661).
- commit 82d2c61
* Fri Sep 11 2015 kbuild@suse.de
- Automatically updated to 4.2-11142-gb0a1ea5
- commit 84323d8
* Thu Sep 10 2015 mmarek@suse.com
- rpm/kernel-spec-macros: Include the version string in the Obsoletes line
- commit 083cdb4
* Thu Sep 10 2015 mmarek@suse.com
- rpm/kernel-binary.spec.in: Obsolete previous builds of the same package (boo#867595)
- commit ffb73eb
* Thu Sep 10 2015 kbuild@suse.de
- Automatically updated to 4.2-10826-gb8889c4
- commit 3240c91
* Wed Sep  9 2015 jdelvare@suse.de
- config/x86_64/ec2: Align CONFIG_STRICT_DEVMEM
  CONFIG_STRICT_DEVMEM is enabled in every other kernel flavor, so
  enable it for x86_64/ec2 as well.
- commit 3d3e945
* Wed Sep  9 2015 kbuild@suse.de
- Automatically updated to 4.2-10637-ga794b4f
- commit c5530cf
* Tue Sep  8 2015 kbuild@suse.de
- Automatically updated to 4.2-9861-g4e4adb2
- commit 4b2a10c
* Mon Sep  7 2015 tiwai@suse.de
- Disable CONFIG_FW_LOADER_USER_HELPER_FALLBACK that was reenabled unexpectedly (boo#944661)
- commit cb20b4b
* Mon Sep  7 2015 tiwai@suse.de
- Update config files: enable leftover CONFIG_FB_TFT_HX8357D=m for arm
- commit ae13bf9
* Sun Sep  6 2015 kbuild@suse.de
- Automatically updated to 4.2-9700-g7d9071a
- commit 711d113
* Sat Sep  5 2015 kbuild@suse.de
- Automatically updated to 4.2-9066-gf377ea8
- commit 4cb2b2a
* Fri Sep  4 2015 kbuild@suse.de
- Automatically updated to 4.2-6663-g807249d
- commit 625be6c
* Thu Sep  3 2015 kbuild@suse.de
- Automatically updated to 4.2-4507-g1e1a4e8
- commit 8b17a48
* Wed Sep  2 2015 kbuild@suse.de
- Automatically updated to 4.2-4282-gae98207
- commit 755fc24
* Tue Sep  1 2015 kbuild@suse.de
- Automatically updated to 4.2-2744-g65a9959
- commit b821699
* Mon Aug 31 2015 mmarek@suse.com
- Automatically updated to 4.2
- commit ecaeb35
* Mon Aug 31 2015 jeffm@suse.com
- Update to 4.2-final.
- commit 303d037
* Sun Aug 30 2015 kbuild@suse.de
- Automatically updated to 4.2-rc8-46-g9751a9e
- commit f3f537b
* Sat Aug 29 2015 kbuild@suse.de
- Automatically updated to 4.2-rc8-45-g5e7fec2
- commit 9cc1e76
* Fri Aug 28 2015 kbuild@suse.de
- Automatically updated to 4.2-rc8-37-g4941b8f
- commit f52ff3c
* Thu Aug 27 2015 kbuild@suse.de
- Automatically updated to 4.2-rc8-10-gf9ed72d
- commit 1744398
* Wed Aug 26 2015 mmarek@suse.com
- rpm/constraints.in: Require 14GB worth of disk space on POWER
  The builds started to fail randomly due to ENOSPC errors.
- commit 9012f40
* Wed Aug 26 2015 kbuild@suse.de
- Automatically updated to 4.2-rc8-7-gf5db4b3
- commit e861fdd
* Mon Aug 24 2015 jbeulich@suse.com
- Update EC2 config files: Re-enable DEBUG_INFO.
- commit 516b056
* Mon Aug 24 2015 jeffm@suse.com
- Update to 4.2-rc8.
- commit de5c17f
* Mon Aug 24 2015 kbuild@suse.de
- Automatically updated to 4.2-rc8
- commit c23da70
* Sun Aug 23 2015 kbuild@suse.de
- Automatically updated to 4.2-rc7-130-gc4c53ba
- commit 9eb89b6
* Sat Aug 22 2015 kbuild@suse.de
- Automatically updated to 4.2-rc7-102-ge525293
- commit dc0a8b0
* Fri Aug 21 2015 jbeulich@suse.com
- Update Xen patches to 4.2-rc7.
- config.conf: Re-enable Xen and PV configs.
- Update config files.
- commit 2615767
* Fri Aug 21 2015 kbuild@suse.de
- Automatically updated to 4.2-rc7-71-g0bad909
- commit da1bab7
* Wed Aug 19 2015 dvaleev@suse.com
- Update config files.
  Enable KSM on Power
- commit 05e453f
* Wed Aug 19 2015 kbuild@suse.de
- Automatically updated to 4.2-rc7-24-g1b647a1
- commit 5258f79
* Tue Aug 18 2015 kbuild@suse.de
- Automatically updated to 4.2-rc7-15-gbf67402
- commit a1b4a8f
* Mon Aug 17 2015 zombah@gmail.com
- config: armv7hl: Disable Exynos IOMMU
  Enabling DRM Exynos IOMMU is currently broken, source
  commit: 6562f3bd396a ("ARM: exynos_defconfig: Disable IOMMU support").
- commit aa7b3f3
* Mon Aug 17 2015 jeffm@suse.com
- Update to 4.2-rc7.
- commit 07a9ace
* Mon Aug 17 2015 kbuild@suse.de
- Automatically updated to 4.2-rc7
- commit face762
* Sun Aug 16 2015 kbuild@suse.de
- Automatically updated to 4.2-rc6-176-g1efdb5f
- commit 649181b
* Sat Aug 15 2015 kbuild@suse.de
- Automatically updated to 4.2-rc6-171-g45e38cf
- commit fd5f4cb
* Fri Aug 14 2015 kbuild@suse.de
- Automatically updated to 4.2-rc6-130-g7ddab73
- commit 106ef2e
* Thu Aug 13 2015 kbuild@suse.de
- Automatically updated to 4.2-rc6-37-g30065bf
- commit 903a391
* Wed Aug 12 2015 jeffm@suse.com
- config: enable IPV6_SIT_6RD on all flavors
  The option was initially disabled because it was labeled experimental.
- commit 51b1435
* Wed Aug 12 2015 kbuild@suse.de
- Automatically updated to 4.2-rc6-29-g58ccab9
- commit ef0ffa7
* Tue Aug 11 2015 kbuild@suse.de
- Automatically updated to 4.2-rc6-20-g7a834ba
- commit fc5910e
* Tue Aug 11 2015 stefan.bruens@rwth-aachen.de
- config: arm*: Enable FB_TFT
  Set CONFIG_FB_TFT*=m for arm64/armv6hl/armv7hl.
  There are several TFT capes/hats/... for all kinds of SBCs, enable these.
  Tested on RPi B with 3.2" TFT connected over SPI.
- commit 6f46b66
* Mon Aug 10 2015 mmarek@suse.cz
- Automatically updated to 4.2-rc6
- commit 30479c6
* Mon Aug 10 2015 jeffm@suse.com
- Update to 4.2-rc6.
- commit df50d08
* Sun Aug  9 2015 kbuild@suse.de
- Automatically updated to 4.2-rc5-189-ga230e95
- commit 93f028b
* Sat Aug  8 2015 kbuild@suse.de
- Automatically updated to 4.2-rc5-156-gdd2384a
- commit 1752cb5
* Fri Aug  7 2015 kbuild@suse.de
- Automatically updated to 4.2-rc5-78-g49d7c65
- commit f19b525
* Thu Aug  6 2015 kbuild@suse.de
- Automatically updated to 4.2-rc5-46-g4469942
- commit 7765911
* Wed Aug  5 2015 kbuild@suse.de
- Automatically updated to 4.2-rc5-42-g4e6b6ee
- commit 769862a
* Tue Aug  4 2015 kbuild@suse.de
- Automatically updated to 4.2-rc5-19-gc2f3ba7
- commit 4fc9bd4
* Mon Aug  3 2015 afaerber@suse.de
- config: arm64: Clean up serial options
  [this commit was somehow overwritten with the update to -rc6]
  Change SERIAL_8250_DW from =m to =y.
  Change SERIAL_SAMSUNG from =m to =y and enable SERIAL_SAMSUNG_CONSOLE=y.
  Enable Qualcomm serial: SERIAL_MSM=y and SERIAL_MSM_CONSOLE=y
  Enable Spreadtrum serial: SERIAL_SPRD=y and SERIAL_SPRD_CONSOLE=y
  Disable Altera serial: SERIAL_ALTERA_JTAGUART and SERIAL_ALTERA_UART
  We can revisit this when they have arm64 support out.
  Disable Conexant serial: SERIAL_CONEXANT_DIGICOLOR (not arm64)
- config: arm64: Clean up serial options
  Change SERIAL_8250_DW from =m to =y.
  Change SERIAL_SAMSUNG from =m to =y and enable SERIAL_SAMSUNG_CONSOLE=y.
  Enable Qualcomm serial: SERIAL_MSM=y and SERIAL_MSM_CONSOLE=y
  Enable Spreadtrum serial: SERIAL_SPRD=y and SERIAL_SPRD_CONSOLE=y
  Disable Altera serial: SERIAL_ALTERA_JTAGUART and SERIAL_ALTERA_UART
  We can revisit this when they have arm64 support out.
  Disable Conexant serial: SERIAL_CONEXANT_DIGICOLOR (not arm64)
- commit eabe95f
* Mon Aug  3 2015 afaerber@suse.de
- config: armv7hl: Clean up serial options
  Fix SERIAL_OF_PLATFORM to be =y. This unbreaks AC100 serial.
  SERIAL_STM32 is for armv7ml and thus irrelevant for armv7hl, disable it.
  SERIAL_8250_INGENIC is for MIPS SoCs, so disable it for armv7hl.
  Fix CONFIG_SERIAL_CONEXANT_DIGICOLOR from =m to =y and
  enable CONFIG_SERIAL_CONEXANT_DIGICOLOR_CONSOLE=y,
  but only for default and vanilla, as it is a Cortex-A8.
  Fix SERIAL_AMBA_PL010 from =m to =y for lpae, matching default, and
  enable CONFIG_SERIAL_AMBA_PL010_CONSOLE=y for lpae, too.
  Disable SERIAL_ST_ASC for lpae, as STi are Cortex-A9 only.
  (cherry picked from commit 5f5dbd3a9cd58bfb803b83459a564d06eb1e1a37)
  [AF: Accidentally reverted in 4a2cf4a409b54e75f8ac4cd7a19fa8e8bc516aca]
- config: armv7hl: Clean up serial options
  Fix SERIAL_OF_PLATFORM to be =y. This unbreaks AC100 serial and
  hopefully Cubietruck as well.
  SERIAL_STM32 is for armv7ml and thus irrelevant for armv7hl, disable it.
  SERIAL_8250_INGENIC is for MIPS SoCs, so disable it for armv7hl.
  Fix CONFIG_SERIAL_CONEXANT_DIGICOLOR from =m to =y and
  enable CONFIG_SERIAL_CONEXANT_DIGICOLOR_CONSOLE=y,
  but only for default and vanilla, as it is a Cortex-A8.
  Fix SERIAL_AMBA_PL010 from =m to =y for lpae, matching default, and
  enable CONFIG_SERIAL_AMBA_PL010_CONSOLE=y for lpae, too.
  Disable SERIAL_ST_ASC for lpae, as STi are Cortex-A9 only.
- commit f88046c
* Mon Aug  3 2015 kbuild@suse.de
- Automatically updated to 4.2-rc5
- commit 3b0d854
* Sun Aug  2 2015 kbuild@suse.de
- Automatically updated to 4.2-rc4-315-g0118360
- commit e468107
* Sat Aug  1 2015 kbuild@suse.de
- Automatically updated to 4.2-rc4-294-g7c764ce
- commit 274c79f
* Fri Jul 31 2015 kbuild@suse.de
- Automatically updated to 4.2-rc4-111-g8400935
- commit 50dc259
* Thu Jul 30 2015 kbuild@suse.de
- Automatically updated to 4.2-rc4-87-g86ea07c
- commit 9abf61c
* Wed Jul 29 2015 kbuild@suse.de
- Automatically updated to 4.2-rc4-53-g956325b
- commit 8199ebb
* Mon Jul 27 2015 dmueller@suse.com
- Update config files.
  Disable Exynos 3/4 related options.
- commit cdbbeec
* Mon Jul 27 2015 dmueller@suse.com
- Update config files.
  Disable Exynos 5 related config options.
- commit 841c202
* Mon Jul 27 2015 jeffm@suse.com
- config: disable HIBERNATION on ppc64* vanilla configs
- commit 5a64aac
* Mon Jul 27 2015 mkubecek@suse.cz
- config: x86_64: enable EFI_MIXED in nonvirtual configs
  An x86_64 kernel needs CONFIG_EFI_MIXED to be able to access EFI
  variables and services if booted under 32-bit UEFI. Some bootloaders
  also need it to be able to boot 64-bit kernel under 32-bit UEFI.
  (boo#935027 fate#318252)
- commit 0b271f0
* Mon Jul 27 2015 mkubecek@suse.cz
- config: enable NET_DROP_MONITOR=m
  The drop_monitor module is useful for debugging networking issues. It
  collects information where in the kernel code are packets dropped;
  dropwatch utility can be used to process the data.
- commit f2ffd9c
* Mon Jul 27 2015 kbuild@suse.de
- Automatically updated to 4.2-rc4
- commit 4a34149
* Sun Jul 26 2015 kbuild@suse.de
- Automatically updated to 4.2-rc3-324-g26ae19a
- commit ec0577a
* Sat Jul 25 2015 kbuild@suse.de
- Automatically updated to 4.2-rc3-228-g33b4017
- commit bc50c67
* Fri Jul 24 2015 mmarek@suse.cz
- Automatically updated to 4.2-rc3-136-g45b4b78
- commit 051f71f
* Thu Jul 23 2015 mbrugger@suse.com
- Enable PCI host controller dirver for arm64
  PCI host controller is not yet supported on mainline.
  We need this patch to get lspci working.
- commit bce6796
* Thu Jul 23 2015 dvaleev@suse.com
- Update config files.
  Disable HIBERNATION on power due to invalid code generation (bsc#938934)
- commit 0d8d92e
* Wed Jul 22 2015 jeffm@suse.com
- Update to 4.2-rc3.
- commit 5bec57a
* Wed Jul 22 2015 kbuild@suse.de
- Automatically updated to 4.2-rc3-17-gd725e66
- commit bb917d2
* Tue Jul 21 2015 dmueller@suse.com
- Disable PCI host support for ARM64
  This needs to be rebased on top of 4.2-rcX before they can be enabled
  as they break the build right now, and for now we don't really need it.
  Update config files.
- commit 1e470c7
* Tue Jul 21 2015 kbuild@suse.de
- Automatically updated to 4.2-rc3-4-g9d634c41
- commit af75794
* Mon Jul 20 2015 dmueller@suse.com
- Update config files:
  ARM64/default,vanilla: Disable CONFIG_XEN as that should
  only be enabled in the pv flavor
- commit 5b11c20
* Mon Jul 20 2015 kbuild@suse.de
- Automatically updated to 4.2-rc3
- commit 8237c9f
* Sun Jul 19 2015 kbuild@suse.de
- Automatically updated to 4.2-rc2-390-g9d37e66
- commit 1eb9293
* Sat Jul 18 2015 kbuild@suse.de
- Automatically updated to 4.2-rc2-322-g8be5701
- commit 6569b63
* Fri Jul 17 2015 kbuild@suse.de
- Automatically updated to 4.2-rc2-190-g21bdb58
- commit d533d30
* Thu Jul 16 2015 kbuild@suse.de
- Automatically updated to 4.2-rc2-149-g3aa2050
- commit f1a7f86
* Wed Jul 15 2015 jeffm@suse.com
- Update to 4.2-rc2.
- commit 109f613
* Tue Jul 14 2015 kbuild@suse.de
- Automatically updated to 4.2-rc2-77-gf760b87
- commit b1e0190
* Mon Jul 13 2015 mmarek@suse.cz
- Automatically updated to 4.2-rc2
- commit a3c100e
* Wed Jul  8 2015 dmueller@suse.com
- AArch64: config: Update to 4.2-rc1
- config.conf:
- Enabling Hisilicon, Cavium and XGene related options
- rest is synced with x86_64
- commit 44bf23d
* Tue Jul  7 2015 matwey.kornilov@gmail.com
- config: Update armv7hl config for 4.2-rc1
- commit 22b9e1f
* Tue Jul  7 2015 jeffm@suse.com
- config: sync CIFS_SMB2=y across all configs
  Note that since Xen and ARM are disabled, these need to updated
  independently.
- commit e518894
* Mon Jul  6 2015 jeffm@suse.com
- Update to 4.2-rc1.
- Xen needs updating.
- ARM configs need updating.
- DWARF2 / stack unwinding need updating.
- 5 patches eliminated.
- Config changes:
  - Generic:
  - RCU_EXPERT=n (default)
  - SCHED_OMIT_FRAME_POINTER=y (temporary)
  - ACPI_REV_OVERRIDE_POSSIBLE=y (default)
  - OF_UNITTEST=n (default)
  - THERMAL_WRITABLE_TRIPS=n
  - THERMAL_DEFAULT_GOV_STEP_WISE=y
  - THERMAL_GOV_POWER_ALLOCATOR=n
  - SND_PROC_FS=y
  - DEFERRED_STRUCT_PAGE_INIT=y
  - PROC_CHILDREN=y
  - RCU_EQS_DEBUG=n
  - Networking:
  - GENEVE_CORE=m
  - TCP_CONG_CDG=m
  - NETFILTER_INGRESS=y
  - NF_TABLES_NETDEV=m
  - NET_CLS_FLOWER=m
  - SUNRPC_XPRT_RDMA=m
  - Network drivers:
  - BE2NET_HWMON=y (option to existing driver)
  - EZCHIP_NPS_MANAGEMENT_ENET=m
  - MLX5_CORE_EN=y (option to existing driver)
  - SFC_MCDI_LOGGING=y (option to existing driver)
  - DP83867_PHY=m
  - MT7601U=m
  - IEEE802154_ATUSB=n
  - PHY_PXA_28NM_HSIC=n
  - PHY_PXA_28NM_USB2=n
  - PHY_TUSB1210=n
  - DELL_RBTN=m
  - Input:
  - INPUT_LEDS=y
  - LEDS_AAT1290=n
  - LEDS_BCM6328=n
  - LEDS_BCM6358=n
  - LEDS_TLC591XX=n
  - LEDS_KTD2692=n
  - TOUCHSCREEN_WDT87XX_I2C=m
  - INPUT_DRV2665_HAPTICS=m
  - SERIAL_SC16IS7XX_I2C=y
  - SERIAL_SC16IS7XX_SPI=n
  - Chargers:
  - CHARGER_BQ24257=m
  - CHARGER_BQ25890=m
  - CHARGER_RT9455=m
  - Sensors:
  - SENSORS_TC74=m
  - MAX63XX_WATCHDOG=n
  - GPU:
  - DRM_AMDGPU=m
  - DRM_AMDGPU_CIK=n (experimental)
  - DRM_AMDGPU_USERPTR=y
  - DRM_VIRTIO_GPU=m
  - USB_ULPI_BUS=m
  - Android:
  - STAGING_BOARD=n
  - Accelerometers:
  - STK8312=m
  - STK8BA50=m
  - Light sensors:
  - ACPI_ALS=m
  - BH1750=n
  - STK3310=n
  - MMC35240=n
  - BMC150_MAGN=n
  - Non-Transparent Bridging:
  - NTB_PINGPONG=n
  - NTB_TOOL=n
  - NTB_TRANSPORT=m
  - NTB=n (ppc)
  - Other:
  - F2FS_FS_ENCRYPTION=y
  - Crypto:
  - CRYPTO_RSA=m
  - CRYPTO_CHACHA20POLY1305=m
  - CRYPTO_ECHAINIV=m
  - CRYPTO_POLY1305=m
  - CRYPTO_CHACHA20=m
  - CRYPTO_842=m
  - CRYPTO_JITTERENTROPY=m
  - CRYPTO_USER_API_AEAD=m
  - NV-DIMM:
  - ACPI_NFIT=m
  - ACPI_NFIT_DEBUG=n
  - ND_BLK=m
  - BTT=y
  - Bluetooth:
  - BT_HCIBTUSB_RTL=y (default)
  - NFC:
  - NFC_NCI_UART=m
  - NFC_MRVL_UART=m
  - NFC_ST_NCI=m
  - NFC_ST_NCI_I2C=m
  - Storage:
  - SCSI_SNIC=m
  - SCSI_SNIC_DEBUG_FS=n
  - DM_CACHE_SMQ=m (EXPERIMENTAL)
  - MMC_MTK=m
  - x86:
  - X86_DEBUG_FPU=n
  - PUNIT_ATOM_DEBUG=n
  - UNISYS_VISORBUS=m
  - UNISYS_VISORNIC=m
  - NTB_INTEL=m
  - SCIF_BUS=m
  - SCIF=m
  - INTEL_QUARK_DTS_THERMAL=m
  - INTEL_PMC_IPC=m
  - ppc:
  - GIANFAR=n
  - SERIAL_8250_INGENIC=n
  - ppc64:
  - OPAL_PRD=m
  - MTD_POWERNV_FLASH=m
  - CRYPTO_DEV_NX_COMPRESS_PSERIES=m
  - CRYPTO_DEV_NX_COMPRESS_POWERNV=m
  - CRYPTO_DEV_NX_COMPRESS_CRYPTO=m
  - Cross-endian virtio:
  - TUN_VNET_CROSS_LE=n
  - VHOST_CROSS_ENDIAN_LEGACY=n
  - ARM:
  - SPI_ZYNQMP_GQSPI=n
  - AHCI_CEVA=n (Xilinx Zynq UltraScale+ MPSoC.)
  - QCOM_SPMI_TEMP_ALARM=n
  - THUNDER_NIC_PF=n
  - THUNDER_NIC_VF=n
  - THUNDER_NIC_BGX=n
  - LIQUIDIO=n
  - COMMON_CLK_CDCE925=n
  - UIO_PRUSS=n
- commit 7e3dcf5
* Mon Jul  6 2015 jeffm@suse.com
- config: disable CONFIG_GPIO_MCP23S08 on non-ARM platforms
- commit 915234d
* Mon Jul  6 2015 jeffm@suse.com
- config: disable MFD_SYSCON on non-ARM platforms
- commit e896277
* Mon Jul  6 2015 jeffm@suse.com
- config: BLK_DEV_SKD=m on ppc64 vanilla configs
  BLK_DEV_SKD was disabled on ppc64 vanilla configs but enabled for
  default.
- commit 1a0b697
* Mon Jul  6 2015 jeffm@suse.com
- config: disable BCMGENET on non-ARM platforms
  The Broadcom GENET ethernet chip is part of their BCM7xxx Set Top Box
  chipset and doesn't need to be built on non-ARM architectures.
- commit a801f2a
* Mon Jul  6 2015 kbuild@suse.de
- Automatically updated to 4.2-rc1-8-g1c4c715
- commit f4cd7e7
* Sun Jul  5 2015 kbuild@suse.de
- Automatically updated to 4.1-12802-g1dc51b8
- commit af558af
* Sat Jul  4 2015 kbuild@suse.de
- Automatically updated to 4.1-12550-g5c65e7b
- commit e058966
* Fri Jul  3 2015 kbuild@suse.de
- Automatically updated to 4.1-12480-g9bdc771
- commit 86f9398
* Thu Jul  2 2015 kbuild@suse.de
- Automatically updated to 4.1-12127-g4da3064
- commit e8c199d
* Wed Jul  1 2015 jeffm@suse.com
- sysctl/defaults: remove semaphore sysctl override (bsc#936290).
  The sysctl values were lower than the new defaults.
- commit cbe4ad2
* Wed Jul  1 2015 kbuild@suse.de
- Automatically updated to 4.1-11549-g05a8256
- commit 3b76978
* Tue Jun 30 2015 kbuild@suse.de
- Automatically updated to 4.1-11355-g6aaf0da
- commit eeac765
* Mon Jun 29 2015 kbuild@suse.de
- Automatically updated to 4.1-11235-gc63f887
- commit a81b5c2
* Sat Jun 27 2015 kbuild@suse.de
- Automatically updated to 4.1-10980-ge0dd880
- commit f1bbd3a
* Fri Jun 26 2015 kbuild@suse.de
- Automatically updated to 4.1-7254-gc13c810
- commit 0ca5dc0
* Thu Jun 25 2015 dmueller@suse.com
- ARM64: config: UNWIND_INFO=y
- commit baf83bc
* Thu Jun 25 2015 kbuild@suse.de
- Automatically updated to 4.1-5596-gaefbef1
- commit 7ae01f2
* Wed Jun 24 2015 kbuild@suse.de
- Automatically updated to 4.1-2921-g6eae81a
- commit 074888f
* Tue Jun 23 2015 kbuild@suse.de
- Automatically updated to 4.1-1625-g44d21c3
- commit 41cbd85
* Tue Jun 23 2015 jeffm@suse.com
- Update to 4.1-final.
- commit 47e580e
* Mon Jun 22 2015 kbuild@suse.de
- Automatically updated to 4.1
- commit 394beca
* Mon Jun 22 2015 schwab@suse.de
- kernel-obs-build: add btrfs to initrd
  This is needed for kiwi builds.
- commit 1ebf037
* Sun Jun 21 2015 kbuild@suse.de
- Automatically updated to 4.1-rc8-36-gd2228e4
- commit 908078c
* Sat Jun 20 2015 kbuild@suse.de
- Automatically updated to 4.1-rc8-24-gbb16140
- commit 96a2615
* Fri Jun 19 2015 kbuild@suse.de
- Automatically updated to 4.1-rc8-12-ge640a28
- commit 392a332
* Thu Jun 18 2015 kbuild@suse.de
- Automatically updated to 4.1-rc8-9-g17fda38
- commit f48357c
* Tue Jun 16 2015 tiwai@suse.de
- Enable brcmfmac driver for x86-64 and i586 (boo#934932)
- commit db880b2
* Tue Jun 16 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Change BuildRequires to match OBS's taste
- commit 15501f0
* Mon Jun 15 2015 kbuild@suse.de
- Automatically updated to 4.1-rc8
- commit 50481aa
* Sat Jun 13 2015 kbuild@suse.de
- Automatically updated to 4.1-rc7-97-gc8d17b4
- commit 88152db
* Fri Jun 12 2015 tiwai@suse.de
- Update config files: extend CONFIG_DPM_WATCHDOG_TIMEOUT to 60 (bnc#934397)
- commit a2a63f7
* Fri Jun 12 2015 kbuild@suse.de
- Automatically updated to 4.1-rc7-72-gdf5f415
- commit ddbb5a5
* Thu Jun 11 2015 kbuild@suse.de
- Automatically updated to 4.1-rc7-61-g2bfc60d
- commit fa91bbd
* Wed Jun 10 2015 mmarek@suse.cz
- Automatically updated to 4.1-rc7-49-ge64f638
- commit 39f756f
* Tue Jun  9 2015 jeffm@suse.com
- Update to 4.1-rc7.
- Config changes:
  - arm64/armv7hl:
  - PHY_QCOM_UFS=m
- commit 21b908b
* Tue Jun  9 2015 kbuild@suse.de
- Automatically updated to 4.1-rc7-47-g5879ae5
- commit a4f35fe
* Mon Jun  8 2015 kbuild@suse.de
- Automatically updated to 4.1-rc7
- commit aad6c9a
* Sun Jun  7 2015 kbuild@suse.de
- Automatically updated to 4.1-rc6-154-g37ef164
- commit c1b2d8d
* Sat Jun  6 2015 dirk@dmllr.de
- ARM: config: Sync more settings with x86_64
  Compile in modules that are =y on x86_64, remove modules
  that are not compiled on x86_64
- commit 0aa422f
* Sat Jun  6 2015 dirk@dmllr.de
- config: armv7hl: Disable CONFIG_FW_LOADER_USER_HELPER_FALLBACK
  Only needed by DRM_STI, which we don't need, so disable
  it alltogether (it isn't configured in userspace anyway
  and deprecated)
- commit c312041
* Sat Jun  6 2015 dirk@dmllr.de
- config: armv7hl: Disable DECNET
  DECNET is not enabled on any other arch either
  and we don't need it
- commit 97c6ad2
* Sat Jun  6 2015 dirk@dmllr.de
- armv6hl: config: Reenable for 4.1
  Generic options follow x86_64 ones.
- commit f0dc848
* Sat Jun  6 2015 dmueller@suse.com
- config: armv7hl: Enable ARM optimized crypto
  Enable the CONFIG_ARM_CRYPTO related options for up to
  45%% speed improvement on some of the algorithms.
- commit 7070913
* Sat Jun  6 2015 kbuild@suse.de
- Automatically updated to 4.1-rc6-88-g456fdb2
- commit 2843ddf
* Fri Jun  5 2015 kbuild@suse.de
- Automatically updated to 4.1-rc6-52-gff25ea8
- commit 329a2c6
* Thu Jun  4 2015 kbuild@suse.de
- Automatically updated to 4.1-rc6-49-g8a7deb3
- commit 74507f2
* Wed Jun  3 2015 kbuild@suse.de
- Automatically updated to 4.1-rc6-44-g8cd9234
- commit 26661b3
* Tue Jun  2 2015 jbeulich@suse.com
- Update Xen patches to 4.1-rc6.
- config.conf: Re-enabled Xen and PV configs.
- Update config files.
- commit 72ee122
* Tue Jun  2 2015 kbuild@suse.de
- Automatically updated to 4.1-rc6-40-gc46a024
- commit 57a1c12
* Mon Jun  1 2015 jeffm@suse.com
- config: restore FRAME_POINTER configs to pre-4.1-rc1 values
  The disabling of the stack unwind patches due to required merging
  ended up enabling FRAME_POINTER on some configs. Now that stack
  unwinding is re-enabled, we can disable it again.
- commit 64581e0
* Mon Jun  1 2015 jeffm@suse.com
- config: revert options initially selected by EXT4_ENCRYPTION
  EXT4_ENCRYPTION was initially a bool, which caused anything
  selected by it to be selected as =y even if EXT4 was =m.
  We can restore the following options back to being modular:
- CRYPTO_CTS
- CRYPTO_ECB
- CRYPTO_GF128MUL
- CRYPTO_XTS
  Other crypto-related options enabled in the v4.1-rc1 update are
  a result of INTEGRITY=y and can't be returned to modular options
  without also disabling INTEGRITY.
- commit 677dc74
* Mon Jun  1 2015 jeffm@suse.com
- Update to 4.1-rc6.
- commit 9a1837a
* Mon Jun  1 2015 kbuild@suse.de
- Automatically updated to 4.1-rc6
- commit 7a77e7d
* Sat May 30 2015 kbuild@suse.de
- Automatically updated to 4.1-rc5-161-gaaa20fc
- commit 4f7e3c4
* Fri May 29 2015 kbuild@suse.de
- Automatically updated to 4.1-rc5-79-gace6a22
- commit 16cc8f3
* Thu May 28 2015 jbeulich@suse.com
- Refresh patches.arch/x86_64-unwind-annotations.
- Refresh
  patches.suse/revert-x86-remove-warning-and-warning_symbol-from-struct-stacktrace_ops.
- Refresh patches.suse/stack-unwind.
- Delete
  patches.arch/stack-unwind-cfi_ignore-takes-more-arguments,
  patches.suse/no-frame-pointer-select,
  patches.suse/unwind-remove-check-for-vdso32-compat-range:
  All folded into base patch.
- Update config files.
- commit 26987d9
* Thu May 28 2015 kbuild@suse.de
- Automatically updated to 4.1-rc5-75-gde18246
- commit 84c5c7e
* Tue May 26 2015 kbuild@suse.de
- Automatically updated to 4.1-rc5-7-ga8b253b
- commit 2d4ae2a
* Mon May 25 2015 kbuild@suse.de
- Automatically updated to 4.1-rc5
- commit e1fb47f
* Sun May 24 2015 kbuild@suse.de
- Automatically updated to 4.1-rc4-209-gc5db6a3
- commit 81abd41
* Sat May 23 2015 kbuild@suse.de
- Automatically updated to 4.1-rc4-198-gcf539cb
- commit 010710a
* Fri May 22 2015 kbuild@suse.de
- Automatically updated to 4.1-rc4-96-g865d872
- commit 3949bbf
* Wed May 20 2015 kbuild@suse.de
- Automatically updated to 4.1-rc4-11-g1113cdf
- commit df2568b
* Tue May 19 2015 jeffm@suse.com
- Update to 4.1-rc4.
- Config changes:
  - armv7hl: SPI_FSL_DSPI=m
- commit 7167e36
* Tue May 19 2015 jslaby@suse.cz
- Update config files.
  Unset PKCS7_TEST_KEY, so that SYSTEM_TRUSTED_KEYRING can stay
  disabled. I.e. make it the same as on other configs/arches.
- commit 008a976
* Tue May 19 2015 kbuild@suse.de
- Automatically updated to 4.1-rc4
- commit cc9de17
* Sun May 17 2015 kbuild@suse.de
- Automatically updated to 4.1-rc3-346-gc0655fe
- commit 0d71312
* Sat May 16 2015 kbuild@suse.de
- Automatically updated to 4.1-rc3-214-g4b470f1
- commit 3649a74
* Fri May 15 2015 kbuild@suse.de
- Automatically updated to 4.1-rc3-177-gf0897f4
- commit a0da3ea
* Wed May 13 2015 kbuild@suse.de
- Automatically updated to 4.1-rc3-165-g110bc76
- commit 78f53e9
* Tue May 12 2015 kbuild@suse.de
- Automatically updated to 4.1-rc3-46-g4cfceaf
- commit ba63ac2
* Mon May 11 2015 jeffm@suse.com
- Update to 4.1-rc3.
- Config changes:
  - RTC_DRV_ABX80X=m
- commit f558dcc
* Mon May 11 2015 kbuild@suse.de
- Automatically updated to 4.1-rc3
- commit d892893
* Sun May 10 2015 kbuild@suse.de
- Automatically updated to 4.1-rc2-206-g8f59ae0
- commit 799c1ed
* Sat May  9 2015 kbuild@suse.de
- Automatically updated to 4.1-rc2-147-gaf64728
- commit 44003aa
* Fri May  8 2015 kbuild@suse.de
- Automatically updated to 4.1-rc2-117-g3e0283a
- commit 08edbcc
* Thu May  7 2015 kbuild@suse.de
- Automatically updated to 4.1-rc2-79-g0e1dc42
- commit f281ac5
* Thu May  7 2015 jdelvare@suse.de
- config/armv7hl: Disable AMD_XGBE_PHY
  The AMD XGBE ethernet chip is only used on ARM64 systems.
- commit 95ef3be
* Wed May  6 2015 kbuild@suse.de
- Automatically updated to 4.1-rc2-37-g5198b443
- commit d019e91
* Wed May  6 2015 dmueller@suse.com
- config: arm64: Reenable for 4.1
  ACPI left disabled for now, Qualcom/Xen enabled,
  rest synced with x86_64
- commit f90fb57
* Mon May  4 2015 jeffm@suse.com
- config: disable XGBE on non-ARM hardware
  It's documented as being present only on AMD SoCs.
- commit 64f15fd
* Mon May  4 2015 jeffm@suse.com
- Update to 4.1-rc2.
- Config changes:
  - CONFIG_EXT4_ENCRYPTION y->m (changed to tristate)
- commit 28ae130
* Mon May  4 2015 mmarek@suse.cz
- Automatically updated to 4.1-rc2
- commit 6274e82
* Sat May  2 2015 matwey.kornilov@gmail.com
- config: Reenable armv7hl for 4.1
  Update armv7hl configs for 4.1
  Generic options follow x86_64 ones.
  CONFIG_DRM_I2C_NXP_TDA998X set to y as it is single known way to make video work on BBB
- commit d74f57e
* Fri May  1 2015 jeffm@suse.com
- Update to 4.1-rc1.
- Xen needs updating.
- ARM configs need updating.
- Stack unwinding needs updating.
- 11 patches eliminated.
- Config changes:
  - Generic:
  - MULTIUSER=y (default)
  - Networking
  - 6LOWPAN_NHC=m
  - 6LOWPAN_NHC_DEST=m
  - 6LOWPAN_NHC_FRAGMENT=m
  - 6LOWPAN_NHC_HOP=m
  - 6LOWPAN_NHC_IPV6=m
  - 6LOWPAN_NHC_MOBILITY=m
  - 6LOWPAN_NHC_ROUTING=m
  - 6LOWPAN_NHC_UDP=m
  - MPLS_ROUTING=m
  - BT_DEBUGFS=n
  - Driver options:
  - BT_HCIBTUSB
  - BT_HCIBTUSB_BCM=y
  - BT_HCIUART
  - BT_HCIUART_INTEL=y
  - BT_HCIUART_BCM=y
  - TARGET_CORE
  - TCM_USER2=m
  - CHELSIO_T4
  - CHELSIO_T4_FCOE=y
  - MOUSE_PS2
  - MOUSE_PS2_VMMOUSE=y
  - New modules:
  - TOUCHSCREEN_CHIPONE_ICN8318=m
  - TOUCHSCREEN_SX8654=m
  - NFC_NXP_NCI=m
  - NFC_NXP_NCI_I2C=m
  - Storage:
  - BLK_DEV_PMEM=m
  - MD_CLUSTER=m
  - DM_MQ_DEFAULT=n (needs performance testing)
  - DM_LOG_WRITES=m
  - MTD_PARTITIONED_MASTER=y
  - x86/x86_64:
  - SCHED_OMIT_FRAME_POINTER=y (only because unwinding needs updating)
  - X86_PMEM_LEGACY=y (compatibility)
  - MFD_INTEL_QUARK_I2C_GPIO=m
  - PINCTRL_AMD=y
  - ARM (disabled):
  - MACB=n
  - KEYBOARD_BCM=n
  - TCG_TIS_ST33ZP24=n
  - SPI_CADENCE=n
  - GPIO_ALTERA=n
  - GPIO_DWAPB=n
  - POWER_RESET_SYSCON_POWEROFF=n
  - CADENCE_WATCHDOG=n
  - MFD_MAX77843=n
  - MFD_MT6397=n
- commit 1f8d072
* Fri May  1 2015 kbuild@suse.de
- Automatically updated to 4.1-rc1-117-g4a152c3
- commit 620b46d
* Wed Apr 29 2015 kbuild@suse.de
- Automatically updated to 4.1-rc1-56-g3d99e3f
- commit 6196efe
* Wed Apr 29 2015 jdelvare@suse.de
- rpm/guards: Clarify user message
  When --config=series is used and a listed file is not found on the
  disk, guards prints the following message:
  Not found in series: file
  This message is confusing, as the file was found in series, it is
  missing on the disk. Change the message to make this more obvious.
- commit 3fbe9e5
* Tue Apr 28 2015 kbuild@suse.de
- Automatically updated to 4.1-rc1-46-g2decb26
- commit 093fd83
* Mon Apr 27 2015 kbuild@suse.de
- Automatically updated to 4.1-rc1
- commit 44a4db6
* Sat Apr 25 2015 kbuild@suse.de
- Automatically updated to 4.0-11192-gd19d133
- commit 5f61600
* Fri Apr 24 2015 jdelvare@suse.de
- rpm/guards: Documentation update
  * Fix synopsis format.
  * Document the new --path=@<file> option.
- commit 7fd4136
* Fri Apr 24 2015 jdelvare@suse.de
- rpm/guards: White space cleanups
- commit d8089eb
* Thu Apr 23 2015 kbuild@suse.de
- Automatically updated to 4.0-10710-g27cf3a1
- commit a517015
* Wed Apr 22 2015 kbuild@suse.de
- Automatically updated to 4.0-9804-gdb4fd9c
- commit 2831b80
* Wed Apr 22 2015 mmarek@suse.cz
- rpm/kernel-obs-build.spec.in: Add .build.hostarch.kvm to the filelist
- commit c65f3ca
* Tue Apr 21 2015 mmarek@suse.cz
- rpm/mkspec: Do not build kernel-obs-* on 32bit ppc
  The buildservice uses the ppc64 kernel-obs-build package for 32bit
  workers.
- commit d1e0beb
* Tue Apr 21 2015 dvaleev@suse.com
- create .build.hostarch.kvm for kernel-obs-build
  OBS needs to know hostarch, with ppc64/ppc64le this is not that easy.
  Lets create a marker file to help with it.
  See obs-build commit: e47399d738e51
- commit e5d9da9
* Tue Apr 21 2015 kbuild@suse.de
- Automatically updated to 4.0-9000-g646da63
- commit c30b073
* Mon Apr 20 2015 kbuild@suse.de
- Automatically updated to 4.0-8158-g09d5160
- commit 7d8cae6
* Sun Apr 19 2015 kbuild@suse.de
- Automatically updated to 4.0-8110-g64fb1d0
- commit 59b79d7
* Sat Apr 18 2015 kbuild@suse.de
- Automatically updated to 4.0-7820-g04b7fe6
- commit 6581d06
* Fri Apr 17 2015 kbuild@suse.de
- Automatically updated to 4.0-7300-g4fc8adc
- commit 74a7b16
* Thu Apr 16 2015 kbuild@suse.de
- Automatically updated to 4.0-6818-g34c9a0f
- commit ddfd5d1
* Wed Apr 15 2015 kbuild@suse.de
- Automatically updated to 4.0-3843-gbb0fd7a
- commit fddd183
* Tue Apr 14 2015 mmarek@suse.cz
- rpm/kernel-obs-qa.spec.in: Do not fail if the kernel versions do not match
- commit 28e9e74
* Tue Apr 14 2015 kbuild@suse.de
- Automatically updated to 4.0-2620-gb79013b
- commit 2d4b32e
* Tue Apr 14 2015 jlee@suse.com
- Update config files. (boo#925479)
  Do not set CONFIG_SYSTEM_TRUSTED_KEYRING until we need it in future
  openSUSE version:
  e.g. MODULE_SIG, IMA, PKCS7(new), KEXEC_BZIMAGE_VERIFY_SIG(new)
- commit 8c585aa
* Mon Apr 13 2015 jeffm@suse.com
- Update to 4.0-final.
- commit eb85681
* Mon Apr 13 2015 kbuild@suse.de
- Automatically updated to 4.0
- commit ecc36df
* Fri Apr 10 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc7-42-ge5e02de
- commit 0b447bc
* Fri Apr 10 2015 jeffm@suse.com
- Update to 4.0-rc7.
- Config changes:
  - x86_64/pv:
  - CONFIG_XEN_BALLOON_MEMORY_HOTPLUG_LIMIT=512 (default)
- commit 158a4d8
* Thu Apr  9 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc7-30-g20624d1
- commit ece3b9b
* Tue Apr  7 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc7
- commit 59ff49a
* Mon Apr  6 2015 dmueller@suse.com
- ARMv7: config: Enable more features
  Sync over config settings that have been enabled on x86_64 in the
  last few years also to ARMv7
- commit c798306
* Sun Apr  5 2015 dmueller@suse.com
- ARMv8: config: Enable more modules / feature flags
- commit 8ac09cb
* Sun Apr  5 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc6-188-gf8b3d8a
- commit c669d15
* Sun Apr  5 2015 dmueller@suse.com
- ARM64: config: Disable CONFIG_INPUT_E3X0_BUTTON
- commit 7e60d56
* Sun Apr  5 2015 dmueller@suse.com
- ARMv6/v7/v8: config: Disable ISA bus related drivers
  There is no ISA bus here
- commit 3e2a02b
* Sun Apr  5 2015 dmueller@suse.com
- ARMv7/v8: config: Disable IIO dummy drivers
  Not enabled on any other arch either.
- commit 50f6012
* Sun Apr  5 2015 dmueller@suse.com
- ARMv7: config: Disable accessibility
  Its not enabled on any other architecture, and enablement was
  an accident.
- commit 0e2ef1c
* Sun Apr  5 2015 dmueller@suse.com
- ARMv6/v7/v8: config: Disable debug/compat/self test options
  Disable those options that shouldn't be enabled on a production
  kernel and are not either enabled on x86_64
- commit 76b3af1
* Sun Apr  5 2015 dmueller@suse.com
- ARMv8/v7: config: Sync more features from x86_64
  Enable various feature flags on ARM if they're also set on x86_64
  to ensure that the feature sets available is roughly compareable
- commit 7c5b337
* Sat Apr  4 2015 dmueller@suse.com
- ARMv6/v7: config: build uncommon HID drivers as modules
  92db3f1ad forgot to update ARM configs accordingly.
- commit b6f7140
* Sat Apr  4 2015 dmueller@suse.com
- ARM64: config: Sync vanilla with default config
- commit 2f3f1e0
* Sat Apr  4 2015 dmueller@suse.com
- ARM64/ARMv6/ARMv7: config: Sync tunables with x86_64
  Set numeric tunables to the same values as on x86_64 if they're
  available for both platforms.
- commit 78f3f29
* Sat Apr  4 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc6-162-g1cced50
- commit 50f5e35
* Fri Apr  3 2015 mmarek@suse.cz
- Automatically Provide/Obsolete all subpackages of old flavors (bnc#925567)
- commit e3547a5
* Fri Apr  3 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc6-130-g8f778bb
- commit b6e424c
* Thu Apr  2 2015 dmueller@suse.com
- ARMv6: config: Update and reenable for 4.0-rc6
- commit 8bc8fbd
* Thu Apr  2 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc6-31-gd403931
- commit 4803915
* Wed Apr  1 2015 dmueller@suse.com
- ARMv6: config: Reenable DWC2 host support
  We need the USB host controller support in order to have
  network on the Raspberry Pi, as the network is connected
  via USB.
- commit c34ba66
* Tue Mar 31 2015 dmueller@suse.com
- ARM: config: Enable Stack Protector
- commit 112b24b
* Tue Mar 31 2015 dmueller@suse.com
- ARMv6: config: Cleanup default config
  Previous updates enabled config options that do not make sense
  on ARMv6. ARMv6 default flavor is actually just a RPi1 kernel,
  so enabling platform support for hardware that is unavailable there
  and that conflicts with the Rpi drivers should not be done.
  This causes the kernel to boot again on a Rpi1.
- commit c71417e
* Tue Mar 31 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc6-9-g6c310bc
- commit b2311cb
* Tue Mar 31 2015 jeffm@suse.com
- Update to 4.0-rc6.
- commit df3470e
* Mon Mar 30 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc6
- commit 25617df
* Sun Mar 29 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc5-131-g7fc377e
- commit cf95553
* Sat Mar 28 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc5-104-ga39bdfb
- commit eb29180
* Fri Mar 27 2015 mmarek@suse.cz
- guards: Include the file name also in the "Not found" error
- commit 9b71e7b
* Fri Mar 27 2015 mmarek@suse.cz
- guards: Add support for an external filelist in --check mode
  This will allow us to run --check without a kernel-source.git work tree.
- commit 61c3df5
* Fri Mar 27 2015 mmarek@suse.cz
- guards: Simplify help text
- commit f0c085a
* Fri Mar 27 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc5-96-g3c435c1
- commit 76d0a31
* Thu Mar 26 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc5-80-g4c4fe4c
- commit f6ae102
* Wed Mar 25 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc5-53-gc875f42
- commit d1b62f0
* Tue Mar 24 2015 dsterba@suse.cz
- config: disable SCSI_MQ_DEFAULT on all architectures and configs
  The scsi-mq feature lacks support for io schedulers right now.  This
  exhibits as performance drop for random RW workloads due to excessive
  seeking. The real benefit of scsi-mq comes with high-end and fast
  devices, the estimated impact on our users is low.
- commit 2d2d685
* Tue Mar 24 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc5-25-g90a5a89
- commit 161fdb6
* Mon Mar 23 2015 agraf@suse.de
- pci: Enable pci-host-generic support for ARM64 (bnc#911732).
- commit 51c5f90
* Mon Mar 23 2015 jeffm@suse.com
- config: disable CONFIG_ACPI_PROCFS_POWER (i386/x86_64) (boo#917728)
  CONFIG_ACPI_PROCFS_POWER is deprecated and should be disabled.
- commit c22f30d
* Mon Mar 23 2015 jeffm@suse.com
- Update to 4.0-rc5.
- Eliminated 1 patch.
- Config changes:
  - ARM64:
  - CAN_XILINXCAN=m
- commit 4702d69
* Mon Mar 23 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc5
- commit 5af8480
* Sun Mar 22 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc4-281-gf897522
- commit 830fb4a
* Sat Mar 21 2015 dmueller@suse.com
- ARM64: config: Raise NR cpus to 64
  There is hardware that has more than 32 cores, so we would
  like to support them out of the box.
- commit 17ebb7b
* Fri Mar 20 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc4-199-gb314aca
- commit 2202792
* Thu Mar 19 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc4-88-g7b09ac7
- commit 4ac6c3c
* Wed Mar 18 2015 jbeulich@suse.com
- Update Xen patches to 4.0-rc4 and c/s 1283.
- config.conf: Re-enable Xen and PV configs.
- Update config files.
- commit 4e76575
* Mon Mar 16 2015 jeffm@suse.com
- Update to 4.0-rc4.
- Config changes:
  - ppc/ppc64/ppc64le/armv7hl/arm64:
  - OF_OVERLAY=y (no functional change, the option was introduced to
    allow disabling of previously builtin behavior)
  - CONFIG_OF_RECONFIG_NOTIFIER_ERROR_INJECT=m
  - i386:
  - OF_OVERLAY=n
- commit 87444cd
* Mon Mar 16 2015 jeffm@suse.com
- config: refresh armv7hl-vanilla config
  The armv7hl-vanilla config contained options not offered by the vanilla
  kernel, showing it hadn't been resynced.
- commit d4db309
* Mon Mar 16 2015 jeffm@suse.com
- config: update arm64-vanilla config
  The ARM64 update for 4.0-rc3 updated default, but not vanilla. This commit
  just syncs the changes.
- commit f51a0c1
* Mon Mar 16 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc4
- commit e62143d
* Sun Mar 15 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc3-222-g7cd9beb3
- commit 781a406
* Sat Mar 14 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc3-194-g5fb0f7fa
- commit 616aa72
* Fri Mar 13 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc3-148-gc202baf
- commit cced53b
* Thu Mar 12 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc3-122-gcca28a5
- commit 6e7df20
* Tue Mar 10 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc3-111-gaffb817
- commit f5b4954
* Mon Mar  9 2015 dmueller@suse.com
- config: ARM64: Reenable configs for 4.0-rc3
  This mainly adds support for Exynos 7, Mediatek and
  Freescale's SoCs.
- commit c96a0e0
* Mon Mar  9 2015 dmueller@suse.com
- ARM64: Use 64k zero page protection like on other arches
  For cross-architecture compatibility, use the 64k MMAP min
  addr. The old value was nonsensical anyway since we switched to 64k
  page size, which means this change is effectively a NOOP in the 64k
  Pagesize flavor.
- commit 7c6b48b
* Mon Mar  9 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc3
- commit 4c23f02
* Mon Mar  9 2015 jeffm@suse.com
- config: disable FEC_MPC52xx on ppc
  List discussion indicates that the openSUSE kernel doesn't properly
  support Efika and that there aren't users of the hardware.
  These devices can only be enumerated using open firmware.
- commit ecdb85c
* Mon Mar  9 2015 jeffm@suse.com
- Update to 4.0-rc3.
- commit 72c19fa
* Sat Mar  7 2015 jeffm@suse.com
- config: disable SERIAL_XILINX_PS_UART on i386
  These devices can only be enumerated using open firmware.
- commit 65319be
* Sat Mar  7 2015 jeffm@suse.com
- config: disable W1_MASTER_GPIO on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit bf6dbfe
* Sat Mar  7 2015 jeffm@suse.com
- config: disable VIRTIO_MMIO on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit 3466d73
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MFD_TI_AM335X_TSCADC on non-ARM platforms
  These devices can only be enumerated using open firmware.
- commit 61156cb
* Sat Mar  7 2015 jeffm@suse.com
- config: disable STMMAC_PLATFORM on non-ARM platforms
  These devices can only be enumerated using open firmware.
- commit dae570d
* Sat Mar  7 2015 jeffm@suse.com
- config: disable TI_ST and RADIO_WL128X on i386, x86_64
  Can probably also be disabled on ppc*
  These devices can only be enumerated using open firmware.
- commit cc841a1
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MMC_SDHCI_OF_ARASAN on i386
  Can probably also be disabled on ARM64
  These devices can only be enumerated using open firmware.
- commit 252183f
* Sat Mar  7 2015 jeffm@suse.com
- config: disable PPS_CLIENT_GPIO on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit 809b510
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MDIO_BUS_MUX_GPIO on i386
  These devices can only be enumerated using open firmware.
- commit 46a5e6d
* Sat Mar  7 2015 jeffm@suse.com
- config: disable KS8851_MLL on i386, x86_64
  Can probably also be disabled on ppc, ppc64, ppc64le but I couldn't
  find a definitive list of platforms this hardware is used with.
  These devices can only be enumerated using open firmware.
- commit f09408f
* Sat Mar  7 2015 jeffm@suse.com
- config: disable I2C_MPC on ppc64, ppc64le
  These devices can only be enumerated using open firmware.
- commit 3ed04f3
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_WATCHDOG on i386
  These devices can only be enumerated using open firmware.
- commit eba8a77
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_SYSCON on i386
  These devices can only be enumerated using open firmware.
- commit 88cb7d4
* Sat Mar  7 2015 jeffm@suse.com
- config: disable IR_GPIO_CIR on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit 811d0f6
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_GRGPIO on i386, ppc, ppc64, ppc64le
  The hardware enabled by this driver is typically only found on LEON
  SPARC systems. Since it enables an IP library that could potentially
  be found on any embedded board, I've left it enabled for ARM and PPC.
- commit 8be0c24
* Sat Mar  7 2015 jeffm@suse.com
- config: disable INPUT_GPIO_BEEPER on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit 665fc88
* Sat Mar  7 2015 jeffm@suse.com
- config: disable GPIO_74XX_MMIO on i386
  These devices can only be enumerated using open firmware.
- commit 967f362
* Sat Mar  7 2015 jeffm@suse.com
- config: disable SERIAL_FSL_LPUART on non-ARM platforms.
  This hardware is only found on Freescale ARM platforms.
- commit aa35800
* Sat Mar  7 2015 jeffm@suse.com
- config: disable ETHOC on i386, x86_64
  These devices can only be enumerated using open firmware.
- commit 63fc8d3
* Sat Mar  7 2015 jeffm@suse.com
- config: disable DW_WATCHDOG on i386, x86_64, ppc, ppc64, ppc64le
  This hardware used to be ARM-only but is now available on Xtensa, so
  we can disable it everywhere bug ARM.
- commit 93f76a1
* Sat Mar  7 2015 jeffm@suse.com
- config: disable MTD_DOCG3 on i386, x86_64, ppc64, ppc64le
  This generation of DiskOnChip is quite old and found on embedded platforms.
  It's probably ok to disable it for arm64 as well.
  These devices can only be enumerated using open firmware.
- commit fab7c77
* Sat Mar  7 2015 jeffm@suse.com
- config: disable SERIO_APBPS2 on i386
  The hardware enabled by this driver is typically only found on LEON
  SPARC systems. Since it enables an IP library that could potentially
  be found on any embedded board, I've left it enabled for ARM and PPC.
- commit fef75ab
* Sat Mar  7 2015 jeffm@suse.com
- config: disable APPLE_AIRPORT on ppc64le
  Apple Airport is only found on Apple ppc/ppc64 hardware.
- commit aee645c
* Sat Mar  7 2015 jeffm@suse.com
- Update to 4.0-rc2.
- commit 18418ca
* Wed Mar  4 2015 matwey.kornilov@gmail.com
- config: armv7hl: Reenable for armv7hl
- commit 931159a
* Tue Mar  3 2015 jeffm@suse.com
- config: revert changes to i386/pv
  The i386/pv config will be resynced when Xen is updated.
- commit 79560ea
* Tue Mar  3 2015 jeffm@suse.com
- config: disable ALTERA_TSE on i386/x86_64
  These devices can only be enumerated using open firmware.
- commit d06ca5a
* Tue Mar  3 2015 jeffm@suse.com
- config: disable FB_OPENCORES on i386/x86_64
  These devices can only be enumerated using open firmware.
- commit 91d918f
* Mon Mar  2 2015 jeffm@suse.com
- Update to 4.0-rc1.
- Eliminated 1 patch.
- Xen needs updating.
- ARM configs need updating.
- Config changes:
  - General:
  - RCU_KTHREAD_PRIO = 0 for default; 1 for desktop
  - X86_INTEL_QUARK=y (32-bit only)
  - X86_AMD_PLATFORM_DEVICE=y
  - ZSMALLOC_STAT=n
  - DEVMEM=y
  - DUMMY_CONSOLE_COLUMNS=80
  - DUMMY_CONSOLE_ROWS=25
  - FS_DAX=y
  - PSTORE_PMSG=n
  - F2FS_IO_TRACE=n
  - NFSD_PNFS=y
  - GDB_SCRIPTS=n (only installs in build dir)
  - LIVEPATCH=y
  - TEST_HEXDUMP=n
  - CRYPTO_USER_API_RNG=m
  - BLK_DEV_RAM_DAX=y
  - PM_DEVFREQ_EVENT=y
  - VIRTIO_PCI_LEGACY=y
  - Networking:
  - IEEE802154_SOCKET=m
  - NET_ACT_BPF=m
  - NET_ACT_CONNMARK=m
  - BT_SELFTEST=n
  - Networking drivers:
  - IXGBE_VXLAN=y
  - AMD_XGBE=m
  - AMD_XGBE_DCB=y
  - Input:
  - MOUSE_PS2_FOCALTECH=y
  - HID_BETOP_FF=m
  - Other drivers, enabled as modules:
  - TCG_CRB
  - I2C_DESIGNWARE_BAYTRAIL
  - SPI_DLN2
  - USB_ISP1760
  - LEDS_CLASS_FLASH
  - FB_SM7XX
  - USB_GSPCA_TOUPTEK
  - SND_USB_POD
  - SND_USB_PODHD
  - SND_USB_TONEPORT
  - SND_USB_VARIAX
  - Disabled drivers:
  - RTC_DRV_DS1685_FAMILY (found on SGI O2/Octane hardware)
  - ACPI-discoverable sensors drivers, enabled as modules:
  - MMA9551
  - MMA9553
  - KMX61
  - JSA1212
  - SX9500
  - x86
  - DEBUG_IMR_SELFTEST=n
  - zSeries:
  - MARCH_Z900
  - TUNE_DEFAULT
  - SCHED_TOPOLOGY=y (renamed from SCHED_BOOK)
  - Device-tree dependent drivers, all disabled:
  - MTD_NAND_HISI504
  - TI_CPSW_ALE
  - INPUT_E3X0_BUTTON
  - INPUT_TPS65218_PWRBUTTON
  - SERIAL_CONEXANT_DIGICOLOR
  - TCG_TIS_I2C_ST33
  - GPIO_XILINX
  - BATTERY_GAUGE_LTC2941
  - POWER_RESET_RESTART
  - MFD_DA9150
  - MFD_RT5033
  - DRM_PANEL_SIMPLE
  - DRM_PANEL_LD9040
  - DRM_PANEL_S6E8AA0
  - DRM_PANEL_SHARP_LQ101R1SX01
  - MMC_SDHCI_F_SDH30
  - RTC_DRV_ABB5ZES3
  - FB_TFT
  - COMMON_CLK_CDCE706
  - ASM9260_TIMER
  - IOMMU_IO_PGTABLE_LPAE
  - CC10001_ADC
  - QCOM_SPMI_VADC
  - IIO_SSP_SENSORHUB
  - CM3232
- commit cdbb520
* Mon Mar  2 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc1-151-ga38ecbb
- commit e59411e
* Sun Mar  1 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc1-128-gae1aa79
- commit 08cd3c2
* Sat Feb 28 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc1-72-g895c8b7
- commit 6bf221e
* Fri Feb 27 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc1-36-g4f671fe
- commit e784a3f
* Wed Feb 25 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc1-22-gb24e2bd
- commit 1a71719
* Tue Feb 24 2015 guillaume.gardet@free.fr
- config: armv6hl: Update and re-enable armv6 default config
  Please find an update from 3.18.0 to 3.19.0 for armv6 default config.
  It also enables armv6 default config again.
  [AF: Homogenized module selection, dropped Broadcom Kona support (ARMv7)]
- commit 3d6604d
* Mon Feb 23 2015 mmarek@suse.cz
- Automatically updated to 4.0-rc1
- commit 3516d0f
* Sun Feb 22 2015 mmarek@suse.cz
- Automatically updated to 3.19-9526-ga135c71
- commit b14f6cb
* Sat Feb 21 2015 mmarek@suse.cz
- Automatically updated to 3.19-8996-g4fbd0a8
- commit 7b4b937
* Fri Feb 20 2015 mmarek@suse.cz
- Automatically updated to 3.19-8975-g3d88348
- commit 2798052
* Thu Feb 19 2015 mmarek@suse.cz
- Automatically updated to 3.19-8784-gb2b89eb
- commit 6fd0749
* Wed Feb 18 2015 mmarek@suse.cz
- Automatically updated to 3.19-8409-gf5af19d
- commit 208c2c6
* Tue Feb 17 2015 mmarek@suse.cz
- Automatically updated to 3.19-7478-g796e1c5
- commit 6474bef
* Mon Feb 16 2015 mmarek@suse.cz
- Automatically updated to 3.19-6676-g1fa185e
- commit 7d0a5d2
* Mon Feb 16 2015 matwey.kornilov@gmail.com
- config: armv7hl: Temporarily disable CONFIG_PCIE_SPEAR13XX
  spear13xx pcie leads to kernel oopses in random places,
  so lets disable it until a proper solution to fix it is found.
  References: bko#92581
- commit cdb7b6d
* Sun Feb 15 2015 mmarek@suse.cz
- Automatically updated to 3.19-5375-gd347efe
- commit 462a32b
* Sat Feb 14 2015 mmarek@suse.cz
- Automatically updated to 3.19-5184-g18320f2
- commit 665ef68
* Fri Feb 13 2015 jdelvare@suse.de
- Update config files: disable CONFIG_I2C_SLAVE
  Disable CONFIG_I2C_SLAVE on x86 and ppc*. There is currently no known
  use case for this feature on these architectures, and it has a small
  build time and size cost.
- commit 3b0fc1d
* Fri Feb 13 2015 mmarek@suse.cz
- Automatically updated to 3.19-5015-gc7d7b98
- commit 48cb099
* Thu Feb 12 2015 mmarek@suse.cz
- Automatically updated to 3.19-4542-g8cc748a
- commit 8e8e406
* Wed Feb 11 2015 mmarek@suse.cz
- Automatically updated to 3.19-2595-gc5ce28d
- commit b382c37
* Tue Feb 10 2015 mmarek@suse.cz
- Automatically updated to 3.19-463-g3e8c04e
- commit a774bef
* Mon Feb  9 2015 jeffm@suse.com
- Update to 3.19-final.
- commit 4e5f389
* Mon Feb  9 2015 mmarek@suse.cz
- Automatically updated to 3.19
- commit 63e785d
* Sun Feb  8 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc7-193-g0b1ce1a
- commit d8cea27
* Sat Feb  7 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc7-189-g26cdd1f
- commit b51b2a5
* Fri Feb  6 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc7-118-g9d82f5eb
- commit aa81eb3
* Thu Feb  5 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc7-32-g5ee0e96
- commit 9e99ca0
* Thu Feb  5 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix build if there is no *.crt file
- commit c5b1275
* Wed Feb  4 2015 jbeulich@suse.com
- Update Xen patches to 3.19-rc7 and c/s 1279.
- Update Xen config files.
- commit fe0ed43
* Wed Feb  4 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc7-22-gdc6d684
- commit c6e47d9
* Tue Feb  3 2015 jeffm@suse.com
- Update to 3.19-rc7.
- commit 316ec1c
* Mon Feb  2 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc7
- commit d7c65ec
* Fri Jan 30 2015 mmarek@suse.cz
- rpm/constraints.in: Lower the requirement to 4 CPUs on POWER
- commit 9e50821
* Wed Jan 28 2015 jeffm@suse.com
- Update to 3.19-rc6.
- Config changes:
  - SENSORS_I5500=m (i386/x86_64)
- commit add7a41
* Wed Jan 28 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc6-105-gc59c961
- commit 606cc4a
* Tue Jan 27 2015 jbeulich@suse.com
- rpm/package-descriptions: Describe kernel-pv (and correct kernel-ec2's).
- commit 6dd25c9
* Tue Jan 27 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc6-21-g4adca1c
- commit d769d4e
* Mon Jan 26 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc6
- commit bcc21d7
* Mon Jan 26 2015 mmarek@suse.cz
- rpm/kernel-docs.spec.in: Do not ignore errors from make
- commit 86ebfa7
* Sun Jan 25 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc5-212-g440e996
- commit 51af2d0
* Sat Jan 24 2015 jdelvare@suse.de
- Update x86_64 config files: CONFIG_SENSORS_NCT6683=m
  The nct6683 driver is already enabled on i386 and history suggests
  that it not being enabled on x86_64 is by mistake.
- commit 32c1cf3
* Sat Jan 24 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc5-184-gc4e00f1
- commit 063974f
* Fri Jan 23 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Drop sparse from BuildRequires
- commit 9777c26
* Fri Jan 23 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Update the comment about NO_BRP_STALE_LINK_ERROR
  There is no stale symlink in the installed system anymore, but there is
  one during build.
- commit e575cce
* Fri Jan 23 2015 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Own the modules directory in the devel
  package (bnc#910322)
- commit d89b963
* Fri Jan 23 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc5-134-gf8de05c
- commit b63b4d0
* Thu Jan 22 2015 jbeulich@suse.com
- Add x86 PV config files.
- commit 4c2e561
* Thu Jan 22 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc5-119-gb942c65
- commit 6a1f924
* Thu Jan 22 2015 jbeulich@suse.com
- Update Xen patches to 3.19-rc5 and c/s 1276.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 5102b91
* Wed Jan 21 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc5-117-g5eb11d6
- commit de5a425
* Wed Jan 21 2015 jeffm@suse.com
- Update to 3.19-rc5.
- Config changes:
  - I40E_FCOE=y
- commit 6ff60ce
* Tue Jan 20 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc5-69-g06efe0e
- commit 8f66c91
* Mon Jan 19 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc5
- commit 099adee
* Sat Jan 17 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc4-241-gfc7f0dd
- commit 400e52d
* Fri Jan 16 2015 matwey.kornilov@gmail.com
- config: armv7hl: Update config files for 3.19-rc6
  [AF: Updated for -rc6, enabled some more default options,
    enabled/disabled lpae options, regenerated vanilla from default]
- commit a50555e
* Fri Jan 16 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc4-155-gcb59670
- commit db377f6
* Thu Jan 15 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc4-141-gf800c25
- commit 534fe33
* Wed Jan 14 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc4-46-g188c901
- commit 03e7538
* Tue Jan 13 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc4-23-g971780b
- commit c07bf64
* Mon Jan 12 2015 jeffm@suse.com
- Update to 3.19-rc4.
- Config changes:
  - KDB_DEFAULT_ENABLE=0x1 (default, no change)
- commit 54642a5
* Mon Jan 12 2015 jeffm@suse.com
- config: fixed re-enabling of CFG80211_WEXT
- Note: CFG80211_WEXT was disabled in 3.19-rc1, not 3.17.
  * git describe and git name-rev show different things.
- IPW2200_DEBUG=y was set prior to 3.19-rc1, restore it
- Re-sync arm64 config to match pre-rc1 values.
- commit 1da43cd
* Mon Jan 12 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc4
- commit 5062cd8
* Sun Jan 11 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc3-173-g4850d37
- commit cb399c0
* Sat Jan 10 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc3-169-geb74926
- commit b003bd5
* Fri Jan  9 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc3-69-g11c8f01
- commit 8d02ced
* Thu Jan  8 2015 jeffm@suse.com
- Update to 3.19-rc3.
- Config changes are repairing fallout from the removal of
  wireless extensions in 3.17. They were restored in 3.19-rc3.
- commit 3d46b64
* Wed Jan  7 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc3-38-gbdec419
- commit 83f9586
* Tue Jan  6 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc3
- commit fbb6253
* Tue Jan  6 2015 agraf@suse.de
- arm64: Enable DRM
- commit 6fbf188
* Mon Jan  5 2015 agraf@suse.de
- arm64: Disable CRC32 accelerator again, doesn't build
- commit dacd84d
* Mon Jan  5 2015 agraf@suse.de
- arm64: Enable generic PHB driver (bnc#911732).
- commit b9f6136
* Mon Jan  5 2015 agraf@suse.de
- Update config files for arm64
- commit 4c5fcb6
* Mon Jan  5 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc2-219-g693a30b8
- commit 85b9aff
* Sat Jan  3 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc2-215-gd753856
- commit 6cd3369
* Thu Jan  1 2015 mmarek@suse.cz
- Automatically updated to 3.19-rc2-193-g5e0f872
- commit ff72f5d
* Wed Dec 31 2014 mmarek@suse.cz
- Automatically updated to 3.19-rc2-185-g9bb29b6
- commit 57b73ba
* Tue Dec 30 2014 mmarek@suse.cz
- Automatically updated to 3.19-rc2-86-g5faa015
- commit 498dd1d
* Tue Dec 23 2014 matwey.kornilov@gmail.com
- config: Introduce vanilla configs for armv6l, armv7l and aarch64
- commit 7926012
* Mon Dec 22 2014 jeffm@suse.com
- Update to 3.19-rc1.
- Eliminated 5 patches.
- Xen needs updating.
- ARM configs need updating.
- Config changes:
  - General
  - INIT_FALLBACK (y, default, consistent with old default)
  - PAGE_EXTENSION=n (overhead)
  - PAGE_OWNER=n (overhead)
  - Networking:
  - NET_FOU_IP_TUNNELS=y
  - NFT_REDIR=m
  - NFT_REDIR_IPV4=m
  - NFT_REDIR_IPV6=m
  - NET_DSA_HWMON=y
  - NET_ACT_VLAN=m
  - NET_SWITCHDEV=y (only impact is a slightly bigger ndo)
  - BT_BREDR=y
  - BT_LE=y
  - IPVLAN=m
  - NET_DSA_MV88E6352=m
  - ROCKER=m
  - BCMGENET=m
  - Driver options:
  - CONFIG_MAC80211_RC_MINSTREL_VHT=y
  - ATH9K_PCOEM=y
  - RTC_DRV_DS1374_WDT=y
  - INFINIBAND_ON_DEMAND_PAGING=y
  - SQUASHFS_LZ4=y
  - Drivers:
  - SCSI_AM53C974=m
  - SCSI_WD719X=m
  - KEYBOARD_CAP11XX=m
  - MOUSE_ELAN_I2C=m
  - TOUCHSCREEN_GOODIX=m
  - TOUCHSCREEN_ELAN=m
  - IPMI_SSIF=m
  - I2C_SLAVE=y (does nothing; only here for future additions)
  - GPIO_74XX_MMIO=m
  - SENSORS_NCT7802=m
  - MFD_DLN2=m
  - I2C_DLN2=m
  - GPIO_DLN2
  - IR_IGORPLUGUSB=m
  - DVB_SMIPCIE=m
  - DVB_MN88472=m
  - DVB_MN88473=m
  - VIDEO_SAA7191=n (staging/deprecated)
  - VIDEO_VIM2M=m
  - DRM_I2C_ADV7511=m
  - SND_OXFW=m
  - HID_PLANTRONICS=m
  - MMC_TOSHIBA_PCI=m
  - LEDS_LP8860=m
  - x86
  - X86_INTEL_MPX=y (default n, little kernel overhead for potential security gains)
  - RCU_KTHREAD_PRIO=1 (default)
  - X86_VSYSCALL_EMULATION=y
  - HSA_AMD=m
  - EDAC_AMD64=m
  - EDAC_AMD64_ERROR_INJECTION=y
  - ppc
  - OF_UNITTEST=n
  - IPMI_POWERNV=m
  - I2C_OPAL=m
  - RTC_DRV_OPAL=m
  - s390x
  - SCLP_ASYNC_ID=000000000 (default)
  - SoC
  - PINCTRL_CHERRYVIEW=n
  - ARM?: (all n)
  - PMIC
  - MFD_ATMEL_HLCDC
  - COMMON_CLK_XLNX_CLKWZRD
  - QCOM_SPMI_IADC
  - Mobile sensors: (all n)
  - SI7020
  - BMP280
- commit 911f5d9
* Sun Dec 21 2014 mmarek@suse.cz
- Automatically updated to 3.19-rc1
- commit 054b924
* Sat Dec 20 2014 mmarek@suse.cz
- Automatically updated to 3.18-11988-gecb5ec0
- commit c1d4cbd
* Fri Dec 19 2014 mmarek@suse.cz
- Automatically updated to 3.18-11757-gd790be38
- commit 34ddf37
* Thu Dec 18 2014 mmarek@suse.cz
- Automatically updated to 3.18-11290-g44e8967
- commit 7869507
* Wed Dec 17 2014 mmarek@suse.cz
- Automatically updated to 3.18-11052-g603ba7e
- commit 3bac762
* Tue Dec 16 2014 mmarek@suse.cz
- Automatically updated to 3.18-10872-g2dbfca5
- commit dac5f65
* Mon Dec 15 2014 mmarek@suse.cz
- Automatically updated to 3.18-8412-g67e2c38
- commit f9d852b
* Sun Dec 14 2014 mmarek@suse.cz
- Automatically updated to 3.18-7292-g9ea18f8
- commit 90fffda
* Sat Dec 13 2014 mmarek@suse.cz
- Automatically updated to 3.18-7016-gf96fe22
- commit 9119a11
* Fri Dec 12 2014 mmarek@suse.cz
- Automatically updated to 3.18-6553-g2756d37
- commit 9e1fc06
* Thu Dec 11 2014 mmarek@suse.cz
- Automatically updated to 3.18-2866-g92a578b
- commit 42ea061
* Wed Dec 10 2014 mmarek@suse.cz
- Automatically updated to 3.18-1967-g86c6a2f
- commit 2431813
* Tue Dec  9 2014 mmarek@suse.cz
- Automatically updated to 3.18-545-gf3f62a3
- commit fb628f4
* Tue Dec  9 2014 jeffm@suse.com
- Update to 3.18-final.
- commit 9706845
* Mon Dec  8 2014 mmarek@suse.cz
- Automatically updated to 3.18
- commit e3a2570
* Sun Dec  7 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc7-73-g19b0225
- commit d670df3
* Fri Dec  5 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc7-59-g56c67ce
- commit 837861f
* Fri Dec  5 2014 agraf@suse.de
- arm64: Enable 64k page size (bnc#908468)
- commit 428ead9
* Thu Dec  4 2014 agraf@suse.de
- ARMv7: Bump NR_CPUs to 16, the HIP04D01 has that many
- commit de5c040
* Thu Dec  4 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc7-48-g7cc78f8
- commit 18fd769
* Tue Dec  2 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc7-3-g3a18ca0
- commit 52f6b72
* Mon Dec  1 2014 jbeulich@suse.com
- Update Xen config files (restore RTC_DRV_EFI).
- commit 5b7e818
* Mon Dec  1 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc7
- commit 8bc0f91
* Sun Nov 30 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc6-165-g7a5a4f9
- commit f35a616
* Sat Nov 29 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc6-150-g8891063
- commit 616ff26
* Fri Nov 28 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc6-98-g98e8d2e
- commit 75a8de3
* Thu Nov 27 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc6-28-g3314bf6
- commit 7a5938b
* Thu Nov 27 2014 mmarek@suse.cz
- rpm/constraints.in: Require 10GB of disk space also on 32bit POWER
- commit 33a282b
* Wed Nov 26 2014 jeffm@suse.com
- Update to 3.18-rc6.
- commit d33363f
* Wed Nov 26 2014 mmarek@suse.cz
- rpm/constraints.in: Require 10GB disk space on POWER
  A debuginfo build currently requires about 8.5 GB on POWER. Also,
  require at least 8 CPUs, so that builds do not get accidentally
  scheduled on slow machines.
- commit 596d9cf
* Wed Nov 26 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc6-22-gb914c5b
- commit 7bb5703
* Mon Nov 24 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc6
- commit ed60bc3
* Sun Nov 23 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc5-193-gcb95413
- commit ddcb738
* Sat Nov 22 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc5-179-g8a84e01
- commit ed03c3c
* Wed Nov 19 2014 jeffm@suse.com
- Update to 3.18-rc5.
- commit 1866934
* Mon Nov 17 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc5
- commit bbee65a
* Sun Nov 16 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc4-278-g5f01feb
- commit 4d7ec97
* Sat Nov 15 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc4-230-g56c381f
- commit 06c0d80
* Fri Nov 14 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Provide name-version-release for kgraft
  packages (bnc#901925)
- commit c9157ee
* Fri Nov 14 2014 agraf@suse.de
- PPC: Update config files: Enable HV KVM as module
- commit b1fc93a
* Fri Nov 14 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc4-184-gb23dc5a
- commit 3883354
* Thu Nov 13 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc4-52-g04689e7
- commit 86afac0
* Mon Nov 10 2014 jeffm@suse.com
- Update to 3.18-rc4.
- commit 3b300d5
* Mon Nov 10 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc4
- commit f93d56a
* Sun Nov  9 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc3-134-gfe606df
- commit a1f6d43
* Sat Nov  8 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc3-116-g6ac94d3
- commit 1648057
* Fri Nov  7 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc3-82-ged78bb8
- commit a2308cf
* Thu Nov  6 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc3-68-g20f3963
- commit 797fb8b
* Wed Nov  5 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc3-61-ga1cff6e
- commit 095d94b
* Tue Nov  4 2014 jbeulich@suse.com
- Update Xen patches to 3.18-rc3.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 33fb499
* Mon Nov  3 2014 matwey.kornilov@gmail.com
- config: armv7hl: temporarily disable KEYSTONE_NAVIGATOR_QMSS
  KEYSTONE_NAVIGATOR_QMSS leads to the following module dependency cycle.
  Disable it until it will be fixed in upstream.
  [24907s] depmod: ERROR: Found 2 modules in dependency cycles!
  [24907s] depmod: ERROR: Cycle detected: knav_qmss_queue -> knav_qmss_acc -> knav_qmss_queue
- commit a4e3ee3
* Mon Nov  3 2014 jeffm@suse.com
- Update to 3.18-rc3.
- Eliminated 3 patches.
- commit 69ca48a
* Sun Nov  2 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc2-472-g12d7aac
- commit 190b8e4
* Sun Nov  2 2014 agraf@suse.de
- usb: Add support for Synopsis H20AHB EHCI host controller
  (bnc#902632).
- usb: fix hcd h20ahb driver depends (bnc#902632).
- KVM: ARM: Add "arm,gic-400" compatible support (bnc#902632).
- net/xgbe: Add A0 silicon support (bnc#902632).
- arm64: dts: Add X-Gene reboot driver dts node (bnc#902632).
- arm64: Select reboot driver for X-Gene platform (bnc#902632).
- arm64: Do not call enable PCI resources when specify
  PCI_PROBE_ONLY (bnc#902632).
- ARM/ARM64: arch-timer: fix arch_timer_probed logic (bnc#902632).
- Documentation: Restrict TSC test code to x86 (bnc#902632).
- KVM: ARM: Hack to enable VGIC mapping on 64k PAGE_SIZE kernels
  (bnc#902633).
- Update config files.
- commit d1596ef
* Sat Nov  1 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc2-410-g9f93567
- commit 6fdf4c1
* Fri Oct 31 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc2-139-g3a2f22b
- commit 1d4674c
* Thu Oct 30 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix including the secure boot cert in /etc/uefi/certs
- commit 72255c9
* Thu Oct 30 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc2-106-ga7ca10f
- commit 2f492b9
* Wed Oct 29 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc2-53-g9f76628
- commit 7110f2e
* Mon Oct 27 2014 jeffm@suse.com
- Update to 3.18-rc2.
- Config changes:
  * ACPI_THERMAL_REL=m
  * DA9063_WATCHDOG=m
  * INT340X_THERMAL=m
  * OVERLAYFS_FS=m (vanilla only, we've been carrying these patches)
  * PWM_LPSS_PCI=m
  * PWM_LPSS_PLATFORM=m
  * TCM_USER=m
  * THERMAL_GOV_BANG_BANG=y
- commit 303e0b4
* Fri Oct 24 2014 matwey.kornilov@gmail.com
- config: armv6hl: Compile KGDB serial console into kernel
  A serial console is the major communication for ARM devices.
  Having CONFIG_KGDB_SERIAL_CONSOLE=m makes it impossible to debug the kernel
  at early boot stages.
- commit 017716f
* Fri Oct 24 2014 matwey.kornilov@gmail.com
- config: armv7hl: Compile KGDB serial console into kernel
  A serial console is the major communication for ARM devices.
  Having CONFIG_KGDB_SERIAL_CONSOLE=m makes it impossible to debug the kernel
  at early boot stages.
- commit 7cba380
* Fri Oct 24 2014 matwey.kornilov@gmail.com
- config: armv7hl: Disable CONFIG_USB_MUSB_TUSB6010
  TUSB6010 is not used by any of our JeOSes*, but introduces issues
  with USB on BeagleBone (and all other boards utilizing musb_hdrc).
  The way to resolve the issues is currently unknown, so temporarily
  disable it.
  See for details: http://marc.info/?l=linux-usb&m=141088564307331&w=2
- commit 3e3e42b
* Fri Oct 24 2014 agraf@suse.de
- ARM: Update config files: Move closer to x86_64 config
- commit a4b08eb
* Fri Oct 24 2014 afaerber@suse.de
- config: arm64: Update to v3.18-rc1
  Generic options as x86_64/armv7hl.
  Enabled PCI, enabling lots of devices.
  When in doubt, left miscellaneous drivers disabled.
- commit a09c425
* Fri Oct 24 2014 afaerber@suse.de
- config: armv6hl: Update to v3.18-rc1
  Generic options as for x86_64/armv7hl.
  When in doubt, disabled SoC level and PMIC drivers.
- commit 33c7f23
* Fri Oct 24 2014 afaerber@suse.de
- config: armv7hl: Update to v3.18-rc1
  Generic options like x86_64.
  Meson6 and BCM SoCs for default only.
- commit 4b665ee
* Thu Oct 23 2014 jeffm@suse.com
- Update to 3.18-rc1
- Eliminated 6 patches.
- ARM is disabled.
- Xen is disabled.
- Config changes:
  - Generic config options:
  * TASKS_RCU=n (default)
  * ADVISE_SYSCALLS=y (default)
  * MODULE_COMPRESS=n (default)
  * DISABLE_DEV_COREDUMP=n (default)
  * MTD_SPI_NOR_USE_4K_SECTORS=y (default)
  * SCSI_MQ_DEFAULT=y
  * SCHED_STACK_END_CHECK=y (good protection, may need to reevaluate)
  * HMC_DRV=m
  * DEVFREQ_GOV_SIMPLE_ONDEMAND=m
  * DEVFREQ_GOV_PERFORMANCE=m
  * DEVFREQ_GOV_POWERSAVE=m
  * DEVFREQ_GOV_USERSPACE=m
  * CPUFREQ_DT=n (default)
  - Security:
  * INTEGRITY=y
  - INTEGRITY_SIGNATURE=y
  - INTEGRITY_ASYMMETRIC_KEYS=y
  - INTEGRITY_AUDIT=y
  * CRYPTO_MCRYPTD=m
  * CRYPTO_SHA1_MB=m (x86_64)
  - Networking options:
  * NET_FOU=m
  * GENEVE=m
  * OPENVSWITCH_GENEVE=y
  * TCP_CONG_DCTCP=m
  * NFT_MASQ=m
  * IP_SET_HASH_MAC=m
  * IP_VS_FO=m
  * NF_REJECT_IPV4=y
  * NF_REJECT_IPV6=
  * NFT_MASQ_IPV4=m
  * NFT_MASQ_IPV6=m
  * CAN_M_CAN=m
  - New modules:
  * NET_DSA_MV88E6171=m
  * NET_DSA_BCM_SF2=m
  * FM10K=m
  * - FM10K_VXLAN=y
  * QCA7000=m
  * IWLWIFI_UAPSD=n (default, possible interop problems)
  * RTL8192EE=m
  * RTL8821AE=m
  * TOUCHSCREEN_AR1021_I2C=m
  * INPUT_DRV260X_HAPTICS=m
  * INPUT_DRV2667_HAPTICS=m
  * SERIAL_8250_FINTEK=m
  * HID_PENMOUNT=m
  * IR_HIX5HD2=m
  * DVB_USB_DVBSKY=m
  * USB_HACKRF=m
  * VIDEO_TW68=m
  * VIDEO_SAA7134_GO7007=m
  * DVB_PT3=m
  * USB_LED_TRIG=y
  * LEDS_SYSCON=y
  * BMC150_ACCEL=m
  * VIDEO_PCI_SKELETON=n
  * VIDEO_VIVID=m
  * POWER_RESET_GPIO_RESTART=n (default)
  * POWER_RESET_LTC2952=n
  * POWER_RESET_SYSCON=n
  * ATH9K_DYNACK=n (experimental)
  * ATH9K_CHANNEL_CONTEXT=y (needed for multi-channel concurrency)
  - New options specific to ARM (I think, all disabled):
  * MFD_HI6421_PMIC
  * MFD_RK808
  * MFD_RN5T618
  * SOC_TI
  * EXTCON_RT8973A
  * TI_ADC128S052
  * MAX5821
  * BMG160
  * AL3320A
  * GPIO_DWAPB
  * GPIO_MCP23S08
  - x86/x86_64:
  * IOSF_MBI_DEBUG=n (default)
  - Power:
  * GENERIC_CPU=y (ppc64)
  * POWER7_CPU=y (ppc64le)
  * CXL=m
  - System Z:
  * UPROBE_EVENT=y
- commit 5268106
* Wed Oct 22 2014 tiwai@suse.de
- Use fop for creating PDF files in kernel-docs package
  As some files still cannot be built with the default backend.
- commit 0de03e2
* Wed Oct 22 2014 tiwai@suse.de
- Fix build of PDF files in kernel-docs package
  Double the spaces for tex, and fix buildrequires for docbook.
- commit 9e1f511
* Mon Oct 20 2014 tiwai@suse.de
- Enable some IIO drivers for xen flavors too (bnc#898828)
- commit 7d5305c
* Mon Oct 20 2014 tiwai@suse.de
- Enable some IIO drivers on x86 for Tablet sensors (bnc#898828)
  Only a limited number of drivers are enabled as of now.  If more other
  device-specific drivers are needed, enable appropriately later.
- commit 7b8f64c
* Mon Oct 20 2014 mmarek@suse.cz
- Automatically updated to 3.18-rc1
- commit 85e7ca7
* Sun Oct 19 2014 mmarek@suse.cz
- Automatically updated to 3.17-10146-g52d589a
- commit 97459cb
* Wed Oct 15 2014 mmarek@suse.cz
- Automatically updated to 3.17-9670-g0429fbc
- commit 9e82335
* Tue Oct 14 2014 mmarek@suse.cz
- Automatically updated to 3.17-9283-g2d65a9f
- commit 3f870b6
* Mon Oct 13 2014 mmarek@suse.cz
- Automatically updated to 3.17-7747-g5e40d33
- commit 66f2a79
* Sun Oct 12 2014 mmarek@suse.cz
- Automatically updated to 3.17-7613-gca32188
- commit 50010c6
* Sat Oct 11 2014 mmarek@suse.cz
- Automatically updated to 3.17-6160-g40c4326
- commit d0a9d01
* Fri Oct 10 2014 mmarek@suse.cz
- Automatically updated to 3.17-5898-gb528392
- commit f4b90e0
* Thu Oct  9 2014 mmarek@suse.cz
- Automatically updated to 3.17-5503-g35a9ad8
- commit 77b9b91
* Wed Oct  8 2014 mmarek@suse.cz
- Automatically updated to 3.17-868-g0223f9a
- commit 5755671
* Mon Oct  6 2014 jeffm@suse.com
- Update to 3.17-final.
- commit 423560e
* Mon Oct  6 2014 mmarek@suse.cz
- Automatically updated to 3.17
- commit 1484be9
* Sun Oct  5 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc7-97-g7b6ea43d
- commit d48775c
* Sat Oct  4 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc7-94-g126d457
- commit ce6c283
* Fri Oct  3 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc7-76-g5858686
- commit 6c77e5e
* Thu Oct  2 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc7-46-g50dddff
- commit 157c901
* Wed Oct  1 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc7-6-gaad7fb9
- commit 33df0d0
* Mon Sep 29 2014 jeffm@suse.com
- Update to 3.17-rc7.
- commit ec7f4ce
* Mon Sep 29 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc7
- commit 3f63f6e
* Sun Sep 28 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc6-334-g1e3827b
- commit 2551443
* Sat Sep 27 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc6-293-gc6ff648
- commit 11b9854
* Fri Sep 26 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc6-278-gf4cb707
- commit 239096a
* Thu Sep 25 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc6-247-g005f800
- commit 906cb87
* Wed Sep 24 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc6-180-g452b636
- commit 37e533c
* Tue Sep 23 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc6-125-gf367039
- commit 6ffffa1
* Mon Sep 22 2014 jeffm@suse.com
- Update to 3.17-rc6.
- commit 847fe9e
* Mon Sep 22 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc6
- commit 9ae4e59
* Sun Sep 21 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc5-181-g3c2ea70
- commit cdbed33
* Sat Sep 20 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc5-127-g46be7b7
- commit 0cb954b
* Fri Sep 19 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc5-63-gd9773ce
- commit 58a2b21
* Thu Sep 18 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc5-25-g8ba4caf
- commit 1222641
* Thu Sep 18 2014 jbeulich@suse.com
- Update EC2 config files again (adding DEBUG_INFO_DWARF4).
- commit cd1ea3d
* Wed Sep 17 2014 jbeulich@suse.com
- Update EC2 config files (re-enable DEBUG_INFO).
- commit c169b20
* Wed Sep 17 2014 jbeulich@suse.com
- Update Xen patches to 3.17-rc5.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 80c0730
* Wed Sep 17 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc5-24-g37504a3b
- commit d7cbacf
* Tue Sep 16 2014 jdelvare@suse.de
- Update s390x config files: disable CONFIG_EXTCON_SM5502
  Enabling CONFIG_EXTCON_SM5502 broke the build, because this option
  should depend on CONFIG_I2C which is not enabled on s390x. So disable
  CONFIG_EXTCON_SM5502 on s390x, and also disable CONFIG_EXTCON as
  there is no point in enabling it when no extcon device driver is
  selected.
- commit 954df51
* Tue Sep 16 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc5-13-g2324067
- commit f5fe8f5
* Mon Sep 15 2014 jeffm@suse.com
- Update to 3.17-rc5.
- Config changes:
  - NAT config option splitout, no real change:
  - CONFIG_IP6_NF_NAT=m
  - CONFIG_IP_NF_NAT=m
  - CONFIG_NETFILTER_XT_NAT=m
  - CONFIG_NF_NAT_H323=m
  - CONFIG_NF_NAT_IPV4=m
  - CONFIG_NF_NAT_IPV6=m
  - CONFIG_NF_NAT_PPTP=m
  - CONFIG_NF_NAT_PROTO_GRE=m
  - CONFIG_NF_NAT_SNMP_BASIC=m
- commit e4ddd38
* Mon Sep 15 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc5
- commit 1316693
* Sun Sep 14 2014 jdelvare@suse.de
- Update s390x config files: Disable CONFIG_WATCHDOG_NOWAYOUT
  It's already disabled on all other architectures for a long time and
  has been causing problems on s390x (bnc#756585, bnc#895103.)
- commit db1fb88
* Sun Sep 14 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc4-355-g1536340
- commit 9eab6ae
* Sat Sep 13 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc4-337-gfc486b0
- commit 023c820
* Fri Sep 12 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc4-222-gc73f6fd
- commit 0545c2c
* Thu Sep 11 2014 mmarek@suse.cz
- Disable MODULE_COMPRESS
  It makes little sense for openSUSE and it breaks debuginfo packaging.
- commit 46e3aca
* Thu Sep 11 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc4-168-g7ec62d4
- commit c77de80
* Wed Sep 10 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc4-158-ge874a5f
- commit 9af2ac4
* Tue Sep  9 2014 agraf@suse.de
- ARM: Update config files: Enable DRM
- commit 489c985
* Tue Sep  9 2014 matwey.kornilov@gmail.com
- config: armv7hl/default: Disable DMA for MUSB
  Hi, this is both for stable and master.
  An issue is the following. We can not have multiple DMA modes in the same kernel due to current musb design.
  So, it will work only for specific hardware (OMAP DMA). Current configuration leads to OOPS at BeaglBone Black (CPI41 DMA which is disabled), because it tries to use wrong DMA functions (from OMAP DMA).
  The fairest way to fix it is to disable DMA for all hardware until fix in upstream.
  [agraf: copy changes to lpae flavor as well]
- commit 2e60b62
* Tue Sep  9 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc4-140-g8c68fac
- commit a7408a5
* Mon Sep  8 2014 jeffm@suse.com
- Update to 3.17-rc4.
- No config changes.
- commit d82155a
* Mon Sep  8 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc4-131-gd030671
- commit b08bb25
* Mon Sep  8 2014 agraf@suse.de
- kernel-obs-build: Force load kernel modules
  - fixes QEMU kiwi builds
- commit 9a27fc1
* Sun Sep  7 2014 agraf@suse.de
- rpm/kernel-obs-build.spec.in: Enable 32bit ARM builds
- commit 3ccdab2
* Sun Sep  7 2014 agraf@suse.de
- ARM: Update config files.
  - armv7: Increase CMA size to 64MB
  - arm64: Switch to 4k pages, enables KVM on more systems and 32bit compat
- commit 106ec7c
* Sat Sep  6 2014 dmueller@suse.com
- config: armv7hl/lpae: Reenable support for Hugepages
  This was apparently accidentally disabled, but we need
  hugepages support for improved performance and stability
  of the KVM build workers.
- commit 628d06e
* Thu Sep  4 2014 agraf@suse.de
- rpm/kernel-binary.spec.in: Always build zImage for ARM
- commit 14e56cc
* Wed Sep  3 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Create a kernel-macros package with the KMP macros
  This package does not have multiversion(kernel) and is not built in the
  - rt tree (bnc#867595).
- commit 9b6a6fe
* Wed Sep  3 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Install doc files in a versioned directory (bnc#867595)
- commit deb25bc
* Tue Sep  2 2014 jeffm@suse.com
- Update to 3.17-rc3.
- Config changes:
  - x86_64: KEXEC_FILE=y
- commit c7e0570
* Tue Sep  2 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc3-2-g7505cea
- commit 50c9610
* Mon Sep  1 2014 agraf@suse.de
- ARM: Update config files: Disable NFC, it results in endless depmod loops
- commit 460b329
* Mon Sep  1 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc3
- commit 6aab215
* Sat Aug 30 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc2-227-gfd5984d
- commit d19ffcb
* Fri Aug 29 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc2-89-g59753a8
- commit a723ef0
* Thu Aug 28 2014 matwey.kornilov@gmail.com
- config: armv7hl/default: Disable pcie-spear13xx and gpio-zynq
  This is for master (Kernel:HEAD) to fix build:
  [30000s] ERROR: "dw_pcie_host_init" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_handle_msi_irq" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_msi_init" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_cfg_write" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_cfg_read" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_setup_rc" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30000s] ERROR: "dw_pcie_link_up" [drivers/pci/host/pcie-spear13xx.ko] undefined!
  [30003s] ERROR: "handle_fasteoi_irq" [drivers/gpio/gpio-zynq.ko] undefined!
- commit a061ee1
* Thu Aug 28 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc2-42-gf1bd473
- commit 7a5e871
* Wed Aug 27 2014 jslaby@suse.cz
- Update config files.
  Turn off udev firmware loading as udev does not provide this service
  anymore and it causes delays. This kernel on older distros still
  should load the fw on its own. (bnc#891645)
- commit 21b9f10
* Wed Aug 27 2014 jeffm@suse.com
- Update to 3.17-rc2.
- Config changes:
  - PCI_DRA7XX=n on ARM
  - I2C_ACPI renamed to ACPI_I2C_OPREGION.
- commit dfb8ab0
* Wed Aug 27 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc2-9-g68e3702
- commit 0de338b
* Tue Aug 26 2014 schwab@suse.de
- config: arm64/default: reenable ARM64_CRYPTO
- commit 0e25358
* Tue Aug 26 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc2
- commit b6d4b86
* Mon Aug 25 2014 agraf@suse.de
- Update armv6hl config file
- commit 9890575
* Mon Aug 25 2014 agraf@suse.de
- Update armv7l config files
- commit d4dbc90
* Mon Aug 25 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc1-231-g7be141d
- commit b8b7866
* Mon Aug 25 2014 agraf@suse.de
- Update arm64 config file
- commit 682bf29
* Fri Aug 22 2014 jeffm@suse.com
- config: disable COMMON_CLK_QCOM on non-ARM architectures
- commit e035e67
* Fri Aug 22 2014 jeffm@suse.com
- Update to 3.17-rc1
- Eliminated 8 patches.
- ARM is disabled.
- Xen is disabled.
- Config changes:
  - Generic config options:
  * LOG_CPU_MAX_BUF_SHIFT=15 (32kb, only used with ncpus > 64)
  * KEXEC_VERIFY_SIG=y (needed for secure boot to not get our keys revoked)
  * FW_LOADER_USER_HELPER_FALLBACK=y (we use udev)
  * MESSAGE_LOGLEVEL_DEFAULT=4 (default)
  * DEBUG_INFO_SPLIT=n (would be nice to do =y, but do our tools support it?)
  * DEBUG_INFO_DWARF4=y
  * TEST_RHASHTABLE=n
  * TEST_FIRMWARE=n
  * TEST_UDELAY=n
  * FENCE_TRACE=n
  * GLOB_SELFTEST=n
  * CONFIG_SPI=y
  - USB_MSI2500 depends on SPI
  - Every other SPI driver is disabled
  - New modules:
  * NF_LOG_ARP=m
  * NF_LOG_IPV4=m
  * NF_LOG_IPV6=m
  * NFT_BRIDGE_REJECT=m
  * NF_LOG_BRIDGE=m
  * 6LOWPAN=m
  * TABLET_SERIAL_WACOM4=m
  * I2C_ACPI=y
  * W1_SLAVE_DS2406=m
  * SENSORS_POWR1220=m
  * SENSORS_TPS40422=m
  * SENSORS_TMP103=m
  * IR_XMP_DECODER=m
  * USB_MSI2500=m
  * USB_AIRSPY=m
  * VIDEO_SOLO6X10=m
  * HID_GT683R=m
  * HID_LENOVO=m
  * USB_LINK_LAYER_TEST=m
  * EDAC_IE31200=m
  * RTC_DRV_PCF85063=m
  * MFD_MAX8907=m
  * VIDEO_SOLO6X10=m
  * TOSHIBA_HAPS=m
  * EXTCON_SM5502=m
  * PHY_ST_SPEAR1310_MIPHY=m
  * PHY_ST_SPEAR1340_MIPHY=m
  * THUNDERBOLT=m
  * CRYPTO_DRBG_MENU=m
  - CRYPTO_DRBG_HMAC=y
  - CRYPTO_DRBG_HASH=y
  - CRYPTO_DRBG_CTR=y
  * CRYPTO_DEV_QAT_DH895xCC=m
  * CRYPTO_DES3_EDE_X86_64=m
  * INTEL_MIC_BUS=m
  * INTEL_MIC_X100_DMA=m
  * UNISYS_VISORUTIL=m
  - UNISYS_VISORCHANNEL=m
  - UNISYS_VISORCHIPSET=m
  - UNISYS_CHANNELSTUB=m
  - UNISYS_UISLIB=m
  - UNISYS_VIRTPCI=m
  - UNISYS_VIRTHBA=m
  - ppc64/ppc64le:
  * SENSORS_IBMPOWERNV=m
  * KVM_BOOK3S_64_HV=m
  * CMA_DEBUG=n
  * CMA_AREAS=7 (default)
  - s390x:
  * IRQ_DOMAIN_DEBUG=n
- commit 70faf9b
* Fri Aug 22 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc1-99-g5317821
- commit d0e75a9
* Thu Aug 21 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix the version variables in the generated
  Makefile (bnc#892973)
- commit 8331f47
* Thu Aug 21 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc1-51-g372b1db
- commit f60b1db
* Wed Aug 20 2014 mmarek@suse.cz
- rpm/compress-vmlinux.sh: Do not duplicate the job of brp-99-compress-vmlinux
- commit e561498
* Wed Aug 20 2014 afaerber@suse.de
- config: arm64: Enable RTC_DRV_HID_SENSOR_TIME
  For consistency across ARM configs.
  This drags in IIO. For consistency, in turn use:
  CONFIG_IIO_SIMPLE_DUMMY=m
  CONFIG_HID_SENSOR_IIO_TRIGGER=m
  CONFIG_IIO_PERIODIC_RTC_TRIGGER=m
  CONFIG_IIO_INTERRUPT_TRIGGER=m
  CONFIG_IIO_SYSFS_TRIGGER=m
  CONFIG_IIO_BUFFER=y
  CONFIG_IIO_KFIFO_BUF=m
  CONFIG_HID_SENSOR_*=m
- commit 063ce91
* Wed Aug 20 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc1-22-g480cadc
- commit 4596507
* Wed Aug 20 2014 afaerber@suse.de
- config: armv6hl: Re-enable DWC2 USB support
  The config update/cleanup for v3.16-rc3 mistakenly disabled USB_DWC2,
  which is needed for the Raspberry Pi.
  Fixes: d2f49e165ca3 ("config: armv6hl: Update config for 3.16-rc3")
- commit 7bfc961
* Wed Aug 20 2014 afaerber@suse.de
- config: ARM: Change RTC drivers to built-in
  Consistently do not build RTC drivers as modules. This fixes subtle
  differences between armv7hl default and lpae flavors and avoids any
  timing-related driver initialization issues.
  To make RTC_DRV_88PM80X built-in, make MFD_88PM800 built-in, too.
  To make RTC_DRV_PM8XXX built-in, make MFD_PM8921_CORE built-in, too.
- commit 469cc7f
* Mon Aug 18 2014 schwab@suse.de
- rpm/kernel-binary.spec.in: Fix missing quotes around %%build_flavor
  %%build_flavor can be an arbitrary string, so it needs to be quoted for
  string comparison.
- commit 0134440
* Mon Aug 18 2014 dvaleev@suse.com
- rpm/kernel-obs-build.spec.in: Use dracut for SLE12
- commit ec64eaf
* Mon Aug 18 2014 afaerber@suse.de
- config: armv6hl: Enable DMA_BCM2835
  Only bcm2835 option missing.
- commit 6da1105
* Mon Aug 18 2014 afaerber@suse.de
- config: armv7hl: Enable DWMAC_SUNXI for lpae flavor as well
  Without this, the Cubietruck has no network in LPAE mode.
- commit dde37db
* Sun Aug 17 2014 mmarek@suse.cz
- Automatically updated to 3.17-rc1
- commit 84d3005
* Sat Aug 16 2014 mmarek@suse.cz
- Automatically updated to 3.16-11452-g88ec63d
- commit bf47c16
* Fri Aug 15 2014 mmarek@suse.cz
- Automatically updated to 3.16-11383-gc9d2642
- commit ac4c515
* Thu Aug 14 2014 mmarek@suse.cz
- Automatically updated to 3.16-10959-gf0094b2
- commit c32961d
* Wed Aug 13 2014 tiwai@suse.de
- Revert "config: armv7hl: Disable OMAP DRM"
  This reverts commit f92487dbd7a305531e4cc54c41609b8f77a1bc30.
  The previous commit should fix the build error of omapdrm.
- commit 6292001
* Wed Aug 13 2014 afaerber@suse.de
- config: armv7hl: Disable OMAP DRM
  To avoid errors such as:
  ../drivers/gpu/drm/omapdrm/omap_plane.c: In function 'omap_plane_pre_apply':
  ../drivers/gpu/drm/omapdrm/omap_plane.c:145:2: error: format '%%x' expects argument of type 'unsigned int', but argument 5 has type 'dma_addr_t' [-Werror=format=]
    DBG("%%d,%%d %%08x %%08x", info->pos_x, info->pos_y,
    ^
  ../drivers/gpu/drm/omapdrm/omap_plane.c:145:2: error: format '%%x' expects argument of type 'unsigned int', but argument 6 has type 'dma_addr_t' [-Werror=format=]
  cc1: all warnings being treated as errors
  disable OMAP DRM for now.
  Two patches were sent upstream by Matwey V. Kornilov but didn't find
  their way into v3.16. Once patches are applied, revert this commit.
- commit f2f74ea
* Wed Aug 13 2014 afaerber@suse.de
- config: arm64: Disable ARM64 crypto extensions
  To avoid build errors such as:
  ld: cannot find arch/arm64/crypto/aes-glue-ce.o: No such file or directory
  ../scripts/Makefile.build:411: recipe for target 'arch/arm64/crypto/aes-ce-blk.o' failed
  disable support for ARM64 crypto extensions for now.
  A patch was submitted upstream by Andreas Schwab but didn't make it into
  v3.16. Once that is available, this commit should be reverted.
- commit cb61536
* Tue Aug 12 2014 schwab@suse.de
- config: arm64/default: make rtc-pl03[01] built-in
- commit 150629d
* Mon Aug 11 2014 mmarek@suse.cz
- Automatically updated to 3.16-10473-gc8d6637
- commit a467213
* Sun Aug 10 2014 mmarek@suse.cz
- Automatically updated to 3.16-10436-g9138475
- commit 5be8953
* Sat Aug  9 2014 mmarek@suse.cz
- Automatically updated to 3.16-10013-gc309bfa
- commit a51d8c6
* Fri Aug  8 2014 mmarek@suse.cz
- Automatically updated to 3.16-8695-ga7d7a14
- commit 809bfce
* Thu Aug  7 2014 mmarek@suse.cz
- Automatically updated to 3.16-7503-g33caee3
- commit 6a9f2d7
* Wed Aug  6 2014 mmarek@suse.cz
- Automatically updated to 3.16-4635-ge7fda6c
- commit 48882cb
* Tue Aug  5 2014 mmarek@suse.cz
- Automatically updated to 3.16-3638-g8e099d1
- commit 4b43f13
* Mon Aug  4 2014 jeffm@suse.com
- config: disable CONFIG_PPC_PS3 on ppc64le
  The PS3 hardware is big-endian.
- commit 0e1f9ab
* Mon Aug  4 2014 jeffm@suse.com
- config: resync vanilla configs (no actual changes)
- commit 8f9c221
* Mon Aug  4 2014 jeffm@suse.com
- Update to 3.16.
- commit ccbb81b
* Mon Aug  4 2014 mmarek@suse.cz
- Automatically updated to 3.16
- commit 0907820
* Sun Aug  3 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc7-111-g3f9c08f
- commit bafb6ac
* Fri Aug  1 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc7-84-g6f09280
- commit d651011
* Thu Jul 31 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc7-76-g3a1122d
- commit bcfdb0e
* Wed Jul 30 2014 jdelvare@suse.de
- Revert "config: disable USB_UAS (bnc#888069)."
  This reverts commit f509af67eb3a98665e0134eaadb91e93420d9e04. The uas
  driver works fine since kernel v3.15, the problem was that the
  module was blacklisted so it would not load when needed.
- commit f23efc2
* Tue Jul 29 2014 jeffm@suse.com
- config: disable USB_UAS (bnc#888069).
  uas is already blacklisted in /etc/modprobe.d/50-blacklist.conf as
  being hopelessly broken, but there are parts of usb-storage that are
  ifdef'd around it being configured at all. Let's disable it completely.
- commit dda6ac4
* Tue Jul 29 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc7-7-g31dab71
- commit 0ba2ef0
* Mon Jul 28 2014 jeffm@suse.com
- Update to 3.16-rc7.
- commit 3eaa177
* Mon Jul 28 2014 schwab@suse.de
- config: arm64/default: increase LOG_BUF_SHIFT to 18
- commit f334009
* Mon Jul 28 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc7
- commit 463c55f
* Mon Jul 28 2014 lpechacek@suse.cz
- doc/README.SUSE: update Solid Driver team contacts
- commit a90946c
* Sun Jul 27 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc6-155-g2062afb
- commit 532dfb1
* Sat Jul 26 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc6-139-g9c55021
- commit eb91390
* Thu Jul 24 2014 jdelvare@suse.de
- Update config files: disable CONFIG_STE_MODEM_RPROC
  I was told by Dmitry Tarnyagin and Linus Walleij that there exists no
  public hardware that needs this driver, so there is no point in
  building it and shipping it.
- commit 7f8b8f6
* Thu Jul 24 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc6-118-g82e13c7
- commit 1ca0c8c
* Tue Jul 22 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc6-75-g15ba223
- commit 5d2c2d7
* Mon Jul 21 2014 jeffm@suse.com
- config: sync vanilla configs
- commit 91ea893
* Mon Jul 21 2014 jeffm@suse.com
- Update to 3.16-rc6.
- Eliminated 1 patch.
- commit 0217e34
* Mon Jul 21 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc6
- commit 001e27e
* Mon Jul 21 2014 jdelvare@suse.de
- Update armv7hl config files for 3.16-rc5
  New driver CONFIG_USB_EHCI_MSM=m.
- commit 44aa324
* Sun Jul 20 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc5-264-gd057190
- commit 6999b88
* Sat Jul 19 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc5-238-gd614cb0
- commit fd39db9
* Fri Jul 18 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not sign firmware files (bnc#867199)
- commit 38f105d
* Fri Jul 18 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc5-152-g59ca9ee
- commit d435c7c
* Thu Jul 17 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc5-143-gb6603fe
- commit d13c769
* Mon Jul 14 2014 jeffm@suse.de
- Update to 3.16-rc5.
- Eliminated 1 patch.
- commit 8173a44
* Mon Jul 14 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc5
- commit 793d39a
* Sun Jul 13 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc4-180-g28b1fae
- commit 04000c2
* Sat Jul 12 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc4-142-g47ea8dd
- commit e24ea60
* Fri Jul 11 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc4-120-g85d90fa
- commit 20082a9
* Fri Jul 11 2014 jdelvare@suse.de
- Update ppc config files: Disable ChromeOS drivers
  No Chromebook is based on PowerPC so these drivers are useless on ppc.
- commit d4fe6a6
* Thu Jul 10 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc4-42-g4f440cd
- commit d054e0e
* Wed Jul  9 2014 mmarek@suse.cz
- rpm/package-descriptions: Drop descriptions for dropped flavors
- commit aa68ae6
* Wed Jul  9 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/post(un).sh: Drop checks for dropped archs/flavors
- commit bd6afed
* Wed Jul  9 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: No scriptlets in kernel-zfcpdump
  The kernel should not be added to the bootloader nor are there any KMPs.
- commit bcca34b
* Wed Jul  9 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc4-28-g163e407
- commit fa6edcb
* Mon Jul  7 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Delete the build-id links created by vdso_install
- commit ca040af
* Mon Jul  7 2014 jeffm@suse.com
- Update to 3.16-rc4.
- commit 1fca5ba
* Mon Jul  7 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc4
- commit 0700501
* Sun Jul  6 2014 afaerber@suse.de
- config: armv7hl: Update configs for 3.16-rc3
  * Samsung Exynos is now in default flavor, drop exynos flavor
  * Enable Freescale/Xilinx for default flavor only
  * Enable Qualcomm/LSI for both default and lpae flavors
  * Enable Allwinner A20+ in lpae flavor, A10+ in default flavor
  * Enable Hisilicon Hi3xxx in default flavor
  * Enable Renesas RZ/A in default flavor
  * Enable big.LITTLE switcher module
  * Enable PCI for Freescale/Marvell/Nvidia/Samsung
  but keep device drivers to minimum, as known boards are mini PCIe only
  * Build in some more serial drivers for console use
  * Enable some missing USB media device driver modules
  * Disable OMAP4 V4L as it cannot be built as module (Matwey K.)
- commit c57fed0
* Sun Jul  6 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc3-219-g110e430
- commit fd33097
* Sat Jul  5 2014 afaerber@suse.de
- config: arm64: Update config for 3.16-rc3
- commit 21ba34b
* Sat Jul  5 2014 afaerber@suse.de
- config: armv6hl: Update config for 3.16-rc3
- commit cf4ce13
* Sat Jul  5 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc3-178-g77c4cf1
- commit 0483d39
* Fri Jul  4 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_DRM_I2C_NXP_TDA998X
  Disable the TDA998x driver in all flavors where is not needed.
- commit 5078a2c
* Fri Jul  4 2014 mmarek@suse.cz
- kbuild: Do not print the build directory with make -s.
- commit 748b509
* Fri Jul  4 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc3-149-g034a0f6
- commit 692956f
* Thu Jul  3 2014 jbeulich@suse.com
- Update Xen patches to 3.16-rc3 and c/s 1261.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit 51b2043
* Wed Jul  2 2014 jeffm@suse.com
- Update to 3.16-rc3.
- Eliminated 1 patch.
- commit 546bd75
* Wed Jul  2 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc3-62-gd92a333
- commit b912713
* Mon Jun 30 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc3-6-g16874b2
- commit 560aad1
* Mon Jun 30 2014 schwab@suse.de
- rpm/kernel-obs-build.spec.in: add support for aarch64
  Use Image for kernel_name on aarch64 and add virtio_mmio to KERNEL_MODULES.
- commit 6024dc9
* Sun Jun 29 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc2-341-g24b414d
- commit f754e56
* Sat Jun 28 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc2-319-g3e7b256
- commit 6f9f4fa
* Fri Jun 27 2014 mmarek@suse.cz
- rpm/compress-vmlinux.sh: Compress vmlinux after find-debuginfo.sh (bnc#884459)
- commit 381a192
* Fri Jun 27 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc2-222-g3493860
- commit f60adef
* Thu Jun 26 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc2-211-gd7933ab
- commit d2603fb
* Thu Jun 26 2014 mmarek@suse.cz
- rpm/old-flavors: Obsolete kernel-trace-base by kernel-default
  (bnc#884364)
- commit 568f3cc
* Thu Jun 26 2014 mmarek@suse.cz
- rpm/old-flavors: Explicitly list subpackages to obsolete
- commit 5595ce2
* Wed Jun 25 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc2-44-g10b5b53
- commit 4425ba3
* Tue Jun 24 2014 jeffm@suse.com
- config: disable X86_GOLDFISH
  It seems to be built-in and generates loads of messages like:
  genirq: Flags mismatch irq 4. 00000000 (serial) vs. 00000080 (goldfish_pdev_bus)
- commit f9b2c78
* Tue Jun 24 2014 jeffm@suse.de
- Update to 3.16-rc2.
- Config changes:
  - Generic config options:
  * RANDOMIZE_BASE=n (default n)
  - With only 9 bits of entropy on 64-bit systems, is it worthwhile?
  - System z:
  * DIAG288_WATCHDOG=m
  - New options specific to ARM (I think), all disabled:
  * I2C_RK3X (SoC)
- commit 5c59017
* Tue Jun 24 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc2-35-g8b8f5d9
- commit 825fb81
* Mon Jun 23 2014 mmarek@suse.cz
- rpm/post.sh: Also check for grub2 config
- commit 0844541
* Mon Jun 23 2014 mmarek@suse.cz
- Port ppc64le packaging fixes from 'SLE12' to 'packaging'
- commit c233eb3
* Mon Jun 23 2014 jdelvare@suse.de
- Update config files: Enable Realtek RTL8723AU support
  This wireless network chipset is found in hybrid notebooks/tablets
  such as the first Lenovo Yoga 13.
- commit 6f0cfca
* Sun Jun 22 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc2
- commit e9bbdf0
* Fri Jun 20 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc1-215-g3c8fb50
- commit db9039d
* Wed Jun 18 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc1-17-ge99cfa2
- commit 9df66fc
* Tue Jun 17 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc1-2-gebe0618
- commit e23f21e
* Mon Jun 16 2014 jeffm@suse.de
- Update to 3.16-rc1.
- Eliminated 10 patches.
- ARM is disabled.
- Xen is disabled.
- Config changes:
  - Generic config options:
  * UEVENT_HELPER=y (default y)
  - It should be obsolete - needs review
  * SGETMASK_SYSCALL=y/n
  - default varies by architecture, used default
  * DEBUG_PI_LIST=n (default n)
  * TRACEPOINT_BENCHMARK=n (default n)
  - Only needed if developing tracepoint infrastructure
  * TEST_BPF=n (default n)
  - New options for existing drivers:
  * QLCNIC_HWMON=y (default y)
  * ISDN_CAPI_CAPIDRV_VERBOSE=y (helpful messages, cost only in capi.ko)
  - New modules:
  * SERIAL_SC16IS7XX (i2c)
  * SENSORS_SHTC1 (i2c)
  * USB_GSPCA_DTCS033 (usb)
  * SND_BCD2000 (firewire)
  * SND_FIREWORKS (firewire)
  * SND_BEBOB (firewire)
  * HID_RMI (usb)
  * MMC_USDHI6ROL0 (usb)
  * MMC_REALTEK_USB (usb)
  * MEMSTICK_REALTEK_USB (usb)
  * R8192EE (pci)
  * INPUT_GPIO_BEEPER (generic gpio)
  * NFT_BRIDGE_META (netfilter)
  * CAN_GS_USB (USB)
  * MTD_SPI_NOR (SPI)
  * AMD_XGBE (PCI)
  - x86/x86_64:
  * DELL_SMO8800=m
  * SENSORS_NCT6683=m (found on Intel DQ87PG motherboards)
  * INTEL_SOC_DTS_THERMAL=m
  * X86_GOLDFISH=y (platform driver, used for virtual Android development)
  - KEYBOARD_GOLDFISH_EVENTS=m
  - GOLDFISH_TTY=m
  - BATTERY_GOLDFISH=m
  - MMC_GOLDFISH=m
  - GOLDFISH_AUDIO=m
  - MTD_GOLDFISH_NAND=m
  - GOLDFISH_PIPE=m
  * CRYPTO_SKEIN=n (default n)
  - staging, only available on 64-bit x86 - usefulness?)
  * CRYPTO_THREEFISH=n (same)
  * I2C_CROS_EC_TUNNEL=m (also available on ARM)
  * X86_16BIT=y (default y, required for wine, minimal runtime savings)
  - ppc64le:
  * VIRTUALIZATION=y
  - KVM_BOOK3S_64=m
  - KVM_BOOK3S_64_PR=m
  - KVM_XICS=y
  - New options specific to ARM (I think), all disabled:
  * NFC_ST21NFCA (datasheet says intended for mobile phone use)
  * USB_DWC2
  * SYSTEMPORT
  * KEYBOARD_OMAP4
  * PINCTRL_APQ8064
  * PINCTRL_IPQ8064
  * GENERIC_CPUFREQ_CPU0
  * RTC_DRV_XGENE
  * MFD_AXP20X
- commit 15e9be8
* Mon Jun 16 2014 mmarek@suse.cz
- Automatically updated to 3.16-rc1
- commit 1edecff
* Mon Jun 16 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_8723AU_P2P
  Disable this as it is reported to be totally broken and can cause
  a kernel oops.
- commit 6bb03f0
* Sun Jun 15 2014 mmarek@suse.cz
- Automatically updated to 3.15-12015-gabf04af
- commit 8492556
* Sat Jun 14 2014 mmarek@suse.cz
- Automatically updated to 3.15-11940-g6391f34
- commit 8c1a33e
* Fri Jun 13 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Build in a subdirectory of the source tree
  So that the build can use relative paths.
- commit 8eb070a
* Fri Jun 13 2014 mmarek@suse.cz
- Automatically updated to 3.15-11906-g6d87c22
- commit 32f2f01
* Thu Jun 12 2014 mmarek@suse.cz
- Automatically updated to 3.15-8981-g5c02c39
- commit 332328f
* Wed Jun 11 2014 mmarek@suse.cz
- Automatically updated to 3.15-8556-gdfb9454
- commit c2cd55a
* Tue Jun 10 2014 mmarek@suse.cz
- Automatically updated to 3.15-7913-g64b2d1f
- commit 6adcbbd
* Tue Jun 10 2014 jbeulich@suse.com
- swiotlb: don't assume PA 0 is invalid (bnc#865882).
- Update Xen patches to 3.15 final.
- Update x86-64 Xen config files.
- commit c705cbb
* Mon Jun  9 2014 jeffm@suse.de
- Update to 3.15.
- commit 1bd2beb
* Mon Jun  9 2014 mmarek@suse.cz
- Automatically updated to 3.15-7257-g963649d
- commit 22d92f5
* Sun Jun  8 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc8-105-gc593e89
- commit aa495e3
* Sat Jun  7 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc8-88-gd4c5491
- commit eff16e4
* Fri Jun  6 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc8-81-g951e273
- commit a16ab4a
* Thu Jun  5 2014 mmarek@suse.cz
- rpm/package-descriptions: kernel-vmi is gone
- rpm/mkspec: Obsolete $flavor-{devel,extra} $flavor-base is obsolete
  (bnc#881490)
- rpm/kernel-module-subpackage: Obsolete -trace KMPs (bnc#881490)
- rpm/old-flavors: Obsolete also kernel-trace-base (bnc#881490)
- commit 38d4d09
* Thu Jun  5 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not require hmaccalc on 13.1 and earlier
- commit d7a84f7
* Thu Jun  5 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc8-72-g54539cd
- commit f5b65d4
* Wed Jun  4 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc8-58-gd2cfd31
- commit 7987b82
* Wed Jun  4 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Allow find-debuginfo.sh to create vmlinux.debug
- commit 9b3c48f
* Tue Jun  3 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc8-53-gcae61ba
- commit 5344fd0
* Mon Jun  2 2014 jeffm@suse.de
- Update to 3.15-rc8.
- commit 76d3645
* Mon Jun  2 2014 mmarek@suse.cz
- Obsolete kernel-trace by kernel-default
- commit 1eb3f59
* Mon Jun  2 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc8
- commit 1b1debc
* Mon Jun  2 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_XO15_EBOOK
  The xo15-ebook driver is useless without the rest of OLPC support. So
  I left it enabled only in i386/default and i386/vanilla.
- commit 9f99282
* Fri May 30 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc7-79-gfe45736
- commit 06a0322
* Thu May 29 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc7-58-gf2159d1
- commit 61e192b
* Wed May 28 2014 jdelvare@suse.de
- Update config files: Disable gpio-fan and ntc_thermistor drivers
  Disable the gpio-fan and ntc_thermistor hwmon drivers on all
  architectures where they are not used.
- commit cf522e0
* Wed May 28 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc7-40-gcd79bde
- commit 8c66446
* Tue May 27 2014 jeffm@suse.de
- Update to 3.15-rc7.
- Eliminated 1 patch.
- Config changes:
  - CX_ECAT=m (default n) for i386/x86_64
  - The vendor supplying this hardware only uses 32/64-bit Atom CPUs.
    This may need to be revisited if the hardware extends to different
    architectures (ARM, probably).
  - SENSORS_NTC_THERMISTOR=m (default n)
  - Sensor chip that could be found essentially anywhere.
- commit 910d968
* Mon May 26 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc7
- commit 15514cd
* Sat May 24 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc6-190-g1ee1cea
- commit 2d244c2
* Fri May 23 2014 jeffm@suse.de
- config: sync vanilla configs for 3.15-rc6.
- commit f79934e
* Fri May 23 2014 jeffm@suse.de
- Update to 3.15-rc6.
- Config changes:
  - ACPI_PROCFS_POWER=y (default n)
  - Should eventually be =n once userspace tools have been audited.
- commit 1b75918
* Fri May 23 2014 jdelvare@suse.de
- Update ppc config files: Disable SH_MOBILE media drivers
  These are useless on PowerPC.
- commit 5ae3b30
* Fri May 23 2014 ddiss@suse.de
- Update config files: enable CONFIG_CIFS_SMB2
  cifs.ko is currently built with support for the base SMB1/CIFS dialect
  only. SMB1/CIFS support can be disabled in Windows 8.1 and Windows
  Server 2012 R2, and is completely unsupported with the Microsoft Azure
  File service, leaving cifs.ko users unable to access files on such
  servers without this change (fate#317480).
- commit d73e475
* Fri May 23 2014 jdelvare@suse.de
- Update config files: Disable remaining R-CAR drivers
  These drivers are useless except on arm/shmobile.
- commit cbb3e29
* Thu May 22 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc6
- commit c24b059
* Wed May 21 2014 jdelvare@suse.de
- Fix a typo in config/ppc/vanilla, sorry
- commit 3a8bbdf
* Wed May 21 2014 jdelvare@suse.de
- Update config files: Disable unused RTC platform drivers
- commit 7ab2564
* Wed May 21 2014 jdelvare@suse.de
- Update config files: Disable the rtc-moxart driver
  This driver is only needed on Moxa ART systems, which we do not
  support.
- commit a688df0
* Wed May 21 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc5-218-g06eb4cc
- commit 68f2095
* Tue May 20 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc5-157-g60b5f90
- commit ed589fe
* Tue May 20 2014 jbeulich@suse.com
- Update Xen config files: Set compatibility level back to 4.1
  (bnc#851338).
- commit db7872f
* Mon May 19 2014 jdelvare@suse.de
- Update armv7hl/default config file: CONFIG_DRM_PTN3460=y
  Align on what exynos has, in anticipation of both files being
  merged someday.
- commit 7fdbccd
* Mon May 19 2014 jdelvare@suse.de
- Update config files: Disable DRM_PTN3460
  Currently it's only needed on arm/exynos.
- commit 19f8bd9
* Mon May 19 2014 jdelvare@suse.de
- Update armv7hl/exynos config file: CONFIG_DRM_PTN3460=y
  DRM_EXYNOS_DP depends on DRM_PTN3460, and we have the former built-in,
  so the latter must be built-in as well. Otherwise we get a linker
  failure like:
  .../linux-3.15-rc5/drivers/gpu/drm/exynos/exynos_dp_core.c:1004:
  undefined reference to `ptn3460_init'
- commit b98c3cb
* Fri May 16 2014 jdelvare@suse.de
- Update config files: Disable all EG20T drivers except on i386
  EG20T (aka Topcliff PCH) is a chipset for 32-bit x86 processors, so
  we only need these drivers on i386.
- commit 6fb20b1
* Fri May 16 2014 jdelvare@suse.de
- Update arm64 config file to fix the build
- commit 876c44b
* Fri May 16 2014 afaerber@suse.de
- config: armv6hl: Update config to 3.15-rc5
- commit 0a6bd2a
* Fri May 16 2014 afaerber@suse.de
- config: armv7hl: Update configs to 3.15-rc5
- commit 94fa1ac
* Thu May 15 2014 jdelvare@suse.de
- Update armv7hl/lpae config file: Enable SERIAL_TEGRA
  Despite what the Kconfig text says, the serial-tegra driver works on
  all Tegra platforms.
- commit 97bc755
* Thu May 15 2014 jdelvare@suse.de
- Update ppc64le config files: Disable DA903x support completely
  It makes no sense to support some sub-drivers and not the rest.
- commit 2a243de
* Thu May 15 2014 duwe@suse.de
- Update config files:
  i386/x86_64/ppc64/ppc64le disable:
  timeriomem-rng
  pwm-pca9685
  unsupported RTC drivers
  ssd1307fb/da903x_bl
- commit d8e18c0
* Wed May 14 2014 afaerber@suse.de
- config: arm64: Update config for 3.15
- commit f385138
* Wed May 14 2014 jbeulich@suse.com
- Update Xen patches to 3.15-rc5.
- privcmd: actually batch hypercalls for batch ioctls.
- Refresh patches.xen/xen-blkfront-indirect (bnc#876786).
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit aef56a6
* Wed May 14 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc5-77-g14186fe
- commit f089a54
* Tue May 13 2014 jdelvare@suse.de
- Update ec2 config files: Disable CAN support
  It was enabled by accident.
- commit 0bf5288
* Mon May 12 2014 jeffm@suse.de
- Update to 3.15-rc5.
- Eliminated 2 patches.
- Config changes:
  - CAN_C_CAN_STRICT_FRAME_ORDERING=n (default)
- commit a5ae007
* Mon May 12 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not keep debug symbols in vmlinux-*.gz
  (bnc#877267)
- commit f928d60
* Sun May 11 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc5-9-g7e338c9
- commit eb18794
* Sat May 10 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc5
- commit e63757e
* Fri May  9 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc4-320-gafcf0a2
- commit 1928750
* Wed May  7 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Package .vmlinuz-*.hmac as well
- commit 3375bd7
* Wed May  7 2014 jdelvare@suse.de
- Update x86 config files: Disable unused CAN drivers
  Disable platform, grcan and tscan1 CAN drivers. Disable ISA and EG20T
  CAN drivers on x86_64. These are believed to be useless, and will
  only be enabled upon explicit request.
- commit 98892e0
* Wed May  7 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Exclude /boot/symtypes* from the base/main package
  Also, get rid of the comparison of the base and devel filelist.
- commit f1e303f
* Wed May  7 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc4-260-g38583f0
- commit 8d1b54b
* Tue May  6 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix packaging of vmlinux debuginfo
  (bnc#875946)
  Add the uncompressed vmlinux image as ghost file to the main package, so
  that the vmlinux debuginfo generated by rpm natively and put into the
  right package.
- commit 26b7a64
* Tue May  6 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Simplify filelist for files in /boot
- commit ef040ff
* Tue May  6 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc4-202-g30321c7
- commit b595712
* Mon May  5 2014 mmarek@suse.cz
- Enable CONFIG_INTEL_TXT on i586 as well (fate#311820, fate#311962,
  bnc#707666, bnc#875575)
- commit a44f630
* Mon May  5 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc4
- commit a7a1420
* Sun May  4 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc3-177-g0384dca
- commit de6d8ef
* Sat May  3 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc3-159-g6c6ca9c
- commit 3f4c05a
* Fri May  2 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc3-121-gb7270cc
- commit a489eea
* Thu May  1 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc3-82-g8aa9e85
- commit 6d88c9f
* Wed Apr 30 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc3-62-ged8c37e
- commit 1c97e55
* Tue Apr 29 2014 guillaume.gardet@oliseo.fr
- Re-eanble ARM kernel in config.conf file and update all ARM configs:
  * config/arm64/default:
  - Add SATA/PATA support
  - Add voltage and regulator support
  * config/armv6hl/default:
  - Add external I2C controllers
  - Add usermode SPI driver
  * config/armv7hl/default:
  - Add I2C support for Tegra SoC
  - Add external I2C controllers
  - Add SPI, GPIO and watchdog support to Davinci/Keystone SoC
  - Add RTC driver for Tegra and sunxi SoC
  - Enhance nVidia Tegra support with MFD_NVEC and KEYBOARD_TEGRA
  - Add OMAP4 video input support
  - Add IR receiver
  - Add iMX HDMI support
  - Add Serial support for Tegra SoC
  * config/armv7hl/exynos:
  - Trivial update
  * config/armv7hl/lpae:
  - Add I2C support for Tegra SoC
  - Add external I2C controllers
  - Add SPI, GPIO and watchdog support to Davinci/Keystone SoC
  - Remove unused Terga20/Tegra30 SPI support
  - Add RTC driver for Tegra and sunxi SoC
  - Enhance nVidia Tegra supprt with MFD_NVEC and KEYBOARD_TEGRA
  - Add IR receiver
  - Add iMX HDMI support
- commit f193362
* Tue Apr 29 2014 jeffm@suse.com
- Update to 3.15-rc3.
- commit 8ea4d95
* Tue Apr 29 2014 jeffm@suse.com
- config: sync PCI changes to s390x/vanilla
- commit 7057957
* Tue Apr 29 2014 jdelvare@suse.de
- Update arm config files: Enable all USB-to-serial drivers
  Specifically, enable USB_SERIAL_WISHBONE, USB_SERIAL_MXUPORT and
  USB_SERIAL_QT2 on all arm flavors.
- commit e17b903
* Tue Apr 29 2014 jdelvare@suse.de
- Update arm64 config file: Disabled 3 unneeded drivers
  Align the arm64 config file with the rest of the config files:
  CONFIG_ATMEL_SSC is not set
  CONFIG_FB_TMIO is not set
  CONFIG_FB_GOLDFISH is not set
- commit 2cb42be
* Tue Apr 29 2014 jdelvare@suse.de
- Update config files: Enable CONFIG_USB_SERIAL_SIMPLE
  This is a unified driver replacing several drivers we were shipping
  so far, so we should ship it too.
- commit ce0469e
* Tue Apr 29 2014 mmarek@suse.cz
- Enable CONFIG_INTEL_TXT on x86_64 (fate#311820, fate#311962,
  bnc#707666, bnc#875575)
- commit f9ea26f
* Tue Apr 29 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc3-41-g2aafe1a
- commit f658a08
* Mon Apr 28 2014 mmarek@suse.cz
- Sync config files with master
- commit 2b13b7e
* Mon Apr 28 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc3
- commit e1a4a7c
* Mon Apr 28 2014 mmarek@suse.cz
- rpm/kernel-obs-build.spec.in: Require only perl-Bootloader
- commit 573fc1b
* Mon Apr 28 2014 mmarek@suse.cz
- rpm/kernel-obs-qa.spec.in: Use per-flavor path for the logfile
- commit 717e968
* Sun Apr 27 2014 jeffm@suse.com
- s390: enable PCI to match SLE12 kernel configs
- PCI=y
- HOTPLUG_PCI=y
- HOTPLUG_PCI_S390=y
- PCI_IOV=y
- INFINIBAND=m
- INFINIBAND_USER_ACCESS=m
- MLX4_INFINIBAND=m
- MLX4_EN=m
- RDS_RDMA=m
  New devices since 3.12:
- MLX5_CORE=m
- MLX5_INFINIBAND=m
- SUNRPC_XPRT_RDMA_CLIENT=m
- SUNRPC_XPRT_RDMA=m
- SUNRPC_XPRT_RDMA_SERVER=m
- All others defaulted to No.
- commit 56f4a3f
* Sun Apr 27 2014 jeffm@suse.de
- Update to 3.15-rc2.
- Config changes:
  - Generic config options:
  * IPMI_SI_PROBE_DEFAULTS=y (default=n)
  - older hardware only works with boot option
  - New options specific to ARM:
  * PINCTRL_BCM281XX=n (default)
- commit a68e86f
* Sun Apr 27 2014 jeffm@suse.de
- Update to 3.15-rc1.
- Xen is disabled.
- ARM is disabled.
- Eliminated 3 patches.
- Config changes:
  - Generic config options:
  * USELIB=y (default) - only used for libc5 users, do we care?
  * SYSFS_SYSCALL=y (default) - libc doesn't even supported it anymore,
  do we care?
  * ACPI_REDUCED_HARDWARE_ONLY=n (default)
  * CGROUP_NET_PRIO=y (new feature, do we want it?)
  * LOCK_TORTURE_TEST=n (default)
  * EVM=n (default)
  - New options for existing drivers:
  * BATMAN_ADV_MCAST=y (default=n) -- optimization w/ better reliability
  * BT_6LOWPAN=y (default=n) -- new feature
  * MTD_UBI_BLOCK=n (default -- do we even care about UBI?)
  * ZRAM_LZ4_COMPRESS=y (new feature)
  * BE2NET_VXLAN=y (default)
  * MLX4_EN_VXLAN=y (default)
  * QLCNIC_VXLAN=y (default=n) - enabled for other drivers
  * IWLWIFI_BCAST_FILTERING=n (default)
  - New modules:
  * IP_SET_HASH_IPMARK
  * INTEL_MEI_TXE
  * DM_ERA
  * ALTERA_TSE
  * RTL8723BE
  * RSI_91X
  - RSI_DEBUGFS=n
  - RSI_SDIO=m
  - RSI_USB=m
  * INPUT_PWM_BEEPER
  * SENSORS_LTC2945
  * SENSORS_LTC4222
  * SENSORS_LTC4260
  * SENSORS_ADC128D818
  * MFD_RTSX_USB
  * IR_SHARP_DECODER
  * IR_IMG
  - IR_IMG_RAW=n (documented as performance degrading and for debugging)
  - IR_IMG_NEC=y
  - IR_IMG_JVC=y
  - IR_IMG_SONY=y
  - IR_IMG_SHARP=y
  - IR_IMG_SANYO=y
  * DRM_PTN3460
  * USB_UAS
  * DVB_RTL2832_SDR (USB)
  * ALIENWARE_WMI
  * PWM_LPSS
  * SUNRPC_XPRT_RDMA_CLIENT=m (default)
  * SUNRPC_XPRT_RDMA_SERVER=m (default)
  - x86_64:
  * EFI_MIXED=n (default) -- do we use a bootloader that can support it?
  - ppc/ppc64le:
  * HV_PERF_CTRS=y (default)
  * POWERNV_CPUFREQ=y (default)
  - Probably ARM but looks generic, all modules:
  * SPMI
  * GPIO_DWAPB
  * HID_CP2112
  * MFD_TPS65218
  * GPIO_SYSCON (depends on MFD_SYSCON, which looks to be only used by ARM)
  - New options specific to ARM (I think), all disabled:
  * IMX_THERMAL
  * AHCI_IMX
  * PWM_FSL_FTM
  * OMAP_CONTROL_PHY
  * PHY_SAMSUNG_USB2
  * FSL_EDMA
  * XILINX_WATCHDOG
  * GS_FPGABOOT
  * BCMGENET
  * SXGBE_ETH
  * MFD_BCM590XX
  * BCM7XXX_PHY
  - New options specific to tablets, all disabled:
  * INPUT_SOC_BUTTON_ARRAY (windows tablet)
  * R8723AU (Lenovo Yogi)
  - Other weird hardware:
  * CONFIG_MCB=n (specific to MEN Mikroelektronik FGPA devices)
  - Changes undocumented here were changed automatically.
- commit 369eecd
* Sat Apr 26 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc2-205-g9a60ee1
- commit e0573ea
* Fri Apr 25 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc2-107-g76429f1
- commit ea1eeb7
* Thu Apr 24 2014 jdelvare@suse.de
- Update config files: Disable CONFIG_NFC on s390x and ppc64le
  NFC support makes little sense on server-class hardware.
- commit fa5058c
* Thu Apr 24 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc2-69-g1aae31c
- commit 5c13249
* Wed Apr 23 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not store the buildroot in the .hmac file
- commit ce5bd7a
* Wed Apr 23 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Add hmaccalc to buildrequires
- commit 9cca2fa
* Wed Apr 23 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Generate a hmac singature for the kernel
  (fate#316930, bnc#856310)
- commit 2659f6f
* Wed Apr 23 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Drop conditionals for -kdump and -ps3
- commit 01fab08
* Wed Apr 23 2014 adrian@suse.de
- require kernel-obs-build
  It must be also configured as VMinstall, but is a build requires
  as well to avoid that qa and build package build parallel after kernel-default
  or kernel-xen have changed.
- commit 7a16a4e
* Wed Apr 23 2014 adrian@suse.de
- improve error logging in case the kernel module could not get loaded
- commit 3811667
* Wed Apr 23 2014 adrian@suse.de
- add block device modules for xen kernel-obs-build image
- commit 04fbb81
* Wed Apr 23 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc2-42-g4d0fa8a
- commit 11a4cb6
* Wed Apr 23 2014 jdelvare@suse.de
- Update arm64 config file
  I'm an idiot :-(
- commit 2fe302d
* Wed Apr 23 2014 jdelvare@suse.de
- Update arm64 config file: Disable CONFIG_IIO
  It is disabled in all other non-ARM configuration files.
- commit fbc570a
* Tue Apr 22 2014 jdelvare@suse.de
- Update arm64 config file: Disable CONFIG_RTC_DRV_HID_SENSOR_TIME
  It forcibly selects CONFIG_IIO, which we don't want.
- commit 5e3b1eb
* Tue Apr 22 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc2-36-gc089b22
- commit a6d01ff
* Mon Apr 21 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc2
- commit efce853
* Sun Apr 20 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc1-421-g6d45969
- commit 386c8b3
* Sat Apr 19 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc1-356-gebfc45e
- commit 36faf8d
* Fri Apr 18 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc1-137-g81cef0f
- commit 86d6ef3
* Thu Apr 17 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc1-113-g6ca2a88
- commit ea9da7e
* Wed Apr 16 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc1-49-g10ec34f
- commit fc4e0e8
* Tue Apr 15 2014 jdelvare@suse.de
- Update arm config files: Disable Cadence network drivers
  Disable ARM_AT91_ETHER in all arm config files, it is only needed on
  Atmel AT91 which we don't support.
  CONFIG_MACB is useful on armv6hl/default (for ARCH_PICOXCELL) and
  armv7hl/default (for ARCH_ZYNQ.) Disable it in all other config files.
- commit ab922fa
* Tue Apr 15 2014 jdelvare@suse.de
- Disable CONFIG_NET_CADENCE on non-ARM
- commit 37a468e
* Tue Apr 15 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc1-12-g55101e2
- commit 91c457b
* Tue Apr 15 2014 guillaume.gardet@opensuse.org
- Update armv7hl configs
  * config/armv7hl/default :
  - Switch CONFIG_PHYLIB from =m to =y (fix Ethernet on iMX6 boards)
  - Enable CONFIG_USB_DWC3* to add USB3 support for keystone SoC only
  - Enable CONFIG_USB_CHIPIDEA* to add USB support for iMX boards
  * config/armv7hl/exynos :
  - Enable CONFIG_USB_DWC3* to add USB3 support for Exynos SoC only
  * config/armv7hl/lpae :
  - Switch CONFIG_PHYLIB from =m to =y (fix Ethernet on iMX6 boards)
  - Enable CONFIG_USB_DWC3* to add USB3 support for keystone boards
  - Enable CONFIG_USB_CHIPIDEA* to add USB support for iMX boards
- commit 1e6049a
* Mon Apr 14 2014 mmarek@suse.cz
- Add kernel-obs-qa-xen.spec
- commit f73cebd
* Mon Apr 14 2014 jslaby@suse.cz
- Update config files.
- commit 6dad34d
* Mon Apr 14 2014 mmarek@suse.cz
- Automatically updated to 3.15-rc1
- commit ee9efbb
* Sun Apr 13 2014 mmarek@suse.cz
- Automatically updated to 3.14-12812-g321d03c
- commit 9d2a463
* Sat Apr 12 2014 mmarek@suse.cz
- Automatically updated to 3.14-12540-gb7e70ca
- commit 401a4c5
* Fri Apr 11 2014 mmarek@suse.cz
- Automatically updated to 3.14-12380-g9e897e1
- commit 229b070
* Thu Apr 10 2014 jeffm@suse.com
- config: eliminate trace flavor
  With the tracing options synced to the other flavors, we can eliminate
  the trace flavor entirely.
  This implicitly disables the following options that used to be set
  in the trace flavors:
  IRQSOFF_TRACER: carries a substantial runtime overhead
  MMIOTRACE: really only needed for driver development
  FTRACE_SELFTEST: introduces noticible delays during boot
  FTRACE_STARTUP_TEST: introduces noticible delays during tracer startup
- commit 3b01d73
* Thu Apr 10 2014 jeffm@suse.com
- config: sync RING_BUFFER_BENCHMARK=m on s390x configs
  It is enabled as a module on every other config.
- commit b73dcb5
* Thu Apr 10 2014 jeffm@suse.com
- config: enable STACK_TRACER on all flavors
  It carries no runtime overhead when disabled (and it is by default).
- commit 4709110
* Thu Apr 10 2014 jeffm@suse.com
- config: enable FTRACE_SYSCALLS on all flavor files
  It incurs no runtime overhead other than a few KB of memory.
- commit 3fd1238
* Thu Apr 10 2014 jeffm@suse.com
- config: enable SCHED_TRACER on all flavors
  It doesn't have any runtime overhead except for a few KB of memory.
- commit 999e50b
* Thu Apr 10 2014 jeffm@suse.com
- config: enable ftrace features on all flavors
  We enable the following function tracing options:
- FUNCTION_TRACER
- DYNAMIC_FTRACE
- FUNCTION_PROFILER
- FUNCTION_GRAPH_TRACER
  With dynamic ftrace, there is very little runtime overhead.
  FUNCTION_GRAPH_TRACER is disabled only on ARM because it enables
  frame pointers there, so there is a real runtime cost even when it
  is disabled.
- commit 8d8cc04
* Thu Apr 10 2014 mmarek@suse.cz
- Generate kernel-obs-*.spec from templates
- commit b2e5f7c
* Thu Apr 10 2014 mmarek@suse.cz
- Automatically updated to 3.14-12236-g39de65a
- commit da068b8
* Wed Apr  9 2014 mmarek@suse.cz
- Automatically updated to 3.14-12041-g75ff24f
- commit a319f13
* Wed Apr  9 2014 jdelvare@suse.de
- Update debug config files: enable TTY_PRINTK
  Enabled only in debug kernels for now, as it can't be modular yet.
  Once it can be built as a module, we can enable it in other flavors
  as well.
- commit 1882ee8
* Tue Apr  8 2014 jdelvare@suse.de
- Update arm64 config file: disable CONFIG_USB_DWC3_KEYSTONE
  This driver is only needed on Texas Instruments Keystone2 platforms.
- commit 982b6fa
* Tue Apr  8 2014 jdelvare@suse.de
- Update ppc config files: disble HW_RANDOM_ATMEL
  This driver is only needed on Atmel AT91 systems.
- commit 0e28172
* Tue Apr  8 2014 jdelvare@suse.de
- Update arm/exynos config file: disable AHCI_IMX
  This driver is only used on Freescale i.MX systems so it isn't needed
  on Exynos.
- commit 2560636
* Tue Apr  8 2014 jdelvare@suse.de
- Update arm config files: Disable exynos support
  Disable exynos support in all non-exynos configuration files, as we
  have a dedicated kernel flavor for exynos.
- commit cc37534
* Tue Apr  8 2014 mmarek@suse.cz
- Automatically updated to 3.14-11030-ga7963eb
- commit 33a03d4
* Mon Apr  7 2014 mmarek@suse.cz
- Automatically updated to 3.14-10312-g18a1a7a
- commit 12bb87b
* Sun Apr  6 2014 mmarek@suse.cz
- Automatically updated to 3.14-10303-g04535d2
- commit da281b8
* Sat Apr  5 2014 mmarek@suse.cz
- Automatically updated to 3.14-8729-g8e0c083
- commit 3350015
* Fri Apr  4 2014 mmarek@suse.cz
- rpm/kernel-module-subpackage: Regenerated the initrd in %%posttrans
  (fate#313506)
- commit c0b6219
* Fri Apr  4 2014 mmarek@suse.cz
- Automatically updated to 3.14-7952-g4a4389a
- commit 917300d
* Fri Apr  4 2014 jdelvare@suse.de
- Update x86_64 config files: disable CONFIG_SBC8360_WDT
  The sbc8360 driver is for a Socket 370-based single-board computer,
  so it's useless on x86-64.
- commit 8764a1f
* Fri Apr  4 2014 adrian@suse.de
- fix building initrd for SLE 12
  It does provided and load the critical kernel modules
  for building some kiwi images and cross architecture
  builds like used for aarch64.
  The kernel-obs-build.spec still contains the bits to allow
  to use it also for SLE 11.
- commit e9868b7
* Thu Apr  3 2014 jdelvare@suse.de
- Update config files: disable all of Timberdale support
  Timberdale is a companion chip for Atom CPUs in embedded in-car
  infotainment systems. We don't need that in openSUSE, really.
- commit de2f6be
* Thu Apr  3 2014 mmarek@suse.cz
- Automatically updated to 3.14-7247-gcd6362be
- commit d383a78
* Wed Apr  2 2014 jdelvare@suse.de
- Update config files: disable CONFIG_I2C_SI470X
  I2C access to the SI470X radio chip is only needed on embedded systems
  so it makes no sense to enable it in most of our kernel configuration
  files.
- commit 6e29852
* Wed Apr  2 2014 mmarek@suse.cz
- rpm/config.sh: Build against 13.1
- commit 50c72bb
* Wed Apr  2 2014 mmarek@suse.cz
- Automatically updated to 3.14-4555-gb33ce44
- commit 84de883
* Wed Apr  2 2014 jdelvare@suse.de
- Update config files: re-enable twofish crypto support
  Software twofish crypto support was disabled in several architectures
  since openSUSE 10.3. For i386 and x86_64 it was on purpose, because
  hardware-accelerated alternatives exist. However for all other
  architectures it was by accident.
  Re-enable software twofish crypto support in all configuration files,
  to guarantee that at least one implementation is always available,
  (bnc#871325).
- commit 84156c1
* Wed Apr  2 2014 mmarek@suse.cz
- rpm/kernel-syms.spec.in: Require pesign-obs-integration for signing KMPs
- commit e68d5fc
* Tue Apr  1 2014 jdelvare@suse.de
- Update config files: disable CONFIG_TOUCHSCREEN_W90X900
  The w90p910_ts driver only makes sense on the W90x900 architecture,
  which we do not support.
- commit 98b1cf5
* Tue Apr  1 2014 mmarek@suse.cz
- Automatically updated to 3.14-602-g01d5f3b
- commit b2bc273
* Tue Apr  1 2014 jdelvare@suse.de
- Update config files: CONFIG_HID_BATTERY_STRENGTH=y
  CONFIG_HID_BATTERY_STRENGTH was already enabled on i386, x86_64 and
  most of arm. Enable this feature on all other architectures which can
  benefit from it.
- commit e032330
* Mon Mar 31 2014 jeffm@suse.de
- Update to 3.14.
- commit 078a925
* Mon Mar 31 2014 mmarek@suse.cz
- Automatically updated to 3.14
- commit 7974ef7
* Sun Mar 30 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc8-66-g981e893
- commit bcc5ba0
* Sat Mar 29 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc8-62-g49d8137
- commit 49433e0
* Fri Mar 28 2014 jdelvare@suse.de
- Update i386/desktop config file: enable CONFIG_RCU_FAST_NO_HZ
  All other x86 kernels have CONFIG_RCU_FAST_NO_HZ enabled so the
  i386/desktop kernel should too.
- commit 13c63b6
* Fri Mar 28 2014 jdelvare@suse.de
- Update ppc config files: adjust filesystems modularity
  Build reiserfs, fat and vfat support as modules as we do on every
  other architecture. Also align the reiserfs debugging features on
  x86_64.
- commit 142798b
* Fri Mar 28 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc8-12-g75c5a52
- commit 2efbe22
* Thu Mar 27 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc8-11-gf217c44
- commit 91f44c0
* Wed Mar 26 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc8-9-gfce7fc7
- commit e1415f6
* Wed Mar 26 2014 jdelvare@suse.de
- Update ec2 config files: disable HID device drivers
  I don't think the HID drivers for non-standard keyboards and mice
  are needed at all on EC2.
- commit 5054928
* Tue Mar 25 2014 jeffm@suse.com
- Update to 3.14-rc8.
- commit 09ca619
* Tue Mar 25 2014 jdelvare@suse.de
- Update x86 config files: enable CONFIG_HID_BATTERY_STRENGTH
  Looks like a cool feature to support on desktop systems. As it has
  to be built-in, I'm only enabling it on x86 for now, because I don't
  know for sure how useful it would be on other architectures. Feel
  free to enable on any other architecture where it would be useful.
- commit 3e5a279
* Tue Mar 25 2014 jdelvare@suse.de
- Update ec2 config files: disable CONFIG_INPUT_FF_MEMLESS
  This helper module is useless on EC2.
- commit faaea16
* Tue Mar 25 2014 jdelvare@suse.de
- Update i386 config files: Modularize all HID device drivers
  HID device drivers are modularized in all config files except arm*
  and desktop, so i386/pae, i386/trace and i386/xen should do the same.
- commit 27eba98
* Tue Mar 25 2014 jdelvare@suse.de
- Update i386 config files: CONFIG_HID=y
  Align the CONFIG_HID setting of the i386/debug, i386/default and
  i386/vanilla config files with what is done in every other config
  file (but s390x and ec2.)
- commit f7bcd52
* Tue Mar 25 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc8
- commit bd85aa2
* Sun Mar 23 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc7-66-g774868c
- commit f2ed018
* Fri Mar 21 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc7-59-g08edb33
- commit 7c6fb85
* Thu Mar 20 2014 jdelvare@suse.de
- Update s390x config files: disable CONFIG_INPUT_FF_MEMLESS
  It was set by mistake, obviously.
- commit b1528a7
* Thu Mar 20 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc7-33-g8878439
- commit c7ac0cd
* Wed Mar 19 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc7-26-g4907cdc
- commit 768fe48
* Wed Mar 19 2014 tiwai@suse.de
- Enable Socketcan again for i386 and x86_64 (bnc#858607)
- commit 08df362
* Tue Mar 18 2014 jdelvare@suse.de
- Update vanilla config files: enable console rotation
  It's enabled in all other kernel flavors so it should be enabled in
  vanilla too.
- commit 25d8d21
* Tue Mar 18 2014 jdelvare@suse.de
- config: set CONFIG_X86_INTEL_LPSS in trace and vanilla
  Trying to keep the trace and vanilla kernels in sync with default.
- commit e96b8cd
* Tue Mar 18 2014 jdelvare@suse.de
- Align the x86_64 debug config file on the default config
  For real this time.
- commit 67fd5fb
* Tue Mar 18 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc7-23-g9a15c94
- commit cad31dc
* Mon Mar 17 2014 jeffm@suse.de
- Update to 3.14-rc7.
- Eliminated 1 patch.
- commit fc95709
* Mon Mar 17 2014 jdelvare@suse.de
- Align the x86_64 debug config file on the default config
  This makes it much easier to validate that the debug config file only
  diverges from default by debug and testing options.
- commit f526605
* Mon Mar 17 2014 jdelvare@suse.de
- config.conf: ia64 is history
- Delete config/ia64/debug.
- Delete config/ia64/default.
- Delete config/ia64/trace.
- Delete config/ia64/vanilla.
- commit b2d5d31
* Mon Mar 17 2014 tiwai@suse.de
- Enable CONFIG_IRDA_FAST_RR=y (bnc#860502)
- commit f3b3714
* Mon Mar 17 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc7
- commit 92dee12
* Sat Mar 15 2014 jdelvare@suse.de
- Update x86_64 config files: Disable AMD Elan SC520 drivers
  The AMD Elan SC520 is a 32-bit x86 processor, related drivers are
  useless on other architectures.
- commit 0de8b16
* Sat Mar 15 2014 jdelvare@suse.de
- Update x86_64 and ia64 config files: Disable SC1200 drivers
  The SC1200 is a SoC based on the Geode GX1 32-bit x86 processor, so
  its drivers are useless on other architectures.
- commit 34c589f
* Sat Mar 15 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc6-145-ga4ecdf8
- commit 3ad31ff
* Fri Mar 14 2014 jdelvare@suse.de
- Update config files: Restore CONFIG_THERMAL_HWMON
  Setting CONFIG_THERMAL=y in commit e60ddcfe had the side effect of
  disabling CONFIG_THERMAL_HWMON in many configs that didn't have
  CONFIG_HWMON=y. So revert that change in all affected config files.
  Sorry for overlooking that originally.
- commit 22678a2
* Fri Mar 14 2014 jdelvare@suse.de
- Update config files: Drop all Geode-related drivers
  The Geode was a 32-bit x86 CPU, so all drivers for its companion
  chips (CS55xx) are useless on other architectures. Same for OT200
  drivers, as the Bachmann OT200 device was based on a Geode CPU.
- commit ac34a52
* Fri Mar 14 2014 jdelvare@suse.de
- Update arm and ppc config files: Drop OLPC-related driver
  OLPC drivers are only useful on i386.
- commit 07440f1
* Fri Mar 14 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc6-133-gc60f7d5
- commit 201e849
* Thu Mar 13 2014 jdelvare@suse.de
- Update debug config files: mac80211 debug options
  Enable all mac80211 debug options in all debug kernel flavors.
- commit c1ae613
* Thu Mar 13 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc6-41-gac9dc67
- commit de9b7a0
* Wed Mar 12 2014 guillaume.gardet@opensuse.org
- config: Fix version string for armv7hl/lpae
- commit ddab49a
* Wed Mar 12 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc6-26-g33807f4
- commit f9b8b9f
* Wed Mar 12 2014 guillaume.gardet@opensuse.org
- ARM: Re-enable and update configs
- commit 8443843
* Tue Mar 11 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc6-17-g8712a00
- commit 84974df
* Mon Mar 10 2014 jeffm@suse.com
- Update to 3.14-rc6.
- commit 1aaed1c
* Mon Mar 10 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc6
- commit 5161862
* Sun Mar  9 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc5-287-gca62eec
- commit 0b3392b
* Sat Mar  8 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc5-265-gb01d4e6
- commit 39313ba
* Fri Mar  7 2014 mmarek@suse.cz
- rpm/mkspec: Generate a per-architecture per-package _constraints file
- commit 65a07f7
* Fri Mar  7 2014 mmarek@suse.cz
- rpm/mkspec: Remove dead code
- commit 3fc95f5
* Fri Mar  7 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc5-185-gc3bebc7
- commit 99ef8e3
* Thu Mar  6 2014 jdelvare@suse.de
- Update config files: CONFIG_THERMAL=y
  The generic thermal module is used by several ACPI components
  (processor, fan, thermal and video) and a few other drivers. So
  in practice it will end up being loaded on almost all systems
  which support ACPI. It is small so build it into the kernel to
  improve boot speed on all ACPI-enabled architectures (i386,
  x86_64 and ia64.)
- commit ec3b91e
* Wed Mar  5 2014 jeffm@suse.com
- Update to 3.14-rc5.
- commit fb05247
* Tue Mar  4 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc5-43-g0c0bd34
- commit 138b8b8
* Tue Mar  4 2014 jdelvare@suse.de
- Update ppc64le config files: disable STE_MODEM_RPROC
  Disable config option STE_MODEM_RPROC on all ppc64le flavors, because
  it draws dependencies which aren't available on ppc64le:
  warning: (REMOTEPROC && RPMSG) selects VIRTUALIZATION which has unmet direct dependencies (!CPU_LITTLE_ENDIAN)
- commit 8709b33
* Mon Mar  3 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc5
- commit fb27d19
* Sun Mar  2 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc4-142-g55de1ed
- commit b6d7f8a
* Sat Mar  1 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc4-120-g8427def
- commit f8527fd
* Fri Feb 28 2014 mmarek@suse.cz
- rpm/mkspec: Fix whitespace in NoSource lines
- commit 6320617
* Fri Feb 28 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not zero modules.dep before using it
  (bnc#866075)
- commit b67b660
* Fri Feb 28 2014 jdelvare@suse.de
- Update config files: modularize BLK_DEV_MD, disable MD_AUTODETECT
  Michal Marek says:
  I think that the reason why BLK_DEV_MD is built in is
  config MD_AUTODETECT
    bool "Autodetect RAID arrays during kernel boot"
    depends on BLK_DEV_MD=y
  but since we compile the raid presonalities as modules, this cannot
  work. Also, we use the initrd even in the trivial cases, so why bother
  about root-on-md.
- commit 275d732
* Fri Feb 28 2014 jdelvare@suse.de
- Update config files.
  Modularize the following helper drivers:
  INET_LRO, NET_CLS_CGROUP, DNS_RESOLVER
  They had to be built-in before due to dependencies, but this is no
  longer the case, so we can modularize them again.
- commit 85f4d8f
* Fri Feb 28 2014 jdelvare@suse.de
- Update x86 config files: CONFIG_X86_MSR=m
  The msr driver creates /dev/cpu/*/msr through which you can poke
  at all the MSRs if you have CAP_SYS_RAWIO. We prefer to be able
  to remove that module if it is not needed.
- commit cea9e52
* Fri Feb 28 2014 mmarek@suse.cz
- rpm/kernel-obs-build.spec: Drop useless ExclusiveArch statement
- commit 5cdf1da
* Fri Feb 28 2014 guillaume.gardet@oliseo.fr
- config: Update armv7/exynos
- Add sound support
- Add I2C/SPI support
- commit a77ed84
* Fri Feb 28 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc4-60-g86c7654
- commit 89f1458
* Fri Feb 28 2014 jdelvare@suse.de
- Update config files: CONFIG_ISO9660_FS=m
  There is no good reason why isofs would be built into the kernel.
  Most systems don't need it after installation, and reportedly
  mkinitrd etc. can deal with it as a module just fine.
- commit a44ffb1
* Thu Feb 27 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc4-45-gd2a0476
- commit 4a3b977
* Wed Feb 26 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc4-34-g6dba6ec
- commit c184162
* Tue Feb 25 2014 jdelvare@suse.de
- Update config files: CONFIG_AUTOFS4_FS=y
  systemd requires autofs, so autofs4.ko will always be loaded on boot.
  For performance reasons, it makes sense to build it into the kernel
  (bnc#863771).
- commit 3a6d348
* Tue Feb 25 2014 jbeulich@suse.com
- Update Xen patches to 3.14-rc4 and c/s 1252.
- privcmd: allow preempting long running user-mode originating
  hypercalls (bnc#861093).
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- scripts/check-cvs-add: Disable config checking for now.
- commit 75e87f1
* Tue Feb 25 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc4-8-g7472e00
- commit b624c5c
* Mon Feb 24 2014 tiwai@suse.de
- Obsolete compat-wireless, rts5229 and rts_pstor KMPs
  These are found in SLE11-SP3, now replaced with the upstream drivers.
- commit 37738dd
* Mon Feb 24 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not obsolete ocfs2-kmp (bnc#865259)865259
- commit c8661b5
* Mon Feb 24 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Obsolete the -base package from SLE11 (bnc#865096)
- commit 3f926c3
* Mon Feb 24 2014 jeffm@suse.com
- config: disable PINCTRL_MSM and PINCTRL_MSM8X4
  These options were enable accidentally during the 3.14-rc1 update for
  just the i386/default config.
- commit 3944522
* Mon Feb 24 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc4
- commit 46ae6b9
* Mon Feb 24 2014 jeffm@suse.com
- Update to 3.14-rc4.
- Eliminated 1 patch.
- commit 51e723d
* Wed Feb 19 2014 jeffm@suse.com
- dmraid45: removed driver.
  This functionality should be offered by the dmraid driver.
- commit 3759086
* Mon Feb 17 2014 jeffm@suse.com
- config: CONFIG_BCM_KONA_USB2_PHY=n on s390
- commit 88af7b5
* Mon Feb 17 2014 jeffm@suse.com
- Update to 3.14-rc3.
- commit 8ce76dd
* Mon Feb 17 2014 jeffm@suse.com
- Update vanilla config files.
- commit 7dc1c47
* Fri Feb 14 2014 mmarek@suse.cz
- rpm/kernel-obs-build.spec: Do not mount /sys, the build script does it
- commit f11b02a
* Fri Feb 14 2014 jdelvare@suse.de
- Update config files: Disable TS5500-specific drivers
  These drivers are useless without TS5500 board support: mtd-ts5500,
  gpio-ts5500 and max197.
- commit 631746d
* Fri Feb 14 2014 jslaby@suse.cz
- Linux 3.13.3 (bnc#799216).
- Refresh patches.xen/xen-x86-EFI.
- Refresh patches.xen/xen3-patch-3.12.
- Delete
  patches.drivers/drm-cirrus-Correct-register-values-for-16bpp.
- Update config files.
- commit 644071a
* Thu Feb 13 2014 dvaleev@suse.de
- rpm/kernel-obs-build.spec: Fix for ppc64le
- commit 50c4205
* Thu Feb 13 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc2-271-g4675348
- commit aeab8de
* Wed Feb 12 2014 mq@suse.cz
- Scripts: .nosrc.rpm should contain only the specfile (bnc #639379)
- commit afe62e0
* Wed Feb 12 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc2-209-g45f7fdc
- commit b82f51f
* Wed Feb 12 2014 lpechacek@suse.cz
- doc/README.PATCH-POLICY.SUSE: updated links
- commit ac58062
* Tue Feb 11 2014 mq@suse.cz
- Spec: zeroing modules.dep to get identical builds among different machines
- commit a1c5879
* Tue Feb 11 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc2-26-g6792dfe
- commit dace9fb
* Tue Feb 11 2014 mmarek@suse.cz
- rpm/guards: Report which config file has problem in --check mode
- commit b39543d
* Mon Feb 10 2014 jeffm@suse.com
- Update to 3.14-rc2.
- Eliminated 1 patch.
- commit cf40344
* Mon Feb 10 2014 mmarek@suse.cz
- doc/README.SUSE: Update to match the current package layout
- commit f357abb
* Mon Feb 10 2014 mmarek@suse.cz
- Add the README.SUSE file to the packaging branch
- commit 11905ea
* Mon Feb 10 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc2
- commit 61c8473
* Sun Feb  9 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc1-182-g4944790
- commit 6addacb
* Sat Feb  8 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc1-150-g34a9bff
- commit 76e5d90
* Fri Feb  7 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc1-86-g9343224
- commit d52c2f3
* Thu Feb  6 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc1-54-gef42c58
- commit 44e10bd
* Wed Feb  5 2014 mmarek@suse.cz
- Change also BuildRequires from module-init-tools to modutils
- commit f650166
* Wed Feb  5 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc1-13-g878a876
- commit b5bea92
* Tue Feb  4 2014 jeffm@suse.com
- Update to 3.14-rc1.
- 19 patches eliminated.
- Xen is disabled.
- ARM is disabled.
- commit edcefdd
* Mon Feb  3 2014 mmarek@suse.cz
- Automatically updated to 3.14-rc1
- commit 5804adf
* Sun Feb  2 2014 mmarek@suse.cz
- Automatically updated to 3.13-11307-g5cb480f
- commit 75bde8b
* Sat Feb  1 2014 mmarek@suse.cz
- Automatically updated to 3.13-11268-g8a1f006
- commit e08116e
* Fri Jan 31 2014 mmarek@suse.cz
- Automatically updated to 3.13-10637-ge7651b8
- commit be1ea1b
* Fri Jan 31 2014 adrian@suse.de
- avoid double /sys mounts for kernel-obs-build, OBS is doing this meanwhile
- commit 3ea39a4
* Thu Jan 30 2014 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Require 'modutils' also in the subpackages
- commit 91f0a2e
* Thu Jan 30 2014 mmarek@suse.cz
- Reformat the spec files to what the buildservice expects
- commit 0b9e9a1
* Thu Jan 30 2014 mmarek@suse.cz
- Automatically updated to 3.13-10094-g9b0cd30
- commit 03cc3aa
* Wed Jan 29 2014 mmarek@suse.cz
- Automatically updated to 3.13-9218-g0e47c96
- commit 3193273
* Tue Jan 28 2014 mmarek@suse.cz
- Automatically updated to 3.13-8789-g54c0a4b
- commit d96cfbf
* Mon Jan 27 2014 mmarek@suse.cz
- Automatically updated to 3.13-8598-g77d143d
- commit 6e11bf6
* Mon Jan 27 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Add README.PATCH-POLICY.SUSE as source file
- commit 9c9ce61
* Mon Jan 27 2014 mmarek@suse.cz
- Drop the _constraints file, we are using the prjconf setting for now
- commit a0aa890
* Sun Jan 26 2014 mmarek@suse.cz
- Automatically updated to 3.13-8526-gb2e448e
- commit cf65cbc
* Sat Jan 25 2014 mmarek@suse.cz
- Automatically updated to 3.13-6058-g2d08cd0
- commit bff77f3
* Fri Jan 24 2014 mmarek@suse.cz
- Automatically updated to 3.13-5617-g3aacd62
- commit 86408b0
* Thu Jan 23 2014 mmarek@suse.cz
- Automatically updated to 3.13-3995-g0dc3fd0
- commit c829dd3
* Wed Jan 22 2014 jbeulich@suse.com
- Update Xen patched to 3.13-final and c/s 1248.
- Update EC2 config files (restore CONFIG_DEBUG_INFO).
- commit 02599db
* Wed Jan 22 2014 mmarek@suse.cz
- Automatically updated to 3.13-3477-gdf32e43
- commit 76084ab
* Tue Jan 21 2014 mmarek@suse.cz
- Automatically updated to 3.13-2502-gec513b1
- commit d396ca8
* Tue Jan 21 2014 jeffm@suse.de
- Update to 3.13.
- commit 8af008e
* Mon Jan 20 2014 mmarek@suse.cz
- Automatically updated to 3.13
- commit ae55b38
* Sat Jan 18 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc8-76-g7d0d46d
- commit 82f6042
* Fri Jan 17 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc8-49-g8b6d79f
- commit 999cf85
* Thu Jan 16 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc8-46-g85ce70f
- commit 06f243b
* Wed Jan 15 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc8-27-g2e67c56
- commit 4e53a01
* Tue Jan 14 2014 mmarek@suse.cz
- rpm/kernel-source.spec.in: Require kernel-devel%%variant
- commit 810ea41
* Tue Jan 14 2014 mhocko@suse.cz
- Update config files.
  Disable CONFIG_MEMCG_SWAP_ENABLED because it got enabled by accident.
  The CONFIG_MEMCG_SWAP is enabled but the accounting has to be explicitly
  allowed by swap_account=1 kernel command line parameter
- commit 4b52d8e
* Mon Jan 13 2014 jeffm@suse.com
- Update to 3.13-rc8.
- commit 096745e
* Mon Jan 13 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc8-5-ga6da83f
- commit b096822
* Sun Jan 12 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc8
- commit a0e7083
* Sat Jan 11 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc7-126-g228fdc0
- commit e030f91
* Fri Jan 10 2014 mmarek@suse.cz
- rpm/mkspec: Fix for older Perl
- commit ecf021e
* Fri Jan 10 2014 mmarek@suse.cz
- rpm/mkspec: Add .changes file for kernel-obs-*.spec as well
- commit bd3c299
* Fri Jan 10 2014 ro@suse.de
- rpm/kernel-obs-build.spec: Fix building in chroot instead of Xen
- commit 57e89b6
* Fri Jan 10 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc7-87-g21e20e2
- commit d2964bc
* Thu Jan  9 2014 jdelvare@suse.de
- Disable CONFIG_MODULE_FORCE_UNLOAD (bnc#857673)
  Forcing module unloading can't lead to anything good. If reference
  counting is wrong then it should be fixed. If the reference count is
  right and a regular (unforced) unloading doesn't work, then a forced
  unloading can only lead to chaos and ultimately a kernel crash.
- commit 4127d31
* Thu Jan  9 2014 afaerber@suse.de
- config: armv6hl: Extend default config for Raspberry Pi
  Enable CONFIG_FB_SIMPLE as that's what U-Boot exposes in DT.
- commit 84739e1
* Wed Jan  8 2014 afaerber@suse.de
- config: armv6hl: Extend default config for Raspberry Pi
  Activate CONFIG_ARM_ATAG_DTB_COMPAT for it to receive U-Boot bootargs.
  Enable BCM2835_{I2C,WDT}, MMC_SDHCI_BCM2835, USB_HCD_BCMA as modules.
- commit dce309f
* Wed Jan  8 2014 jbeulich@suse.com
- Update Xen patches to 3.13-rc7 and c/s 1245.
- netback: bump tx queue length (bnc#849404).
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 7f87e21
* Tue Jan  7 2014 agraf@suse.de
- Delete config/armv7hl/cubox.
- commit 01020d6
* Mon Jan  6 2014 jeffm@suse.com
- Update to 3.13-rc7.
- Eliminated 1 patch.
- commit 9a1f1d6
* Mon Jan  6 2014 jdelvare@suse.de
- Disable CONFIG_I2C_VIA in config/x86_64/desktop too
- commit 1f0c9fb
* Mon Jan  6 2014 jdelvare@suse.de
- Disable CONFIG_I2C_VIA, no 64-bit system would need it
- commit 6bd7148
* Mon Jan  6 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc7-12-gf0a679a
- commit c8e572e
* Sun Jan  5 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc7-5-gd11739e
- commit ce3537c
* Sat Jan  4 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc6-159-g9a2f1aa
- commit 8111d9e
* Fri Jan  3 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc6-145-g7a262d2
- commit 75ba267
* Fri Jan  3 2014 mmarek@suse.cz
- Switch to linux-*.tar.xz
- commit 27d9f61
* Fri Jan  3 2014 mmarek@suse.cz
- Add support for linux-*.tar.xz to the spec files
- commit d12c880
* Thu Jan  2 2014 agraf@suse.de
- ARM: Reenable and update configs
- commit 520cd7d
* Thu Jan  2 2014 jeffm@suse.de
- Update to 3.13-rc6.
- commit 84f7a6c
* Thu Jan  2 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc6-120-g9a0bb29
- commit 25b83b1
* Wed Jan  1 2014 mmarek@suse.cz
- Automatically updated to 3.13-rc6-109-g6b8c982
- commit 67d5101
* Tue Dec 31 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc6-101-g71ce176
- commit 79342fa
* Mon Dec 30 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc6
- commit 399ef55
* Thu Dec 26 2013 jeffm@suse.de
- Update to 3.13-rc5.
- Eliminated 3 patches.
- commit f90d6df
* Sat Dec 21 2013 jeffm@suse.de
- Update to 3.13-rc4.
- ppc64le/vanilla appears to have not been resynced when copied.
- commit a78550f
* Sat Dec 21 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc4-256-gb7000ad
- commit 57c64bc
* Fri Dec 20 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc4-199-gf755669
- commit be9227f
* Fri Dec 20 2013 agraf@suse.de
- Update config files: Disable relocation on ppc64le (it's broken)
- commit e6217e9
* Thu Dec 19 2013 agraf@suse.de
- Update config files: Disable kvm for ppc64le (not implemented upstream)
- commit 4bbc90d
* Thu Dec 19 2013 agraf@suse.de
- Add ppc64le support (configs are a copy of the ppc64 ones with LE enabled)
- commit a424835
* Thu Dec 19 2013 agraf@suse.de
- Update config files
  - remove epapr bytechan interface, we don't support booke
- commit 78753b9
* Thu Dec 19 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc4-144-ga36c160
- commit 6f20d64
* Wed Dec 18 2013 tiwai@suse.de
- Disable simplefb and x86 sysfb due to breakage (bnc#855821)
- commit ce297e4
* Wed Dec 18 2013 adrian@suse.de
- Add kernel-obs-build to use the distribution kernel within OBS VM builds.
  Add kernel-obs-qa to test that the kernel is booting within OBS VMs. It may run also further tests later on.
- commit e9cfd5c
* Wed Dec 18 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc4-38-gb0031f2
- commit 14e2f38
* Tue Dec 17 2013 mmarek@suse.cz
- Port module signing changes from SLE11-SP3 (fate#314508)
- commit 8a264a3
* Mon Dec 16 2013 jkosina@suse.cz
- doc/README.PATCH-POLICY.SUSE: add patch policy / best practices document
- commit 60893d6
* Mon Dec 16 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc4
- commit a493bdc
* Sun Dec 15 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc3-364-g0925f2c
- commit c67f5e9
* Sat Dec 14 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc3-362-gb2077eb
- commit 736154e
* Fri Dec 13 2013 tiwai@suse.de
- Add missing CONFIG_PINCTRL_SINGLE kconfig setups
- commit b0bb087
* Fri Dec 13 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc3-302-g8d27637
- commit 36141e0
* Thu Dec 12 2013 jdelvare@suse.de
- config.conf: s390 is history
- Delete config/s390/s390.
- Delete config/s390/trace.
- Delete config/s390/vanilla.
- commit 8dce845
* Wed Dec 11 2013 jdelvare@suse.de
- rpm/guards: Spelling fix
- commit 2e074cb
* Wed Dec 11 2013 jdelvare@suse.de
- rpm/guards: Delete dead code
- commit 98077a9
* Wed Dec 11 2013 jdelvare@suse.de
- rpm/guards: Typo fix from upstream
- commit ce654f8
* Wed Dec 11 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc3-174-g9538e10
- commit 21a8dde
* Wed Dec 11 2013 stefan.bruens@rwth-aachen.de
- config: set CONFIG_X86_INTEL_LPSS and CONFIG_I2C_DESIGNWARE_PLATFORM
  Enable INTEL LPSS (Low Power SubSystem) for LynxPoint chipsets (bnc#849125)
  and DesignWare (platform) i2c bus driver (bnc#849338).
  The DesignWare i2c driver depends on the clock subsystem.
- commit ee13b5b
* Tue Dec 10 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc3-157-g17b2112
- commit ad59220
* Mon Dec  9 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc3-70-g3f02ff5c
- commit 3e32b37
* Sun Dec  8 2013 jeffm@suse.com
- Update to 3.13-rc3.
- commit 93e11a7
* Sat Dec  7 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc3
- commit e27ec2e
* Fri Dec  6 2013 mmarek@suse.cz
- rpm/kernel-source.spec.in: Add the OBS _constraints file as source
- commit 17282e4
* Fri Dec  6 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc2-295-g002acf1
- commit 1ada5d7
* Thu Dec  5 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc2-215-g53c6de5
- commit c70cfe2
* Wed Dec  4 2013 jeffm@suse.de
- config: enable CONFIG_EXPERT
  3.10 introduced Kconfig rules that automatically builds in
  uncommon HID drivers if EXPERT is not set.
  This commit does not introduce any other config changes.
- commit 31061f3
* Wed Dec  4 2013 tiwai@suse.de
- config: CONFIG_CHECKPOINT_RESTORE=y and CONFIG_MEM_SOFT_DIRTY=y on x86_64
- commit 0ed3710
* Tue Dec  3 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc2-122-gdea4f48
- commit a9c64f6
* Mon Dec  2 2013 jeffm@suse.com
- Update to 3.13-rc2.
  - Eliminated 1 patch.
- commit 84511e5
* Sun Dec  1 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc2-1-gaf91706
- commit 8241757
* Sat Nov 30 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc2
- commit f5f353a
* Fri Nov 29 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc1-252-gdda9cc3
- commit 25c231a
* Fri Nov 29 2013 tiwai@suse.de
- Build mei and mei_me as modules (bnc#852656)
- commit 06e7f53
* Thu Nov 28 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc1-229-ge7c0d3d
- commit 82bd906
* Wed Nov 27 2013 duwe@suse.de
- pstore: automatically dump and clean dmesg entries
  (fate#315232).
- Update config files.
- commit 8e11a7f
* Wed Nov 27 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc1-141-g8ae516a
- commit df05c9b
* Tue Nov 26 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc1-95-gb975dc3
- commit 0c7ff98
* Mon Nov 25 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc1-85-g7e3528c
- commit b1be077
* Sun Nov 24 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc1-77-g4c1cc40
- commit 17688f7
* Sat Nov 23 2013 mmarek@suse.cz
- Automatically updated to 3.13-rc1-25-g2e7babf
- commit 5c2e17b
* Sat Nov 23 2013 jeffm@suse.com
- Update to 3.13-rc1.
- Eliminated 7 patches.
- Xen is disabled.
- ARM needs config updates.
- commit 84f5973
* Fri Nov 22 2013 mmarek@suse.cz
- Automatically updated to 3.12-11097-ga5d6e63
- commit 4ee17be
* Thu Nov 21 2013 mmarek@suse.cz
- Automatically updated to 3.12-10928-g527d151
- commit 508b3f7
* Thu Nov 21 2013 guillaume.gardet@oliseo.fr
- Add USB PHY support (needed to get USB and Ethernet working on beagle and panda boards) Add CONFIG_PINCTRL_SINGLE=y to be able to use Device tree (at least for beagle and panda boards) Add ARM SoC sound support Add SPI bus support Add user-space access to I2C and SPI
- commit c78b336
* Thu Nov 21 2013 guillaume.gardet@oliseo.fr
- Set CONFIG_GPIO_TWL4030 as built-in (instead of module) as a requirement to boot on SD card on beagleboard xM
- commit 5a6e0d9
* Wed Nov 20 2013 jslaby@suse.cz
- Update config files (fate#315172).
- commit 09a3120
* Wed Nov 20 2013 mmarek@suse.cz
- Automatically updated to 3.12-10710-gb4789b8
- commit 3e63405
* Tue Nov 19 2013 mmarek@suse.cz
- Automatically updated to 3.12-10554-g801a760
- commit 9725ba1
* Mon Nov 18 2013 mmarek@suse.cz
- Disable CONFIG_MFD_AS3722 as it does not build without builtin i2c
- commit a7591f0
* Mon Nov 18 2013 mmarek@suse.cz
- Automatically updated to 3.12-10088-g2d3c627
- commit 69dd08b
* Sun Nov 17 2013 mmarek@suse.cz
- Automatically updated to 3.12-10087-g1213959
- commit 8c34642
* Sat Nov 16 2013 mmarek@suse.cz
- Automatically updated to 3.12-9888-gf63c482
- commit 3f8b260
* Fri Nov 15 2013 jeffm@suse.com
- config: build uncommon HID drivers as modules
- commit dbd95bb
* Fri Nov 15 2013 jeffm@suse.com
- config: sync HID=y on x86_64/debug config
- commit 8233d3c
* Fri Nov 15 2013 mmarek@suse.cz
- Automatically updated to 3.12-9579-g049ffa8
- commit de3d0e1
* Thu Nov 14 2013 mmarek@suse.cz
- Automatically updated to 3.12-8333-g4fbf888
- commit 43109f8
* Wed Nov 13 2013 mmarek@suse.cz
- Automatically updated to 3.12-7033-g42a2d92
- commit b7faf38
* Tue Nov 12 2013 jdelvare@suse.de
- armv6hl, armv7hl: Update config files.
  Set CONFIG_BATMAN_ADV_BLA=y as all other kernel configuration files
  have.
- commit 1355b59
* Tue Nov 12 2013 mmarek@suse.cz
- Automatically updated to 3.12-4849-g10d0c97
- commit 2f359fe
* Mon Nov 11 2013 mmarek@suse.cz
- Automatically updated to 3.12-2839-gedae583
- commit d3d3e57
* Fri Nov  8 2013 jdelvare@suse.de
- Update config files:
  * CONFIG_BATMAN_ADV_NC=y, because other BATMAN_ADV options are all
  enabled so why not this one.
  * CONFIG_GPIO_SCH=m, CONFIG_GPIO_PCH=m, because we support all other
  features of these pieces of hardware.
  * CONFIG_INTEL_POWERCLAMP=m, because this small driver might be
  useful in specific cases, and there's no obvious reason not to
  include it.
- commit f40d115
* Fri Nov  8 2013 mmarek@suse.cz
- Automatically updated to 3.12-1915-g6c86ae2
- commit fee232c
* Thu Nov  7 2013 mmarek@suse.cz
- Automatically updated to 3.12-1713-g0b1e73e
- commit ab60ffc
* Wed Nov  6 2013 duwe@suse.de
- fate#316581: CONFIG_IBM_BSR y -> m
- commit 9999bea
* Tue Nov  5 2013 mmarek@suse.cz
- Automatically updated to 3.12-48-gbe408cd
- commit 4a91cc8
* Mon Nov  4 2013 mmarek@suse.cz
- Automatically updated to 3.12
- commit 37d62a0
* Mon Nov  4 2013 jeffm@suse.com
- Update config files.
- commit d92e8b0
* Sun Nov  3 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc7-114-g9dc8c89
- commit b6b623d
* Sat Nov  2 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc7-111-g9581b7d
- commit e9339da
* Fri Nov  1 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc7-79-g4f794ee
- commit b3f795e
* Thu Oct 31 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc7-48-g12aee27
- commit 3ca5e33
* Wed Oct 30 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc7-20-g7314e61
- commit f632e0d
* Tue Oct 29 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc7-9-gc9ca72f
- commit 45dbcef
* Mon Oct 28 2013 jeffm@suse.de
- Update to 3.12-rc7.
- commit 292af54
* Mon Oct 28 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc7
- commit 9bd10a1
* Sat Oct 26 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc6-303-g20582e3
- commit 489cbcf
* Fri Oct 25 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc6-287-g88829df
- commit 7cbd0d0
* Thu Oct 24 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc6-284-ge6036c0
- commit a4e3a0f
* Wed Oct 23 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc6-275-g320437af
- commit caad8c0
* Tue Oct 22 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc6-55-g93cd000
- commit cace161
* Mon Oct 21 2013 jeffm@suse.com
- Update to 3.12-rc6.
- commit 9278298
* Mon Oct 21 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc6-3-g0df651a
- commit cb889f6
* Sun Oct 20 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc6
- commit 55e95f1
* Sat Oct 19 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc5-139-gbdeeab6
- commit 33cc2f6
* Fri Oct 18 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc5-123-g04919af
- commit d282a52
* Thu Oct 17 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc5-78-g056cdce
- commit a121a3d
* Wed Oct 16 2013 jbeulich@suse.com
- Update x86 Xen config files (RTC_DRV_EFI=y).
- commit a14b215
* Wed Oct 16 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc5-48-g34ec4de
- commit beceaa9
* Wed Oct 16 2013 jbeulich@suse.com
- Update Xen patches to 3.12-rc5.
- config.conf: Re-enable Xen configs.
- Update config files.
- Delete patches.xen/xen3-010-acpi_initrd_override_tables.patch.
- commit 238fae9
* Tue Oct 15 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc5-36-g1e52db6
- commit 518ccdf
* Mon Oct 14 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc5
- commit 6d8f876
* Fri Oct 11 2013 jeffm@suse.com
- Update to 3.12-rc4.
- commit 3e4e98b
* Fri Oct 11 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc4-62-g2fe80d3
- commit 69e41e5
* Wed Oct  9 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc4-29-g0e7a3ed
- commit cef2889
* Tue Oct  8 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc4-19-g8b5ede6
- commit fc0499e
* Mon Oct  7 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc4-6-g162bdaf
- commit d5da7a8
* Sun Oct  6 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc3-351-ge62063d
- commit ac9a763
* Sat Oct  5 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc3-313-g7dee8df
- commit e42cd56
* Fri Oct  4 2013 mmarek@suse.cz
- rpm/split-modules: Check module support only if the -extra package is requested
- commit add86bf
* Fri Oct  4 2013 mmarek@suse.cz
- rpm/split-modules: Remove unused options
- commit 3736315
* Fri Oct  4 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix creating the kernel-*-extra package
  CONFIG_ENTERPRISE_SUPPORT has been renamed to CONFIG_SUSE_KERNEL_SUPPORTED
- commit 9e5b6fe
* Fri Oct  4 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc3-267-g6d15ee4
- commit 0c66844
* Thu Oct  3 2013 mmarek@suse.cz
- Enable CONFIG_DRM_QXL and mark qxl.ko as supported (fate#316469)
- commit df2bb0e
* Thu Oct  3 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc3-253-ge6e7fb1
- commit 671ca3a
* Wed Oct  2 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc3-186-gc31eeac
- commit 152b7e9
* Tue Oct  1 2013 jeffm@suse.com
- Update to 3.12-rc3.
- commit b27ca60
* Tue Oct  1 2013 mmarek@suse.cz
- Disable CONFIG_FB_TMIO (Sharp Zaurus) on non-arm configs.
- commit 0cd3baf
* Tue Oct  1 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc3-65-gf927318
- commit 6510a47
* Tue Oct  1 2013 mmarek@suse.cz
- Disable CONFIG_FB_GEODE, as the individual GEODE options are already disabled
- commit 182d653
* Mon Sep 30 2013 mmarek@suse.cz
- Always include the git commit in KOTD builds
  This allows us not to set it explicitly in builds submitted to the
  official distribution (bnc#821612, bnc#824171).
- commit a80e5ef
* Mon Sep 30 2013 mmarek@suse.cz
- Do not build udlfb, to avoid conflict with udl (fate#316407)
- commit 9f71248
* Mon Sep 30 2013 mmarek@suse.cz
- Disable fb drivers that have been blacklisted for a long time
  via /etc/modprobe.d/50-blacklist.conf.
- commit 4acf19b
* Mon Sep 30 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc3
- commit a77d98b
* Sun Sep 29 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc2-160-g669fc2f
- commit edc76c0
* Sat Sep 28 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc2-108-g6cac446
- commit 597150d
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Add obsolete KMPs from sle11-sp1
- commit 221133c
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Make sure that all KMP obsoletes are
  versioned (bnc#821465).
- commit d802bf2
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Provide obsoleted KMPs (bnc#753353)
- commit f5449e6
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Remove unversioned provides/obsoletes
  for packages that were only seen in openSUSE releases up to 11.0.
  (bnc#821465).
- commit 7e1f4b6
* Fri Sep 27 2013 ohering@suse.de
- Input: add a driver to support Hyper-V synthetic keyboard
  (fate#315887).
- Update config files.
- commit ad52630
* Fri Sep 27 2013 jeffm@suse.com
- config: disable DGAP on s390
  It requires ioremap, which isn't available on s390. It's a staging
  driver anyway.
- commit 49808e0
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/old-flavors, rpm/mkspec: Add version information to obsolete
  flavors (bnc#821465).
- rpm/kernel-binary.spec.in: Move the xenpae obsolete to the
  old-flavors file.
- commit 25c1b0d
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/old-flavors: Convert the old-packages.conf file to a flat
  list.
- rpm/mkspec: Adjust.
- rpm/old-packages.conf: Delete.
- commit 4037e16
* Fri Sep 27 2013 mmarek@suse.cz
- rpm/old-packages.conf: Drop bogus obsoletes for "smp" (bnc#821465)
- commit 50c4c23
* Fri Sep 27 2013 jdelvare@suse.de
- config/*/debug: Enable FSCACHE_DEBUG and CACHEFILES_DEBUG.
- commit ed2effc
* Thu Sep 26 2013 jeffm@suse.com
- config.conf: Re-enable s390x and ia64 configs
- commit f3ce157
* Thu Sep 26 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc2-83-g4b97280
- commit 2747c44
* Thu Sep 26 2013 jdelvare@suse.de
- Build gpio-ucb1400 as a module
- commit 4d3e431
* Wed Sep 25 2013 agraf@suse.de
- ARM: Update config files: Use lpae for multiarch, exynos for LPAE exynos5
- commit 5f7d24b
* Wed Sep 25 2013 agraf@suse.de
- config.conf:
- Update config files for ARM on 3.12.
- commit 42cc3a2
* Wed Sep 25 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc2-33-g22356f4
- commit c558824
* Tue Sep 24 2013 jeffm@suse.com
- Update to 3.12-rc2.
- Eliminated 3 patches.
- commit ca91ac5
* Tue Sep 24 2013 jeffm@suse.com
- Update to 3.12-rc1.
- Eliminated 42 patches.
- Xen is disabled.
- ARM is disabled.
- commit e07030b
* Tue Sep 24 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc2
- commit b0ac944
* Mon Sep 23 2013 mmarek@suse.cz
- Automatically updated to 3.12-rc1-336-gd8524ae
- commit 99c57e2
* Wed Sep 18 2013 duwe@suse.de
- Increase NR_CPUS on ppc64 to 2048 (fate#315438)
- commit f16637a
* Tue Sep 17 2013 jslaby@suse.cz
- Update config files.
  Fix ZSWAP on vanillas.
- commit 53326c8
* Tue Sep 17 2013 jeffm@suse.com
- config: Update missing ZSWAP configs.
- commit b9c290c
* Thu Sep 12 2013 jeffm@suse.com
- config: Enable CONFIG_ZSWAP (bnc#839064).
  It's built-in but a no-op without zswap.enabled=1 on the kernel
  command line.
- commit 2ee51f4
* Thu Sep 12 2013 mmarek@suse.cz
- Automatically updated to 3.11-9420-gd5d04bb
- commit 5f2bc84
* Wed Sep 11 2013 mmarek@suse.cz
- Automatically updated to 3.11-9031-ga22a0fd
- commit 78edb4a
* Tue Sep 10 2013 mmarek@suse.cz
- Automatically updated to 3.11-8716-g26b0332
- commit 06f0faf
* Mon Sep  9 2013 mmarek@suse.cz
- Automatically updated to 3.11-7890-ge5c832d
- commit 3394681
* Sun Sep  8 2013 mmarek@suse.cz
- Automatically updated to 3.11-7887-gb409624
- commit 12a54c7
* Sat Sep  7 2013 mmarek@suse.cz
- Automatically updated to 3.11-7547-g44598f9
- commit 0270bd3
* Fri Sep  6 2013 rgoldwyn@suse.de
- Update config files to enable GFS DLM locking.
- commit 2e2b598
* Fri Sep  6 2013 mmarek@suse.cz
- Automatically updated to 3.11-6422-g2e03285
- commit e5af0a7
* Thu Sep  5 2013 mmarek@suse.cz
- Automatically updated to 3.11-3891-gae7a835
- commit ab9a2c2
* Wed Sep  4 2013 mmarek@suse.cz
- Automatically updated to 3.11-2654-g458c3f6
- commit 97de23f
* Tue Sep  3 2013 jeffm@suse.com
- Update to 3.11-final.
- commit c2b86e8
* Tue Sep  3 2013 mmarek@suse.cz
- Automatically updated to 3.11
- commit fa4144a
* Mon Sep  2 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc7-96-ga878764
- commit 632c143
* Sat Aug 31 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc7-42-gd9eda0f
- commit 55b45b3
* Fri Aug 30 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc7-30-g41615e8
- commit baaa088
* Thu Aug 29 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc7-24-gc95389b
- commit 148a1a0
* Wed Aug 28 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc7-14-gfa8218d
- commit 379f9e2
* Tue Aug 27 2013 jeffm@suse.com
- rpm/kernel-docs.spec.in: Fix missing whitespace error in description
- commit 280c88e
* Tue Aug 27 2013 jeffm@suse.com
- Update to 3.11-rc7.
- commit 811b92b
* Mon Aug 26 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc7
- commit 1e9baba
* Sun Aug 25 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc6-148-g8495e9c
- commit 14842ad
* Sat Aug 24 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc6-139-g89b53e5
- commit e0d7516
* Fri Aug 23 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc6-76-g6a7492a
- commit a75df0b
* Tue Aug 20 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc6-28-gfd3930f
- commit 3ad5c81
* Mon Aug 19 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc6
- commit 6517ab5
* Sun Aug 18 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc5-168-ga08797e
- commit 002575e
* Sat Aug 17 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc5-165-g215b28a
- commit a29df84
* Thu Aug 15 2013 jbeulich@suse.com
- Update Xen patches to 3.11-rc5.
- config.conf: Re-enable Xen configs
- Delete patches.xen/xen-sections.
- commit 92f32d0
* Thu Aug 15 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc5-35-gf1d6e17
- commit bceccf4
* Wed Aug 14 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc5-21-g28fbc8b
- commit a1bcd25
* Tue Aug 13 2013 guillaume.gardet@oliseo.fr
- config: update armv6 default config to multi-arch armv6
- commit a4e49ee
* Tue Aug 13 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc5-13-g584d88b
- commit d22706b
* Mon Aug 12 2013 jeffm@suse.com
- Update to 3.11-rc5.
- commit 8ed5271
* Mon Aug 12 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc5
- commit 0d60f0e
* Sun Aug 11 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc4-197-gd92581f
- commit 498c443
* Sat Aug 10 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc4-162-g14e9419
- commit bd0056d
* Fri Aug  9 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc4-103-g6c2580c
- commit 89ee8ab
* Thu Aug  8 2013 guillaume.gardet@oliseo.fr
- arm: update default config for 3.11.0-rc4
- Add sound modules
- Add TI wifi modules
- commit e351159
* Thu Aug  8 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc4-50-gb7bc9e7
- commit e20edb7
* Thu Aug  8 2013 dmueller@suse.com
- config/arm: update and reenable ARM64 config
- commit 1609117
* Thu Aug  8 2013 dmueller@suse.com
- Reenable ARMv6/ARMv7 configs
- commit fdf48d9
* Wed Aug  7 2013 jeffm@suse.com
- config: disable RCU_USER_QS
  RCU_USER_QS is used for hacking on debugging the full dynticks model,
  which we've disabled.
- commit a8077ee
* Wed Aug  7 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc4-27-ge4ef108
- commit 317221d
* Mon Aug  5 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Avoid hardcoded runtime dependency on
  module-init-tools.
- commit 2889cef
* Mon Aug  5 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc4
- commit 8fbbeda
* Mon Aug  5 2013 jeffm@suse.com
- Update to 3.11-rc4.
- commit fff9bad
* Sun Aug  4 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc3-376-g72a67a9
- commit ad7e0b6
* Sat Aug  3 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc3-288-gabe0308
- commit 68f68a0
* Thu Aug  1 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc3-207-g64ccccf
- commit 12c6518
* Tue Jul 30 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc3-4-g36f571e
- commit cbde527
* Mon Jul 29 2013 jeffm@suse.com
- Update to 3.11-rc3.
- Eliminated 3 patches.
- commit a8c0ef8
* Mon Jul 29 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc3
- commit 9f43a1d
* Sat Jul 27 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc2-355-g6c504ec
- commit 40d0cd2
* Thu Jul 25 2013 jdelvare@suse.de
- Hu, OK, RapidIO can't be fully modularized on PPC (yet.)
- commit 30e79d8
* Thu Jul 25 2013 jdelvare@suse.de
- Update config files: build RapidIO support as modules
- commit 3aac28d
* Thu Jul 25 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc2-185-g07bc9dc
- commit 2e8c413
* Thu Jul 25 2013 jeffm@suse.com
- rpm/kernel-binary.spec.in: Obsolete microcode_ctl
  The kernel can request CPU microcode itself now and microcode_ctl is
  no longer required.
- commit 43e5ff5
* Wed Jul 24 2013 jeffm@suse.com
- config: enable early CPU microcode loading.
- commit 0ad65c2
* Wed Jul 24 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc2-158-g04012e3
- commit 2effbbb
* Tue Jul 23 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc2-93-gb3a3a9c
- commit 0162e70
* Tue Jul 23 2013 jeffm@suse.com
- config: disable USB_CHIPIDEA
- commit 3065e57
* Tue Jul 23 2013 jeffm@suse.com
- Update to 3.11-rc2.
- Eliminated 1 patch.
- commit 1196e4b
* Mon Jul 22 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc2
- commit 204c0d2
* Sun Jul 21 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc1-247-g90db76e
- commit 6bb2a7e
* Sat Jul 20 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc1-213-gd471ce5
- commit 7ebf3cb
* Fri Jul 19 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc1-165-gecb2cf1
- commit a691915
* Thu Jul 18 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc1-23-g61f98b0
- commit a1e9faf
* Wed Jul 17 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc1-19-gc0d15cc
- commit 586deae
* Tue Jul 16 2013 jeffm@suse.com
- Update to 3.10-rc1.
- Eliminated 13 patches.
- Xen needs updating and is disabled.
- commit 3a398de
* Mon Jul 15 2013 jeffm@suse.com
- config: revert NO_HZ_FULL=y to NO_HZ_IDLE=y (bnc#826946)
  NO_HZ_FULL mode was introduced in v3.10 but still has some
  problems to be worked out. Most notably are issues with
  CPU accounting and how it interacts with power states.
  We'll re-enable it when it's been proven to be stable.
- commit d3b17c1
* Mon Jul 15 2013 mmarek@suse.cz
- Automatically updated to 3.11-rc1-8-g47188d3
- commit bc47d36
* Sun Jul 14 2013 mmarek@suse.cz
- Automatically updated to 3.10-10131-g63345b4
- commit 28f9cd7
* Fri Jul 12 2013 mmarek@suse.cz
- Automatically updated to 3.10-9289-g9903883
- commit 814c40f
* Thu Jul 11 2013 mmarek@suse.cz
- Automatically updated to 3.10-8982-g6d128e1
- commit bc66c65
* Wed Jul 10 2013 mmarek@suse.cz
- Automatically updated to 3.10-8587-g496322b
- commit 3f5bc9e
* Mon Jul  8 2013 mmarek@suse.cz
- Automatically updated to 3.10-6005-gd2b4a64
- commit ae97d43
* Sun Jul  7 2013 mmarek@suse.cz
- Automatically updated to 3.10-5961-g21884a8
- commit 67f194c
* Sat Jul  6 2013 mmarek@suse.cz
- Automatically updated to 3.10-5851-gb2c3110
- commit 64a1407
* Sat Jul  6 2013 agraf@suse.de
- ARM: Enable xen for lpae target
- arm: introduce psci_smp_ops.
- ARM: Enable selection of SMP operations at boot time.
- ARM: let the ASID allocator handle suspended animation.
- ARM: prevent risks of out-of-bound access in ASID allocator.
- ARM: Cortex-A15: fix erratum 798181 implementation.
- xen/arm: disable cpuidle when linux is running as dom0.
- arm: choose debug/uncompress.h include when uncompress debug
  is disabled.
- xen/arm: enable PV control for ARM.
- Update config files.
- Refresh patches.xen/xen3-fixup-xen.
- commit 8af61d3
* Fri Jul  5 2013 mmarek@suse.cz
- Automatically updated to 3.10-5797-g74b9272
- commit 1ddaea5
* Thu Jul  4 2013 mmarek@suse.cz
- Disable CONFIG_CHIPIDEA, as it does not build
- commit d2a0bea
* Thu Jul  4 2013 mmarek@suse.cz
- Automatically updated to 3.10-5276-gddcf660
- commit 1388743
* Wed Jul  3 2013 agraf@suse.de
- ARM: Enable Arndale board with LPAE config
- ARM: EXYNOS: Set 64-bit DMA mask for EXYNOS5250.
- usb: phy: Fix phy-samsung-usb when built as module.
- USB: ehci-s5p: Fix phy reset.
- ARM: Update config files: Make LPAE Exynos only until Multiarch comes
- commit 685f89d
* Wed Jul  3 2013 mmarek@suse.cz
- Automatically updated to 3.10-3296-g0b0585c
- commit cb539c1
* Mon Jul  1 2013 mmarek@suse.cz
- Automatically updated to 3.10
- commit 12f780c
* Mon Jul  1 2013 jeffm@suse.com
- Update to 3.10-final.
- commit 5eca76a
* Sun Jun 30 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc7-156-g6c355be
- commit 2db2a88
* Sat Jun 29 2013 dmueller@suse.com
- arm: add and reenable armv6hl
  We've recently decided to remove the softfp
  targets from the openSUSE ARM portfolio. Add
  a armv6hl default kernel flavor and remove
  traces of armv5tel.
- commit 51c5edf
* Thu Jun 27 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc7-135-g98b6ed0
- commit 89e731e
* Thu Jun 27 2013 guillaume.gardet@oliseo.fr
- arm: build lpae kernel as zImage
- commit d8f6242
* Wed Jun 26 2013 jeffm@suse.com
- Update to 3.10-rc7.
- Eliminated 1 patch.
- commit 028a021
* Wed Jun 26 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc7-24-g1e876e3
- commit dc4e297
* Tue Jun 25 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc7-14-gf97f7d2
- commit 4710f30
* Mon Jun 24 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc7-8-gacdb37c
- commit 1664834
* Sun Jun 23 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc7
- commit 0bfb0b3
* Sat Jun 22 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc6-136-gf71194a
- commit 474e5e4
* Fri Jun 21 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc6-107-ga3d5c34
- commit 9eaf807
* Thu Jun 20 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc6-84-gc069114
- commit 0834e77
* Wed Jun 19 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc6-60-g17858ca
- commit 2104b53
* Mon Jun 17 2013 jeffm@suse.com
- config: update vanilla configs for -rc6.
- commit e6ce29d
* Mon Jun 17 2013 jeffm@suse.com
- Update to 3.10-rc6.
- commit 867717f
* Mon Jun 17 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc6-1-g8177a9d
- commit 23132da
* Sun Jun 16 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc6
- commit 9e85509
* Sat Jun 15 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc5-245-g5938930
- commit a16c8a4
* Fri Jun 14 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc5-219-ga2648eb
- commit a050b96
* Thu Jun 13 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc5-167-g26e0446
- commit bf5ade6
* Wed Jun 12 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc5-61-g77293e2
- commit 22053d7
* Mon Jun 10 2013 dmueller@suse.com
- Update and reenable armv7hl configs
- commit e96b989
* Mon Jun 10 2013 jeffm@suse.com
- Update to 3.10-rc5.
- commit df6438c
* Mon Jun 10 2013 schwab@suse.de
- Update arm64/default and reenable it
- commit f099e79
* Mon Jun 10 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc5-17-gae75d84
- commit e68d40c
* Sun Jun  9 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc5
- commit 1701388
* Sat Jun  8 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc4-258-g14d0ee0
- commit ce98ace
* Fri Jun  7 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc4-214-g1612e11
- commit e0f40bd
* Thu Jun  6 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc4-157-g29eb778
- commit fd6a250
* Wed Jun  5 2013 jbeulich@suse.com
- Update Xen patches to 3.10-rc4.
- use vCPU time info registration to support vread_pvclock().
- Delete patches.xen/xen-netback-nr-irqs.
- config.conf: Re-enable Xen flavors.
- Update x86 config files.
- commit 6b826d7
* Wed Jun  5 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc4-74-g844ce9f
- commit 3c80e6d
* Tue Jun  4 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc4-34-g042dd60
- commit 5df0fe2
* Mon Jun  3 2013 jeffm@suse.com
- Update to 3.10-rc4.
- Eliminated 4 patches.
- commit c093b9a
* Mon Jun  3 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc4-21-gaa4f608
- commit ffd9786
* Mon Jun  3 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc4
- commit 7d26bc8
* Fri May 31 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc3-119-ga93cb29
- commit 5fbfc25
* Thu May 30 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc3-68-gdcdbe33
- commit 0e54677
* Wed May 29 2013 jdelvare@suse.de
- Update config files: Modularize HID drivers
  Modularize all HID drivers which can easily be. Some couldn't due to
  weird Kconfig dependencies.
- commit 6c9e9f3
* Wed May 29 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc3-46-g58f8bbd
- commit 4fdd593
* Wed May 29 2013 jdelvare@suse.de
- Update config files: disable RADIO_SI476X
  RADIO_SI476X selects SND_SOC_SI476X, which depends on SND_SOC which we do
  not have.
- commit cf469da
* Tue May 28 2013 jeffm@suse.com
- Update to 3.10-rc3.
- 2 patches eliminated.
- commit 0b3486e
* Mon May 27 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc3
- commit 5971b45
* Sun May 26 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc2-448-g72de4c6
- commit cbcb83d
* Sat May 25 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc2-418-g9cf1848
- commit efc03c4
* Fri May 24 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc2-221-g514e250
- commit e27849d
* Wed May 22 2013 jeffm@suse.com
- config: remove sparc64 configs
  The sparc64 configs have been completely unmaintained for two years.
  If someone wants to resurrect support, we'll accept patches.
- commit b684066
* Wed May 22 2013 jeffm@suse.com
- sparc64: revert accidental changes during the 3.9-rc2 update
- commit f1af65a
* Wed May 22 2013 schwab@suse.de
- Update group-source-files.pl to handle symlink to directory
  Also add arch/[^/]+/boot/dts/include/dt-bindings to the list of devel
  files and avoid listing README.SUSE twice.
- commit af248e4
* Tue May 21 2013 jeffm@suse.com
- Update to 3.10-rc2.
- commit 9880044
* Tue May 21 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc2
- commit 78025c0
* Mon May 20 2013 jslaby@suse.cz
- Linux 3.9.3.
- Update config files.
- Refresh patches.xen/xen3-patch-2.6.21.
- Refresh patches.xen/xen3-patch-2.6.24.
- Refresh patches.xen/xen3-patch-2.6.36.
- commit 1efefb1
* Sun May 19 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc1-367-g130901b
- commit f24f857
* Sat May 18 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc1-279-g8f710dd
- commit 777c28b
* Fri May 17 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Avoid duplicates in the certifiate list.
- commit 9d687ad
* Fri May 17 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do an exit 0 at the end of each scriptlet
  (bnc#809617).
- commit 7d1a48f
* Fri May 17 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc1-266-gec50f2a
- commit bf8e31a
* Thu May 16 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc1-185-gc240a53
- commit 2d3d633
* Thu May 16 2013 jdelvare@suse.de
- Update config files: CONFIG_ZSMALLOC=y
  Zsmalloc support can no longer be built as a module, so change
  CONFIG_ZSMALLOC=m to =y in all configuration files to fix the build.
- commit 4ff86b9
* Wed May 15 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc1-120-gb973425
- commit a17f4ff
* Tue May 14 2013 jeffm@suse.com
- Update to 3.10-rc1.
- Eliminated 10 patches.
- Xen is disabled.
- ARM configs are disabled pending updates.
- In-kernel Bootsplash has been removed.
- EXT4 rich acls are re-enabled after having the index officially reserved.
- commit f19bb8a
* Tue May 14 2013 jdelvare@suse.de
- Change CONFIG_OF_MDIO from y to m as needed
  Fix build after my previous commit, OF_MDIO depends on PHYLIB so when
  turning the latter into a module I should have done so with the former
  as well.
- commit 1c3067f
* Tue May 14 2013 jdelvare@suse.de
- Update config files : build PHYLIB as a module.
  All but armv7hl/cubox: make PHYLIB modular. Most systems don't
  need it, and it registers a mdio_bus driver. As a side effect,
  we have to disable PHY emulation support, as it is only availble
  when PHYLIB is built-in. This driver is rather weird anyway and
  hopefully no system we want to support needs it, so it should be
  OK.
  - CONFIG_PHYLIB=m
  - CONFIG_FIXED_PHY=n
- commit 28cada8
* Tue May 14 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc1-87-g674825d
- commit 4f8b8d1
* Sun May 12 2013 mmarek@suse.cz
- Automatically updated to 3.10-rc1
- commit 4977152
* Sat May 11 2013 mmarek@suse.cz
- Automatically updated to 3.9-12555-g2dbd3ca
- commit 464c80b
* Fri May 10 2013 mmarek@suse.cz
- Automatically updated to 3.9-12316-g70eba42
- commit db157e5
* Thu May  9 2013 mmarek@suse.cz
- Disable CONFIG_MFD_TPS65912
- commit c526e1b
* Thu May  9 2013 mmarek@suse.cz
- Automatically updated to 3.9-11789-ge0fd9af
- commit 48ee7c3
* Wed May  8 2013 mmarek@suse.cz
- Automatically updated to 3.9-11572-g5af43c2
- commit 6cc2a39
* Tue May  7 2013 dmueller@suse.com
- Fix -devel package for armv7hl
  armv7hl kernel flavors in the non-multiplatform configuration
  (which is the default for our openSUSE 12.3 release), needs
  more header files from the machine specific directories to
  be included in kernel-devel.
- commit 882120e
* Tue May  7 2013 mmarek@suse.cz
- Automatically updated to 3.9-10936-g51a26ae
- commit aa0fad5
* Mon May  6 2013 mmarek@suse.cz
- Automatically updated to 3.9-10518-gd7ab730
- commit deee5a9
* Mon May  6 2013 jdelvare@suse.de
- S390: Disable CONFIG_PHYLIB on 32-bit kernels
  libphy depends on irq code which is only available on 64-bit S390,
  so disable it on 32-bit kernels.
- commit abfb82b
* Sun May  5 2013 mmarek@suse.cz
- Automatically updated to 3.9-10104-g1aaf6d3
- commit c162d94
* Sun May  5 2013 jdelvare@suse.de
- Update config files: enable CC_STACKPROTECTOR
  All other major Linux distributions are building their kernel
  with -fstack-protector, so do the same. See the discussion at:
  http://lists.opensuse.org/opensuse-kernel/2012-06/msg00088.html
  http://lists.opensuse.org/opensuse-kernel/2012-07/msg00000.html
  http://lists.opensuse.org/opensuse-kernel/2013-05/msg00013.html
  - CONFIG_CC_STACKPROTECTOR=y
- commit bccca80
* Sat May  4 2013 mmarek@suse.cz
- Automatically updated to 3.9-9472-g1db7722
- commit 2857780
* Fri May  3 2013 mmarek@suse.cz
- rpm/mkspec: Stop generating the get_release_number.sh file
  It was only needed for the old KOTD.
- commit ee71b69
* Fri May  3 2013 mmarek@suse.cz
- Automatically updated to 3.9-8933-gce85722
- commit dcc6a23
* Thu May  2 2013 mmarek@suse.cz
- Automatically updated to 3.9-7391-g20b4fb4
- commit cf241de
* Thu May  2 2013 mmarek@suse.cz
- rpm/kernel-spec-macros: Properly handle KOTD release numbers with
  .g<commit> suffix
- commit ccb20c3
* Thu May  2 2013 mmarek@suse.cz
- rpm/kernel-spec-macros: Drop the %%release_num macro
  We no longer put the -rcX tag into the release string.
- commit b88e78f
* Wed May  1 2013 mmarek@suse.cz
- Automatically updated to 3.9-5165-g5f56886
- commit 12af49a
* Tue Apr 30 2013 mmarek@suse.cz
- Automatically updated to 3.9-3143-g56847d8
- commit ade5019
* Mon Apr 29 2013 jeffm@suse.de
- Update to 3.9-final.
- commit 09687b7
* Mon Apr 29 2013 mmarek@suse.cz
- Automatically updated to 3.9
- commit 7cebe7c
* Sun Apr 28 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc8-30-g4cbbd1d
- commit 5236203
* Sat Apr 27 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc8-24-gd7d7271
- commit f63b65e
* Fri Apr 26 2013 mmarek@suse.cz
- Build the KOTD against 12.3, which has pesign-obs-integration
- commit 426a246
* Fri Apr 26 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc8-12-g697dfd8
- commit 3f09f96
* Thu Apr 25 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc8-9-g0fbd067
- commit 1cacdb6
* Wed Apr 24 2013 jeffm@suse.com
- config: disable SCSI_UFSHCD on s390/x
  It depends on PCI and can be re-enabled when PCI is enabled
  on s390/x. I expect eventually another module will be added to use
  a different bus technology so adding a depends PCI on SCSI_UFSHCD
  won't really help.
- commit 08373ce
* Wed Apr 24 2013 jeffm@suse.com
- Update to 3.9-rc8.
  Eliminated 2 patches.
- commit 2c76852
* Wed Apr 24 2013 mmarek@suse.cz
- rpm/macros.kernel-source: Fix the -c option if -n is not given
- commit d704806
* Tue Apr 23 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc8-5-g824282c
- commit 1253c1a
* Mon Apr 22 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc8
- commit c68a4be
* Sun Apr 21 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc7-173-g830ac85
- commit bdcaf1f
* Fri Apr 19 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc7-74-ga86d526
- commit ef7812f
* Thu Apr 18 2013 mmarek@suse.cz
- Remove set -x and set +e statements in KMP scripts
- commit 5575c3c
* Thu Apr 18 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc7-69-gebe8054
- commit c39a31e
* Wed Apr 17 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc7-24-g542a672
- commit 4480fa4
* Tue Apr 16 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc7-4-gbb33db7
- commit 594265e
* Mon Apr 15 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc7
- commit 7f21285
* Sun Apr 14 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc6-186-g5b55d70
- commit b58ebc8
* Sat Apr 13 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc6-183-gbf81710
- commit de62d30
* Fri Apr 12 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc6-141-gcfb63ba
- commit 404e4eb
* Thu Apr 11 2013 sleep_walker@suse.cz
- Enable FRAMEBUFFER_CONSOLE_ROTATION in our kernels
  More and more monitors have insane aspect ratio and can be better used when
  rotated. This may help when X.org is not running and for boot.
- commit 7cd9100
* Thu Apr 11 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc6-115-g7ee32a6
- commit e38a9e9
* Wed Apr 10 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc6-43-gd02a9a8
- commit ea8c8e7
* Tue Apr  9 2013 jeffm@suse.com
- Update to 3.9-rc6.
  Eliminated 1 patch.
- commit dad3321
* Tue Apr  9 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc6-13-gf011a08
- commit 3687912
* Mon Apr  8 2013 agraf@suse.de
- ARM: Exynos: Update config files: Use DRM instead of FB
- commit 70e2691
* Mon Apr  8 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc6
- commit 16b5dad
* Sun Apr  7 2013 agraf@suse.de
- rpm/package-descriptions: add lpae config for ARM
- ARM: Update config files (fix default, split out lpae).
- ARM: xen: Add missing define.
- config.conf: add lpae config for ARM
- rpm/package-descriptions: add lpae config for ARM
- commit 958fe54
* Sat Apr  6 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc5-293-gfe69690
- commit aadfb20
* Fri Apr  5 2013 jbeulich@suse.com
- Update Xen patches to 3.9-rc5.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 773d688
* Fri Apr  5 2013 jdelvare@suse.de
- Update config files: enable ViperBoard drivers
  All kernels which include core (MFD) support for the ViperBoard
  should also include the actual drivers for its functions:
  - CONFIG_I2C_VIPERBOARD=m
  - CONFIG_GPIO_VIPERBOARD=m
- commit ef110b7
* Fri Apr  5 2013 jdelvare@suse.de
- Update config files: disable UCB1400 on all but ARM
  Currently UCB1400 is only used on ARM OMAP systems, and part of the
  code is dead code that can't even be modularized.
  - CONFIG_UCB1400_CORE=n
  - CONFIG_TOUCHSCREEN_UCB1400=n
  - CONFIG_GPIO_UCB1400=n
- commit cd60801
* Fri Apr  5 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc5-196-gd08d528
- commit eaa3bf2
* Thu Apr  4 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc5-173-g66ade47
- commit ea1bec5
* Wed Apr  3 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc5-146-gda241ef
- commit 81f76d3
* Wed Apr  3 2013 jeffm@suse.com
- Update to 3.9-rc5.
  EFI_VARS_PSTORE is disabled. It is potentially useful but can brick
  certain models of notebooks. Until it's been confirmed as safe, we
  should keep this disabled.
- commit 2f926bd
* Sat Mar 30 2013 jdelvare@suse.de
- Update config files: Build DSA drivers as modules
  DSA drivers can be built as modules since kernel v3.3, so do that:
  - CONFIG_NET_DSA=m
  - CONFIG_NET_DSA_MV88E6XXX=m
  - CONFIG_NET_DSA_MV88E6060=m
  - CONFIG_NET_DSA_MV88E6131=m
  - CONFIG_NET_DSA_MV88E6123_61_65=m
- commit 9786e80
* Fri Mar 29 2013 jdelvare@suse.de
- Update config file config/sparc64/default: drop X86-only GPIO drivers
- commit f097807
* Fri Mar 29 2013 jeffm@suse.com
- config: enable GPIO_[PS]CH, disable INTEL_MID_DMAC
- commit ae6a57a
* Fri Mar 29 2013 jdelvare@suse.de
- Update config files: CONFIG_I2C_COMPAT
  Disable compatibility with lm-sensors <= 3.1.1, version 3.1.2 was
  released 3 years ago.
- commit 53f9d94
* Wed Mar 27 2013 mmarek@suse.cz
- rpm/kernel-cert-subpackage: Fix description and summary.
- commit a4cd5e1
* Tue Mar 26 2013 agraf@suse.de
- Delete config/armv7hl/u8500.
- commit b9fe3d9
* Mon Mar 25 2013 jeffm@suse.com
- Updated to 3.9-rc4.
  Eliminated 2 patches.
- commit 4d0ddee
* Mon Mar 25 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc4-18-g3912a67
- commit 876c098
* Sun Mar 24 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc4
- commit 9effe5b
* Sat Mar 23 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc3-324-g5da273f
- commit 3db5eb8
* Fri Mar 22 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc3-244-g9217cbb
- commit 1986e37
* Thu Mar 21 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc3-148-g2ffdd7e
- commit b963cf1
* Thu Mar 21 2013 agraf@suse.de
- ARM: FEC: Fix module compilation.
- ARM: kvm: fix IOMMU dependency check.
- omap3isp: fix miscompile.
- VT8500: fix miscompile in clk driver.
- config.conf: Remove imx51 and omap2plus, reenable arm
- Update config files.
- Delete config/armv7hl/imx51.
- Delete config/armv7hl/omap2plus.
- commit 6170f9d
* Wed Mar 20 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc3-140-g10b3866
- commit 7e3de07
* Tue Mar 19 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc3-63-g112ccff
- commit 984b7fd
* Mon Mar 18 2013 jeffm@suse.com
- Update to 3.9-rc3.
- 2 patches were eliminated
  CONFIG_EXPERIMENTAL was eliminated, so I've updated the Xen patches for
  that. DMRAID45 and Rich ACLs also needed updating.
- commit 1c39b52
* Mon Mar 18 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix sed command with multiple certificates
- commit 59405a2
* Mon Mar 18 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc3
- commit e250d66
* Fri Mar 15 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Install the used certificates below
  /etc/uefi/certs (fate#314507).
- commit 19b4300
* Fri Mar 15 2013 mmarek@suse.cz
- rpm/kernel-cert-subpackage: Make the template work with multiple
  certificates.
- commit 3bf5898
* Thu Mar 14 2013 jeffm@suse.com
- Updated to 3.9-rc2.
- Eliminated 52 patches.
- Xen is disabled.
- ARM configs need updating and are disabled.
- commit f10ab2f
* Thu Mar 14 2013 jeffm@suse.com
- supported-flag: clean up patches and merge into one
  The config option is renamed to CONFIG_SUSE_KERNEL_SUPPORTED and
  the text has been updated to reflect that SUSE is no longer a
  unit of Novell.
- commit 83d0c50
* Thu Mar 14 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc2-284-gaea8b5d
- commit d8c93b4
* Wed Mar 13 2013 jeffm@suse.com
- config: disabled CONFIG_SPI and CONFIG_IIO on non-ARM architectures
  These devices are found almost entirely on embedded platforms and
  end up adding hundreds of drivers for hardware that most users won't
  have. On systems using them, they are more likely to be embedded
  systems that should probably have a specialized kernel anyway.
- commit 1807abc
* Wed Mar 13 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc2-188-g6c23cbb
- commit f8f321b
* Tue Mar 12 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc2-112-g7c6baa3
- commit 2e8d901
* Mon Mar 11 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc2
- commit 91effc5
* Sun Mar 10 2013 mmarek@suse.cz
- KMP: Add -c <cert> option to the %%kernel_module_package macro
  This produces an -ueficert subpackage that imports the certificate into
  the MokList when installed (fate#314511)
- commit d8f177c
* Sun Mar 10 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc1-278-g8343bce
- commit b1df542
* Sat Mar  9 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc1-277-g0aefda3
- commit 9b33e97
* Fri Mar  8 2013 mmarek@suse.cz
- KMP: Add the -kmp suffix inside the subpackage definition
- commit 7c6395d
* Fri Mar  8 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc1-211-g47b3bc9
- commit 4939a45
* Wed Mar  6 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc1-108-g9f22578
- commit 97fe823
* Tue Mar  5 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not require new mkinitrd in kernel-vanilla
- commit 26431d8
* Mon Mar  4 2013 mmarek@suse.cz
- Automatically updated to 3.9-rc1
- commit ecbda0b
* Sun Mar  3 2013 mmarek@suse.cz
- Automatically updated to 3.8-10734-ga7c1120
- commit 447432d
* Fri Mar  1 2013 mmarek@suse.cz
- Automatically updated to 3.8-10206-gb0af9cd
- commit a34c72e
* Thu Feb 28 2013 agraf@suse.de
- Add AArch64 support
- commit 09220ef
* Thu Feb 28 2013 jslaby@suse.cz
- Update config files.
- commit d85872b
* Thu Feb 28 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Copy kernel signing changes from 12.3 to the
  packaging branch
- commit 59d2acf
* Thu Feb 28 2013 mmarek@suse.cz
- rpm/kernel-binary.spec.in: 'bc' is required since v3.9-rc1
- commit 4a9a926
* Thu Feb 28 2013 mmarek@suse.cz
- Copy packaging changes from master to the packaging branch
- commit dd227e2
* Thu Feb 28 2013 mmarek@suse.cz
- Automatically updated to 3.8-9633-g2a7d2b9
- commit b191fb5
* Wed Feb 27 2013 mmarek@suse.cz
- Automatically updated to 3.8-9405-gd895cb1
- commit f2eea3d
* Tue Feb 26 2013 agraf@suse.de
- ARM: Update config files: Drop mmap min addr to at most 32k
- commit 282ad40
* Tue Feb 26 2013 agraf@suse.de
- ARM: default: Update config file: Compile RTC drivers =y
- commit 0275d83
* Tue Feb 26 2013 mmarek@suse.cz
- Automatically updated to 3.8-8664-gc41b381
- commit 27950a3
* Mon Feb 25 2013 mmarek@suse.cz
- Automatically updated to 3.8-7888-gab78265
- commit 7c0f88d
* Sun Feb 24 2013 mmarek@suse.cz
- Automatically updated to 3.8-6988-g9e2d59a
- commit f2dc199
* Sat Feb 23 2013 mmarek@suse.cz
- Automatically updated to 3.8-6543-gdf24eef
- commit c4dde4e
* Fri Feb 22 2013 mmarek@suse.cz
- Automatically updated to 3.8-6471-g2ef14f4
- commit 9a1c8cf
* Thu Feb 21 2013 mmarek@suse.cz
- Automatically updated to 3.8-3040-ga0b1c429
- commit 7b94974
* Wed Feb 20 2013 mmarek@suse.cz
- Automatically updated to 3.8-523-gece8e0b
- commit f9212f1
* Wed Feb 20 2013 jeffm@suse.com
- config: disable ACPI_BGRT on ia64
  bgrt_image is only defined on x86.
- commit b76784d
* Wed Feb 20 2013 jeffm@suse.com
- config: disable ACPI_INITRD_TABLE_OVERRIDE on ia64
  It requires max_low_pfn_mapped, which is x86 only.
- commit 543cab1
* Wed Feb 20 2013 jeffm@suse.com
- Update to 3.8-final.
- commit cb6aa93
* Tue Feb 19 2013 mmarek@suse.cz
- Automatically updated to 3.8
- commit 54e69e1
* Sun Feb 17 2013 ohering@suse.de
- video: Add Hyper-V Synthetic Video Frame Buffer Driver
- Update config files.
- commit 7c8d9da
* Sat Feb 16 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc7-93-gf741656
- commit 36e50b5
* Thu Feb 14 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc7-73-g323a72d
- commit 48f34d2
* Wed Feb 13 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc7-6-g211b0cd
- commit 163a3f3
* Mon Feb 11 2013 jeffm@suse.de
- Update to 3.8-rc7.
  Eliminated 1 patch.
- commit 844f33d
* Sat Feb  9 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc7
- commit debb1c5
* Fri Feb  8 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc6-154-g124b69b6
- commit 24c38da
* Thu Feb  7 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc6-113-g6bacaa9
- commit 5d8335d
* Wed Feb  6 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc6-98-g1589a3e
- commit 93bbbfa
* Tue Feb  5 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc6-47-g3f4e5aa
- commit f7292c3
* Mon Feb  4 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc6-22-g6edacf0
- commit de6205e
* Sun Feb  3 2013 jeffm@suse.com
- Update to 3.8-rc6.
- commit 346f877
* Sat Feb  2 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc6-8-g8b31849
- commit f146f9c
* Fri Feb  1 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc6
- commit 38790d9
* Wed Jan 30 2013 jeffm@suse.com
- ptp: PTP_1588_CLOCK_PCH depends on x86.
- commit 295abb5
* Wed Jan 30 2013 jeffm@suse.com
- config: disable CONFIG_MVMDIO on s390/x
  CONFIG_MVMDIO is only used by a few ARM SoCs, so we don't need to build
  it everywhere else. Not sure why s390 got skipped in the previous commit.
- commit e7b01fc
* Wed Jan 30 2013 jeffm@suse.com
- config: disable CONFIG_MVMDIO on non-ARM arches
  CONFIG_MVMDIO is only used by a few ARM SoCs, so we don't need to build
  it everywhere else.
- commit 0f82cda
* Wed Jan 30 2013 jeffm@suse.com
- Update to 3.8-rc5.
  Eliminated 4 patches.
- commit 448693e
* Tue Jan 29 2013 jeffm@suse.com
- sysctl: Fixed vm.dirty_ratio sysctl name for desktop flavors
- commit 92907c0
* Tue Jan 29 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc5-150-g6abb7c2
- commit 2f11c6b
* Mon Jan 28 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc5
- commit cfec85a
* Thu Jan 24 2013 jeffm@suse.com
- Updated to 3.8-rc2.
  Eliminated 1 patch.
- commit a86d063
* Thu Jan 24 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc4-183-gff7532c
- commit 10688fe
* Wed Jan 23 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc4-139-g1d85490
- commit deb2dc7
* Mon Jan 21 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc4-71-g9a92841
- commit 78b2a39
* Sun Jan 20 2013 agraf@suse.de
- Delete config/armv7hl/highbank (included in default now)
- commit c001d45
* Sun Jan 20 2013 agraf@suse.de
- ARM: Default: Update config file (enable multiarch)
- commit 5e5b5ce
* Sat Jan 19 2013 agraf@suse.de
- Delete config/armv7hl/tegra
- commit 8c4868f
* Sat Jan 19 2013 agraf@suse.de
- ARM: IMX51: Update config file (enable drm)
- commit 6f8e127
* Sat Jan 19 2013 agraf@suse.de
- ARM: Exynos: Update config file (set drm+video =y)
- commit b2a30f8
* Sat Jan 19 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc4-42-g5da1f88
- commit 938f2c9
* Fri Jan 18 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc4
- commit d9dad77
* Thu Jan 17 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc3-352-gdfdebc2
- commit a676d1b
* Tue Jan 15 2013 dmueller@suse.com
- reenable armv7hl configs
- commit 3656db8
* Tue Jan 15 2013 jbeulich@suse.com
- Update Xen patches to 3.8-rc3.
- config.conf: Re-enable Xen flavors.
- Update x86 config files.
- commit a0970bf
* Tue Jan 15 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc3-293-g406089d
- commit 515b694
* Sat Jan 12 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc3-74-gb719f43
- commit 106780e
* Fri Jan 11 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc3-36-g254adaa
- commit 3e088a1
* Thu Jan 10 2013 jeffm@suse.com
- Update to 3.8-rc3.
- commit 52ccea9
* Thu Jan 10 2013 dmueller@suse.com
- config: update armv5tel config for 3.8-rc2
- commit 24bae31
* Thu Jan 10 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc3
- commit 3d982b3
* Wed Jan  9 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc2-364-g974b335
- commit c499ac1
* Tue Jan  8 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc2-222-g2a893f9
- commit 018c249
* Sat Jan  5 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc2-116-g5f243b9
- commit 0d1c0f8
* Fri Jan  4 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc2-36-g5f73896
- commit 2807e8b
* Thu Jan  3 2013 jeffm@suse.com
- config: Update vanilla configs.
- commit 75de638
* Thu Jan  3 2013 jeffm@suse.com
- Updated to 3.8-rc2.
- commit 5ccb84f
* Thu Jan  3 2013 mmarek@suse.cz
- Automatically updated to 3.8-rc2
- commit 042478b
* Mon Dec 31 2012 mmarek@suse.cz
- Automatically updated to 3.8-rc1-91-g4a490b7
- commit 79fa1be
* Sat Dec 29 2012 mmarek@suse.cz
- Automatically updated to 3.8-rc1-36-gecccd12
- commit 139945f
* Fri Dec 28 2012 mmarek@suse.cz
- Automatically updated to 3.8-rc1-35-g101e5c7
- commit 0697aad
* Thu Dec 27 2012 mmarek@suse.cz
- Automatically updated to 3.8-rc1-5-gad4b3fb
- commit 0d9e423
* Tue Dec 25 2012 jeffm@suse.com
- Updated to 3.8-rc1.
- Eliminated 13 patches.
- Xen is disabled.
- ARM configs need updating.
- ext4 richacls are disabled until the upstream index can be reserved.
- commit a66c8fb
* Mon Dec 24 2012 mmarek@suse.cz
- Automatically updated to 3.8-rc1-4-g637704c
- commit 648c924
* Sat Dec 22 2012 mmarek@suse.cz
- Automatically updated to 3.8-rc1
- commit 0011083
* Fri Dec 21 2012 mmarek@suse.cz
- Automatically updated to 3.7-11662-g54e37b8
- commit 59890a9
* Thu Dec 20 2012 mmarek@suse.cz
- Automatically updated to 3.7-11091-gf01af9f
- commit c52465e
* Wed Dec 19 2012 mmarek@suse.cz
- Automatically updated to 3.7-10833-g752451f
- commit 49df5aa
* Tue Dec 18 2012 mmarek@suse.cz
- Automatically updated to 3.7-10267-g848b814
- commit e8fb07b
* Mon Dec 17 2012 mmarek@suse.cz
- Automatically updated to 3.7-8805-ga4f1de1
- commit 2a0d40e
* Sun Dec 16 2012 mmarek@suse.cz
- Automatically updated to 3.7-8517-g11520e5
- commit e22cecc
* Sat Dec 15 2012 mmarek@suse.cz
- Automatically updated to 3.7-8091-g7a280cf
- commit 9777296
* Fri Dec 14 2012 mmarek@suse.cz
- Automatically updated to 3.7-7784-g7313264
- commit f8d3bc1
* Thu Dec 13 2012 mmarek@suse.cz
- Automatically updated to 3.7-5910-g6be35c7
- commit 6b8ea21
* Wed Dec 12 2012 jeffm@suse.com
- ezusb: add dependency to USB.
  This prevents build failures by making it depend on the value of CONFIG_USB.
  Commit 36e0f0bd did this for architectures other than ARM manually.
- commit 63b6c48
* Wed Dec 12 2012 mmarek@suse.cz
- Automatically updated to 3.7-2892-g1ebaf4f
- commit 01e20f3
* Tue Dec 11 2012 jeffm@suse.com
- Update to 3.7-final.
- commit 20873a0
* Tue Dec 11 2012 mmarek@suse.cz
- Automatically updated to 3.7
- commit e67d69d
* Tue Dec 11 2012 jack@suse.cz
- Disable ext3 driver in all kernels and use ext4 driver instead. Eventually
  ext3 will be removed upstream so let's do the transition.
- commit e256219
* Sun Dec  9 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc8-39-ged23ec4
- commit a4bb652
* Sat Dec  8 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc8-37-g1b3c393
- commit 3e1a16b
* Fri Dec  7 2012 guillaume.gardet@oliseo.fr
- Update omap2plus (armv7) config: Enable TWL* USB drivers
- commit 20c352d
* Fri Dec  7 2012 jbeulich@suse.com
- Update Xen config files (enable XEN_BZIMAGE and EFI_STUB).
- commit 9607a80
* Fri Dec  7 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc8-30-g18a2f37
- commit dbb48d1
* Thu Dec  6 2012 ohering@suse.de
- fate#314663 hyper-v memory ballooning support
- mm: Export a function to get vm committed memory.
- Drivers: hv: Add Hyper-V balloon driver.
- Drivers: hv: balloon: Fix a bug in the definition of struct
  dm_info_msg.
- Update config files.
  fate#314665 hyper-v: Update the Vmbus protocol
- Drivers: hv: Implement routines for read side signaling
  optimization.
- Drivers: hv: Add state to manage batched reading.
- Drivers: hv: Turn off batched reading for util drivers.
- Drivers: hv: Optimize signaling in the read path.
- Drivers: hv: Optimize the signaling on the write path.
- Drivers: hv: Get rid of hv_get_ringbuffer_interrupt_mask().
- Drivers: hv: Support handling multiple VMBUS versions.
- Drivers: hv: Update the ring buffer structure to match win8
  functionality.
- Drivers: hv: Extend/modify vmbus_channel_offer_channel for
  win7 and beyond.
- Drivers: hv: Save and export negotiated vmbus version.
- Drivers: hv: Change the signature for hv_signal_event().
- Drivers: hv: Change the signature of vmbus_set_event().
- Drivers: hv: Move vmbus version definitions to hyperv.h.
- Drivers: hv: Manage signaling state on a per-connection basis.
- Drivers: hv: Cleanup vmbus_set_event() to support win7 and
  beyond.
- Drivers: hv: Setup a mapping for Hyper-V's notion cpu ID.
- Drivers: hv: Add state to manage incoming channel interrupt
  load.
- Drivers: hv: Modify the interrupt handling code to support
  win8 and beyond.
- Drivers: hv: Add code to distribute channel interrupt load.
- Drivers: hv: Get rid of the unused global signaling state.
- Drivers: hv: Get rid of unnecessary request for offers.
- Drivers: hv: Manage event tasklets on per-cpu basis.
- Drivers: hv: Handle vmbus interrupts concurrently on all cpus.
- Drivers: hv: Add a check to deal with spurious interrupts.
- Drivers: hv: Enable protocol negotiation with win8 hosts.
- Drivers: hv: Implement flow management on the send side.
- Drivers: hv: Capture the host build information.
- Drivers: hv: Cleanup and consolidate reporting of build/version
  info.
- commit 362423f
* Thu Dec  6 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc8-14-g27d7c2a
- commit 4043741
* Wed Dec  5 2012 jeffm@suse.com
- Update to 3.7-rc8.
- Delete patches.rpmify/net-fix-build-failure-in-xilinx.
- commit 4cd69dc
* Wed Dec  5 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc8-13-gdf2fc24
- commit cbcc35b
* Tue Dec  4 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc8
- commit 91c70af
* Mon Dec  3 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc7-176-g7e5530a
- commit dbc85e9
* Sun Dec  2 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc7-163-g3c46f3d
- commit 6106b8a
* Sat Dec  1 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc7-135-g7c17e48
- commit 6557a35
* Thu Nov 29 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc7-71-ge9296e8
- commit 03f6291
* Wed Nov 28 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc7-51-ge23739b
- commit cdc4b7b
* Tue Nov 27 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc7-25-g2844a48
- commit f8eeec8
* Mon Nov 26 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc7
- commit e5d953d
* Sun Nov 25 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc6-209-g194d983
- commit 8a2a5dd
* Sat Nov 24 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc6-207-g2654ad4
- commit 5bbe4bc
* Fri Nov 23 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not remove fillup from the buildsystem
  (bnc#781327)
- commit 841d864
* Fri Nov 23 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc6-104-g5a90316
- commit 38d3267
* Thu Nov 22 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc6-76-gef6c5be
- commit fb9c912
* Wed Nov 21 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc6-41-g99b6e1e
- commit d52e2f4
* Tue Nov 20 2012 sjayaraman@suse.com
- Update config files. Enable CONFIG_SMB2 to 'y'.
- commit 645522d
* Mon Nov 19 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc6-21-g3587b1b
- commit 195759d
* Sat Nov 17 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc6
- commit 46a9f26
* Fri Nov 16 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc5-68-gc5e35d6
- commit e90454e
* Thu Nov 15 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc5-28-g79e979e
- commit efc7b51
* Tue Nov 13 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc5-14-g9924a19
- commit 3fb44ad
* Mon Nov 12 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc5
- commit e4e3a3f
* Sun Nov 11 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc4-170-gb251f0f
- commit 27a7316
* Sat Nov 10 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc4-136-gaffd9a8
- commit 772fdf3
* Fri Nov  9 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc4-72-ga186d25
- commit b4d3d2d
* Thu Nov  8 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc4-20-g0e4a43e
- commit 362f56d
* Wed Nov  7 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc4-9-g69a8ebf
- commit b695900
* Tue Nov  6 2012 jeffm@suse.com
- config: sync x86_64 configs for NR_UARTS
  This commit sets both CONFIG_SERIAL_8250_RUNTIME_UARTS and
  CONFIG_SERIAL_8250_NR_UARTS to 32.
- commit 3600626
* Tue Nov  6 2012 jeffm@suse.com
- config: sync ppc64 configs for LIB80211, NET_SDA_MV*
  This commit changes the following options to be modular:
  LIB80211
  NET_DSA_MV88E6XXX
  NET_DSA_MV88E6060
- commit 7f06759
* Tue Nov  6 2012 jeffm@suse.com
- config: sync ppc64/debug with ppc64/default
  The debug config should be identical to default with the exception of
  the debug options. This patch brings ppc64/debug in line with ppc64/default
  with the exception of a few things that are modular in debug that should
  also be modular in default.
- commit 786826a
* Tue Nov  6 2012 jeffm@suse.com
- config: sync kvm options between ppc64 flavors.
- commit c03f540
* Tue Nov  6 2012 jeffm@suse.com
- config: disable HW_RANDOM_AMD on ppc64
  This chip is only on AMD hardware and an old ppc64 eval board. We can skip
  it on ppc64.
- commit 61b99aa
* Tue Nov  6 2012 jeffm@suse.com
- config: Eliminate unused ppc/ppc64 configs.
  The history of the ppc/ppc64 configs is a convoluted one that started
  before the kernel source could support multiple machine types with a
  single image and before there was a usable 64-bit userspace.
  In the subsequent years, the powerpc code has been unified and we've
  released a 64-bit powerpc userspace. The "default" and "ppc64" configs
  on ppc64 are essentially identical and just waste space. The "ppc64"
  config on 32-bit ppc address a long since unnecessary corner case. Users
  who still want a 32-bit userspace with a 64-bit kernel can install and
  update it themselves using the 64-bit repository like i386/x86_64 users
  can do.
  This commit can be summarized thusly:
  rm config/ppc/ppc64
  rm config/ppc/ps3 (already unused)
  mv config/ppc64/ppc64 config/ppc64/default
- commit f13f865
* Mon Nov  5 2012 jeffm@suse.com
- config: sync vanilla flavor with default flavor for each platform
  The vanilla configs have drifted away from the default configuration
  for each platform. This patch brings them back in sync.
- commit 3ee29f6
* Mon Nov  5 2012 jeffm@suse.com
- config: -ec2 still had CONFIG_ENTERPRISE_SUPPORT enabled.
- commit 9a95847
* Mon Nov  5 2012 jeffm@suse.com
- Updated to 3.7-rc4.
  Eliminated 1 patch.
- commit a68ddc2
* Mon Nov  5 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc4
- commit 4be983d
* Sun Nov  4 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc3-206-gd416497
- commit ef431c4
* Sat Nov  3 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc3-163-g0f89a57
- commit 0c23549
* Fri Nov  2 2012 jbeulich@novell.com
- Update Xen patches to 3.7-rc3 and c/s 1202.
- extend base interfaces to support multi-page rings for
  frontend/backend communication.
- blkback: allow using multiple page frontend communication ring.
- blkfront: allow using multiple page backend communication ring.
- ACPI: Store valid ACPI tables passed via early initrd in
  reserved memblock areas.
- ACPI: Fix build when disabled.
- ACPI: Cleanup acpi_initrd_override declaration and remove
  ifdefs.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- Delete patches.xen/xen3-acpi_override_2_2.patch.
- commit f7f2e5e
* Fri Nov  2 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc3-77-g8c23f40
- commit 134bb5b
* Thu Nov  1 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc3-75-g1e207eb
- commit e5af72c
* Wed Oct 31 2012 guillaume.gardet@oliseo.fr
- Add support to armv5 versatile kernel
- commit bee1c22
* Wed Oct 31 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc3-44-g08f05c4
- commit 2f105cb
* Wed Oct 31 2012 jeffm@suse.com
- Update to 3.7-rc3.
- commit d6607a5
* Tue Oct 30 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Require coreutils in kernel-*-devel (bnc#783615)
- commit 2520563
* Tue Oct 30 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc3-8-g35fd3dc
- commit 5300270
* Tue Oct 30 2012 agraf@suse.de
- ARM: Update config files: Fix vexpress (default) config
- commit 7ff1620
* Mon Oct 29 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc3
- commit e8b64e6
* Sat Oct 27 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc2-492-ge657e07
- commit cd1cd83
* Fri Oct 26 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc2-191-g2ab3f29
- commit ea23ef9
* Thu Oct 25 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc2-145-g4864ccb
- commit 1a30c0f
* Mon Oct 22 2012 agraf@suse.de
- ARM: Update config files: Exynos: Disable 8bit sd mode to support wifi
- commit a6863b1
* Mon Oct 22 2012 agraf@suse.de
- Revert "disable non-compiling irrelevant I2C module"
- commit 481a0be
* Mon Oct 22 2012 agraf@suse.de
- ARM: Update config files.
- commit b6b574b
* Mon Oct 22 2012 agraf@suse.de
- ARM: Update config files.
- commit ff6e580
* Mon Oct 22 2012 agraf@suse.de
- ARM: Exynos: Fix MMC driver
- ARM: Exynos: Update configs
- commit f34b850
* Mon Oct 22 2012 jeffm@suse.com
- config: change CONFIG_USB_EZUSB_FX2 to module
- commit e5e7986
* Mon Oct 22 2012 jeffm@suse.com
- Updated to 3.7-rc2.
- commit ec174c0
* Mon Oct 22 2012 agraf@suse.de
- ARM: Update config files: Exynos: Enable gfx and highmem
- commit 5e66bc3
* Sun Oct 21 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc2
- commit ee64c24
* Sat Oct 20 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc1-321-g31fd84b
- commit 00e1ad9
* Fri Oct 19 2012 mmarek@suse.cz
- Disable MODULE_SIG for now.
- commit 77f44e0
* Fri Oct 19 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc1-154-gc9623de
- commit c1c0f81
* Thu Oct 18 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Use a macro instead of /etc/IGNORE-KABI-BADNESS
- commit 19e7e54
* Thu Oct 18 2012 agraf@suse.de
- ARM: Update config files: Fix exynos uart
- commit a8020fc
* Thu Oct 18 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc1-102-g43c422e
- commit 023876c
* Wed Oct 17 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Also check for /etc/IGNORE-KABI-BADNESS file
  This allows to control the kabi checker from outside of the package.
- commit 0a0900c
* Wed Oct 17 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc1-78-g8d2b6b3
- commit d19def2
* Wed Oct 17 2012 jeffm@suse.com
- Update to 3.7-rc1.
- Eliminated 38 patches.
- Xen is disabled.
- ARM configs need updating.
- Module signing is disabled until the build infrastructure can support it.
- commit a6503f9
* Tue Oct 16 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc1-5-gdd8e8c4
- commit 92a7ece
* Mon Oct 15 2012 mmarek@suse.cz
- Automatically updated to 3.7-rc1
- commit 68b5144
* Sun Oct 14 2012 mmarek@suse.cz
- Automatically updated to 3.6-11019-g3d6ee36
- commit 5c682e9
* Sat Oct 13 2012 mmarek@suse.cz
- Automatically updated to 3.6-10970-g4d7127d
- commit c506415
* Fri Oct 12 2012 mmarek@suse.cz
- Automatically updated to 3.6-10596-g4f1cd91
- commit d76321c
* Thu Oct 11 2012 guillaume.gardet@oliseo.fr
- ARM (omap2plus) : re-enable OMAP DRM module
- commit eb5b90a
* Thu Oct 11 2012 mmarek@suse.cz
- Automatically updated to 3.6-10146-g12250d8
- commit 0fff9e3
* Wed Oct 10 2012 mmarek@suse.cz
- Automatically updated to 3.6-9729-g42859ee
- commit 0b6d97f
* Tue Oct  9 2012 mmarek@suse.cz
- Automatically updated to 3.6-8929-gf5a246e
- commit da79566
* Mon Oct  8 2012 dmueller@suse.com
- Remove noncompiling modules
- commit 57219e0
* Mon Oct  8 2012 mmarek@suse.cz
- Automatically updated to 3.6-8492-gd43b716
- commit 6c70ff6
* Mon Oct  8 2012 agraf@suse.de
- ARM: Update config files: Exynos: Enable serial console
- commit ec60d23
* Sun Oct  7 2012 mmarek@suse.cz
- Automatically updated to 3.6-7201-ged5062d
- commit 64a3d26
* Sat Oct  6 2012 mmarek@suse.cz
- Automatically updated to 3.6-7124-g5f3d2f2
- commit 0636287
* Fri Oct  5 2012 mmarek@suse.cz
- Automatically updated to 3.6-6670-gecefbd9
- commit 93625b8
* Thu Oct  4 2012 ohering@suse.de
- rpm/kernel-binary.spec.in: enable Conflicts for
  apparmor, udev and lvm2 also for vanilla kernel
- commit a24206f
* Thu Oct  4 2012 ohering@suse.de
- rpm/kernel-binary.spec.in: add Conflicht: hyper-v < 4
  to make sure the daemon is in sync with the kernel
  (bnc#770763 , fate#314441)
- commit 86f9ba3
* Thu Oct  4 2012 jbeulich@novell.com
- Update Xen patches to 3.6-final and c/s 1197.
- Update Xen config files.
- commit 5be6bae
* Thu Oct  4 2012 mmarek@suse.cz
- Automatically updated to 3.6-5973-g3a49431
- commit ac6a3d0
* Wed Oct  3 2012 mmarek@suse.cz
- Automatically updated to 3.6-5925-g56d92aa
- commit 371e7d4
* Tue Oct  2 2012 mmarek@suse.cz
- Automatically updated to 3.6-3887-g974a847
- commit 20bca64
* Mon Oct  1 2012 agraf@suse.de
- ARM: Update config files: Exynos: Disable broken config options
- commit 467f144
* Mon Oct  1 2012 mmarek@suse.cz
- Automatically updated to 3.6
- commit 5a9d66c
* Mon Oct  1 2012 agraf@suse.de
- ARM: Update config files: Exynos: disable VFIO
- commit 9c06679
* Mon Oct  1 2012 jeffm@suse.com
- Update to 3.6-final.
- commit 6be64f1
* Sun Sep 30 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc7-121-g8110e16
- commit d54b9cc
* Sat Sep 29 2012 dmueller@suse.com
- disable non-compiling irrelevant I2C module
- commit 7c87bf7
* Sat Sep 29 2012 dmueller@suse.com
- ARM/tegra: Remove optional parts to fix build
- commit e1021dd
* Sat Sep 29 2012 dmueller@suse.com
- ARM: enable zcache support
- commit b5bece4
* Sat Sep 29 2012 dmueller@suse.com
- ARM/cubox: set cachefilesd to module
- commit 664d6e9
* Sat Sep 29 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc7-103-g6672d90
- commit 23c2d79
* Fri Sep 28 2012 mszeredi@suse.cz
- Update config files to enable building overlayfs as a module.
- commit ec3335b
* Fri Sep 28 2012 trenn@suse.de
- Update config files.
  Enable ACPI table override capability via initrd for
  all i386/x86_64 flavors:
  +CONFIG_ACPI_INITRD_TABLE_OVERRIDE=y
- commit 4865802
* Fri Sep 28 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc7-71-g6399413
- commit 89b41f2
* Thu Sep 27 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc7-43-g5e19997
- commit 394e012
* Thu Sep 27 2012 agraf@suse.de
- Update config files: Disable JTAG HVC, when enabled the kernel hangs on access
- commit 3bcca46
* Wed Sep 26 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc7-39-g6f0f9b6
- commit 7564b59
* Tue Sep 25 2012 jeffm@suse.com
- Update to 3.6-rc7.
  Eliminated one patch.
- commit ab3a8ff
* Tue Sep 25 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc7-10-g56d27ad
- commit 09c20ba
* Mon Sep 24 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc7
- commit 328bed1
* Sun Sep 23 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc6-193-ge5e77cf
- commit 8811f16
* Sat Sep 22 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc6-176-gabef3bd
- commit ad32e1c
* Thu Sep 20 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc6-52-gc46de22
- commit 2ed828b
* Wed Sep 19 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc6-28-g925a6f0
- commit f39da5a
* Tue Sep 18 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc6-25-g4651afb
- commit ba9e493
* Mon Sep 17 2012 jeffm@suse.com
- Update to 3.6-rc6.
- Eliminated 1 patch.
  patches.arch/arm-phys-offset.patch needs review.
- commit a944109
* Mon Sep 17 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc6
- commit 2067a9a
* Sat Sep 15 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc5-315-g3f0c3c8
- commit 9520725
* Fri Sep 14 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc5-97-gfbcbe2b
- commit 2173c00
* Thu Sep 13 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc5-68-gbc01637
- commit 905fe61
* Wed Sep 12 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc5-44-g0bd1189
- commit 9da7753
* Tue Sep 11 2012 dmueller@suse.com
- (ARM/tegra) remove non-building module from config
- commit a9bde8a
* Tue Sep 11 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc5-32-g1a95620
- commit 3e7d687
* Tue Sep 11 2012 jeffm@suse.com
- config: disabled MFD drivers that aren't buildable as modules
  This allows MFD_CORE to be modular on all arch/flavors except for
  ARM and the non-PAE flavors on i386, since it's used with the OLPC XO-1.
- commit 83d5ac4
* Mon Sep 10 2012 jeffm@suse.com
- Update to 3.6-rc5.
- commit a83424c
* Sun Sep  9 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc5
- commit dd6c7ac
* Fri Sep  7 2012 dmueller@suse.com
- fix build of imx51 flavor by removing irrelevant drivers
- commit c4165b4
* Fri Sep  7 2012 dmueller@suse.com
- remove drivers that do not exist and do not build on ARM (default)
- commit 072e984
* Fri Sep  7 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc4-128-geeea3ac
- commit 904c6e0
* Thu Sep  6 2012 jbeulich@novell.com
- Update Xen patches to 3.6-rc4 and c/s 1188.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit f337259
* Thu Sep  6 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc4-101-g0809095
- commit c6485be
* Tue Sep  4 2012 mmarek@suse.cz
- Disable CONFIG_KMSG_IDS on s390x, because it is currently broken
- commit 3bdd3b6
* Mon Sep  3 2012 jslaby@suse.cz
- Update config files. (vanilla ones)
- commit da9da13
* Mon Sep  3 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc4-53-g5b716ac
- commit 257778e
* Sun Sep  2 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc4
- commit b321963
* Sat Sep  1 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc3-241-g7a611e6
- commit b9cdea4
* Fri Aug 31 2012 dmueller@suse.com
- ARM(omap2plus): Remove optional parts that don't compile
- commit 6dae1d1
* Fri Aug 31 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc3-230-g155e36d
- commit d3bf7aa
* Thu Aug 30 2012 agraf@suse.de
- Update config files: Add highbank (forgot in last patch)
- commit 594863f
* Thu Aug 30 2012 agraf@suse.de
- config.conf: Enable ARM
- Update ARM config files.
- Add highbank definition
- commit 734ba0e
* Thu Aug 30 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc3-207-g318e151
- commit aee71aa
* Tue Aug 28 2012 jeffm@suse.com
- config: Update -vanilla for ChipIdea fix
- commit fdf68c3
* Mon Aug 27 2012 jeffm@suse.com
- chipidea: Allow user to select PCI/IMX options.
  This allows us to disable the ChipIdea IMX code on powerpc,
  where it was causing build problems.
- commit c478b2e
* Mon Aug 27 2012 jeffm@suse.com
- config: Disable EXYNOS_VIDEO and HW_RANDOM_EXYNOS on all configs except exynos
  This hardware is only found on the Samsung EXYNOS boards.
- commit f1eabb2
* Mon Aug 27 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc3-177-gc182ae4
- commit 12f8126
* Sun Aug 26 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc3-169-g9acb172
- commit d9511ee
* Fri Aug 24 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc3-37-g2d809dc
- commit b865c55
* Thu Aug 23 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc3
- commit daec3e4
* Wed Aug 22 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc2-400-g23dcfa6
- commit b5840a4
* Tue Aug 21 2012 jeffm@suse.com
- config: update vanilla configs for 3.6-rc2.
- commit 88d289a
* Tue Aug 21 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc2-211-g9160338
- commit 296a9e8
* Sun Aug 19 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc2-124-g6dab7ed
- commit f8d318e
* Sat Aug 18 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc2-98-g846b999
- commit 695e92e
* Fri Aug 17 2012 jeffm@suse.com
- Update to 3.6-rc2.
  - Eliminated 1 patch.
- commit ea6ece6
* Fri Aug 17 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc2
- commit 6227bdd
* Tue Aug 14 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc1-355-gddf343f
- commit 24b9d38
* Mon Aug 13 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc1-270-gf82202b
- commit fc2ed37
* Thu Aug  9 2012 mmarek@suse.cz
- Disable CONFIG_DRM_NOUVEAU on ia64 due to build errors
- commit 77696c1
* Thu Aug  9 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc1-207-gf4ba394
- commit 2845dd3
* Wed Aug  8 2012 mmarek@suse.cz
- Update config files to fix build.
- commit f1b5063
* Wed Aug  8 2012 dmueller@suse.com
- config: enable various ARM errata workarounds to improve stability
- commit 0292bdc
* Tue Aug  7 2012 mmarek@suse.cz
- rpm/config.sh: Build the KOTD against 12.2
- commit 20a3136
* Mon Aug  6 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc1-133-g42a579a
- commit e410539
* Sun Aug  5 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc1-112-ge7882d6
- commit 64eb27b
* Sat Aug  4 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc1-95-gd8579fd
- commit 861234d
* Fri Aug  3 2012 jeffm@suse.com
- Updated and re-enabled DMRAID45.
- commit dd7fcb9
* Fri Aug  3 2012 jeffm@suse.com
- Updated and re-enabled richacl support.
- commit 07a5ea0
* Fri Aug  3 2012 mmarek@suse.cz
- Automatically updated to 3.6-rc1
- commit f80c3d6
* Fri Aug  3 2012 jeffm@suse.com
- Update to 3.6-rc1.
  - Eliminated 11 patches.
  - Rich ACLs are disabled.
  - Xen is disabled.
  - ARM is disabled.
  - DMRAID45 is disabled.
- commit 473a005
* Thu Aug  2 2012 mmarek@suse.cz
- Automatically updated to 3.5-9139-g1a9b499
- commit 35baeb9
* Wed Aug  1 2012 mmarek@suse.cz
- Automatically updated to 3.5-8833-g2d53492
- commit d66e754
* Mon Jul 30 2012 jeffm@suse.com
- Update config files: HID_GENERIC=y where USBHID=y (bnc#773559).
  On flavors where USBHID is built-in statically, we want HID_GENERIC to
  be built statically as well. This, notably, includes i386/x86_64's desktop
  flavors.
- commit ee350da
* Mon Jul 30 2012 jeffm@suse.com
- Synced configs after commit 940e57e2 (Delete patches.drivers/input-Add-LED-support-to-Synaptics-device.)
- commit c7a1b25
* Mon Jul 30 2012 dmueller@suse.com
- Enable RTL8150 for omap2plus
  Generic USB Network device that also works fine on ARM, so enable it
- commit f5d960c
* Sun Jul 29 2012 mmarek@suse.cz
- Automatically updated to 3.5-7078-gf7da9cd
- commit 89042d9
* Sat Jul 28 2012 mmarek@suse.cz
- Automatically updated to 3.5-7066-g173f865
- commit 7cca0ab
* Fri Jul 27 2012 mmarek@suse.cz
- Automatically updated to 3.5-6970-g25918f9
- commit c356414
* Wed Jul 25 2012 mmarek@suse.cz
- Automatically updated to 3.5-4773-gbdc0077
- commit 4112935
* Tue Jul 24 2012 jeffm@suse.com
- Update to 3.5-final.
  patches.suse/dm-raid45-26-Nov-2009.patch needs updating to new kmsg
  interface but, since powerpc isn't officially supported by opensuse, the
  update can happen later.
- commit 41a31d2
* Tue Jul 24 2012 mmarek@suse.cz
- Automatically updated to 3.5-1643-gf0a08fc
- commit 92207ba
* Mon Jul 23 2012 mmarek@suse.cz
- Automatically updated to 3.5-709-ga6be1fc
- commit 0fce164
* Sun Jul 22 2012 mmarek@suse.cz
- Automatically updated to 3.5
- commit 85e41ea
* Sat Jul 21 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc7-189-gd75e2c9
- commit 57206e9
* Fri Jul 20 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc7-141-g85efc72
- commit b06e272
* Thu Jul 19 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc7-124-g8a7298b
- commit 48cd286
* Wed Jul 18 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc7-81-ga018540
- commit 175e1b1
* Tue Jul 17 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc7-25-ge5254a6
- commit a19a7c2
* Sun Jul 15 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc7
- commit 26671ee
* Sat Jul 14 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc6-196-gfdb1335
- commit 68d83d7
* Fri Jul 13 2012 neilb@suse.de
- Update config files.
  Updates vanilla config files to include NFS_DEBUG implied by SUNRPC_DEBUG
- commit 37cfaba
* Fri Jul 13 2012 neilb@suse.de
- Update config files.
  Add SUNRPC_DEBUG - a new option for functionality that was
  previously always present.
  Without this, "rpcdebug" doesn't work.
  We often request customers enable this to analyse problems.
- commit 708cd64
* Thu Jul 12 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc6-117-g918227b
- commit 7020230
* Thu Jul 12 2012 mmarek@suse.cz
- Update vanilla config files.
- commit da358b1
* Tue Jul 10 2012 jeffm@suse.com
- Enable VMWGFX as module (bnc#769534).
  This option affects GNOME performance in VMware virtual machines.
- commit 3effe7e
* Tue Jul 10 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc6-22-g2437fcc
- commit 59c9147
* Mon Jul  9 2012 sjayaraman@suse.com
- Update config files: CONFIG_CIFS_FSCACHE=y.
- commit 66ef05e
* Mon Jul  9 2012 sjayaraman@suse.com
- Update config files: CONFIG_CIFS_FSCACHE=m.
- commit 79aea40
* Sun Jul  8 2012 jeffm@suse.com
- Updated to 3.5-rc5.
- Eliminated 2 patches.
- commit b6f66c6
* Sun Jul  8 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc6
- commit da078df
* Sat Jul  7 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc5-175-g26c439d
- commit 8a78642
* Fri Jul  6 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc5-149-gc4aed35
- commit 43e1724
* Thu Jul  5 2012 agraf@suse.de
- Update config files: use PR KVM on ppc/ppc64
- commit bf641de
* Wed Jul  4 2012 hare@suse.de
- mach-dove: define TIMER_PHYS_BASE.
- Update config files.
- commit 2e6041f
* Wed Jul  4 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc5-98-g9e85a6f
- commit 5d05b31
* Tue Jul  3 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc5-6-g9d4056a
- commit 5e2a94d
* Mon Jul  2 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc5-3-gca24a14
- commit 0112e3d
* Sun Jul  1 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc5
- commit 8dab096
* Sat Jun 30 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc4-233-g02529ba
- commit df42baa
* Fri Jun 29 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc4-211-g9acc7bd
- commit 042440d
* Thu Jun 28 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc4-98-g47b514c
- commit 0b94016
* Wed Jun 27 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc4-59-gd1346a6
- commit d4d579b
* Tue Jun 26 2012 vojtech@suse.com
- Update post.sh to make the RT kernel default in the bootloader
  after installation.
- commit 3c10ce7
* Tue Jun 26 2012 guillaume.gardet@oliseo.fr
- Update omap2plus (ARM) config
- commit 751830a
* Tue Jun 26 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc4-52-gaace99e
- commit 3e30f85
* Mon Jun 25 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc4
- commit ba2d73d
* Sun Jun 24 2012 awafaa@opensuse.org
- Add support for Samsung Exynos SoC
- commit 6b5955f
* Sun Jun 24 2012 awafaa@opensuse.org
- Update configs for cubox/default/imx51/tegra/u8500
- commit 5117d60
* Sat Jun 23 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc3-231-g002b758
- commit 48b8bd4
* Fri Jun 22 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc3-203-g8874e81
- commit f8164d8
* Thu Jun 21 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc3-185-gbc259ad
- commit 68b2fe1
* Wed Jun 20 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc3-97-g2fe8ac6
- commit e546485
* Tue Jun 19 2012 jbeulich@novell.com
- Update Xen patches to 3.5-rc3 and c/s 1182.
- Update x86 config files.
- Delete patches.xen/add-console-use-vt.
- commit e79f21d
* Mon Jun 18 2012 jeffm@suse.com
- Updated to 3.5-rc3.
- commit 0596699
* Mon Jun 18 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc3-57-g39a50b4
- commit 6d00875
* Sun Jun 17 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc3
- commit 7ca27b4
* Sat Jun 16 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc2-322-g9b15b81
- commit 3fb3d59
* Fri Jun 15 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc2-172-g424d54d
- commit d6982b6
* Thu Jun 14 2012 jeffm@suse.com
- CONFIG_RTC_DRV_CMOS=y on all x86/x86_64 flavors (bnc#755525).
  When rtc_cmos is module, hctosys fails to set the clock on boot, issuing
  ominious error messages to the console.
- commit f190e27
* Thu Jun 14 2012 jbeulich@novell.com
- Update x86 config files (ATA_PIIX=m, bnc#766284).
- commit 56e051f
* Thu Jun 14 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc2-58-g790b9d4
- commit e64c300
* Wed Jun 13 2012 hare@suse.de
- Add SolidRun Cubox configuration
- Update config files.
- Add separate cubox configuration.
- mach-dove: Fixup ge00 initialisation.
- spi-orion: convert to new infrastructure.
- config.conf: Add cubox configuration
- rpm/package-descriptions: Add cubox description
- commit 48ad4d6
* Wed Jun 13 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc2-28-g94fa83c
- commit 5bbb5a1
* Tue Jun 12 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc2-22-g7452ca5
- commit b4caeb8
* Mon Jun 11 2012 jeffm@suse.com
- Update to 3.5-rc2.
  - Xen needs update.
  - ARM needs update.
  - Eliminated 13 patches.
- commit 421e73d
* Mon Jun 11 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc2-12-gb0a4c6f
- commit 87c3cc6
* Sat Jun  9 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc2
- commit 07ad3a1
* Fri Jun  8 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc1-130-g48d212a
- commit c562589
* Thu Jun  7 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc1-110-g71fae7e
- commit 58e3458
* Wed Jun  6 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc1-80-geea5b55
- commit 8c7fd2d
* Tue Jun  5 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc1-37-g99becf1
- commit e81ac74
* Mon Jun  4 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc1-10-g5041caa
- commit 6311df5
* Sun Jun  3 2012 mmarek@suse.cz
- Automatically updated to 3.5-rc1
- commit df0a3d5
* Sat Jun  2 2012 mmarek@suse.cz
- Automatically updated to 3.4-10115-g829f51d
- commit 59a1f0d
* Fri Jun  1 2012 tiwai@suse.de
- Update config files: Use CONFIG_SND_HDA_INPUT_BEEP=1 instead of 2
  The mode 2 was an ugly hack and shouldn't have been set, but it was so
  changed since some time ago...
- commit a5e6e4c
* Fri Jun  1 2012 guillaume.gardet@oliseo.fr
- Update ARM configs
- commit f847717
* Fri Jun  1 2012 mmarek@suse.cz
- Automatically updated to 3.4-9547-gfb21aff
- commit 3ea647c
* Thu May 31 2012 mmarek@suse.cz
- Automatically updated to 3.4-9208-gaf56e0a
- commit 7703b4d
* Wed May 30 2012 mmarek@suse.cz
- Automatically updated to 3.4-8906-g731a737
- commit f16483a
* Tue May 29 2012 jbeulich@novell.com
- Update Xen config files (XEN_SPINLOCK_ACQUIRE_NESTING=1).
- commit 56f8939
* Tue May 29 2012 mmarek@suse.cz
- Automatically updated to 3.4-8261-ga01ee16
- commit 60cdaeb
* Mon May 28 2012 mmarek@suse.cz
- Automatically updated to 3.4-8218-gb48b2c3
- commit be8d1b6
* Sun May 27 2012 mmarek@suse.cz
- Automatically updated to 3.4-8215-g1e2aec8
- commit 3c2218a
* Sat May 26 2012 mmarek@suse.cz
- Automatically updated to 3.4-7822-g786f02b
- commit b9b4b66
* Fri May 25 2012 jeffm@suse.com
- Renamed armv7l to armv7hl, following %%_cpu_target convention.
- commit 54f7adb
* Fri May 25 2012 mmarek@suse.cz
- Automatically updated to 3.4-7644-g07acfc2
- commit 9d56e6a
* Thu May 24 2012 mmarek@suse.cz
- Automatically updated to 3.4-5722-gf936991
- commit 063e6bc
* Wed May 23 2012 mmarek@suse.cz
- Automatically updated to 3.4-4842-g61011677
- commit 759e0d3
* Tue May 22 2012 mmarek@suse.cz
- Automatically updated to 3.4-2580-g72c04af
- commit ec78fe5
* Mon May 21 2012 mmarek@suse.cz
- Automatically updated to 3.4
- commit 48384e1
* Sun May 20 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7-124-gd6c77973
- commit f484c2f
* Sat May 19 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7-106-gb1dab2f
- commit 51f18c4
* Fri May 18 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7-92-g42ea7d7
- commit ea33da3
* Thu May 17 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7-53-g0e93b4b
- commit af0cf23
* Wed May 16 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7-24-g568b445
- commit b6f12a9
* Tue May 15 2012 agraf@suse.de
- Update config files: ppc64: use PR instead of HV KVM which is usable by more people
- commit 1f811d7
* Tue May 15 2012 jeffm@suse.com
- Make CRYPTO_CRC32C modular (bnc#762344)
  It was pulled in =y via CEPH_LIB=y, so we change the
  following options to =m:
- CONFIG_CEPH_LIB
- CONFIG_CRYPTO_CRC32C
- CONFIG_LIBCRC32C
  Making it modular allows the Intel-optimized crc32c implementation
  to be loaded, improving performance of things like btrfs.
- commit 5a78d5f
* Tue May 15 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7-21-gb6255ee
- commit 2748f80
* Mon May 14 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7-4-g9ff00d5
- commit 72f326b
* Mon May 14 2012 jeffm@suse.com
- Disabled more Intel embedded drivers.
  Disabled:
- CONFIG_GPIO_LANGWELL
- CONFIG_GPIO_PCH
- CONFIG_GPIO_SCH
- commit a45bdb5
* Mon May 14 2012 jeffm@suse.com
- USB storage on -desktop should be modular.
- commit 54e63d5
* Mon May 14 2012 jeffm@suse.com
- Disabled more testing options.
  Disables:
  - CONFIG_TEST_POWER
  - CONFIG_VIDEO_MEM2MEM_TESTDEV
- commit daac446
* Mon May 14 2012 jeffm@suse.com
- Update to 3.4-rc7.
  - Eliminated 1 patch.
- commit 03d6d8e
* Sun May 13 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc7
- commit e7e04e8
* Sat May 12 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc6-85-gbcc62fb
- commit 3641d0a
* Fri May 11 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc6-76-gd60b9c1
- commit e489097
* Thu May 10 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc6-41-g7ee94d9
- commit 9274153
* Wed May  9 2012 jeffm@suse.com
- geodefb: Depend on X86_32.
  Disables:
- CONFIG_FB_GEODE_GX1
- CONFIG_FB_GEODE_GX
- CONFIG_FB_GEODE_LX
- CONFIG_FB_GEODE
- commit 54e841d
* Wed May  9 2012 jeffm@suse.com
- Disabled testing config options on !debug
- CONFIG_CRYPTO_TEST
- CONFIG_DMATEST
- CONFIG_RTC_DRV_TEST
- commit 4bd27ae
* Wed May  9 2012 guillaume.gardet@opensuse.org
- Update ARM configs
- commit 62e14ad
* Wed May  9 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc6-20-g789505b
- commit 8e22df6
* Mon May  7 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc6-1-gfebb72a
- commit 0fcac68
* Sun May  6 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc5-242-g18b15fc
- commit 44c8a8c
* Fri May  4 2012 jeffm@suse.com
- Disabled MMC_TEST (bnc#760077).
- commit 798d696
* Fri May  4 2012 jeffm@suse.com
- sysctl/defaults: kernel.hung_task_timeout -> kernel.hung_task_timeout_secs (bnc#700174)
- commit 3571127
* Fri May  4 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc5-183-g0a6ba09
- commit 34e2f6e
* Thu May  3 2012 guillaume.gardet@opensuse.org
- Update config/armv7l/omap2plus
- commit 947b9c5
* Thu May  3 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc5-67-gac001e7
- commit d3d9ad1
* Wed May  2 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc5-42-gb821861
- commit f220a4e
* Tue May  1 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc5-34-g655861e
- commit d5ed1e6
* Mon Apr 30 2012 jeffm@suse.com
- Updated and re-enabled armv7l.
  Thanks to Guillaume GARDET <guillaume.gardet@opensuse.org>
- commit c19358b
* Mon Apr 30 2012 neilb@suse.de
- Update config files.
  Add CONFIG options for NFSv4v1 support.
  bnc#730444
- commit 2034b94
* Mon Apr 30 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc5
- commit a5676fe
* Sun Apr 29 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4-308-gf7b0069
- commit d4fff18
* Sat Apr 28 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4-258-gc629eaf
- commit 468f167
* Fri Apr 27 2012 jeffm@suse.com
- Disabled more Moorestown/Medfield drivers.
  Specific options disabled:
  I2C_INTEL_MID
  CONFIG_SFI
  MTD_NAND_DENALI
  SERIAL_MRST_MAX3110
  DRM_GMA600
  SPI_DW_MID_DMA
  APDS9802ALS
- commit 16dc1b2
* Fri Apr 27 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4-180-g82b7690
- commit ddbec83
* Thu Apr 26 2012 jeffm@suse.com
- Disabled DECNet and ARCNet.
  Specific config options disabled:
  CONFIG_ARCNET
  CONFIG_ARCNET_1051
  CONFIG_ARCNET_1201
  CONFIG_ARCNET_CAP
  CONFIG_ARCNET_COM20020_CS
  CONFIG_ARCNET_COM20020
  CONFIG_ARCNET_COM20020_PCI
  CONFIG_ARCNET_COM90xxIO
  CONFIG_ARCNET_COM90xx
  CONFIG_ARCNET_RAW
  CONFIG_ARCNET_RIM_I
  CONFIG_DECNET
  CONFIG_DECNET_NF_GRABULATOR
- commit b3b71bf
* Thu Apr 26 2012 jeffm@suse.com
- Disabled embedded hardware on all architectures except armv7l.
  Regulator drivers, except those needed by Via vx885/875 and OLPC
  are disabled.  IIO drivers are disabled.  SPI drivers are disabled.
  Drivers used only with Intel Medfield or Moorestown have been disabled.
  Specific options disabled:
  CONFIG_AD2S1200, CONFIG_AD2S1210, CONFIG_AD2S90, CONFIG_AD5064,
  CONFIG_AD5360, CONFIG_AD5380, CONFIG_AD5421, CONFIG_AD5446, CONFIG_AD5504,
  CONFIG_AD5624R_SPI, CONFIG_AD5686, CONFIG_AD5764, CONFIG_AD5791,
  CONFIG_AD5930, CONFIG_AD5933, CONFIG_AD7150, CONFIG_AD7152, CONFIG_AD7192,
  CONFIG_AD7280, CONFIG_AD7291, CONFIG_AD7298, CONFIG_AD7476,
  CONFIG_AD7606_IFACE_PARALLEL, CONFIG_AD7606_IFACE_SPI, CONFIG_AD7606,
  CONFIG_AD7746, CONFIG_AD7780, CONFIG_AD7793, CONFIG_AD7816, CONFIG_AD7887,
  CONFIG_AD799X, CONFIG_AD799X_RING_BUFFER, CONFIG_AD9832, CONFIG_AD9834,
  CONFIG_AD9850, CONFIG_AD9852, CONFIG_AD9910, CONFIG_AD9951,
  CONFIG_ADE7753, CONFIG_ADE7754, CONFIG_ADE7758, CONFIG_ADE7759,
  CONFIG_ADE7854_I2C, CONFIG_ADE7854, CONFIG_ADE7854_SPI, CONFIG_ADIS16060,
  CONFIG_ADIS16080, CONFIG_ADIS16130, CONFIG_ADIS16201, CONFIG_ADIS16203,
  CONFIG_ADIS16204, CONFIG_ADIS16209, CONFIG_ADIS16220, CONFIG_ADIS16240,
  CONFIG_ADIS16260, CONFIG_ADIS16400, CONFIG_ADT7310, CONFIG_ADT7316_I2C,
  CONFIG_ADT7316, CONFIG_ADT7316_SPI, CONFIG_ADT7410, CONFIG_ADXRS450,
  CONFIG_BACKLIGHT_WM831X, CONFIG_CAN_JANZ_ICAN3, CONFIG_FB_SM501,
  CONFIG_GPIO_JANZ_TTL, CONFIG_GPIO_RDC321X, CONFIG_GPIO_STMPE,
  CONFIG_GPIO_TIMBERDALE, CONFIG_GPIO_WM831X, CONFIG_IIO_BUFFER,
  CONFIG_IIO_CONSUMERS_PER_TRIGGER=2, CONFIG_IIO_GPIO_TRIGGER,
  CONFIG_IIO_KFIFO_BUF, CONFIG_IIO, CONFIG_IIO_PERIODIC_RTC_TRIGGER,
  CONFIG_IIO_SIMPLE_DUMMY, CONFIG_IIO_ST_HWMON, CONFIG_IIO_SW_RING,
  CONFIG_IIO_SYSFS_TRIGGER, CONFIG_IIO_TRIGGER,
  CONFIG_INPUT_MC13783_PWRBUTTON, CONFIG_INPUT_WM831X_ON,
  CONFIG_KEYBOARD_STMPE, CONFIG_KXSD9, CONFIG_LEDS_MC13783,
  CONFIG_LEDS_REGULATOR, CONFIG_LEDS_WM831X_STATUS,
  CONFIG_LIS3L02DQ_BUF_KFIFO, CONFIG_LIS3L02DQ, CONFIG_MAX1363,
  CONFIG_MAX1363_RING_BUFFER, CONFIG_MAX517, CONFIG_MFD_CORE,
  CONFIG_MFD_JANZ_CMODIO, CONFIG_MFD_MC13783, CONFIG_MFD_MC13XXX,
  CONFIG_MFD_RDC321X, CONFIG_MFD_SM501_GPIO, CONFIG_MFD_SM501,
  CONFIG_MFD_STMPE, CONFIG_MFD_TIMBERDALE, CONFIG_MFD_TPS65217,
  CONFIG_MFD_WM831X_SPI, CONFIG_MFD_WM831X, CONFIG_MFD_WM8400,
  CONFIG_RADIO_TIMBERDALE, CONFIG_REGMAP_I2C, CONFIG_REGMAP_SPI,
  CONFIG_REGMAP, CONFIG_REGULATOR_AD5398, CONFIG_REGULATOR_DA903X,
  CONFIG_REGULATOR_DEBUG, CONFIG_REGULATOR_DUMMY,
  CONFIG_REGULATOR_FIXED_VOLTAGE, CONFIG_REGULATOR_GPIO,
  CONFIG_REGULATOR_ISL6271A, CONFIG_REGULATOR_LP3971,
  CONFIG_REGULATOR_LP3972, CONFIG_REGULATOR_MAX1586,
  CONFIG_REGULATOR_MAX8649, CONFIG_REGULATOR_MAX8660,
  CONFIG_REGULATOR_MAX8952, CONFIG_REGULATOR_MC13783,
  CONFIG_REGULATOR_MC13892, CONFIG_REGULATOR_MC13XXX_CORE,
  CONFIG_REGULATOR_PCAP, CONFIG_REGULATOR_TPS6105X,
  CONFIG_REGULATOR_TPS62360, CONFIG_REGULATOR_TPS65023,
  CONFIG_REGULATOR_TPS6507X, CONFIG_REGULATOR_TPS65217,
  CONFIG_REGULATOR_TPS6524X, CONFIG_REGULATOR_USERSPACE_CONSUMER,
  CONFIG_REGULATOR_VIRTUAL_CONSUMER, CONFIG_REGULATOR_WM831X,
  CONFIG_REGULATOR_WM8400, CONFIG_REGULATOR, CONFIG_RFKILL_REGULATOR,
  CONFIG_RTC_DRV_MC13XXX, CONFIG_RTC_DRV_WM831X, CONFIG_SCA3000,
  CONFIG_SENSORS_AK8975, CONFIG_SENSORS_HMC5843, CONFIG_SENSORS_ISL29018,
  CONFIG_SENSORS_MC13783_ADC, CONFIG_SENSORS_TSL2563, CONFIG_SENSORS_WM831X,
  CONFIG_SERIAL_MFD_HSU, CONFIG_SERIAL_UARTLITE, CONFIG_STMPE_I2C,
  CONFIG_STMPE_SPI, CONFIG_TOUCHSCREEN_MC13783, CONFIG_TOUCHSCREEN_STMPE,
  CONFIG_TOUCHSCREEN_WM831X, CONFIG_TPS6105X, CONFIG_TSL2583,
  CONFIG_WM831X_BACKUP, CONFIG_WM831X_POWER, CONFIG_WM831X_WATCHDOG
- commit 60e1dd7
* Thu Apr 26 2012 jeffm@suse.com
- Disabled CONFIG_COPS and CONFIG_LTPC: Ancient ISA LocalTalk hardware.
- commit 5fd070c
* Thu Apr 26 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4-135-g2300fd6
- commit 5b39c97
* Wed Apr 25 2012 jeffm@suse.com
- Update to 3.4-rc4.
- commit 47dcd83
* Wed Apr 25 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4-104-gaf3a3ab
- commit 2aebf6c
* Tue Apr 24 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4-95-g95f7147
- commit 1313e08
* Mon Apr 23 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4-78-ge895bd7
- commit 70da6d4
* Sun Apr 22 2012 jeffm@suse.com
- Update config files: Merged omap2plus changes.
- commit 6742196
* Sun Apr 22 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc4
- commit 8f1ee1c
* Sat Apr 21 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc3-172-g6be5ceb
- commit db5bef1
* Fri Apr 20 2012 jbeulich@novell.com
- Update Xen patches to 3.4-rc3 and c/s 1172.
- config.conf: Re-enabled Xen configs.
- Update config files.
- commit 34bb2c2
* Fri Apr 20 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc3-89-gc6f5c93
- commit ae0fd16
* Thu Apr 19 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc3-64-g932e9f3
- commit e05c3ca
* Wed Apr 18 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc3-36-g592fe89
- commit 8162ef5
* Tue Apr 17 2012 jeffm@suse.com
- Update to 3.4-rc3.
  - Eliminated 1 patch.
- commit 1cdec0c
* Tue Apr 17 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc3-17-g4643b05
- commit 7e461ce
* Mon Apr 16 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc3
- commit 73b626f
* Sun Apr 15 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc2-342-gbfecc60
- commit c309e65
* Sat Apr 14 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc2-333-g668ce0a
- commit a28de00
* Fri Apr 13 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc2-269-g4166fb6
- commit a459a34
* Thu Apr 12 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc2-65-gf549e08
- commit 5911640
* Wed Apr 11 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc2-23-g923e9a1
- commit 2c18f83
* Mon Apr  9 2012 jeffm@suse.com
- Update to 3.4-rc2.
- commit 2d0834c
* Sun Apr  8 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc2
- commit d598f9f
* Sat Apr  7 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc1-400-gf68e556
- commit dc0ebd5
* Fri Apr  6 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc1-349-g314489b
- commit 39160a1
* Thu Apr  5 2012 jeffm@suse.com
- Update richacl patchset for 3.4.
- commit 1820194
* Thu Apr  5 2012 jeffm@suse.com
- Updated to 3.4-rc1.
  - Eliminated 121 patches.
  - Xen is unavailable.
  - ACPI overrides are unavailable.
  - AppArmor network feature are unavailable.
- commit b87f45c
* Thu Apr  5 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc1-246-g6c216ec
- commit 6ffbd52
* Wed Apr  4 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc1-144-g01627d9
- commit 8966466
* Tue Apr  3 2012 mmarek@suse.cz
- Automatically updated to 3.4-rc1-104-g7d6e1cb
- commit 09e691b
* Mon Apr  2 2012 jeffm@suse.de
- armv7l: Disable CONFIG_TOUCHSCREEN_EGALAX on default and u8500 due to missing infrastructure.
- commit 91d2885
* Fri Mar 30 2012 mmarek@suse.cz
- Automatically updated to 3.3-9248-g1338631
- commit e7e24e8
* Thu Mar 29 2012 mmarek@suse.cz
- Automatically updated to 3.3-8839-gb5174fa
- commit b26846b
* Wed Mar 28 2012 mmarek@suse.cz
- Automatically updated to 3.3-7919-g6658a69
- commit 4881db4
* Sun Mar 25 2012 mmarek@suse.cz
- Automatically updated to 3.3-6972-ge22057c
- commit 163c60c
* Sat Mar 24 2012 mmarek@suse.cz
- Automatically updated to 3.3-6946-gf1d38e4
- commit e2aca34
* Fri Mar 23 2012 mmarek@suse.cz
- Automatically updated to 3.3-5825-g4375382
- commit 939e84d
* Thu Mar 22 2012 mmarek@suse.cz
- Automatically updated to 3.3-4074-g5375871
- commit 7c3d735
* Thu Mar 22 2012 jeffm@suse.com
- Update config files: Disable CONFIG_INTEL_IOMMU_DEFAULT_ON (bnc#740102 and others)
- commit 842c4d7
* Thu Mar 22 2012 jeffm@suse.de
- Update config files: Disabled CONFIG_COMPAT_BRK and CONFIG_COMPAT_VDSO (FATE#313171)
- commit 62108b4
* Wed Mar 21 2012 mmarek@suse.cz
- Automatically updated to 3.3-3247-g69a7aeb
- commit 2e26f29
* Mon Mar 19 2012 jeffm@suse.com
- Update vanilla config files.
- commit 1feb084
* Mon Mar 19 2012 jeffm@suse.com
- Update to 3.3-final.
- commit f59d863
* Mon Mar 12 2012 jeffm@suse.com
- Update to 3.3-rc7.
- commit ec992f9
* Thu Mar  8 2012 mmarek@suse.cz
- Fix vanilla config files.
- commit 67a1d7d
* Thu Mar  8 2012 mmarek@suse.cz
- Delete patches.rpmify/nvme-broken, nvme builds again on 32bit.
- commit d944890
* Thu Mar  8 2012 mmarek@suse.cz
- rpm/config.sh: Build against 12.1
- commit e4bf972
* Thu Mar  8 2012 mmarek@suse.cz
- Delete patches.rpmify/nvme-broken, nvme builds on 32bit again
- commit 0f35c6d
* Thu Mar  8 2012 mmarek@suse.cz
- Enable patches.rpmify/git-extraversion in series.conf
- commit b8d3e84
* Thu Mar  8 2012 agraf@suse.de
- armv7l: config: omap: disable HDMI output (breaks build)
- commit bc8cbe6
* Thu Mar  8 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc6-164-g4f262ac
- commit a9ed95b
* Wed Mar  7 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc6-146-gdac12d1
- commit 9eac4ca
* Tue Mar  6 2012 agraf@suse.de
- armv7l: omap2plus: Enable TIDSPBRIDGE and SND codecs
- commit dea4b8a
* Tue Mar  6 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc6-104-gf3969bf
- commit d58b8aa
* Mon Mar  5 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc6-10-ga5939ee
- commit 257c1b8
* Mon Mar  5 2012 jeffm@suse.com
- Update to 3.3-rc6.
- commit b0274ee
* Sun Mar  4 2012 jslaby@suse.cz
- Update config files.
  Enable RT2800USB_RT35XX and RT2800USB_RT53XX.
- commit 01d45cd
* Sun Mar  4 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc6
- commit fec0646
* Sat Mar  3 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc5-204-gae942ae
- commit b423382
* Fri Mar  2 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc5-166-g1f033c1
- commit 269695a
* Thu Mar  1 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc5-101-g88ebdda
- commit 68a9b3f
* Wed Feb 29 2012 jbeulich@novell.com
- Update Xen patches to 3.3-rc5 and c/s 1157.
- config.conf: Re-enable Xen configs.
- Update config files.
- commit 023fbdf
* Wed Feb 29 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc5-98-g164974a
- commit 3c8a009
* Tue Feb 28 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc5-88-g586c6e7
- commit 03a5d73
* Mon Feb 27 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc5-66-g500dd23
- commit 3693d8c
* Sun Feb 26 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc5
- commit f22ab1b
* Sat Feb 25 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc4-186-gb52b800
- commit c2e7026
* Fri Feb 24 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc4-91-gbb4c7e9
- commit 6bfa00f
* Thu Feb 23 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc4-74-g45196ce
- commit a31ec65
* Wed Feb 22 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc4-34-g719741d
- commit 1a41fc8
* Tue Feb 21 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc4-19-g27e74da
- commit f1b24a2
* Sun Feb 19 2012 jeffm@suse.com
- Updated to 3.3-rc4.
- commit 36ab62b
* Sun Feb 19 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc4
- commit 55514a7
* Fri Feb 17 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3-278-g4903062
- commit 30a367f
* Thu Feb 16 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3-273-gc38e234
- commit d24be9c
* Wed Feb 15 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3-272-g7ada1dd
- commit c4663dc
* Tue Feb 14 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3-230-gce5afed
- commit ba5882c
* Mon Feb 13 2012 mmarek@suse.cz
- nvme: Mark as broken on x86_32.
- commit 04408a1
* Sun Feb 12 2012 trenn@suse.de
- Add driver auto probing for x86 features v4
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- x86/cpu: Fix overrun check in arch_print_cpu_modalias()
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- crypto: Add support for x86 cpuid
  auto loading for x86 crypto drivers
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- x86/cpu: Clean up modalias feature matching
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- intel-idle: convert to x86_cpu_id auto probing
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- intel_idle: Fix ID for Nehalem-EX Xeon in device ID table
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- HWMON: Convert via-cputemp to x86 cpuid autoprobing
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- powernow-k7: Fix CPU family number
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- ACPI: Load acpi-cpufreq from processor driver automatically
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- intel_idle: Revert change of auto_demotion_flags for Nehalem
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- HWMON: Convert coretemp to x86 cpuid autoprobing
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- powernow-k6: Really enable auto-loading
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- X86: Introduce HW-Pstate scattered cpuid feature
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- cpufreq: Add support for x86 cpuinfo auto loading v4
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- x86: autoload microcode driver on Intel and AMD systems v2
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- CPU: Introduce ARCH_HAS_CPU_AUTOPROBE and X86 parts
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- ACPI: remove duplicated lines of merging
  problems with acpi_processor_start
  (http://lists.opensuse.org/opensuse-kernel/2011-11/msg00075.html).
- Update config files.
- commit 24191d0
* Sun Feb 12 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3-188-g3ec1e88
- commit a0df6b1
* Sat Feb 11 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3-171-g8df54d6
- commit 411c171
* Fri Feb 10 2012 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Build x86 packages as i686, except for
  - default (bnc#745632). KMPs are still built as i586.
- commit 88a632b
* Fri Feb 10 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3-67-g19e00f2
- commit 2fa310d
* Thu Feb  9 2012 agraf@suse.de
- armv7l: Update config files.
- commit b00a12e
* Thu Feb  9 2012 agraf@suse.de
- armv7l: config: integrate bmwiedemann's updates to make it usable
- commit a1b9e7f
* Thu Feb  9 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc3
- commit 759c8b9
* Wed Feb  8 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc2-226-g98e9685
- commit 0747d68
* Tue Feb  7 2012 jeffm@suse.com
- Update vanilla config files.
- commit 2de2e2a
* Tue Feb  7 2012 jeffm@suse.com
- Update to 3.3-rc2.
  - Eliminated 5 patches.
  - Xen is disabled.
- commit 4c9206f
* Tue Feb  7 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc2-180-g8597559
- commit 1a4478a
* Sun Feb  5 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc2-172-g23783f8
- commit 36ac851
* Sat Feb  4 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc2-110-gd125666
- commit 320bf0c
* Fri Feb  3 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc2-77-g6c073a7
- commit 46138ca
* Thu Feb  2 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc2-37-gbd3ce7d
- commit 147f551
* Wed Feb  1 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc2
- commit 5b6fd5b
* Tue Jan 31 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1-489-g27ba234
- commit a048162
* Sun Jan 29 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1-383-g0a96265
- commit 3ae973c
* Sat Jan 28 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1-287-gacb42a3
- commit 3320c4a
* Fri Jan 27 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1-246-g74ea15d
- commit f74020e
* Thu Jan 26 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1-214-g87f71ae
- commit 0a9ce18
* Wed Jan 25 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1-167-gf8275f9
- commit 0348b58
* Tue Jan 24 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1-60-gc1aab02
- commit f10c69e
* Fri Jan 20 2012 mmarek@suse.cz
- Automatically updated to 3.3-rc1
- commit 3ef25df
* Thu Jan 19 2012 mmarek@suse.cz
- Automatically updated to 3.2-9429-g90a4c0f
- commit 8511540
* Wed Jan 18 2012 mmarek@suse.cz
- Automatically updated to 3.2-9104-gccb19d2
- commit d5a7b75
* Tue Jan 17 2012 mmarek@suse.cz
- Automatically updated to 3.2-8812-gc2bc3a3
- commit ffd0ae4
* Mon Jan 16 2012 mmarek@suse.cz
- Automatically updated to 3.2-8694-g53999bf
- commit cf9bf86
* Sun Jan 15 2012 mmarek@suse.cz
- Automatically updated to 3.2-7927-gc49c41a
- commit a26b73b
* Sat Jan 14 2012 mmarek@suse.cz
- Automatically updated to 3.2-7493-g2145199
- commit 83632b9
* Fri Jan 13 2012 agraf@suse.de
- ARM: Update config files: Enable highmem everywhere
- commit 759f64a
* Fri Jan 13 2012 mmarek@suse.cz
- Automatically updated to 3.2-7326-g0994695
- commit 97f469c
* Thu Jan 12 2012 mmarek@suse.cz
- Automatically updated to 3.2-6449-g9fc5c3e
- commit c00d3e2
* Wed Jan 11 2012 mmarek@suse.cz
- Automatically updated to 3.2-6100-ge343a89
- commit ad91484
* Tue Jan 10 2012 mmarek@suse.cz
- Automatically updated to 3.2-4874-ge4e1118
- commit df59ef2
* Mon Jan  9 2012 mmarek@suse.cz
- Set CONFIG_LOCALVERSION for armv7l/u8500.
- commit 5b2d652
* Mon Jan  9 2012 mmarek@suse.cz
- Automatically updated to 3.2-3495-ga0e86bd
- commit f64244e
* Sun Jan  8 2012 mmarek@suse.cz
- Automatically updated to 3.2-3023-g02550d6
- commit a64d53e
* Sat Jan  7 2012 mmarek@suse.cz
- Automatically updated to 3.2-2908-g356b954
- commit 66d7217
* Fri Jan  6 2012 awafaa@opensuse.org
- add support for ST-Ericsson Nova based SoCs
- commit 58b8258
* Fri Jan  6 2012 mmarek@suse.cz
- Automatically updated to 3.2-1-g07d106d
- commit dd64538
* Thu Jan  5 2012 jeffm@suse.com
- Update to 3.2-final.
- commit 6872828
* Thu Jan  5 2012 mmarek@suse.cz
- Automatically updated to 3.2
- commit 208a5fa
* Wed Jan  4 2012 mmarek@suse.cz
- Automatically updated to 3.2-rc7-87-g157e8bf
- commit 21a238b
* Tue Jan  3 2012 mmarek@suse.cz
- Automatically updated to 3.2-rc7-83-g115e8e7
- commit 5546edc
* Mon Jan  2 2012 mmarek@suse.cz
- Automatically updated to 3.2-rc7-81-g733bbb7
- commit feea642
* Sun Jan  1 2012 mmarek@suse.cz
- Automatically updated to 3.2-rc7-76-gc7f46b7
- commit 5957759
* Sat Dec 31 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc7-72-g06867fb
- commit c548d07
* Fri Dec 30 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc7-39-g89307ba
- commit 9f9662f
* Thu Dec 29 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc7-17-g371de6e
- commit c1bde77
* Fri Dec 23 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc6-191-gb3b1b70
- commit 119f290
* Thu Dec 22 2011 jeffm@suse.com
- Update config files.
- CONFIG_X86_INTEL_MID -> CONFIG_X86_WANT_INTEL_MID
- commit 7e3e6d7
* Thu Dec 22 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc6-182-gecefc36
- commit dc8e8f9
* Wed Dec 21 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc6-140-gb9e26df
- commit bf1b76e
* Tue Dec 20 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc6-49-g511585a
- commit 9f8392f
* Mon Dec 19 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc6-38-g390f998
- commit 8299b9f
* Sun Dec 18 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc6-5-ga36bfdd
- commit f155993
* Sun Dec 18 2011 aj@suse.de
- rpm/kernel-source.rpmlintrc: The hidden files are fine, silence rpmlint.
- commit a7813dd
* Sat Dec 17 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc6
- commit 69af77b
* Fri Dec 16 2011 aj@suse.de
- rpm/kernel-binary.spec.in: Add provides and make most obsoletes versioned.
  This silences rpmlint warnings.
- commit e3023c7
* Fri Dec 16 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc5-77-g6f12d2e
- commit 21b1938
* Thu Dec 15 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc5-60-g55b02d2
- commit b553c0d
* Wed Dec 14 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/mkspec: Fix tarball URL for -rcX and
  do not generate any URL for linux-next and vanilla snapshots.
- commit 1548daf
* Wed Dec 14 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc5-38-g373da0a
- commit 339acc2
* Tue Dec 13 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in, rpm/mkspec: Fix linux tarball URL
- commit 5453f99
* Tue Dec 13 2011 agraf@suse.de
- PPC: Update config files: disable CONFIG_DEBUG_STACKOVERFLOW
- commit 705c502
* Mon Dec 12 2011 aj@suse.de
- Silence missing defattr warning.
- commit e7e3743
* Mon Dec 12 2011 aj@suse.de
- Silence warning about dangling symlink and vdsos
- commit 701c5c7
* Sat Dec 10 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc5
- commit 397d8a9
* Fri Dec  9 2011 aj@suse.de
- No self-obsoletions.
- commit 1d2e747
* Fri Dec  9 2011 aj@suse.de
- Do not show rpmlint warnings.
- commit bb45b41
* Fri Dec  9 2011 aj@suse.de
- Use versioned provides/obsoletes.
- commit cf4f296
* Fri Dec  9 2011 aj@suse.de
- Adjust kernel-source.rpmlintrc for Linux 3.x
- commit bc1534e
* Fri Dec  9 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-336-g09d9673
- commit e1426c0
* Thu Dec  8 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not package the vmlinux image in the devel
  package.
- commit 02bb976
* Thu Dec  8 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-255-g77a7300a
- commit 5ebd8e4
* Wed Dec  7 2011 aj@suse.de
- Use GPL-2.0 as license tag (from http://spdx.org/licenses/)
  Only have one licenses line per file, the rest was just duplicated.
- commit f7c443c
* Wed Dec  7 2011 aj@suse.de
- Fix typo: Base package should not conflict with itself but with main package.
- commit e961ef0
* Wed Dec  7 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-248-gb835c0f
- commit 6350074
* Tue Dec  6 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-221-g45e713e
- commit ee96a6b
* Tue Dec  6 2011 jeffm@suse.com
- Update to 3.2-rc4.
  - Eliminated 1 patch.
- commit a371aa2
* Mon Dec  5 2011 agraf@suse.de
- ARM: Update config files: omap: enable power management
- commit 5832939
* Mon Dec  5 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-154-g8e8da02
- commit 2a41232
* Sun Dec  4 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-153-ge5fd47b
- commit 650ed1b
* Sat Dec  3 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-152-gaf968e2
- commit 46f9aea
* Fri Dec  2 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc4-77-g5983fe2
- commit 310e078
* Thu Dec  1 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc3-187-g11d814a
- commit d69551d
* Wed Nov 30 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc3-99-g883381d
- commit c2f1d90
* Tue Nov 29 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Make the -base package conflict with the main
  one.
- commit 45ada0d
* Tue Nov 29 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc3-94-g8748dfa
- commit f3eab49
* Mon Nov 28 2011 jeffm@suse.com
- Fix kernel-source spec to give ownership of the /usr/src/linux link
  to kernel-devel. kernel-source depends on kernel-devel, so this is correct.
- commit 7160a9c
* Mon Nov 28 2011 jbeulich@novell.com
- Update Xen patches to 3,2-rc3 and c/s 1127.
- Update frontswap patches to v10.
- config.conf: Re-enable Xen.
- Update config files.
- commit 5a64fb5
* Mon Nov 28 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Ignore staging failures only in vanilla only
  branches.
- commit eeaaaf1
* Mon Nov 28 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc3-23-g401d006
- commit 65dab04
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: set omap_fb=y
- commit 10cf6dc
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: disable OMAP2 to fix reboots
- commit d247631
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable DVI
- commit 2ea05c2
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable ehci
- commit 47f78d4
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable pandaboard usb
- commit e39d076
* Fri Nov 25 2011 agraf@suse.de
- ARM: config: omap: enable pandaboard LAN
- commit 39b016d
* Fri Nov 25 2011 agraf@suse.de
- ARM: configs: Align with non-arm configs
- commit 9bacb92
* Fri Nov 25 2011 agraf@suse.de
- ARM: configs: enable devtmpfs on all targets
- commit 96496dc
* Fri Nov 25 2011 jeffm@suse.com
- Update config files for vanilla.
- commit f158a8a
* Fri Nov 25 2011 jeffm@suse.com
- Update to 3.2-rc3.
  - stack unwind: cfi_ignore takes more arguments.
  - iio: Fix build error in industrialio-core.c.
- commit c5d389f
* Thu Nov 24 2011 mmarek@suse.cz
- rpm/try-disable-staging-driver: Script to disable failing staging
  driver and restart make.
- commit 819d1fa
* Thu Nov 24 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not have a separate make invocation for
  s390 and the rest.
- commit d72f6c1
* Thu Nov 24 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc3
- commit c2a895d
* Thu Nov 24 2011 agraf@suse.de
- ARM: Update config file file i.MX51 (disable i.MX53)
- commit ffe896f
* Wed Nov 23 2011 agraf@suse.de
- ARM: create uImage, not zImage, so we can boot with u-boot
- commit 63a7b2c
* Wed Nov 23 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc2-405-gb4bbb02
- commit e803299
* Tue Nov 22 2011 agraf@suse.de
- ARM: Update config files: fix several issues in 3.2
- commit cfe50b9
* Tue Nov 22 2011 agraf@suse.de
- ARM: Update config files: disable broken eth driver
- commit f6e44d3
* Tue Nov 22 2011 agraf@suse.de
- ARM: Update config files: run_oldconfig.sh
- commit b2d101c
* Tue Nov 22 2011 agraf@suse.de
- ARM: Use zImage, not vmlinux
  On ARM we use the arch/arm/boot/zImage file similar to x86 to boot systems.
  Put that into the rpm as vmlinuz instead of the vmlinux ELF binary.
- commit 4c08eb0
* Tue Nov 22 2011 agraf@suse.de
- ARM: Dont generalize the target
  On ARM we can not build generic kernels that work through different generations,
  such as armv5 and armv7. So we better list them explicitly and not export an rpm
  that wouldn't even work on the respective architecture :).
- commit 854928d
* Tue Nov 22 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc2-369-gbbbc479
- commit 1b883fe
* Mon Nov 21 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc2-274-g6fe4c6d
- commit 506a7a4
* Thu Nov 17 2011 bpoirier@suse.de
- dm-raid45: split region hash and log, used by mirror and raid45.
- Update config files.
- commit 1cb7291
* Wed Nov 16 2011 jeffm@suse.com
- Update to 3.2-rc2.
  - Eliminated 1 patch.
- commit 2ee84e4
* Wed Nov 16 2011 jeffm@suse.com
- Update to 3.2-rc1.
  - Eliminate 212 patches.
- commit 68cad9f
* Tue Nov 15 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc1-306-g7f80850
- commit 7011056
* Mon Nov 14 2011 awafaa@opensuse.org
- Add package descriptions for ARM kernels
- Add ARM support for iMX51, OMAP2plus & Tegra SoC
- commit 51ebb2d
* Mon Nov 14 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc1-286-gd291ffb
- commit ac021ed
* Sun Nov 13 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc1-282-g3439a8d
- commit 4045953
* Sat Nov 12 2011 adrian@suse.de
- initial armv7l default kernel config, everything enable except the non compiling modules
- commit 6d159bb
* Sat Nov 12 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc1-252-g8f042aa
- commit 5ba9340
* Thu Nov 10 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc1-91-g5e442a4
- commit 7ec3dad
* Wed Nov  9 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc1-90-g19e0baf
- commit c207e8e
* Tue Nov  8 2011 mmarek@suse.cz
- Automatically updated to 3.2-rc1
- commit 3e7d0e1
* Sun Oct 30 2011 mmarek@suse.cz
- rpm/{arch-symbols,mkspec}: Add support for ARM
  The various ARM families need similar handling like i?86.
- commit 0c6be6b
* Fri Oct 14 2011 mmarek@suse.cz
- rpm/*.spec.in, rpm/mkspec: Generate specfiles according to Factory
  requirements.
- commit aebe2d9
* Wed Sep 28 2011 jbeulich@novell.com
- Update Xen config files.
- commit 77bf04b
* Mon Sep 26 2011 mmarek@suse.cz
- rpm/host-memcpy-hack.h: Hack to use older version of the memcpy symbol
  in userspace programs, so that they keep working on older systems.
- rpm/kernel-binary.spec.in: Pass -include
  %%_sourcedir/host-memcpy-hack.h to the compiler when compiling
  userspace programs.
- commit e3c78cf
* Thu Sep 22 2011 mmarek@suse.cz
- rpm/split-modules: Print the full path for modules missing in supported.conf
- commit e55e4c6
* Wed Sep 21 2011 mmarek@suse.cz
- Add support for wildcards in supported.conf
- rpm/kernel-binary.spec.in: Generate Module.supported with all
  lines from supported conf, unsupported modules are marked as "no"
- rpm/split-modules: Use the supported flag in modules, instead of
  parsing the Module.supported file and report modules that have no
  supported marking.
- rpm/check-supported-list: Delete, this is done by split-modules
  now.
- commit edfdc2a
* Wed Sep 21 2011 mhocko@suse.cz
- Provide memory controller swap extension.
  Keep the feature disabled by default. Use swapaccount=1 kernel
  boot parameter for enabling it.
- commit a89ce59
* Wed Sep 21 2011 mhocko@suse.cz
- Update config files.
  Clean run_oldconfig.sh run to get configs into sync
- commit acdc10a
* Tue Sep 20 2011 trenn@suse.de
- ACPI: Implement overriding of arbitrary ACPI tables via initrd
  (none).
- ACPICA: Fix wrongly mapped acpi table header when overriding
  via initrd (none).
- ACPICA: Introduce acpi_os_phys_table_override function (none).
- x86: allow NVS can be accessed by driver (none).
- Update config files:
  CONFIG_ACPI_INITRD_TABLE_OVERRIDE=y
  on i386 and x86_64 flavors
- commit 4671392
* Thu Sep 15 2011 jeffm@suse.de
- Update to 3.1-rc6.
- commit 77688b8
* Mon Sep 12 2011 jbeulich@novell.com
- Update Xen patches to 3.1-rc5 and c/s 1104.
- mm: frontswap: config and doc files.
- mm: frontswap: core code.
- mm: frontswap: add swap hooks and extend try_to_unuse.
- mm: frontswap: swap data structure changes.
- In HVM guests do not take over the CDROM device (bnc#645893).
- x86: report ACPI-reserved state of PCI MMCONFIG region to
  hypervisor.
- config.conf: Re-enable Xen flavors.
- Update config files.
- commit 574ae35
* Sun Sep 11 2011 agraf@suse.de
- Update config files (disable EHCA on PPC - gcc bug)
- commit abe205f
* Sun Sep 11 2011 agraf@suse.de
- Update config files (enable KVM on PPC64 for OBS)
- commit 180afd2
* Mon Sep  5 2011 mmarek@suse.cz
- Update to 3.1-rc5 from https://github.com/torvalds/linux.git.
- commit de74a23
* Mon Sep  5 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc5
- commit ca4f769
* Wed Aug 31 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc4-131-g9e79e3e
- commit e100209
* Tue Aug 30 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc4-80-g0f43dd5
- commit 1c60b41
* Mon Aug 29 2011 jeffm@suse.com
- Update to 3.1-rc4.
- commit ae12eae
* Mon Aug 29 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc4
- commit fb4f7b7
* Wed Aug 24 2011 jeffm@suse.com
- PTI: depends on X86 && PCI.
- commit 945119d
* Wed Aug 24 2011 jeffm@suse.com
- Update to 3.1-rc3.
  - Eliminated 8 patches.
  - Xen is disabled.
- commit 8948499
* Wed Aug 24 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc3-23-g14c62e7
- commit 1e14730
* Tue Aug 23 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc3
- commit 4e4bede
* Mon Aug 22 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2-190-g3210d19
- commit a8cd090
* Sun Aug 21 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2-171-gbed8cad
- commit 783f4ae
* Sat Aug 20 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2-169-g5ccc387
- commit d101edc
* Fri Aug 19 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2-122-g5c80c71
- commit ad60c51
* Thu Aug 18 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2-91-g338d0f0
- commit 26d2b67
* Wed Aug 17 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2-62-gab7e2db
- commit f570551
* Tue Aug 16 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2-55-gb5ddbf4
- commit 68fb52d
* Mon Aug 15 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc2
- commit 2ad4034
* Sun Aug 14 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc1-272-g73e0881
- commit bfec76e
* Sat Aug 13 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc1-150-gce8a84e
- commit 2bde51b
* Sat Aug 13 2011 gregkh@suse.de
- Update config files, enabling CONFIG_RT2800PCI as requested.
- commit e2f3061
* Fri Aug 12 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc1-98-g72fa599
- commit e44c0c7
* Thu Aug 11 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc1-73-g068ef73
- commit 6ec45d3
* Wed Aug 10 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc1-39-gf2c0d02
- commit 15e975e
* Tue Aug  9 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc1-4-g2f84dd7
- commit 0839041
* Mon Aug  8 2011 trenn@suse.de
- Update config files:
  bnc#674988, change:
  - CONFIG_ACPI_CUSTOM_METHOD=m
  +# CONFIG_ACPI_CUSTOM_METHOD is not set
  for all flavors
- commit b3a0ea1
* Mon Aug  8 2011 mmarek@suse.cz
- Automatically updated to 3.1-rc1
- commit 9085b95
* Sun Aug  7 2011 mmarek@suse.cz
- Automatically updated to 3.0-7547-g45a05f9
- commit 7734f80
* Sat Aug  6 2011 mmarek@suse.cz
- Automatically updated to 3.0-7530-gde96355
- commit 02ebaf2
* Fri Aug  5 2011 mmarek@suse.cz
- Automatically updated to 3.0-7372-g53d1e65
- commit 7ad0af5
* Thu Aug  4 2011 mmarek@suse.cz
- Automatically updated to 3.0-7309-ga9e4e6e
- commit 1ebc0d0
* Tue Aug  2 2011 mmarek@suse.cz
- Automatically updated to 3.0-7127-gc027a47
- commit 7f29478
* Mon Aug  1 2011 mmarek@suse.cz
- rpm/modversions: Support for new genksyms format with E# tags for enum
  constants.
- commit ee6da8c
* Mon Aug  1 2011 mmarek@suse.cz
- Automatically updated to 3.0-6862-g3da3f87
- commit 3de909f
* Sun Jul 31 2011 mmarek@suse.cz
- Automatically updated to 3.0-6726-g250f8e3
- commit 53a0ad2
* Fri Jul 29 2011 mmarek@suse.cz
- Automatically updated to 3.0-6046-g55f9c40
- commit 33d9664
* Thu Jul 28 2011 mmarek@suse.cz
- Automatically updated to 3.0-5921-g95b6886
- commit 16a1def
* Wed Jul 27 2011 mmarek@suse.cz
- Automatically updated to 3.0-5684-ge371d46
- commit 6e6ae03
* Tue Jul 26 2011 mmarek@suse.cz
- Automatically updated to 3.0-4001-g45b583b
- commit 0d26993
* Mon Jul 25 2011 meissner@suse.de
- Powerpc config adjustments
  This makes CONFIG_POWER_SUPPLY=y like in the other architectures,
  it also disables the EHCA driver as gcc 4.6 currently fails to compile
  it correctly.
- commit f29bb11
* Mon Jul 25 2011 mmarek@suse.cz
- Automatically updated to 3.0-3370-gb6844e8
- commit bb3c705
* Sun Jul 24 2011 mmarek@suse.cz
- Automatically updated to 3.0-2871-g6d6be43
- commit a432ef8
* Sat Jul 23 2011 mmarek@suse.cz
- Automatically updated to 3.0-2372-gbbd9d6f
- commit 1cc2360
* Fri Jul 22 2011 mmarek@suse.cz
- Update to 3.0.
- commit c6eed25
* Fri Jul 22 2011 mmarek@suse.cz
- Automatically updated to 3.0
- commit 9cf5eaf
* Thu Jul 21 2011 jbeulich@novell.com
- Update Xen patches to 3.0-rc7 and c/s 1098.
- Update Xen config files.
- commit 3adad2c
* Thu Jul 21 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc7-176-gcf6ace1
- commit 46dd073
* Wed Jul 20 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc7-159-ge6625fa
- commit 8ffb36f
* Tue Jul 19 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc7-148-g3a5c374
- commit 9f29d22
* Mon Jul 18 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc7-125-gf560f66
- commit c5bd224
* Sat Jul 16 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc7-88-g1765a36
- commit aba17b9
* Fri Jul 15 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc7-72-g5dcd07b
- commit 06f28cf
* Thu Jul 14 2011 tiwai@suse.de
- ALSA: hda - Add Kconfig for the default buffer size
  (bnc#682725).
- Update config files.
- Delete, replaced with the new upstream patch
  patches.drivers/alsa-hda-0019-Increase-default-buffer-size.
- commit d12543f
* Wed Jul 13 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc7-27-g8d86e5f
- commit 36a7ccd
* Wed Jul 13 2011 jeffm@suse.com
- Update to 3.0-rc7.
- commit 8b7c20a
* Mon Jul 11 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc6-222-ge3bbfa7
- commit 413346c
* Wed Jul  6 2011 jeffm@suse.com
- Update to 3.0-rc6.
  - Eliminated 1 patch.
- commit 61dda6b
* Wed Jul  6 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc6-16-ga2fa83f
- commit c2e3522
* Tue Jul  5 2011 jbeulich@novell.com
- Update Xen patches to 3.0-rc5 and c/s 1095.
- xen: prepare tmem shim to handle frontswap.
- support booting Xen from EFI (fate#311376, fate#311529,
  bnc#578927, bnc#628554).
- config.conf: Re-enabled Xen flavors.
- Update x86 config files.
- Delete patches.xen/xen-blkback-bimodal-suse.
- commit c0d5d39
* Tue Jul  5 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc6
- commit f2b9f2d
* Mon Jul  4 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc5-170-gba466c7
- commit 57f5d08
* Wed Jun 29 2011 jeffm@suse.com
- Update to 3.0-rc5.
- commit af9784d
* Wed Jun 29 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc5-63-g0d72c6f
- commit c6516b2
* Tue Jun 28 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc5
- commit c93dd8f
* Mon Jun 27 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc4-139-g258e43f
- commit eff27bd
* Sun Jun 26 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc4-119-g8abf558
- commit 84acefb
* Sat Jun 25 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc4-101-g536142f
- commit d9f1d7d
* Fri Jun 24 2011 jeffm@suse.com
- Enable TOMOYO (FATE#310292, bnc#668381).
- commit 13b36d0
* Thu Jun 23 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc4-52-gbccaeaf
- commit 97eb0dd
* Wed Jun 22 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc4-13-ge08f6d4
- commit 9a21226
* Tue Jun 21 2011 mmarek@suse.cz
- Update vanilla configs.
- commit a6ccbe2
* Tue Jun 21 2011 mmarek@suse.cz
- Update to 3.0-rc4
- commit 656b198
* Tue Jun 21 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc4
- commit 626fd07
* Mon Jun 20 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc3-256-gde505e7
- commit 1987220
* Fri Jun 17 2011 mmarek@suse.cz
- rpm/post.sh: Touch /boot/do_purge_kernels on package install
  (fate#312018).
- rpm/postun.sh: Remove it again if it still exists on package
  uninstall.
- commit 82f4a5d
* Fri Jun 17 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc3-202-geb96c92
- commit d760781
* Thu Jun 16 2011 ohering@suse.de
- Update vanilla config files.
- commit d2fa559
* Thu Jun 16 2011 ohering@suse.de
- rpm/kernel-binary.spec.in:
  jobs is not defined for home: projects, use the new _smp_mflags to enable parallel build
- commit 1009eaf
* Thu Jun 16 2011 ohering@suse.de
- rpm/kernel-binary.spec.in:
  Update comment, get the number of cpus from /proc/stat
- commit b4cf18c
* Wed Jun 15 2011 jeffm@suse.com
- Update config files: Disable BRCMSMAC on ppc/ppc64.
- commit 6347281
* Wed Jun 15 2011 mmarek@suse.cz
- Sync config files with master (disable APM_CPU_IDLE and
  NL80211_TESTMODE).
- commit 599585b
* Wed Jun 15 2011 jeffm@suse.com
- Update to 3.0-rc3.
  - Eliminated 2 patches.
- commit 9fd545d
* Wed Jun 15 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc3-55-gada9c93
- commit 5ebc378
* Tue Jun 14 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc3
- commit 4471275
* Mon Jun 13 2011 jeffm@suse.com
- Update config files.
- commit 778fdea
* Mon Jun 13 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Call gzip with -n.
- commit 9a65e48
* Mon Jun 13 2011 mmarek@suse.cz
- rpm/mkspec: Put the -rcX tag into the rpm version instead of the
  trailing zero. Rpm considers "rc" older than "0", so this will sort
  properly.
- commit 8d9b2b9
* Mon Jun 13 2011 mmarek@suse.cz
- rpm/config.sh: Set SRCVERSION back to 3.0-rc2-...
- commit 345b9c0
* Mon Jun 13 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Set default PATCHLEVEL and SUBLEVEL to 0.
  The package version will thus always match the Makefile version and
  the SRCVERSION variable will only be used to determine the tarball
  version.
- commit 95c9977
* Mon Jun 13 2011 mmarek@suse.cz
- Automatically updated to 3.0.0-rc2-362-g3c25fa7
- commit 8266071
* Sun Jun 12 2011 mmarek@suse.cz
- Automatically updated to 3.0.0-rc2-256-gb99ca60
- commit 564a156
* Sat Jun 11 2011 mmarek@suse.cz
- Automatically updated to 3.0.0-rc2-253-g45694c2
- commit 1625455
* Fri Jun 10 2011 mmarek@suse.cz
- Automatically updated to 3.0.0-rc2-251-g7f45e5c
- commit 766f07d
* Thu Jun  9 2011 mmarek@suse.cz
- Automatically updated to 3.0.0-rc2-196-g06e8684
- commit 0eba01f
* Wed Jun  8 2011 jeffm@suse.com
- Revert "Revert "- Updated to 3.0-rc1.""
  This reverts commit b2d9e72dc9cd8e62d49e0565babd76332f7c2114.
  Conflicts:
  rpm/config.sh
  series.conf
- commit af3cb42
* Wed Jun  8 2011 mmarek@suse.cz
- Enable CONFIG_APM_CPU_IDLE on i386 to fix build
- commit bc0a54c
* Wed Jun  8 2011 mmarek@suse.cz
- Automatically updated to 3.0.0-rc2-108-gcb0a02e
- commit 95b4996
* Tue Jun  7 2011 mmarek@suse.cz
- Set SRCVERSION to 3.0.0-rc2 to match what make kernelversion returns
- commit 28aad62
* Tue Jun  7 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Fix for empty EXTRAVERSION
- commit a0a1386
* Tue Jun  7 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Fix for 3.0
- commit dca1465
* Tue Jun  7 2011 mmarek@suse.cz
- Automatically updated to 3.0-rc2
- commit 4855604
* Tue Jun  7 2011 mmarek@suse.cz
- rpm/mkspec: Fix perl warning
- commit 395d7d8
* Tue Jun  7 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-7926-g59c5f46
- commit f0848b1
* Mon Jun  6 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Loosen the mkinitrd requirement, this was
  only a workaround for a 11.3 update problem (cf bnc#615680).
- commit 05ade7d
* Sun Jun  5 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-7908-g0792644
- commit d4cc9e2
* Fri Jun  3 2011 mmarek@suse.cz
- Temporarily set PPC_DISABLE_WERROR=y in power to fix build
- commit dfa5ab8
* Fri Jun  3 2011 mmarek@suse.cz
- rpm/macros.kernel-source: Add -b option to %%kernel_module_package
  to unconditionally call mkinitrd on kmp install (fate#309400).
- rpm/kernel-module-subpackage: Pass KMP_NEEDS_MKINITRD=1 to
  weak-modules2 if the -b option is used.
- commit 83331f5
* Thu Jun  2 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-7777-g1fa7b6a
- commit 5814898
* Wed Jun  1 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-7757-ge12ca23
- commit ae900c2
* Tue May 31 2011 jeffm@suse.com
- Revert "- Updated to 3.0-rc1."
  This reverts commit 5710413eb834b0f215f6f4249d6ff7c3f7673eb7.
  Should have been committed to the merge-v3.0 branch.
- commit 2ca3a35
* Tue May 31 2011 jeffm@suse.com
- Updated to 3.0-rc1.
  - Eliminated 9 patches.
- commit 0676207
* Mon May 30 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-7728-g55922c9
- commit b230915
* Sun May 29 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-7541-geee0f25
- commit a7697f8
* Sat May 28 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-7371-g29a6ccc
- commit d107f7c
* Fri May 27 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Set KBUILD_BUILD_{USER,HOST} to
  geeko@buildhost, obsoleting the patch to scripts/mkcompile_h.
- commit b4b7255
* Fri May 27 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-6903-gdc7acbb
- commit 22c959c
* Thu May 26 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-6480-g4db70f7
- commit b38a288
* Wed May 25 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-5656-g4a7df24
- commit 652607f
* Tue May 24 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-5193-gd762f43
- commit bb6d916
* Mon May 23 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-2740-gcaebc16
- commit 4d2029a
* Sun May 22 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-2628-gdcb4a1f
- commit 2706ca6
* Sat May 21 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-2612-g0524975
- commit 694c06a
* Fri May 20 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-180-g51509a2
- commit 6635df0
* Fri May 20 2011 jeffm@suse.com
- Updated to 2.6.39-final.
- commit 5423d95
* Thu May 19 2011 mmarek@suse.cz
- Automatically updated to 2.6.39
- commit 30b20a6
* Tue May 17 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc7-211-gc1d10d1
- commit 9542ae4
* Mon May 16 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Add the commit hash to uname -v, cleanup.
- commit f3bdb4c
* Mon May 16 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc7-190-geed631e
- commit f08ee84
* Fri May 13 2011 jeffm@suse.com
- Update to 2.6.39-rc7.
  - Eliminated 5 patches.
- commit bc966f5
* Fri May 13 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc7-146-g446cc63
- commit 5493cb8
* Thu May 12 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc7-104-g3568bd9
- commit 6220bed
* Wed May 11 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc7-69-g9f381a6
- commit 61226f0
* Tue May 10 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc7
- commit 3c65a1f
* Fri May  6 2011 jeffm@suse.com
- sysctl: Increase IPC defaults (bnc#146656)
  - Delete patches.suse/shmall-bigger.
- commit 777a380
* Fri May  6 2011 jeffm@suse.com
- sysctl/i386/desktop, sysctl/x86_64/desktop: Add vm.dirty_ratio = 20
  for desktop flavors (bnc#552883)
  - Delete patches.suse/mm-tune-dirty-limits.patch.
- commit 53d5648
* Fri May  6 2011 jeffm@suse.com
- sysctl/defaults: Added kernel.hung_task_timeout=0
  - Delete patches.suse/hung_task_timeout-configurable-default.
- commit eabe698
* Fri May  6 2011 mmarek@suse.cz
- rpm/kernel-{binary,source}.spec.in: Install per-kernel /boot/sysctl-*
  files (patch from Jeff Mahoney).
- commit 473f2d1
* Thu May  5 2011 jeffm@suse.com
- Update config files for -vanilla.
- commit 3008d73
* Thu May  5 2011 jeffm@suse.com
- Updated to 2.6.39-rc6.
  - 2 patches eliminated.
- commit bd72594
* Thu May  5 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc6-41-g5895198
- commit 4d3dbf3
* Tue May  3 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc5-254-g5933f2a
- commit 5324343
* Mon May  2 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc5-130-g3fd9952
- commit f590dd5
* Fri Apr 29 2011 jeffm@suse.com
- rpm/compute-PATCHVERSION.sh: Replace ^+++ with ^\+\+\+ as an
    awk regex. It's technically invalid.
- commit 52dd0f0
* Thu Apr 28 2011 jbeulich@novell.com
- Update i386 Xen config files.
- commit 5b68cfd
* Wed Apr 27 2011 jeffm@suse.com
- Update to 2.6.39-rc5.
  - Eliminated 2 patches.
- commit 8fcb89b
* Wed Apr 27 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-245-g4175242
- commit 5844482
* Tue Apr 26 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-217-gcd2e49e
- commit 3e5ecc0
* Mon Apr 25 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-205-g5dd12af
- commit 8748f56
* Sun Apr 24 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-187-g686c4cb
- commit 6d8c418
* Sat Apr 23 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-183-g0f1d9f7
- commit e266155
* Fri Apr 22 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-149-g91e8549
- commit 5a17279
* Thu Apr 21 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-119-g584f790
- commit d33e051
* Wed Apr 20 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4-89-g2f666bc
- commit 5a14269
* Tue Apr 19 2011 jack@suse.cz
- Revert changes to sparc configs to not make life harder for Jan Engelhardt
  maintaining sparc architecture.
- commit d936b77
* Tue Apr 19 2011 jack@suse.cz
- Update vanilla config files.
- commit f78056e
* Tue Apr 19 2011 jeffm@suse.com
- Updated to 2.6.39-rc4.
  - Eliminated 1 patch.
- commit 1e380f4
* Tue Apr 19 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc4
- commit a1d4b9a
* Mon Apr 18 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc3-240-ga1b49cb
- commit dc17050
* Sun Apr 17 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc3-228-gd733ed6
- commit 4cf074b
* Fri Apr 15 2011 jack@suse.cz
- Disable ext2, use ext4 instead as a driver
- Update config files.
- commit 4472410
* Fri Apr 15 2011 jeffm@suse.com
- Enabled CONFIG_GIGASET_CAPI (bnc#686008).
  - This results in automatically disabling CONFIG_GIGASET_I4L.
- commit 51aadf9
* Fri Apr 15 2011 jbeulich@novell.com
- Update Xen patches to 2.6.39-rc3 and c/s 1079.
- blktap2: replace hard-coded limit of tap devices with
  configurable one.
- config.conf: Re-enable Xen configs.
- Update x86 config files.
- commit a4de524
* Fri Apr 15 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc3-117-ge38f5b7
- commit 000f17c
* Tue Apr 12 2011 jeffm@suse.com
- Updated to 2.6.39-rc3.
  - Eliminated 2 patches.
- commit 827feed
* Tue Apr 12 2011 jeffm@suse.com
- Update config files for -vanilla.
- commit 11dfe34
* Tue Apr 12 2011 jeffm@suse.com
- Update to 2.6.39-rc2.
  - Eliminated 18 patches.
  - Added 3 patches.
  - hv_mouse: needs <linux/delay.h>.
  - dm-raid45: Remove blk_unplug calls.
  - novfs: 2.6.39 API update.
  - Xen, Swap-over-NFS, and certain SCSI multipath features are disabled.
  - patches.kernel.org is no longer used to contain upstream patches
    for -rc releases. Users planning on building their own kernel should
    have a copy of the tarball corresponding to the -rc releases.
- commit 7d4f459
* Tue Apr 12 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc3
- commit dc55fb4
* Mon Apr 11 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc2-139-g4263a2f
- commit 3fad56b
* Sat Apr  9 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc2-120-g94c8a98
- commit 57de428
* Fri Apr  8 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc2-106-g0c3efe5
- commit 8fba366
* Thu Apr  7 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc2
- commit 28956da
* Wed Apr  6 2011 mmarek@suse.cz
- staging: fix hv_mouse build, needs delay.h.
- commit 2abd862
* Wed Apr  6 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc1-326-g44148a6
- commit d3ad45e
* Tue Apr  5 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc1-251-gb2a8b4b
- commit 4f13d37
* Sat Apr  2 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc1-184-g78fca1b9
- commit 63a42fb
* Fri Apr  1 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc1-117-gecb78ab
- commit 7de4b8d
* Thu Mar 31 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc1-103-g6aba74f
- commit dbbf76b
* Wed Mar 30 2011 mmarek@suse.cz
- Automatically updated to 2.6.39-rc1
- commit 8d5722b
* Tue Mar 29 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-9065-g89078d5
- commit 37728c5
* Mon Mar 28 2011 trenn@suse.de
- Update config files, remove CONFIG_X86_MCE_XEON75XX=m
  - >driver got reverted with previous commit
- Refresh patches.xen/xen3-auto-arch-x86.diff.
- commit 4051735
* Mon Mar 28 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not install unneeded packages in the
  build chroot.
- commit 7f4c49d
* Mon Mar 28 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-8816-g18bcd0c
- commit 61a684a
* Sun Mar 27 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-8569-g16c29da
- commit c6e01f9
* Fri Mar 25 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-8184-gd39dd11
- commit 7e7c20d
* Thu Mar 24 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-7054-g4bbba11
- commit 3a6a6f4
* Wed Mar 23 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-7035-g6447f55d
- commit 40cd327
* Tue Mar 22 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-6671-geddecbb
- commit 6a5c078
* Mon Mar 21 2011 mmarek@suse.cz
- Delete config/i386/vmi, it was an artifact from SLE11-SP1 development.
- commit 9c7b60b
* Mon Mar 21 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-6555-ga44f99c
- commit 4a5cb50
* Sun Mar 20 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-6507-ga952baa
- commit 6d62360
* Sat Mar 19 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-6439-g5bab188
- commit 4be2d33
* Thu Mar 17 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-4148-g054cfaa
- commit 72d74bc
* Wed Mar 16 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-771-gd109028
- commit 03fb37c
* Tue Mar 15 2011 jeffm@suse.com
- Update to 2.6.38.
- commit 9e83eee
* Tue Mar 15 2011 mmarek@suse.cz
- Automatically updated to 2.6.38
- commit 1ee6c4d
* Mon Mar 14 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc8-122-gc44ed96
- commit c2e9b5d
* Fri Mar 11 2011 jbeulich@novell.com
- Update Xen patches to 2.6.38-rc7 and c/s 1072
- pv-ops blktap2.
- adjust xen build after addition of pv-ops' blktap2.
- blktap: Fix reference to freed struct request.
- cleanup to blkback and blktap.
- apply xen specific patch to the Chelsio ethernet drivers.
- Update Xen config files.
- commit d210453
* Fri Mar 11 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc8-65-g9179746
- commit ca40519
* Thu Mar 10 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc8-25-g35d34df
- commit ea4d3e7
* Tue Mar  8 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc8
- commit 6072ce6
* Mon Mar  7 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not abort build because of
  supported.conf inconsistency if %%supported_modules_check == 0.
- commit 88d5daa
* Sun Mar  6 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc7-163-gfb62c00
- commit bf81e43
* Sat Mar  5 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc7-142-g212e349
- commit 2d7a345
* Fri Mar  4 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc7-120-gb65a0e0
- commit 2e8ed0b
* Thu Mar  3 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc7-51-gcbdbb4c
- commit 7454434
* Wed Mar  2 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc7
- commit 7bdba54
* Tue Mar  1 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc6-212-g3e1f235
- commit 249fdc9
* Sat Feb 26 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc6-166-g493f335
- commit 3471817
* Fri Feb 25 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc6-113-g4662db4
- commit 4faaee4
* Thu Feb 24 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc6-95-g2aa1589
- commit 6a08a62
* Wed Feb 23 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Remove unused code.
- commit dacbc44
* Wed Feb 23 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc6-38-g4a508dd
- commit 3326338
* Tue Feb 22 2011 jeffm@suse.com
- Update to 2.6.38-rc6.
  - Eliminated 1 patch.
- commit 11b889d
* Tue Feb 22 2011 mmarek@suse.cz
- rpm/mkspec: Do not create kernel-syms.spec on vanilla-only branches
- commit eb17bba
* Tue Feb 22 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc6
- commit b2486f4
* Mon Feb 21 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc5-115-g6f576d5
- commit 65f9bb7
* Thu Feb 17 2011 jeffm@suse.de
- Update to 2.6.38-rc5.
- commit 1eab7b2
* Thu Feb 17 2011 gregkh@suse.de
- Update config files.
  - disable CONFIG_DRM_VMWGFX (bnc#606458)
  - update sparc configs to at least be able to run "make oldconfig"
- commit 86217cc
* Wed Feb 16 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc5
- commit f306165
* Mon Feb 14 2011 mmarek@suse.cz
- Set EXTRAVERSION field to match 'git describe'.
- commit a54d8bb
* Mon Feb 14 2011 mmarek@suse.cz
- Move spec file templates and helper scripts to a separate branch, to
  ease synchronizing these files among master, vanilla and linux-next.
- commit 411abb8
* Mon Feb 14 2011 mmarek@suse.cz
- Delete a couple of obsolete kabi and other scripts from misc/:
- Delete misc/checkmod.
- Delete misc/collect_ksyms.
- Delete misc/diff-the-xfs-cvs.
- Delete misc/ksyms.py.
- Delete misc/mangle-ifdef.py.
- Delete misc/obsolete-module-aliases.
- Delete misc/testmodule.
- commit be98469
* Mon Feb 14 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Delete misc/extract-modaliases, the code
  was merged into rpm's find-supplements script.
- Delete rpm/check-build.sh, not needed anymore.
- commit bbb1412
* Mon Feb 14 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc4-178-g795abaf
- commit dcd6202
* Sun Feb 13 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc4-154-ga0dc00b
- commit 6dbdfcf
* Sat Feb 12 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc4-145-g3c6c0d6
- commit 7e74e5c
* Fri Feb 11 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc4-106-gd247852
- commit 599f89d
* Thu Feb 10 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc4-25-gd3d373e
- commit 094be04
* Wed Feb  9 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Set timestamp of sources to the commit
  timestamp, so that they are always older than generated files in
  /usr/src/linux-obj (bnc#669669).
- commit 3107147
* Wed Feb  9 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Do not run fdupes in /usr/src/linux-obj, to
  keep timestamps intact.
- commit ded0da9
* Tue Feb  8 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Remove .gitignore files after applying patches
  (fix last change).
- commit 873829c
* Tue Feb  8 2011 jbeulich@novell.com
- Update Xen patches to 2.6.38-rc4 and c/s 1066.
- config.conf: Re-enable Xen.
- Update x86 config files.
- commit 2b3a840
* Tue Feb  8 2011 jbeulich@novell.com
- Update config files.
- Refresh and re-enable patches.arch/x86_64-unwind-annotations.
- Refresh and re-enable patches.suse/stack-unwind.
- commit 2401b1e
* Tue Feb  8 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc4
- commit a24e289
* Mon Feb  7 2011 mmarek@suse.cz
- rpm/{config.sh,kernel-source.spec.in,mkspec}: Generate only
  kernel-source-vanilla in the linux-next and vanilla branches.
- commit f945d3a
* Mon Feb  7 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Remove dead code.
- commit d1a998f
* Mon Feb  7 2011 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/kernel-spec-macros: Fix the definition
  of %%release_major and rename it to %%release_num to better describe
  what it does. Add some comments to explain how the versioning works.
- commit c21f9e4
* Mon Feb  7 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc3-238-g8dbdea8
- commit 3e1c7d7
* Sat Feb  5 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc3-201-g44f2c5c
- commit 2a9569f
* Fri Feb  4 2011 mmarek@suse.cz
- rpm/compute-PATCHVERSION.sh: Fix sed regexp
- commit aa6709e
* Fri Feb  4 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc3-81-g831d52b
- commit 3d7a09a
* Fri Feb  4 2011 jeffm@suse.com
- Updated to 2.6.38-rc3.
  - Eliminated 2 patches.
- commit d28caeb
* Thu Feb  3 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc3-59-g0b0abea
- commit f095ede
* Wed Feb  2 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc3-19-gafe8a88
- commit 31ee5fa
* Tue Feb  1 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc3
- commit 579030c
* Mon Jan 31 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc2-324-g70d1f36
- commit fa2448a
* Fri Jan 28 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc2-274-g1f0324c
- commit 3101a94
* Thu Jan 27 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc2-175-g6fb1b30
- commit af68c6a
* Wed Jan 26 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc2-143-g6663050
- commit 89d4c0d
* Tue Jan 25 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc2-91-gc723fda
- commit a37e627
* Sun Jan 23 2011 jeffm@suse.com
- Update config files.
  - CONFIG_EXPERT=n on all but ps3
  - Vanilla configs updated.
- commit f9e6809
* Sun Jan 23 2011 jeffm@suse.com
- Revert "- Update config files: CONFIG_EXPERT=n except ps3"
  This reverts commit 3f2c93d6a0593b2cc0c40f5ffee426eef27cc400.
  This was a bad commit. I have no idea where all the changes came from.
- commit cd1894b
* Sun Jan 23 2011 jeffm@suse.com
- Update config files: CONFIG_EXPERT=n except ps3
- commit a64f6f2
* Sat Jan 22 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc2
- commit fac263b
* Sat Jan 22 2011 jeffm@suse.de
- Update to 2.6.38-rc1.
  - Removed 12 patches.
  - Xen is disabled.
  - Quite a few patches need updating.
- commit e3c456e
* Fri Jan 21 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc1-137-g2b1caf6
- commit fcc93b1
* Fri Jan 21 2011 trenn@suse.de
- perf: Do not export power_frequency, but power_start event
  (bnc#665153).
- cpuidle/x86/perf: fix power:cpu_idle double end events and
  throw cpu_idle events from the cpuidle layer (bnc#665153).
- perf: Clean up power events by introducing new, more generic
  ones (bnc#665153).
- cpuidle: Rename X86 specific idle poll state from C0 to POLL
  (bnc#665153).
- perf timechart: Adjust perf timechart to the new power events
  (bnc#665153).
- Fix display of idle boxes (none).
- Fix huge and wronge C-state drawings due to uninitialized
  start/end timestamps (none).
- Update config files.
- doc/config-options.changes:
  CONFIG_EVENT_POWER_TRACING_DEPRECATED=y
- commit 7e54309
* Thu Jan 20 2011 mmarek@suse.cz
- Automatically updated to 2.6.38-rc1-47-g12fcdba
- commit b12811f
* Wed Jan 19 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-8082-ga25cecc
- commit 313e688
* Tue Jan 18 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-8009-ge6f597a
- commit a679ff5
* Mon Jan 17 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-7788-ge78bf5e
- commit cf2f914
* Mon Jan 17 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-7768-gf8b1808
- commit 6e6f3fd
* Sun Jan 16 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-7733-g1b59be2
- commit c37bb9b
* Sat Jan 15 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-7475-g6ab8219
- commit 1c70c15
* Fri Jan 14 2011 mmarek@suse.cz
- Revert %%kernelrelease changes originally made on the vanilla branch,
  they break on master and must be done differently.
- commit ef3fecb
* Fri Jan 14 2011 mmarek@suse.cz
- Disable CONFIG_MMC_SDHCI_OF as it does not build on x86
- commit 88dc665
* Fri Jan 14 2011 mmarek@suse.cz
- ecryptfs: fix broken build.
- commit e793d92
* Fri Jan 14 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-6858-g581548d
- commit ec297e9
* Thu Jan 13 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-5761-gf878133
- commit 9daf5c6
* Wed Jan 12 2011 mmarek@suse.cz
- fs/btrfs: Fix build of ctree.
- commit 333c141
* Wed Jan 12 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-5292-g7bc4a4c
- commit 664dd3e
* Tue Jan 11 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-4043-ge0e736f
- commit 955681d
* Mon Jan 10 2011 jeffm@suse.com
- Enabled AGP modules as parts of the static kernel on i386 (bnc#609607)
- commit e2b28ea
* Sun Jan  9 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-3737-g0c21e3a
- commit 595b23e
* Sat Jan  8 2011 jengelh@medozas.de
- config: run oldconfig on sparc64/default
- commit 8e28dab
* Sat Jan  8 2011 jengelh@medozas.de
- config: update sparc64/net and throw out unworthy options
- commit 3cb63f7
* Sat Jan  8 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-3551-g128283a
- commit b90b8b1
* Fri Jan  7 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-337-gcb600d2
- commit 4f03386
* Thu Jan  6 2011 mmarek@suse.cz
- rpm/kernel-source.spec.in: Move the source tree if %%kernelrelease is
  different from the tarball version.
- commit a54b85b
* Thu Jan  6 2011 jeffm@suse.com
- rpm/kernel-source.spec.in: Remove the relocation of the source tree.
  It's expanded in-place.
- commit 6d9f15d
* Thu Jan  6 2011 jeffm@suse.com
- Update to 2.6.37-final.
- commit a994f3d
* Thu Jan  6 2011 mmarek@suse.cz
- Automatically updated to 2.6.37
- commit 541c6ed
* Wed Jan  5 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-rc8-64-g989d873
- commit 5ca1633
* Tue Jan  4 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-rc8-46-g03ed6a3
- commit 68bb9d8
* Mon Jan  3 2011 mmarek@suse.cz
- Automatically updated to 2.6.37-rc8-32-g9109f4e
- commit 8c0f776
* Fri Dec 31 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc8-14-g3643e0e
- commit 8da1438
* Thu Dec 30 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc8
- commit 4f87762
* Wed Dec 29 2010 jeffm@suse.com
- Update to 2.6.37-rc8.
  - Eliminated 1 patch.
- commit eeea62c
* Wed Dec 29 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc7-184-gb52e2a6
- commit 816f63c
* Tue Dec 28 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc7-174-gffc96d6
- commit 991f75d
* Mon Dec 27 2010 jeffm@suse.com
- Update to 2.6.37-rc7.
  - Eliminated 9 patches.
- commit 2fd3f23
* Mon Dec 27 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc7-154-gd7c1255
- commit 0ee1cf9
* Wed Dec 22 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc7
- commit 5dd550d
* Tue Dec 21 2010 mmarek@suse.cz
- Delete patches.rpmify/easycap-buildfix which is already in mainline.
- commit f3ee1ac
* Tue Dec 21 2010 mmarek@suse.cz
- cciss: Fix build.
- commit 4299084
* Tue Dec 21 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc6-168-g8cad7f0
- commit ae416c0
* Mon Dec 20 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc6-132-g55ec86f
- commit 6344d65
* Sun Dec 19 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc6-109-g0a59228
- commit 2771402
* Sat Dec 18 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc6-93-gc15524a
- commit f37eae4
* Fri Dec 17 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc6-51-ga3383e8
- commit 34cf949
* Fri Dec 17 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc6-9-gb3444d1
- commit 223c932
* Thu Dec 16 2010 mmarek@suse.cz
- rpm/kernel-source.spec.in: Define %%kernelrelease
- commit e23be74
* Thu Dec 16 2010 jeffm@suse.com
- Linux: 2.6.37-rc6.
- Update config files.
- Refresh patches.suse/SoN-23-mm-swapfile.patch.
- Refresh patches.suse/SoN-26-nfs-swapper.patch.
- Refresh patches.xen/xen3-fixup-xen.
- Refresh patches.xen/xen3-patch-2.6.24.
- commit e94c2ff
* Thu Dec 16 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc6
- commit 1c11dc9
* Thu Dec 16 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc5-338-ga4851d8
- commit 7f38ae6
* Mon Dec 13 2010 jbeulich@novell.com
- Update Xen config files (XEN_NETDEV_LOOPBACK=n).
- supported.conf: Update.
- commit 26d0c04
* Fri Dec 10 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc5-62-g6313e3c
- commit a494c89
* Fri Dec 10 2010 jbeulich@novell.com
- Update Xen config files (CONFIG_XEN_COMPAT=0x040000).
- commit 16a42ab
* Thu Dec  9 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix timestamp of /usr/src/linux-obj/.../.config
- commit 22ecd26
* Wed Dec  8 2010 mmarek@suse.cz
- rpm/kernel-docs.spec.in: Allow to build against any version of
  kernel-source
- commit bf9797f
* Tue Dec  7 2010 jeffm@suse.com
- Update vanilla config files.
- commit 2df42ee
* Tue Dec  7 2010 jeffm@suse.com
- Update to 2.6.37-rc5.
- commit 1539849
* Tue Dec  7 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc4-219-g771f8bc
- commit aaaa469
* Mon Dec  6 2010 jeffm@suse.de
- Update to 2.6.37-rc4.
- commit 2213601
* Sat Dec  4 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc4-201-g11e8896
- commit 5ceb1d1
* Fri Dec  3 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc4-137-g94c35de
- commit 16d240a
* Thu Dec  2 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc4-12-g22a5b56
- commit 41a681b
* Wed Dec  1 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc4
- commit dad78e7
* Tue Nov 30 2010 mmarek@suse.cz
- staging: easycap: fix build failure.
- commit 58057d2
* Mon Nov 29 2010 jeffm@suse.com
- Merge 2.6.37-rc3-git6 with Xen.
- commit 6f111eb
* Mon Nov 29 2010 jeffm@suse.com
- Update to 2.6.37-rc3-git6.
- commit dc489aa
* Mon Nov 29 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc3-324-g7208364
- commit 6df7f60
* Fri Nov 26 2010 jbeulich@novell.com
- Update Xen patches to 2.6.37-rc3-git1 and c/s 1055.
- xen/acpi: Add memory hotadd to pvops dom0 (bnc#651066).
- xen/acpi: Export host physical CPU information to dom0
  (bnc#651066).
- Xen: para-virtual watchdog driver.
- introduce {rd,wr}msr_safe_on_pcpu() and add/enable users.
- eliminate scalability issues from initrd handling.
- config.conf: Re-enable Xen.
- Update x86 config files.
- commit 2e37199
* Wed Nov 24 2010 jeffm@suse.com
- Update to 2.6.37-rc3-git1.
- commit 1f2163d
* Tue Nov 23 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc3
- commit ac2caab
* Mon Nov 22 2010 jeffm@suse.com
- Update to 2.6.37-rc3.
  - Eliminated 1 patch.
- commit f4b5b54
* Sun Nov 21 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc2-181-gb86db47
- commit 13003b7
* Sat Nov 20 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc2-124-g6656b3f
- commit 03f5d25
* Fri Nov 19 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc2-56-g2811036
- commit 6b06c25
* Thu Nov 18 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc2-36-g460781b
- commit b9bbb1f
* Wed Nov 17 2010 jeffm@suse.com
- sched: automated per tty task groups.
  - Enabled in -desktop flavors for better interactivity.
- commit e72f812
* Wed Nov 17 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc2
- commit 60b4ccc
* Tue Nov 16 2010 jeffm@suse.com
- Update to 2.6.37-rc2.
- commit 0cad819
* Tue Nov 16 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-609-g6800e4c
- commit a2932d6
* Mon Nov 15 2010 jeffm@suse.com
- Update vanilla config files.
- commit c6bcee0
* Mon Nov 15 2010 jeffm@suse.com
- Update to 2.6.37-rc1-git11.
  - Eliminated 2 patches.
- commit caf4431
* Sun Nov 14 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-542-g0143832
- commit 5c374c0
* Sat Nov 13 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-345-ga0a6da1
- commit 47e8390
* Fri Nov 12 2010 jeffm@suse.de
- Update to 2.6.37-rc1.
  - Eliminated 26 patches.
  - Xen is disabled.
- commit 67b83ed
* Thu Nov 11 2010 gregkh@suse.de
- Update config files. (bnc#652954) increase the number of possible and
  default uarts for users with multi-port serial cards for the i386 and
  x86-64 default configs.
- commit 318ead5
* Wed Nov 10 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-170-gf6614b7
- commit 94c91b1
* Tue Nov  9 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-163-ga7bcf21
- commit 07c27bb
* Sun Nov  7 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-116-g151f52f
- commit 06f3f42
* Sat Nov  6 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-103-g4b4a270
- commit ebab771
* Thu Nov  4 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-27-gff8b16d
- commit 7f3066d
* Wed Nov  3 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-5-gd88c092
- commit e8108f5
* Tue Nov  2 2010 mmarek@suse.cz
- Automatically updated to 2.6.37-rc1-1-ge99d11d
- commit b9613ea
* Mon Nov  1 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-9871-g3985c7c
- commit 37006d8
* Sat Oct 30 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-9848-g1792f17
- commit e917f1b
* Fri Oct 29 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-9410-gb7bdcc4
- commit 0cd27f1
* Fri Oct 29 2010 trenn@suse.de
- Update config files.
  Forgot to enable ACPI_EC_DEBUGFS on i386/pae
- commit c537afc
* Thu Oct 28 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-8965-g2d3b07c
- commit 1943fe5
* Wed Oct 27 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-6794-g12ba8d1e
- commit 18179b2
* Wed Oct 27 2010 jslaby@suse.cz
- aha152x: enable PCMCIA on 64bit (bnc#630652).
- Update config files.
- commit e0e5450
* Tue Oct 26 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-5857-gf9ba537
- commit 9bab858
* Tue Oct 26 2010 trenn@suse.de
- Update config files.
  Enable CONFIG_ACPI_EC_DEBUGFS=m on supported archs.
- commit 09658e1
* Tue Oct 26 2010 jbeulich@novell.com
- Update Xen config files (restore options accidentally deleted
  by 1b1584fccbfdc42e6e8b35c3c207ca65feb0c7d5).
- commit 66a7723
* Mon Oct 25 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-5279-g72e5806
- commit 1e255ec
* Mon Oct 25 2010 jbeulich@novell.com
- Update Xen patches to 2.6.36 and c/s 1043.
- xen: netback: take net_schedule_list_lock when removing entry
  from net_schedule_list.
- Update Xen config files.
- commit 85d7698
* Sun Oct 24 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-4464-g229aebb
- commit 78422af
* Sat Oct 23 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-3963-g35da7a3
- commit 29b4c76
* Fri Oct 22 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-1431-gf5d9d24
- commit 5cef133
* Fri Oct 22 2010 jeffm@suse.de
- Update to 2.6.36-final.
- commit 4ebb1ab
* Thu Oct 21 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-531-g5fe8321
- commit 65ee29d
* Tue Oct 19 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc8-45-g51ea8a8
- commit 1fbcdc6
* Mon Oct 18 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc8-22-g2b666ca
- commit f547461
* Sat Oct 16 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc8-20-g2d01971
- commit 8292f40
* Fri Oct 15 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc8-13-g5a2b3ef
- commit 1048598
* Thu Oct 14 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc7-200-g3aa0ce8
- commit 1cdc3a5
* Tue Oct 12 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc7-153-g0acc1b2
- commit af3ab16
* Mon Oct 11 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc7-149-g29979aa
- commit 0824f5c
* Mon Oct 11 2010 mmarek@suse.cz
- Generate per-symbol provides again (fate#305945).
  11.4 will do incremental downloads of repository metadata
  (fate#309561), so there should be no problem with the update
  repository anymore.
- commit 2083a6a
* Sat Oct  9 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc7-124-g85a3318
- commit 9f29183
* Fri Oct  8 2010 jeffm@suse.de
- Update to 2.6.36-rc7.
- commit be4e347
* Thu Oct  7 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc7-69-g6b0cd00
- commit 556f9e1
* Wed Oct  6 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc7
- commit 31747de
* Tue Oct  5 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc6-136-ge1d9694
- commit 5c1d8b9
* Tue Oct  5 2010 jeffm@suse.de
- Enable SECURITY_APPARMOR_COMPAT_24
- commit 7dee26e
* Mon Oct  4 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc6-119-g3c06806
- commit 2a74b8e
* Sat Oct  2 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc6-84-gc6ea21e
- commit 8a78f00
* Fri Oct  1 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc6-76-g18ffe4b
- commit 7512c56
* Thu Sep 30 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc6-6-g4193d91
- commit c001f86
* Wed Sep 29 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc6
- commit c52fb02
* Tue Sep 28 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-284-g0f44fbd
- commit 3ed1f3f
* Mon Sep 27 2010 mmarek@suse.cz
- README.BRANCH: Update.
- commit 5d6a9e0
* Sun Sep 26 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-151-g32163f4
- commit 445c0e0
* Sat Sep 25 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-149-g56162ba
- commit 72b1d28
* Fri Sep 24 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-112-gcb9cae0
- commit 2559032
* Thu Sep 23 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-79-g91e71c1
- commit a26a09b
* Thu Sep 23 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in: Fix for kernel release strings like
  2.6.36-rc5-73-g57aebd7-vanilla.
- rpm/kernel-spec-macros: Cleanup.
- commit abada62
* Thu Sep 23 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-73-g57aebd7
- commit fb99565
* Wed Sep 22 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-49-gc79bd89
- commit 69a6d28
* Tue Sep 21 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5-33-g1ce1e41
- commit 7b27c54
* Tue Sep 21 2010 mmarek@suse.cz
- Automatically updated to 2.6.36-rc5
- commit 937777f
* Tue Sep 21 2010 mmarek@suse.cz
- Start a branch tracking the latest upstream git.
- commit ae53d59
* Tue Sep 21 2010 mmarek@suse.cz
- rpm/kernel-docs.spec.in: BuildRequire proper version of kernel-source
- commit c33d773
* Tue Sep 21 2010 jeffm@suse.de
- Linux: 2.6.36-rc5.
  - Eliminated 6 patches (all security backports).
- commit 77852e5
* Mon Sep 20 2010 jeffm@suse.de
- Revert "- make SCSI and ATA drivers modules again. (bnc#564357)."
  This reverts commit 75e8e5eae2c1e8dd279370f2c7650835ee821deb.
  - make SCSI and ATA drivers modules again.
    (bnc#564357)
  This change only applies to enterprise releases and should have been
  reverted prior to the release of openSUSE 11.3.
- commit 8d19a5c
* Mon Sep 20 2010 jeffm@suse.de
- Set LSM_MMAP_MIN_ADDR=0 to allow tools like DOSemu to work properly. The
  default is still set to 64k.
- commit 41fc57e
* Tue Sep 14 2010 jslaby@suse.cz
- Update to Linux 2.6.36-rc4.
  - Obsoletes:
  - patches.fixes/bonding-jiffies2.patch.
  - patches.fixes/irda-correctly-clean-up-self-ias_obj-on-irda_bind-failure.
  - patches.fixes/net-sched-fix-kernel-leak-in-act_police.
  - patches.rpmify/spectra-depends-on-moorestown.
- fix build on s390 as of 2.6.36-rc4.
- Refresh patches.suse/SoN-08-mm-page_alloc-emerg.patch.
- Refresh patches.suse/reiser4-set_page_dirty_notag.
- Refresh patches.xen/pci-guestdev.
- Update config files.
- commit 6915057
* Fri Apr 16 2010 mmarek@suse.cz
- rpm/kernel-binary.spec.in, rpm/mkspec, rpm/old-packages.conf:
  Obsolete kernel-vmi-base by kernel-pae-base (bnc#594271).
- commit a48fbdf
* Fri Apr 16 2010 mmarek@suse.cz
- rpm/mkspec, rpm/old-packages.conf: Explicitly list ppc64 flavors that
  obsolete kernel-kdump.
- commit 0a4f75b
* Fri Apr 16 2010 mmarek@suse.cz
- rpm/old-packages.conf: s390(x) provides/obsoletes not needed anymore.
- commit 0e039b7
* Tue Mar  9 2010 mmarek@suse.cz
- rpm/old-packages.conf: Obsolete kernel-vmi by kernel-default.
- rpm/kernel-module-subpackage: Also obsolete vmi KMPs.
- commit bf55479
